﻿Imports System.ComponentModel
Imports System.Windows.Forms
Imports System.Drawing
Imports XCM
Imports XSP
''' <summary>
''' 受領貸出_継承元フォーム
''' </summary>
''' <remarks>
''' Copyright 2009 FUJITSU SHIKOKU SYSTEMS LIMITED All rights reserved.<BR/>
''' FUJITSU SHIKOKU SYSTEMS LIMITED CONFIDENTIAL<BR/>
''' </remarks>
Public Class MLN000F010

#Region "コンスタント"
	Private Const C_SPLIT_HISTORY_NO As String = " - "
	' 標準の背景色
	Public CR_DEFAULTBACKCOLOR As Color = SystemColors.Control
	' 処理済みの背景色
	Public CR_UPDATEDBACKCOLOR As Color = Color.Blue
	' 処理エラーの背景色
	Public CR_UPDATEERRORBACKCOLOR As Color = Color.Red
	' 処理済みの前景色
	Public CR_DEFAULTFORECOLOR As Color = SystemColors.ControlText
	' 使用不可の前景色
	Public CR_DISABLEFORECOLOR As Color = SystemColors.ControlDark
	' チェックボックス使用不可の前景色
	Public CR_CHKDISABLEDFORECOLOR = Color.DarkGray
	' デッドロックリトライカウント
	Public C_DEADLOCK_RETRY As Integer = 3

#End Region

#Region "変数"

	Private _Title As String = "処理名称"
	Private _HeaderButtonCount As Integer = 2
	Private _dtErrMsg As DataTable							'エラーメッセージ格納用DataTable
	Private fMLN010F100 As MLN010F100
	Private cliMTM_LENDITEM As clsMTM_LENDITEM = Nothing
	' データ
	Private parLendItem As ArrayList = Nothing

	''' <summary>
	''' 起動モード（検索　一覧メニューより）
	''' </summary>
	Public Enum Enum_ExeMode As Integer
		''' <summary>受領</summary>
		eReceipt = 1
		''' <summary>貸出</summary>
		eLend = 2
		''' <summary>返却</summary>
		eBack = 3
		''' <summary>更新</summary>
		eUpdate = 4
		''' <summary>返納督促</summary>
		eUrgedReturn = 5
		''' <summary>返却督促</summary>
		eUrgedBack = 6
	End Enum
#End Region

#Region "プロパティ"

	''' ---------------------------------------------
	''' <summary>
	''' タイトル（プロパティ）
	''' </summary>
	''' <value></value>
	''' <returns></returns>
	''' <remarks>
	''' 2010/11/11 新規作成　CS)平井<BR/>
	''' </remarks>
	''' ---------------------------------------------
	<Browsable(True), _
	 Category("病歴大将"), _
	 DefaultValue("処理名称"), _
	 Description("ヘッダーのタイトルを設定します。")> _
	Public Property Title() As String
		Get
			Return _Title
		End Get
		Set(ByVal value As String)
			If value.Length = 0 Then
				value = "処理名称"
			End If
			_Title = value
			Me.lbl002MLN000F010.Text = _Title
			Me.lbl002MLN000F010.Invalidate()
			Me.pct003MLN000F010.Height = Me.lbl002MLN000F010.Height
			Me.pct003MLN000F010.Width = Me.lbl002MLN000F010.Width
			Me.pct003MLN000F010.Location = New Point(Me.lbl002MLN000F010.Location.X + 3, Me.lbl002MLN000F010.Location.Y + 3)
			Me.pct003MLN000F010.Invalidate()
		End Set
	End Property

#End Region

#Region "コンストラクタ"

	''' ---------------------------------------------
	''' <summary>
	''' 初期化
	''' </summary>
	''' <remarks>
	''' 2010/11/11 新規作成　CS)平井<BR/>
	''' </remarks>
	''' ---------------------------------------------
	Public Sub New()

		' この呼び出しはデザイナーで必要です。
		InitializeComponent()

		' InitializeComponent() 呼び出しの後で初期化を追加します。
	End Sub

#End Region

#Region "イベント"

	''' ---------------------------------------------
	''' <summary>
	''' フォームロード時
	''' </summary>
	''' <param name="sender"></param>
	''' <param name="e"></param>
	''' <remarks>
	''' 2011/01/19 新規作成　CS)平井<BR/>
	''' </remarks>
	''' ---------------------------------------------
	Private Sub MLN000F010_Load(ByVal sender As Object, ByVal e As System.EventArgs) Handles Me.Load
		Try
			' インスタンス生成
			_dtErrMsg = New DataTable							'エラーメッセージ格納用DataTable
		Catch ex As Exception
			ErrorProc(ex)
		End Try
	End Sub

	'''---------------------------------------------
	''' <summary>
	''' フォームクローズ
	''' </summary>
	''' <param name="sender"></param>
	''' <param name="e"></param>
	''' <remarks>
	''' 2010/11/11 新規作成 CS)平井<BR/>
	''' </remarks>
	'''---------------------------------------------
	Private Sub MLN000F010_FormClosing(ByVal sender As Object, ByVal e As System.Windows.Forms.FormClosingEventArgs) Handles Me.FormClosing
		log(XCM.clsSysMst.logLevel.NRM, "MLN000F010_FormClosing", "フォームクローズ START")
		Try
			'変数解放（Dispose）
			If Me._dtErrMsg IsNot Nothing Then Me._dtErrMsg.Dispose()
			If Me.fMLN010F100 IsNot Nothing Then Me.fMLN010F100.Dispose()
			If Me.cliMTM_LENDITEM IsNot Nothing Then Me.cliMTM_LENDITEM.Dispose()
		Catch ex As Exception
			ErrorProc(ex)
		Finally
			'変数解放（Nothing）
			Me._Title = Nothing
			Me._HeaderButtonCount = Nothing
			Me._dtErrMsg = Nothing
			Me.fMLN010F100 = Nothing
			Me.cliMTM_LENDITEM = Nothing
			Me.parLendItem = Nothing
		End Try
	End Sub

#End Region

#Region "メソッド"

	''' ---------------------------------------------
	''' <summary>
	''' エラーメッセージArray追加
	''' </summary>
	''' <param name="pCode">エラーコード</param>	
	''' <param name="pPatientNo">患者番号</param>		
	''' <param name="pHsp_History_No">入退院歴番号</param>	
	''' <param name="pCh_No">科歴番号</param>	
	''' <param name="peLendItemCd">貸出物コード</param>
	''' <param name="pPrm">メッセージ汎用</param>	
	''' <remarks>
	''' 2010/11/11 新規作成　CS)平井<BR/>
	''' </remarks>
	''' ---------------------------------------------
	Public Sub addMLN_ErrList(ByVal pCode As String, ByVal pPatientNo As String, ByVal pHsp_History_No As Integer, ByVal pCh_No As Integer, ByVal peLendItemCd As clsConst.Enum_Lenditem, ByVal ParamArray pPrm() As String)
		log(XCM.clsSysMst.logLevel.DBG, "addLMN_ErrList", "エラーメッセージArray追加 START")
		Dim dtRow As DataRow
		Try
			'データグリッド初期化
			With Me._dtErrMsg
				If .Columns.Count = 0 Then		'カラムがない場合、設定
					If cliMTM_LENDITEM Is Nothing Then cliMTM_LENDITEM = New clsMTM_LENDITEM
					'表示用
					.Columns.Add(sqlMLN010F100.itmERR_NO, GetType(Integer))
					.Columns.Add(sqlMLN010F100.itmERR_PATIENT_NO, GetType(String))
					.Columns.Add(sqlMLN010F100.itmERR_HISTORY_NO, GetType(String))
					.Columns.Add(sqlMLN010F100.itmERR_LENDITEM_RNM, GetType(String))
					.Columns.Add(sqlMLN010F100.itmERR_MSG, GetType(String))
					.Columns.Add(sqlMLN010F100.itmERR_CD, GetType(String))
				End If
			End With
			' 貸出物マスタ取得
			If parLendItem Is Nothing Then
				parLendItem = cliMTM_LENDITEM.getAll()
			End If
			Dim datLendItem As datMTM_LENDITEM = cliMTM_LENDITEM.getLendItem_Rec(parLendItem, peLendItemCd)
			'データ追加
			dtRow = _dtErrMsg.NewRow
			With dtRow
				'表示用
				.Item(sqlMLN010F100.itmERR_NO) = _dtErrMsg.Rows.Count + 1
				.Item(sqlMLN010F100.itmERR_PATIENT_NO) = pPatientNo
				.Item(sqlMLN010F100.itmERR_HISTORY_NO) = pHsp_History_No & C_SPLIT_HISTORY_NO & pCh_No
				.Item(sqlMLN010F100.itmERR_LENDITEM_RNM) = datLendItem.LENDITEM_RNM
				.Item(sqlMLN010F100.itmERR_MSG) = Me.getMsgEx(pCode, pPrm)
				.Item(sqlMLN010F100.itmERR_CD) = pCode
'(A) STR V4-11012-000 006 20110810 FJSK)荒川 XXX号 病歴大将V4PKG問題点No19 エラー画面に表示した内容をログに出力するように対応
				'エラー画面に出力している内容をカンマ区切りで出力する
				log(clsSysMst.logLevel.ERR, System.Reflection.MethodBase.GetCurrentMethod.Name, _
					_dtErrMsg.Rows.Count + 1 & "," & _
					pPatientNo & "," & pHsp_History_No & C_SPLIT_HISTORY_NO & pCh_No & "," & datLendItem.LENDITEM_RNM & "," & Me.getMsgEx(pCode, pPrm) & "," & pCode)
'(A) END V4-11012-000 006 20110810
			End With
			_dtErrMsg.Rows.Add(dtRow)
		Catch ex As Exception
			Throw
		Finally
			dtRow = Nothing
		End Try
	End Sub

	''' ---------------------------------------------
	''' <summary>
	''' エラーメッセージArray追加（貸出物コードなし）
	''' </summary>
	''' <param name="pCode">エラーコード</param>	
	''' <param name="pPatientNo">患者番号</param>		
	''' <param name="pHsp_History_No">入退院歴番号</param>	
	''' <param name="pCh_No">科歴番号</param>	
	''' <param name="pPrm">メッセージ汎用</param>	
	''' <remarks>
	''' 2010/11/11 新規作成　CS)平井<BR/>
	''' </remarks>
	''' ---------------------------------------------
	Public Sub addMLN_NoneLentItem_ErrList(ByVal pCode As String, ByVal pPatientNo As String, ByVal pHsp_History_No As Integer, ByVal pCh_No As Integer, ByVal ParamArray pPrm() As String)
		log(XCM.clsSysMst.logLevel.DBG, "addMLN_NoneLentItem_ErrList", "エラーメッセージArray追加 START（貸出物コードなし）")
		Dim dtRow As DataRow
		Try
			'データグリッド初期化
			With Me._dtErrMsg
				If .Columns.Count = 0 Then		'カラムがない場合、設定
					If cliMTM_LENDITEM Is Nothing Then cliMTM_LENDITEM = New clsMTM_LENDITEM
					'表示用
					.Columns.Add(sqlMLN010F100.itmERR_NO, GetType(Integer))
					.Columns.Add(sqlMLN010F100.itmERR_PATIENT_NO, GetType(String))
					.Columns.Add(sqlMLN010F100.itmERR_HISTORY_NO, GetType(String))
					.Columns.Add(sqlMLN010F100.itmERR_LENDITEM_RNM, GetType(String))
					.Columns.Add(sqlMLN010F100.itmERR_MSG, GetType(String))
					.Columns.Add(sqlMLN010F100.itmERR_CD, GetType(String))
				End If
			End With
			'データ追加
			dtRow = _dtErrMsg.NewRow
			With dtRow
				'表示用
				.Item(sqlMLN010F100.itmERR_NO) = _dtErrMsg.Rows.Count + 1
				.Item(sqlMLN010F100.itmERR_PATIENT_NO) = pPatientNo
				.Item(sqlMLN010F100.itmERR_HISTORY_NO) = pHsp_History_No & C_SPLIT_HISTORY_NO & pCh_No
				.Item(sqlMLN010F100.itmERR_LENDITEM_RNM) = DBNull.Value
				.Item(sqlMLN010F100.itmERR_MSG) = Me.getMsgEx(pCode, pPrm)
				.Item(sqlMLN010F100.itmERR_CD) = pCode
'(A) STR V4-11012-000 006 20110810 FJSK)荒川 XXX号 病歴大将V4PKG問題点No19 エラー画面に表示した内容をログに出力するように対応
				'エラー画面に出力している内容をカンマ区切りで出力する
				log(clsSysMst.logLevel.ERR, System.Reflection.MethodBase.GetCurrentMethod.Name, _
					_dtErrMsg.Rows.Count + 1 & "," & _
					pPatientNo & "," & pHsp_History_No & C_SPLIT_HISTORY_NO & pCh_No & "," & DBNull.Value & "," & Me.getMsgEx(pCode, pPrm) & "," & pCode)
'(A) END V4-11012-000 006 20110810
			End With
			_dtErrMsg.Rows.Add(dtRow)
		Catch ex As Exception
			Throw
		Finally
			dtRow = Nothing
		End Try
	End Sub

	''' ---------------------------------------------
	''' <summary>
	''' エラー画面から戻った時
	''' </summary>
	''' <remarks>
	''' 2010/11/11 新規作成　CS)平井<BR/>
	''' </remarks>
	''' ---------------------------------------------
	Public Sub backMLN_Err()
		log(XCM.clsSysMst.logLevel.DBG, "backLMN_Err", "エラー画面から戻った時 START")
		Try
			If _dtErrMsg IsNot Nothing Then Me._dtErrMsg.Clear()
		Catch ex As Exception
			Throw
		End Try
	End Sub

	''' ---------------------------------------------
	''' <summary>
	''' エラー画面を表示する
	''' </summary>
	''' <remarks>
	''' 2010/11/11 新規作成　CS)平井<BR/>
	''' </remarks>
	''' ---------------------------------------------
	Public Sub nextMLN_ErrForm(Optional ByVal MsgOut As Boolean = False)
		log(XCM.clsSysMst.logLevel.DBG, "nextLMN_ErrForm", "エラー画面を表示する START")
		Try
			If fMLN010F100 IsNot Nothing Then fMLN010F100.Dispose()
			fMLN010F100 = Nothing
			fMLN010F100 = New MLN010F100(_dtErrMsg, MsgOut)
			nextForm(fMLN010F100)
		Catch ex As Exception
			Throw
		End Try
	End Sub

	''' ---------------------------------------------
	''' <summary>
	''' エラー件数を返す
	''' </summary>
	''' <returns>エラー件数</returns>
	''' <remarks>
	''' 2010/11/11 新規作成　CS)平井<BR/>
	''' </remarks>
	''' ---------------------------------------------
	Public Function getMLN_ErrCount() As Integer
		Try
			Return _dtErrMsg.Rows.Count
		Catch ex As Exception
			Throw
		End Try
	End Function

#End Region

#Region "オーバーライズメソッド"

	'''---------------------------------------------
	''' <summary>
	''' 終了処理
	''' </summary>
	''' <remarks>
	''' 2010/11/01 新規作成　CS)平井<BR/>
	''' </remarks>
	'''---------------------------------------------
	Public Overridable Sub EndProc()
		log(clsSysMst.logLevel.DBG, "EndProc", "終了処理 Start")
		Try
			Me.AutoValidate = Windows.Forms.AutoValidate.Disable
			Me.Close()
		Catch ex As Exception
			Throw
		End Try
	End Sub

	''' ---------------------------------------------
	''' <summary>
	''' 職員検索処理（F1）
	''' </summary>
	''' <returns></returns>
	''' <remarks>
	''' 2010/10/25 新規作成　CS)平井<BR/>
	''' </remarks>
	''' ---------------------------------------------
	Public Overrides Function StaffFormProc() As Boolean
		log(clsSysMst.logLevel.NRM, "StaffFormProc", "職員検索処理（F1）")
		Try
			Dim myForm As frmBase = Me
			Dim cliXSP030F010 As XSP.XSP030F010
			If CType(Me.ActiveControl, BT_MultiComboBox).DoctorFlg Then
				cliXSP030F010 = New XSP.XSP030F010(Me.ActiveControl.Name, CType(Me.ActiveControl, BT_MultiComboBox).LinkControl, XSP030F010.Enum_ExeMode.eIns, True)
			Else
				cliXSP030F010 = New XSP.XSP030F010(Me.ActiveControl.Name, CType(Me.ActiveControl, BT_MultiComboBox).LinkControl, XSP030F010.Enum_ExeMode.eIns, False)
			End If
			myForm.nextForm(cliXSP030F010)
			Return MyBase.StaffFormProc()
		Catch ex As Exception
			Throw
		End Try
	End Function

#End Region

End Class