﻿Imports XCM
Imports XSP
Imports System.Runtime.ConstrainedExecution

''' ---------------------------------------------
''' <summary>
''' 受領・貸出_返却一覧　Report出力クラス
''' </summary>
''' <remarks>
''' Copyright 2010 FUJITSU SHIKOKU SYSTEMS LIMITED All rights reserved.<BR/>
''' FUJITSU SHIKOKU SYSTEMS LIMITED CONFIDENTIAL<BR/>
''' </remarks>
''' ---------------------------------------------
Public Class MLN010R030

#Region "解放処理"
	'確実な解放処理を実行するために指定
	Inherits CriticalFinalizerObject
	'解放処理を実装する為に指定
	Implements IDisposable

	''' ---------------------------------------------
	''' <summary>
	''' Dispose（解放処理）※外からはよばない
	''' </summary>
	''' <param name="disposing"></param>
	''' <remarks>
	''' 2010/12/28 新規作成　CS)平井<BR/>
	''' </remarks>
	''' ---------------------------------------------
	Protected Overloads Sub Dispose(ByVal disposing As Boolean)
		If disposing Then
			pFrm = Nothing					'フォーム
		End If
	End Sub

	''' ---------------------------------------------
	''' <summary>
	''' Finalize（解放処理）
	''' </summary>
	''' <remarks>
	''' 2011/01/04 新規作成　CS)平井<BR/>
	''' </remarks>
	''' ---------------------------------------------
	Public Overloads Sub Dispose() Implements IDisposable.Dispose
		Dispose(True)
		MyBase.Finalize()
		GC.SuppressFinalize(Me)
	End Sub

	''' ---------------------------------------------
	''' <summary>
	''' Finalize（解放処理）※外からはよばない
	''' </summary>
	''' <remarks>
	''' 2011/01/04 新規作成　CS)平井<BR/>
	''' </remarks>
	''' ---------------------------------------------
	Protected Overrides Sub Finalize()
		Dispose(False)
		MyBase.Finalize()
	End Sub
#End Region

#Region "変数"

	'IN項目
	Private pFrm As MLN010F010 = Nothing
	'パラメータ情報
	'*********************************************
	' Workテーブルの項目順とパラメータセット順も同一にする必要があります
	'*********************************************
	Private strParm() As clsMLN010F010.RptPrmInfo = _
	 {
	 New clsMLN010F010.RptPrmInfo(sqlMLN010R030.prmHOST_NM, Nothing, clsDB.Enum_dbType.dbNVarChar),
	 New clsMLN010F010.RptPrmInfo(sqlMLN010R030.prmPRT_ID, Nothing, clsDB.Enum_dbType.dbNVarChar),
	 New clsMLN010F010.RptPrmInfo(sqlMLN010R030.prmSORT_ORDER, Nothing, clsDB.Enum_dbType.dbInt),
	 New clsMLN010F010.RptPrmInfo(sqlMLN010R030.prmPATIENT_NO, sqlMLN010R030.itmPATIENT_NO, clsDB.Enum_dbType.dbNVarChar),
	 New clsMLN010F010.RptPrmInfo(sqlMLN010R030.prmHSP_HISTORY_NO, sqlMLN010R030.itmHSP_HISTORY_NO, clsDB.Enum_dbType.dbInt),
	 New clsMLN010F010.RptPrmInfo(sqlMLN010R030.prmCH_NO, sqlMLN010R030.itmCH_NO, clsDB.Enum_dbType.dbInt),
	 New clsMLN010F010.RptPrmInfo(sqlMLN010R030.prmLENDITEM_CD, sqlMLN010R030.itmLENDITEM_CD, clsDB.Enum_dbType.dbNVarChar),
	 New clsMLN010F010.RptPrmInfo(sqlMLN010R030.prmLENDITEM_NM, sqlMLN010R030.itmLENDITEM_NM, clsDB.Enum_dbType.dbNVarChar),
	 New clsMLN010F010.RptPrmInfo(sqlMLN010R030.prmBYOREKI_NO, sqlMLN010R030.itmBYOREKI_NO, clsDB.Enum_dbType.dbNVarChar),
	 New clsMLN010F010.RptPrmInfo(sqlMLN010R030.prmPATIENT_NM, sqlMLN010R030.itmPATIENT_NM, clsDB.Enum_dbType.dbNVarChar),
	 New clsMLN010F010.RptPrmInfo(sqlMLN010R030.prmPATIENT_KNM, sqlMLN010R030.itmPATIENT_KNM, clsDB.Enum_dbType.dbNVarChar),
	 New clsMLN010F010.RptPrmInfo(sqlMLN010R030.prmGENDER_CD, sqlMLN010R030.itmGENDER_CD, clsDB.Enum_dbType.dbNVarChar),
	 New clsMLN010F010.RptPrmInfo(sqlMLN010R030.prmGENDER_NM, sqlMLN010R030.itmGENDER_NM, clsDB.Enum_dbType.dbNVarChar),
	 New clsMLN010F010.RptPrmInfo(sqlMLN010R030.prmDEPT_CD, sqlMLN010R030.itmDEPT_CD, clsDB.Enum_dbType.dbNVarChar),
	 New clsMLN010F010.RptPrmInfo(sqlMLN010R030.prmDEPT_NM, sqlMLN010R030.itmDEPT_NM, clsDB.Enum_dbType.dbNVarChar),
	 New clsMLN010F010.RptPrmInfo(sqlMLN010R030.prmDEPT_RNM, sqlMLN010R030.itmDEPT_RNM, clsDB.Enum_dbType.dbNVarChar),
	 New clsMLN010F010.RptPrmInfo(sqlMLN010R030.prmWARD_CD, sqlMLN010R030.itmWARD_CD, clsDB.Enum_dbType.dbNVarChar),
	 New clsMLN010F010.RptPrmInfo(sqlMLN010R030.prmWARD_NM, sqlMLN010R030.itmWARD_NM, clsDB.Enum_dbType.dbNVarChar),
	 New clsMLN010F010.RptPrmInfo(sqlMLN010R030.prmWARD_RNM, sqlMLN010R030.itmWARD_RNM, clsDB.Enum_dbType.dbNVarChar),
	 New clsMLN010F010.RptPrmInfo(sqlMLN010R030.prmHSP_DT, sqlMLN010R030.itmHSP_DT, clsDB.Enum_dbType.dbDateTime),
	 New clsMLN010F010.RptPrmInfo(sqlMLN010R030.prmOUT_HSP_DT, sqlMLN010R030.itmOUT_HSP_DT, clsDB.Enum_dbType.dbDateTime),
	 New clsMLN010F010.RptPrmInfo(sqlMLN010R030.prmHSP_CNL_CD, sqlMLN010R030.itmHSP_CNL_CD, clsDB.Enum_dbType.dbNVarChar),
	 New clsMLN010F010.RptPrmInfo(sqlMLN010R030.prmHSP_CNL_NM, sqlMLN010R030.itmHSP_CNL_NM, clsDB.Enum_dbType.dbNVarChar),
	 New clsMLN010F010.RptPrmInfo(sqlMLN010R030.prmHSP_CNL_RNM, sqlMLN010R030.itmHSP_CNL_RNM, clsDB.Enum_dbType.dbNVarChar),
	 New clsMLN010F010.RptPrmInfo(sqlMLN010R030.prmOUT_HSP_CNL_CD, sqlMLN010R030.itmOUT_HSP_CNL_CD, clsDB.Enum_dbType.dbNVarChar),
	 New clsMLN010F010.RptPrmInfo(sqlMLN010R030.prmOUT_HSP_CNL_NM, sqlMLN010R030.itmOUT_HSP_CNL_NM, clsDB.Enum_dbType.dbNVarChar),
	 New clsMLN010F010.RptPrmInfo(sqlMLN010R030.prmOUT_HSP_CNL_RNM, sqlMLN010R030.itmOUT_HSP_CNL_RNM, clsDB.Enum_dbType.dbNVarChar),
	 New clsMLN010F010.RptPrmInfo(sqlMLN010R030.prmOUT_HSP_OUTCOME_CD, sqlMLN010R030.itmOUT_HSP_OUTCOME_CD, clsDB.Enum_dbType.dbNVarChar),
	 New clsMLN010F010.RptPrmInfo(sqlMLN010R030.prmOUT_HSP_OUTCOME_NM, sqlMLN010R030.itmOUT_HSP_OUTCOME_NM, clsDB.Enum_dbType.dbNVarChar),
	 New clsMLN010F010.RptPrmInfo(sqlMLN010R030.prmOUT_HSP_OUTCOME_RNM, sqlMLN010R030.itmOUT_HSP_OUTCOME_RNM, clsDB.Enum_dbType.dbNVarChar),
	 New clsMLN010F010.RptPrmInfo(sqlMLN010R030.prmHSP_DAYS, sqlMLN010R030.itmHSP_DAYS, clsDB.Enum_dbType.dbInt),
	 New clsMLN010F010.RptPrmInfo(sqlMLN010R030.prmDOCTOR_CD, sqlMLN010R030.itmDOCTOR_CD, clsDB.Enum_dbType.dbNVarChar),
	 New clsMLN010F010.RptPrmInfo(sqlMLN010R030.prmDOCTOR_NM, sqlMLN010R030.itmDOCTOR_NM, clsDB.Enum_dbType.dbNVarChar),
	 New clsMLN010F010.RptPrmInfo(sqlMLN010R030.prmSLIP_CD, sqlMLN010R030.itmSLIP_CD, clsDB.Enum_dbType.dbNVarChar),
	 New clsMLN010F010.RptPrmInfo(sqlMLN010R030.prmISSUE_DT, sqlMLN010R030.itmISSUE_DT, clsDB.Enum_dbType.dbDateTime),
	 New clsMLN010F010.RptPrmInfo(sqlMLN010R030.prmERR_FLG, sqlMLN010R030.itmERR_FLG, clsDB.Enum_dbType.dbInt),
	 New clsMLN010F010.RptPrmInfo(sqlMLN010R030.prmDSPORDER, sqlMLN010R030.itmSEARCH_NO, clsDB.Enum_dbType.dbInt),
	 New clsMLN010F010.RptPrmInfo(sqlMLN010R030.prmEXPECTBACK_DT, sqlMLN010R030.itmEXPECTBACK_DT, clsDB.Enum_dbType.dbDateTime),
	 New clsMLN010F010.RptPrmInfo(sqlMLN010R030.prmLENDITEM_RNM, sqlMLN010R030.itmLENDITEM_RNM, clsDB.Enum_dbType.dbNVarChar),
	 New clsMLN010F010.RptPrmInfo(sqlMLN010R030.prmSELECTED, sqlMLN010R030.itmSELECTED, clsDB.Enum_dbType.dbInt),
	 New clsMLN010F010.RptPrmInfo(sqlMLN010R030.prmBACK_DT, sqlMLN010R030.itmBACK_DT, clsDB.Enum_dbType.dbDateTime),
	 New clsMLN010F010.RptPrmInfo(sqlMLN010R030.prmMNGSTATUS_CD, sqlMLN010R030.itmMNGSTATUS_CD, clsDB.Enum_dbType.dbNVarChar),
	 New clsMLN010F010.RptPrmInfo(sqlMLN010R030.prmMNGSTATUS_NM, sqlMLN010R030.itmMNGSTATUS_NM, clsDB.Enum_dbType.dbNVarChar),
	 New clsMLN010F010.RptPrmInfo(sqlMLN010R030.prmMNGSTATUS1_RNM, sqlMLN010R030.itmMNGSTATUS1_RNM, clsDB.Enum_dbType.dbNVarChar),
	 New clsMLN010F010.RptPrmInfo(sqlMLN010R030.prmKEEPLCT_CD, sqlMLN010R030.itmKEEPLCT_CD, clsDB.Enum_dbType.dbNVarChar),
	 New clsMLN010F010.RptPrmInfo(sqlMLN010R030.prmKEEPLCT_NM, sqlMLN010R030.itmKEEPLCT_NM, clsDB.Enum_dbType.dbNVarChar),
	 New clsMLN010F010.RptPrmInfo(sqlMLN010R030.prmKEEPLCT_RNM, sqlMLN010R030.itmKEEPLCT_RNM, clsDB.Enum_dbType.dbNVarChar),
	 New clsMLN010F010.RptPrmInfo(sqlMLN010R030.prmCNT, sqlMLN010R030.itmCNT, clsDB.Enum_dbType.dbInt),
	 New clsMLN010F010.RptPrmInfo(sqlMLN010R030.prmDEPT_DSPORDER, sqlMLN010R030.itmDEPT_DSPORDER, clsDB.Enum_dbType.dbInt),
	 New clsMLN010F010.RptPrmInfo(sqlMLN010R030.prmWARD_DSPORDER, sqlMLN010R030.itmWARD_DSPORDER, clsDB.Enum_dbType.dbInt),
	 New clsMLN010F010.RptPrmInfo(sqlMLN010R030.prmDOCTOR_DSPORDER, sqlMLN010R030.itmDOCTOR_DSPORDER, clsDB.Enum_dbType.dbInt),
	 New clsMLN010F010.RptPrmInfo(sqlMLN010R030.prmHSP_CNL_DSPORDER, sqlMLN010R030.itmHSP_CNL_DSPORDER, clsDB.Enum_dbType.dbInt),
	 New clsMLN010F010.RptPrmInfo(sqlMLN010R030.prmOUT_HSP_CNL_DSPORDER, sqlMLN010R030.itmOUT_HSP_CNL_DSPORDER, clsDB.Enum_dbType.dbInt),
	 New clsMLN010F010.RptPrmInfo(sqlMLN010R030.prmOUT_HSP_OUTCOME_DSPORDER, sqlMLN010R030.itmOUT_HSP_OUTCOME_DSPORDER, clsDB.Enum_dbType.dbInt),
	 New clsMLN010F010.RptPrmInfo(sqlMLN010R030.prmMNGSTATUS_DSPORDER, sqlMLN010R030.itmMNGSTATUS_DSPORDER, clsDB.Enum_dbType.dbInt),
	 New clsMLN010F010.RptPrmInfo(sqlMLN010R030.prmKEEPLCT_DSPORDER, sqlMLN010R030.itmKEEPLCT_DSPORDER, clsDB.Enum_dbType.dbInt),
	 New clsMLN010F010.RptPrmInfo(sqlMLN010R030.prmLENDAIM_CD, sqlMLN010R030.itmLENDAIM_CD, clsDB.Enum_dbType.dbNVarChar),
	 New clsMLN010F010.RptPrmInfo(sqlMLN010R030.prmLENDAIM_DSPORDER, sqlMLN010R030.itmLENDAIM_DSPORDER, clsDB.Enum_dbType.dbInt),
	 New clsMLN010F010.RptPrmInfo(sqlMLN010R030.prmLENDAIM_RNM, sqlMLN010R030.itmLENDAIM_RNM, clsDB.Enum_dbType.dbNVarChar),
	 New clsMLN010F010.RptPrmInfo(sqlMLN010R030.prmBORROWERDIV_RNM, sqlMLN010R030.itmBORROWERDIV_RNM, clsDB.Enum_dbType.dbNVarChar),
	 New clsMLN010F010.RptPrmInfo(sqlMLN010R030.prmBORROWER_NM, sqlMLN010R030.itmBORROWER_NM, clsDB.Enum_dbType.dbNVarChar),
	 New clsMLN010F010.RptPrmInfo(sqlMLN010R030.prmBORROWER_DIV, sqlMLN010R030.itmBORROWER_DIV, clsDB.Enum_dbType.dbNVarChar),
	 New clsMLN010F010.RptPrmInfo(sqlMLN010R030.prmBORROWERDIV_DSPORDER, sqlMLN010R030.itmBORROWERDIV_DSPORDER, clsDB.Enum_dbType.dbInt),
	 New clsMLN010F010.RptPrmInfo(sqlMLN010R030.prmLASTUPDUSER_CD, Nothing, clsDB.Enum_dbType.dbNVarChar),
	 New clsMLN010F010.RptPrmInfo(sqlMLN010R030.prmLASTUPD_DT, Nothing, clsDB.Enum_dbType.dbDateTime)
	 }

#End Region

#Region "コンスタント"
	'帳票タイトル(頭書コメントトップが空白時使用)
	Private Const C_BACK_TITLE As String = "返却一覧"

#End Region

#Region "コンストラクタ"

	''' ---------------------------------------------
	''' <summary>
	''' コンストラクタ
	''' </summary>
	''' <param name="pForm">MLN010F010</param>
	''' <remarks>
	''' 2011/01/04 新規作成　CS)平井<BR/>
	''' </remarks>
	''' ---------------------------------------------
	Sub New(ByVal pForm As MLN010F010)
		'IN項目引き継ぎ
		pFrm = pForm					'画面ID
	End Sub

#End Region

#Region "メソッド"

	''' ---------------------------------------------
	''' <summary>
	''' 印刷・プレビュー処理（返却一覧）
	''' </summary>
	''' <param name="pValuePrint">TRUE:印刷 FALSE:プレビュー</param>			
	''' <param name="bDisplayName">氏名表示</param>
	''' <remarks>
	''' 2011/01/04 新規作成　CS)平井<BR/>
	''' </remarks>
	''' ---------------------------------------------
	Public Function exeReport(ByVal pValuePrint As Boolean, ByVal bDisplayName As Boolean) As Boolean
		pFrm.log(clsSysMst.logLevel.DBG, "exeReport", "印刷・プレビュー処理（返却一覧） Start")

		Dim FilePath As String = Nothing								'MDBファイルパス（フルパス）
		Dim cliAccess As clsXTM_PRINTSETTING_ACCESS = Nothing			'ACCESS設定情報アクセスクラス
		Dim datAccess As datXTM_PRINTSETTING_ACCESS_OneRec = Nothing	'ACCESS設定情報データクラス
		Dim daHeader As datBackHeader = Nothing							'貸出ヘッダー
		Dim datHeader As datHeader = Nothing							'ヘッダー共通
		Dim cliCom As clsCom = Nothing									'共通クラス
		Dim cliMLN010F010 As clsMLN010F010 = Nothing					'受領・貸出クラス

		'DataTableの値取得用
		Dim arData As ArrayList = Nothing
		Dim dtData As DataTable = Nothing

		Try
			'アクセスクラスのインスタンス化
			cliAccess = New clsXTM_PRINTSETTING_ACCESS
			cliCom = New clsCom
			cliMLN010F010 = New clsMLN010F010

			'マスタデータ取得処理
			If Not cliMLN010F010.GetPrintMasterData(pFrm) Then
				Return False
			End If
			'処理対象のヘッダーデータを画面から取得する。
			daHeader = cliMLN010F010.GetPrintBackHeaderDataReturn(pFrm)
			'処理対象のデータを画面から取得する。
			dtData = cliMLN010F010.GetPrintDataReturn(pFrm, bDisplayName)
			'件数設定
			daHeader.DATA_COUNT = dtData.Rows.Count
			datHeader = setHeader(daHeader)
			'印刷設定情報取得
			datAccess = cliAccess.getAccessSettingOneRec(Me.pFrm.Name, clsMLN010F010.PRT_ID_MLN010R030)
			If datAccess Is Nothing Then
				Return False
			End If

			'MDBファイルパス設定
			FilePath = cliCom.setReportPath(datAccess.FILE_NM)

			Using db As clsDB = New clsDB(clsSysMst.ctlConfigData), _
			   cliReportFunc As clsReportFunc = New clsReportFunc(pFrm, FilePath, datAccess.REPORT_NM, pValuePrint)

				With db

					'ヘッダーワーク・ワークテーブルの削除
					cliMLN010F010.DelWorkTbl(pFrm)

					'ヘッダワークの追加
					cliReportFunc.exeHeaderIns(db, datHeader, True)

					'ワークテーブルの追加
					Try
						Dim iSeq As Integer = 0
						.ctlTran(clsDB.Enum_TranMode.Begin)
						For Each rowData As DataRow In dtData.Rows
							iSeq += 1
							.setSQL(sqlMLN010R030.sqlIns_MTW_BACK_LIST)
							setParm(db, rowData, iSeq, strParm)
							.execNonQuery(False)
						Next
						.ctlTran(clsDB.Enum_TranMode.Commit)
					Catch ex As Exception
						If db.statTran() Then db.ctlTran(clsDB.Enum_TranMode.RollBack)
						Throw
					End Try
				End With

				'AcPrint内でレポートの存在チェックを行う
				'そのため、独自ロジックは組まない。
				If Not cliReportFunc.AcPrint(datAccess.NUMBERPRINTED) Then
					Return False
				End If
			End Using
		Catch ex As Exception
			Throw
		Finally
			FilePath = Nothing
			cliAccess = Nothing
			datAccess = Nothing
			datHeader = Nothing
			cliCom = Nothing
			cliMLN010F010 = Nothing
			If dtData IsNot Nothing Then dtData.Dispose()
			dtData = Nothing
			arData = Nothing
		End Try
		Return True
	End Function

	''' ---------------------------------------------
	''' <summary>
	''' MDB登録パラメータセット
	''' </summary>
	''' <param name="db">クラスDB</param>
	''' <param name="pRow">編集元データ行</param>
	''' <param name="pRptParm">設定情報</param>
	''' <remarks>
	''' 2011/01/04 新規作成　CS)平井<BR/>
	''' </remarks>
	''' ---------------------------------------------
	Private Sub setParm(ByVal db As clsDB, ByVal pRow As System.Data.DataRow, ByVal iSeq As Integer, ByVal pRptParm() As clsMLN010F010.RptPrmInfo)
		pFrm.log(clsSysMst.logLevel.DBG, "setParm", "MDB登録パラメータセット Start")

		Dim strNull As String = Nothing
		Dim strS As String = sqlMLN010R030.sqlIns_MTW_BACK_LIST
		Try
			'データを出力
			For Each sParm As clsMLN010F010.RptPrmInfo In pRptParm
				With db
					If String.IsNullOrEmpty(sParm.ColNm_From) Then
						strS = strS.Replace(sParm.PrmNm_To, "NULL")
					Else
						strS = strS.Replace(sParm.PrmNm_To, "'" & pRow.Item(sParm.ColNm_From).ToString & "'")
					End If

					If Not String.IsNullOrEmpty(sParm.ColNm_From) Then
						.setParam(sParm.PrmNm_To, sParm.DbType)
						If sParm.DbType = clsDB.Enum_dbType.dbInt Then
							If String.IsNullOrEmpty(pRow.Item(sParm.ColNm_From).ToString) Then
								.setVal(sParm.PrmNm_To, strNull)
							Else
								.setVal(sParm.PrmNm_To, CInt(pRow.Item(sParm.ColNm_From).ToString), False)
							End If
						Else
							.setVal(sParm.PrmNm_To, pRow.Item(sParm.ColNm_From).ToString)
						End If
					Else
						Select Case sParm.PrmNm_To
							Case sqlMLN010R030.prmHOST_NM
								.setParam(sParm.PrmNm_To, sParm.DbType)
								.setVal(sParm.PrmNm_To, clsConst.CST_HOST_NM)
							Case sqlMLN010R030.prmPRT_ID
								.setParam(sParm.PrmNm_To, sParm.DbType)
								.setVal(sParm.PrmNm_To, clsMLN010F010.PRT_ID_MLN010R030)
							Case sqlMLN010R030.prmSORT_ORDER
								.setParam(sParm.PrmNm_To, sParm.DbType)
								.setVal(sParm.PrmNm_To, iSeq)
							Case sqlMLN010R030.prmLASTUPDUSER_CD
								.setParam(sParm.PrmNm_To, sParm.DbType)
								.setVal(sParm.PrmNm_To, pFrm._userID)
							Case sqlMLN010R030.prmLASTUPD_DT
								.setParam(sParm.PrmNm_To, sParm.DbType)
								.setVal(sParm.PrmNm_To, Now)
							Case Else
						End Select
					End If
				End With
			Next
		Catch ex As Exception
			Throw
		End Try
	End Sub

	''' ---------------------------------------------
	''' <summary>
	''' 共通ヘッダークラスに値を設定
	''' </summary>
	''' <param name="dat"></param>
	''' <returns></returns>
	''' <remarks>
	''' 2011/01/04 新規作成　CS)平井<BR/>
	''' </remarks>
	''' ---------------------------------------------
	Private Function setHeader(ByVal dat As datBackHeader) As datHeader
		pFrm.log(clsSysMst.logLevel.DBG, "setHeader", "共通ヘッダークラスに値を設定")
		Dim retHeader As datHeader
		Dim cliPREMISES As clsXTM_PREMISES
		Dim datPREMISES As datPremises_OneRec = Nothing
		Try
			' インスタンス生成
			retHeader = New datHeader
			cliPREMISES = New clsXTM_PREMISES
			'頭書マスタ取得
			datPREMISES = cliPREMISES.getPremises_OneRec_DataClass(pFrm.Name, dat.PREMISES)

			With retHeader
				'ホスト名
				.HOST_NM = clsConst.CST_HOST_NM
				'帳票ID
				.PRT_ID = clsMLN010F010.PRT_ID_MLN010R030
				'コメントトップが空白の場合は、タイトルをコメントトップに表示する
				'タイトル	
				.TITLE_NM = dat.TITLE
				'コメントトップ	
				If datPREMISES IsNot Nothing Then
					If String.IsNullOrEmpty(datPREMISES.COMMENT_TOP) Then
						.COMMENT_TOP = dat.TITLE
					Else
						.COMMENT_TOP = datPREMISES.COMMENT_TOP
					End If
					'コメント左
					.COMMENT_LEFT = datPREMISES.COMMENT_LEFT
					'コメント右
					.COMMENT_RIGHT = datPREMISES.COMMENT_RIGHT
					'コメント１	
					.COMMENT1 = datPREMISES.COMMENT1
					'コメント２
					.COMMENT2 = datPREMISES.COMMENT2
				Else
					.COMMENT_TOP = dat.TITLE
				End If
				'部署名
				.DPM_NM = dat.DPM_NM
				.STR1 = dat.BYOREKI_NO_TITLE
				' カルテ
				.STR2 = dat.BACK_DT
			End With
			Return retHeader

		Catch ex As Exception
			Throw
		Finally
			retHeader = Nothing
			cliPREMISES = Nothing
			datPREMISES = Nothing
		End Try
	End Function

#End Region

End Class
