﻿Imports XCM
'Imports XSP
'Imports System.Windows.Forms
Imports System.Drawing
'Imports System.IO.Path
Imports System.ComponentModel
''' ---------------------------------------------
''' <summary>
''' 診療情報管理_マスタ保守_継承元フォーム
''' </summary>
''' <remarks>
''' Copyright 2009 FUJITSU SHIKOKU SYSTEMS LIMITED All rights reserved.<BR/>
''' FUJITSU SHIKOKU SYSTEMS LIMITED CONFIDENTIAL<BR/>
''' </remarks>
''' ---------------------------------------------
Public Class MMS000F010

#Region "変数"

    Private _Title As String = "処理名称"
    Private _HeaderButtonCount As Integer = 2

#End Region

#Region "プロパティ"

    ''' ---------------------------------------------
    ''' <summary>
    ''' タイトル（プロパティ）
    ''' </summary>
    ''' <value></value>
    ''' <returns></returns>
    ''' <remarks>
    ''' 2010/10/28 新規作成 FJSK)福田
    ''' </remarks>
    ''' ---------------------------------------------
    <Browsable(True), _
     Category("病歴大将"), _
     DefaultValue("処理名称"), _
     Description("ヘッダーのタイトルを設定します。")> _
    Public Property Title() As String
        Get
            Return _Title
        End Get
        Set(ByVal value As String)
            If value.Length = 0 Then
                value = "処理名称"
            End If
            _Title = value
            Me.lbl002MMS000F010.Text = _Title
            Me.lbl002MMS000F010.Invalidate()
            Me.pct003MMS000F010.Height = Me.lbl002MMS000F010.Height
            Me.pct003MMS000F010.Width = Me.lbl002MMS000F010.Width
            Me.pct003MMS000F010.Location = New Point(Me.lbl002MMS000F010.Location.X + 3, Me.lbl002MMS000F010.Location.Y + 3)
            Me.pct003MMS000F010.Invalidate()
        End Set
    End Property

    ''' ---------------------------------------------
    ''' <summary>
    ''' ヘッダボタン数（プロパティ）
    ''' </summary>
    ''' <value></value>
    ''' <returns></returns>
    ''' <remarks>
    ''' 2010/10/28 新規作成 FJSK)福田
    ''' </remarks>
    ''' ---------------------------------------------
    <Browsable(True), _
     Category("病歴大将"), _
     DefaultValue(2), _
     Description("ヘッダーのボタン数を設定します。")> _
    Public Property HeaderButtonCount() As Integer
        Get
            Return _HeaderButtonCount
        End Get
        Set(ByVal value As Integer)
            _HeaderButtonCount = value
            Call SetButtonStyle()
        End Set
    End Property

#End Region

#Region "コンストラクタ"

    ''' ---------------------------------------------
    ''' <summary>
    ''' 初期化
    ''' </summary>
    ''' <remarks>
    ''' 2010/10/28 新規作成 FJSK)福田
    ''' </remarks>
    ''' ---------------------------------------------
    Public Sub New()
        MyBase.New()
        Call InitializeComponent()
    End Sub

#End Region

#Region "イベント"

    '''---------------------------------------------
    ''' <summary>
    ''' フォームクローズ
    ''' </summary>
    ''' <param name="sender"></param>
    ''' <param name="e"></param>
    ''' <remarks>
    ''' 2010/08/30 新規作成 FJSK)福田
    ''' </remarks>
    '''---------------------------------------------
    Private Sub MMS000F010_FormClosing(ByVal sender As Object, ByVal e As System.Windows.Forms.FormClosingEventArgs) Handles Me.FormClosing
        Try
            '変数解放（Dispose）
        Catch ex As Exception
            ErrorProc(ex)
        Finally
            '変数解放（Nothing）
            Me._Title = Nothing
            Me._HeaderButtonCount = Nothing
        End Try
    End Sub

    ''' ---------------------------------------------
    ''' <summary>
    ''' Handle作成時
    ''' </summary>
    ''' <param name="sender"></param>
    ''' <param name="e"></param>
    ''' <remarks>
    ''' 2010/08/30 新規作成 FJSK)福田
    ''' </remarks>
    ''' ---------------------------------------------
    Private Sub frmBase_HandleCreated(ByVal sender As Object, ByVal e As System.EventArgs) Handles Me.HandleCreated
        Call SetButtonStyle()
    End Sub

    ''' ---------------------------------------------
    ''' <summary>
    ''' 終了ボタンクリック
    ''' </summary>
    ''' <param name="sender"></param>
    ''' <param name="e"></param>
    ''' <remarks>
    ''' 2010/09/01 新規作成 FJSK)福田
    ''' </remarks>
    ''' ---------------------------------------------
    Private Sub btn007MMS000F010_Click(ByVal sender As System.Object, ByVal e As System.EventArgs) Handles btn007MMS000F010.Click
        log(clsSysMst.logLevel.NRM, "btn007MMS000F010_Click", "終了ボタンクリック START")
        Try
            Call Me.EndProc()
        Catch ex As Exception
            ErrorProc(ex)
        End Try
    End Sub

#End Region

#Region "メソッド"

    ''' ---------------------------------------------
    ''' <summary>
    ''' ボタン表示／非表示切替
    ''' </summary>
    ''' <remarks>
    ''' 2010/08/30 新規作成 FJSK)福田
    ''' </remarks>
    ''' ---------------------------------------------
    Private Sub SetButtonStyle()
        Select Case Me.HeaderButtonCount
            Case 5
                Me.btn007MMS000F010.Visible = True
                Me.btn006MMS000F010.Visible = True
                Me.btn005MMS000F010.Visible = True
                Me.btn004MMS000F010.Visible = True
                Me.btn003MMS000F010.Visible = True
            Case 4
                Me.btn007MMS000F010.Visible = True
                Me.btn006MMS000F010.Visible = True
                Me.btn005MMS000F010.Visible = True
                Me.btn004MMS000F010.Visible = True
                Me.btn003MMS000F010.Visible = False
            Case 3
                Me.btn007MMS000F010.Visible = True
                Me.btn006MMS000F010.Visible = True
                Me.btn005MMS000F010.Visible = True
                Me.btn004MMS000F010.Visible = False
                Me.btn003MMS000F010.Visible = False
            Case 2
                Me.btn007MMS000F010.Visible = True
                Me.btn006MMS000F010.Visible = True
                Me.btn005MMS000F010.Visible = False
                Me.btn004MMS000F010.Visible = False
                Me.btn003MMS000F010.Visible = False
            Case 1
                Me.btn007MMS000F010.Visible = True
                Me.btn006MMS000F010.Visible = False
                Me.btn005MMS000F010.Visible = False
                Me.btn004MMS000F010.Visible = False
                Me.btn003MMS000F010.Visible = False
            Case 0
                Me.btn007MMS000F010.Visible = False
                Me.btn006MMS000F010.Visible = False
                Me.btn005MMS000F010.Visible = False
                Me.btn004MMS000F010.Visible = False
                Me.btn003MMS000F010.Visible = False
        End Select
    End Sub

    '''---------------------------------------------
    ''' <summary>
    ''' 画面クロース
    ''' </summary>
    ''' <remarks>
    ''' 2010/08/30 新規作成 FJSK)福田
    ''' </remarks>
    '''---------------------------------------------
    Protected Sub EndProc()
        log(clsSysMst.logLevel.DBG, "EndProc", "画面クロース START")
        Try
            Me.AutoValidate = Windows.Forms.AutoValidate.Disable
            Me.Close()
        Catch ex As Exception
            Throw
        End Try
    End Sub

#End Region

#Region "オーバーライドメソッド"

    '''---------------------------------------------
    ''' <summary>
    ''' Ｆ１２キー押下による終了
    ''' </summary>
    ''' <remarks>
    ''' 2009/11/18 新規作成　FJSK)柳原<BR/>
    ''' </remarks>
    '''---------------------------------------------
    Public Overrides Function F12KeyProc() As Boolean
        log(clsSysMst.logLevel.NRM, "F12KeyProc", "Ｆ１２キー押下 Start")
        Try
            MyBase.F12KeyProc()
            EndProc()   '終了処理
        Catch ex As Exception
            Throw
        End Try
        Return True
    End Function

#End Region

End Class