﻿Imports XCM
Imports XSP
Imports System.Windows.Forms
Delegate Sub endAccessFormDelegate()
''' ---------------------------------------------
''' <summary>
''' 診療情報管理_マスタ保守_メインメニュー
''' </summary>
''' <remarks>
''' Copyright 2010 FUJITSU SHIKOKU SYSTEMS LIMITED All rights reserved.<BR/>
''' FUJITSU SHIKOKU SYSTEMS LIMITED CONFIDENTIAL<BR/>
''' </remarks>
''' ---------------------------------------------
Public Class MMS010F010

#Region "コンスタント"

    Private Const Tab_Cancer_Order As Integer = 5
    Private Const Tab_DPC_Order As Integer = 6

#End Region

#Region "変数"

    Private flgStatus As Boolean = False             '排他状況（True:排他中 False:排他失敗）

    Private HashAccessForm As Hashtable = Nothing    '.NET→ACCESS起動イベント用
    Private HashNetForm As Hashtable = Nothing       '.NET→.NET起動イベント用

#End Region

#Region "コンストラクタ"

    ''' ---------------------------------------------
    ''' <summary>
    ''' コンストラクタ
    ''' </summary>
    ''' <remarks>
    ''' 2010/08/24 新規作成 FJSK)福田
    ''' </remarks>
    ''' ---------------------------------------------
    Sub New()
        ' この呼び出しはデザイナーで必要です。
        InitializeComponent()
        ' InitializeComponent() 呼び出しの後で初期化を追加します。
    End Sub

#End Region

#Region "イベント"

    ''' ---------------------------------------------
    ''' <summary>
    ''' 画面ロード
    ''' </summary>
    ''' <remarks>
    ''' 2010/09/01 新規作成 FJSK)福田
    ''' </remarks>
    ''' ---------------------------------------------
    Private Sub MMS010F010_Load(ByVal sender As Object, ByVal e As System.EventArgs) Handles Me.Load
        log(clsSysMst.logLevel.NRM, "MMS010F010_Load", "画面ロード START")
        Dim cliEnv As clsEnv
        Dim cliCom As clsCom

        Dim FilePath As String = Nothing                    'Accessファイルのパス

        Try
            cliCom = New clsCom                             'cliEnv(動作環境)のインスタンス
            cliEnv = New clsEnv                             'cliComのインスタンス
            '排他制御登録
            If Me.setStartStatus(False) = False Then
                '画面を閉じる
                Me.setCloseFlg()
                Me.Close()
                Exit Sub
            End If

'(D) STR V4-12031-000 009 2012/08/02 FWEST)溝渕 DPC2012対応
			''DPCのタブの有無を設定　 　※OTR-X007対応のため、必ず非表示とする
			''MDBファイルパスを取得
			''FilePath = cliCom.setReportPath(clsConst.CST_MDB_DPCMDLNAME)
			''If System.IO.File.Exists(FilePath) = False Then
			''	Me.tab001MMS010F010.TabPages.RemoveAt(Tab_DPC_Order)
			''End If
			'Me.tab001MMS010F010.TabPages.RemoveAt(Tab_DPC_Order)
'(D) END V4-12031-000 009 2012/08/02 FWEST)溝渕 DPC2012対応

'(A) STR V4-12031-000 008 2012/08/02 FWEST)溝渕 DPC2012対応
			' 製品一覧を取得し、DPC権限によりDPCのタブの有無を設定
			Using cliXTM_PRODUCT As clsXTM_PRODUCT = New clsXTM_PRODUCT
				If cliXTM_PRODUCT.chkDPCLicense() = False Then
					Me.tab001MMS010F010.TabPages.RemoveAt(Tab_DPC_Order)
				End If
			End Using
'(A) END V4-12031-000 008 2012/08/02 FWEST)溝渕 DPC2012対応

			' 起動環境設定より、画面項目の表示の有無を決定する
			With clsSysMst.ctlConfigData
				' がん登録
				If String.IsNullOrEmpty(.BtgDir) OrElse Not System.IO.Directory.Exists(.BtgDir) Then
					' がん登録パスが存在しない場合、がん登録ボタンを非表示
					Me.tab001MMS010F010.TabPages.RemoveAt(Tab_Cancer_Order)
'(A) STR V4-12036-000 008 2012/07/16 FWEST)H.Y がん登録Ｖ２対応(マスタ保守メニュー)
				Else
					If .BtgDir.Contains(clsConst.CST_BG2_INST_FDR_NM) Then	'がん登録Ｖ２が存在する場合、検査・治療・補足抽出設定ボタンは無効
						Me.btn127MMS010F010.Enabled = False
						Me.btn128MMS010F010.Enabled = False
						Me.btn129MMS010F010.Enabled = False
					End If
'(A) END V4-12036-000 008 2012/07/16 FWEST)H.Y がん登録Ｖ２対応(マスタ保守メニュー)
				End If
			End With

			'排他中フラグ設定
			Me.flgStatus = True

			'初期フォーカスを設定
			Me.btn011MMS010F010.Select()

			'ハッシュテーブルに各ボタン名と画面コードをセットする
			setHashAccessForm()
			setHashNetForm()
		Catch ex As Exception
			Call Me.ErrorProc(ex)
			EndProc()
		Finally
			cliEnv = Nothing
			FilePath = Nothing
			cliCom = Nothing
		End Try
	End Sub

	''' ---------------------------------------------
	''' <summary>
	''' フォームクローズ
	''' </summary>
	''' <remarks>
	''' 2010/09/01 新規作成 FJSK)福田
	''' </remarks>
	''' ---------------------------------------------
	Private Sub MMS010F010_FormClosing(ByVal sender As Object, ByVal e As System.Windows.Forms.FormClosingEventArgs) Handles Me.FormClosing
		log(clsSysMst.logLevel.NRM, "MMS010F010_FormClosing", "フォームクローズ")
		Try
			'排他中なら排他解除
			If Me.flgStatus Then Me.delStartStatus()
		Catch ex As Exception
			ErrorProc(ex)
		Finally
			'終了時に変数を解放する
			flgStatus = Nothing
			HashAccessForm = Nothing
			HashNetForm = Nothing
		End Try
	End Sub

	''' ---------------------------------------------
	''' <summary>
	''' .NET→ACCESS起動イベント
	''' </summary>
	''' <remarks>
	''' 2010/08/31 新規作成 FJSK)福田
	''' </remarks>
	''' ---------------------------------------------
	Private Sub btnAccess_Click(ByVal sender As System.Object, ByVal e As System.EventArgs) Handles btn013MMS010F010.Click, _
																									btn014MMS010F010.Click, _
																									btn017MMS010F010.Click, _
																									btn021MMS010F010.Click, _
																									btn022MMS010F010.Click, _
																									btn023MMS010F010.Click, _
																									btn026MMS010F010.Click, _
																									btn027MMS010F010.Click, _
																									btn028MMS010F010.Click, _
																									btn029MMS010F010.Click, _
																									btn030MMS010F010.Click, _
																									btn031MMS010F010.Click, _
																									btn032MMS010F010.Click, _
																									btn033MMS010F010.Click, _
																									btn034MMS010F010.Click, _
																									btn035MMS010F010.Click, _
																									btn036MMS010F010.Click, _
																									btn037MMS010F010.Click, _
																									btn038MMS010F010.Click, _
																									btn039MMS010F010.Click, _
																									btn040MMS010F010.Click, _
																									btn041MMS010F010.Click, _
																									btn042MMS010F010.Click, _
																									btn044MMS010F010.Click, _
																									btn045MMS010F010.Click, _
																									btn046MMS010F010.Click, _
																									btn049MMS010F010.Click, _
																									btn050MMS010F010.Click, _
																									btn051MMS010F010.Click, _
																									btn054MMS010F010.Click, _
																									btn055MMS010F010.Click, _
																									btn056MMS010F010.Click, _
																									btn059MMS010F010.Click, _
																									btn060MMS010F010.Click, _
																									btn061MMS010F010.Click, _
																									btn062MMS010F010.Click, _
																									btn063MMS010F010.Click, _
																									btn064MMS010F010.Click, _
																									btn065MMS010F010.Click, _
																									btn066MMS010F010.Click, _
																									btn068MMS010F010.Click, _
																									btn071MMS010F010.Click, _
																									btn072MMS010F010.Click, _
																									btn075MMS010F010.Click, _
																									btn076MMS010F010.Click, _
																									btn079MMS010F010.Click, _
																									btn080MMS010F010.Click, _
																									btn081MMS010F010.Click, _
																									btn082MMS010F010.Click, _
																									btn085MMS010F010.Click, _
																									btn086MMS010F010.Click, _
																									btn087MMS010F010.Click, _
																									btn088MMS010F010.Click, _
																									btn089MMS010F010.Click, _
																									btn092MMS010F010.Click, _
																									btn093MMS010F010.Click, _
																									btn094MMS010F010.Click, _
																									btn097MMS010F010.Click, _
																									btn100MMS010F010.Click, _
																									btn101MMS010F010.Click, _
																									btn102MMS010F010.Click, _
																									btn103MMS010F010.Click, _
																									btn106MMS010F010.Click, _
																									btn107MMS010F010.Click, _
																									btn108MMS010F010.Click, _
																									btn109MMS010F010.Click, _
																									btn110MMS010F010.Click, _
																									btn111MMS010F010.Click, _
																									btn114MMS010F010.Click, _
																									btn115MMS010F010.Click, _
																									btn118MMS010F010.Click, _
																									btn121MMS010F010.Click, _
																									btn127MMS010F010.Click, _
																									btn128MMS010F010.Click, _
																									btn129MMS010F010.Click, _
																									btn130MMS010F010.Click, _
																									btn133MMS010F010.Click, _
																									btn134MMS010F010.Click, _
																									btn135MMS010F010.Click, _
																									btn136MMS010F010.Click
'(A) STR V4-12031-000 003 2012/06/07 ID)平井 DPC2012対応 btn136MMS010F010.Click 追加
'(A) END V4-12031-000 003 2012/06/07 ID)平井 DPC2012対応
		log(clsSysMst.logLevel.NRM, "btnAccess_Click", "『" & sender.text & "』 .NET→ACCESS起動イベント")
		Try
			'ボタン無効化
			setControlEnable(False)

			'スレッド実行
			Dim thread As New Threading.Thread(AddressOf Me.execAccessFormThread)
			thread.Start(sender)

		Catch ex As Exception
			ErrorProc(ex)
		Finally
		End Try
	End Sub

	''' ---------------------------------------------
	''' <summary>
	''' .NET→.NET起動イベント
	''' </summary>
	''' <remarks>
	''' 2010/08/31 新規作成 FJSK)福田
	''' </remarks>
	''' ---------------------------------------------
	Private Sub btnNet_Click(ByVal sender As System.Object, ByVal e As System.EventArgs) Handles btn011MMS010F010.Click, _
																								 btn012MMS010F010.Click, _
																								 btn043MMS010F010.Click, _
																								 btn124MMS010F010.Click
		log(clsSysMst.logLevel.NRM, "btnNet_Click", "『" & sender.text & "』.NET→.NET起動イベント")
		Try

			'Dim oExe As System.Reflection.Assembly = _
			'            System.Reflection.Assembly.LoadFrom(Strings.Left((HashNetForm(CType(sender, Control).Name)), 3) + ".dll")
			''表示するフォームの型を取得
			'Dim oType As Type = oExe.GetType(HashNetForm(CType(sender, Control).Name), False, True)

			'インスタンスの生成
			Dim oObj As Object = Activator.CreateInstance(HashNetForm(CType(sender, Control).Name))

			'CType関数でフォーム型に変換
			Dim oForm As Form
			oForm = CType(oObj, Form)
			nextForm(oForm)

		Catch ex As Exception
			Throw
		Finally
		End Try
	End Sub

	''' ---------------------------------------------
	''' <summary>
	''' スレッド処理(フォームオープン)
	''' </summary>
	''' <remarks>
	''' 2010/09/21 新規作成 FJSK)福田
	''' </remarks>
	''' ---------------------------------------------
	Public Sub execAccessFormThread(ByVal pSender)
		log(clsSysMst.logLevel.NRM, "execAccessFormThread", "スレッド処理(フォームオープン)")
		Dim cliAccessForm As clsAccessForm
		Try
			cliAccessForm = New clsAccessForm
			'アクセスフォームを開く
			cliAccessForm.OpenAccessForm(Me, HashAccessForm(CType(pSender, Control).Name), Me.Name, Me._userID, Me._userName)
		Catch ex As Exception
			ErrorProc(ex)
		Finally
			Try
				Me.Invoke(New endAccessFormDelegate(AddressOf endAccessFormInvoker))
				cliAccessForm = Nothing
			Catch ex As Exception
			End Try
		End Try
	End Sub

	''' ---------------------------------------------
	''' <summary>
	''' AccessFormスレッド終了Invoke処理 Start
	''' </summary>
	''' <remarks>
	''' 2010/09/21 新規作成 FJSK)福田
	''' </remarks>
	''' ---------------------------------------------
	Private Sub endAccessFormInvoker()
		log(clsSysMst.logLevel.NRM, "endAccessFormInvoker", "AccessFormスレッド終了Invoke処理 Start")
		Try
			setControlEnable(True)			  'ボタン有効化
		Catch ex As Exception
			Throw
		End Try
	End Sub

	''' ---------------------------------------------
	''' <summary>
	''' タブ変更時、先頭ボタンを選択
	''' </summary>
	''' <remarks>
	''' 2010/11/22 新規作成 FJSK)福田
	''' </remarks>
	''' ---------------------------------------------
	Private Sub tab001MMS010F010_SelectedIndexChanged(ByVal sender As Object, ByVal e As System.EventArgs) Handles tab001MMS010F010.SelectedIndexChanged
		log(clsSysMst.logLevel.NRM, "tab001MMS010F010_SelectedIndexChanged", "タブ変更時、先頭ボタンを選択")
		Try
			Select Case Me.tab001MMS010F010.SelectedTab.Name
				Case Me.tag002MMS010F010.Name
					'『頻用』タブ選択時
					Me.btn011MMS010F010.Focus()
				Case Me.tag003MMS010F010.Name
					'『マスタ１』タブ選択時
					Me.btn017MMS010F010.Focus()
				Case Me.tag004MMS010F010.Name
					'『マスタ２』タブ選択時
					Me.btn054MMS010F010.Focus()
				Case Me.tag005MMS010F010.Name
					'『マスタ３』タブ選択時
					Me.btn085MMS010F010.Focus()
				Case Me.tag006MMS010F010.Name
					'『マスタ４』タブ選択時
					Me.btn114MMS010F010.Focus()
				Case Me.tag007MMS010F010.Name
					'『がん登録』タブ選択時
					Me.btn127MMS010F010.Focus()
				Case Me.tag008MMS010F010.Name
					'『DPC』タブ選択時
					Me.btn133MMS010F010.Focus()
			End Select
		Catch ex As Exception
			ErrorProc(ex)
		End Try
	End Sub

#End Region

#Region "メソッド"

	''' ---------------------------------------------
	''' <summary>
	''' ハッシュテーブルの設定(ACCESS)
	''' </summary>
	''' <remarks>
	''' 2010/09/01 新規作成 FJSK)福田
	''' </remarks>
	''' ---------------------------------------------
	Private Sub setHashAccessForm()
		log(clsSysMst.logLevel.DBG, "setHashAccessForm", "ハッシュテーブルの設定(ACCESS)")
		Try
			HashAccessForm = New Hashtable
			'HashAccessForm.Add(Me.btn011MMS010F010.Name, clsAccessForm.Enum_AccessForm.F_STAFF)                    '.netに移行
			'HashAccessForm.Add(Me.btn012MMS010F010.Name, clsAccessForm.Enum_AccessForm.F_USER)                     '.netに移行
			HashAccessForm.Add(Me.btn013MMS010F010.Name, clsAccessForm.Enum_AccessForm.F_DISEASE)
			HashAccessForm.Add(Me.btn014MMS010F010.Name, clsAccessForm.Enum_AccessForm.F_OPE_NM)
			HashAccessForm.Add(Me.btn017MMS010F010.Name, clsAccessForm.Enum_AccessForm.F_NATIONALITY)
			'HashAccessForm.Add(Me.btn018MMS010F010.Name, clsAccessForm.Enum_AccessForm.F_SMOKING_CHK)              'マスタメンテ画面を作成しない
			HashAccessForm.Add(Me.btn021MMS010F010.Name, clsAccessForm.Enum_AccessForm.F_DECEASE_DIV_NM)
			HashAccessForm.Add(Me.btn022MMS010F010.Name, clsAccessForm.Enum_AccessForm.F_POSTPERATIVE_DECEASE_DIV)
			HashAccessForm.Add(Me.btn023MMS010F010.Name, clsAccessForm.Enum_AccessForm.F_DECEASE_LCT)
			HashAccessForm.Add(Me.btn026MMS010F010.Name, clsAccessForm.Enum_AccessForm.F_ADDRESS)
			HashAccessForm.Add(Me.btn027MMS010F010.Name, clsAccessForm.Enum_AccessForm.F_AREA)
			HashAccessForm.Add(Me.btn028MMS010F010.Name, clsAccessForm.Enum_AccessForm.F_DEPT)
			HashAccessForm.Add(Me.btn029MMS010F010.Name, clsAccessForm.Enum_AccessForm.F_WARD)
			HashAccessForm.Add(Me.btn030MMS010F010.Name, clsAccessForm.Enum_AccessForm.F_HSP_AIM)
			HashAccessForm.Add(Me.btn031MMS010F010.Name, clsAccessForm.Enum_AccessForm.F_HSP_FORM)
			HashAccessForm.Add(Me.btn032MMS010F010.Name, clsAccessForm.Enum_AccessForm.F_PLAN_EMERGENCY)
			HashAccessForm.Add(Me.btn033MMS010F010.Name, clsAccessForm.Enum_AccessForm.F_HSP_CHANNEL)
			HashAccessForm.Add(Me.btn034MMS010F010.Name, clsAccessForm.Enum_AccessForm.F_DISCHARGE_CHANNEL)
			HashAccessForm.Add(Me.btn035MMS010F010.Name, clsAccessForm.Enum_AccessForm.F_DISCHARGE_OUTCOME)
			HashAccessForm.Add(Me.btn036MMS010F010.Name, clsAccessForm.Enum_AccessForm.F_DOCTOR_DIV)
			HashAccessForm.Add(Me.btn037MMS010F010.Name, clsAccessForm.Enum_AccessForm.F_INFECTION)
			HashAccessForm.Add(Me.btn038MMS010F010.Name, clsAccessForm.Enum_AccessForm.F_ALLERGY)
			HashAccessForm.Add(Me.btn039MMS010F010.Name, clsAccessForm.Enum_AccessForm.F_JOB)
			HashAccessForm.Add(Me.btn040MMS010F010.Name, clsAccessForm.Enum_AccessForm.F_INSURANCE)
			HashAccessForm.Add(Me.btn041MMS010F010.Name, clsAccessForm.Enum_AccessForm.F_RELATIONSHIP)
			HashAccessForm.Add(Me.btn042MMS010F010.Name, clsAccessForm.Enum_AccessForm.F_LIVE_TOGETHER_STATE)
			'HashAccessForm.Add(Me.btn043MMS010F010.Name, clsAccessForm.Enum_AccessForm.F_MED_AGENCY)               '.netに移行
			HashAccessForm.Add(Me.btn044MMS010F010.Name, clsAccessForm.Enum_AccessForm.F_OTHER_DEPT)
			HashAccessForm.Add(Me.btn045MMS010F010.Name, clsAccessForm.Enum_AccessForm.F_CNR_REG_STATUS)
			HashAccessForm.Add(Me.btn046MMS010F010.Name, clsAccessForm.Enum_AccessForm.F_REG_STATUS)
			HashAccessForm.Add(Me.btn049MMS010F010.Name, clsAccessForm.Enum_AccessForm.F_HSP_ITM)
			HashAccessForm.Add(Me.btn050MMS010F010.Name, clsAccessForm.Enum_AccessForm.F_HSP_ITM_CNT)
			HashAccessForm.Add(Me.btn051MMS010F010.Name, clsAccessForm.Enum_AccessForm.F_EXTRACT_ITM_SET)
			HashAccessForm.Add(Me.btn054MMS010F010.Name, clsAccessForm.Enum_AccessForm.F_DISEASE_DIV)
			HashAccessForm.Add(Me.btn055MMS010F010.Name, clsAccessForm.Enum_AccessForm.F_DISEASE_OUTCOME)
			HashAccessForm.Add(Me.btn056MMS010F010.Name, clsAccessForm.Enum_AccessForm.F_DISEASE_FORM)
			HashAccessForm.Add(Me.btn059MMS010F010.Name, clsAccessForm.Enum_AccessForm.F_OPE_DIV)
			HashAccessForm.Add(Me.btn060MMS010F010.Name, clsAccessForm.Enum_AccessForm.F_ANESTHESIA_GRP)
			HashAccessForm.Add(Me.btn061MMS010F010.Name, clsAccessForm.Enum_AccessForm.F_OPE_CNT)
			HashAccessForm.Add(Me.btn062MMS010F010.Name, clsAccessForm.Enum_AccessForm.F_OPE_ASSIST_DIV)
			HashAccessForm.Add(Me.btn063MMS010F010.Name, clsAccessForm.Enum_AccessForm.F_OPE_PLAN_EMERGENCY)
			HashAccessForm.Add(Me.btn064MMS010F010.Name, clsAccessForm.Enum_AccessForm.F_OPE_DOCTOR_DIV)
			HashAccessForm.Add(Me.btn065MMS010F010.Name, clsAccessForm.Enum_AccessForm.F_ANESTHESIA)
			HashAccessForm.Add(Me.btn066MMS010F010.Name, clsAccessForm.Enum_AccessForm.F_OPE_PART_CNT)
			'HashAccessForm.Add(Me.btn067MMS010F010.Name, clsAccessForm.Enum_AccessForm.F_BLOOD_TRAN)              'マスタメンテ画面を作成しない
			HashAccessForm.Add(Me.btn068MMS010F010.Name, clsAccessForm.Enum_AccessForm.F_OPE_ASSIST_DIV2)
			HashAccessForm.Add(Me.btn071MMS010F010.Name, clsAccessForm.Enum_AccessForm.F_INSPECT_DIV)
			HashAccessForm.Add(Me.btn072MMS010F010.Name, clsAccessForm.Enum_AccessForm.F_INSPECT_ASSIST_DIV)
			HashAccessForm.Add(Me.btn075MMS010F010.Name, clsAccessForm.Enum_AccessForm.F_CARE_DISPOSAL_DIV)
			HashAccessForm.Add(Me.btn076MMS010F010.Name, clsAccessForm.Enum_AccessForm.F_CARE_DISPOSAL_ASSIST_DIV)
			HashAccessForm.Add(Me.btn079MMS010F010.Name, clsAccessForm.Enum_AccessForm.F_PATH)
			HashAccessForm.Add(Me.btn080MMS010F010.Name, clsAccessForm.Enum_AccessForm.F_VARIANCE_TYPE)
			HashAccessForm.Add(Me.btn081MMS010F010.Name, clsAccessForm.Enum_AccessForm.F_VARIANCE_CHK)
			HashAccessForm.Add(Me.btn082MMS010F010.Name, clsAccessForm.Enum_AccessForm.F_VARIANCE_REASON)
			HashAccessForm.Add(Me.btn085MMS010F010.Name, clsAccessForm.Enum_AccessForm.F_CAESAREAN_OPERATION)
			HashAccessForm.Add(Me.btn086MMS010F010.Name, clsAccessForm.Enum_AccessForm.F_CB_DIV_ITM)
			HashAccessForm.Add(Me.btn087MMS010F010.Name, clsAccessForm.Enum_AccessForm.F_CB_DIV_CNT)
			HashAccessForm.Add(Me.btn088MMS010F010.Name, clsAccessForm.Enum_AccessForm.F_CB_CHK_ITM)
			HashAccessForm.Add(Me.btn089MMS010F010.Name, clsAccessForm.Enum_AccessForm.F_CB_ABORTION_LCT)
			HashAccessForm.Add(Me.btn092MMS010F010.Name, clsAccessForm.Enum_AccessForm.F_EMERGENCY_OUTMETHOD)
			HashAccessForm.Add(Me.btn093MMS010F010.Name, clsAccessForm.Enum_AccessForm.F_EMERGENCY_INMETHOD)
			HashAccessForm.Add(Me.btn094MMS010F010.Name, clsAccessForm.Enum_AccessForm.F_EMERGENCY_SEVERE_DIV)
			HashAccessForm.Add(Me.btn097MMS010F010.Name, clsAccessForm.Enum_AccessForm.F_MED_COST_ITM)
			HashAccessForm.Add(Me.btn100MMS010F010.Name, clsAccessForm.Enum_AccessForm.F_ASSIST_TAB)
			HashAccessForm.Add(Me.btn101MMS010F010.Name, clsAccessForm.Enum_AccessForm.F_ASSIST1_ITM)
			HashAccessForm.Add(Me.btn102MMS010F010.Name, clsAccessForm.Enum_AccessForm.F_ASSIST2_ITM)
			HashAccessForm.Add(Me.btn103MMS010F010.Name, clsAccessForm.Enum_AccessForm.F_ASSIST2_CONT)
			HashAccessForm.Add(Me.btn106MMS010F010.Name, clsAccessForm.Enum_AccessForm.F_LENDITEM)
			HashAccessForm.Add(Me.btn107MMS010F010.Name, clsAccessForm.Enum_AccessForm.F_LENDITEM_MNGSTATUS)
			HashAccessForm.Add(Me.btn108MMS010F010.Name, clsAccessForm.Enum_AccessForm.F_LENDITEM_KEEPLCT)
			HashAccessForm.Add(Me.btn109MMS010F010.Name, clsAccessForm.Enum_AccessForm.F_LENDITEM_ARG_STATUS)
			HashAccessForm.Add(Me.btn110MMS010F010.Name, clsAccessForm.Enum_AccessForm.F_LENDAIM)
			HashAccessForm.Add(Me.btn111MMS010F010.Name, clsAccessForm.Enum_AccessForm.F_LENDITEM_LCT)
			HashAccessForm.Add(Me.btn114MMS010F010.Name, clsAccessForm.Enum_AccessForm.F_INSPECT_TAB)
			HashAccessForm.Add(Me.btn115MMS010F010.Name, clsAccessForm.Enum_AccessForm.F_INSPECT)
			HashAccessForm.Add(Me.btn118MMS010F010.Name, clsAccessForm.Enum_AccessForm.F_STATISTICS_AXIS_DIV)
			HashAccessForm.Add(Me.btn121MMS010F010.Name, clsAccessForm.Enum_AccessForm.F_SEARCH_CND)
			'HashAccessForm.Add(Me.btn124MMS010F010.Name, clsAccessForm.Enum_AccessForm.F_HSP_NM)                    '.netに移行
			HashAccessForm.Add(Me.btn127MMS010F010.Name, clsAccessForm.Enum_AccessForm.F_CNR_INSPECT_ITM_SET)
			HashAccessForm.Add(Me.btn128MMS010F010.Name, clsAccessForm.Enum_AccessForm.F_CNR_CARE_ITM_SET)
			HashAccessForm.Add(Me.btn129MMS010F010.Name, clsAccessForm.Enum_AccessForm.F_CNR_EXTRACT_ITM_SET)
			HashAccessForm.Add(Me.btn130MMS010F010.Name, clsAccessForm.Enum_AccessForm.F_IMP_DISEASE)
			HashAccessForm.Add(Me.btn133MMS010F010.Name, clsAccessForm.Enum_AccessForm.F_DPC2006)
			HashAccessForm.Add(Me.btn134MMS010F010.Name, clsAccessForm.Enum_AccessForm.F_DPC2008)
			HashAccessForm.Add(Me.btn135MMS010F010.Name, clsAccessForm.Enum_AccessForm.F_DPC2010)
'(A) STR V4-12031-000 003 2012/06/07 ID)平井 DPC2012対応
			HashAccessForm.Add(Me.btn136MMS010F010.Name, clsAccessForm.Enum_AccessForm.F_DPC2012)
'(A) END V4-12031-000 003 2012/06/07 ID)平井 DPC2012対応
		Catch ex As Exception
			Throw
		End Try
	End Sub

	''' ---------------------------------------------
	''' <summary>
	''' ハッシュテーブルの設定(.net)
	''' </summary>
	''' <remarks>
	''' 2010/09/01 新規作成 FJSK)福田
	''' </remarks>
	''' ---------------------------------------------
	Private Sub setHashNetForm()
		log(clsSysMst.logLevel.DBG, "setHashNetForm", "ハッシュテーブルの設定(.net)")
		Try
			HashNetForm = New Hashtable
			HashNetForm.Add(Me.btn011MMS010F010.Name, GetType(XMS.XMS020F010))		'職員マスタ
			HashNetForm.Add(Me.btn012MMS010F010.Name, GetType(XMS.XMS030F010))		'使用者マスタ
			HashNetForm.Add(Me.btn043MMS010F010.Name, GetType(XMS.XMS130F010))		'医療機関マスタ
			HashNetForm.Add(Me.btn124MMS010F010.Name, GetType(XMS.XMS040F010))		'病院名マスタ
		Catch ex As Exception
			Throw
		End Try
	End Sub

	''' ---------------------------------------------
	''' <summary>
	''' ボタン使用可否設定
	''' </summary>
	''' <remarks>
	''' 2010/09/21 新規作成 FJSK)福田
	''' </remarks>
	''' ---------------------------------------------
	Private Sub setControlEnable(ByVal pEnable As Boolean)
		log(clsSysMst.logLevel.DBG, "setControlEnable", "ボタン使用可否設定")
		Try
			Me.tab001MMS010F010.Enabled = pEnable
			Me.btn007MMS000F010.Enabled = pEnable
		Catch ex As Exception
			Throw
		End Try
	End Sub


#End Region

#Region "オーバーライドメソッド"


    ''' ---------------------------------------------
    ''' <summary>
    ''' Ｆ１０キー押下処理
    ''' </summary>
    ''' <returns></returns>
    ''' <remarks>
    ''' 2010/10/13 新規作成　FJSK)福田<BR/>
    ''' </remarks>
    ''' ---------------------------------------------
    Public Overrides Function F10KeyProc() As Boolean
        log(clsSysMst.logLevel.NRM, "F10KeyProc", "Ｆ１０キー押下処理")
        Try
            'タブコントロールが使用不可(スレッド)の場合は処理しない
            If Me.tab001MMS010F010.Enabled Then
                If Me.tab001MMS010F010.SelectedIndex >= Me.tab001MMS010F010.TabPages.Count - 1 Then
                    Me.tab001MMS010F010.SelectedIndex = 0
                Else
                    Me.tab001MMS010F010.SelectedIndex += 1
                End If
            End If
        Catch ex As Exception
            Throw
        End Try
        Return True
    End Function

    '''---------------------------------------------
    ''' <summary>
    ''' Ｆ１２キー押下による終了
    ''' </summary>
    ''' <remarks>
    ''' 2010/09/22 新規作成　FJSK)福田<BR/>
    ''' </remarks>
    '''---------------------------------------------
    Public Overrides Function F12KeyProc() As Boolean
        log(clsSysMst.logLevel.NRM, "F12KeyProc", "Ｆ１２キー押下 Start")
        Try
            '終了ボタンが使用不可(スレッド)の場合は処理しない
            If Me.btn007MMS000F010.Enabled Then
                MyBase.F12KeyProc()
            End If
        Catch ex As Exception
            Throw
        End Try
        Return True
    End Function

#End Region

End Class
