﻿Imports System.Runtime.ConstrainedExecution
Imports XCM
Imports XSP
''' ---------------------------------------------
''' <summary>
''' 診療情報管理 共通帳票  EXCEL出力継承元クラス
''' </summary>
''' <remarks>
''' Copyright 2010 FUJITSU SHIKOKU SYSTEMS LIMITED All rights reserved.<BR/>
''' FUJITSU SHIKOKU SYSTEMS LIMITED CONFIDENTIAL<BR/>
''' </remarks>
''' ---------------------------------------------
Public Class MRP000E010

#Region "解放処理"
	'確実な解放処理を実行するために指定
	Inherits CriticalFinalizerObject
	'解放処理を実装する為に指定
	Implements IDisposable

	''' ---------------------------------------------
	''' <summary>
	''' Dispose（解放処理）※外からはよばない
	''' </summary>
	''' <param name="disposing"></param>
	''' <remarks>
	''' 2010/10/19 新規作成　ACS)仙頭<BR/>
	''' </remarks>
	''' ---------------------------------------------
	Protected Overridable Overloads Sub Dispose(ByVal disposing As Boolean)
		If disposing Then
			'IN項目
			Me.pForm = Nothing
			Me.pDgv = Nothing
			Me.pTempFile = Nothing
			Me.pPutName = Nothing
			Me.pPutPath = Nothing
			Me.pPrivacy = Nothing
			Me.SheetName = Nothing
		End If
	End Sub

	''' ---------------------------------------------
	''' <summary>
	''' Finalize（解放処理）
	''' </summary>
	''' <remarks>
	''' 2010/10/19 新規作成　ACS)仙頭<BR/>
	''' </remarks>
	''' ---------------------------------------------
	Public Overloads Sub Dispose() Implements IDisposable.Dispose
		Dispose(True)
		MyBase.Finalize()
		GC.SuppressFinalize(Me)
	End Sub

	''' ---------------------------------------------
	''' <summary>
	''' Finalize（解放処理）※外からはよばない
	''' </summary>
	''' <remarks>
	''' 2010/10/19 新規作成　ACS)仙頭<BR/>
	''' </remarks>
	''' ---------------------------------------------
	Protected Overrides Sub Finalize()
		Dispose(False)
		MyBase.Finalize()
	End Sub

#End Region

#Region "コンスタント"

	Private Const CST_LOG_CLASS As String = "EXCEL出力継承元クラス"

#End Region

#Region "変数"
	'IN項目
	Protected pForm As frmBase = Nothing							'遷移元画面
	Protected pDgv As DataGridView = Nothing						'出力元一覧
	Protected pTempFile As String = Nothing							'雛型ファイル
	Protected pPutPath As String = Nothing							'出力先
	Protected pPutName As String = Nothing							'出力名
	Protected pPrivacy As Boolean = Nothing							'個人情報出力フラグ

	Private _LendParam As Boolean = False

	Protected SheetName() As String = Nothing						'シート名配列
#End Region

#Region "プロパティ"

	''' ---------------------------------------------
	''' <summary>
	''' 貸出管理用ＤＢパラメータ必要有無
	''' </summary>
	''' <value>True:必要/False:無</value>
	''' <remarks>
	''' 2010/12/08 新規作成 ACS)仙頭<BR/>
	''' </remarks>
	''' ---------------------------------------------
	Protected Property LendParam() As Boolean
		Get
			Return Me._LendParam
		End Get
		Set(ByVal value As Boolean)
			Me._LendParam = value
		End Set
	End Property

#End Region

#Region "コンストラクタ"

	''' ---------------------------------------------
	''' <summary>
	''' コンストラクタ
	''' </summary>
	''' <param name="pForm">遷移元画面</param>
	''' <param name="pDgv">出力元グリッド</param>
	''' <param name="pTempFile">雛型ファイル</param>
	''' <param name="pPutName">出力ファイル</param>
	''' <param name="pPutPath">出力先</param>
	''' <param name="pPrivacy">個人情報出力フラグ</param>
	''' <remarks>
	''' 2010/10/19 新規作成　ACS)仙頭<BR/>
	''' </remarks>
	''' ---------------------------------------------
	Sub New(ByVal pForm As frmBase, ByVal pDgv As DataGridView, ByVal pTempFile As String, ByVal pPutName As String, ByVal pPutPath As String, ByVal pPrivacy As Boolean)
		'IN項目引き継ぎ
		Me.pForm = pForm
		Me.pDgv = pDgv
		Me.pTempFile = pTempFile
		Me.pPutName = pPutName
		Me.pPutPath = pPutPath
		Me.pPrivacy = pPrivacy
	End Sub

#End Region

#Region "オーバーライダブルメソッド"

	''' ---------------------------------------------
	''' <summary>
	''' Excel出力
	''' </summary>
	''' <returns>正常/異常終了</returns>
	''' <remarks>
	''' 2010/10/19 新規作成　ACS)仙頭<BR/>
	''' </remarks>
	''' ---------------------------------------------
	Public Overridable Function exeExcel() As Boolean
		clsSysMst.logEx(clsSysMst.logLevel.DBG, Me.GetType.Assembly.GetName.Name, Me.GetType.Name, "exeExcel", clsMRPCOMMON.CST_LOG_PRODUCT, CST_LOG_CLASS, "出力・プレビュー処理 START")

		Dim cliCom As clsCom												'共通クラス
		Dim cliPrintSetting As clsXTM_PRINTSETTING_EXCEL					'印刷設定EXCELクラス
		Dim datPrintSetting As datXTM_PRINTSETTING_EXCEL_OneRec = Nothing	'印刷設定
		Dim cliExcelFunc As clsExcelFunc									'Excel作業クラス

		Dim dt As DataTable = Nothing
		Dim outfile As String = Nothing
'(A) STR V4-14044-000 003 20130717 ID)鐘井 病歴大将のバージョン対応
        Dim ExcelPrm As String() = Nothing
'(A) END V4-14044-000 003 20130717 ID)鐘井 病歴大将のバージョン対応

		Try
			cliCom = New clsCom
			'出力先の決定
			Me.pPutName = cliCom.getFileName(Me.pPutName)
			If Me.pPutPath Is Nothing Then
				outfile = cliCom.setExcelPutPath(Me.pPutName & clsExcel.CST_KAKUTYOUSI)
			Else
				outfile = My.Computer.FileSystem.CombinePath(Me.pPutPath, Me.pPutName & clsExcel.CST_KAKUTYOUSI)
			End If

			'EXCEL設定情報の確認
			cliPrintSetting = New clsXTM_PRINTSETTING_EXCEL
			cliExcelFunc = New clsExcelFunc
			datPrintSetting = cliPrintSetting.getChkExcelSettingOneRec(Me.pForm.Name, Me.GetType.Name, Me.pTempFile, cliExcelFunc)
			If datPrintSetting Is Nothing Then
				Return False
			End If

			'シートの存在確認
			If Me.SheetName IsNot Nothing AndAlso Me.SheetName.Length > 0 Then
				If Me.chkSheetName(cliExcelFunc.getSheetNames(Me.pTempFile), Me.SheetName) = False Then Return False
			End If

			'EXCELフォルダ確認
			If Not IO.Directory.Exists(cliCom.getExcelFolder) Then
				clsSysMst.showMsgEx("E0003", "EXCEL出力フォルダが存在しない", "EXCEL出力", "必要フォルダ：" & cliCom.getExcelFolder)
				Return False
			End If
'(D) STR V4-11021-000 008 20110816 FJSK)荒川 XXX号 病歴大将V4PKG問題点No102 「確認ﾒｯｾｰｼﾞ」を出力しているが、それを廃止対応
'			'上書き確認
'			If IO.File.Exists(outfile) Then
'				If Me.pForm.confMsg("Q0005", "既に出力ファイルが存在します。上書き", Nothing) <> MsgBoxResult.Ok Then
'					Return False
'				End If
'			End If
'(D) END V4-11021-000 008 20110816
			'データの取得
			dt = Me.getData()
			If dt Is Nothing OrElse dt.Rows.Count = 0 Then
				clsSysMst.showMsgEx("E0004")
                Return False
'(A) STR V4-14031-000 004 20130611 ID)荒川 貸出管理No.362　EXCEL出力　1万行に抑えて出力を行う対応
            ElseIf dt.Rows.Count > clsConst.CST_EXCEL_OUTROWS_MAXCNT Then
                pForm.showMsg("I0023", clsConst.CST_EXCEL_OUTROWS_MAXCNT, clsConst.CST_EXCEL_OUTROWS_MAXCNT + 1, Nothing)
'(A) END V4-14031-000 004 20130611 ID)荒川 貸出管理No.362　EXCEL出力　1万行に抑えて出力を行う対応
            End If
'(A) STR V4-14044-000 003 20130717 ID)鐘井 病歴大将のバージョン対応
            ExcelPrm = New String() {Str(dt.Rows.Count)}
'(A) END V4-14044-000 003 20130717 ID)鐘井 病歴大将のバージョン対応

            'EXCEL作成
            Using xlApp As clsExcel = New clsExcel(False)
                ' Workbooks コレクション
                Using xlBooks As clsExcelBooks = New clsExcelBooks(xlApp, False)
                    ' 出力用 Workbook、ひな形 Workbook
'(M) STR V4-11020-000 005 20110812 FJSK)荒川 XXX号 病歴大将V4PKG問題点No103 EXCEL出力でテンプレートと同じファイル名で出力するとエラー対応
'					Using xlOBook As clsExcelBook = New clsExcelBook(xlBooks, False), _
'					   xlMBook As clsExcelBook = New clsExcelBook(xlBooks, Me.pTempFile, True)
                    Using xlOBook As clsExcelBook = New clsExcelBook(xlBooks, False)
'(M) END V4-11020-000 005 20110812
                        Try
                            ' 出力用 Worksheets、ひな形 Worksheets
'(M) STR V4-11020-000 005 20110812 FJSK)荒川 XXX号 病歴大将V4PKG問題点No103 EXCEL出力でテンプレートと同じファイル名で出力するとエラー対応
'							Using xlOSheets As clsExcelSheets = New clsExcelSheets(xlOBook), _
'								  xlMSheets As clsExcelSheets = New clsExcelSheets(xlMBook)
                            Using xlOSheets As clsExcelSheets = New clsExcelSheets(xlOBook)
'(M) END V4-11020-000 005 20110812
                                ' 出力用 Worksheet
                                Using xlOSheet As clsExcelSheet = New clsExcelSheet

                                    '新規Bookのシートをクリアし、雛型に合わせる
                                    ' 先頭をダミー用シートに設定
                                    If xlOSheets.Count = 0 Then
                                        ' シートがない場合は新しいシートを追加
                                        xlOSheets.Add()
                                    Else
                                        ' シートがある場合は１つだけ残し、以外を削除する
                                        For i As Integer = xlOSheets.Count To 2 Step -1
                                            xlOSheet.SetSheet(xlOSheets, i)
                                            xlOSheet.Delete()
                                        Next
                                    End If
                                    'シートの先頭を選択
                                    xlOSheet.SetSheet(xlOSheets, 1)

'(A) STR V4-11020-000 004 20110812 FJSK)荒川 XXX号 病歴大将V4PKG問題点No103 EXCEL出力でテンプレートと同じファイル名で出力するとエラー対応
                                    Using xlMBook As clsExcelBook = New clsExcelBook(xlBooks, Me.pTempFile, True)
                                        Using xlMSheets As clsExcelSheets = New clsExcelSheets(xlMBook)
'(A) END V4-11020-000 004 20110812
                                            ' 出力用 Worksheets に、ひな形 Worksheets を追加
                                            xlMSheets.CopyAfterSheets(xlOSheet)
'(A) STR V4-11020-000 004 20110812 FJSK)荒川 XXX号 病歴大将V4PKG問題点No103 EXCEL出力でテンプレートと同じファイル名で出力するとエラー対応
                                        End Using
                                    End Using
'(A) END V4-11020-000 004 20110812

                                    ' ダミー用シートの削除
                                    xlOSheet.SetSheet(xlOSheets, 1)
                                    xlOSheet.Delete()

                                    'シートにデータ設定
                                    Me.setSheet(xlApp, xlOSheets, xlOSheet, New clsExcel.PosInfo(1, 1), dt)

                                    '仮保存 (マクロ実行　→　ブックの保存を行う）
                                    xlOSheet.SetSheet(xlOSheets, clsExcelFunc.CST_PARAM_SHEET)
'(M) STR V4-14044-000 004 20130717 ID)鐘井 病歴大将のバージョン対応
'                                    xlApp.MacroRun(xlOBook.getName & "!" & xlOSheet.getName & "." & clsConst.CST_MACRO)
                                    xlApp.MacroRun(xlOBook.getName & "!" & xlOSheet.getName & "." & clsConst.CST_MACRO, ExcelPrm)
'(M) STR V4-14044-000 004 20130717 ID)鐘井 病歴大将のバージョン対応

                                    'シートの変更 →印刷シートへ
                                    xlOSheet.SetSheet(xlOSheets, datPrintSetting.SHEET_NM)
                                    xlOSheet.SheetSelect()
                                    xlOSheet.setRightFooter()
                                    'Excelの保存
                                    Try
                                        xlOBook.SaveAs(outfile)
                                        '表示
                                        xlApp.setVisible(True, Me.pForm)
                                    Catch iEx As System.Runtime.InteropServices.COMException
                                        'ファイルの作成に失敗
                                        clsSysMst.showMsgEx("E0013", "ファイルの作成", iEx.Message)
                                        'エラー発生のため、解放フラグを設定
                                        xlApp.setError()
                                        xlBooks.setError()
                                        xlOBook.setError()

                                        Return False
                                    Catch ex As Exception
                                        Throw
                                    End Try
                                End Using
                            End Using
                        Catch ex As Exception
                            'エラー発生のため、解放フラグを設定
                            xlApp.setError()
                            xlBooks.setError()
                            xlOBook.setError()
                            Throw
                        End Try
                    End Using
                End Using
            End Using
            Return True
        Catch ex As Exception
            Throw
        Finally
            cliCom = Nothing
            cliExcelFunc = Nothing
            datPrintSetting = Nothing
            cliPrintSetting = Nothing
            dt = Nothing
            outfile = Nothing
'(A) STR V4-14044-000 003 20130717 ID)鐘井 病歴大将のバージョン対応
            ExcelPrm = Nothing
'(A) END V4-14044-000 003 20130717 ID)鐘井 病歴大将のバージョン対応
        End Try
		Return False
	End Function

	''' ---------------------------------------------
	''' <summary>
	''' シート存在確認
	''' </summary>
	''' <param name="ExcelSheet">Excelシート名</param>
	''' <param name="ChkSheet">チェックシート名</param>
	''' <returns>正常/異常</returns>
	''' <remarks>
	''' 2010/10/19 新規作成　ACS)仙頭<BR/>
	''' </remarks>
	''' ---------------------------------------------
	Protected Overridable Function chkSheetName(ByVal ExcelSheet As ArrayList, ByVal ChkSheet() As String) As Boolean
		clsSysMst.logEx(clsSysMst.logLevel.DBG, Me.GetType.Assembly.GetName.Name, Me.GetType.Name, "chkSheetName", clsMRPCOMMON.CST_LOG_PRODUCT, CST_LOG_CLASS, "シート存在確認 START")
		Try
			For Each Sheet As String In ChkSheet
				If ExcelSheet.IndexOf(Sheet) = -1 Then
					clsSysMst.showMsgEx("E0003", "雛型ファイルが正しくない", "出力", Nothing)
					Return False
				End If
			Next
			Return True
		Catch ex As Exception
			Throw
		End Try
	End Function

	''' ---------------------------------------------
	''' <summary>
	''' データ取得
	''' </summary>
	''' <returns>データテーブル</returns>
	''' <remarks>
	''' 2010/10/20 新規作成 ACS)仙頭<BR/>
	''' </remarks>
	''' ---------------------------------------------
	Protected Overridable Function getData() As DataTable
		clsSysMst.logEx(clsSysMst.logLevel.DBG, Me.GetType.Assembly.GetName.Name, Me.GetType.Name, "getData", clsMRPCOMMON.CST_LOG_PRODUCT, CST_LOG_CLASS, "データ取得 START")
		Dim dt As DataTable = Nothing
		Try
				Using db As New clsDB(clsSysMst.ctlConfigData)
					'ワークデータの作成
					Me.setWork(db, Me.pDgv)

					With db
						'データの取得
						.setSQLDa(Me.getSelectSql)
						.setParamDa(sqlMRPCOMMON.prmHOST_NM, clsDB.Enum_dbType.dbNVarChar)			'ホスト名
						.setValDa(sqlMRPCOMMON.prmHOST_NM, clsConst.CST_HOST_NM)
						.setParamDa(sqlMRPCOMMON.prmFLG_ON, clsDB.Enum_dbType.dbInt)					'フラグON
						.setValDa(sqlMRPCOMMON.prmFLG_ON, clsConst.Enum_CheckBox_Flg.CheckOn, False)

						'有無マスタの設定
						.setParamDa(sqlMRPCOMMON.prmCHK_CD_ON, clsDB.Enum_dbType.dbInt)
						.setParamDa(sqlMRPCOMMON.prmCHK_CD_OFF, clsDB.Enum_dbType.dbInt)
						.setValDa(sqlMRPCOMMON.prmCHK_CD_ON, clsConst.Enum_Chk.ChkOn, False)
						.setValDa(sqlMRPCOMMON.prmCHK_CD_OFF, clsConst.Enum_Chk.ChkOff, False)
						.setParamDa(sqlMRPCOMMON.prmCHK_NM_ON, clsDB.Enum_dbType.dbNVarChar)
						.setParamDa(sqlMRPCOMMON.prmCHK_NM_OFF, clsDB.Enum_dbType.dbNVarChar)
						 dt = clsConst.getExist
						.setValDa(sqlMRPCOMMON.prmCHK_NM_ON, clsMRPCOMMON.getDtItem(dt, clsConst.Enum_Chk.ChkOn))
						.setValDa(sqlMRPCOMMON.prmCHK_NM_OFF, clsMRPCOMMON.getDtItem(dt, clsConst.Enum_Chk.ChkOff))
						dt = Nothing : dt = New DataTable

						'フラグの設定
						.setParamDa(sqlMRPCOMMON.prmFLG_CD_ON, clsDB.Enum_dbType.dbInt)
						.setValDa(sqlMRPCOMMON.prmFLG_CD_ON, clsConst.Enum_CheckBox_Flg.CheckOn, False)
						.setParamDa(sqlMRPCOMMON.prmFLG_NM_ON, clsDB.Enum_dbType.dbNVarChar)
						.setValDa(sqlMRPCOMMON.prmFLG_NM_ON, clsMRPCOMMON.getDtItem(clsConst.getCheckBox, clsConst.Enum_CheckBox_Flg.CheckOn))

						'管理物関連の設定
						If Me.LendParam = True Then
							.setParamDa(sqlMRPCOMMON.prmLENDITEM_M, clsDB.Enum_dbType.dbNVarChar)				'管理物コード(全て
							.setParamDa(sqlMRPCOMMON.prmLENDITEM_S, clsDB.Enum_dbType.dbNVarChar)
							.setParamDa(sqlMRPCOMMON.prmLENDITEM_1, clsDB.Enum_dbType.dbNVarChar)
							.setParamDa(sqlMRPCOMMON.prmLENDITEM_2, clsDB.Enum_dbType.dbNVarChar)
							.setParamDa(sqlMRPCOMMON.prmLENDITEM_3, clsDB.Enum_dbType.dbNVarChar)
							.setValDa(sqlMRPCOMMON.prmLENDITEM_M, clsConst.Enum_Lenditem.MedicalRecord, False)
							.setValDa(sqlMRPCOMMON.prmLENDITEM_S, clsConst.Enum_Lenditem.Summary, False)
							.setValDa(sqlMRPCOMMON.prmLENDITEM_1, clsConst.Enum_Lenditem.LendItem3, False)
							.setValDa(sqlMRPCOMMON.prmLENDITEM_2, clsConst.Enum_Lenditem.LendItem4, False)
							.setValDa(sqlMRPCOMMON.prmLENDITEM_3, clsConst.Enum_Lenditem.LendItem5, False)

							.setParamDa(sqlMRPCOMMON.prmLENDUNIT_VALB, clsDB.Enum_dbType.dbNVarChar)				'管理物単位値
							.setParamDa(sqlMRPCOMMON.prmLENDUNIT_VALH, clsDB.Enum_dbType.dbNVarChar)
							.setParamDa(sqlMRPCOMMON.prmLENDUNIT_VALC, clsDB.Enum_dbType.dbNVarChar)
							.setValDa(sqlMRPCOMMON.prmLENDUNIT_VALB, clsConst.Enum_LendUnit.Each_Patient, False)
							.setValDa(sqlMRPCOMMON.prmLENDUNIT_VALH, clsConst.Enum_LendUnit.Each_Hosp, False)
							.setValDa(sqlMRPCOMMON.prmLENDUNIT_VALC, clsConst.Enum_LendUnit.Each_Dept, False)

							.setParamDa(sqlMRPCOMMON.prmLENDUNIT_M, clsDB.Enum_dbType.dbNVarChar)				'管理物単位(全て
							.setParamDa(sqlMRPCOMMON.prmLENDUNIT_S, clsDB.Enum_dbType.dbNVarChar)
							.setParamDa(sqlMRPCOMMON.prmLENDUNIT_1, clsDB.Enum_dbType.dbNVarChar)
							.setParamDa(sqlMRPCOMMON.prmLENDUNIT_2, clsDB.Enum_dbType.dbNVarChar)
							.setParamDa(sqlMRPCOMMON.prmLENDUNIT_3, clsDB.Enum_dbType.dbNVarChar)
							.setValDa(sqlMRPCOMMON.prmLENDUNIT_M, String.Empty)									'一旦空値を設定しておく
							.setValDa(sqlMRPCOMMON.prmLENDUNIT_S, String.Empty)
							.setValDa(sqlMRPCOMMON.prmLENDUNIT_1, String.Empty)
							.setValDa(sqlMRPCOMMON.prmLENDUNIT_2, String.Empty)
							.setValDa(sqlMRPCOMMON.prmLENDUNIT_3, String.Empty)
							'マスタ値で上書き
							For Each row As DataRow In clsMRPCOMMON.getLendItemAll.Rows
								Select Case row.Item(sqlMRPCOMMON.itmLENDITEM_CD).ToString
									Case clsConst.Enum_Lenditem.MedicalRecord : .setValDa(sqlMRPCOMMON.prmLENDUNIT_M, row.Item(sqlMRPCOMMON.itmLENDUNIT_CD).ToString, False)
									Case clsConst.Enum_Lenditem.Summary : .setValDa(sqlMRPCOMMON.prmLENDUNIT_S, row.Item(sqlMRPCOMMON.itmLENDUNIT_CD).ToString, False)
									Case clsConst.Enum_Lenditem.LendItem3 : .setValDa(sqlMRPCOMMON.prmLENDUNIT_1, row.Item(sqlMRPCOMMON.itmLENDUNIT_CD).ToString, False)
									Case clsConst.Enum_Lenditem.LendItem4 : .setValDa(sqlMRPCOMMON.prmLENDUNIT_2, row.Item(sqlMRPCOMMON.itmLENDUNIT_CD).ToString, False)
									Case clsConst.Enum_Lenditem.LendItem5 : .setValDa(sqlMRPCOMMON.prmLENDUNIT_3, row.Item(sqlMRPCOMMON.itmLENDUNIT_CD).ToString, False)
								End Select
							Next
						End If

						'追加パラメータ
						Me.addParam(db)

						.execQueryDa(dt)
					End With
				End Using
				Return dt
			Catch ex As Exception
				Throw
			Finally
				dt = Nothing
			End Try
	End Function

	''' ---------------------------------------------
	''' <summary>
	''' データ取得時の追加パラメータ設定
	''' </summary>
	''' <param name="db">clsDB</param>
	''' <remarks>
	''' 2010/12/08 新規作成 ACS)仙頭<BR/>
	''' </remarks>
	''' ---------------------------------------------
	Protected Overridable Sub addParam(ByVal db As clsDB)
		'継承先にて必要に応じて処理記述
	End Sub

	''' ---------------------------------------------
	''' <summary>
	''' ワークの作成
	''' </summary>
	''' <param name="db">clsDB</param>
	''' <param name="pDgv">入力元一覧</param>
	''' <param name="type">作成キー項目</param>
	''' <remarks>
	''' 2010/10/19 新規作成 ACS)仙頭<BR/>
	''' </remarks>
	''' ---------------------------------------------
	Protected Overridable Sub setWork(ByVal db As XCM.clsDB,
									  ByRef pDgv As DataGridView,
							 Optional ByVal type As clsMakeWork.ENUM_SEARCH_WORK_KEY = clsMakeWork.ENUM_SEARCH_WORK_KEY.AUTO)
		clsSysMst.logEx(clsSysMst.logLevel.DBG, Me.GetType.Assembly.GetName.Name, Me.GetType.Name, "setWork", clsMRPCOMMON.CST_LOG_PRODUCT, CST_LOG_CLASS, "ワークの作成 START")
		Try
			Using cliMakeWork As New clsMakeWork
				cliMakeWork.setSearchWork(db, pDgv, type)
			End Using
		Catch ex As Exception
			Throw
		End Try
	End Sub

	''' ---------------------------------------------
	''' <summary>
	''' Excel出力用SQLを取得
	''' </summary>
	''' <returns>Excel出力用SQL</returns>
	''' <remarks>
	''' 2010/10/20 新規作成 ACS)仙頭<BR/>
	''' </remarks>
	''' ---------------------------------------------
	Protected Overridable Function getSelectSql() As String
		'継承先にて処理記述（空メソッド)
		Return Nothing
	End Function

	''' ---------------------------------------------
	''' <summary>
	''' パラメータシートにデータ設定
	''' </summary>
	''' <param name="xlApp">clsExcelオブジェクト</param>
	''' <param name="xlOSheets">clsExcelSheetsオブジェクト</param>
	''' <param name="xlOSheet">clsExcelSheetオブジェクト</param>
	''' <param name="posHome">開始位置</param> 
	''' <param name="xlRange"></param>
	''' <param name="dt">データテーブル</param>
	''' <remarks>
	''' 2010/10/20 新規作成 ACS)仙頭<BR/>
	''' </remarks>
	''' ---------------------------------------------
	Protected Overridable Sub setParamSheet(ByRef xlApp As clsExcel,
											ByRef xlOSheets As clsExcelSheets,
											ByRef xlOSheet As clsExcelSheet,
											ByRef posHome As clsExcel.PosInfo,
											ByRef xlRange As clsExcelRange,
											ByRef dt As DataTable)
		clsSysMst.logEx(clsSysMst.logLevel.DBG, Me.GetType.Assembly.GetName.Name, Me.GetType.Name, "setParamSheet", clsMRPCOMMON.CST_LOG_PRODUCT, CST_LOG_CLASS, "パラメータシート設定 START")
		Dim strPos As String
		Try
			'シートの変更 →パラメータシートへ
			xlOSheet.SetSheet(xlOSheets, clsExcelFunc.CST_PARAM_SHEET)

			'パラメータシートの書式/データ設定
			'タイトル
			strPos = xlApp.getCellStyle(posHome, New clsExcel.PosInfo(clsExcelFunc.Enum_PosX.pB, 1))
			xlRange.SetMultiFormat(xlOSheet, strPos, clsExcel.CST_FORMAT_STRING)
			xlRange.SetRangeValue(xlOSheet, strPos, Me.pPutName)

			'出力件数
			strPos = xlApp.getCellStyle(posHome, New clsExcel.PosInfo(clsExcelFunc.Enum_PosX.pH, 1))
			xlRange.SetRangeValue(xlOSheet, strPos, dt.Rows.Count.ToString)

		Catch ex As Exception
			Throw
		Finally
			strPos = Nothing
		End Try
	End Sub

	''' ---------------------------------------------
	''' <summary>
	''' シートにデータ設定
	''' </summary>
	''' <param name="xlApp">clsExcelオブジェクト</param>
	''' <param name="xlOSheets">clsExcelSheetsオブジェクト</param>
	''' <param name="xlOSheet">clsExcelSheetオブジェクト</param>
	''' <param name="posHome">開始位置</param> 
	''' <param name="dt">データテーブル</param>
	''' <remarks>
	''' 2010/10/20 新規作成 ACS)仙頭<BR/>
	''' </remarks>
	''' ---------------------------------------------
	Protected Overridable Sub setSheet(ByRef xlApp As clsExcel,
									   ByRef xlOSheets As clsExcelSheets,
									   ByRef xlOSheet As clsExcelSheet,
									   ByRef posHome As clsExcel.PosInfo,
									   ByRef dt As DataTable)
		clsSysMst.logEx(clsSysMst.logLevel.DBG, Me.GetType.Assembly.GetName.Name, Me.GetType.Name, "setSheet", clsMRPCOMMON.CST_LOG_PRODUCT, CST_LOG_CLASS, "シートにデータ設定 START")
		Try
			Using xlRange As clsExcelRange = New clsExcelRange

				'パラメータシートの設定
				Me.setParamSheet(xlApp, xlOSheets, xlOSheet, posHome, xlRange, dt)

				'データシートの設定
				xlOSheet.SetSheet(xlOSheets, clsExcelFunc.CST_DATA_SHEET)
				xlOSheet.ClearContents()
				'書式設定
				Me.setFormat(xlApp, xlRange, xlOSheet, posHome, 1, dt.Columns.Count, 1, clsExcel.CST_FORMAT_STRING)	'ヘッダ部
				Me.setSheetFormat(xlApp, xlRange, xlOSheet, posHome, dt)											'データ部
				'データ設定
				xlRange.SetAreaValue(xlOSheet.Worksheet, clsExcelFunc.Enum_PosX.pA, 1, dt.Columns.Count, 1, Me.getHeaderAry)
				xlRange.SetAreaValue(xlOSheet.Worksheet, clsExcelFunc.Enum_PosX.pA, 2, dt.Columns.Count, 1 + dt.Rows.Count, Me.cnvDt2Ary(dt))

			End Using
		Catch ex As Exception
			Throw
		End Try
	End Sub

	''' ---------------------------------------------
	''' <summary>
	''' データシートの書式設定
	''' </summary>
	''' <param name="xlApp">clsExcelオブジェクト</param>
	''' <param name="xlOSheet">clsExcelSheetオブジェクト</param>
	''' <param name="xlRange">clsExcelRangeオブジェクト</param>
	''' <param name="posHome">開始位置</param> 
	''' <param name="dt">データテーブル</param>
	''' <param name="StratCol">設定データカラム位置</param>
	''' <param name="CntCol">設定データカラム数</param>
	''' <remarks>
	''' 2010/10/20 新規作成 ACS)仙頭<BR/>
	''' </remarks>
	''' ---------------------------------------------
	Protected Overridable Sub setSheetFormat(ByRef xlApp As clsExcel,
											 ByRef xlRange As clsExcelRange,
											 ByRef xlOSheet As clsExcelSheet,
											 ByVal posHome As clsExcel.PosInfo,
											 ByRef dt As DataTable,
									Optional ByVal StratCol As Integer = 0,
									Optional ByVal CntCol As Integer = -1)
		clsSysMst.logEx(clsSysMst.logLevel.DBG, Me.GetType.Assembly.GetName.Name, Me.GetType.Name, "setSheetFormat", clsMRPCOMMON.CST_LOG_PRODUCT, CST_LOG_CLASS, "データシート書式設定 START")
		Dim sformat As String = Nothing
		Dim bformat As String = Nothing
		Dim posfrom As Integer
		Try
			'取得件数が未指定の場合は算出
			If CntCol = -1 Then CntCol = dt.Columns.Count - StratCol

			For i As Integer = 0 To CntCol
				If i = CntCol Then
					sformat = String.Empty
				Else
					Select Case dt.Columns(i + StratCol).DataType.ToString
					Case Type.GetType("System.DateTime").ToString
						sformat = clsExcel.CST_FORMAT_DATE
					Case Type.GetType("System.String").ToString
						sformat = clsExcel.CST_FORMAT_STRING
					Case Else
						sformat = clsExcel.CST_FORMAT_INTEGER
					End Select
				End If
				If bformat <> sformat Then
					If i > 0 Then Me.setFormat(xlApp, xlRange, xlOSheet, posHome, posfrom, i, dt.Rows.Count, bformat)
					posfrom = i + 1
					bformat = sformat
				End If
			Next
		Catch ex As Exception
			Throw
		Finally
			sformat = Nothing
			bformat = Nothing
		End Try
	End Sub

	''' ---------------------------------------------
	''' <summary>
	''' 書式設定
	''' </summary>
	''' <param name="xlApp">clsExcelオブジェクト</param>
	''' <param name="xlOSheet">clsExcelSheetオブジェクト</param>
	''' <param name="xlRange">clsExcelRangeオブジェクト</param>
	''' <param name="posHome">開始位置</param> 
	''' <param name="posFrom">範囲指定での左端のインデックス</param>
	''' <param name="posTo">範囲指定での右端のインデックス</param>
	''' <param name="cnt">範囲指定でのEND行</param>
	''' <param name="format">書式文字列</param>					
	''' <remarks>
	''' 2010/10/20 新規作成 ACS)仙頭<BR/>
	''' </remarks>
	''' ---------------------------------------------
	Protected Overridable Sub setFormat(ByRef xlApp As clsExcel,
						  ByRef xlRange As clsExcelRange,
						  ByRef xlOSheet As clsExcelSheet,
						  ByVal posHome As clsExcel.PosInfo,
						  ByVal posFrom As clsExcelFunc.Enum_PosX,
						  ByVal posTo As clsExcelFunc.Enum_PosX,
						  ByVal cnt As Integer,
						  ByVal format As String)
		clsSysMst.logEx(clsSysMst.logLevel.DBG, Me.GetType.Assembly.GetName.Name, Me.GetType.Name, "SetFormat", clsMRPCOMMON.CST_LOG_PRODUCT, CST_LOG_CLASS, "書式設定 START")
		Try
			'フォーマット設定
			xlRange.SetMultiFormat(xlOSheet,
								   xlApp.getMultiCellStyle(posHome, New clsExcel.PosInfo(posFrom, 2),
																	New clsExcel.PosInfo(posTo, 2 + cnt)),
								   format)
		Catch ex As Exception
			Throw
		End Try
	End Sub

	''' ---------------------------------------------
	''' <summary>
	''' データテーブルを２次元配列化
	''' </summary>
	''' <param name="dt">データテーブル</param>
	''' <param name="StratCol">返却開始カラム位置</param>
	''' <param name="CntCol">返却カラム数</param>
	''' <returns>２次元配列</returns>
	''' <remarks>
	''' 2010/10/20 新規作成 ACS)仙頭<BR/>
	''' </remarks>
	''' ---------------------------------------------
	Protected Overridable Function cnvDt2Ary(ByRef dt As DataTable,
									Optional ByVal StratCol As Integer = 0,
									Optional ByVal CntCol As Integer = -1) As Object(,)
		clsSysMst.logEx(clsSysMst.logLevel.DBG, Me.GetType.Assembly.GetName.Name, Me.GetType.Name, "cnvDt2Ary", clsMRPCOMMON.CST_LOG_PRODUCT, CST_LOG_CLASS, "データテーブル変換 START")
		Dim aryPut(,) As Object
		Dim dtrow As DataRow = Nothing
		Dim idx As Integer
		Try
			'取得件数が未指定の場合は算出
			If CntCol = -1 Then CntCol = dt.Columns.Count - StratCol
			CntCol -= 1

			ReDim aryPut(dt.Rows.Count - 1, CntCol)
			For row As Integer = 0 To dt.Rows.Count - 1
				dtrow = dt.Rows(row)
				idx = -1
				For col As Integer = StratCol To StratCol + CntCol
					idx += 1
					Select Case True
						Case IsDBNull(dtrow(col))
							aryPut(row, idx) = String.Empty
						' 個人情報のマスク
						Case Me.pPrivacy = False AndAlso dt.Columns(col).ColumnName = sqlMRP000E010.itmPATIENT_NM			'名前
							aryPut(row, idx) = clsConst.CST_MASK_NAME
						Case Me.pPrivacy = False AndAlso dt.Columns(col).ColumnName = sqlMRP000E010.itmPATIENT_KNM			'カナ
							aryPut(row, idx) = clsConst.CST_MASK_KNAME
						Case Me.pPrivacy = False AndAlso dt.Columns(col).ColumnName = sqlMRP000E010.itmDOMICILE_ADDRESS		'本籍住所
							aryPut(row, idx) = clsConst.CST_MASK_PRIVACY
						Case Me.pPrivacy = False AndAlso dt.Columns(col).ColumnName = sqlMRP000E010.itmCONTACT_PATIENT_NM	'連絡先氏名
							aryPut(row, idx) = clsConst.CST_MASK_NAME
						Case Me.pPrivacy = False AndAlso dt.Columns(col).ColumnName = sqlMRP000E010.itmCONTACT_TELNUMBER	'連絡先電話番号
							aryPut(row, idx) = clsConst.CST_MASK_PRIVACY
						Case Me.pPrivacy = False AndAlso dt.Columns(col).ColumnName = sqlMRP000E010.itmCONTACT_ADDRESS		'連絡先住所
							aryPut(row, idx) = clsConst.CST_MASK_PRIVACY
						Case Me.pPrivacy = False AndAlso dt.Columns(col).ColumnName = sqlMRP000E010.itmADDRESS				'住所
							aryPut(row, idx) = clsConst.CST_MASK_PRIVACY
						Case Me.pPrivacy = False AndAlso dt.Columns(col).ColumnName = sqlMRP000E010.itmTELNUMBER			'電話番号
							aryPut(row, idx) = clsConst.CST_MASK_PRIVACY
						'書式設定
						Case dt.Columns(col).ColumnName Like sqlMRP000E010.itmZIP_CD										'郵便番号
							If dtrow(col).ToString.Length > 3 AndAlso dtrow(col).ToString.Contains("-") = False Then
								aryPut(row, idx) = dtrow(col).ToString.Substring(0, 3) & "-" & dtrow(col).ToString.Substring(3)
							Else
								aryPut(row, idx) = dtrow(col)
							End If
						' そのまま出力
						Case Else
							aryPut(row, idx) = dtrow(col)
					End Select
				Next
			Next
			Return aryPut
		Catch ex As Exception
			Throw
		Finally
			aryPut = Nothing
			dtrow = Nothing
		End Try
	End Function

	''' ---------------------------------------------
	''' <summary>
	''' データ部タイトルを２次元配列にして返却
	''' </summary>
	''' <param name="StratCol">返却開始カラム位置</param>
	''' <param name="CntCol">返却カラム数</param>
	''' <returns>データ部タイトル</returns>
	''' <remarks>
	''' 2010/10/20 新規作成 ACS)仙頭<BR/>
	''' </remarks>
	''' ---------------------------------------------
	Protected Overridable Function getHeaderAry(Optional ByVal StratCol As Integer = 0,
												Optional ByVal CntCol As Integer = -1) As String(,)
		clsSysMst.logEx(clsSysMst.logLevel.DBG, Me.GetType.Assembly.GetName.Name, Me.GetType.Name, "getHeaderAry", clsMRPCOMMON.CST_LOG_PRODUCT, CST_LOG_CLASS, "データ部タイトル取得 START")
		Try
			Dim Header As String = Me.getHeader
			If Header.IndexOf("{0}") >= 0 Then
				Header = String.Format(Header, XCM.clsSysMst.ctlEnvData.getEnv(XCM.datEnv.Enum_ENV.ENV_00001))
			End If
			Dim ary() As String = Header.Split(",")

			'取得件数が未指定の場合は算出
			If CntCol = -1 Then CntCol = ary.Length - StratCol
			CntCol -= 1

			Dim aryRet(0, CntCol) As String
			Dim idx As Integer = 0
			Try
				'指定位置から指定件数の項目取得
				For i As Integer = StratCol To StratCol + CntCol
					aryRet(0, idx) = ary(i)
					idx += 1
				Next
				Return aryRet
			Catch ex As Exception
				Throw
			Finally
				ary = Nothing
				aryRet = Nothing
			End Try
		Catch ex As Exception
			Throw
		End Try
	End Function

	''' ---------------------------------------------
	''' <summary>
	''' データ部タイトルを取得
	''' </summary>
	''' <returns>データ部タイトル</returns>
	''' <remarks>
	''' 2010/10/20 新規作成 ACS)仙頭<BR/>
	''' </remarks>
	''' ---------------------------------------------
	Protected Overridable Function getHeader() As String
		Return Nothing
	End Function

#End Region

End Class
