﻿Imports XCM
''' ---------------------------------------------
''' <summary>
''' 診療情報管理 共通帳票 患者基本情報一覧表（死因一覧）(Report)クラス
''' </summary>
''' <remarks>
''' Copyright 2010 FUJITSU SHIKOKU SYSTEMS LIMITED All rights reserved.<BR/>
''' FUJITSU SHIKOKU SYSTEMS LIMITED CONFIDENTIAL<BR/>
''' </remarks>
''' ---------------------------------------------
Public Class MRP030R030
	Inherits MRP030R000

#Region "解放処理"

	''' ---------------------------------------------
	''' <summary>
	''' Dispose（解放処理）※外からはよばない
	''' </summary>
	''' <param name="disposing"></param>
	''' <remarks>
	''' 2010/10/15 新規作成　ACS)仙頭<BR/>
	''' </remarks>
	''' ---------------------------------------------
	Protected Overrides Sub Dispose(ByVal disposing As Boolean)
		If disposing Then
			MyBase.Dispose(disposing)
			Me.pMakeWork2 = Nothing
			Me.pSearchNo = Nothing
		End If
	End Sub

#End Region

#Region "コンスタント"

	''' ---------------------------------------------
	''' <summary>
	''' ＳＱＬ文設定
	''' </summary>
	''' <remarks>
	''' 2010/10/20 新規作成 ACS)仙頭<BR/>
	''' </remarks>
	''' ---------------------------------------------
	Protected Enum ENUM_SQLTYPE2 As Byte
		''' <summary>
		''' ワーク作成(病名)
		''' </summary>
		INS_1 = 0
		''' <summary>
		''' ワーク作成(死亡１)
		''' </summary>
		INS_2 = 1
		''' <summary>
		''' ワーク作成(死亡２)
		''' </summary>
		INS_3 = 2
		''' <summary>
		''' ワーク作成(削除)
		''' </summary>
		DEL = 3
	End Enum

	Private Const CST_LOG_CLASS As String = "患者基本情報一覧表（死因一覧）"
#End Region

#Region "変数"

	'IN項目
	Private pMakeWork2 As Boolean = Nothing				'ワークデータ作成フラグ
	Private pSearchNo As Integer = Nothing				'検索番号

#End Region

#Region "コンストラクタ"

	''' ---------------------------------------------
	''' <summary>
	''' コンストラクタ
	''' </summary>
	''' <param name="pForm">呼出画面</param>
	''' <param name="pPrint">印刷フラグ True:印刷/False:プレビュー</param>
	''' <param name="pDgv">一覧</param>
	''' <param name="pTitle">帳票タイトル</param>
	''' <param name="pPrivacy">個人情報出力フラグ True:出力する/False:出力しない</param>
	''' <param name="pMakeWork">ワークデータ作成フラグ True:作成する/False:作成しない</param>
	''' <param name="pMakeWork2">ワークデータ作成フラグ2 True:作成する/False:作成しない</param>
	''' <param name="pSearchNo">検索番号</param>
	''' <remarks>
	''' 2010/10/18 新規作成　ACS)仙頭<BR/>
	''' </remarks>
	''' ---------------------------------------------
	Sub New(ByVal pForm As XCM.frmBase, ByVal pPrint As Boolean, _
			ByVal pDgv As DataGridView, ByVal pTitle As String, _
			ByVal pPrivacy As Boolean, ByVal pMakeWork As Boolean, _
			ByVal pMakeWork2 As Boolean, ByRef pSearchNo As Integer)
		MyBase.New(pForm, pPrint, pDgv, pTitle, pPrivacy, pMakeWork)
		'IN項目
		Me.pMakeWork2 = pMakeWork2
		Me.pSearchNo = pSearchNo
	End Sub

#End Region

#Region "メソッド"

	''' ---------------------------------------------
	''' <summary>
	''' SQL文/パラメータ設定
	''' </summary>
	''' <param name="db">clsDB</param>
	''' <param name="type">ENUM_SQLTYPE</param>
	''' <param name="DeathLctCd">院内場所コード</param>
	''' <remarks>
	''' 2010/10/18 新規作成　ACS)仙頭<BR/>
	''' </remarks>
	''' ---------------------------------------------
	Private Sub setSql2(ByVal db As clsDB, ByRef type As ENUM_SQLTYPE2, ByVal DeathLctCd As String)
		clsSysMst.logEx(XCM.clsSysMst.logLevel.DBG, Me.GetType.Assembly.GetName.Name, Me.GetType.Name, "setSql2", clsMRPCOMMON.CST_LOG_PRODUCT, CST_LOG_CLASS, "SQL文/パラメータ設定 START")
		Try
			With db
				Select Case type
					'病名情報よりワークを追加
					Case ENUM_SQLTYPE2.INS_1
						.setSQL(sqlMRP030R030.sqlIns_Ingai)
						.setParam(sqlMRPCOMMON.prmUSER_CD, clsDB.Enum_dbType.dbNVarChar)			'使用者コード
						.setVal(sqlMRPCOMMON.prmUSER_CD, clsSysMst.getLoginId)
						.setParam(sqlMRPCOMMON.prmSEARCH_NO, clsDB.Enum_dbType.dbInt)			'共通帳票番号
						.setVal(sqlMRPCOMMON.prmSEARCH_NO, Me.pSearchNo)

					'死亡情報(直接死因)よりワークを追加
					Case ENUM_SQLTYPE2.INS_2
						.setSQL(sqlMRP030R030.sqlIns_CAUSE1)
						.setParam(sqlMRP030R030.prmFLG_ON, clsDB.Enum_dbType.dbInt)				'フラグON
						.setVal(sqlMRP030R030.prmFLG_ON, clsConst.Enum_CheckBox_Flg.CheckOn, False)
						.setParam(sqlMRP030R030.prmSEQ, clsDB.Enum_dbType.dbInt)					'順番

					'死亡情報(死因)よりワークを追加
					Case ENUM_SQLTYPE2.INS_3
						.setSQL(sqlMRP030R030.sqlIns_CAUSE2)
						.setParam(sqlMRP030R030.prmFLG_ON, clsDB.Enum_dbType.dbInt)				'フラグON
						.setVal(sqlMRP030R030.prmFLG_ON, clsConst.Enum_CheckBox_Flg.CheckOn, False)
						.setParam(sqlMRP030R030.prmSEQ, clsDB.Enum_dbType.dbInt)					'順番

					'ワーク削除
					Case ENUM_SQLTYPE2.DEL
						.setSQL(sqlMRP030R030.sqlDel)

					Case Else
						Return
				End Select

				'共通パラメータ
				.setParam(sqlMRP030R030.prmDEATH_LCT_CD, clsDB.Enum_dbType.dbNVarChar)			'死亡場所コード
				.setVal(sqlMRP030R030.prmDEATH_LCT_CD, DeathLctCd)

				.setParam(sqlMRPCOMMON.prmHOST_NM, clsDB.Enum_dbType.dbNVarChar)					'ホスト名
				.setVal(sqlMRPCOMMON.prmHOST_NM, clsConst.CST_HOST_NM)
				.setParam(sqlMRPCOMMON.prmLASTUPDUSER_CD, clsDB.Enum_dbType.dbNVarChar)			'更新者コード
				.setVal(sqlMRPCOMMON.prmLASTUPDUSER_CD, clsSysMst.getLoginId)
				.setParam(sqlMRPCOMMON.prmLASTUPD_DT, clsDB.Enum_dbType.dbDateTime)				'更新日
				.setVal(sqlMRPCOMMON.prmLASTUPD_DT, DateTime.Now())
			End With
		Catch ex As Exception
			Throw
		End Try
	End Sub

	''' ---------------------------------------------
	''' <summary>
	''' 死亡場所マスタより院内死亡場所コードを取得
	''' </summary>
	''' <param name="db">clsDB</param>
	''' <returns>院内死亡場所コード</returns>
	''' <remarks>
	''' 2010/11/08 新規作成 ACS)仙頭<BR/>
	''' </remarks>
	''' ---------------------------------------------
	Private Function getDeathLctCd(ByVal db As clsDB) As String
		clsSysMst.logEx(XCM.clsSysMst.logLevel.DBG, Me.GetType.Assembly.GetName.Name, Me.GetType.Name, "getDeathLctCd", clsMRPCOMMON.CST_LOG_PRODUCT, CST_LOG_CLASS, "院内死亡場所コード取得 START")
		Try
			Using dt As DataTable = New DataTable
				With db
					.setSQLDa(sqlMRP030R030.sqlSel_MTM_DEATH_LCT)

					.setParamDa(sqlMRPCOMMON.prmFIXED_CD, clsDB.Enum_dbType.dbNVarChar)						'固定コード
					.setValDa(sqlMRPCOMMON.prmFIXED_CD, clsConst.Enum_Decease_Lct_Fix1.Hsp)
					.execQueryDa(dt)
					If dt.Rows.Count = 0 Then
						Return Nothing
					Else
						Return dt.Rows(0).Item(0)
					End If
				End With
			End Using
		Catch ex As Exception
			Throw
		End Try
	End Function

#End Region

#Region "オーバーライドメソッド"

	''' ---------------------------------------------
	''' <summary>
	''' ワークデータ作成
	''' </summary>
	''' <param name="db">clsDB</param>
	''' <returns>True:正常終了/False:異常終了</returns>
	''' <remarks>
	''' 2010/10/18 新規作成　ACS)仙頭<BR/>
	''' </remarks>
	''' ---------------------------------------------
	Protected Overrides Function setWorkData(ByVal db As clsDB) As Boolean
		'継承元で共通ワークを作成
		If MyBase.setWorkData(db) = False Then Return False

		clsSysMst.logEx(XCM.clsSysMst.logLevel.DBG, Me.GetType.Assembly.GetName.Name, Me.GetType.Name, "setWorkData", clsMRPCOMMON.CST_LOG_PRODUCT, CST_LOG_CLASS, "ワークデータ作成 START")
		Dim ret As Integer
		Try
			'ワークデータは前回内容を再利用のため、更新しない
			If Me.pMakeWork2 = False Then Return True

			With db
				'ワークをクリア
				Me.setSql2(db, ENUM_SQLTYPE2.DEL, Nothing)
				.execNonQuery()

				Dim DeathLctCd As String = getDeathLctCd(db)		'院内死亡場所コード

				'ワークを追加
				Me.setSql2(db, ENUM_SQLTYPE2.INS_1, DeathLctCd)				'病名情報より
				ret = .execNonQuery()

				Me.setSql2(db, ENUM_SQLTYPE2.INS_2, DeathLctCd)				'死亡情報より
				.setVal(sqlMRP030R030.prmSEQ, ret, False)
				ret += .execNonQuery()

				Me.setSql2(db, ENUM_SQLTYPE2.INS_3, DeathLctCd)				'死亡情報より
				.setVal(sqlMRP030R030.prmSEQ, ret, False)
				.execNonQuery()

			End With
			Return True
		Catch ex As Exception
			Throw
		Finally
		End Try
	End Function

#End Region

End Class
