﻿''' ---------------------------------------------
''' <summary>
''' 診療情報管理 共通帳票  科歴情報一覧 EXCEL出力クラス
''' </summary>
''' <remarks>
''' Copyright 2010 FUJITSU SHIKOKU SYSTEMS LIMITED All rights reserved.<BR/>
''' FUJITSU SHIKOKU SYSTEMS LIMITED CONFIDENTIAL<BR/>
''' </remarks>
''' ---------------------------------------------
Public Class MRP050E020
	Inherits MRP000E010

#Region "コンスタント"
	Private Const CST_LOG_CLASS As String = "科歴情報一覧（Excel）"
#End Region

#Region "コンストラクタ"
	''' ---------------------------------------------
	''' <summary>
	''' コンストラクタ
	''' </summary>
	''' <param name="pForm">遷移元画面</param>
	''' <param name="pDgv">出力元グリッド</param>
	''' <param name="pTempFile">雛型ファイル</param>
	''' <param name="pPutName">出力ファイル</param>
	''' <param name="pPutPath">出力パス</param>
	''' <param name="pPrivacy">個人情報出力フラグ</param>
	''' <remarks>
	''' 2010/12/07 新規作成　ACS)常包<BR/>
	''' </remarks>
	''' ---------------------------------------------
	Sub New(ByVal pForm As XCM.frmBase, ByVal pDgv As DataGridView, ByVal pTempFile As String, ByVal pPutName As String, ByVal pPutPath As String, ByVal pPrivacy As Boolean)
		MyBase.New(pForm, pDgv, pTempFile, pPutName, pPutPath, pPrivacy)
	End Sub
#End Region

#Region "メソッド"
	''' ---------------------------------------------
	''' <summary>
	''' Excel出力用SQLを取得
	''' </summary>
	''' <returns>Excel出力用SQL</returns>
	''' <remarks>
	''' 2010/12/07 新規作成　ACS)常包<BR/>
	''' </remarks>
	''' ---------------------------------------------
	Protected Overrides Function getSelectSql() As String
		XCM.clsSysMst.logEx(XCM.clsSysMst.logLevel.DBG, Me.GetType.Assembly.GetName.Name, Me.GetType.Name, "getSelectSql", clsMRPCOMMON.CST_LOG_PRODUCT, CST_LOG_CLASS, "Excel出力用SQLを取得 START")
		Try
			Me.LendParam = True
			Return sqlMRP050E020.sqlSel
		Catch ex As Exception
			Throw
		End Try
	End Function

	''' ---------------------------------------------
	''' <summary>
	''' データ取得時の追加パラメータ設定
	''' </summary>
	''' <param name="db">clsDB</param>
	''' <remarks>
	''' 2010/12/09 新規作成 ACS)常包<BR/>
	''' </remarks>
	''' ---------------------------------------------
	Protected Overrides Sub addParam(ByVal db As XCM.clsDB)
		XCM.clsSysMst.logEx(XCM.clsSysMst.logLevel.DBG, Me.GetType.Assembly.GetName.Name, Me.GetType.Name, "addParam", clsMRPCOMMON.CST_LOG_PRODUCT, CST_LOG_CLASS, "追加 START")
		Try
			With db
				.setParamDa(sqlMRPCOMMON.prmFIXED_CD, XCM.clsDB.Enum_dbType.dbNVarChar)
				.setValDa(sqlMRPCOMMON.prmFIXED_CD, XCM.clsConst.Enum_Disease_Div_Fix1.MainDisease, False)						'主病名
				.setParamDa(sqlMRP050E020.prmFIXED_DEPT_CHANGE_HSP, XCM.clsDB.Enum_dbType.dbNVarChar)
				.setValDa(sqlMRP050E020.prmFIXED_DEPT_CHANGE_HSP, XCM.clsConst.Enum_HspChannel_Fix1.ChangeDept, False)			'入院経路転科
				.setParamDa(sqlMRP050E020.prmFIXED_DEPT_CHANGE_OUT, XCM.clsDB.Enum_dbType.dbNVarChar)
				.setValDa(sqlMRP050E020.prmFIXED_DEPT_CHANGE_OUT, XCM.clsConst.Enum_DiscchargeCannel_Fix1.ChangeDept, False)	'退院経路転科
			End With
		Catch ex As Exception
			Throw
		End Try
	End Sub

	''' ---------------------------------------------
	''' <summary>
	''' データ部タイトルを返却
	''' </summary>
	''' <returns>データ部タイトル</returns>
	''' <remarks>
	''' 2010/12/07 新規作成　ACS)常包<BR/>
	''' </remarks>
	''' ---------------------------------------------
	Protected Overrides Function getHeader() As String
		XCM.clsSysMst.logEx(XCM.clsSysMst.logLevel.DBG, Me.GetType.Assembly.GetName.Name, Me.GetType.Name, "getHeader", clsMRPCOMMON.CST_LOG_PRODUCT, CST_LOG_CLASS, "データ部タイトル返却 START")
		Dim wrkHedder As String = Nothing
		Try
			Using db As New XCM.clsDB(XCM.clsSysMst.ctlConfigData), dt As New DataTable
				For i As Integer = 1 To 6
					'感染症マスタよりヘッダ項目名取得
					db.setSQLDa(String.Format(sqlMRP050E020.sqlHeader_INFECTION, i))
					db.execQueryDa(dt)
					If dt.Rows.Count <> 0 Then
						wrkHedder &= "," & dt.Rows(0)(0)
					End If
					dt.Clear()
				Next
			End Using
			Return String.Format(sqlMRP050E020.excel_Header, wrkHedder)
		Catch ex As Exception
			Throw
		End Try
	End Function
#End Region


End Class
