﻿Imports XCM
Imports XSP
Imports MRP.sqlMRP050R110

''' ---------------------------------------------
''' <summary>
''' 診療情報管理 共通帳票 科歴情報一覧表(Report)クラス
''' </summary>
''' <remarks>
''' Copyright 2010 FUJITSU SHIKOKU SYSTEMS LIMITED All rights reserved.<BR/>
''' FUJITSU SHIKOKU SYSTEMS LIMITED CONFIDENTIAL<BR/>
''' </remarks>
''' ---------------------------------------------
Public Class MRP050R110
	Inherits MRP050R000

#Region "コンスト"

	''' ---------------------------------------------
	''' <summary>
	''' 情報項目番号
	''' </summary>
	''' <remarks>
	''' 2010/11/22 新規作成　ACS)常包<BR/>
	''' </remarks>
	''' ---------------------------------------------
	Private Enum ENUM_DPC_DETAIL_SQL As Byte
		''' <summary> 明細ワーク追加（基本） </summary>
		UPD_BASIC = 1
		''' <summary>明細ワーク追加（科歴）</summary>
		UPD_CH = 2
		''' <summary>明細ワーク追加（死亡）</summary>
		UPD_DEATH = 3
		''' <summary>明細ワーク追加（病棟）</summary>
		UPD_WARD = 4
		''' <summary>明細ワーク追加（医師）</summary>
		UPD_DOCTOR = 5
		''' <summary>明細ワーク追加（パス）</summary>
		UPD_PATH = 6
		''' <summary>明細ワーク追加（対診科）</summary>
		UPD_OTHER_DEPT = 7
		''' <summary>明細ワーク追加（医療費）</summary>
		UPD_MED_COST = 8
		''' <summary>明細ワーク追加（病名）</summary>
		UPD_DISEASE = 9
		''' <summary>明細ワーク追加（手術）</summary>
		UPD_OPE = 10
		''' <summary>明細ワーク追加（手術医師）</summary>
		UPD_OPE_DOCTOR = 98
		''' <summary>明細ワーク追加（治療処置）</summary>
		UPD_CARE = 11
		''' <summary>明細ワーク追加（検査）</summary>
		UPD_TEST = 12
		''' <summary>明細ワーク追加（分娩）</summary>
		UPD_CB = 13
		''' <summary>明細ワーク追加（分娩子）</summary>
		UPD_CB_CHILD = 14
		''' <summary>明細ワーク追加（救命救急）</summary>
		UPD_EMERGENCY = 15
		''' <summary>明細ワーク追加（補足項目１）</summary>
		UPD_ASST1 = 16
		''' <summary>明細ワーク追加（補足項目２）</summary>
		UPD_ASST2 = 17
		''' <summary>明細ワーク追加（監査）</summary>
		UPD_INSPECT = 18
		''' <summary>明細ワーク追加（すべて）</summary>
		UPD_ALL = 99
	End Enum

	''' ---------------------------------------------
	''' <summary>
	''' DPCヘッダSQL
	''' </summary>
	''' <remarks>
	''' 2010/11/22 新規作成　ACS)常包<BR/>
	''' </remarks>
	''' ---------------------------------------------
	Protected Enum ENUM_DPC_HEAD_SQL As Byte
		''' <summary>ワーク追加</summary>
		INS = 0
		''' <summary>ワーク更新</summary>
		UPD = 1
	End Enum

	''' ---------------------------------------------
	''' <summary>
	''' DPCヘッダSQL
	''' </summary>
	''' <remarks>
	''' 2010/11/22 新規作成　ACS)常包<BR/>
	''' </remarks>
	''' ---------------------------------------------
	Private Enum ENUM_SPACE_SIZE As Byte
		''' <summary>スペースなし</summary>
		NONE = 0
		''' <summary>半角スペース</summary>
		HALF = 1
		''' <summary>全角スペース</summary>
		WIDE = 2
	End Enum

	Private Const CST_SPACE_CHAR As String = "　"						'スペース(全角)
	Private Const CST_SPACE_CHAR_HALF As String = " "					'スペース(半角)
	Private Const CST_FORMAT_NUMBER As String = "{0:#,##0}"				'数字書式
	Private Const CST_FORMAT_DECIMAL As String = "{0:0.0}"				'小数点書式(身長,体重)

	'基本情報用
	Private Const CST_TITLE_BASIC As String = "●基本情報"
	Private Const CST_BLOODTYPE As String = "血液型[{0} {1}]"
	Private Const CST_RELATION_PATIENT As String = "関連患者[{0}]"
	Private Const CST_BLOOD_TRAN As String = "輸血歴[{0}]"
	Private Const CST_NATIONALITY As String = "国籍[{0}]"
	Private Const CST_DOMICILE_ADDRESS As String = "出生地[{0} {1}]"
	Private Const CST_DOMICILE_ADDRESS_PRIVACY As String = "出生地[{0}]"
	Private Const CST_REMARKS As String = "コメント[{0}]"
	Private Const CST_CONTACT_PATIENT_NM As String = "連絡先氏名[{0}]"
	Private Const CST_CONTACT_RELATION As String = "連絡先続柄[{0}]"
	Private Const CST_CONTACT_ZIP_CD As String = "連絡先郵便番号[{0}]"
	Private Const CST_CONTACT_TELNUMBER As String = "連絡先電話番号[{0}]"
	Private Const CST_CONTACT_ADDRESS As String = "連絡先住所[{0}]"
	Private Const CST_SMOKING_CHK As String = "喫煙[{0}]"
	Private Const CST_SMOKING_START_AGE As String = "吸い始め年齢[{0}]才"
	Private Const CST_SMOKING_END_AGE As String = "やめた年齢[{0}]才"
	Private Const CST_SMOKING_COUNT As String = "喫煙本数[{0}]本／日"
	Private Const CST_SMOKING_AGE As String = "喫煙年数[{0}]年"
	Private Const CST_DRINKING_CHK As String = "飲酒[{0}]"
	Private Const CST_PREGNANCY_CHK As String = "妊娠歴[{0}]"
	Private Const CST_PREGNANCY_COUNT As String = "妊娠回数[{0}]回"
	Private Const CST_CB_CHK As String = "出産歴[{0}]"
	Private Const CST_CB_COUNT As String = "出産回数[{0}]回"
	Private Const CST_MENARCHE_AGE As String = "初潮年齢[{0}]才"
	Private Const CST_MENOPAUSE_AGE As String = "閉経年齢[{0}]才"
	Private Const CST_FIRSTHSPVST_DT As String = "初回来院日[{0}]"
	Private Const CST_LASTHSPVST_DT As String = "最終来院日[{0}]"
	Private Const CST_LASTDEPT_CD As String = "最終診療科[{0}]"
	Private Const CST_LASTLEFTHSP_DT As String = "最終退院日[{0}]"
	'科歴情報用
	Private Const CST_TITLE_CH As String = "●科歴情報"
	Private Const CST_TITLE_ALL As String = "●登録状況"
	Private Const CST_ZIP_CD As String = "郵便番号[{0}]"
	Private Const CST_TELNUMBER As String = "電話番号[{0}]"
	Private Const CST_AREA_NM As String = "診療圏[{0}]"
	Private Const CST_HOUSEHOLDER_NM As String = "世帯主[{0}]"
	Private Const CST_RELATION_NM As String = "続柄[{0}]"
	Private Const CST_ADDRESS_NM As String = "住所[{0}]"
	Private Const CST_WARD_RNM As String = "病棟[{0}]"
	Private Const CST_HSP_AIM_RNM As String = "入院目的[{0}]"
	Private Const CST_PLAN_EMERGENCY_NM As String = "予定／緊急[{0}]"
	Private Const CST_TAKE_AMBULANCE_CHK As String = "救急車[{0}]"
	Private Const CST_TIME_OUT_FLG As String = "時間外[{0}]"
	Private Const CST_INTRODUCTION_CHK As String = "紹介状[{0}]"
	Private Const CST_INTRODUCED As String = "紹介元[{0}]"
	Private Const CST_REFERENCE As String = "紹介先[{0}]"
	Private Const CST_CH As String = "[{0}]"
	Private Const CST_STATURE As String = "身長[{0}]cm"
	Private Const CST_WEIGHT As String = "体重[{0}]Kg"
	Private Const CST_FIRST_DIAGNOSIS_DT As String = "初診日[{0}]"
	Private Const CST_PAST_JOB As String = "既職[{0}]"
	Private Const CST_CURRENT_JOB As String = "現職[{0}]"
	Private Const CST_BLOOD_TRAN_CHK As String = "輸血[{0}]"
	Private Const CST_OPE_CHK As String = "手術[{0}]"
	Private Const CST_OTHER_DEPT_CHK As String = "対診[{0}]"
	Private Const CST_CLINICAL_TRIAL_CHK As String = "治験[{0}]"
	Private Const CST_HSP_INFECTION_CHK As String = "院内感染[{0}]"
	Private Const CST_INSURANCE As String = "保険{0}"
	Private Const CST_INSURANCE_ITM As String = "[{0}]"		'保険１～３
	Private Const CST_READMISSION_FLG As String = "再入院[○]"
	Private Const CST_LAST_OUT_HSP_DT As String = "前回退院日[{0}]"
	Private Const CST_SELF_OTHER_HSP_DIV As String = "前回自他区分[{0}]"
	Private Const CST_DISEASE_READMISSION_FLG As String = "同一疾病自院再入院[○]"
	Private Const CST_SAME_DISEASE_LAST_HSP_DT As String = "同一疾病自院前回退院日[{0}]"
	Private Const CST_INFECTION As String = "感染症{0}"
	Private Const CST_INFECTION_ITM As String = "[{0} {1}]"	'感染症１～６
	Private Const CST_INFECTION_OTHER As String = "[{0}]" '感染症その他
	Private Const CST_ALLERGY As String = "アレルギー{0}"
	Private Const CST_ALLERGY_ITM As String = "[{0}]"		'アレルギー１～６・アレルギーその他
	Private Const CST_TOTAL_MED_COST As String = "医療費[{0}]"
	Private Const CST_DPC_CD As String = "ＤＰＣ[{0}]"
	Private Const CST_REMARKS_CH As String = "備考[{0}]"
	Private Const CST_COMMENT As String = "コメント[{0}]"
	Private Const CST_REG_STATUS As String = "登録状況[{0}]"
	Private Const CST_REG_DT As String = "登録完了日[{0}]"
	Private Const CST_REG_NM As String = "登録者[{0}]"
	'死亡情報用
	Private Const CST_TITLE_DEATH As String = "●死亡情報"
	Private Const CST_DEATH_LCT As String = "死亡場所{0} {1}"
	Private Const CST_DEATH_LCT_ITM As String = "[{0}]"
	Private Const CST_DEATH_DT As String = "死亡日時[{0} {1}]"
	Private Const CST_DEATH_DIV As String = "死亡区分[{0}]"
	Private Const CST_AFTER_OPE_DEATH_DIV As String = "術後死亡区分[{0}]"
	Private Const CST_AUTOPSY_CHK_NM As String = "剖検[{0}]"
	Private Const CST_AUTOPSY_NO As String = "剖検番号[{0}]"
	Private Const CST_DEATH_DISEASE As String = "院外死亡病名{0}"
	Private Const CST_DEATH_DISEASE_ITM As String = "[{0}]"
	'病棟情報用
	Private Const CST_TITLE_WARD As String = "●病棟情報"
	Private Const CST_WARD As String = "[{0}{1} {2}～{3}]"
	'医師情報用
	Private Const CST_TITLE_DOCTOR As String = "●医師情報"
	Private Const CST_DOCTOR As String = "[{0}{1} {2}]"
	'パス情報用
	Private Const CST_TITLE_PATH As String = "●パス情報"
	Private Const CST_PATH_NM As String = "[{0}][{1}]"
	Private Const CST_PATH_DT As String = "通用期間[{0}～{1}]"
	Private Const CST_PATH_DOCTOR As String = "指示医[{0}]"
	Private Const CST_VARIANCE_DAY As String = "バリアンス日[{0}]"
	Private Const CST_VARIANCE As String = "バリアンス{0}"
	Private Const CST_VARIANCE_ITM As String = "[{0}]"
	Private Const CST_VARIANCE_REASON As String = "理由{0}"
	'対診科情報用
	Private Const CST_TITLE_OTHER_DEPT As String = "●対診科情報"
	Private Const CST_OTHER_DEPT As String = "[{0}]{1}"
	'医療費情報用
	Private Const CST_TITLE_MED_COST As String = "●医療費情報"
	Private Const CST_MED_COST As String = "[{0} {1}]"
	'病名情報用
	Private Const CST_TITLE_DISEASE As String = "●病名情報"
	Private Const CST_DISEASE As String = "[{0}]"
	Private Const CST_HSP_CHANCE_DISEASE As String = "[入]"
	Private Const CST_DISEASE_MED_RES1 As String = "[１]"
	Private Const CST_DISEASE_MED_RES2 As String = "[２]"
	Private Const CST_HSP_DISEASE As String = "[併]"
	Private Const CST_AFTER_HSP_DISEASE As String = "[続]"
	Private Const CST_DEATH_DISE As String = "[死因]"
	Private Const CST_DIRECT_DEATH_DISE As String = "[直接死因]"
	Private Const CST_PLURAL_GRP_CD As String = "複数分類[{0}]"
	Private Const CST_ONSET_DT As String = "発症日[{0}]"
	Private Const CST_DIAGNOSIS_DT As String = "診断日[{0}]"
	Private Const CST_END_DT As String = "終了日[{0}]"
	Private Const CST_DEATH_CAUSE As String = "[死因]"
	Private Const CST_REMARKS1 As String = "備考１[{0}]"
	Private Const CST_REMARKS2 As String = "備考２[{0}]"
	Private Const CST_SPECIMEN_NO As String = "標本番号[{0}]"
	Private Const CST_REG_STATUS_NM As String = "がん登録状況[{0}]"
	Private Const CST_CNR_REG_EXTRACT_DT As String = "がん登録抽出日[{0}]"
	'手術情報用
	Private Const CST_TITLE_OPE As String = "●手術情報"
	Private Const CST_OPE As String = "[{0}]"
	Private Const CST_OPE_DT As String = "実施日時[{0} {1}]～[{2} {3}]"
	Private Const CST_OPE_REQUIRED_TIME As String = "所要時間[{0}]"
	Private Const CST_OPE_DAY_AGE As String = "年齢[{0}日]"
	Private Const CST_OPE_AGE As String = "年齢[{0}歳{1}ヶ月]"
	Private Const CST_OPE_PLAN_EMERGENCY As String = "予定緊急[{0}]"
	Private Const CST_OPE_TIME_OUT As String = "時間外[○]"
	Private Const CST_OPE_COUNT As String = "手術回数[{0}]"
	Private Const CST_OPE_PART As String = "手術側数[{0}]"
	Private Const CST_ASA_PS_GRP_RNM As String = "ASA-PS[{0}]"
	Private Const CST_ANESTHESIA As String = "麻酔[{0}][{1}][{2}]"
	Private Const CST_BLEEDING_VOLUME As String = "出血量[{{0}}]{0}"
	Private Const CST_BLOOD_TRAN_VOLUME As String = "輸血量[{{0}}]{0}"
	Private Const CST_PRE_OPE_DAYS As String = "術前日数[{0}]"
	Private Const CST_AFTER_OPE_DAYS As String = "術後日数[{0}]"
	Private Const CST_AFTER_OPE_CMPC_CHK As String = "術後合併症[{0}]"
	Private Const CST_OPE_ASST_DIV_RNM1 As String = "補助区分１[{0}]"
	Private Const CST_OPE_ASST_DIV_RNM2 As String = "補助区分２[{0}]"
	Private Const CST_SPT_DISEASE As String = "対応病名{0}"
	Private Const CST_OPE_DOCTOR As String = "[{0} {1}]"
	'治療処置情報用
	Private Const CST_TITLE_CARE As String = "●治療処置情報"
	Private Const CST_CARE As String = "[{0}]"
	Private Const CST_CARE_DT As String = "実施日[{0}]"
	Private Const CST_CARE_ASST_DIV As String = "補助区分[{0}]"
	'検査情報用
	Private Const CST_TITLE_TEST As String = "●検査情報"
	Private Const CST_TEST As String = "[{0}]"
	Private Const CST_TEST_DT As String = "実施日[{0}]"
	Private Const CST_TEST_ASST_DIV As String = "補助区分[{0}]"
	'分娩情報用
	Private Const CST_TITLE_CB As String = "●分娩情報"
	Private Const CST_CB_DT As String = "分娩日[{0}]"
	Private Const CST_CB_AGE As String = "分娩時年齢[{0}歳{1}ヶ月]"
	Private Const CST_GESTATIONAL As String = "在胎日数[{0}週{1}日]"
	Private Const CST_CHD_COUNT As String = "児数[{0}人]"
	Private Const CST_CB_BL_VOLUME As String = "出血量[{{0}}]{0}"
	Private Const CST_PREMATURE_BIRTH As String = "早産[{0}]"
	Private Const CST_MISCARRIAGE As String = "流産[{0}]"
	Private Const CST_CAESAREAN_OPE As String = "帝王切開[{0}]"
	Private Const CST_CB As String = "{0}[{1}]"
	'分娩子情報用
	Private Const CST_TITLE_CHD_CB As String = "●分娩（児）"
	Private Const CST_CHD_CNT As String = "{0}"
	Private Const CST_CHD_CB_DT As String = "分娩日時[{0} {1}]"
	Private Const CST_GENDER_NM As String = "性別[{0}]"
	Private Const CST_NEWBORN_STATURE As String = "身長[{0}]cm"
	Private Const CST_NEWBORN_WEIGHT As String = "体重[{0}]g"
	Private Const CST_BLOODTYPE_NM As String = "血液型[{0}]"
	Private Const CST_APGARSCORE As String = "アプガー[{0}→{1}]"
	Private Const CST_IMMATURE As String = "未熟[{0}]"
	Private Const CST_DEFORMITY As String = "奇形[{0}]"
	Private Const CST_STILLBIRTH As String = "死産[{0}]"
	Private Const CST_NEWBORN_NO As String = "新生児番号[{0}]"
	Private Const CST_CHD_PATIENT_NO As String = "患者番号[{0}]"
	Private Const CST_CHD_CB As String = "{0}[{1}]"
	Private Const CST_CHD_REMARKS As String = "備考[{0}]"
	Private Const CST_TITLE_SB As String = "☆死産情報☆"
	Private Const CST_SB_DT As String = "死産日時[{0} {1}]"
	Private Const CST_SB_NO As String = "死産番号[{0}]"
	Private Const CST_SB_WEEK_COUNT As String = "死産週数[{0}週]"
	Private Const CST_SB_LCT As String = "死産場所[{0}]"
	Private Const CST_SB_INDUCED_CHK As String = "人工中絶[{0}]"
	Private Const CST_SB_MOTHER_CHK As String = "母体合併症[{0}]"
	Private Const CST_SB_AUTOPSY_NO As String = "剖検番号[{0}]"
	Private Const CST_SB_AUTOPSY_CHK As String = "剖検有無[{0}]"
	'救命救急情報用
	Private Const CST_TITLE_EMERGENCY As String = "●救命救急情報"
	Private Const CST_EMERGENCY_CNT As String = "{0}"
	Private Const CST_IN_METHOD_RNM As String = "入法[{0}]"
	Private Const CST_ENTERING_DT As String = "入室日[{0} {1}]"
	Private Const CST_ENTERING_AGE As String = "入室時年齢[{0}歳{1}ヶ月]"
	Private Const CST_ENTERING_AGE_DAY As String = "入室時年齢[{0}日]"
	Private Const CST_SEVERE_DIV_NM As String = "重症区分[{0}]"
	Private Const CST_OUT_METHOD_RNM As String = "出法[{0}]"
	Private Const CST_LEAVING_DT As String = "出室日[{0} {1}]"
	Private Const CST_LEAVING_AGE As String = "出室時年齢[{0}歳{1}ヶ月]"
	Private Const CST_LEAVING_AGE_DAY As String = "出室時年齢[{0}日]"
	Private Const CST_IN_ROOM_DAYS As String = "在室日数[{0}]"
	Private Const CST_MED_REQUIRED_TIME As String = "所要時間[{0}]"
	'補足項目１情報用
	Private Const CST_TITLE_ASST1 As String = "●補足項目１情報"
	Private Const CST_ASST1 As String = "{0}[ {2} ]{1}"
	'補足項目２情報用
	Private Const CST_TITLE_ASST2 As String = "●補足項目２情報"
	Private Const CST_ASST2 As String = "{0}[{1}]"
	'監査情報用
	Private Const CST_TITLE_INSPECT As String = "●監査情報"
	Private Const CST_INSPECT_DT As String = "監査日[{0}][{1}][{2}]"
	Private Const CST_FINISHING As String = "完了[{0}]"
	Private Const CST_FINISHING_DT As String = "完了日[{0}]"
	Private Const CST_AUDITOR As String = "監査人[{0}]"
	Private Const CST_INSPECT1 As String = "[{0}][{1}]"
	Private Const CST_INSPECT2 As String = "[{0}]"
#End Region

#Region "コンストラクタ"

	''' ---------------------------------------------
	''' <summary>
	''' コンストラクタ
	''' </summary>
	''' <param name="pForm">呼出画面</param>
	''' <param name="pPrint">印刷フラグ True:印刷/False:プレビュー</param>
	''' <param name="pDgv">一覧</param>
	''' <param name="pTitle">帳票タイトル</param>
	''' <param name="pPrivacy">個人情報出力フラグ True:出力する/False:出力しない</param>
	''' <param name="pMakeWork">ワークデータ作成フラグ True:作成する/False:作成しない</param>
	''' <remarks>
	''' 2010/11/22 新規作成　ACS)常包<BR/>
	''' </remarks>
	''' ---------------------------------------------
	Sub New(ByVal pForm As XCM.frmBase, ByVal pPrint As Boolean, _
			ByVal pDgv As DataGridView, ByVal pTitle As String, _
			ByVal pPrivacy As Boolean, ByVal pMakeWork As Boolean)
		'引数を継承元に引渡し
		MyBase.New(pForm, pPrint, pDgv, pTitle, pPrivacy, pMakeWork)
	End Sub

	''' ---------------------------------------------
	 ''' <summary>
	 ''' コンストラクタ(登録サブシステムより呼び出し時)
	 ''' </summary>
	 ''' <param name="pForm">呼出画面</param>
	 ''' <param name="pPrint">印刷フラグ True:印刷/False:プレビュー</param>
	 ''' <param name="pTitle">帳票タイトル</param>
	 ''' <param name="pPrivacy">個人情報出力フラグ True:出力する/False:出力しない</param>
	 ''' <param name="pPatientNo">患者番号</param>
	 ''' <param name="pHspNo">入退院歴番号</param>
	 ''' <param name="pChNo">科歴番号</param>
	 ''' <remarks>
	 ''' 2010/11/22 新規作成　ACS)常包<BR/>
	 ''' </remarks>
	 ''' ---------------------------------------------
	Sub New(ByVal pForm As frmBase, ByVal pPrint As Boolean, _
			ByVal pTitle As String, ByVal pPrivacy As Boolean, _
			ByVal pPatientNo As String, _
			ByVal pHspNo As Integer, ByVal pChNo As Integer)
		'引数を継承元に引渡し
		MyBase.New(pForm, pPrint, pTitle, pPrivacy, pPatientNo, pHspNo, pChNo)
	End Sub

#End Region

#Region "メソッド"

	''' ---------------------------------------------
	''' <summary>
	''' ワーク削除SQL取得
	''' </summary>
	''' <returns>SQL文</returns>
	''' <remarks>
	''' 2010/11/22 新規作成　ACS)常包<BR/>
	''' </remarks>
	''' ---------------------------------------------
	Protected Overrides Function getDelSql() As String()
		clsSysMst.logEx(clsSysMst.logLevel.DBG, Me.GetType.Assembly.GetName.Name, Me.GetType.Name, "getDelSql", clsMRPCOMMON.CST_LOG_PRODUCT, CST_LOG_CLASS, "ワーク削除SQL取得 START")
		Try
			If Me.pMakeWork = True Then
				Return New String() {sqlMRP050R110.sqlDel_DPC_Head, sqlMRP050R110.sqlDel_DPC_Detail}
			Else
				Return New String() {}
			End If
		Catch ex As Exception
			Throw
		End Try
	End Function

	''' ---------------------------------------------
	''' <summary>
	''' ワークデータ作成
	''' </summary>
	''' <param name="db">clsDB</param>
	''' <returns>True:正常終了/False:異常終了</returns>
	''' <remarks>
	''' 2010/11/25 新規作成　ACS)常包<BR/>
	''' </remarks>
	''' ---------------------------------------------
	Protected Overrides Function setWorkData(ByVal db As clsDB) As Boolean
		clsSysMst.logEx(clsSysMst.logLevel.DBG, Me.GetType.Assembly.GetName.Name, Me.GetType.Name, "setWorkData", clsMRPCOMMON.CST_LOG_PRODUCT, CST_LOG_CLASS, "ワークデータ作成 START")
		Dim row As DataRow
		Dim no As Integer
		Try
			'ワークデータは前回内容を再利用のため、更新しない
			If Me.pMakeWork = False Then Return True

			Me.setHedderSql(db, ENUM_DPC_HEAD_SQL.INS)															'MTW_DPC科歴印刷見出部追加
			With db
				If Me.pDgv IsNot Nothing Then
					For Each pRow As DataGridViewRow In Me.pDgv.Rows												'明細ワーク
						row = CType(pRow.DataBoundItem, DataRowView).Row											'データを明細化
						'データグリッドにチェックがあるもののみ出力
						If row.Item(sqlMRPCOMMON.itmSELECTED) = CStr(clsConst.Enum_Chk.ChkOn) Then
							no += 1																				'表示順 カウンタUP
							.setVal(sqlMRPCOMMON.prmDSPORDER, no)												'表示順
							.setVal(sqlMRPCOMMON.prmPATIENT_NO, row.Item(sqlMRPCOMMON.itmPATIENT_NO).ToString)	'患者番号
							.setVal(sqlMRPCOMMON.prmHSP_NO, row.Item(sqlMRPCOMMON.itmHSP_NO).ToString)			'入退院番号
							.setVal(sqlMRPCOMMON.prmCH_NO, row.Item(sqlMRPCOMMON.itmCH_NO).ToString)			'科歴番号
							.execNonQuery()
						End If
					Next
				Else
					.setVal(sqlMRPCOMMON.prmDSPORDER, 1)
					.setVal(sqlMRPCOMMON.prmPATIENT_NO, Me.pPatientNo, False)							'患者番号
					.setVal(sqlMRPCOMMON.prmHSP_NO, Me.pHspNo, False)									'入退院
					.setVal(sqlMRPCOMMON.prmCH_NO, Me.pChNo, False)										'科歴番号
					.execNonQuery()
				End If
			End With
			'MTW_DPC科歴印刷見出部更新
			Me.setHedderSql(db, ENUM_DPC_HEAD_SQL.UPD)
			If db.execNonQuery() = 0 Then Return False

			'MTW_DPC科歴印刷明細部追加
			Me.setDetail_Basic(db)		 '基本情報
			Me.setDetail_Ch(db)			 '科歴情報
			Me.setDetail_Death(db)		 '死亡情報
			Me.setDetail_Ward(db)		 '病棟情報
			Me.setDetail_Doctor(db)		 '医師情報
			Me.setDetail_Path(db)		 'パス情報
			Me.setDetail_OtherDept(db)	 '対診科情報
			Me.setDetail_MedCost(db)	 '医療費情報
			Me.setDetail_Disease(db)	 '病名情報
			Me.setDetail_Ope(db)		 '手術情報
			Me.setDetail_Care(db)		 '治療処置情報
			Me.setDetail_Test(db)		 '検査情報
			Me.setDetail_Cb(db)			 '分娩情報
			Me.setDetail_Cb_Child(db)	 '分娩子情報
			Me.setDetail_Emergency(db)	 '救命救急情報
			Me.setDetail_Asst1(db)		 '補足項目１情報
			Me.setDetail_Asst2(db)		 '補足項目２情報
			Me.setDetail_Inspect(db)	 '監査情報

			Return True
		Catch ex As Exception
			Throw
		Finally
			row = Nothing
		End Try
	End Function

	''' ---------------------------------------------
	''' <summary>
	''' SQL文/パラメータ設定（ヘッダテーブル用）
	''' </summary>
	''' <param name="db">clsDB</param>
	''' <param name="type">ENUM_DPC_HEAD_SQL</param>
	''' <remarks>
	''' 2010/11/25 新規作成　ACS)常包<BR/>
	''' </remarks>
	''' ---------------------------------------------
	Private Sub setHedderSql(ByVal db As clsDB, ByRef type As ENUM_DPC_HEAD_SQL)
		clsSysMst.logEx(clsSysMst.logLevel.DBG, Me.GetType.Assembly.GetName.Name, Me.GetType.Name, "setHedderSql", clsMRPCOMMON.CST_LOG_PRODUCT, CST_LOG_CLASS, "SQL文/パラメータ設定(ヘッダ) START")
		Try
			With db
				Select Case type
					Case ENUM_DPC_HEAD_SQL.INS												'ヘッダワーク追加時
						.setSQL(sqlMRP050R110.sqlIns_DPC_Head)
						.setParam(sqlMRPCOMMON.prmDSPORDER, clsDB.Enum_dbType.dbInt)				'表示順
						.setParam(sqlMRPCOMMON.prmPATIENT_NO, clsDB.Enum_dbType.dbNVarChar)		'患者番号
						.setParam(sqlMRPCOMMON.prmHSP_NO, clsDB.Enum_dbType.dbInt)				'入退院歴番号
						.setParam(sqlMRPCOMMON.prmCH_NO, clsDB.Enum_dbType.dbInt)				'科歴番号
					Case ENUM_DPC_HEAD_SQL.UPD												'ヘッダワーク更新時
						.setSQL(sqlMRP050R110.sqlUpd_DPC_Head)
					Case Else

				End Select
																							'共通パラメータ
				.setParam(sqlMRPCOMMON.prmHOST_NM, clsDB.Enum_dbType.dbNVarChar)				'ホスト名
				.setVal(sqlMRPCOMMON.prmHOST_NM, clsConst.CST_HOST_NM)
				.setParam(sqlMRPCOMMON.prmLASTUPDUSER_CD, clsDB.Enum_dbType.dbNVarChar)		'更新者コード
				.setVal(sqlMRPCOMMON.prmLASTUPDUSER_CD, clsSysMst.getLoginId)
				.setParam(sqlMRPCOMMON.prmLASTUPD_DT, clsDB.Enum_dbType.dbDateTime)			'更新日
				.setVal(sqlMRPCOMMON.prmLASTUPD_DT, DateTime.Now())
			End With
		Catch ex As Exception
			Throw
		End Try
	End Sub

	''' ---------------------------------------------
	''' <summary>
	''' 明細テーブル書き込み
	''' </summary>
	''' <param name="db">clsDB</param>
	''' <remarks>
	''' 2010/11/25 新規作成　ACS)常包<BR/>
	''' </remarks>
	''' ---------------------------------------------
	Private Overloads Sub setDetailData(ByVal db As clsDB, ByRef datDetail As datMRP050R110)
		clsSysMst.logEx(clsSysMst.logLevel.DBG, Me.GetType.Assembly.GetName.Name, Me.GetType.Name, "setDetailData", clsMRPCOMMON.CST_LOG_PRODUCT, CST_LOG_CLASS, "明細テーブル書き込み START")
		Try
			If datDetail.DETAILS Is Nothing OrElse datDetail.DETAILS.Count = 0 Then Return '明細がなければ追加しない

			With db
				.setSQL(sqlMRP050R110.sqlINS_DPC_Detail)
				.setParam(sqlMRPCOMMON.prmHOST_NM, clsDB.Enum_dbType.dbNVarChar)				'ホスト名
				.setVal(sqlMRPCOMMON.prmHOST_NM, clsConst.CST_HOST_NM)
				.setParam(sqlMRPCOMMON.prmLASTUPDUSER_CD, clsDB.Enum_dbType.dbNVarChar)		'更新者コード
				.setVal(sqlMRPCOMMON.prmLASTUPDUSER_CD, clsSysMst.getLoginId)
				.setParam(sqlMRPCOMMON.prmLASTUPD_DT, clsDB.Enum_dbType.dbDateTime)			'更新日
				.setVal(sqlMRPCOMMON.prmLASTUPD_DT, DateTime.Now())

				.setParam(sqlMRPCOMMON.prmPATIENT_NO, clsDB.Enum_dbType.dbNVarChar)			'患者番号
				.setVal(sqlMRPCOMMON.prmPATIENT_NO, datDetail.PATIENT_NO)
				.setParam(sqlMRPCOMMON.prmHSP_NO, clsDB.Enum_dbType.dbInt)					'入退院歴番号
				.setVal(sqlMRPCOMMON.prmHSP_NO, datDetail.HSP_HISTORY_NO)
				.setParam(sqlMRPCOMMON.prmCH_NO, clsDB.Enum_dbType.dbInt)					'科歴番号
				.setVal(sqlMRPCOMMON.prmCH_NO, datDetail.CH_NO)
				.setParam(sqlMRP050R110.prmINFO_ITEM_NO, clsDB.Enum_dbType.dbInt)			'情報項目番号
				.setVal(sqlMRP050R110.prmINFO_ITEM_NO, datDetail.INFO_ITEM_NO)
				.setParam(sqlMRP050R110.prmMAIN_DPM_FLG, clsDB.Enum_dbType.dbInt)			'主科フラグ
				.setVal(sqlMRP050R110.prmMAIN_DPM_FLG, datDetail.MAIN_DPM_FLG)

				.setParam(sqlMRP050R110.prmDET_SERIAL_NO, clsDB.Enum_dbType.dbInt)			'明細番号
				.setParam(sqlMRP050R110.prmDETAILS, clsDB.Enum_dbType.dbNVarChar)				'明細

				For i As Integer = 0 To datDetail.DETAILS.Count - 1							'明細
					.setVal(sqlMRP050R110.prmDET_SERIAL_NO, i + 1)
					.setVal(sqlMRP050R110.prmDETAILS, datDetail.DETAILS(i))
					.execNonQuery()
				Next

			End With
		Catch ex As Exception
			Throw
		End Try
	End Sub

	''' ---------------------------------------------
	''' <summary>
	''' 項目マスタデータ取得
	''' </summary>
	''' <remarks>
	''' 2010/12/03 新規作成　ACS)常包<BR/>
	''' </remarks>
	''' ---------------------------------------------
	Private Function getMstData(ByVal db As clsDB, ByVal SqlType As ENUM_DPC_DETAIL_SQL, Optional ByVal ItemFlg As Boolean = True) As DataTable
		clsSysMst.logEx(clsSysMst.logLevel.DBG, Me.GetType.Assembly.GetName.Name, Me.GetType.Name, "getMstData", clsMRPCOMMON.CST_LOG_PRODUCT, CST_LOG_CLASS, "項目マスタデータ取得 START")
		Dim dt As DataTable
		Try
			dt = New DataTable

			With db
				Select Case SqlType
					Case ENUM_DPC_DETAIL_SQL.UPD_CH											'科歴情報
						.setSQLDa(sqlMRP050R110.sqlSel_InfectionMst)							'感染症マスタ
					Case ENUM_DPC_DETAIL_SQL.UPD_OTHER_DEPT									'対診科情報
						.setSQLDa(sqlMRP050R110.sqlSel_DeptMst)									'対診科マスタ
					Case ENUM_DPC_DETAIL_SQL.UPD_MED_COST									'医療費情報
						.setSQLDa(sqlMRP050R110.sqlSel_MedCostMst)								'医療費項目マスタ
					Case ENUM_DPC_DETAIL_SQL.UPD_ASST1										'補足項目１情報
						.setSQLDa(sqlMRP050R110.sqlSel_Asst1Mst)								'補足項目２項目マスタ
					Case ENUM_DPC_DETAIL_SQL.UPD_ASST2										'補足項目２情報
						Select Case ItemFlg
							Case True															'補足項目２項目マスタ
								.setSQLDa(sqlMRP050R110.sqlSel_Asst2Mst)
							Case False															'補足項目２内容マスタ取得
								.setSQLDa(sqlMRP050R110.sqlSel_Asst2Cnt)
						End Select
					Case ENUM_DPC_DETAIL_SQL.UPD_INSPECT									'監査情報
						Select Case ItemFlg
							Case True															'監査マスタ
								.setSQLDa(sqlMRP050R110.sqlSel_InspectMst)
							Case False															'職員マスタ
								.setSQLDa(sqlMRP050R110.sqlSel_Staff)
						End Select
					Case Else
						Return dt
				End Select
				.execQueryDa(dt)
			End With
			Return dt
		Catch ex As Exception
			Throw
		Finally
			dt = Nothing
		End Try
	End Function

	''' ---------------------------------------------
	''' <summary>
	''' 明細用データ取得
	''' </summary>
	''' <param name="db">clsDB</param>
	''' <param name="type">ENUM_DPC_DETAIL_SQL</param>
	''' <remarks>
	''' 2010/11/25 新規作成　ACS)常包<BR/>
	''' </remarks>
	''' ---------------------------------------------
	Private Function getDetailData(ByVal db As clsDB, ByRef type As ENUM_DPC_DETAIL_SQL) As DataTable
		clsSysMst.logEx(clsSysMst.logLevel.DBG, Me.GetType.Assembly.GetName.Name, Me.GetType.Name, "getDetailData", clsMRPCOMMON.CST_LOG_PRODUCT, CST_LOG_CLASS, "明細用データ取得 START")
		Dim dt As DataTable
		Try
			dt = New DataTable
			With db
				'処理毎パラメータ
				Select Case type
					Case ENUM_DPC_DETAIL_SQL.UPD_BASIC										'基本
														.setSQLDa(sqlMRP050R110.sqlSel_Basic)
					Case ENUM_DPC_DETAIL_SQL.UPD_CH											'科歴
														.setSQLDa(sqlMRP050R110.sqlSel_CH)
					Case ENUM_DPC_DETAIL_SQL.UPD_DEATH										'死亡
														.setSQLDa(sqlMRP050R110.sqlSel_DEATH)
														.setParamDa(sqlMRPCOMMON.prmFIXED_CD, clsDB.Enum_dbType.dbNVarChar)
														.setValDa(sqlMRPCOMMON.prmFIXED_CD, clsConst.Enum_DiscchargeOutcome_Fix1.Decease)
					Case ENUM_DPC_DETAIL_SQL.UPD_WARD										'病棟
														.setSQLDa(sqlMRP050R110.sqlSel_WARD)
					Case ENUM_DPC_DETAIL_SQL.UPD_DOCTOR										'医師
														.setSQLDa(sqlMRP050R110.sqlSel_DOCTOR)
					Case ENUM_DPC_DETAIL_SQL.UPD_PATH										'パス
														.setSQLDa(sqlMRP050R110.sqlSel_PATH)
					Case ENUM_DPC_DETAIL_SQL.UPD_OTHER_DEPT									'対診科
														Dim col As String = Nothing
														For i As Integer = 1 To 52
															col &= String.Format(sqlMRP050R110.sqlFld_OTHER_DEPT, i)
														Next
														.setSQLDa(String.Format(sqlMRP050R110.sqlSel_OTHER_DEPT, col))
					Case ENUM_DPC_DETAIL_SQL.UPD_MED_COST									'医療費
														Dim col As String = Nothing
														For i As Integer = 1 To 45
															col &= String.Format(sqlMRP050R110.sqlFld_MED_COST, i)
														Next
														.setSQLDa(String.Format(sqlMRP050R110.sqlSel_MED_COST, col))
					Case ENUM_DPC_DETAIL_SQL.UPD_DISEASE									'病名
														.setSQLDa(sqlMRP050R110.sqlSel_DISEASE)
					Case ENUM_DPC_DETAIL_SQL.UPD_OPE										'手術
														.setSQLDa(sqlMRP050R110.sqlSel_OPE)
					Case ENUM_DPC_DETAIL_SQL.UPD_OPE_DOCTOR									'手術医師
														.setSQLDa(sqlMRP050R110.sqlSel_OPE_DOCTOR)
					Case ENUM_DPC_DETAIL_SQL.UPD_CARE										'治療処置
														.setSQLDa(sqlMRP050R110.sqlSel_CARE)
					Case ENUM_DPC_DETAIL_SQL.UPD_TEST										'検査
														.setSQLDa(sqlMRP050R110.sqlSel_TEST)
					Case ENUM_DPC_DETAIL_SQL.UPD_CB											'分娩
														.setSQLDa(sqlMRP050R110.sqlSel_CB)
					Case ENUM_DPC_DETAIL_SQL.UPD_CB_CHILD									'分娩子
														.setSQLDa(sqlMRP050R110.sqlSel_CB_CHILD)
					Case ENUM_DPC_DETAIL_SQL.UPD_EMERGENCY									'救命救急
														.setSQLDa(sqlMRP050R110.sqlSel_EMERGENCY)
					Case ENUM_DPC_DETAIL_SQL.UPD_ASST1										'補足項目１
														Dim col As String = Nothing
														For i As Integer = 1 To 132
															col &= String.Format(sqlMRP050R110.sqlFld_ASST1, i)
														Next
														.setSQLDa(String.Format(sqlMRP050R110.sqlSel_ASST1, col))
					Case ENUM_DPC_DETAIL_SQL.UPD_ASST2										'補足項目２
														Dim col As String = Nothing
														For i As Integer = 1 To 30 : col &= String.Format(sqlMRP050R110.sqlFld_ASST2_TEXT, i) : Next
														For i As Integer = 1 To 30 : col &= String.Format(sqlMRP050R110.sqlFld_ASST2_NUMBER, i) : Next
														For i As Integer = 1 To 12 : col &= String.Format(sqlMRP050R110.sqlFld_ASST2_DATE, i) : Next
														For i As Integer = 1 To 36 : col &= String.Format(sqlMRP050R110.sqlFld_ASST2_COMBO, i) : Next
														.setSQLDa(String.Format(sqlMRP050R110.sqlSel_ASST2, col))
					Case ENUM_DPC_DETAIL_SQL.UPD_INSPECT									'監査
														Dim col As String = Nothing
														For i As Integer = 1 To 40
															col &= String.Format(sqlMRP050R110.sqlFld_INSPECT, i)
														Next
														.setSQLDa(String.Format(sqlMRP050R110.sqlSel_INSPECT, col))
					Case Else

				End Select
																							'共通パラメータ
				.setParamDa(sqlMRPCOMMON.prmHOST_NM, clsDB.Enum_dbType.dbNVarChar)				'ホスト名
				.setValDa(sqlMRPCOMMON.prmHOST_NM, clsConst.CST_HOST_NM)
																								'有無マスタ用パラメータ
				.setParamDa(sqlMRPCOMMON.prmCHK_CD_ON, clsDB.Enum_dbType.dbInt)
				.setParamDa(sqlMRPCOMMON.prmCHK_CD_OFF, clsDB.Enum_dbType.dbInt)
				.setValDa(sqlMRPCOMMON.prmCHK_CD_ON, clsConst.Enum_Chk.ChkOn, False)
				.setValDa(sqlMRPCOMMON.prmCHK_CD_OFF, clsConst.Enum_Chk.ChkOff, False)
				.setParamDa(sqlMRPCOMMON.prmCHK_NM_ON, clsDB.Enum_dbType.dbNVarChar)
				.setParamDa(sqlMRPCOMMON.prmCHK_NM_OFF, clsDB.Enum_dbType.dbNVarChar)
				Dim dtCHK As DataTable = clsConst.getExist
				Try
					.setValDa(sqlMRPCOMMON.prmCHK_NM_ON, clsMRPCOMMON.getDtItem(dtCHK, clsConst.Enum_Chk.ChkOn))
					.setValDa(sqlMRPCOMMON.prmCHK_NM_OFF, clsMRPCOMMON.getDtItem(dtCHK, clsConst.Enum_Chk.ChkOff))
				Finally
					dtCHK.Dispose()
					dtCHK = Nothing
				End Try
																								'フラグ用パラメータ
				.setParamDa(sqlMRPCOMMON.prmFLG_CD_ON, clsDB.Enum_dbType.dbInt)
				.setValDa(sqlMRPCOMMON.prmFLG_CD_ON, clsConst.Enum_CheckBox_Flg.CheckOn, False)
				.setParamDa(sqlMRP050R110.prmFLG_CD_OFF, clsDB.Enum_dbType.dbInt)
				.setValDa(sqlMRP050R110.prmFLG_CD_OFF, clsConst.Enum_CheckBox_Flg.CheckOff, False)
				.setParamDa(sqlMRPCOMMON.prmFLG_NM_ON, clsDB.Enum_dbType.dbNVarChar)
				.setValDa(sqlMRPCOMMON.prmFLG_NM_ON, clsMRPCOMMON.getDtItem(clsConst.getCheckBox, clsConst.Enum_CheckBox_Flg.CheckOn))
				.setParamDa(sqlMRP050R110.prmFLG_NM_OFF, clsDB.Enum_dbType.dbNVarChar)
				'.setValDa(sqlMRP050R110.prmFLG_NM_OFF, clsMRPCOMMON.getDtItem(clsConst.getCheckBox, clsConst.Enum_CheckBox_Flg.CheckOff))
				.setValDa(sqlMRP050R110.prmFLG_NM_OFF, CST_SPACE_CHAR)

				.execQueryDa(dt)																'データ取得

				Return dt
			End With
		Catch ex As Exception
			Throw
		Finally
			dt = Nothing
		End Try
	End Function

	''' ---------------------------------------------
	''' <summary>
	''' 明細データ編集（基本情報）
	''' </summary>
	''' <remarks>
	''' 2010/11/25 新規作成　ACS)常包<BR/>
	''' </remarks>
	''' ---------------------------------------------
	Private Sub setDetail_Basic(ByVal db As clsDB)
		clsSysMst.logEx(clsSysMst.logLevel.DBG, Me.GetType.Assembly.GetName.Name, Me.GetType.Name, "setDetail_Basic", clsMRPCOMMON.CST_LOG_PRODUCT, CST_LOG_CLASS, "明細データ編集（基本情報）START")
		Dim datDetail As datMRP050R110 = Nothing
		Dim Buffer As String = Nothing
		Try
			Using dt As DataTable = Me.getDetailData(db, ENUM_DPC_DETAIL_SQL.UPD_BASIC)
				For Each row As DataRow In dt.Rows
					Me.InitDetail(datDetail, row, ENUM_DPC_DETAIL_SQL.UPD_BASIC)									'キー項目セット
					With datDetail
																													'****１行目
						Me.addDetail(.DETAILS, CST_TITLE_BASIC, 0)
																													'****２行目
						If String.IsNullOrEmpty(row(itmBLOODTYPE_NM).ToString) = True Then								'血液型
							Buffer &= String.Format(CST_BLOODTYPE, Space(7), Nothing)
						Else
							Buffer &= String.Format(CST_BLOODTYPE, row(itmBLOODTYPE_NM).ToString, _
																   row(itmRH_NM).ToString)
						End If
						Buffer &= getStrData(CST_RELATION_PATIENT, row(itmPATIENT_NM_R).ToString, , 10)					'関連患者
						Buffer &= getStrData(CST_BLOOD_TRAN, row(itmBLOOD_TRAN_CHK_NM).ToString, , 2)					'輸血歴
						Buffer &= getStrData(CST_NATIONALITY, row(itmNATIONALITY_RNM).ToString)							'国籍
						Me.addDetail(.DETAILS, Buffer)
																													'****３行目
						If String.IsNullOrEmpty(row(itmPREFECTURE_NM).ToString) = False OrElse
						   String.IsNullOrEmpty(row(itmDOMICILE_ADDRESS).ToString) = False Then							'出生地
							If Me.pPrivacy = True Then
								Buffer &= getStrData(Nothing, String.Format(CST_DOMICILE_ADDRESS,
																			 row(itmPREFECTURE_NM).ToString,
																			 row(itmDOMICILE_ADDRESS).ToString))
							Else
								Buffer &= getStrData(CST_DOMICILE_ADDRESS_PRIVACY, clsConst.CST_MASK_PRIVACY)
							End If
						End If
						Me.addDetail(.DETAILS, Buffer)
																													'****４行目
						Buffer &= getStrData(CST_REMARKS, row(itmREMARKS).ToString)										'コメント
						Me.addDetail(.DETAILS, Buffer)
																													'****５行目
						If Me.pPrivacy = True Then																		'連絡先氏名
							Buffer &= getStrData(CST_CONTACT_PATIENT_NM, row(itmCONTACT_PATIENT_NM).ToString, , 10)
						ElseIf String.IsNullOrEmpty(row(itmCONTACT_PATIENT_NM).ToString) = False Then
							Buffer &= getStrData(CST_CONTACT_PATIENT_NM, clsConst.CST_MASK_NAME)
						End If
						Buffer &= getStrData(CST_CONTACT_RELATION, row(itmRELATION_NM).ToString)						'連絡先続柄
						Me.addDetail(.DETAILS, Buffer)
																													'****６行目
						If Me.pPrivacy = True Then
							Buffer &= getStrData(CST_CONTACT_ZIP_CD, cnvZipCd(row(itmCONTACT_ZIP_CD).ToString), , 8)	'連絡先郵便番号
							Buffer &= getStrData(CST_CONTACT_TELNUMBER, row(itmCONTACT_TELNUMBER).ToString)				'連絡先電話番号
						Else
							If String.IsNullOrEmpty(row(itmCONTACT_ZIP_CD).ToString) = False Then
								Buffer &= getStrData(CST_CONTACT_ZIP_CD, clsConst.CST_MASK_PRIVACY)						'連絡先郵便番号
							End If
							If String.IsNullOrEmpty(row(itmCONTACT_TELNUMBER).ToString) = False Then
								Buffer &= getStrData(CST_CONTACT_TELNUMBER, clsConst.CST_MASK_PRIVACY)					'連絡先電話番号
							End If
						End If
						Me.addDetail(.DETAILS, Buffer)
																													'****７行目
						If Me.pPrivacy = True Then
							Buffer &= getStrData(CST_CONTACT_ADDRESS, row(itmCONTACT_ADDRESS).ToString, , 40)			'連絡先住所
						ElseIf String.IsNullOrEmpty(row(itmCONTACT_ADDRESS).ToString) = False Then
							Buffer &= getStrData(CST_CONTACT_ADDRESS, clsConst.CST_MASK_PRIVACY)
						End If
						Me.addDetail(.DETAILS, Buffer)
																													'****８行目
						Buffer &= getStrData(CST_SMOKING_CHK, row(itmSMOKING_CHK_NM).ToString, , 10)					'喫煙
						Buffer &= getStrData(CST_SMOKING_START_AGE, row(itmSMOKING_START_AGE).ToString)					'吸い始め年齢
						Buffer &= getStrData(CST_SMOKING_END_AGE, row(itmSMOKING_END_AGE).ToString)						'やめた年齢
						Buffer &= getStrData(CST_SMOKING_COUNT, row(itmSMOKING_COUNT).ToString)							'喫煙本数
						Buffer &= getStrData(CST_SMOKING_AGE, row(itmSMOKING_AGE).ToString)								'喫煙年数
						Me.addDetail(.DETAILS, Buffer)
																													'****９行目
						Buffer &= getStrData(CST_DRINKING_CHK, row(itmDRINKING_CHK_NM).ToString, , 2)					'飲酒
						Me.addDetail(.DETAILS, Buffer)
																													'****10行目
						If row(itmGENDER_CD) = clsConst.Enum_Gender.Woman Then											'女性のときのみ
							Buffer &= getStrData(CST_PREGNANCY_CHK, row(itmPREGNANCY_CHK_NM).ToString, , 2)				'	妊娠歴
							Buffer &= getStrData(CST_PREGNANCY_COUNT, row(itmPREGNANCY_COUNT).ToString)					'	妊娠回数
							Buffer &= getStrData(CST_CB_CHK, row(itmCB_CHK_NM).ToString)								'	出産歴
							Buffer &= getStrData(CST_CB_COUNT, row(itmCB_COUNT).ToString)								'	出産回数
							Buffer &= getStrData(CST_MENARCHE_AGE, row(itmMENARCHE_AGE).ToString)						'	初潮年齢
							Buffer &= getStrData(CST_MENOPAUSE_AGE, row(itmMENOPAUSE_AGE).ToString)						'	閉経年齢
							Me.addDetail(.DETAILS, Buffer)
						End If
																													'****11行目
						Buffer &= getStrData(CST_FIRSTHSPVST_DT, row(itmFIRSTHSPVST_DT).ToString, , 10)					'初回来院日
						Buffer &= getStrData(CST_LASTHSPVST_DT, row(itmLASTHSPVST_DT).ToString, , 10)					'最終来院日
						Buffer &= getStrData(CST_LASTDEPT_CD, row(itmDEPT_NM).ToString, , 10)							'最終診療科
						Buffer &= getStrData(CST_LASTLEFTHSP_DT, row(itmLASTLEFTHSP_DT).ToString, , 10)					'最終退院日
						Me.addDetail(.DETAILS, Buffer)
					End With

					Me.setDetailData(db, datDetail)																	'明細データ書き込み
				Next
			End Using
		Catch ex As Exception
			Throw
		Finally
			datDetail = Nothing
		End Try
	End Sub

	''' ---------------------------------------------
	''' <summary>
	''' 明細データ編集（科歴情報）
	''' </summary>
	''' <remarks>
	''' 2010/11/25 新規作成　ACS)常包<BR/>
	''' </remarks>
	''' ---------------------------------------------
	Private Sub setDetail_Ch(ByVal db As clsDB)
		clsSysMst.logEx(clsSysMst.logLevel.DBG, Me.GetType.Assembly.GetName.Name, Me.GetType.Name, "setDetail_Ch", clsMRPCOMMON.CST_LOG_PRODUCT, CST_LOG_CLASS, "明細データ編集（科歴情報）START")
		Dim datDetail As datMRP050R110 = Nothing
		Dim Buffer As String = Nothing
		Dim Work As String = Nothing
		Try
			Using dt As DataTable = Me.getDetailData(db, ENUM_DPC_DETAIL_SQL.UPD_CH),
				  dtMst As DataTable = Me.getMstData(db, ENUM_DPC_DETAIL_SQL.UPD_CH)
				For Each row As DataRow In dt.Rows
					Me.InitDetail(datDetail, row, ENUM_DPC_DETAIL_SQL.UPD_CH)										'キー項目セット
					datDetail.MAIN_DPM_FLG = row(itmMAIN_DPM_FLG)														'主科フラグ
																													'****１行目
					Me.addDetail(datDetail.DETAILS, CST_TITLE_CH, 0)
																													'****２行目
					If Me.pPrivacy = True Then
						Buffer &= getStrData(CST_ZIP_CD, cnvZipCd(row(itmZIP_CD).ToString), , 8)						'郵便番号
						Buffer &= getStrData(CST_TELNUMBER, row(itmTELNUMBER).ToString)									'電話番号
					Else
						If String.IsNullOrEmpty(row(itmZIP_CD).ToString) = False Then
							Buffer &= getStrData(CST_ZIP_CD, clsConst.CST_MASK_PRIVACY)									'郵便番号
						End If
						If String.IsNullOrEmpty(row(itmTELNUMBER).ToString) = False Then
							Buffer &= getStrData(CST_TELNUMBER, clsConst.CST_MASK_PRIVACY)								'電話番号
						End If
					End If
					Buffer &= getStrData(CST_AREA_NM, row(itmAREA_NM).ToString, , 10)									'診療圏
					Buffer &= getStrData(CST_HOUSEHOLDER_NM, row(itmHOUSEHOLDER).ToString)								'世帯主
					Buffer &= getStrData(CST_RELATION_NM, row(itmRELATION_NM).ToString)									'続柄
					Me.addDetail(datDetail.DETAILS, Buffer)
																													'****３行目
					If Me.pPrivacy = True Then																			'住所
						Buffer &= getStrData(CST_ADDRESS_NM, row(itmADDRESS_NM).ToString, , 40)
					ElseIf String.IsNullOrEmpty(row(itmADDRESS_NM).ToString) = False Then
						Buffer &= getStrData(CST_ADDRESS_NM, clsConst.CST_MASK_PRIVACY)
					End If
					Me.addDetail(datDetail.DETAILS, Buffer)
																													'****４行目
					Buffer &= getStrData(CST_WARD_RNM, row(itmWARD_RNM).ToString, , 10)									'病棟
					Buffer &= getStrData(CST_HSP_AIM_RNM, row(itmHSP_AIM).ToString, , 10)								'入院目的
					Buffer &= getStrData(CST_PLAN_EMERGENCY_NM, row(itmPLAN_EMERGENCY).ToString, , 2)					'予定/緊急
					Buffer &= getStrData(CST_TAKE_AMBULANCE_CHK, row(itmTAKE_AMBULANCE).ToString, , 2)					'救急車
					Buffer &= getStrData(CST_TIME_OUT_FLG, row(itmTIME_OUT).ToString)									'時間外
					Me.addDetail(datDetail.DETAILS, Buffer)
																													'****５行目
					Buffer &= getStrData(CST_INTRODUCTION_CHK, row(itmINTRODUCTION).ToString)							'紹介状
					If String.IsNullOrEmpty(row(itmINTRODUCED).ToString) = False Then									'紹介元
						Buffer &= getStrData(CST_INTRODUCED, row(itmINTRODUCED).ToString)
						If String.IsNullOrEmpty(row(itmINTRODUCED_DOCTOR).ToString) = False Then
							Buffer &= getStrData(CST_CH, row(itmINTRODUCED_DOCTOR).ToString, ENUM_SPACE_SIZE.NONE)
						End If
					Else
						Buffer &= getStrData(CST_INTRODUCED, row(itmINTRODUCED_DOCTOR).ToString)
					End If
					If String.IsNullOrEmpty(row(itmREFERENCE).ToString) = False Then									'紹介先
						Buffer &= getStrData(CST_REFERENCE, row(itmREFERENCE).ToString)
						If String.IsNullOrEmpty(row(itmREFERENCE_DOCTOR).ToString) = False Then
							Buffer &= getStrData(CST_CH, row(itmREFERENCE_DOCTOR).ToString, ENUM_SPACE_SIZE.NONE)
						End If
					Else
						Buffer &= getStrData(CST_REFERENCE, row(itmREFERENCE_DOCTOR).ToString)
					End If
					Me.addDetail(datDetail.DETAILS, Buffer)
																													'****６行目
					Buffer &= getStrData(CST_STATURE, String.Format(CST_FORMAT_DECIMAL, row(itmSTATURE)))				'身長
					Buffer &= getStrData(CST_WEIGHT, String.Format(CST_FORMAT_DECIMAL, row(itmWEIGHT)))					'体重
					Buffer &= getStrData(CST_FIRST_DIAGNOSIS_DT, row(itmFIRST_DIAGNOSIS_DT).ToString)					'初診日
					Buffer &= getStrData(CST_PAST_JOB, row(itmJOB_NM_PAST).ToString)									'既職
					Buffer &= getStrData(CST_CURRENT_JOB, row(itmJOB_NM_CUR).ToString)									'現職
					Buffer &= getStrData(CST_BLOOD_TRAN_CHK, row(itmBLOOD_TRAN_CHK).ToString)							'輸血
					Buffer &= getStrData(CST_OPE_CHK, row(itmOPE_CHK_NM).ToString)										'手術
					Buffer &= getStrData(CST_OTHER_DEPT_CHK, row(itmOTHER_DEPT).ToString)								'対診
					Buffer &= getStrData(CST_CLINICAL_TRIAL_CHK, row(itmCLINICAL_TRIAL).ToString)						'治験
					Buffer &= getStrData(CST_HSP_INFECTION_CHK, row(itmHSP_INFECTION).ToString)							'院内感染
					Work = Nothing																						'保険
					For i As Integer = 1 To 3
						Work &= getStrData(CST_INSURANCE_ITM, row(String.Format(itmINSURANCE_NM, i)).ToString, ENUM_SPACE_SIZE.NONE)
					Next
					Buffer &= getStrData(CST_INSURANCE, Work)
					If String.IsNullOrEmpty(row(itmREADMISSION).ToString) = False Then									'再入院
						Buffer &= CST_SPACE_CHAR & CST_READMISSION_FLG
					End If
					Buffer &= getStrData(CST_LAST_OUT_HSP_DT, row(itmLAST_OUT_HSP_DT).ToString)							'前回退院日
					Buffer &= getStrData(CST_SELF_OTHER_HSP_DIV, row(itmSELF_OTHER_HSP_DIV).ToString)					'前回自他区分
					If String.IsNullOrEmpty(row(itmDISEASE_READMISSION).ToString) = False Then							'同一疾病自院再入院
						Buffer &= CST_SPACE_CHAR & CST_DISEASE_READMISSION_FLG
					End If
					Buffer &= getStrData(CST_SAME_DISEASE_LAST_HSP_DT, row(itmSAME_DISEASE_LAST_HSP_DT).ToString)		'同一疾病自院前回退院日
					Me.addDetail(datDetail.DETAILS, Buffer)
																													'****７行目
					Work = Nothing
					For Each rowMst As DataRow In dtMst.Rows															'感染症
						If dt.Columns.Contains(String.Format(itmINFECTION_FLG, rowMst(itmINFECTION_CD).ToString)) = False Then
						ElseIf String.IsNullOrEmpty(row(String.Format(itmINFECTION_FLG, rowMst(itmINFECTION_CD).ToString)).ToString) = False Then
							Work &= String.Format(CST_INFECTION_ITM, rowMst(itmINFECTION_NM).ToString,
																	 row(String.Format(itmINFECTION_FLG, rowMst(itmINFECTION_CD).ToString)).ToString)
						End If
					Next
					Work &= getStrData(CST_INFECTION_OTHER, row(itmOTHER_INFECTION).ToString, ENUM_SPACE_SIZE.NONE)		'その他感染症
					Buffer &= getStrData(CST_INFECTION, Work)
					Me.addDetail(datDetail.DETAILS, Buffer)
																													'****８行目
					Work = Nothing
					For i As Integer = 1 To 6																			'アレルギー
						If String.IsNullOrEmpty(row(String.Format(itmALLERGY_NM, i)).ToString) = False Then
							Work &= String.Format(CST_ALLERGY_ITM, row(String.Format(itmALLERGY_NM, i)).ToString)
						End If
					Next
					Work &= getStrData(CST_ALLERGY_ITM, row(itmOTHER_ALLERGY).ToString, ENUM_SPACE_SIZE.NONE)			'その他アレルギー
					Buffer &= getStrData(CST_ALLERGY, Work)
					Me.addDetail(datDetail.DETAILS, Buffer)
																													'****９行目
					Buffer &= getStrData(CST_TOTAL_MED_COST, String.Format("{0:#,###}", row(itmTOTAL_MED_COST)))		'医療費
					Buffer &= getStrData(CST_DPC_CD, row(itmDPC_CD).ToString)											'ＤＰＣ
					Buffer &= getStrData(CST_REMARKS_CH, row(itmREMARKS).ToString)										'備考
					Buffer &= getStrData(CST_COMMENT, row(itmCOMMENT).ToString)											'コメント
					Me.addDetail(datDetail.DETAILS, Buffer)

					Me.setDetailData(db, datDetail)																	'明細データ書き込み

																													'****すべての最終行
					datDetail.INFO_ITEM_NO = ENUM_DPC_DETAIL_SQL.UPD_ALL
					datDetail.DETAILS.Clear()
					Buffer &= "----------------------------------------------------------------------------------------------------"
					Me.addDetail(datDetail.DETAILS, Buffer, 0)
																													'****すべての最終行＋１
					Me.addDetail(datDetail.DETAILS, CST_TITLE_ALL, 0)
																													'****すべての最終行＋２
					Buffer &= getStrData(CST_REG_STATUS, row(itmREG_STATUS_NM).ToString)								'登録状況
					Buffer &= getStrData(CST_REG_DT, row(itmREG_FINISHED_DT).ToString)									'登録完了日
					Buffer &= getStrData(CST_REG_NM, row(itmSTAFF_NM).ToString)											'登録者
					Me.addDetail(datDetail.DETAILS, Buffer)

					Me.setDetailData(db, datDetail)																	'明細データ書き込み
				Next
			End Using
		Catch ex As Exception
			Throw
		Finally
			datDetail = Nothing
		End Try
	End Sub

	''' ---------------------------------------------
	''' <summary>
	''' 明細データ編集（死亡情報）
	''' </summary>
	''' <remarks>
	''' 2010/11/29 新規作成　ACS)常包<BR/>
	''' </remarks>
	''' ---------------------------------------------
	Private Sub setDetail_Death(ByVal db As clsDB)
		clsSysMst.logEx(clsSysMst.logLevel.DBG, Me.GetType.Assembly.GetName.Name, Me.GetType.Name, "setDetail_Death", clsMRPCOMMON.CST_LOG_PRODUCT, CST_LOG_CLASS, "明細データ編集（死亡情報）START")
		Dim datDetail As datMRP050R110 = Nothing
		Dim Buffer As String = Nothing
		Dim Work As String = Nothing
		Try
			Using dt As DataTable = Me.getDetailData(db, ENUM_DPC_DETAIL_SQL.UPD_DEATH)
				For Each row As DataRow In dt.Rows
					Me.InitDetail(datDetail, row, ENUM_DPC_DETAIL_SQL.UPD_DEATH)									'キー項目セット
																													'****１行目
					Me.addDetail(datDetail.DETAILS, CST_TITLE_DEATH, 0)
																													'****２行目
					Buffer &= getStrData(Nothing, String.Format(CST_DEATH_LCT,
																getStrData(CST_DEATH_LCT_ITM, row(itmDEATH_LCT_RNM).ToString, ENUM_SPACE_SIZE.NONE),
																getStrData(CST_DEATH_LCT_ITM, row(itmDEATH_LCT).ToString, ENUM_SPACE_SIZE.NONE)))				'死亡場所
					Me.addDetail(datDetail.DETAILS, Buffer)
																													'****３行目
					If String.IsNullOrEmpty(row(itmDEATH_DT).ToString) = False Then										'死亡日時
						Buffer &= getStrData(Nothing, String.Format(CST_DEATH_DT, row(itmDEATH_DT).ToString,
																				  row(itmDEATH_TIME).ToString))
					End If
					Buffer &= getStrData(CST_DEATH_DIV, row(itmDEATH_DIV_RNM).ToString)									'死亡区分
					Buffer &= getStrData(CST_AFTER_OPE_DEATH_DIV, row(itmAFTER_OPE_DEATH_DIV_RNM).ToString)				'術後死亡区分
					Buffer &= getStrData(CST_AUTOPSY_CHK_NM, row(itmAUTOPSY_CHK_NM).ToString)							'剖検
					Buffer &= getStrData(CST_AUTOPSY_NO, row(itmAUTOPSY_NO).ToString)
					Me.addDetail(datDetail.DETAILS, Buffer)
																													'****４行目
					Work = Nothing
					Work &= getStrData(CST_DEATH_DISEASE_ITM, row(itmDEATH_DISEASE1_CD).ToString, ENUM_SPACE_SIZE.NONE)	'院外死亡病名１コード
					Work &= getStrData(CST_DEATH_DISEASE_ITM, row(itmDEATH_DISEASE1).ToString, ENUM_SPACE_SIZE.NONE)	'院外死亡病名１
					Work &= getStrData(CST_DEATH_DISEASE_ITM, row(itmDEATH_DISEASE2_CD).ToString, ENUM_SPACE_SIZE.NONE)	'院外死亡病名２コード
					Work &= getStrData(CST_DEATH_DISEASE_ITM, row(itmDEATH_DISEASE2).ToString, ENUM_SPACE_SIZE.NONE)	'院外死亡病名２
					Buffer &= getStrData(CST_DEATH_DISEASE, Work)
					Me.addDetail(datDetail.DETAILS, Buffer)
																													'****５行目
					Buffer &= getStrData(CST_REMARKS, row(itmDEATH_REMARKS).ToString)									'コメント
					Me.addDetail(datDetail.DETAILS, Buffer)

					Me.setDetailData(db, datDetail)																	'明細データ書き込み
				Next
			End Using
		Catch ex As Exception
			Throw
		Finally
			datDetail = Nothing
		End Try
	End Sub

	''' ---------------------------------------------
	''' <summary>
	''' 明細データ編集（病棟情報）
	''' </summary>
	''' <remarks>
	''' 2010/11/29 新規作成　ACS)常包<BR/>
	''' </remarks>
	''' ---------------------------------------------
	Private Sub setDetail_Ward(ByVal db As clsDB)
		clsSysMst.logEx(clsSysMst.logLevel.DBG, Me.GetType.Assembly.GetName.Name, Me.GetType.Name, "setDetail_Ward", clsMRPCOMMON.CST_LOG_PRODUCT, CST_LOG_CLASS, "明細データ編集（病棟情報）START")
		Dim datDetail As datMRP050R110 = Nothing
		Dim Buffer As String = Nothing
		Dim Cnt As Integer = 0						'列数
		Try
			Using dt As DataTable = Me.getDetailData(db, ENUM_DPC_DETAIL_SQL.UPD_WARD)
				Me.InitDetail(datDetail, Nothing, ENUM_DPC_DETAIL_SQL.UPD_WARD)										'キー項目セット(仮)
				For Each row As DataRow In dt.Rows
					If row(sqlMRPCOMMON.itmPATIENT_NO) <> datDetail.PATIENT_NO OrElse
					   row(sqlMRPCOMMON.itmHSP_NO) <> datDetail.HSP_HISTORY_NO OrElse
					   row(sqlMRPCOMMON.itmCH_NO) <> datDetail.CH_NO Then
						Me.addDetail(datDetail.DETAILS, Buffer)
						Me.setDetailData(db, datDetail)																'明細データ書き込み

						Me.InitDetail(datDetail, row, ENUM_DPC_DETAIL_SQL.UPD_WARD)									'キー項目セット
						Me.addDetail(datDetail.DETAILS, CST_TITLE_WARD, 0)											'****１行目
						Cnt = 0
					End If
																													'****２行目～
					Buffer &= String.Format(CST_WARD, getByteStr(row(itmMAIN_WARD_FLG_NM).ToString, 2),
													  getByteStr(row(itmWARD_RNM).ToString, 6),
													  row(itmWARD_START_DT).ToString,
													  row(itmWARD_END_DT).ToString)
					Cnt += 1
					If Cnt >= 3 Then
						Me.addDetail(datDetail.DETAILS, Buffer)
						Cnt = 0
					End If
				Next

				If Cnt > 0 Then Me.addDetail(datDetail.DETAILS, Buffer)
				Me.setDetailData(db, datDetail)																		'明細データ書き込み
			End Using
		Catch ex As Exception
			Throw
		Finally
			datDetail = Nothing
		End Try
	End Sub

	''' ---------------------------------------------
	''' <summary>
	''' 明細データ編集（医師情報）
	''' </summary>
	''' <remarks>
	''' 2010/11/29 新規作成　ACS)常包<BR/>
	''' </remarks>
	''' ---------------------------------------------
	Private Sub setDetail_Doctor(ByVal db As clsDB)
		clsSysMst.logEx(clsSysMst.logLevel.DBG, Me.GetType.Assembly.GetName.Name, Me.GetType.Name, "setDetail_Doctor", clsMRPCOMMON.CST_LOG_PRODUCT, CST_LOG_CLASS, "明細データ編集（医師情報）START")
		Dim datDetail As datMRP050R110 = Nothing
		Dim Buffer As String = Nothing
		Dim Cnt As Integer = 0						'列数
		Try
			Using dt As DataTable = Me.getDetailData(db, ENUM_DPC_DETAIL_SQL.UPD_DOCTOR)
				Me.InitDetail(datDetail, Nothing, ENUM_DPC_DETAIL_SQL.UPD_DOCTOR)									'キー項目セット(仮)
				For Each row As DataRow In dt.Rows
					If row(sqlMRPCOMMON.itmPATIENT_NO) <> datDetail.PATIENT_NO OrElse
					   row(sqlMRPCOMMON.itmHSP_NO) <> datDetail.HSP_HISTORY_NO OrElse
					   row(sqlMRPCOMMON.itmCH_NO) <> datDetail.CH_NO Then
						Me.addDetail(datDetail.DETAILS, Buffer)
						Me.setDetailData(db, datDetail)																'明細データ書き込み

						Me.InitDetail(datDetail, row, ENUM_DPC_DETAIL_SQL.UPD_DOCTOR)								'キー項目セット
						Me.addDetail(datDetail.DETAILS, CST_TITLE_DOCTOR, 0)										'****１行目
						Cnt = 0
					End If
																													'****２行目～
					Buffer &= String.Format(CST_DOCTOR, getByteStr(row(itmMAIN_DOCTOR_FLG_NM).ToString, 2),
														getByteStr(row(itmDOCTOR_DIV_NM).ToString, 10),
														getByteStr(row(itmSTAFF_NM).ToString, 16))
					Cnt += 1
					If Cnt >= 3 Then
						Me.addDetail(datDetail.DETAILS, Buffer)
						Cnt = 0
					End If
				Next

				If Cnt > 0 Then Me.addDetail(datDetail.DETAILS, Buffer)
				Me.setDetailData(db, datDetail)																		'明細データ書き込み
			End Using
		Catch ex As Exception
			Throw
		Finally
			datDetail = Nothing
		End Try
	End Sub

	''' ---------------------------------------------
	''' <summary>
	''' 明細データ編集（パス情報）
	''' </summary>
	''' <remarks>
	''' 2010/11/29 新規作成　ACS)常包<BR/>
	''' </remarks>
	''' ---------------------------------------------
	Private Sub setDetail_Path(ByVal db As clsDB)
		clsSysMst.logEx(clsSysMst.logLevel.DBG, Me.GetType.Assembly.GetName.Name, Me.GetType.Name, "setDetail_Path", clsMRPCOMMON.CST_LOG_PRODUCT, CST_LOG_CLASS, "明細データ編集（パス情報）START")
		Dim datDetail As datMRP050R110 = Nothing
		Dim Buffer As String = Nothing
		Dim Work As String = Nothing
		Const CST_HEADER_SPACE As Integer = 14
		Try
			Using dt As DataTable = Me.getDetailData(db, ENUM_DPC_DETAIL_SQL.UPD_PATH)
				Me.InitDetail(datDetail, Nothing, ENUM_DPC_DETAIL_SQL.UPD_PATH)										'キー項目セット(仮)
				For Each row As DataRow In dt.Rows
					If row(sqlMRPCOMMON.itmPATIENT_NO).ToString <> datDetail.PATIENT_NO OrElse
					   row(sqlMRPCOMMON.itmHSP_NO).ToString <> datDetail.HSP_HISTORY_NO OrElse
					   row(sqlMRPCOMMON.itmCH_NO).ToString <> datDetail.CH_NO Then
						Me.setDetailData(db, datDetail)																'明細データ書き込み

						Me.InitDetail(datDetail, row, ENUM_DPC_DETAIL_SQL.UPD_PATH)									'キー項目セット
						Me.addDetail(datDetail.DETAILS, CST_TITLE_PATH, 0)											'***１行目
					End If
																													'***２行目
					Buffer &= getStrData(Nothing, String.Format(CST_PATH_NM, getByteStr(row(itmPATH_CD).ToString, 10),
																			 row(itmPATH_NM).ToString))					'パスコード・パス名
					Me.addDetail(datDetail.DETAILS, Buffer)
																													'***３行目
					If String.IsNullOrEmpty(row(itmSTART_DT).ToString) = False OrElse
						String.IsNullOrEmpty(row(itmEND_DT).ToString) = False Then										'通用期間
						Buffer &= CST_SPACE_CHAR & String.Format(CST_PATH_DT, row(itmSTART_DT).ToString, _
																			  row(itmEND_DT).ToString)
					End If
					Buffer &= getStrData(CST_PATH_DOCTOR, row(itmSTAFF_NM).ToString)									'指示医
					Me.addDetail(datDetail.DETAILS, Buffer, CST_HEADER_SPACE)
																													'***４行目
					Buffer &= getStrData(CST_VARIANCE_DAY, row(itmVARIANCE_DAY).ToString)								'バリアンス日
					Buffer &= getStrData(CST_VARIANCE, getStrData(CST_VARIANCE_ITM, row(itmVARIANCE_CHK_NM).ToString, ENUM_SPACE_SIZE.NONE) &
													   getStrData(CST_VARIANCE_ITM, row(itmVARIANCE_TYPE_NM).ToString, ENUM_SPACE_SIZE.NONE)) '有無 + 種類
					Me.addDetail(datDetail.DETAILS, Buffer, CST_HEADER_SPACE)
																													'***５行目
					Work = Nothing																						'バリアンス理由
					For i As Integer = 1 To 4
						Work &= getStrData(CST_VARIANCE_ITM, row(String.Format(itmREASON_NM, i)).ToString, ENUM_SPACE_SIZE.NONE)
					Next
					Buffer &= getStrData(CST_VARIANCE_REASON, Work)
					Me.addDetail(datDetail.DETAILS, Buffer, CST_HEADER_SPACE)
																													'***６行目
					Buffer &= getStrData(CST_REMARKS, row(itmREMARKS).ToString)											'コメント
					Me.addDetail(datDetail.DETAILS, Buffer, CST_HEADER_SPACE)
				Next

				Me.setDetailData(db, datDetail)																		'明細データ書き込み
			End Using
		Catch ex As Exception
			Throw
		Finally
			datDetail = Nothing
		End Try
	End Sub

	''' ---------------------------------------------
	''' <summary>
	''' 明細データ編集（対診科情報）
	''' </summary>
	''' <remarks>
	''' 2010/11/29 新規作成　ACS)常包<BR/>
	''' </remarks>
	''' ---------------------------------------------
	Private Sub setDetail_OtherDept(ByVal db As clsDB)
		clsSysMst.logEx(clsSysMst.logLevel.DBG, Me.GetType.Assembly.GetName.Name, Me.GetType.Name, "setDetail_OtherDept", clsMRPCOMMON.CST_LOG_PRODUCT, CST_LOG_CLASS, "明細データ編集（対診科情報）START")
		Dim datDetail As datMRP050R110 = Nothing
		Dim Buffer As String = Nothing
		Dim Cnt As Integer = 0						'列数
		Try
			Using dt As DataTable = Me.getDetailData(db, ENUM_DPC_DETAIL_SQL.UPD_OTHER_DEPT),
				  dtMst As DataTable = Me.getMstData(db, ENUM_DPC_DETAIL_SQL.UPD_OTHER_DEPT)

				For Each row As DataRow In dt.Rows
					Me.InitDetail(datDetail, row, ENUM_DPC_DETAIL_SQL.UPD_OTHER_DEPT)								'キー項目セット
					Me.addDetail(datDetail.DETAILS, CST_TITLE_OTHER_DEPT, 0)										'****１行目

					Cnt = 0
					For Each rowMst As DataRow In dtMst.Rows														'****２行目～
						Buffer &= CST_SPACE_CHAR &
								  String.Format(CST_OTHER_DEPT,
													row(String.Format(itmOTHER_DEPT_VAL, rowMst(itmOTHER_DEPT_CD).ToString)).ToString,
													getByteStr(rowMst(itmOTHER_DEPT_NM).ToString, 10))
						Cnt += 1
						If Cnt >= 6 Then
							Me.addDetail(datDetail.DETAILS, Buffer)
							Cnt = 0
						End If
					Next
					If Cnt > 0 Then Me.addDetail(datDetail.DETAILS, Buffer)
					Me.setDetailData(db, datDetail)																	'明細データ書き込み
				Next
			End Using
		Catch ex As Exception
			Throw
		Finally
			datDetail = Nothing
		End Try
	End Sub

	''' ---------------------------------------------
	''' <summary>
	''' 明細データ編集（医療費情報）
	''' </summary>
	''' <remarks>
	''' 2010/11/30 新規作成　ACS)常包<BR/>
	''' </remarks>
	''' ---------------------------------------------
	Private Sub setDetail_MedCost(ByVal db As clsDB)
		clsSysMst.logEx(clsSysMst.logLevel.DBG, Me.GetType.Assembly.GetName.Name, Me.GetType.Name, "setDetail_MedCost", clsMRPCOMMON.CST_LOG_PRODUCT, CST_LOG_CLASS, "明細データ編集（医療費情報）START")
		Dim datDetail As datMRP050R110 = Nothing
		Dim Buffer As String = Nothing
		Dim Cnt As Integer = 0						'列数
		Try
			Using dt As DataTable = Me.getDetailData(db, ENUM_DPC_DETAIL_SQL.UPD_MED_COST),
				  dtMst As DataTable = Me.getMstData(db, ENUM_DPC_DETAIL_SQL.UPD_MED_COST)

				For Each row As DataRow In dt.Rows
					Me.InitDetail(datDetail, row, ENUM_DPC_DETAIL_SQL.UPD_MED_COST)									'キー項目セット
					Me.addDetail(datDetail.DETAILS, CST_TITLE_MED_COST, 0)											'****１行目

					Cnt = 0
					For Each rowMst As DataRow In dtMst.Rows														'****２行目～
						Buffer &= CST_SPACE_CHAR &
								  String.Format(CST_MED_COST,
													getByteStr(rowMst(itmMED_COST_NM).ToString, 14),
													getByteStr(String.Format(CST_FORMAT_NUMBER, row(String.Format(itmMED_COST, rowMst(itmMED_COST_CD).ToString))), 11, True))
						Cnt += 1
						If Cnt >= 3 Then
							Me.addDetail(datDetail.DETAILS, Buffer)
							Cnt = 0
						End If
					Next
					If Cnt > 0 Then Me.addDetail(datDetail.DETAILS, Buffer)
					Me.setDetailData(db, datDetail)																	'明細データ書き込み
				Next
			End Using
		Catch ex As Exception
			Throw
		Finally
			datDetail = Nothing
		End Try
	End Sub

	''' ---------------------------------------------
	''' <summary>
	''' 明細データ編集（病名情報）
	''' </summary>
	''' <remarks>
	''' 2010/11/30 新規作成　ACS)常包<BR/>
	''' </remarks>
	''' ---------------------------------------------
	Private Sub setDetail_Disease(ByVal db As clsDB)
		clsSysMst.logEx(clsSysMst.logLevel.DBG, Me.GetType.Assembly.GetName.Name, Me.GetType.Name, "setDetail_Disease", clsMRPCOMMON.CST_LOG_PRODUCT, CST_LOG_CLASS, "明細データ編集（病名情報）START")
		Dim datDetail As datMRP050R110 = Nothing
		Dim Buffer As String = Nothing
		Const CST_HEADER_SPACE As Integer = 11
		Const CST_HEADER_SPACE_2 As Integer = 21		'複数分類、備考、がん登録
		Try
			Using dt As DataTable = Me.getDetailData(db, ENUM_DPC_DETAIL_SQL.UPD_DISEASE)
				Me.InitDetail(datDetail, Nothing, ENUM_DPC_DETAIL_SQL.UPD_DISEASE)									'キー項目セット(仮)
				For Each row As DataRow In dt.Rows
					If row(sqlMRPCOMMON.itmPATIENT_NO) <> datDetail.PATIENT_NO OrElse
					   row(sqlMRPCOMMON.itmHSP_NO) <> datDetail.HSP_HISTORY_NO OrElse
					   row(sqlMRPCOMMON.itmCH_NO) <> datDetail.CH_NO Then
						Me.setDetailData(db, datDetail)																'明細データ書き込み

						Me.InitDetail(datDetail, row, ENUM_DPC_DETAIL_SQL.UPD_DISEASE)								'キー項目セット
						Me.addDetail(datDetail.DETAILS, CST_TITLE_DISEASE, 0)										'****１行目
					End If
																													'****２行目
					Buffer &= getStrData(CST_DISEASE, getByteStr(row(itmDISEASE_DIV_RNM).ToString, 6), ENUM_SPACE_SIZE.HALF) '病名区分略称名
					If String.IsNullOrEmpty(row(itmICD10_CD).ToString) = False Then										'ＩＣＤ１０（９）コード
						Buffer &= getStrData(CST_DISEASE, getByteStr(row(itmICD10_CD).ToString, 7), ENUM_SPACE_SIZE.HALF)
					Else
						Buffer &= getStrData(CST_DISEASE, getByteStr(row(itmICD9_CD).ToString, 7), ENUM_SPACE_SIZE.HALF)
					End If
					Buffer &= getStrData(CST_DISEASE, getByteStr(row(itmDISEASE).ToString, 48), ENUM_SPACE_SIZE.HALF)	'病名
					Buffer &= getStrData(CST_DISEASE, getByteStr(row(itmDISEASE_OUTCOME).ToString, 6), ENUM_SPACE_SIZE.HALF) '病名転帰略称名
					Select Case row(itmHSP_CHANCE_DISEASE_FLG)															'入院契機
						Case clsConst.Enum_CheckBox_Flg.CheckOn
							Buffer &= CST_HSP_CHANCE_DISEASE
						Case Else
							Buffer &= Space(System.Text.Encoding.GetEncoding(clsConst.CST_ENCORDING_SHIFTJIS).GetByteCount(CST_HSP_CHANCE_DISEASE))
					End Select
					Select Case clsConst.Enum_CheckBox_Flg.CheckOn														'医療資源投入病名
						Case row(itmDISEASE_MED_RES_FLG1)
							Buffer &= CST_DISEASE_MED_RES1
						Case row(itmDISEASE_MED_RES_FLG2)
							Buffer &= CST_DISEASE_MED_RES2
						Case Else
							Buffer &= Space(System.Text.Encoding.GetEncoding(clsConst.CST_ENCORDING_SHIFTJIS).GetByteCount(CST_DISEASE_MED_RES1))
					End Select
					Select Case clsConst.Enum_CheckBox_Flg.CheckOn														'入院時併存症名
						Case row(itmHSP_DISEASE_FLG)
							Buffer &= CST_HSP_DISEASE
						Case row(itmAFTER_HSP_DISEASE_FLG)
							Buffer &= CST_AFTER_HSP_DISEASE
						Case Else
							Buffer &= Space(System.Text.Encoding.GetEncoding(clsConst.CST_ENCORDING_SHIFTJIS).GetByteCount(CST_HSP_DISEASE))
					End Select
					Select Case row(itmDEATH_DISEASE_FLG)																'死因病名
						Case clsConst.Enum_CheckBox_Flg.CheckOn
							Buffer &= CST_DEATH_DISE
						Case Else
							Buffer &= Space(System.Text.Encoding.GetEncoding(clsConst.CST_ENCORDING_SHIFTJIS).GetByteCount(CST_DEATH_DISE))
					End Select
					Select Case row(itmDIRECT_DEATH_DISEASE_FLG)														'直接死因病名
						Case clsConst.Enum_CheckBox_Flg.CheckOn
							Buffer &= CST_DIRECT_DEATH_DISE
						Case Else
							Buffer &= Space(System.Text.Encoding.GetEncoding(clsConst.CST_ENCORDING_SHIFTJIS).GetByteCount(CST_DIRECT_DEATH_DISE))
					End Select
					Me.addDetail(datDetail.DETAILS, Buffer)
																													'****３行目
					Buffer &= getStrData(CST_PLURAL_GRP_CD, getByteStr(row(itmPLURAL_GRP_CD).ToString, 7))				'複数分類
					Buffer &= getStrData(CST_ONSET_DT, getByteStr(row(itmONSET_DT).ToString, 10))						'発症日
					Buffer &= getStrData(CST_DIAGNOSIS_DT, getByteStr(row(itmDIAGNOSIS_DT).ToString, 10))				'診断日
					Buffer &= getStrData(CST_END_DT, getByteStr(row(itmEND_DT).ToString, 10))							'終了日
					Me.addDetail(datDetail.DETAILS, Buffer, CST_HEADER_SPACE_2)
																													'****４行目
					If String.IsNullOrEmpty(row(itmCAUSE_GRP_CD).ToString) = False Then
						Buffer &= getStrData(CST_DISEASE, getByteStr(row(itmCAUSE_GRP_CD).ToString, 7), ENUM_SPACE_SIZE.HALF)	'外因分類コード
						Buffer &= getStrData(CST_DISEASE, getByteStr(row(itmCAUSE_GRP_NM).ToString, 70), ENUM_SPACE_SIZE.HALF)	'外因分類名
						Select Case row(itmDEATH_CAUSE_FLG)																'死因外因
							Case clsConst.Enum_CheckBox_Flg.CheckOn
								Buffer &= getStrData(Nothing, CST_DEATH_CAUSE, ENUM_SPACE_SIZE.HALF)
							Case Else
								Buffer &= getStrData(Nothing, Space(8), ENUM_SPACE_SIZE.HALF)
						End Select
						Me.addDetail(datDetail.DETAILS, Buffer, CST_HEADER_SPACE)
					End If
																													'****５行目
					If String.IsNullOrEmpty(row(itmCAUSE_4DIGS_CD).ToString) = False Then
						Buffer &= getStrData(CST_DISEASE, getByteStr(row(itmCAUSE_4DIGS_CD).ToString, 7), ENUM_SPACE_SIZE.HALF)	'外因４桁目コード
						Buffer &= getStrData(CST_DISEASE, getByteStr(row(itmCAUSE_4GRP_NM).ToString, 70), ENUM_SPACE_SIZE.HALF)	'外因４桁細分類名
					End If
					Me.addDetail(datDetail.DETAILS, Buffer, CST_HEADER_SPACE)
																													'****６行目
					Buffer &= getStrData(CST_REMARKS1, row(itmREMARKS1).ToString)										'備考１
					Buffer &= getStrData(CST_REMARKS2, row(itmREMARKS2).ToString)										'備考２
					Me.addDetail(datDetail.DETAILS, Buffer, CST_HEADER_SPACE_2)
																													'****７行目
					If String.IsNullOrEmpty(row(itmICDO_FORM_CD).ToString) = False Then
						Buffer &= getStrData(CST_DISEASE, getByteStr(row(itmICDO_FORM_CD).ToString, 7), ENUM_SPACE_SIZE.HALF)	'ＩＣＤＯ１
						Buffer &= getStrData(CST_DISEASE, getByteStr(row(itmICDO_FORM_NM).ToString, 70), ENUM_SPACE_SIZE.HALF)	'ＩＣＤＯ１形態名
					End If
					Buffer &= getStrData(CST_SPECIMEN_NO, row(itmSPECIMEN_NO).ToString)									'標本番号
					Me.addDetail(datDetail.DETAILS, Buffer, CST_HEADER_SPACE)
																													'****８行目
					If String.IsNullOrEmpty(row(itmICDO_FORM_6DIGS_CD).ToString) = False Then
						Buffer &= getStrData(CST_DISEASE, getByteStr(row(itmICDO_FORM_6DIGS_CD).ToString, 7), ENUM_SPACE_SIZE.HALF)	'ＩＣＤＯ１２
						Buffer &= getStrData(CST_DISEASE, getByteStr(row(itmFORM6_NM).ToString, 70), ENUM_SPACE_SIZE.HALF)			'形態６名称
						Me.addDetail(datDetail.DETAILS, Buffer, CST_HEADER_SPACE)
					End If
																													'****９行目
					If String.IsNullOrEmpty(row(itmREG_STATUS_NM).ToString) = False OrElse
						String.IsNullOrEmpty(row(itmCNR_REG_EXTRACT_DT).ToString) = False Then
						Buffer &= getStrData(CST_REG_STATUS_NM, row(itmREG_STATUS_NM).ToString)								'がん登録状況
						Buffer &= getStrData(CST_CNR_REG_EXTRACT_DT, getByteStr(row(itmCNR_REG_EXTRACT_DT).ToString, 10))	'がん登録抽出日
						Me.addDetail(datDetail.DETAILS, Buffer, CST_HEADER_SPACE_2)
					End If
				Next

				Me.setDetailData(db, datDetail)																		'明細データ書き込み
			End Using
		Catch ex As Exception
			Throw
		Finally
			datDetail = Nothing
		End Try
	End Sub

	''' ---------------------------------------------
	''' <summary>
	''' 明細データ編集（手術情報）
	''' </summary>
	''' <remarks>
	''' 2010/11/30 新規作成　ACS)常包<BR/>
	''' </remarks>
	''' ---------------------------------------------
	Private Sub setDetail_Ope(ByVal db As clsDB)
		clsSysMst.logEx(clsSysMst.logLevel.DBG, Me.GetType.Assembly.GetName.Name, Me.GetType.Name, "setDetail_Ope", clsMRPCOMMON.CST_LOG_PRODUCT, CST_LOG_CLASS, "明細データ編集（手術情報）START")
		Dim datDetail As datMRP050R110 = Nothing
		Dim Buffer As String = Nothing
		Dim Cnt As Integer = 0
		Const CST_HEADER_SPACE As Integer = 21
		Const CST_HEADER_SPACE_2 As Integer = 3		'点数表コード
		Const CST_HEADER_SPACE_3 As Integer = 11	'対応病名
		Try
			Dim ENV_00083 As String = clsSysMst.ctlEnvData.getEnv(datEnv.Enum_ENV.ENV_00083)						'血液単位

			Using dt As DataTable = Me.getDetailData(db, ENUM_DPC_DETAIL_SQL.UPD_OPE),
				  dtDoc As DataTable = Me.getDetailData(db, ENUM_DPC_DETAIL_SQL.UPD_OPE_DOCTOR)
				Me.InitDetail(datDetail, Nothing, ENUM_DPC_DETAIL_SQL.UPD_OPE)										'キー項目セット(仮)
				For Each row As DataRow In dt.Rows
					If row(sqlMRPCOMMON.itmPATIENT_NO).ToString <> datDetail.PATIENT_NO OrElse
					   row(sqlMRPCOMMON.itmHSP_NO).ToString <> datDetail.HSP_HISTORY_NO OrElse
					   row(sqlMRPCOMMON.itmCH_NO).ToString <> datDetail.CH_NO Then
						Me.setDetailData(db, datDetail)																'明細データ書き込み

						Me.InitDetail(datDetail, row, ENUM_DPC_DETAIL_SQL.UPD_OPE)									'キー項目セット
						Me.addDetail(datDetail.DETAILS, CST_TITLE_OPE, 0)											'****１行目
					End If
																													'****２行目
					Buffer &= getStrData(CST_OPE, getByteStr(row(itmOPE_DIV_RNM).ToString, 6), ENUM_SPACE_SIZE.HALF)	'手術区分略称名
					Buffer &= getStrData(CST_OPE, getByteStr(row(itmICD9CM_CD).ToString, 7), ENUM_SPACE_SIZE.HALF)		'ＩＣＤ９ＣＭコード
					Buffer &= getStrData(CST_OPE, getByteStr(row(itmOPE_NM).ToString, 78), ENUM_SPACE_SIZE.HALF)		'手術名
					Me.addDetail(datDetail.DETAILS, Buffer)
																													'****３行目
					If String.IsNullOrEmpty(row(itmSCORE_CD).ToString) = False Then										'点数表コード
						Buffer &= getStrData(CST_OPE, getByteStr(row(itmSCORE_CD).ToString, 13))
					Else
						Buffer &= getStrData(Nothing, Nothing, , 15)
					End If
					Buffer &= getStrData(Nothing, String.Format(CST_OPE_DT,
																			getByteStr(row(itmOPE_DT).ToString, 10),
																			getByteStr(row(itmOPE_TIME).ToString, 5),
																			getByteStr(row(itmEND_DT).ToString, 10),
																			getByteStr(row(itmEND_TIME).ToString, 5)),
																								ENUM_SPACE_SIZE.HALF)	'実施日時
					Buffer &= getStrData(CST_OPE_REQUIRED_TIME, getByteStr(row(itmOPE_REQUIRED_TIME).ToString, 5), ENUM_SPACE_SIZE.HALF)	 '所要時間
					If (IsDBNull(row(itmOPE_AGE)) OrElse row(itmOPE_AGE) = 0) AndAlso
					   (IsDBNull(row(itmOPE_MONTH_AGE)) OrElse row(itmOPE_MONTH_AGE) = 0) Then							'年齢
						Buffer &= getStrData(Nothing, String.Format(CST_OPE_DAY_AGE, row(itmOPE_DAY_AGE)), ENUM_SPACE_SIZE.HALF)
					Else
						Buffer &= getStrData(Nothing, String.Format(CST_OPE_AGE, row(itmOPE_AGE), row(itmOPE_MONTH_AGE)), ENUM_SPACE_SIZE.HALF)
					End If
					Me.addDetail(datDetail.DETAILS, Buffer, CST_HEADER_SPACE_2, False)

																													'****４行目
					Buffer &= getStrData(CST_OPE_PLAN_EMERGENCY, row(itmPLAN_EMERGENCY_NM).ToString)					'手術回数
					Select Case row(itmTIME_OUT_FLG)																	'時間外
						Case clsConst.Enum_CheckBox_Flg.CheckOn
							Buffer &= getStrData(Nothing, CST_OPE_TIME_OUT)
						Case Else
					End Select
					Buffer &= getStrData(CST_OPE_COUNT, row(itmOPE_COUNT).ToString)										'手術回数
					Buffer &= getStrData(CST_OPE_PART, row(itmOPE_PART).ToString)										'手術側数
					Buffer &= getStrData(CST_ASA_PS_GRP_RNM, row(itmASA_PS_GRP_RNM).ToString)							'ASA-PS
					If String.IsNullOrEmpty(row(itmANESTHESIA_RNM1).ToString) = False OrElse
						String.IsNullOrEmpty(row(itmANESTHESIA_RNM2).ToString) = False OrElse
						String.IsNullOrEmpty(row(itmANESTHESIA_TIME).ToString) = False Then								'麻酔
						Buffer &= getStrData(Nothing, String.Format(CST_ANESTHESIA,
																		row(itmANESTHESIA_RNM1).ToString,
																		row(itmANESTHESIA_RNM2).ToString,
																		row(itmANESTHESIA_TIME).ToString))
					End If
					Buffer &= getStrData(String.Format(CST_BLEEDING_VOLUME, ENV_00083),
										 String.Format(CST_FORMAT_NUMBER, row(itmBLEEDING_VOLUME)))						'出血量
					Buffer &= getStrData(String.Format(CST_BLOOD_TRAN_VOLUME, ENV_00083),
										 String.Format(CST_FORMAT_NUMBER, row(itmBLOOD_TRAN_VOLUME)))					'輸血量
					Me.addDetail(datDetail.DETAILS, Buffer, CST_HEADER_SPACE)
																													'****５行目
					Buffer &= getStrData(CST_PRE_OPE_DAYS, row(itmPRE_OPE_DAYS).ToString)								'術前日数
					Buffer &= getStrData(CST_AFTER_OPE_DAYS, row(itmAFTER_OPE_DAYS).ToString)							'術後日数
					Buffer &= getStrData(CST_AFTER_OPE_CMPC_CHK, row(itmAFTER_OPE_CMPC_NM).ToString)					'術後合併症
					Buffer &= getStrData(CST_OPE_ASST_DIV_RNM1, row(itmOPE_ASST_DIV_RNM1).ToString)						'補助区分１
					Buffer &= getStrData(CST_OPE_ASST_DIV_RNM2, row(itmOPE_ASST_DIV_RNM2).ToString)						'補助区分２
					Buffer &= getStrData(CST_REMARKS1, row(itmREMARKS1).ToString)										'備考１
					Buffer &= getStrData(CST_REMARKS2, row(itmREMARKS2).ToString)										'備考２
					Me.addDetail(datDetail.DETAILS, Buffer, CST_HEADER_SPACE)
																													'****６行目
					If String.IsNullOrEmpty(row(itmSPT_DISEASE_ICD10_CD).ToString) = False OrElse
					   String.IsNullOrEmpty(row(itmSPT_DISEASE_NM).ToString) = False Then								'対応病名
						Buffer &= getStrData(CST_SPT_DISEASE, getStrData(CST_OPE, getByteStr(row(itmSPT_DISEASE_ICD10_CD).ToString, 7)) &
															  getStrData(CST_OPE, getByteStr(row(itmSPT_DISEASE_NM).ToString, 67), ENUM_SPACE_SIZE.HALF))
						Me.addDetail(datDetail.DETAILS, Buffer, CST_HEADER_SPACE_3)
					End If
																													'****７行目
					Cnt = 0																								'手術医師
					For Each rowDoc As DataRow In dtDoc.Select(String.Format("{0}='{1}' AND {2}={3} AND {4}={5} AND {6}={7}",
																				sqlMRPCOMMON.itmPATIENT_NO,
																				row(sqlMRPCOMMON.itmPATIENT_NO).ToString,
																				sqlMRPCOMMON.itmHSP_NO,
																				row(sqlMRPCOMMON.itmHSP_NO).ToString,
																				sqlMRPCOMMON.itmCH_NO,
																				row(sqlMRPCOMMON.itmCH_NO).ToString,
																				sqlMRPCOMMON.itmSERIAL_NO,
																				row(sqlMRPCOMMON.itmSERIAL_NO).ToString))
						Buffer &= CST_SPACE_CHAR & String.Format(CST_OPE_DOCTOR, getByteStr(rowDoc(itmOPE_DOCTOR_DIV_RNM).ToString, 8), _
																				 getByteStr(rowDoc(itmSTAFF_NM).ToString, 14))
						Cnt += 1
						If Cnt >= 3 Then
							Me.addDetail(datDetail.DETAILS, Buffer, CST_HEADER_SPACE)
							Cnt = 0
						End If
					Next
					If Cnt > 0 Then Me.addDetail(datDetail.DETAILS, Buffer, CST_HEADER_SPACE)
				Next

				Me.setDetailData(db, datDetail)																		'明細データ書き込み
			End Using
		Catch ex As Exception
			Throw
		Finally
			datDetail = Nothing
		End Try
	End Sub

	''' ---------------------------------------------
	''' <summary>
	''' 明細データ編集（治療処置情報）
	''' </summary>
	''' <remarks>
	''' 2010/12/01 新規作成　ACS)常包<BR/>
	''' </remarks>
	''' ---------------------------------------------
	Private Sub setDetail_Care(ByVal db As clsDB)
		clsSysMst.logEx(clsSysMst.logLevel.DBG, Me.GetType.Assembly.GetName.Name, Me.GetType.Name, "setDetail_Care", clsMRPCOMMON.CST_LOG_PRODUCT, CST_LOG_CLASS, "明細データ編集（治療処置情報）START")
		Dim datDetail As datMRP050R110 = Nothing
		Dim Buffer As String = Nothing
		Const CST_HEADER_SPACE As Integer = 21
		Try
			Using dt As DataTable = Me.getDetailData(db, ENUM_DPC_DETAIL_SQL.UPD_CARE)
				Me.InitDetail(datDetail, Nothing, ENUM_DPC_DETAIL_SQL.UPD_CARE)										'キー項目セット(仮)
				For Each row As DataRow In dt.Rows
					If row(sqlMRPCOMMON.itmPATIENT_NO) <> datDetail.PATIENT_NO OrElse
					   row(sqlMRPCOMMON.itmHSP_NO) <> datDetail.HSP_HISTORY_NO OrElse
					   row(sqlMRPCOMMON.itmCH_NO) <> datDetail.CH_NO Then
						Me.setDetailData(db, datDetail)																'明細データ書き込み

						Me.InitDetail(datDetail, row, ENUM_DPC_DETAIL_SQL.UPD_CARE)									'キー項目セット
						Me.addDetail(datDetail.DETAILS, CST_TITLE_CARE, 0)											'****１行目
					End If
																													'****２行目
					Buffer &= getStrData(CST_CARE, getByteStr(row(itmCARE_DIV_RNM).ToString, 6), ENUM_SPACE_SIZE.HALF)	'治療処置区分略称名
					Buffer &= getStrData(CST_CARE, getByteStr(row(itmICD9CM_CD).ToString, 7), ENUM_SPACE_SIZE.HALF)		'ＩＣＤ９ＣＭコード
					Buffer &= getStrData(CST_CARE, getByteStr(row(itmCARE_NM).ToString, 60), ENUM_SPACE_SIZE.HALF)		'治療処置名
					Buffer &= getStrData(CST_CARE_DT, getByteStr(row(itmCARE_DT).ToString, 10), ENUM_SPACE_SIZE.NONE)	'実施日
					Me.addDetail(datDetail.DETAILS, Buffer)
																													'****３行目
					Buffer &= getStrData(CST_CARE_ASST_DIV, row(itmCARE_ASST_DIV_RNM).ToString)							'治療処置補助区分
					Buffer &= getStrData(CST_REMARKS1, row(itmREMARKS1).ToString)										'備考１
					Buffer &= getStrData(CST_REMARKS2, row(itmREMARKS2).ToString)										'備考２
					Me.addDetail(datDetail.DETAILS, Buffer, CST_HEADER_SPACE)
				Next
				Me.setDetailData(db, datDetail)																		'明細データ書き込み
			End Using
		Catch ex As Exception
			Throw
		Finally
			datDetail = Nothing
		End Try
	End Sub

	''' ---------------------------------------------
	''' <summary>
	''' 明細データ編集（検査情報）
	''' </summary>
	''' <remarks>
	''' 2010/12/01 新規作成　ACS)常包<BR/>
	''' </remarks>
	''' ---------------------------------------------
	Private Sub setDetail_Test(ByVal db As clsDB)
		clsSysMst.logEx(clsSysMst.logLevel.DBG, Me.GetType.Assembly.GetName.Name, Me.GetType.Name, "setDetail_Test", clsMRPCOMMON.CST_LOG_PRODUCT, CST_LOG_CLASS, "明細データ編集（検査情報）START")
		Dim datDetail As datMRP050R110 = Nothing
		Dim Buffer As String = Nothing
		Const CST_HEADER_SPACE As Integer = 21
		Try
			Using dt As DataTable = Me.getDetailData(db, ENUM_DPC_DETAIL_SQL.UPD_TEST)
				Me.InitDetail(datDetail, Nothing, ENUM_DPC_DETAIL_SQL.UPD_TEST)										'キー項目セット(仮)
				For Each row As DataRow In dt.Rows
					If row(sqlMRPCOMMON.itmPATIENT_NO) <> datDetail.PATIENT_NO OrElse
					   row(sqlMRPCOMMON.itmHSP_NO) <> datDetail.HSP_HISTORY_NO OrElse
					   row(sqlMRPCOMMON.itmCH_NO) <> datDetail.CH_NO Then
						Me.setDetailData(db, datDetail)																'明細データ書き込み

						Me.InitDetail(datDetail, row, ENUM_DPC_DETAIL_SQL.UPD_TEST)									'キー項目セット
						Me.addDetail(datDetail.DETAILS, CST_TITLE_TEST, 0)											'****１行目
					End If
																													'****２行目
					Buffer &= getStrData(CST_TEST, getByteStr(row(itmTEST_DIV_RNM).ToString, 6), ENUM_SPACE_SIZE.HALF)	'検査区分略称名
					Buffer &= getStrData(CST_TEST, getByteStr(row(itmICD9CM_CD).ToString, 7), ENUM_SPACE_SIZE.HALF)		'ＩＣＤ９ＣＭコード
					Buffer &= getStrData(CST_TEST, getByteStr(row(itmTEST_NM).ToString, 60), ENUM_SPACE_SIZE.HALF)		'検査名
					Buffer &= getStrData(CST_TEST_DT, getByteStr(row(itmTEST_DT).ToString, 10), ENUM_SPACE_SIZE.NONE)	'実施日
					Me.addDetail(datDetail.DETAILS, Buffer)
																													'****３行目
					Buffer &= getStrData(CST_TEST_ASST_DIV, row(itmTEST_ASST_DIV_RNM).ToString)							'補助区分
					Buffer &= getStrData(CST_REMARKS1, row(itmREMARKS1).ToString)										'備考１
					Buffer &= getStrData(CST_REMARKS2, row(itmREMARKS2).ToString)										'備考２
					Me.addDetail(datDetail.DETAILS, Buffer, CST_HEADER_SPACE)
				Next
				Me.setDetailData(db, datDetail)																		'明細データ書き込み
			End Using
		Catch ex As Exception
			Throw
		Finally
			datDetail = Nothing
		End Try
	End Sub

	''' ---------------------------------------------
	''' <summary>
	''' 明細データ編集（分娩情報）
	''' </summary>
	''' <remarks>
	''' 2010/11/25 新規作成　ACS)常包<BR/>
	''' </remarks>
	''' ---------------------------------------------
	Private Sub setDetail_Cb(ByVal db As clsDB)
		clsSysMst.logEx(clsSysMst.logLevel.DBG, Me.GetType.Assembly.GetName.Name, Me.GetType.Name, "setDetail_CB", clsMRPCOMMON.CST_LOG_PRODUCT, CST_LOG_CLASS, "明細データ編集（分娩情報）START")
		Dim datDetail As datMRP050R110 = Nothing
		Dim Buffer As String = Nothing
		Try
			Dim ENV_00083 As String = clsSysMst.ctlEnvData.getEnv(datEnv.Enum_ENV.ENV_00083)						'血液単位

			Using dt As DataTable = Me.getDetailData(db, ENUM_DPC_DETAIL_SQL.UPD_CB)
				For Each row As DataRow In dt.Rows
					Me.InitDetail(datDetail, row, ENUM_DPC_DETAIL_SQL.UPD_CB)										'キー項目セット
					Me.addDetail(datDetail.DETAILS, CST_TITLE_CB, 0)												'****１行目
																													'****２行目
					Buffer &= getStrData(CST_CB_DT, row(itmCB_DT).ToString)												'分娩日
					Buffer &= getStrData(Nothing, String.Format(CST_CB_AGE, row(itmCB_AGE).ToString,
																			row(itmCB_MONTH_AGE).ToString),
																								ENUM_SPACE_SIZE.HALF)	'分娩時年齢
					Buffer &= getStrData(Nothing, String.Format(CST_GESTATIONAL, row(itmGE_WEEK_COUNT).ToString,
																				 row(itmGE_DAY_COUNT).ToString),
																								ENUM_SPACE_SIZE.HALF)	'在胎日数
					Buffer &= getStrData(CST_CHD_COUNT, row(itmCHD_COUNT).ToString, ENUM_SPACE_SIZE.HALF)				'児数
					Buffer &= getStrData(String.Format(CST_CB_BL_VOLUME, ENV_00083),
										 String.Format(CST_FORMAT_NUMBER, row(itmBLEEDING_VOLUME)), ENUM_SPACE_SIZE.HALF) '出血量
					Buffer &= getStrData(CST_PREMATURE_BIRTH, row(itmPREMATURE_BIRTH).ToString, ENUM_SPACE_SIZE.HALF)	'早産
					Buffer &= getStrData(CST_MISCARRIAGE, row(itmMISCARRIAGE).ToString, ENUM_SPACE_SIZE.HALF)			'流産
					Buffer &= getStrData(CST_CAESAREAN_OPE, row(itmCHK_NM).ToString, ENUM_SPACE_SIZE.HALF)				'帝王切開
					Me.addDetail(datDetail.DETAILS, Buffer)
																													'****３行目
					For i As Integer = 1 To 4
						If String.IsNullOrEmpty(row(String.Format(itmCNT_NM, i)).ToString) = False Then					'分娩区分
							Buffer &= CST_SPACE_CHAR_HALF & String.Format(CST_CB, row(String.Format(itmCB_DIV_ITM_NM, i)).ToString,
																				  row(String.Format(itmCNT_NM, i)).ToString)
						End If
					Next
					Me.addDetail(datDetail.DETAILS, Buffer)
																													'****４行目
					For i As Integer = 1 To 3
						If String.IsNullOrEmpty(row(String.Format(itmCB_CHK, i)).ToString) = False Then					'分娩チェック
							Buffer &= CST_SPACE_CHAR_HALF & String.Format(CST_CB, row(String.Format(itmCB_CHK_ITM_NM, i)).ToString,
																				  row(String.Format(itmCB_CHK, i)).ToString)
						End If
					Next
					Me.addDetail(datDetail.DETAILS, Buffer)

					Me.setDetailData(db, datDetail)																	'明細データ書き込み
				Next
			End Using
		Catch ex As Exception
			Throw
		Finally
			datDetail = Nothing
		End Try
	End Sub

	''' ---------------------------------------------
	''' <summary>
	''' 明細データ編集（分娩子情報）
	''' </summary>
	''' <remarks>
	''' 2010/12/02 新規作成　ACS)常包<BR/>
	''' </remarks>
	''' ---------------------------------------------
	Private Sub setDetail_Cb_Child(ByVal db As clsDB)
		clsSysMst.logEx(clsSysMst.logLevel.DBG, Me.GetType.Assembly.GetName.Name, Me.GetType.Name, "setDetail_CB_Child", clsMRPCOMMON.CST_LOG_PRODUCT, CST_LOG_CLASS, "明細データ編集（分娩子情報）START")
		Dim datDetail As datMRP050R110 = Nothing
		Dim Buffer As String = Nothing
		Dim Cnt As Integer = 0
		Try
			Using dt As DataTable = Me.getDetailData(db, ENUM_DPC_DETAIL_SQL.UPD_CB_CHILD)
				Me.InitDetail(datDetail, Nothing, ENUM_DPC_DETAIL_SQL.UPD_CB_CHILD)									'キー項目セット(仮)
				For Each row As DataRow In dt.Rows
					If row(sqlMRPCOMMON.itmPATIENT_NO) <> datDetail.PATIENT_NO OrElse
					   row(sqlMRPCOMMON.itmHSP_NO) <> datDetail.HSP_HISTORY_NO OrElse
					   row(sqlMRPCOMMON.itmCH_NO) <> datDetail.CH_NO Then
						Me.setDetailData(db, datDetail)																'明細データ書き込み

						Me.InitDetail(datDetail, row, ENUM_DPC_DETAIL_SQL.UPD_CB_CHILD)								'キー項目セット
						Me.addDetail(datDetail.DETAILS, CST_TITLE_CHD_CB, 0)										'****１行目
						Cnt = 0
					End If
																													'****２行目
					Cnt += 1
					Buffer &= String.Format(CST_CHD_CNT, Cnt).PadLeft(2)												'行番号
					Buffer &= String.Format(CST_CHD_CB_DT, getByteStr(row(itmCHD_CB_DT).ToString, 10),
														   getByteStr(row(itmCHD_CB_TIME).ToString, 5))					'分娩日時

					Buffer &= getStrData(CST_GENDER_NM, row(itmGENDER_NM).ToString)										'性別
					Buffer &= getStrData(CST_NEWBORN_STATURE, row(itmNEWBORN_STATURE).ToString)							'身長
					Buffer &= getStrData(CST_NEWBORN_WEIGHT, String.Format(CST_FORMAT_NUMBER, row(itmNEWBORN_WEIGHT)))	'体重
					Buffer &= getStrData(CST_BLOODTYPE_NM, row(itmBLOODTYPE_NM).ToString & row(itmRH_NM).ToString)		'血液型
					If String.IsNullOrEmpty(row(itmAPGARSCORE1).ToString) = False OrElse
					   String.IsNullOrEmpty(row(itmAPGARSCORE5).ToString) = False Then									'アプガー
						Buffer &= getStrData(Nothing, String.Format(CST_APGARSCORE, row(itmAPGARSCORE1).ToString,
																					row(itmAPGARSCORE5).ToString))
					End If
					Buffer &= getStrData(CST_IMMATURE, row(itmIMMATURE_NM).ToString)									'未熟
					Buffer &= getStrData(CST_DEFORMITY, row(itmDEFORMITY_NM).ToString)									'奇形
					Buffer &= getStrData(CST_STILLBIRTH, row(itmSTILLBIRTH_NM).ToString)								'死産
					Me.addDetail(datDetail.DETAILS, Buffer, 0, False)
																													'****３行目
					Buffer &= getStrData(CST_NEWBORN_NO, row(itmNEWBORN_NO).ToString)									'新生児番号
					Buffer &= getStrData(CST_CHD_PATIENT_NO, row(itmCHD_PATIENT_NO).ToString)							'患者番号
					For i As Integer = 1 To 5
						If String.IsNullOrEmpty(row(String.Format(itmCHD_CB_CHK_NM, i)).ToString) = False Then			'分娩チェック
							Buffer &= CST_SPACE_CHAR & String.Format(CST_CHD_CB, row(String.Format(itmCB_CHK_ITM_NM, i)).ToString,
																				 row(String.Format(itmCHD_CB_CHK_NM, i)).ToString)
						End If
					Next
					Me.addDetail(datDetail.DETAILS, Buffer)
																													'****４行目
					For i As Integer = 1 To 4
						If String.IsNullOrEmpty(row(String.Format(itmCNT_NM, i)).ToString) = False Then					'分娩区分
							Buffer &= CST_SPACE_CHAR & String.Format(CST_CHD_CB, row(String.Format(itmCB_DIV_ITM_NM, i)).ToString,
																				 row(String.Format(itmCNT_NM, i)).ToString)
						End If
					Next
					Me.addDetail(datDetail.DETAILS, Buffer)
																													'****５行目
					Buffer &= getStrData(CST_CHD_REMARKS, row(itmCHD_REMARKS).ToString)									'備考
					Me.addDetail(datDetail.DETAILS, Buffer)
																													'****６行目
					If row(itmSTILLBIRTH) = clsConst.Enum_CheckBox_Flg.CheckOn Then
						Buffer = CST_TITLE_SB																			'死産情報(タイトル)
						If String.IsNullOrEmpty(row(itmSB_DT).ToString) = False Then									'死産日時
							Buffer &= getStrData(Nothing, String.Format(CST_SB_DT, row(itmSB_DT).ToString, row(itmSB_TIME).ToString))
						End If
						Buffer &= getStrData(CST_SB_NO, row(itmSB_NO).ToString)											'死産番号
						Buffer &= getStrData(CST_SB_WEEK_COUNT, row(itmWEEK_COUNT).ToString)							'死産週数
						Buffer &= getStrData(CST_SB_LCT, row(itmSB_LCT_RNM).ToString)									'死産場所
						Buffer &= getStrData(CST_SB_AUTOPSY_CHK, row(itmAUTOPSY_CHK_NM).ToString)						'剖検有無
						Buffer &= getStrData(CST_SB_AUTOPSY_NO, row(itmAUTOPSY_NO).ToString)							'剖検番号
						Buffer &= getStrData(CST_SB_INDUCED_CHK, row(itmINDUCED_ABO_CHK).ToString)						'人工中絶
						Buffer &= getStrData(CST_SB_MOTHER_CHK, row(itmMOTHER_CMPC_CHK).ToString)						'母体合併症
						Buffer &= getStrData(CST_COMMENT, row(itmREMARKS).ToString)										'コメント
						Me.addDetail(datDetail.DETAILS, Buffer)
					End If
				Next

				Me.setDetailData(db, datDetail)																		'明細データ書き込み
			End Using
		Catch ex As Exception
			Throw
		Finally
			datDetail = Nothing
		End Try
	End Sub

	''' ---------------------------------------------
	''' <summary>
	''' 明細データ編集（救命救急情報）
	''' </summary>
	''' <remarks>
	''' 2010/12/02 新規作成　ACS)常包<BR/>
	''' </remarks>
	''' ---------------------------------------------
	Private Sub setDetail_Emergency(ByVal db As clsDB)
		clsSysMst.logEx(clsSysMst.logLevel.DBG, Me.GetType.Assembly.GetName.Name, Me.GetType.Name, "setDetail_Emergency", clsMRPCOMMON.CST_LOG_PRODUCT, CST_LOG_CLASS, "明細データ編集（救命救急情報）START")
		Dim datDetail As datMRP050R110 = Nothing
		Dim Buffer As String = Nothing
		Dim Cnt As Integer = 0
		Try
			Using dt As DataTable = Me.getDetailData(db, ENUM_DPC_DETAIL_SQL.UPD_EMERGENCY)
				Me.InitDetail(datDetail, Nothing, ENUM_DPC_DETAIL_SQL.UPD_EMERGENCY)								'キー項目セット(仮)
				For Each row As DataRow In dt.Rows
					If row(sqlMRPCOMMON.itmPATIENT_NO) <> datDetail.PATIENT_NO OrElse
					   row(sqlMRPCOMMON.itmHSP_NO) <> datDetail.HSP_HISTORY_NO OrElse
					   row(sqlMRPCOMMON.itmCH_NO) <> datDetail.CH_NO Then
						Me.setDetailData(db, datDetail)																'明細データ書き込み

						Me.InitDetail(datDetail, row, ENUM_DPC_DETAIL_SQL.UPD_EMERGENCY)							'キー項目セット
						Me.addDetail(datDetail.DETAILS, CST_TITLE_EMERGENCY, 0)										'****１行目
						Cnt = 0
					End If
																													'****２行目
					Cnt += 1
					Buffer &= String.Format(CST_EMERGENCY_CNT, Cnt).PadLeft(2)											'行番号
					Buffer &= getStrData(CST_IN_METHOD_RNM, row(itmIN_METHOD_RNM).ToString, ENUM_SPACE_SIZE.NONE)		'入法
					If String.IsNullOrEmpty(row(itmENTERING_DT).ToString) = False Then									'入室日
						Buffer &= getStrData(Nothing, String.Format(CST_ENTERING_DT,
																				row(itmENTERING_DT).ToString,
																				row(itmENTERING_TIME).ToString))
						If (IsDBNull(row(itmENTERING_AGE)) = True OrElse row(itmENTERING_AGE) = 0) AndAlso
						   (IsDBNull(row(itmENTERING_MONTH_AGE)) = True OrElse row(itmENTERING_MONTH_AGE) = 0) Then		'入室時年齢
							Buffer &= getStrData(CST_ENTERING_AGE_DAY, row(itmENTERING_DAY_AGE).ToString)
						Else
							Buffer &= getStrData(Nothing, String.Format(CST_ENTERING_AGE,
																					row(itmENTERING_AGE).ToString,
																					row(itmENTERING_MONTH_AGE).ToString))
						End If
					End If

					Buffer &= getStrData(CST_SEVERE_DIV_NM, row(itmSEVERE_DIV_NM).ToString)								'重症区分
					Me.addDetail(datDetail.DETAILS, Buffer, 0, False)
																													'****３行目
					Buffer &= getStrData(CST_OUT_METHOD_RNM, row(itmOUT_METHOD_RNM).ToString)							'出法
					If String.IsNullOrEmpty(row(itmLEAVING_DT).ToString) = False Then									'出室日
						Buffer &= getStrData(Nothing, String.Format(CST_LEAVING_DT,
																				row(itmLEAVING_DT).ToString, _
																				row(itmLEAVING_TIME).ToString))

						If (IsDBNull(row(itmLEAVING_AGE)) = True OrElse row(itmLEAVING_AGE) = 0) AndAlso
						   (IsDBNull(row(itmLEAVING_MONTH_AGE)) = True OrElse row(itmLEAVING_MONTH_AGE) = 0) Then		'出室時年齢
							Buffer &= getStrData(CST_LEAVING_AGE_DAY, row(itmLEAVING_DAY_AGE).ToString)
						Else
							Buffer &= getStrData(Nothing, String.Format(CST_LEAVING_AGE,
																					row(itmLEAVING_AGE).ToString,
																					row(itmLEAVING_MONTH_AGE).ToString))
						End If
						Buffer &= getStrData(CST_IN_ROOM_DAYS, row(itmIN_ROOM_DAYS).ToString)							'在室日数
					End If
					Buffer &= getStrData(CST_MED_REQUIRED_TIME, row(itmMED_REQUIRED_TIME).ToString)						'所要時間
					Me.addDetail(datDetail.DETAILS, Buffer)
				Next

				Me.setDetailData(db, datDetail)																		'明細データ書き込み
			End Using
		Catch ex As Exception
			Throw
		Finally
			datDetail = Nothing
		End Try
	End Sub

	''' ---------------------------------------------
	''' <summary>
	''' 明細データ編集（補足項目１情報）
	''' </summary>
	''' <remarks>
	''' 2010/12/04 新規作成　ACS)常包<BR/>
	''' </remarks>
	''' ---------------------------------------------
	Private Sub setDetail_Asst1(ByVal db As clsDB)
		clsSysMst.logEx(clsSysMst.logLevel.DBG, Me.GetType.Assembly.GetName.Name, Me.GetType.Name, "setDetail_Asst1", clsMRPCOMMON.CST_LOG_PRODUCT, CST_LOG_CLASS, "明細データ編集（補足項目１情報）START")
		Dim datDetail As datMRP050R110 = Nothing
		Dim Buffer As String = Nothing
		Dim Cnt As Integer = 0						'列数
		Try
			Using dt As DataTable = Me.getDetailData(db, ENUM_DPC_DETAIL_SQL.UPD_ASST1),
				  dtMst As DataTable = Me.getMstData(db, ENUM_DPC_DETAIL_SQL.UPD_ASST1)

				For Each row As DataRow In dt.Rows
					Me.InitDetail(datDetail, row, ENUM_DPC_DETAIL_SQL.UPD_ASST1)									'キー項目セット
					Me.addDetail(datDetail.DETAILS, CST_TITLE_ASST1, 0)												'****１行目

					Cnt = 0
					For Each rowMst As DataRow In dtMst.Rows														'****２行目～
						Buffer &= String.Format(CST_ASST1,
												getByteStr(rowMst.Item(itmASST1_GRP_CD).ToString, 16),
												getByteStr(rowMst.Item(itmASST1_ITEM).ToString, 26),
												row(String.Format(itmASST1_ITM_NM, rowMst(itmASST1_ITEM_CD).ToString).ToString)) & CST_SPACE_CHAR
						Cnt += 1
						If Cnt >= 2 Then
							Me.addDetail(datDetail.DETAILS, Buffer, , False)
							Cnt = 0
						End If
					Next
					If Cnt > 0 Then Me.addDetail(datDetail.DETAILS, Buffer, , False)
					Me.setDetailData(db, datDetail)																	'明細データ書き込み
				Next
			End Using
		Catch ex As Exception
			Throw
		Finally
			datDetail = Nothing
		End Try
	End Sub

	''' ---------------------------------------------
	''' <summary>
	''' 明細データ編集（補足項目２情報）
	''' </summary>
	''' <remarks>
	''' 2010/12/04 新規作成　ACS)常包<BR/>
	''' </remarks>
	''' ---------------------------------------------
	Private Sub setDetail_Asst2(ByVal db As clsDB)
		clsSysMst.logEx(clsSysMst.logLevel.DBG, Me.GetType.Assembly.GetName.Name, Me.GetType.Name, "setDetail_Asst2", clsMRPCOMMON.CST_LOG_PRODUCT, CST_LOG_CLASS, "明細データ編集（補足項目２情報）START")
		Dim datDetail As datMRP050R110 = Nothing
		Dim Buffer As String = Nothing
		Dim Work As String = Nothing
		Dim Cnt As Integer = 0						'列数
		Dim rowCnt() As DataRow
		Try
			Using dt As DataTable = Me.getDetailData(db, ENUM_DPC_DETAIL_SQL.UPD_ASST2),
				  dtMst As DataTable = Me.getMstData(db, ENUM_DPC_DETAIL_SQL.UPD_ASST2),
				  dtCnt As DataTable = Me.getMstData(db, ENUM_DPC_DETAIL_SQL.UPD_ASST2, False)	 'データ取得,項目マスタ取得,内容マスタ取得

				For Each row As DataRow In dt.Rows
					Me.InitDetail(datDetail, row, ENUM_DPC_DETAIL_SQL.UPD_ASST2)									'キー項目セット
					Me.addDetail(datDetail.DETAILS, CST_TITLE_ASST2, 0)												'****１行目

					Cnt = 0
					For Each rowMst As DataRow In dtMst.Rows														'****２行目～
						If String.IsNullOrEmpty(row(rowMst(itmASST2SPT_FIELD_NM).ToString).ToString) = False Then
							Select Case rowMst(itmASST2ITEM_TYPE)														'項目タイプで出力様式を決定
								Case clsConst.Enum_Asst2Type.cmb_type													'	「コンボ」項目のとき
																														'	補足項目２内容マスタより、内容を取得
									rowCnt = dtCnt.Select(String.Format("ITEM_CD = '{0}' AND CNT_CD = '{1}'",
																		rowMst(itmASST2ITEM_CD).ToString,
																		row(rowMst(itmASST2SPT_FIELD_NM).ToString).ToString))
									If rowCnt IsNot Nothing AndAlso rowCnt.Length > 0 Then
										Work = rowCnt(0)(2).ToString
									Else
										Work = Nothing
									End If
								Case Else																				'	上記以外はそのまま出力
									Work = row(rowMst(itmASST2SPT_FIELD_NM).ToString).ToString
							End Select
							Buffer &= String.Format(CST_ASST2, getByteStr(rowMst(itmASST2ITEM_NM).ToString, 20), getByteStr(Work, 24)) & CST_SPACE_CHAR

							Cnt += 1
							If Cnt >= 2 Then
								Me.addDetail(datDetail.DETAILS, Buffer, , False)
								Cnt = 0
							End If
						End If
					Next
					If Cnt > 0 Then Me.addDetail(datDetail.DETAILS, Buffer, , False)
					Me.setDetailData(db, datDetail)																	'明細データ書き込み
				Next
			End Using
		Catch ex As Exception
			Throw
		Finally
			rowCnt = Nothing
			datDetail = Nothing
		End Try
	End Sub

	''' ---------------------------------------------
	''' <summary>
	''' 明細データ編集（監査情報）
	''' </summary>
	''' <remarks>
	''' 2010/12/07 新規作成　ACS)常包<BR/>
	''' </remarks>
	''' ---------------------------------------------
	Private Sub setDetail_Inspect(ByVal db As clsDB)
		clsSysMst.logEx(clsSysMst.logLevel.DBG, Me.GetType.Assembly.GetName.Name, Me.GetType.Name, "setDetail_Inspect", clsMRPCOMMON.CST_LOG_PRODUCT, CST_LOG_CLASS, "明細データ編集（監査情報）START")
		Dim datDetail As datMRP050R110 = Nothing
		Dim Buffer As String = Nothing
		Try
			Using dt As DataTable = Me.getDetailData(db, ENUM_DPC_DETAIL_SQL.UPD_INSPECT),
				  dtMst As DataTable = Me.getMstData(db, ENUM_DPC_DETAIL_SQL.UPD_INSPECT),
				  dtStf As DataTable = Me.getMstData(db, ENUM_DPC_DETAIL_SQL.UPD_INSPECT, False)	'データ取得,監査マスタ,職員マスタ、有無マスタ

				For Each row As DataRow In dt.Rows
					Me.InitDetail(datDetail, row, ENUM_DPC_DETAIL_SQL.UPD_INSPECT)									'キー項目セット
					Me.addDetail(datDetail.DETAILS, CST_TITLE_INSPECT, 0)											'****１行目
																													'****２行目
					Buffer &= getStrData(Nothing, String.Format(CST_INSPECT_DT,
																		getByteStr(row(itmINSPECT1_DT).ToString, 10),
																		getByteStr(row(itmINSPECT2_DT).ToString, 10),
																		getByteStr(row(itmINSPECT3_DT).ToString, 10)))	'監査日
					Buffer &= getStrData(CST_FINISHING, row(itmFINISHING_FLG).ToString)									'完了
					Buffer &= getStrData(CST_FINISHING_DT, row(itmINSPECT_FINISHING_DT).ToString)						'完了日
					Buffer &= getStrData(CST_AUDITOR, row(itmSTAFF_NM).ToString)										'監査人
					Me.addDetail(datDetail.DETAILS, Buffer)

					For Each rowMst As DataRow In dtMst.Rows
						Buffer &= String.Format(CST_INSPECT1, getByteStr(rowMst(itmGRP_NM).ToString, 12),
															  getByteStr(rowMst(itmITEM_NM).ToString, 20))				'分類名・項目名
						For i As Integer = 1 To 3																		'監査項目
							If rowMst(itmCHKCOUNT) >= i Then
								Buffer &= getStrData(CST_INSPECT2, row(String.Format(itmINSPECT_NM, rowMst(itmINSPECT_CD).ToString, i)).ToString,
																   ENUM_SPACE_SIZE.NONE, 2)
							Else
								Buffer &= Space(4)
							End If
						Next
						If String.IsNullOrEmpty(rowMst(itmDOCTOR_NM).ToString) = False Then								'医師名・監査人
							Buffer &= String.Format(CST_INSPECT1, rowMst(itmDOCTOR_NM).ToString,
																  clsMRPCOMMON.getDtItem(dtStf,
																						 row(String.Format(itmINSPECT_DOC, rowMst(itmINSPECT_CD).ToString).ToString)))
						End If
						Me.addDetail(datDetail.DETAILS, Buffer)
					Next

					Me.setDetailData(db, datDetail)																	'明細データ書き込み
				Next
			End Using
		Catch ex As Exception
			Throw
		Finally
			datDetail = Nothing
		End Try
	End Sub

	''' ---------------------------------------------
	''' <summary>
	''' 郵便番号変換
	''' </summary>
	''' <param name="ZipCd">郵便番号</param>
	''' <returns></returns>
	''' <remarks>
	''' 2011/03/14 新規作成 ACS)仙頭	</remarks>
	''' ---------------------------------------------
	Private Function cnvZipCd(ByVal ZipCd As String) As String
		clsSysMst.logEx(clsSysMst.logLevel.DBG, Me.GetType.Assembly.GetName.Name, Me.GetType.Name, "cnvZipCd", clsMRPCOMMON.CST_LOG_PRODUCT, CST_LOG_CLASS, "郵便番号変換 START")
		Try
			If String.IsNullOrEmpty(ZipCd.ToString) = False AndAlso ZipCd.Length > 3 AndAlso ZipCd.Contains("-") = False Then
				Return ZipCd.Substring(0, 3) & "-" & ZipCd.Substring(3)
			End If
			Return ZipCd
		Catch ex As Exception
			Throw
		End Try
	End Function

	''' ---------------------------------------------
	''' <summary>
	''' 明細文字編集
	''' </summary>
	''' <param name="pFormat">出力書式</param>
	''' <param name="pData">出力文字</param>
	''' <param name="pForeSize">前空白出力</param>
	''' <param name="pDefSize">出力文字空白時のデフォルトスペース数(0のときは出力しない)</param>
	''' <remarks>
	''' 2010/12/03 新規作成　ACS)常包<BR/>
	''' </remarks>
	''' ---------------------------------------------
	Private Function getStrData(ByVal pFormat As String,
								ByVal pData As String,
					   Optional ByVal pForeSize As ENUM_SPACE_SIZE = ENUM_SPACE_SIZE.WIDE,
					   Optional ByVal pDefSize As Integer = 0) As String
		clsSysMst.logEx(clsSysMst.logLevel.DBG, Me.GetType.Assembly.GetName.Name, Me.GetType.Name, "getStrData", clsMRPCOMMON.CST_LOG_PRODUCT, CST_LOG_CLASS, "明細文字編集 START")
		Dim ret As String = Nothing
		Try
																				'書式がなければダミー設定
			If String.IsNullOrEmpty(pFormat) = True Then pFormat = "{0}"

			If String.IsNullOrEmpty(pData) = True Then							'出力文字が空であれば、デフォルト文字を書式付きで出力
				If pDefSize > 0 Then ret = String.Format(pFormat, Space(pDefSize))
			Else
				ret = String.Format(pFormat, pData)								'出力文字を書式で
			End If

			If String.IsNullOrEmpty(ret) = False Then							'出力文字が空であれば、空白出力
				Select Case pForeSize
					Case ENUM_SPACE_SIZE.HALF : ret = CST_SPACE_CHAR_HALF & ret
					Case ENUM_SPACE_SIZE.WIDE : ret = CST_SPACE_CHAR & ret
					Case Else
				End Select
			End If

			Return ret
		Catch ex As Exception
			Throw
		End Try
	End Function

	''' ---------------------------------------------
	''' <summary>
	''' 明細更新データ初期化
	''' </summary>
	''' <param name="datDetail">明細更新データ</param>
	''' <param name="row">設定元データ</param>
	''' <param name="ItemNo">項目番号</param>
	''' <remarks>
	''' 2011/04/27 新規作成　ACS)仙頭<BR/>
	''' </remarks>
	''' ---------------------------------------------
	Private Sub InitDetail(ByRef datDetail As datMRP050R110, ByRef row As DataRow, ByVal ItemNo As ENUM_DPC_DETAIL_SQL)
		clsSysMst.logEx(clsSysMst.logLevel.DBG, Me.GetType.Assembly.GetName.Name, Me.GetType.Name, "InitDetail", clsMRPCOMMON.CST_LOG_PRODUCT, CST_LOG_CLASS, "明細更新データ初期化 START")
		Try
			If datDetail Is Nothing Then									'作成されていなければ作成
				datDetail = New datMRP050R110
				datDetail.DETAILS = New List(Of String)
			End If
			With datDetail
				If row Is Nothing Then										'設定元データがない場合
					.PATIENT_NO = Nothing
					.HSP_HISTORY_NO = Nothing
					.CH_NO = Nothing
				Else														'設定元より設定
					.PATIENT_NO = row.Item(sqlMRPCOMMON.itmPATIENT_NO)			'患者番号
					.HSP_HISTORY_NO = row.Item(sqlMRPCOMMON.itmHSP_NO)			'入退院歴番号
					.CH_NO = row.Item(sqlMRPCOMMON.itmCH_NO)					'科歴番号
				End If
				.INFO_ITEM_NO = ItemNo											'項目番号
				.MAIN_DPM_FLG = 0												'主科フラグ
				.DETAILS.Clear()												'明細
			End With
		Catch ex As Exception
			Throw
		End Try
	End Sub

	''' ---------------------------------------------
	''' <summary>
	''' 明細データ追加
	''' </summary>
	''' <param name="Detail">(追加先)明細</param>
	''' <param name="Buffer">(追加元)データ</param>
	''' <param name="SpaceCnt">先頭空白出力</param>
	''' <param name="TrimStartFlag">先頭空白除去</param>
	''' <remarks>
	''' 2011/04/27 新規作成　ACS)仙頭<BR/>
	''' </remarks>
	''' ---------------------------------------------
	Private Sub addDetail(ByRef Detail As List(Of String),
						  ByRef Buffer As String,
				 Optional ByVal SpaceCnt As Integer = 2,
				 Optional ByVal TrimStartFlag As Boolean = True)
		clsSysMst.logEx(clsSysMst.logLevel.DBG, Me.GetType.Assembly.GetName.Name, Me.GetType.Name, "addDetail", clsMRPCOMMON.CST_LOG_PRODUCT, CST_LOG_CLASS, "明細データ追加 START")
		Try
			If Buffer = Nothing OrElse String.IsNullOrWhiteSpace(Buffer) = True Then Return '追加データがなければ終了
			If TrimStartFlag = True Then
				Buffer = Buffer.Trim
			Else
				Buffer = Buffer.TrimEnd
			End If

			Dim HeaderSpace As String = New String(CST_SPACE_CHAR_HALF, SpaceCnt)			'前余白
			Dim MaxLength As Integer = 101 - HeaderSpace.Length								'最大出力文字数
			With System.Text.Encoding.GetEncoding(clsConst.CST_ENCORDING_SHIFTJIS)
				Dim First As Boolean = True
				For Each ele As String In Buffer.ToString.Split(Environment.NewLine)		'改行単位に処理を行う
					If First = True Then
						First = False
					Else
						ele = ele.Substring(Environment.NewLine.Length - 1)					'改行コードを除去
					End If

					If .GetByteCount(ele) <= MaxLength Then									'最大出力文字以内なら
						Detail.Add(HeaderSpace & ele.TrimEnd)								'	前余白を付加し追加
					Else																	'バイト単位に分解し、処理を行う
						Dim aryBuf() As Byte = .GetBytes(ele)
						Dim StartPos As Integer = 0
						Dim work As String
						Try
							For i As Integer = 0 To aryBuf.Length							'	永久ループを回避するためバイト数分繰返し
								Select Case aryBuf.Length - StartPos						'		残バイト数が
									Case Is <= 0											'			なければ終了
										Exit For
									Case Is < MaxLength										'			最大文字数なければ、残り全て
										work = .GetString(aryBuf, StartPos, aryBuf.Length - StartPos)
									Case Else												'			最大文字数以上であれば、最大文字数分
										work = .GetString(aryBuf, StartPos, MaxLength)
								End Select
								StartPos += MaxLength										'		次回の開始位置を決定

								If .GetByteCount(work) > MaxLength Then						'		最後の全角を切っているかの確認
									work = work.Substring(0, work.Length - 1)				'			切っていれば、「・」を除去
									StartPos -= 1
								End If
								Detail.Add(HeaderSpace & work.TrimEnd)						'		前余白を付加し追加
							Next
						Finally
							aryBuf = Nothing
						End Try
					End If
				Next
			End With

			Buffer = Nothing																'データをクリア
		Catch ex As Exception
			Throw
		End Try
	End Sub

	''' ---------------------------------------------
	''' <summary>
	''' 明細文字列データ編集
	''' </summary>
	''' <param name="Buffer">出力文字</param>
	''' <param name="Length">出力文字数</param>
	''' <param name="PadLeftFlg">空白左埋め(True:左埋め False:右埋め)</param>
	''' <param name="EmptyFlg">出力文字が空白時空を返す(True:空を返す False:スペースを返す)</param>
	''' <remarks>
	''' 2010/11/30 新規作成　ACS)常包<BR/>
	''' </remarks>
	''' ---------------------------------------------
	Private Function getByteStr(ByVal Buffer As String,
								ByVal Length As Integer,
					   Optional ByVal PadLeftFlg As Boolean = False, _
					   Optional ByVal EmptyFlg As Boolean = False) As String
		clsSysMst.logEx(clsSysMst.logLevel.DBG, Me.GetType.Assembly.GetName.Name, Me.GetType.Name, "getBiteStr", clsMRPCOMMON.CST_LOG_PRODUCT, CST_LOG_CLASS, "明細文字列データ編集　START")
		Dim ret As String = Nothing
		Try
																							'文字数チェック
			If Length < 1 Then Return ret

			If String.IsNullOrEmpty(Buffer) = True Then										'空文字なら,空白埋め
				If EmptyFlg = False Then ret = Space(Length)
			Else
				With System.Text.Encoding.GetEncoding(clsConst.CST_ENCORDING_SHIFTJIS)
					Dim ByteLength As Integer = .GetByteCount(Buffer)						'バイト長比較
					Select Case ByteLength
					Case Length
						ret = Buffer														'そのまま
					Case Is < Length
						If PadLeftFlg = True Then
							ret = Buffer.PadLeft(Length - (ByteLength - Buffer.Length))		'文字の左にスペースを付加し(右寄せ)
						Else
							ret = Buffer.PadRight(Length - (ByteLength - Buffer.Length))	'文字の右にスペースを付加
						End If
					Case Is > Length
						ret = .GetString(.GetBytes(Buffer), 0, Length)						'指定長に
						If .GetByteCount(ret) > Length Then									'全角を切っていた場合、空白に置き換え
							ret = ret.Substring(0, ret.Length - 1) & Space(1)
						End If
					End Select
				End With
			End If
			Return ret
		Catch ex As Exception
			Throw
		End Try
	End Function

#End Region

End Class
