﻿''' ---------------------------------------------
''' <summary>
''' 診療情報管理 共通帳票 患者基本情報一覧表（死因一覧）(SQLクラス）
''' </summary>
''' <remarks>
''' Copyright 2010 FUJITSU SHIKOKU SYSTEMS LIMITED All rights reserved.<BR/>
''' FUJITSU SHIKOKU SYSTEMS LIMITED CONFIDENTIAL<BR/>
''' </remarks>
''' ---------------------------------------------
Public NotInheritable Class sqlMRP030R030

	Public Const prmDEATH_LCT_CD As String = "@DEATH_LCT_CD"		'死亡場所コード
	Public Const prmFLG_ON As String = "@FLG_ON"					'フラグ
	Public Const prmSEQ As String = "@SEQ"							'順番

	'workを削除
	Public Const sqlDel As String = _
	"DELETE FROM MTW_SEARCH_DISEASE WHERE HOST_NM = " & sqlMRPCOMMON.prmHOST_NM

	'院外死亡患者以外
	Private Const sqlSel_Ingai As String = _
	  "SELECT l.PATIENT_NO" _
	& "  FROM MTW_SEARCH_BASIC l" _
	& "       LEFT JOIN MTI_DEATH AS D ON l.PATIENT_NO = d.PATIENT_NO AND " & prmDEATH_LCT_CD & " <> d.DEATH_LCT_CD" _
	& " WHERE l.HOST_NM =" & sqlMRPCOMMON.prmHOST_NM _
	& "   AND d.PATIENT_NO IS NULL"

	'最新入退院
	Private Const sqlSel_MAX_HSP As String = _
	  "SELECT MTT_SEARCH_RESULT.PATIENT_NO" _
	& "      ,MAX(MTT_SEARCH_RESULT.HSP_HISTORY_NO) AS HSP_HISTORY_NO" _
	& "  FROM MTT_SEARCH_RESULT" _
	& " WHERE MTT_SEARCH_RESULT.USER_CD    = " & sqlMRPCOMMON.prmUSER_CD _
	& "   AND MTT_SEARCH_RESULT.SEARCH_NO  = " & sqlMRPCOMMON.prmSEARCH_NO _
	& "   AND MTT_SEARCH_RESULT.PATIENT_NO IN (" & sqlSel_Ingai & ")" _
	& " GROUP BY MTT_SEARCH_RESULT.PATIENT_NO"

	'最新科歴
	Private Const sqlSel_MAX_CH As String = _
	  "SELECT MTT_SEARCH_RESULT.PATIENT_NO" _
	& "      ,MTT_SEARCH_RESULT.HSP_HISTORY_NO" _
	& "      ,MAX(MTT_SEARCH_RESULT.CH_NO) AS CH_NO" _
	& "  FROM MTT_SEARCH_RESULT" _
	& " INNER JOIN  (" & sqlSel_MAX_HSP & ") AS h" _
	& "    ON MTT_SEARCH_RESULT.PATIENT_NO     = h.PATIENT_NO" _
	& "   AND MTT_SEARCH_RESULT.HSP_HISTORY_NO = h.HSP_HISTORY_NO" _
	& " WHERE MTT_SEARCH_RESULT.USER_CD        = " & sqlMRPCOMMON.prmUSER_CD _
	& "   AND MTT_SEARCH_RESULT.SEARCH_NO      = " & sqlMRPCOMMON.prmSEARCH_NO _
	& " GROUP BY MTT_SEARCH_RESULT.PATIENT_NO" _
	& "         ,MTT_SEARCH_RESULT.HSP_HISTORY_NO"

	'workを追加
	Public Const sqlIns_Ingai As String = _
	"INSERT INTO MTW_SEARCH_DISEASE (" _
	& " HOST_NM" _
	& ",DSPORDER" _
	& ",PATIENT_NO" _
	& ",HSP_HISTORY_NO" _
	& ",CH_NO" _
	& ",DISEASE_SERIAL_NO" _
	& ",DISEASE_DIV" _
	& ",DISEASE" _
	& ",DISEASE_OUTCOME_CD" _
	& ",DEATH_DISEASE_FLG" _
	& ",ICD10_CD" _
	& ",DEATH_CAUSE_FLG" _
	& ",DIRECT_DEATH_DISEASE_FLG" _
	& ",LASTUPDUSER_CD" _
	& ",LASTUPD_DT" _
	& ") " _
	& "SELECT" _
	& " " & sqlMRPCOMMON.prmHOST_NM _
	& ",ROW_NUMBER() OVER(ORDER BY d.PATIENT_NO,d.HSP_HISTORY_NO,d.CH_NO)" _
	& ",d.PATIENT_NO" _
	& ",d.HSP_HISTORY_NO" _
	& ",d.CH_NO" _
	& ",d.DISEASE_SERIAL_NO" _
	& ",d.DISEASE_DIV" _
	& ",d.DISEASE" _
	& ",d.DISEASE_OUTCOME_CD" _
	& ",d.DEATH_DISEASE_FLG" _
	& ",d.ICD10_CD" _
	& ",d.DEATH_CAUSE_FLG" _
	& ",d.DIRECT_DEATH_DISEASE_FLG" _
	& "," & sqlMRPCOMMON.prmLASTUPDUSER_CD _
	& "," & sqlMRPCOMMON.prmLASTUPD_DT _
	& "  FROM (" & sqlSel_MAX_CH & ") AS w" _
	& "       INNER JOIN MTI_DISEASE d ON w.PATIENT_NO      = d.PATIENT_NO" _
	& "                               AND w.HSP_HISTORY_NO  = d.HSP_HISTORY_NO" _
	& "                               AND w.CH_NO           = d.CH_NO"

	Public Const sqlIns_CAUSE1 As String = _
	"INSERT INTO MTW_SEARCH_DISEASE (" _
	& " HOST_NM" _
	& ",DSPORDER" _
	& ",PATIENT_NO" _
	& ",HSP_HISTORY_NO" _
	& ",CH_NO" _
	& ",DISEASE_SERIAL_NO" _
	& ",DISEASE" _
	& ",ICD10_CD" _
	& ",DIRECT_DEATH_DISEASE_FLG" _
	& ",LASTUPDUSER_CD" _
	& ",LASTUPD_DT" _
	& ") " _
	& "SELECT" _
	& " " & sqlMRPCOMMON.prmHOST_NM _
	& ",ROW_NUMBER() OVER(ORDER BY d.PATIENT_NO) + " & prmSEQ _
	& ",d.PATIENT_NO" _
	& ",0" _
	& ",0" _
	& ",1" _
	& ",d.DEATH_DISEASE1" _
	& ",d.DEATH_DISEASE1_CD" _
	& "," & prmFLG_ON _
	& "," & sqlMRPCOMMON.prmLASTUPDUSER_CD _
	& "," & sqlMRPCOMMON.prmLASTUPD_DT _
	& "  FROM MTW_SEARCH_BASIC AS l" _
	& "       INNER JOIN MTI_DEATH AS D ON l.PATIENT_NO = d.PATIENT_NO" _
	& " WHERE l.HOST_NM      = " & sqlMRPCOMMON.prmHOST_NM _
	& "   AND d.DEATH_LCT_CD <> " & prmDEATH_LCT_CD _
	& "   AND d.DEATH_DISEASE1_CD Is NOT Null"

	Public Const sqlIns_CAUSE2 As String = _
	"INSERT INTO MTW_SEARCH_DISEASE (" _
	& " HOST_NM" _
	& ",DSPORDER" _
	& ",PATIENT_NO" _
	& ",HSP_HISTORY_NO" _
	& ",CH_NO" _
	& ",DISEASE_SERIAL_NO" _
	& ",DISEASE" _
	& ",ICD10_CD" _
	& ",DEATH_DISEASE_FLG" _
	& ",LASTUPDUSER_CD" _
	& ",LASTUPD_DT" _
	& ") " _
	& "SELECT" _
	& " " & sqlMRPCOMMON.prmHOST_NM _
	& ",ROW_NUMBER() OVER(ORDER BY d.PATIENT_NO) + " & prmSEQ _
	& ",d.PATIENT_NO" _
	& ",0" _
	& ",0" _
	& ",2" _
	& ",d.DEATH_DISEASE2" _
	& ",d.DEATH_DISEASE2_CD" _
	& "," & prmFLG_ON _
	& "," & sqlMRPCOMMON.prmLASTUPDUSER_CD _
	& "," & sqlMRPCOMMON.prmLASTUPD_DT _
	& "  FROM MTW_SEARCH_BASIC AS l" _
	& "       INNER JOIN MTI_DEATH AS D ON l.PATIENT_NO = d.PATIENT_NO" _
	& " WHERE l.HOST_NM      = " & sqlMRPCOMMON.prmHOST_NM _
	& "   AND d.DEATH_LCT_CD <> " & prmDEATH_LCT_CD _
	& "   AND d.DEATH_DISEASE2_CD IS NOT Null"

#Region "院内：死亡場所コード取得"

	''' <summary>
	''' 院内：死亡場所コード取得
	''' </summary>
	Public Const sqlSel_MTM_DEATH_LCT As String = _
	  "SELECT TOP 1 DEATH_LCT_CD FROM MTM_DEATH_LCT" _
	 & " WHERE FIXED_CD = " & sqlMRPCOMMON.prmFIXED_CD

#End Region

End Class
