﻿''' ---------------------------------------------
''' <summary>
''' 診療情報管理 共通帳票 科歴情報一覧(EXCEL) (SQLクラス）
''' </summary>
''' <remarks>
''' Copyright 2010 FUJITSU SHIKOKU SYSTEMS LIMITED All rights reserved.<BR/>
''' FUJITSU SHIKOKU SYSTEMS LIMITED CONFIDENTIAL<BR/>
''' </remarks>
''' ---------------------------------------------
Public NotInheritable Class sqlMRP050E030

	Public Const itmITEM_TYPE As String = "ITEM_TYPE"
	Public Const itmSPT_FIELD_NM As String = "SPT_FIELD_NM"

#Region "エクセルヘッダ項目"
	''' <summary>
	''' エクセル出力ヘッダ
	''' </summary>
	''' <remarks></remarks>
	Public Const excel_Header As String = "" _
	& " 患者番号" _
	& ",入退院歴番号" _
	& ",科歴番号" _
	& excel_HeaderBH _
	& excel_HeaderC _
	& excel_HeaderD _
	& excel_HeaderOpe _
	& excel_HeaderCB _
	& excel_HeaderCB_CD _
	& excel_HeaderL _
	& ",患者番号" _
	& ",入退院歴番号" _
	& ",科歴番号" _
	& "{0}" _
	& "{1}" _
	& "{2}" _
	& ",患者番号" _
	& ",入退院歴番号" _
	& ",科歴番号" _
	& "{3}"

	''' <summary>
	''' 患者＋入退院ヘッダ
	''' </summary>
	''' <remarks></remarks>
	Private Const excel_HeaderBH As String = "" _
	& ",氏名" _
	& ",氏名カナ" _
	& ",性別" _
	& ",生年月日" _
	& ",血液型" _
	& ",Ｒｈ" _
	& ",最新住所郵便番号" _
	& ",最新住所診療圏" _
	& ",最新住所診療圏(略称)" _
	& ",最新住所" _
	& ",死亡場所" _
	& ",死亡場所(略称)" _
	& ",死亡日" _
	& ",死亡時刻" _
	& ",死亡時年齢" _
	& ",死亡時月齢" _
	& ",死亡時日齢" _
	& ",死亡区分" _
	& ",死亡区分(略称)" _
	& ",術後死亡区分" _
	& ",術後死亡区分(略称)" _
	& ",剖検有無" _
	& ",剖検番号" _
	& ",{{0}}" _
	& ",診療科" _
	& ",診療科(略称)" _
	& ",病棟" _
	& ",病棟(略称)" _
	& ",医師" _
	& ",入院日" _
	& ",入院時年齢" _
	& ",入院時月齢" _
	& ",入院時日齢" _
	& ",入院経路" _
	& ",入院経路(略称)" _
	& ",退院日" _
	& ",退院時年齢" _
	& ",退院時月齢" _
	& ",退院時日齢" _
	& ",退院経路" _
	& ",退院経路(略称)" _
	& ",退院転帰" _
	& ",退院転帰(略称)" _
	& ",在院日数"

	''' <summary>
	''' 科歴ヘッダ
	''' </summary>
	''' <remarks></remarks>
	Private Const excel_HeaderC As String = "" _
	& ",入院フラグ" _
	& ",退院フラグ" _
	& ",主科フラグ" _
	& ",{{0}}" _
	& ",診療科" _
	& ",診療科(略称)" _
	& ",病棟" _
	& ",病棟(略称)" _
	& ",医師" _
	& ",郵便番号" _
	& ",診療圏" _
	& ",診療圏(略称)" _
	& ",住所" _
	& ",開始日" _
	& ",開始時年齢" _
	& ",開始時月齢" _
	& ",開始時日齢" _
	& ",開始経路" _
	& ",開始経路(略称)" _
	& ",予定緊急" _
	& ",救急車搬送有無" _
	& ",終了日" _
	& ",終了時年齢" _
	& ",終了時月齢" _
	& ",終了時日齢" _
	& ",終了経路" _
	& ",終了経路(略称)" _
	& ",終了転帰" _
	& ",終了転帰(略称)" _
	& ",在院日数" _
	& ",医療費合計" _
	& ",輸血有無" _
	& ",治験有無" _
	& ",院内感染" _
	& ",初診日" _
	& ",紹介状有無" _
	& ",紹介元名" _
	& ",紹介元医師名" _
	& ",紹介先名" _
	& ",紹介先医師名" _
	& ",ＤＰＣ" _
	& ",登録状況" _
	& ",登録状況(略称)" _
	& ",登録完了日" _
	& ",主病名ＩＣＤ１０コード" _
	& ",主病名"

	''' <summary>
	''' 病名情報ヘッダ(５個)
	''' </summary>
	''' <remarks></remarks>
	Private Const excel_HeaderD As String = "" _
	& ",病名区分" _
	& ",病名区分(略称)" _
	& ",ＩＣＤ１０コード" _
	& ",病名" _
	& ",病名転帰" _
	& ",病名転帰(略称)" _
	& ",複数分類コード" _
	& ",ＩＣＤ９コード" _
	& ",病名区分" _
	& ",病名区分(略称)" _
	& ",ＩＣＤ１０コード" _
	& ",病名" _
	& ",病名転帰" _
	& ",病名転帰(略称)" _
	& ",複数分類コード" _
	& ",ＩＣＤ９コード" _
	& ",病名区分" _
	& ",病名区分(略称)" _
	& ",ＩＣＤ１０コード" _
	& ",病名" _
	& ",病名転帰" _
	& ",病名転帰(略称)" _
	& ",複数分類コード" _
	& ",ＩＣＤ９コード" _
	& ",病名区分" _
	& ",病名区分(略称)" _
	& ",ＩＣＤ１０コード" _
	& ",病名" _
	& ",病名転帰" _
	& ",病名転帰(略称)" _
	& ",複数分類コード" _
	& ",ＩＣＤ９コード" _
	& ",病名区分" _
	& ",病名区分(略称)" _
	& ",ＩＣＤ１０コード" _
	& ",病名" _
	& ",病名転帰" _
	& ",病名転帰(略称)" _
	& ",複数分類コード" _
	& ",ＩＣＤ９コード"

	''' <summary>
	''' 手術情報ヘッダ(３個)
	''' </summary>
	''' <remarks></remarks>
	Private Const excel_HeaderOpe As String = "" _
	& ",手術区分" _
	& ",手術区分(略称)" _
	& ",ＩＣＤ９ＣＭコード" _
	& ",点数表コード" _
	& ",手術名" _
	& ",手術開始日" _
	& ",麻酔区分１" _
	& ",麻酔区分１(略称)" _
	& ",手術回数" _
	& ",手術側数" _
	& ",手術区分" _
	& ",手術区分(略称)" _
	& ",ＩＣＤ９ＣＭコード" _
	& ",点数表コード" _
	& ",手術名" _
	& ",手術開始日" _
	& ",麻酔区分１" _
	& ",麻酔区分１(略称)" _
	& ",手術回数" _
	& ",手術側数" _
	& ",手術区分" _
	& ",手術区分(略称)" _
	& ",ＩＣＤ９ＣＭコード" _
	& ",点数表コード" _
	& ",手術名" _
	& ",手術開始日" _
	& ",麻酔区分１" _
	& ",麻酔区分１(略称)" _
	& ",手術回数" _
	& ",手術側数"

	''' <summary>
	''' 分娩情報ヘッダ
	''' </summary>
	''' <remarks></remarks>
	Private Const excel_HeaderCB As String = "" _
	& ",分娩日" _
	& ",在胎週数" _
	& ",在胎日数" _
	& ",児数" _
	& ",出血量" _
	& ",帝王切開区分" _
	& ",早産フラグ" _
	& ",流産フラグ"

	''' <summary>
	''' 分娩子情報ヘッダ(２個)
	''' </summary>
	''' <remarks></remarks>
	Private Const excel_HeaderCB_CD As String = "" _
	& ",子性別" _
	& ",新生児番号" _
	& ",患者番号" _
	& ",新生児身長" _
	& ",新生児体重" _
	& ",アプガー指数１分名" _
	& ",アプガー指数５分名" _
	& ",未熟" _
	& ",奇形" _
	& ",死産	" _
	& ",子性別" _
	& ",新生児番号" _
	& ",患者番号" _
	& ",新生児身長" _
	& ",新生児体重" _
	& ",アプガー指数１分名" _
	& ",アプガー指数５分名" _
	& ",未熟" _
	& ",奇形" _
	& ",死産	"

	''' <summary>
	''' 管理物情報ヘッダ
	''' </summary>
	''' <remarks></remarks>
	Private Const excel_HeaderL As String = "" _
	& ",カルテ数" _
	& ",カルテ受領日" _
	& ",カルテ受領者" _
	& ",カルテ管理状況" _
	& ",カルテ管理状況(略称)" _
	& ",カルテ保管場所" _
	& ",カルテ保管場所(略称)" _
	& ",カルテ整理状況" _
	& ",カルテ整理状況(略称)" _
	& ",サマリ数" _
	& ",サマリ受領日" _
	& ",サマリ管理状況" _
	& ",サマリ管理状況(略称)" _
	& ",サマリ保管場所" _
	& ",サマリ保管場所(略称)" _
	& ",サマリ作成者" _
	& ",サマリ承認日" _
	& ",他１数" _
	& ",他１受領日" _
	& ",他１管理状況" _
	& ",他１管理状況(略称)" _
	& ",他１保管場所" _
	& ",他１保管場所(略称)" _
	& ",他２数" _
	& ",他２受領日" _
	& ",他２管理状況" _
	& ",他２管理状況(略称)" _
	& ",他２保管場所" _
	& ",他２保管場所(略称)" _
	& ",他３数" _
	& ",他３受領日" _
	& ",他３管理状況" _
	& ",他３管理状況(略称)" _
	& ",他３保管場所" _
	& ",他３保管場所(略称)"

#End Region

#Region "Excel出力"
	''' <summary>
	''' Excel出力
	''' </summary>
	Public Const sqlSel As String = _
	  "SELECT " _
	& " c.PATIENT_NO" _
	& ",c.HSP_HISTORY_NO" _
	& ",c.CH_NO" _
	& sqlColB _
	& sqlColD _
	& sqlColH _
	& sqlColC _
	& sqlColDI _
	& sqlColOpe _
	& sqlColCB _
	& sqlColCB_CD _
	& sqlColL _
	& ",c.PATIENT_NO" _
	& ",c.HSP_HISTORY_NO" _
	& ",c.CH_NO" _
	& "{0}" _
	& "{1}" _
	& "{2}" _
	& ",c.PATIENT_NO" _
	& ",c.HSP_HISTORY_NO" _
	& ",c.CH_NO" _
	& "{3}" _
	& " FROM MTW_SEARCH_WORK AS w" _
	& sqlTblTarn _
	& sqlTblB _
	& sqlTblD _
	& sqlTblH _
	& sqlTblC _
	& sqlTblCB _
	& sqlTblL _
	& "{4}" _
	& "{5}" _
	& " WHERE w.HOST_NM = " & sqlMRPCOMMON.prmHOST_NM _
	& " ORDER BY w.OUT_ORDER"

#Region "出力項目"
'(M) STR V4-13006-000 173 20130212 ID)荒川 管理№228 1900年より前の発症日/診断日でExcel出力すると例外エラーが発生する
	'Private Const sqlColB = "" _
	'& ",b.PATIENT_NM" _
	'& ",b.PATIENT_KNM" _
	'& ",XTM_GENDER.GENDER_NM" _
	'& "," & sqlMRPCOMMON.CST_COL_EXCEL_BIRTH _
	'& ",MTM_BLOODTYPE.BLOODTYPE_NM" _
	'& ",MTM_RH.RH_NM" _
	'& ",bc.ZIP_CD" _
	'& ",BC_AREA.AREA_NM,BC_AREA.AREA_RNM" _
	'& ",bc.ADDRESS_NM"
	''' <summary>
	''' 基本
	''' </summary>
	Private Const sqlColB = "" _
	& ",b.PATIENT_NM" _
	& ",b.PATIENT_KNM" _
	& ",XTM_GENDER.GENDER_NM" _
	& "," & sqlMRPCOMMON.CST_CNV_EXCEL_ST & "b.BIRTH_DT" & sqlMRPCOMMON.CST_CNV_EXCEL_ED & " AS BIRTH_DT" _
	& ",MTM_BLOODTYPE.BLOODTYPE_NM" _
	& ",MTM_RH.RH_NM" _
	& ",bc.ZIP_CD" _
	& ",BC_AREA.AREA_NM,BC_AREA.AREA_RNM" _
	& ",bc.ADDRESS_NM"

	'Private Const sqlColD = "" _
	'& ",MTM_DEATH_LCT.DEATH_LCT_NM,MTM_DEATH_LCT.DEATH_LCT_RNM" _
	'& ",d.DEATH_DT" _
	'& ",d.DEATH_TIME" _
	'& ",d.DEATH_AGE" _
	'& ",d.DEATH_MONTH_AGE" _
	'& ",d.DEATH_DAY_AGE" _
	'& ",MTM_DEATH_DIV.DEATH_DIV_NM,MTM_DEATH_DIV.DEATH_DIV_RNM" _
	'& ",MTM_AFTER_OPE_DEATH_DIV.AFTER_OPE_DEATH_DIV_NM,MTM_AFTER_OPE_DEATH_DIV.AFTER_OPE_DEATH_DIV_RNM" _
	'& "," & sqlMRPCOMMON.sqlCHK_NM_S & "d.AUTOPSY_CHK" & sqlMRPCOMMON.sqlCHK_NM_E & "AUTOPSY_CHK" _
	'& ",d.AUTOPSY_NO"
	''' <summary>
	''' 死亡
	''' </summary>
	Private Const sqlColD = "" _
	& ",MTM_DEATH_LCT.DEATH_LCT_NM,MTM_DEATH_LCT.DEATH_LCT_RNM" _
	& "," & sqlMRPCOMMON.CST_CNV_EXCEL_ST & "d.DEATH_DT" & sqlMRPCOMMON.CST_CNV_EXCEL_ED & " AS DEATH_DT" _
	& ",d.DEATH_TIME" _
	& ",d.DEATH_AGE" _
	& ",d.DEATH_MONTH_AGE" _
	& ",d.DEATH_DAY_AGE" _
	& ",MTM_DEATH_DIV.DEATH_DIV_NM,MTM_DEATH_DIV.DEATH_DIV_RNM" _
	& ",MTM_AFTER_OPE_DEATH_DIV.AFTER_OPE_DEATH_DIV_NM,MTM_AFTER_OPE_DEATH_DIV.AFTER_OPE_DEATH_DIV_RNM" _
	& "," & sqlMRPCOMMON.sqlCHK_NM_S & "d.AUTOPSY_CHK" & sqlMRPCOMMON.sqlCHK_NM_E & "AUTOPSY_CHK" _
	& ",d.AUTOPSY_NO"

	'Private Const sqlColH As String = "" _
	'& ",h.BYOREKI_NO" _
	'& ",H_DEPT.DEPT_NM,H_DEPT.DEPT_RNM" _
	'& ",H_WARD.WARD_NM,H_WARD.WARD_RNM" _
	'& ",H_STAFF.STAFF_NM" _
	'& ",h.HSP_DT" _
	'& ",h.HSP_AGE" _
	'& ",h.HSP_MONTH_AGE" _
	'& ",h.HSP_DAY_AGE" _
	'& ",H_CNL.HSP_CNL_NM,H_CNL.HSP_CNL_RNM" _
	'& ",h.OUT_HSP_DT" _
	'& ",h.OUT_HSP_AGE" _
	'& ",h.OUT_HSP_MONTH_AGE" _
	'& ",h.OUT_HSP_DAY_AGE" _
	'& ",H_O_CNL.OUT_HSP_CNL_NM,H_O_CNL.OUT_HSP_CNL_RNM" _
	'& ",H_OUTCOME.OUT_HSP_OUTCOME_NM,H_OUTCOME.OUT_HSP_OUTCOME_RNM" _
	'& ",h.HSP_DAYS"
	''' <summary>
	''' 入退院
	''' </summary>
	Private Const sqlColH As String = "" _
	& ",h.BYOREKI_NO" _
	& ",H_DEPT.DEPT_NM,H_DEPT.DEPT_RNM" _
	& ",H_WARD.WARD_NM,H_WARD.WARD_RNM" _
	& ",H_STAFF.STAFF_NM" _
	& "," & sqlMRPCOMMON.CST_CNV_EXCEL_ST & "h.HSP_DT" & sqlMRPCOMMON.CST_CNV_EXCEL_ED & " AS HSP_DT" _
	& ",h.HSP_AGE" _
	& ",h.HSP_MONTH_AGE" _
	& ",h.HSP_DAY_AGE" _
	& ",H_CNL.HSP_CNL_NM,H_CNL.HSP_CNL_RNM" _
	& "," & sqlMRPCOMMON.CST_CNV_EXCEL_ST & "h.OUT_HSP_DT" & sqlMRPCOMMON.CST_CNV_EXCEL_ED & " AS OUT_HSP_DT" _
	& ",h.OUT_HSP_AGE" _
	& ",h.OUT_HSP_MONTH_AGE" _
	& ",h.OUT_HSP_DAY_AGE" _
	& ",H_O_CNL.OUT_HSP_CNL_NM,H_O_CNL.OUT_HSP_CNL_RNM" _
	& ",H_OUTCOME.OUT_HSP_OUTCOME_NM,H_OUTCOME.OUT_HSP_OUTCOME_RNM" _
	& ",h.HSP_DAYS"

	'Private Const sqlColC As String = "" _
	'& "," & sqlMRPCOMMON.sqlFLG_NM_S & "c.HSP_FLG" & sqlMRPCOMMON.sqlFLG_NM_E & "HSP_FLG" _
	'& "," & sqlMRPCOMMON.sqlFLG_NM_S & "c.OUT_HSP_FLG" & sqlMRPCOMMON.sqlFLG_NM_E & "OUT_HSP_FLG" _
	'& "," & sqlMRPCOMMON.sqlFLG_NM_S & "c.MAIN_DPM_FLG" & sqlMRPCOMMON.sqlFLG_NM_E & "MAIN_DPM_FLG" _
	'& ",c.BYOREKI_NO" _
	'& ",C_DEPT.DEPT_NM,C_DEPT.DEPT_RNM" _
	'& ",C_WARD.WARD_NM,C_WARD.WARD_RNM" _
	'& ",C_STAFF.STAFF_NM" _
	'& ",c.ZIP_CD AS CH_ZIP_CD" _
	'& ",C_AREA.AREA_NM,C_AREA.AREA_RNM" _
	'& ",c.ADDRESS_NM" _
	'& ",c.START_DT" _
	'& ",c.START_AGE" _
	'& ",c.START_MONTH_AGE" _
	'& ",c.START_DAY_AGE" _
	'& ",C_CNL.HSP_CNL_NM,C_CNL.HSP_CNL_RNM" _
	'& ",MTM_PLAN_EMERGENCY.PLAN_EMERGENCY_NM" _
	'& "," & sqlMRPCOMMON.sqlCHK_NM_S & "c.TAKE_AMBULANCE_CHK" & sqlMRPCOMMON.sqlCHK_NM_E & "TAKE_AMBULANCE_CHK_NM" _
	'& ",c.END_DT" _
	'& ",c.END_AGE" _
	'& ",c.END_MONTH_AGE" _
	'& ",c.END_DAY_AGE" _
	'& ",C_O_CNL.OUT_HSP_CNL_NM,C_O_CNL.OUT_HSP_CNL_RNM" _
	'& ",C_OUTCOME.OUT_HSP_OUTCOME_NM,C_OUTCOME.OUT_HSP_OUTCOME_RNM" _
	'& ",c.HSP_DAYS" _
	'& ",c.TOTAL_MED_COST" _
	'& "," & sqlMRPCOMMON.sqlCHK_NM_S & "c.BLOOD_TRAN_CHK" & sqlMRPCOMMON.sqlCHK_NM_E & "BLOOD_TRAN_CHK_NM" _
	'& "," & sqlMRPCOMMON.sqlCHK_NM_S & "c.CLINICAL_TRIAL_CHK" & sqlMRPCOMMON.sqlCHK_NM_E & "CLINICAL_TRIAL_CHK_NM" _
	'& "," & sqlMRPCOMMON.sqlCHK_NM_S & "c.HSP_INFECTION_CHK" & sqlMRPCOMMON.sqlCHK_NM_E & "HSP_INFECTION_CHK_NM" _
	'& ",c.FIRST_DIAGNOSIS_DT" _
	'& "," & sqlMRPCOMMON.sqlCHK_NM_S & "c.INTRODUCTION_CHK" & sqlMRPCOMMON.sqlCHK_NM_E & "INTRODUCTION_CHK_NM" _
	'& ",c.INTRODUCED_NM" _
	'& ",c.INTRODUCED_DOCTOR_NM" _
	'& ",c.REFERENCE_NM" _
	'& ",c.REFERENCE_DOCTOR_NM" _
	'& ",c.DPC_CD" _
	'& ",MTM_REG_STATUS.REG_STATUS_NM,MTM_REG_STATUS.REG_STATUS_RNM" _
	'& ",c.REG_FINISHED_DT" _
	'& ",da.ICD10_CD" _
	'& ",da.DISEASE"
	''' <summary>
	''' 科歴
	''' </summary>
	Private Const sqlColC As String = "" _
	& "," & sqlMRPCOMMON.sqlFLG_NM_S & "c.HSP_FLG" & sqlMRPCOMMON.sqlFLG_NM_E & "HSP_FLG" _
	& "," & sqlMRPCOMMON.sqlFLG_NM_S & "c.OUT_HSP_FLG" & sqlMRPCOMMON.sqlFLG_NM_E & "OUT_HSP_FLG" _
	& "," & sqlMRPCOMMON.sqlFLG_NM_S & "c.MAIN_DPM_FLG" & sqlMRPCOMMON.sqlFLG_NM_E & "MAIN_DPM_FLG" _
	& ",c.BYOREKI_NO" _
	& ",C_DEPT.DEPT_NM,C_DEPT.DEPT_RNM" _
	& ",C_WARD.WARD_NM,C_WARD.WARD_RNM" _
	& ",C_STAFF.STAFF_NM" _
	& ",c.ZIP_CD AS CH_ZIP_CD" _
	& ",C_AREA.AREA_NM,C_AREA.AREA_RNM" _
	& ",c.ADDRESS_NM" _
	& "," & sqlMRPCOMMON.CST_CNV_EXCEL_ST & "c.START_DT" & sqlMRPCOMMON.CST_CNV_EXCEL_ED & " AS START_DT" _
	& ",c.START_AGE" _
	& ",c.START_MONTH_AGE" _
	& ",c.START_DAY_AGE" _
	& ",C_CNL.HSP_CNL_NM,C_CNL.HSP_CNL_RNM" _
	& ",MTM_PLAN_EMERGENCY.PLAN_EMERGENCY_NM" _
	& "," & sqlMRPCOMMON.sqlCHK_NM_S & "c.TAKE_AMBULANCE_CHK" & sqlMRPCOMMON.sqlCHK_NM_E & "TAKE_AMBULANCE_CHK_NM" _
	& "," & sqlMRPCOMMON.CST_CNV_EXCEL_ST & "c.END_DT" & sqlMRPCOMMON.CST_CNV_EXCEL_ED & " AS END_DT" _
	& ",c.END_AGE" _
	& ",c.END_MONTH_AGE" _
	& ",c.END_DAY_AGE" _
	& ",C_O_CNL.OUT_HSP_CNL_NM,C_O_CNL.OUT_HSP_CNL_RNM" _
	& ",C_OUTCOME.OUT_HSP_OUTCOME_NM,C_OUTCOME.OUT_HSP_OUTCOME_RNM" _
	& ",c.HSP_DAYS" _
	& ",c.TOTAL_MED_COST" _
	& "," & sqlMRPCOMMON.sqlCHK_NM_S & "c.BLOOD_TRAN_CHK" & sqlMRPCOMMON.sqlCHK_NM_E & "BLOOD_TRAN_CHK_NM" _
	& "," & sqlMRPCOMMON.sqlCHK_NM_S & "c.CLINICAL_TRIAL_CHK" & sqlMRPCOMMON.sqlCHK_NM_E & "CLINICAL_TRIAL_CHK_NM" _
	& "," & sqlMRPCOMMON.sqlCHK_NM_S & "c.HSP_INFECTION_CHK" & sqlMRPCOMMON.sqlCHK_NM_E & "HSP_INFECTION_CHK_NM" _
	& "," & sqlMRPCOMMON.CST_CNV_EXCEL_ST & "c.FIRST_DIAGNOSIS_DT" & sqlMRPCOMMON.CST_CNV_EXCEL_ED & " AS FIRST_DIAGNOSIS_DT" _
	& "," & sqlMRPCOMMON.sqlCHK_NM_S & "c.INTRODUCTION_CHK" & sqlMRPCOMMON.sqlCHK_NM_E & "INTRODUCTION_CHK_NM" _
	& ",c.INTRODUCED_NM" _
	& ",c.INTRODUCED_DOCTOR_NM" _
	& ",c.REFERENCE_NM" _
	& ",c.REFERENCE_DOCTOR_NM" _
	& ",c.DPC_CD" _
	& ",MTM_REG_STATUS.REG_STATUS_NM,MTM_REG_STATUS.REG_STATUS_RNM" _
	& "," & sqlMRPCOMMON.CST_CNV_EXCEL_ST & "c.REG_FINISHED_DT" & sqlMRPCOMMON.CST_CNV_EXCEL_ED & " AS REG_FINISHED_DT" _
	& ",da.ICD10_CD" _
	& ",da.DISEASE"
'(M) END V4-13006-000 173

	''' <summary>
	''' 病名
	''' </summary>
	Private Const sqlColDI As String = "" _
	& ",di1.DISEASE_DIV_NM, di1.DISEASE_DIV_RNM" _
	& ",di1.ICD10_CD" _
	& ",di1.DISEASE" _
	& ",di1.DISEASE_OUTCOME_NM, di1.DISEASE_OUTCOME_RNM" _
	& ",di1.PLURAL_GRP_CD" _
	& ",di1.ICD9_CD" _
	& ",di2.DISEASE_DIV_NM, di2.DISEASE_DIV_RNM" _
	& ",di2.ICD10_CD" _
	& ",di2.DISEASE" _
	& ",di2.DISEASE_OUTCOME_NM, di2.DISEASE_OUTCOME_RNM" _
	& ",di2.PLURAL_GRP_CD" _
	& ",di2.ICD9_CD" _
	& ",di3.DISEASE_DIV_NM, di3.DISEASE_DIV_RNM" _
	& ",di3.ICD10_CD" _
	& ",di3.DISEASE" _
	& ",di3.DISEASE_OUTCOME_NM, di3.DISEASE_OUTCOME_RNM" _
	& ",di3.PLURAL_GRP_CD" _
	& ",di3.ICD9_CD" _
	& ",di4.DISEASE_DIV_NM, di4.DISEASE_DIV_RNM" _
	& ",di4.ICD10_CD" _
	& ",di4.DISEASE" _
	& ",di4.DISEASE_OUTCOME_NM, di4.DISEASE_OUTCOME_RNM" _
	& ",di4.PLURAL_GRP_CD" _
	& ",di4.ICD9_CD" _
	& ",di5.DISEASE_DIV_NM, di5.DISEASE_DIV_RNM" _
	& ",di5.ICD10_CD" _
	& ",di5.DISEASE" _
	& ",di5.DISEASE_OUTCOME_NM, di5.DISEASE_OUTCOME_RNM" _
	& ",di5.PLURAL_GRP_CD" _
	& ",di5.ICD9_CD"

	''' <summary>
	''' 手術
	''' </summary>
	Private Const sqlColOpe As String = "" _
	& ",op1.OPE_DIV_NM ,op1.OPE_DIV_RNM" _
	& ",op1.ICD9CM_CD" _
	& ",op1.SCORE_CD" _
	& ",op1.OPE_NM" _
	& ",op1.OPE_DT" _
	& ",op1.ANESTHESIA_NM, op1.ANESTHESIA_RNM" _
	& ",op1.OPE_COUNT" _
	& ",op1.OPE_PART" _
	& ",op2.OPE_DIV_NM ,op2.OPE_DIV_RNM" _
	& ",op2.ICD9CM_CD" _
	& ",op2.SCORE_CD" _
	& ",op2.OPE_NM" _
	& ",op2.OPE_DT" _
	& ",op2.ANESTHESIA_NM, op2.ANESTHESIA_RNM" _
	& ",op2.OPE_COUNT" _
	& ",op2.OPE_PART" _
	& ",op3.OPE_DIV_NM, op3.OPE_DIV_RNM" _
	& ",op3.ICD9CM_CD" _
	& ",op3.SCORE_CD" _
	& ",op3.OPE_NM" _
	& ",op3.OPE_DT" _
	& ",op3.ANESTHESIA_NM, op3.ANESTHESIA_RNM" _
	& ",op3.OPE_COUNT" _
	& ",op3.OPE_PART"

'(M) STR V4-13006-000 023 20130212 ID)荒川 管理№228 1900年より前の発症日/診断日でExcel出力すると例外エラーが発生する
	'Private Const sqlColCB As String = "" _
	'& ",cb.CB_DT" _
	'& ",cb.GESTATIONAL_WEEK_COUNT" _
	'& ",cb.GESTATIONAL_DAY_COUNT" _
	'& ",cb.CHD_COUNT" _
	'& ",cb.BLEEDING_VOLUME" _
	'& ",MTM_CAESAREAN_OPERATION.CHK_NM" _
	'& "," & sqlMRPCOMMON.sqlFLG_NM_S & "cb.PREMATURE_BIRTH" & sqlMRPCOMMON.sqlFLG_NM_E & "PREMATURE_BIRTH_NM" _
	'& "," & sqlMRPCOMMON.sqlFLG_NM_S & "cb.MISCARRIAGE" & sqlMRPCOMMON.sqlFLG_NM_E & "MISCARRIAGE_NM"
	''' <summary>
	''' 分娩
	''' </summary>
	Private Const sqlColCB As String = "" _
	& "," & sqlMRPCOMMON.CST_CNV_EXCEL_ST & "cb.CB_DT" & sqlMRPCOMMON.CST_CNV_EXCEL_ED _
	& ",cb.GESTATIONAL_WEEK_COUNT" _
	& ",cb.GESTATIONAL_DAY_COUNT" _
	& ",cb.CHD_COUNT" _
	& ",cb.BLEEDING_VOLUME" _
	& ",MTM_CAESAREAN_OPERATION.CHK_NM" _
	& "," & sqlMRPCOMMON.sqlFLG_NM_S & "cb.PREMATURE_BIRTH" & sqlMRPCOMMON.sqlFLG_NM_E & "PREMATURE_BIRTH_NM" _
	& "," & sqlMRPCOMMON.sqlFLG_NM_S & "cb.MISCARRIAGE" & sqlMRPCOMMON.sqlFLG_NM_E & "MISCARRIAGE_NM"
'(M) END V4-13006-000 023

	''' <summary>
	''' 分娩子
	''' </summary>
	Private Const sqlColCB_CD As String = "" _
	& ", cd1.GENDER_NM" _
	& ", cd1.NEWBORN_NO" _
	& ", cd1.CHD_PATIENT_NO" _
	& ", cd1.NEWBORN_STATURE" _
	& ", cd1.NEWBORN_WEIGHT" _
	& ", cd1.APGARSCORE1" _
	& ", cd1.APGARSCORE5" _
	& ", cd1.IMMATURE_NM " _
	& ", cd1.DEFORMITY_NM " _
	& ", cd1.STILLBIRTH_NM " _
	& ", cd2.GENDER_NM" _
	& ", cd2.NEWBORN_NO" _
	& ", cd2.CHD_PATIENT_NO" _
	& ", cd2.NEWBORN_STATURE" _
	& ", cd2.NEWBORN_WEIGHT" _
	& ", cd2.APGARSCORE1" _
	& ", cd2.APGARSCORE5" _
	& ", cd2.IMMATURE_NM " _
	& ", cd2.DEFORMITY_NM " _
	& ", cd2.STILLBIRTH_NM "

	''' <summary>
	''' 対診科
	''' </summary>
	Public Const sqlColDEPT As String = "" _
	& "," & sqlMRPCOMMON.sqlFLG_NM_S & "de.OTHER_DEPT{0}" & sqlMRPCOMMON.sqlFLG_NM_E & "OTHER_DEPT{0}_NM"

	''' <summary>
	''' 医療費
	''' </summary>
	Public Const sqlColM As String = "" _
	& ",MED_COST{0}"

	''' <summary>
	''' 補足項目１情報
	''' </summary>
	Public Const sqlColAST1 = "" _
	& "," & sqlMRPCOMMON.sqlFLG_NM_S & "ast1.ASST_ITM{0}" & sqlMRPCOMMON.sqlFLG_NM_E & "ASST_ITM{0}_NM"

	''' <summary>
	''' 補足項目２情報(コンボ/日付以外)
	''' </summary>
	Public Const sqlColAST2_1 = "" _
	& ",ast2.{0}"

	''' <summary>
	''' 補足項目２情報(コンボ)
	''' </summary>
	Public Const sqlColAST2_2 = "" _
	& ", At2_CNT{0}.CNT_NM, At2_CNT{0}.CNT_RNM"

'(A) STR V4-13006-000 007 20130212 ID)荒川 管理№228 1900年より前の発症日/診断日でExcel出力すると例外エラーが発生する
	''' <summary>
	''' 補足項目２情報(日付)
	''' </summary>
	Public Const sqlColAST2_3 = "" _
	& "," & sqlMRPCOMMON.CST_CNV_EXCEL_ST & "ast2.{0}" & sqlMRPCOMMON.CST_CNV_EXCEL_ED
'(A) END V4-13006-000 007

	''' <summary>
	''' Null項目用
	''' </summary>
	Public Const sqlColNull = ", Null"

	''' <summary>
	''' 管理物情報
	''' </summary>
	Private Const sqlColL = "" _
	& ",l.RECORD_COUNT" _
	& ",l.RECORD_RECEIPT_DT" _
	& ",L_STAF1.STAFF_NM" _
	& ",L_MNG1.MNGSTATUS_NM ,L_MNG1.MNGSTATUS1_RNM" _
	& ",L_LCT1.KEEPLCT_NM   ,L_LCT1.KEEPLCT_RNM" _
	& ",L_ARG1.ARG_STATUS_NM,L_ARG1.ARG_STATUS_RNM" _
	& ",l.SUMMARY_COUNT" _
	& ",l.SUMMARY_RECEIPT_DT" _
	& ",L_MNG2.MNGSTATUS_NM ,L_MNG2.MNGSTATUS1_RNM" _
	& ",L_LCT2.KEEPLCT_NM   ,L_LCT2.KEEPLCT_RNM" _
	& ",L_STAF2.STAFF_NM" _
	& ",l.SUMMARY_APPROVAL_DT" _
	& ",l.OTHER1_COUNT" _
	& ",l.OTHER1_RECEIPT_DT" _
	& ",L_MNG3.MNGSTATUS_NM ,L_MNG3.MNGSTATUS1_RNM" _
	& ",L_LCT3.KEEPLCT_NM   ,L_LCT3.KEEPLCT_RNM" _
	& ",l.OTHER2_COUNT" _
	& ",l.OTHER2_RECEIPT_DT" _
	& ",L_MNG4.MNGSTATUS_NM ,L_MNG4.MNGSTATUS1_RNM" _
	& ",L_LCT4.KEEPLCT_NM   ,L_LCT4.KEEPLCT_RNM" _
	& ",l.OTHER3_COUNT" _
	& ",l.OTHER3_RECEIPT_DT" _
	& ",L_MNG5.MNGSTATUS_NM ,L_MNG5.MNGSTATUS1_RNM" _
	& ",L_LCT5.KEEPLCT_NM   ,L_LCT5.KEEPLCT_RNM"

#End Region

#Region "FROM句"

	''' <summary>
	''' From句(トラン)
	''' </summary>
	Private Const sqlTblTarn = "" _
	& " INNER JOIN MTI_CH          AS c			    ON w.PATIENT_NO         =  c.PATIENT_NO " _
	& "											   AND w.HSP_HISTORY_NO     =  c.HSP_HISTORY_NO" _
	& "											   AND w.CH_NO              =  c.CH_NO" _
	& "  LEFT JOIN XTI_BASICINFO   AS b			    ON w.PATIENT_NO         =  b.PATIENT_NO" _
	& "  LEFT JOIN MTI_DEATH       AS d			    ON w.PATIENT_NO         =  d.PATIENT_NO" _
	& "  LEFT JOIN MTI_HSP         AS h			    ON w.PATIENT_NO         =  h.PATIENT_NO " _
	& "											   AND w.HSP_HISTORY_NO     =  h.HSP_HISTORY_NO" _
	& "  LEFT JOIN MTI_CH          AS bc		    ON w.PATIENT_NO         =  bc.PATIENT_NO" _
	& "											   AND w.NEW_HSP_NO         =  bc.HSP_HISTORY_NO" _
	& "											   AND w.NEW_CH_NO          =  bc.CH_NO" _
	& "  LEFT JOIN MTI_CB          AS cb		    ON w.PATIENT_NO         =  cb.PATIENT_NO " _
	& "											   AND w.HSP_HISTORY_NO     =  cb.HSP_HISTORY_NO" _
	& "											   AND w.CH_NO              =  cb.CH_NO" _
	& "  LEFT JOIN MTI_ASST1       AS ast1		    ON w.PATIENT_NO         =  ast1.PATIENT_NO" _
	& "											   AND w.HSP_HISTORY_NO     =  ast1.HSP_HISTORY_NO" _
	& "											   AND w.CH_NO              =  ast1.CH_NO" _
	& "  LEFT JOIN MTI_ASST2       AS ast2		    ON w.PATIENT_NO         =  ast2.PATIENT_NO" _
	& "											   AND w.HSP_HISTORY_NO     =  ast2.HSP_HISTORY_NO" _
	& "											   AND w.CH_NO              =  ast2.CH_NO" _
	& "  LEFT JOIN MTI_OTHER_DEPT  AS de		    ON w.PATIENT_NO         =  de.PATIENT_NO" _
	& "											   AND w.HSP_HISTORY_NO     =  de.HSP_HISTORY_NO" _
	& "											   AND w.CH_NO              =  de.CH_NO" _
	& "  LEFT JOIN (" & sqlSubLI & ")      AS  l	ON w.PATIENT_NO         =  l.PATIENT_NO" _
	& "                                            AND w.HSP_HISTORY_NO     =  l.HSP_HISTORY_NO" _
	& "                                            AND w.CH_NO              =  l.CH_NO" _
	& "  LEFT JOIN (" & sqlSubDI & ")      AS da    ON w.PATIENT_NO         =  da.PATIENT_NO" _
	& "                                            AND w.HSP_HISTORY_NO     =  da.HSP_HISTORY_NO" _
	& "                                            AND w.CH_NO              =  da.CH_NO" _
	& "  LEFT JOIN (" & sqlSubDisease & ") AS di1   ON w.PATIENT_NO         =  di1.PATIENT_NO" _
	& "                                            AND w.HSP_HISTORY_NO     =  di1.HSP_HISTORY_NO" _
	& "                                            AND w.CH_NO              =  di1.CH_NO" _
	& "                                            AND                1     =  di1.ROWNUM" _
	& "  LEFT JOIN (" & sqlSubDisease & ") AS di2   ON w.PATIENT_NO         =  di2.PATIENT_NO" _
	& "                                            AND w.HSP_HISTORY_NO     =  di2.HSP_HISTORY_NO" _
	& "                                            AND w.CH_NO              =  di2.CH_NO" _
	& "                                            AND                2     =  di2.ROWNUM" _
	& "  LEFT JOIN (" & sqlSubDisease & ") AS di3   ON w.PATIENT_NO         =  di3.PATIENT_NO" _
	& "                                            AND w.HSP_HISTORY_NO     =  di3.HSP_HISTORY_NO" _
	& "                                            AND w.CH_NO              =  di3.CH_NO" _
	& "                                            AND                3     =  di3.ROWNUM" _
	& "  LEFT JOIN (" & sqlSubDisease & ") AS di4   ON w.PATIENT_NO         =  di4.PATIENT_NO" _
	& "                                            AND w.HSP_HISTORY_NO     =  di4.HSP_HISTORY_NO" _
	& "                                            AND w.CH_NO              =  di4.CH_NO" _
	& "                                            AND                4     =  di4.ROWNUM" _
	& "  LEFT JOIN (" & sqlSubDisease & ") AS di5   ON w.PATIENT_NO         =  di5.PATIENT_NO" _
	& "                                            AND w.HSP_HISTORY_NO     =  di5.HSP_HISTORY_NO" _
	& "                                            AND w.CH_NO              =  di5.CH_NO" _
	& "                                            AND                5     =  di5.ROWNUM" _
	& "  LEFT JOIN (" & sqlSubOpe & ")     AS op1   ON w.PATIENT_NO         =  op1.PATIENT_NO" _
	& "                                            AND w.HSP_HISTORY_NO     =  op1.HSP_HISTORY_NO" _
	& "                                            AND w.CH_NO              =  op1.CH_NO" _
	& "                                            AND                1     =  op1.ROWNUM" _
	& "  LEFT JOIN (" & sqlSubOpe & ")     AS op2   ON w.PATIENT_NO         =  op2.PATIENT_NO" _
	& "                                            AND w.HSP_HISTORY_NO     =  op2.HSP_HISTORY_NO" _
	& "                                            AND w.CH_NO              =  op2.CH_NO" _
	& "                                            AND                2     =  op2.ROWNUM" _
	& "  LEFT JOIN (" & sqlSubOpe & ")     AS op3   ON w.PATIENT_NO         =  op3.PATIENT_NO" _
	& "                                            AND w.HSP_HISTORY_NO     =  op3.HSP_HISTORY_NO" _
	& "                                            AND w.CH_NO              =  op3.CH_NO" _
	& "                                            AND                3     =  op3.ROWNUM" _
	& "  LEFT JOIN (" & sqlSubCB_CD & ")   AS cd1   ON w.PATIENT_NO         =  cd1.PATIENT_NO" _
	& "                                            AND w.HSP_HISTORY_NO     =  cd1.HSP_HISTORY_NO" _
	& "                                            AND w.CH_NO              =  cd1.CH_NO" _
	& "                                            AND                1     =  cd1.ROWNUM" _
	& "  LEFT JOIN (" & sqlSubCB_CD & ")   AS cd2   ON w.PATIENT_NO         =  cd2.PATIENT_NO" _
	& "                                            AND w.HSP_HISTORY_NO     =  cd2.HSP_HISTORY_NO" _
	& "                                            AND w.CH_NO              =  cd2.CH_NO" _
	& "                                            AND                2     =  cd2.ROWNUM"

	''' <summary>
	''' 医療費
	''' </summary>
	Public Const sqlTblMed = "" _
	& "  LEFT JOIN MTI_MED_COST    AS m			    ON w.PATIENT_NO         =  m.PATIENT_NO" _
	& "											   AND w.HSP_HISTORY_NO     =  m.HSP_HISTORY_NO" _
	& "											   AND w.CH_NO              =  m.CH_NO"

	''' <summary>
	'''病名（５個）
	''' </summary>
	Private Const sqlSubDisease As String = _
	" SELECT " _
	& "  dis.PATIENT_NO" _
	& ", dis.HSP_HISTORY_NO" _
	& ", dis.CH_NO" _
	& ", ROW_NUMBER() OVER (PARTITION BY dis.PATIENT_NO, dis.HSP_HISTORY_NO, dis.CH_NO ORDER BY dis.PATIENT_NO, dis.HSP_HISTORY_NO, dis.CH_NO, dis.DISEASE_SERIAL_NO) AS ROWNUM" _
	& ", MTM_DISEASE_DIV.DISEASE_DIV_NM, MTM_DISEASE_DIV.DISEASE_DIV_RNM" _
	& ", dis.ICD10_CD" _
	& ", dis.DISEASE" _
	& ", MTM_DISEASE_OUTCOME.DISEASE_OUTCOME_NM, MTM_DISEASE_OUTCOME.DISEASE_OUTCOME_RNM" _
	& ", dis.PLURAL_GRP_CD" _
	& ", dis.ICD9_CD" _
	& " FROM MTW_SEARCH_WORK   AS r" _
	& "      INNER JOIN MTI_DISEASE  AS dis                     ON r.PATIENT_NO                 = dis.PATIENT_NO" _
	& "                                                        AND r.HSP_HISTORY_NO             = dis.HSP_HISTORY_NO" _
	& "                                                        AND r.CH_NO                      = dis.CH_NO" _
	& "       LEFT JOIN MTM_DISEASE_DIV                         ON dis.DISEASE_DIV              = MTM_DISEASE_DIV.DISEASE_DIV_CD" _
	& "       LEFT JOIN MTM_DISEASE_OUTCOME                     ON dis.DISEASE_OUTCOME_CD       = MTM_DISEASE_OUTCOME.DISEASE_OUTCOME_CD" _
	& " WHERE r.HOST_NM = " & sqlMRPCOMMON.prmHOST_NM

'(M) STR V4-13006-000 101 20130212 ID)荒川 管理№228 1900年より前の発症日/診断日でExcel出力すると例外エラーが発生する
	'Private Const sqlSubOpe As String = _
	'" SELECT " _
	'& "  op.PATIENT_NO" _
	'& ",op.HSP_HISTORY_NO" _
	'& ",op.CH_NO" _
	'& ",ROW_NUMBER() OVER (PARTITION BY op.PATIENT_NO,op.HSP_HISTORY_NO,op.CH_NO ORDER BY op.PATIENT_NO,op.HSP_HISTORY_NO,op.CH_NO,op.OPE_SERIAL_NO) AS ROWNUM" _
	'& ",MTM_OPE_DIV.OPE_DIV_NM,MTM_OPE_DIV.OPE_DIV_RNM" _
	'& ",op.ICD9CM_CD" _
	'& ",op.SCORE_CD" _
	'& ",op.OPE_NM" _
	'& ",op.OPE_DT" _
	'& ",MTM_ANESTHESIA.ANESTHESIA_NM,MTM_ANESTHESIA.ANESTHESIA_RNM" _
	'& ",MTM_OPE_CNT.OPE_COUNT" _
	'& ",MTM_OPE_PART_CNT.OPE_PART" _
	'& " FROM MTW_SEARCH_WORK   AS r" _
	'& "      INNER JOIN MTI_OPE       AS op                     ON r.PATIENT_NO                 = op.PATIENT_NO" _
	'& "                                                        AND r.HSP_HISTORY_NO             = op.HSP_HISTORY_NO" _
	'& "                                                        AND r.CH_NO                      = op.CH_NO" _
	'& "       LEFT JOIN MTM_OPE_DIV                             ON op.OPE_DIV                   = MTM_OPE_DIV.OPE_DIV_CD" _
	'& "       LEFT JOIN MTM_ANESTHESIA                          ON op.ANESTHESIA_DIV1           = MTM_ANESTHESIA.ANESTHESIA_CD" _
	'& "       LEFT JOIN MTM_OPE_CNT                             ON op.OPE_COUNT_CD              = MTM_OPE_CNT.OPE_COUNT_CD" _
	'& "       LEFT JOIN MTM_OPE_PART_CNT                        ON op.OPE_PART_CD               = MTM_OPE_PART_CNT.OPE_PART_CD" _
	'& " WHERE r.HOST_NM = " & sqlMRPCOMMON.prmHOST_NM
	''' <summary>
	'''手術（３個）
	''' </summary>
	Private Const sqlSubOpe As String = _
	" SELECT " _
	& "  op.PATIENT_NO" _
	& ",op.HSP_HISTORY_NO" _
	& ",op.CH_NO" _
	& ",ROW_NUMBER() OVER (PARTITION BY op.PATIENT_NO,op.HSP_HISTORY_NO,op.CH_NO ORDER BY op.PATIENT_NO,op.HSP_HISTORY_NO,op.CH_NO,op.OPE_SERIAL_NO) AS ROWNUM" _
	& ",MTM_OPE_DIV.OPE_DIV_NM,MTM_OPE_DIV.OPE_DIV_RNM" _
	& ",op.ICD9CM_CD" _
	& ",op.SCORE_CD" _
	& ",op.OPE_NM" _
	& "," & sqlMRPCOMMON.CST_CNV_EXCEL_ST & "op.OPE_DT" & sqlMRPCOMMON.CST_CNV_EXCEL_ED & " AS OPE_DT " _
	& ",MTM_ANESTHESIA.ANESTHESIA_NM,MTM_ANESTHESIA.ANESTHESIA_RNM" _
	& ",MTM_OPE_CNT.OPE_COUNT" _
	& ",MTM_OPE_PART_CNT.OPE_PART" _
	& " FROM MTW_SEARCH_WORK   AS r" _
	& "      INNER JOIN MTI_OPE       AS op                     ON r.PATIENT_NO                 = op.PATIENT_NO" _
	& "                                                        AND r.HSP_HISTORY_NO             = op.HSP_HISTORY_NO" _
	& "                                                        AND r.CH_NO                      = op.CH_NO" _
	& "       LEFT JOIN MTM_OPE_DIV                             ON op.OPE_DIV                   = MTM_OPE_DIV.OPE_DIV_CD" _
	& "       LEFT JOIN MTM_ANESTHESIA                          ON op.ANESTHESIA_DIV1           = MTM_ANESTHESIA.ANESTHESIA_CD" _
	& "       LEFT JOIN MTM_OPE_CNT                             ON op.OPE_COUNT_CD              = MTM_OPE_CNT.OPE_COUNT_CD" _
	& "       LEFT JOIN MTM_OPE_PART_CNT                        ON op.OPE_PART_CD               = MTM_OPE_PART_CNT.OPE_PART_CD" _
	& " WHERE r.HOST_NM = " & sqlMRPCOMMON.prmHOST_NM
'(M) END V4-13006-000 101

	''' <summary>
	'''分娩子（２個）
	''' </summary>
	Private Const sqlSubCB_CD As String = _
	" SELECT " _
	& "  ci.PATIENT_NO" _
	& ", ci.HSP_HISTORY_NO" _
	& ", ci.CH_NO" _
	& ", ROW_NUMBER() OVER (PARTITION BY ci.PATIENT_NO, ci.HSP_HISTORY_NO, ci.CH_NO ORDER BY ci.PATIENT_NO, ci.HSP_HISTORY_NO, ci.CH_NO, ci.CB_SERIAL_NO) AS ROWNUM" _
	& ", MTM_CB_GENDER.GENDER_NM" _
	& ", ci.NEWBORN_NO" _
	& ", ci.CHD_PATIENT_NO" _
	& ", ci.NEWBORN_STATURE" _
	& ", ci.NEWBORN_WEIGHT" _
	& ", MTM_CB_APG1.APGARSCORE AS APGARSCORE1" _
	& ", MTM_CB_APG5.APGARSCORE AS APGARSCORE5" _
	& "," & sqlMRPCOMMON.sqlFLG_NM_S & "ci.IMMATURE" & sqlMRPCOMMON.sqlFLG_NM_E & "IMMATURE_NM " _
	& "," & sqlMRPCOMMON.sqlFLG_NM_S & "ci.DEFORMITY" & sqlMRPCOMMON.sqlFLG_NM_E & "DEFORMITY_NM " _
	& "," & sqlMRPCOMMON.sqlFLG_NM_S & "ci.STILLBIRTH" & sqlMRPCOMMON.sqlFLG_NM_E & "STILLBIRTH_NM " _
	& " FROM MTW_SEARCH_WORK   AS r" _
	& "      INNER JOIN MTI_CB_CHILD AS ci                      ON r.PATIENT_NO                 = ci.PATIENT_NO" _
	& "                                                        AND r.HSP_HISTORY_NO             = ci.HSP_HISTORY_NO" _
	& "                                                        AND r.CH_NO                      = ci.CH_NO" _
	& "       LEFT JOIN MTM_CB_GENDER                           ON ci.GENDER_CD                 = MTM_CB_GENDER.GENDER_CD" _
	& "       LEFT JOIN MTM_CB_APGARSCORE AS MTM_CB_APG1        ON ci.APGARSCORE_1MIN           = MTM_CB_APG1.APGARSCORE_CD" _
	& "       LEFT JOIN MTM_CB_APGARSCORE AS MTM_CB_APG5        ON ci.APGARSCORE_5MIN           = MTM_CB_APG5.APGARSCORE_CD" _
	& " WHERE r.HOST_NM = " & sqlMRPCOMMON.prmHOST_NM

'(M) STR V4-13006-000 121 20130212 ID)荒川 管理№228 1900年より前の発症日/診断日でExcel出力すると例外エラーが発生する
	'Private Const sqlSubLI = "" _
	'& "SELECT" _
	'& " r.PATIENT_NO" _
	'& ",r.HSP_HISTORY_NO" _
	'& ",r.CH_NO" _
	'& sqlCASE_UNIT_S & sqlMRPCOMMON.prmLENDUNIT_M & sqlCASE_UNIT_C & "RECORD_COUNT         " & sqlCASE_UNIT_H & "RECORD_COUNT         " & sqlCASE_UNIT_B & "RECORD_COUNT         " & sqlCASE_UNIT_E & "RECORD_COUNT" _
	'& sqlCASE_UNIT_S & sqlMRPCOMMON.prmLENDUNIT_M & sqlCASE_UNIT_C & "RECORD_RECEIPT_DT    " & sqlCASE_UNIT_H & "RECORD_RECEIPT_DT    " & sqlCASE_UNIT_B & "RECORD_RECEIPT_DT    " & sqlCASE_UNIT_E & "RECORD_RECEIPT_DT" _
	'& sqlCASE_UNIT_S & sqlMRPCOMMON.prmLENDUNIT_M & sqlCASE_UNIT_C & "RECORD_RECIPIENT_CD  " & sqlCASE_UNIT_H & "RECORD_RECIPIENT_CD  " & sqlCASE_UNIT_B & "RECORD_RECIPIENT_CD  " & sqlCASE_UNIT_E & "RECORD_RECIPIENT_CD" _
	'& sqlCASE_UNIT_S & sqlMRPCOMMON.prmLENDUNIT_M & sqlCASE_UNIT_C & "RECORD_KEEPLCT_CD    " & sqlCASE_UNIT_H & "RECORD_KEEPLCT_CD    " & sqlCASE_UNIT_B & "RECORD_KEEPLCT_CD    " & sqlCASE_UNIT_E & "RECORD_KEEPLCT_CD" _
	'& sqlCASE_UNIT_S & sqlMRPCOMMON.prmLENDUNIT_M & sqlCASE_UNIT_C & "RECORD_ARG_STATUS_CD " & sqlCASE_UNIT_H & "RECORD_ARG_STATUS_CD " & sqlCASE_UNIT_B & "RECORD_ARG_STATUS_CD " & sqlCASE_UNIT_E & "RECORD_ARG_STATUS_CD" _
	'& sqlCASE_UNIT_S & sqlMRPCOMMON.prmLENDUNIT_M & sqlCASE_UNIT_C & "RECORD_MNGSTATUS_CD  " & sqlCASE_UNIT_H & "RECORD_MNGSTATUS_CD  " & sqlCASE_UNIT_B & "RECORD_MNGSTATUS_CD  " & sqlCASE_UNIT_E & "RECORD_MNGSTATUS_CD" _
	'& sqlCASE_UNIT_S & sqlMRPCOMMON.prmLENDUNIT_S & sqlCASE_UNIT_C & "SUMMARY_COUNT        " & sqlCASE_UNIT_H & "SUMMARY_COUNT        " & sqlCASE_UNIT_B & "SUMMARY_COUNT        " & sqlCASE_UNIT_E & "SUMMARY_COUNT" _
	'& sqlCASE_UNIT_S & sqlMRPCOMMON.prmLENDUNIT_S & sqlCASE_UNIT_C & "SUMMARY_RECEIPT_DT   " & sqlCASE_UNIT_H & "SUMMARY_RECEIPT_DT   " & sqlCASE_UNIT_B & "SUMMARY_RECEIPT_DT   " & sqlCASE_UNIT_E & "SUMMARY_RECEIPT_DT" _
	'& sqlCASE_UNIT_S & sqlMRPCOMMON.prmLENDUNIT_S & sqlCASE_UNIT_C & "SUMMARY_KEEPLCT_CD   " & sqlCASE_UNIT_H & "SUMMARY_KEEPLCT_CD   " & sqlCASE_UNIT_B & "SUMMARY_KEEPLCT_CD   " & sqlCASE_UNIT_E & "SUMMARY_KEEPLCT_CD" _
	'& sqlCASE_UNIT_S & sqlMRPCOMMON.prmLENDUNIT_S & sqlCASE_UNIT_C & "SUMMARY_MAKER_CD     " & sqlCASE_UNIT_H & "SUMMARY_MAKER_CD     " & sqlCASE_UNIT_B & "SUMMARY_MAKER_CD     " & sqlCASE_UNIT_E & "SUMMARY_MAKER_CD" _
	'& sqlCASE_UNIT_S & sqlMRPCOMMON.prmLENDUNIT_S & sqlCASE_UNIT_C & "SUMMARY_MNGSTATUS_CD " & sqlCASE_UNIT_H & "SUMMARY_MNGSTATUS_CD " & sqlCASE_UNIT_B & "SUMMARY_MNGSTATUS_CD " & sqlCASE_UNIT_E & "SUMMARY_MNGSTATUS_CD" _
	'& sqlCASE_UNIT_S & sqlMRPCOMMON.prmLENDUNIT_S & sqlCASE_UNIT_C & "SUMMARY_APPROVAL_DT  " & sqlCASE_UNIT_H & "SUMMARY_APPROVAL_DT  " & sqlCASE_UNIT_B & "SUMMARY_APPROVAL_DT  " & sqlCASE_UNIT_E & "SUMMARY_APPROVAL_DT" _
	'& sqlCASE_UNIT_S & sqlMRPCOMMON.prmLENDUNIT_1 & sqlCASE_UNIT_C & "OTHER1_COUNT         " & sqlCASE_UNIT_H & "OTHER1_COUNT         " & sqlCASE_UNIT_B & "OTHER1_COUNT         " & sqlCASE_UNIT_E & "OTHER1_COUNT" _
	'& sqlCASE_UNIT_S & sqlMRPCOMMON.prmLENDUNIT_1 & sqlCASE_UNIT_C & "OTHER1_RECEIPT_DT    " & sqlCASE_UNIT_H & "OTHER1_RECEIPT_DT    " & sqlCASE_UNIT_B & "OTHER1_RECEIPT_DT    " & sqlCASE_UNIT_E & "OTHER1_RECEIPT_DT" _
	'& sqlCASE_UNIT_S & sqlMRPCOMMON.prmLENDUNIT_1 & sqlCASE_UNIT_C & "OTHER1_KEEPLCT_CD    " & sqlCASE_UNIT_H & "OTHER1_KEEPLCT_CD    " & sqlCASE_UNIT_B & "OTHER1_KEEPLCT_CD    " & sqlCASE_UNIT_E & "OTHER1_KEEPLCT_CD" _
	'& sqlCASE_UNIT_S & sqlMRPCOMMON.prmLENDUNIT_1 & sqlCASE_UNIT_C & "OTHER1_MNGSTATUS_CD  " & sqlCASE_UNIT_H & "OTHER1_MNGSTATUS_CD  " & sqlCASE_UNIT_B & "OTHER1_MNGSTATUS_CD  " & sqlCASE_UNIT_E & "OTHER1_MNGSTATUS_CD" _
	'& sqlCASE_UNIT_S & sqlMRPCOMMON.prmLENDUNIT_2 & sqlCASE_UNIT_C & "OTHER2_COUNT         " & sqlCASE_UNIT_H & "OTHER2_COUNT         " & sqlCASE_UNIT_B & "OTHER2_COUNT         " & sqlCASE_UNIT_E & "OTHER2_COUNT" _
	'& sqlCASE_UNIT_S & sqlMRPCOMMON.prmLENDUNIT_2 & sqlCASE_UNIT_C & "OTHER2_RECEIPT_DT    " & sqlCASE_UNIT_H & "OTHER2_RECEIPT_DT    " & sqlCASE_UNIT_B & "OTHER2_RECEIPT_DT    " & sqlCASE_UNIT_E & "OTHER2_RECEIPT_DT" _
	'& sqlCASE_UNIT_S & sqlMRPCOMMON.prmLENDUNIT_2 & sqlCASE_UNIT_C & "OTHER2_KEEPLCT_CD    " & sqlCASE_UNIT_H & "OTHER2_KEEPLCT_CD    " & sqlCASE_UNIT_B & "OTHER2_KEEPLCT_CD    " & sqlCASE_UNIT_E & "OTHER2_KEEPLCT_CD" _
	'& sqlCASE_UNIT_S & sqlMRPCOMMON.prmLENDUNIT_2 & sqlCASE_UNIT_C & "OTHER2_MNGSTATUS_CD  " & sqlCASE_UNIT_H & "OTHER2_MNGSTATUS_CD  " & sqlCASE_UNIT_B & "OTHER2_MNGSTATUS_CD  " & sqlCASE_UNIT_E & "OTHER2_MNGSTATUS_CD" _
	'& sqlCASE_UNIT_S & sqlMRPCOMMON.prmLENDUNIT_3 & sqlCASE_UNIT_C & "OTHER3_COUNT         " & sqlCASE_UNIT_H & "OTHER3_COUNT         " & sqlCASE_UNIT_B & "OTHER3_COUNT         " & sqlCASE_UNIT_E & "OTHER3_COUNT" _
	'& sqlCASE_UNIT_S & sqlMRPCOMMON.prmLENDUNIT_3 & sqlCASE_UNIT_C & "OTHER3_RECEIPT_DT    " & sqlCASE_UNIT_H & "OTHER3_RECEIPT_DT    " & sqlCASE_UNIT_B & "OTHER3_RECEIPT_DT    " & sqlCASE_UNIT_E & "OTHER3_RECEIPT_DT" _
	'& sqlCASE_UNIT_S & sqlMRPCOMMON.prmLENDUNIT_3 & sqlCASE_UNIT_C & "OTHER3_KEEPLCT_CD    " & sqlCASE_UNIT_H & "OTHER3_KEEPLCT_CD    " & sqlCASE_UNIT_B & "OTHER3_KEEPLCT_CD    " & sqlCASE_UNIT_E & "OTHER3_KEEPLCT_CD" _
	'& sqlCASE_UNIT_S & sqlMRPCOMMON.prmLENDUNIT_3 & sqlCASE_UNIT_C & "OTHER3_MNGSTATUS_CD  " & sqlCASE_UNIT_H & "OTHER3_MNGSTATUS_CD  " & sqlCASE_UNIT_B & "OTHER3_MNGSTATUS_CD  " & sqlCASE_UNIT_E & "OTHER3_MNGSTATUS_CD" _
	'& " FROM MTW_SEARCH_WORK   AS r" _
	'& "  LEFT JOIN MTI_LENDITM  AS ih	 ON r.PATIENT_NO		    = ih.PATIENT_NO" _
	'& "									AND r.HSP_HISTORY_NO	    = ih.HSP_HISTORY_NO" _
	'& "									AND 0					    = ih.CH_NO" _
	'& "  LEFT JOIN MTI_LENDITM	AS ib	 ON r.PATIENT_NO		    = ib.PATIENT_NO" _
	'& "									AND 0					    = ib.HSP_HISTORY_NO" _
	'& "									AND 0					    = ib.CH_NO" _
	'& "  LEFT JOIN MTI_LENDITM  AS ic    ON r.PATIENT_NO		    = ic.PATIENT_NO" _
	'& "									AND r.HSP_HISTORY_NO	    = ic.HSP_HISTORY_NO" _
	'& "									AND r.CH_NO                 = ic.CH_NO" _
	'& " WHERE r.HOST_NM = " & sqlMRPCOMMON.prmHOST_NM

	'Private Const sqlCASE_UNIT_S As String = ",CASE "
	'Private Const sqlCASE_UNIT_C As String = " WHEN " & sqlMRPCOMMON.prmLENDUNIT_VALC & " THEN ic."
	'Private Const sqlCASE_UNIT_H As String = " WHEN " & sqlMRPCOMMON.prmLENDUNIT_VALH & " THEN ih."
	'Private Const sqlCASE_UNIT_B As String = " WHEN " & sqlMRPCOMMON.prmLENDUNIT_VALB & " THEN ib."
	'Private Const sqlCASE_UNIT_E As String = " ELSE NULL END AS "
	''' <summary>
	''' 管理物
	''' </summary>
	Private Const sqlSubLI = "" _
	& "SELECT" _
	& " r.PATIENT_NO" _
	& ",r.HSP_HISTORY_NO" _
	& ",r.CH_NO" _
	& sqlCASE_UNIT_S & sqlMRPCOMMON.prmLENDUNIT_M & sqlCASE_UNIT_C & "ic.RECORD_COUNT         " & sqlCASE_UNIT_H & "ih.RECORD_COUNT         " & sqlCASE_UNIT_B & "ib.RECORD_COUNT         " & sqlCASE_UNIT_E & "RECORD_COUNT" _
	& sqlCASE_UNIT_S & sqlMRPCOMMON.prmLENDUNIT_M _
	& sqlCASE_UNIT_C & sqlMRPCOMMON.CST_CNV_EXCEL_ST & "ic.RECORD_RECEIPT_DT" & sqlMRPCOMMON.CST_CNV_EXCEL_ED _
	& sqlCASE_UNIT_H & sqlMRPCOMMON.CST_CNV_EXCEL_ST & "ih.RECORD_RECEIPT_DT" & sqlMRPCOMMON.CST_CNV_EXCEL_ED _
	& sqlCASE_UNIT_B & sqlMRPCOMMON.CST_CNV_EXCEL_ST & "ib.RECORD_RECEIPT_DT" & sqlMRPCOMMON.CST_CNV_EXCEL_ED _
	& sqlCASE_UNIT_E & "RECORD_RECEIPT_DT" _
	& sqlCASE_UNIT_S & sqlMRPCOMMON.prmLENDUNIT_M & sqlCASE_UNIT_C & "ic.RECORD_RECIPIENT_CD  " & sqlCASE_UNIT_H & "ih.RECORD_RECIPIENT_CD  " & sqlCASE_UNIT_B & "ib.RECORD_RECIPIENT_CD  " & sqlCASE_UNIT_E & "RECORD_RECIPIENT_CD" _
	& sqlCASE_UNIT_S & sqlMRPCOMMON.prmLENDUNIT_M & sqlCASE_UNIT_C & "ic.RECORD_KEEPLCT_CD    " & sqlCASE_UNIT_H & "ih.RECORD_KEEPLCT_CD    " & sqlCASE_UNIT_B & "ib.RECORD_KEEPLCT_CD    " & sqlCASE_UNIT_E & "RECORD_KEEPLCT_CD" _
	& sqlCASE_UNIT_S & sqlMRPCOMMON.prmLENDUNIT_M & sqlCASE_UNIT_C & "ic.RECORD_ARG_STATUS_CD " & sqlCASE_UNIT_H & "ih.RECORD_ARG_STATUS_CD " & sqlCASE_UNIT_B & "ib.RECORD_ARG_STATUS_CD " & sqlCASE_UNIT_E & "RECORD_ARG_STATUS_CD" _
	& sqlCASE_UNIT_S & sqlMRPCOMMON.prmLENDUNIT_M & sqlCASE_UNIT_C & "ic.RECORD_MNGSTATUS_CD  " & sqlCASE_UNIT_H & "ih.RECORD_MNGSTATUS_CD  " & sqlCASE_UNIT_B & "ib.RECORD_MNGSTATUS_CD  " & sqlCASE_UNIT_E & "RECORD_MNGSTATUS_CD" _
	& sqlCASE_UNIT_S & sqlMRPCOMMON.prmLENDUNIT_S & sqlCASE_UNIT_C & "ic.SUMMARY_COUNT        " & sqlCASE_UNIT_H & "ih.SUMMARY_COUNT        " & sqlCASE_UNIT_B & "ib.SUMMARY_COUNT        " & sqlCASE_UNIT_E & "SUMMARY_COUNT" _
	& sqlCASE_UNIT_S & sqlMRPCOMMON.prmLENDUNIT_S _
	& sqlCASE_UNIT_C & sqlMRPCOMMON.CST_CNV_EXCEL_ST & "ic.SUMMARY_RECEIPT_DT" & sqlMRPCOMMON.CST_CNV_EXCEL_ED _
	& sqlCASE_UNIT_H & sqlMRPCOMMON.CST_CNV_EXCEL_ST & "ih.SUMMARY_RECEIPT_DT" & sqlMRPCOMMON.CST_CNV_EXCEL_ED _
	& sqlCASE_UNIT_B & sqlMRPCOMMON.CST_CNV_EXCEL_ST & "ib.SUMMARY_RECEIPT_DT" & sqlMRPCOMMON.CST_CNV_EXCEL_ED _
	& sqlCASE_UNIT_E & "SUMMARY_RECEIPT_DT" _
	& sqlCASE_UNIT_S & sqlMRPCOMMON.prmLENDUNIT_S & sqlCASE_UNIT_C & "ic.SUMMARY_KEEPLCT_CD   " & sqlCASE_UNIT_H & "ih.SUMMARY_KEEPLCT_CD   " & sqlCASE_UNIT_B & "ib.SUMMARY_KEEPLCT_CD   " & sqlCASE_UNIT_E & "SUMMARY_KEEPLCT_CD" _
	& sqlCASE_UNIT_S & sqlMRPCOMMON.prmLENDUNIT_S & sqlCASE_UNIT_C & "ic.SUMMARY_MAKER_CD     " & sqlCASE_UNIT_H & "ih.SUMMARY_MAKER_CD     " & sqlCASE_UNIT_B & "ib.SUMMARY_MAKER_CD     " & sqlCASE_UNIT_E & "SUMMARY_MAKER_CD" _
	& sqlCASE_UNIT_S & sqlMRPCOMMON.prmLENDUNIT_S & sqlCASE_UNIT_C & "ic.SUMMARY_MNGSTATUS_CD " & sqlCASE_UNIT_H & "ih.SUMMARY_MNGSTATUS_CD " & sqlCASE_UNIT_B & "ib.SUMMARY_MNGSTATUS_CD " & sqlCASE_UNIT_E & "SUMMARY_MNGSTATUS_CD" _
	& sqlCASE_UNIT_S & sqlMRPCOMMON.prmLENDUNIT_S _
	& sqlCASE_UNIT_C & sqlMRPCOMMON.CST_CNV_EXCEL_ST & "ic.SUMMARY_APPROVAL_DT" & sqlMRPCOMMON.CST_CNV_EXCEL_ED _
	& sqlCASE_UNIT_H & sqlMRPCOMMON.CST_CNV_EXCEL_ST & "ih.SUMMARY_APPROVAL_DT" & sqlMRPCOMMON.CST_CNV_EXCEL_ED _
	& sqlCASE_UNIT_B & sqlMRPCOMMON.CST_CNV_EXCEL_ST & "ib.SUMMARY_APPROVAL_DT" & sqlMRPCOMMON.CST_CNV_EXCEL_ED _
	& sqlCASE_UNIT_E & "SUMMARY_APPROVAL_DT" _
	& sqlCASE_UNIT_S & sqlMRPCOMMON.prmLENDUNIT_1 & sqlCASE_UNIT_C & "ic.OTHER1_COUNT         " & sqlCASE_UNIT_H & "ih.OTHER1_COUNT         " & sqlCASE_UNIT_B & "ib.OTHER1_COUNT         " & sqlCASE_UNIT_E & "OTHER1_COUNT" _
	& sqlCASE_UNIT_S & sqlMRPCOMMON.prmLENDUNIT_1 _
	& sqlCASE_UNIT_C & sqlMRPCOMMON.CST_CNV_EXCEL_ST & "ic.OTHER1_RECEIPT_DT" & sqlMRPCOMMON.CST_CNV_EXCEL_ED _
	& sqlCASE_UNIT_H & sqlMRPCOMMON.CST_CNV_EXCEL_ST & "ih.OTHER1_RECEIPT_DT" & sqlMRPCOMMON.CST_CNV_EXCEL_ED _
	& sqlCASE_UNIT_B & sqlMRPCOMMON.CST_CNV_EXCEL_ST & "ib.OTHER1_RECEIPT_DT" & sqlMRPCOMMON.CST_CNV_EXCEL_ED _
	& sqlCASE_UNIT_E & "OTHER1_RECEIPT_DT" _
	& sqlCASE_UNIT_S & sqlMRPCOMMON.prmLENDUNIT_1 & sqlCASE_UNIT_C & "ic.OTHER1_KEEPLCT_CD    " & sqlCASE_UNIT_H & "ih.OTHER1_KEEPLCT_CD    " & sqlCASE_UNIT_B & "ib.OTHER1_KEEPLCT_CD    " & sqlCASE_UNIT_E & "OTHER1_KEEPLCT_CD" _
	& sqlCASE_UNIT_S & sqlMRPCOMMON.prmLENDUNIT_1 & sqlCASE_UNIT_C & "ic.OTHER1_MNGSTATUS_CD  " & sqlCASE_UNIT_H & "ih.OTHER1_MNGSTATUS_CD  " & sqlCASE_UNIT_B & "ib.OTHER1_MNGSTATUS_CD  " & sqlCASE_UNIT_E & "OTHER1_MNGSTATUS_CD" _
	& sqlCASE_UNIT_S & sqlMRPCOMMON.prmLENDUNIT_2 & sqlCASE_UNIT_C & "ic.OTHER2_COUNT         " & sqlCASE_UNIT_H & "ih.OTHER2_COUNT         " & sqlCASE_UNIT_B & "ib.OTHER2_COUNT         " & sqlCASE_UNIT_E & "OTHER2_COUNT" _
	& sqlCASE_UNIT_S & sqlMRPCOMMON.prmLENDUNIT_2 _
	& sqlCASE_UNIT_C & sqlMRPCOMMON.CST_CNV_EXCEL_ST & "ic.OTHER2_RECEIPT_DT" & sqlMRPCOMMON.CST_CNV_EXCEL_ED _
	& sqlCASE_UNIT_H & sqlMRPCOMMON.CST_CNV_EXCEL_ST & "ih.OTHER2_RECEIPT_DT" & sqlMRPCOMMON.CST_CNV_EXCEL_ED _
	& sqlCASE_UNIT_B & sqlMRPCOMMON.CST_CNV_EXCEL_ST & "ib.OTHER2_RECEIPT_DT" & sqlMRPCOMMON.CST_CNV_EXCEL_ED _
	& sqlCASE_UNIT_E & "OTHER2_RECEIPT_DT" _
	& sqlCASE_UNIT_S & sqlMRPCOMMON.prmLENDUNIT_2 & sqlCASE_UNIT_C & "ic.OTHER2_KEEPLCT_CD    " & sqlCASE_UNIT_H & "ih.OTHER2_KEEPLCT_CD    " & sqlCASE_UNIT_B & "ib.OTHER2_KEEPLCT_CD    " & sqlCASE_UNIT_E & "OTHER2_KEEPLCT_CD" _
	& sqlCASE_UNIT_S & sqlMRPCOMMON.prmLENDUNIT_2 & sqlCASE_UNIT_C & "ic.OTHER2_MNGSTATUS_CD  " & sqlCASE_UNIT_H & "ih.OTHER2_MNGSTATUS_CD  " & sqlCASE_UNIT_B & "ib.OTHER2_MNGSTATUS_CD  " & sqlCASE_UNIT_E & "OTHER2_MNGSTATUS_CD" _
	& sqlCASE_UNIT_S & sqlMRPCOMMON.prmLENDUNIT_3 & sqlCASE_UNIT_C & "ic.OTHER3_COUNT         " & sqlCASE_UNIT_H & "ih.OTHER3_COUNT         " & sqlCASE_UNIT_B & "ib.OTHER3_COUNT         " & sqlCASE_UNIT_E & "OTHER3_COUNT" _
	& sqlCASE_UNIT_S & sqlMRPCOMMON.prmLENDUNIT_3 _
	& sqlCASE_UNIT_C & sqlMRPCOMMON.CST_CNV_EXCEL_ST & "ic.OTHER3_RECEIPT_DT" & sqlMRPCOMMON.CST_CNV_EXCEL_ED _
	& sqlCASE_UNIT_H & sqlMRPCOMMON.CST_CNV_EXCEL_ST & "ih.OTHER3_RECEIPT_DT" & sqlMRPCOMMON.CST_CNV_EXCEL_ED _
	& sqlCASE_UNIT_B & sqlMRPCOMMON.CST_CNV_EXCEL_ST & "ib.OTHER3_RECEIPT_DT" & sqlMRPCOMMON.CST_CNV_EXCEL_ED _
	& sqlCASE_UNIT_E & "OTHER3_RECEIPT_DT" _
	& sqlCASE_UNIT_S & sqlMRPCOMMON.prmLENDUNIT_3 & sqlCASE_UNIT_C & "ic.OTHER3_KEEPLCT_CD    " & sqlCASE_UNIT_H & "ih.OTHER3_KEEPLCT_CD    " & sqlCASE_UNIT_B & "ib.OTHER3_KEEPLCT_CD    " & sqlCASE_UNIT_E & "OTHER3_KEEPLCT_CD" _
	& sqlCASE_UNIT_S & sqlMRPCOMMON.prmLENDUNIT_3 & sqlCASE_UNIT_C & "ic.OTHER3_MNGSTATUS_CD  " & sqlCASE_UNIT_H & "ih.OTHER3_MNGSTATUS_CD  " & sqlCASE_UNIT_B & "ib.OTHER3_MNGSTATUS_CD  " & sqlCASE_UNIT_E & "OTHER3_MNGSTATUS_CD" _
	& " FROM MTW_SEARCH_WORK   AS r" _
	& "  LEFT JOIN MTI_LENDITM  AS ih	 ON r.PATIENT_NO		    = ih.PATIENT_NO" _
	& "									AND r.HSP_HISTORY_NO	    = ih.HSP_HISTORY_NO" _
	& "									AND 0					    = ih.CH_NO" _
	& "  LEFT JOIN MTI_LENDITM	AS ib	 ON r.PATIENT_NO		    = ib.PATIENT_NO" _
	& "									AND 0					    = ib.HSP_HISTORY_NO" _
	& "									AND 0					    = ib.CH_NO" _
	& "  LEFT JOIN MTI_LENDITM  AS ic    ON r.PATIENT_NO		    = ic.PATIENT_NO" _
	& "									AND r.HSP_HISTORY_NO	    = ic.HSP_HISTORY_NO" _
	& "									AND r.CH_NO                 = ic.CH_NO" _
	& " WHERE r.HOST_NM = " & sqlMRPCOMMON.prmHOST_NM

	Private Const sqlCASE_UNIT_S As String = ",CASE "
	Private Const sqlCASE_UNIT_C As String = " WHEN " & sqlMRPCOMMON.prmLENDUNIT_VALC & " THEN "
	Private Const sqlCASE_UNIT_H As String = " WHEN " & sqlMRPCOMMON.prmLENDUNIT_VALH & " THEN "
	Private Const sqlCASE_UNIT_B As String = " WHEN " & sqlMRPCOMMON.prmLENDUNIT_VALB & " THEN "
	Private Const sqlCASE_UNIT_E As String = " ELSE NULL END AS "
'(M) END V4-13006-000 121

	''' <summary>
	''' 基本 マスタ
	''' </summary>
	Private Const sqlTblB = "" _
	& "  LEFT JOIN XTM_GENDER               ON b.GENDER_CD           = XTM_GENDER.GENDER_CD" _
	& "  LEFT JOIN MTM_BLOODTYPE            ON b.BLOODTYPE_CD        = MTM_BLOODTYPE.BLOODTYPE_CD" _
	& "  LEFT JOIN MTM_RH                   ON b.RH_CD               = MTM_RH.RH_CD" _
	& "  LEFT JOIN MTM_AREA AS BC_AREA      ON bc.AREA_CD            = BC_AREA.AREA_CD"

	''' <summary>
	''' 死亡　マスタ
	''' </summary>
	Private Const sqlTblD = "" _
	& "  LEFT JOIN MTM_DEATH_LCT            ON d.DEATH_LCT_CD        = MTM_DEATH_LCT.DEATH_LCT_CD" _
	& "  LEFT JOIN MTM_DEATH_DIV            ON d.DEATH_DIV           = MTM_DEATH_DIV.DEATH_DIV_CD" _
	& "  LEFT JOIN MTM_AFTER_OPE_DEATH_DIV  ON d.AFTER_OPE_DEATH_DIV = MTM_AFTER_OPE_DEATH_DIV.AFTER_OPE_DEATH_DIV_CD"

	''' <summary>
	''' 入退院　マスタ
	''' </summary>
	Private Const sqlTblH As String = "" _
	& "  LEFT JOIN MTM_DEPT             AS H_DEPT    ON h.DEPT_CD             = H_DEPT.DEPT_CD" _
	& "  LEFT JOIN MTM_WARD             AS H_WARD    ON h.WARD_CD			  = H_WARD.WARD_CD" _
	& "  LEFT JOIN XTM_STAFF            AS H_STAFF   ON h.DOCTOR_CD			  = H_STAFF.STAFF_CD" _
	& "  LEFT JOIN MTM_HSP_CNL          AS H_CNL     ON h.HSP_CNL_CD          = H_CNL.HSP_CNL_CD" _
	& "  LEFT JOIN MTM_OUT_HSP_CNL      AS H_O_CNL   ON h.OUT_HSP_CNL_CD      = H_O_CNL.OUT_HSP_CNL_CD" _
	& "  LEFT JOIN MTM_OUT_HSP_OUTCOME  AS H_OUTCOME ON h.OUT_HSP_OUTCOME_CD  = H_OUTCOME.OUT_HSP_OUTCOME_CD"

	''' <summary>
	''' 科歴マスタ
	''' </summary>
	Private Const sqlTblC As String = "" _
	& "  LEFT JOIN MTM_DEPT             AS C_DEPT             ON c.DEPT_CD                   = C_DEPT.DEPT_CD" _
	& "  LEFT JOIN MTM_WARD             AS C_WARD             ON c.WARD_CD			         = C_WARD.WARD_CD" _
	& "  LEFT JOIN XTM_STAFF            AS C_STAFF            ON c.DOCTOR_CD			     = C_STAFF.STAFF_CD" _
	& "  LEFT JOIN MTM_HSP_CNL          AS C_CNL              ON c.START_CNL_CD              = C_CNL.HSP_CNL_CD" _
	& "  LEFT JOIN MTM_OUT_HSP_CNL      AS C_O_CNL            ON c.END_CNL_CD                = C_O_CNL.OUT_HSP_CNL_CD" _
	& "  LEFT JOIN MTM_OUT_HSP_OUTCOME  AS C_OUTCOME          ON c.END_OUTCOME_CD            = C_OUTCOME.OUT_HSP_OUTCOME_CD" _
	& "  LEFT JOIN MTM_AREA             AS C_AREA             ON c.AREA_CD                   = C_AREA.AREA_CD" _
	& "  LEFT JOIN MTM_PLAN_EMERGENCY                         ON c.PLAN_EMERGENCY_CD         = MTM_PLAN_EMERGENCY.PLAN_EMERGENCY_CD" _
	& "  LEFT JOIN MTM_REG_STATUS                             ON c.REG_STATUS_CD             = MTM_REG_STATUS.REG_STATUS_CD"

	''' <summary>
	''' 分娩マスタ
	''' </summary>
	Private Const sqlTblCB = "" _
	& "  LEFT JOIN MTM_CAESAREAN_OPERATION                    ON cb.CAESAREAN_OPE_CD         = MTM_CAESAREAN_OPERATION.CHK_CD"

	''' <summary>
	''' 管理物情報　マスタ
	''' </summary>
	Private Const sqlTblL = "" _
	& " LEFT JOIN XTM_STAFF				  AS L_STAF1 ON l.RECORD_RECIPIENT_CD  = L_STAF1.STAFF_CD" _
	& " LEFT JOIN XTM_STAFF				  AS L_STAF2 ON l.SUMMARY_MAKER_CD     = L_STAF2.STAFF_CD" _
	& " LEFT JOIN MTM_LENDITEM_MNGSTATUS  AS L_MNG1	 ON " & sqlMRPCOMMON.prmLENDITEM_M & " = L_MNG1.LENDITEM_CD AND l.RECORD_MNGSTATUS_CD  = L_MNG1.MNGSTATUS_CD" _
	& " LEFT JOIN MTM_LENDITEM_KEEPLCT	  AS L_LCT1	 ON " & sqlMRPCOMMON.prmLENDITEM_M & " = L_LCT1.LENDITEM_CD AND l.RECORD_KEEPLCT_CD	   = L_LCT1.KEEPLCT_CD" _
	& " LEFT JOIN MTM_LENDITEM_ARG_STATUS AS L_ARG1	 ON " & sqlMRPCOMMON.prmLENDITEM_M & " = L_ARG1.LENDITEM_CD AND l.RECORD_ARG_STATUS_CD = L_ARG1.ARG_STATUS_CD" _
	& " LEFT JOIN MTM_LENDITEM_MNGSTATUS  AS L_MNG2	 ON " & sqlMRPCOMMON.prmLENDITEM_S & " = L_MNG2.LENDITEM_CD AND l.SUMMARY_MNGSTATUS_CD = L_MNG2.MNGSTATUS_CD" _
	& " LEFT JOIN MTM_LENDITEM_KEEPLCT	  AS L_LCT2	 ON " & sqlMRPCOMMON.prmLENDITEM_S & " = L_LCT2.LENDITEM_CD AND l.SUMMARY_KEEPLCT_CD   = L_LCT2.KEEPLCT_CD" _
	& " LEFT JOIN MTM_LENDITEM_MNGSTATUS  AS L_MNG3	 ON " & sqlMRPCOMMON.prmLENDITEM_1 & " = L_MNG3.LENDITEM_CD AND l.OTHER1_MNGSTATUS_CD  = L_MNG3.MNGSTATUS_CD" _
	& " LEFT JOIN MTM_LENDITEM_KEEPLCT	  AS L_LCT3	 ON " & sqlMRPCOMMON.prmLENDITEM_1 & " = L_LCT3.LENDITEM_CD AND l.OTHER1_KEEPLCT_CD	   = L_LCT3.KEEPLCT_CD" _
	& " LEFT JOIN MTM_LENDITEM_MNGSTATUS  AS L_MNG4	 ON " & sqlMRPCOMMON.prmLENDITEM_2 & " = L_MNG4.LENDITEM_CD AND l.OTHER2_MNGSTATUS_CD  = L_MNG4.MNGSTATUS_CD" _
	& " LEFT JOIN MTM_LENDITEM_KEEPLCT	  AS L_LCT4	 ON " & sqlMRPCOMMON.prmLENDITEM_2 & " = L_LCT4.LENDITEM_CD AND l.OTHER2_KEEPLCT_CD	   = L_LCT4.KEEPLCT_CD" _
	& " LEFT JOIN MTM_LENDITEM_MNGSTATUS  AS L_MNG5	 ON " & sqlMRPCOMMON.prmLENDITEM_3 & " = L_MNG5.LENDITEM_CD AND l.OTHER3_MNGSTATUS_CD  = L_MNG5.MNGSTATUS_CD" _
	& " LEFT JOIN MTM_LENDITEM_KEEPLCT	  AS L_LCT5	 ON " & sqlMRPCOMMON.prmLENDITEM_3 & " = L_LCT5.LENDITEM_CD AND l.OTHER3_KEEPLCT_CD	   = L_LCT5.KEEPLCT_CD"

#End Region

#End Region

	''' <summary>
	''' ヘッダ項目補足項目１項目マスタの取得
	''' </summary>
	Public Const sqlSel_Header_Asst1 As String = _
	" SELECT" _
	& " ITEM_CD AS " & sqlMRPCOMMON.itmITEM_CD _
	& ",ITEM_RNM AS " & sqlMRPCOMMON.itmITEM_NM _
	& ",ITEM_RNM AS " & sqlMRPCOMMON.itmITEM_RNM _
	& "  FROM MTM_ASST1_ITM" _
	& " WHERE ITEM_NM" & XCM.clsConst.CST_NONEMPTY_WHERE _
	& " ORDER BY" _
	& " ITEM_CD"

	''' <summary>
	''' ヘッダ項目対診科項目マスタの取得
	''' </summary>
	Public Const sqlSel_Header_Dept As String = _
	" SELECT" _
	& " OTHER_DEPT_CD AS " & sqlMRPCOMMON.itmITEM_CD _
	& ",OTHER_DEPT_NM AS " & sqlMRPCOMMON.itmITEM_NM _
	& ",OTHER_DEPT_NM AS " & sqlMRPCOMMON.itmITEM_RNM _
	& "  FROM MTM_OTHER_DEPT" _
	& " ORDER BY OTHER_DEPT_CD"

	''' <summary>
	''' ヘッダ項目医療費項目マスタの取得
	''' </summary>
	Public Const sqlSel_Header_Med As String = _
	  "SELECT" _
	& " MED_COST_CD AS " & sqlMRPCOMMON.itmITEM_CD _
	& ",MED_COST_NM AS " & sqlMRPCOMMON.itmITEM_NM _
	& ",MED_COST_NM AS " & sqlMRPCOMMON.itmITEM_RNM _
	& "  FROM MTM_MED_COST_ITM"

	''' <summary>
	''' ヘッダ項目補足項目２項目マスタの取得
	''' </summary>
	Public Const sqlSel_Header_Asst2 As String = _
	" SELECT" _
	& " ITEM_CD" _
	& ",ITEM_NM" _
	& ",ITEM_RNM" _
	& ",ITEM_TYPE" _
	& ",SPT_FIELD_NM" _
	& "  FROM MTM_ASST2_ITM" _
	& " ORDER BY" _
	& " OUT_DSPORDER" _
	& ",ITEM_CD"

	''' <summary>
	''' ヘッダ項目補足項目２内容マスタの取得
	''' </summary>
	Public Const sqlSel_Asst2_Cnt As String = _
	" SELECT" _
	& " ITEM_CD" _
	& ",CNT_CD" _
	& ",CNT_NM" _
	& ",CNT_RNM" _
	& "  FROM MTM_ASST2_CNT"

	''' <summary>
	''' 補足項目２（コンボタイプ）の取得
	''' </summary>
	''' <remarks></remarks>
	Public Const sqlSel_Asst2_Join As String = "" _
	& "       LEFT JOIN MTM_ASST2_CNT AS At2_CNT{1}    ON '{1}'                    = At2_CNT{1}.ITEM_CD" _
	& "                                                AND ast2.{0}                = At2_CNT{1}.CNT_CD"

	''' <summary>
	''' 主病名に紐づく病名を取得
	''' (科歴情報と病名情報を結合し、かつ病名区分マスタ(固定コード=1)を結合する）
	''' </summary>
	Private Const sqlSubDI = "" _
	& " SELECT dc.PATIENT_NO,dc.HSP_HISTORY_NO,dc.CH_NO,di.ICD10_CD,di.DISEASE" _
	& "   FROM MTW_SEARCH_WORK AS dc" _
	& "        INNER JOIN MTI_DISEASE AS di" _
	& "                ON dc.PATIENT_NO         = di.PATIENT_NO" _
	& "               AND dc.HSP_HISTORY_NO     = di.HSP_HISTORY_NO" _
	& "               AND dc.CH_NO              = di.CH_NO" _
	& "        INNER JOIN MTM_DISEASE_DIV AS dm" _
	& "                ON di.DISEASE_DIV        = dm.DISEASE_DIV_CD" _
	& "               AND " & sqlMRPCOMMON.prmFIXED_CD & "= dm.FIXED_CD" _
	& " WHERE dc.HOST_NM = " & sqlMRPCOMMON.prmHOST_NM

End Class
