﻿''' ---------------------------------------------
''' <summary>
''' 診療情報管理 検索 科歴Report継承元クラス(SQLクラス）
''' </summary>
''' <remarks>
''' Copyright 2010 FUJITSU SHIKOKU SYSTEMS LIMITED All rights reserved.<BR/>
''' FUJITSU SHIKOKU SYSTEMS LIMITED CONFIDENTIAL<BR/>
''' </remarks>
''' ---------------------------------------------
Public NotInheritable Class sqlMRP050R000

	Public Const itmHSP_DAYS As String = "HSP_DAYS"					'在院日数
	Public Const prmHSP_DAYS As String = "@HSP_DAYS"				'在院日数
	Public Const prmSYSDATE As String = "@SYSDATE"					'システム日付
	Public Const prmNISUU_INIT As String = "@NISUU_INIT"			'在院日数の初期値
	Public Const prmNISUU_PLUS As String = "@NISUU_PLUS"			'在院日数の初期値

	''' <summary>
	''' workを削除
	''' </summary>
	Public Const sqlDel As String = _
	"DELETE FROM MTW_SEARCH_CH WHERE HOST_NM=" & sqlMRPCOMMON.prmHOST_NM

	''' <summary>
	''' workを追加
	''' </summary>
	Public Const sqlIns As String = _
	"INSERT INTO MTW_SEARCH_CH (" _
	& " HOST_NM" _
	& ",DSPORDER" _
	& ",PATIENT_NO" _
	& ",HSP_HISTORY_NO" _
	& ",CH_NO" _
	& ",HSP_DAYS" _
	& ",LASTUPDUSER_CD" _
	& ",LASTUPD_DT" _
	& ") VALUES (" _
	& " " & sqlMRPCOMMON.prmHOST_NM _
	& "," & sqlMRPCOMMON.prmDSPORDER _
	& "," & sqlMRPCOMMON.prmPATIENT_NO _
	& "," & sqlMRPCOMMON.prmHSP_NO _
	& "," & sqlMRPCOMMON.prmCH_NO _
	& "," & prmHSP_DAYS _
	& "," & sqlMRPCOMMON.prmLASTUPDUSER_CD _
	& "," & sqlMRPCOMMON.prmLASTUPD_DT _
	& ")"

	''' <summary>
	''' workを追加
	''' </summary>
	Public Const sqlIns_Key_P As String = _
	"INSERT INTO MTW_SEARCH_CH (" _
	& " HOST_NM" _
	& ",DSPORDER" _
	& ",PATIENT_NO" _
	& ",HSP_HISTORY_NO" _
	& ",CH_NO" _
	& ",HSP_DAYS" _
	& ",LASTUPDUSER_CD" _
	& ",LASTUPD_DT" _
	& ") " _
	& "SELECT" _
	& " " & sqlMRPCOMMON.prmHOST_NM _
	& ",ROW_NUMBER() OVER(ORDER BY PATIENT_NO,HSP_HISTORY_NO DESC,CH_NO DESC) AS DSPORDER" _
	& ",PATIENT_NO" _
	& ",HSP_HISTORY_NO" _
	& ",CH_NO" _
	& ",CASE WHEN HSP_DAYS <> 0 OR NOT END_DT IS NULL THEN HSP_DAYS" _
	& "      WHEN START_DT = " & prmSYSDATE & " THEN " & prmNISUU_INIT _
	& "      ELSE DATEDIFF(day,START_DT," & prmSYSDATE & ") + " & prmNISUU_PLUS _
	& " END AS HSP_DAYS" _
	& "," & sqlMRPCOMMON.prmLASTUPDUSER_CD _
	& "," & sqlMRPCOMMON.prmLASTUPD_DT _
	& "  FROM MTI_CH" _
	& " WHERE PATIENT_NO = " & sqlMRPCOMMON.prmPATIENT_NO

	''' <summary>
	''' workを追加
	''' </summary>
	''' <remarks></remarks>
	Public Const sqlIns_Key_PH As String = _
	sqlIns_Key_P _
	& "  AND HSP_HISTORY_NO = " & sqlMRPCOMMON.prmHSP_NO

	''' <summary>
	''' workを追加
	''' </summary>
	''' <remarks></remarks>
	Public Const sqlIns_Key_PHC As String = _
	sqlIns_Key_P _
	& "  AND HSP_HISTORY_NO = " & sqlMRPCOMMON.prmHSP_NO _
	& "  AND CH_NO          = " & sqlMRPCOMMON.prmCH_NO

	''' <summary>
	''' workを更新
	''' </summary>
	Public Const sqlUpd As String = _
	"UPDATE w SET" _
	& " PATIENT_NM					= b.PATIENT_NM" _
	& ",GENDER_CD					= b.GENDER_CD" _
	& ",BYOREKI_NO					= c.BYOREKI_NO" _
	& ",DEPT_CD						= c.DEPT_CD" _
	& ",WARD_CD						= c.WARD_CD" _
	& ",START_DT					= c.START_DT" _
	& ",END_DT						= c.END_DT" _
	& ",DOCTOR_CD					= c.DOCTOR_CD" _
	& ",PATIENT_KNM					= b.PATIENT_KNM" _
	& ",BIRTH_DT					= b.BIRTH_DT" _
	& ",PATIENT_AGE			= (CASE " & sqlMRPCOMMON.prmENV_AGE & " WHEN '1' THEN c.START_AGE       ELSE c.END_AGE       END)" _
	& ",PATIENT_MONTH_AGE	= (CASE " & sqlMRPCOMMON.prmENV_AGE & " WHEN '1' THEN c.START_MONTH_AGE ELSE c.END_MONTH_AGE END)" _
	& ",PATIENT_DAY_AGE		= (CASE " & sqlMRPCOMMON.prmENV_AGE & " WHEN '1' THEN c.START_DAY_AGE   ELSE c.END_DAY_AGE   END)" _
	& ",START_CNL_CD				= c.START_CNL_CD" _
	& ",END_CNL_CD					= c.END_CNL_CD" _
	& ",END_OUTCOME_CD				= c.END_OUTCOME_CD" _
	& ",OPE_CHK_CD		            = c.OPE_CHK" _
	& ",OTHER_DEPT_CHK		        = c.OTHER_DEPT_CHK" _
	& ",BLOOD_TRAN_CHK		        = c.BLOOD_TRAN_CHK" _
	& ",TOTAL_MED_COST			    = c.TOTAL_MED_COST" _
	& ",FIRST_DIAGNOSIS_DT			= c.FIRST_DIAGNOSIS_DT" _
	& ",START_AGE					= c.START_AGE" _
	& ",START_MONTH_AGE				= c.START_MONTH_AGE" _
	& ",START_DAY_AGE				= c.START_DAY_AGE" _
	& ",END_AGE						= c.END_AGE" _
	& ",END_MONTH_AGE				= c.END_MONTH_AGE" _
	& ",END_DAY_AGE					= c.END_DAY_AGE" _
	& ",HSP_AREA_CD	                = c.AREA_CD" _
	& ",LASTUPDUSER_CD				= " & sqlMRPCOMMON.prmLASTUPDUSER_CD _
	& ",LASTUPD_DT					= " & sqlMRPCOMMON.prmLASTUPD_DT _
	& " FROM MTW_SEARCH_CH AS w " _
	& "      LEFT JOIN XTI_BASICINFO AS B" _
	& "                 ON w.PATIENT_NO         = B.PATIENT_NO" _
	& "      LEFT JOIN MTI_CH AS c" _
	& "                 ON w.PATIENT_NO         = c.PATIENT_NO" _
	& "                AND w.HSP_HISTORY_NO     = c.HSP_HISTORY_NO" _
	& "                AND w.CH_NO = c.CH_NO" _
	& " WHERE w.HOST_NM=" & sqlMRPCOMMON.prmHOST_NM

	''' <summary>
	''' カルテ管理状況更新用
	''' </summary>
	Public Const sqlUpd_REC As String = _
	"UPDATE w SET" _
	& " RECORD_MNGSTATUS_CD         = m.RECORD_MNGSTATUS_CD" _
	& ",LASTUPDUSER_CD				= " & sqlMRPCOMMON.prmLASTUPDUSER_CD _
	& ",LASTUPD_DT					= " & sqlMRPCOMMON.prmLASTUPD_DT _
	& " FROM MTW_SEARCH_CH AS w " _
	& "      INNER JOIN MTI_LENDITM AS m" _
	& "                 ON w.PATIENT_NO         = m.PATIENT_NO" _
	& " {0}" _
	& " WHERE w.HOST_NM=" & sqlMRPCOMMON.prmHOST_NM

	'患者単位
	Public Const sqlJoin_Pat As String = _
	  "                AND 0					= m.HSP_HISTORY_NO" _
	& "                AND 0					= m.CH_NO"

	'入退院歴単位
	Public Const sqlJoin_Hsp As String = _
	  "                AND w.HSP_HISTORY_NO     = m.HSP_HISTORY_NO" _
	& "                AND 0					= m.CH_NO"

	'科歴単位
	Public Const sqlJoin_Ch As String = _
	  "                AND w.HSP_HISTORY_NO     = m.HSP_HISTORY_NO" _
	& "                AND w.CH_NO              = m.CH_NO"

	''' <summary>
	''' サマリ管理状況更新用
	''' </summary>
	Public Const sqlUpd_SUM As String = _
	"UPDATE w SET" _
	& " SUMMARY_MNGSTATUS_CD        = m.SUMMARY_MNGSTATUS_CD" _
	& " ,LASTUPDUSER_CD				= " & sqlMRPCOMMON.prmLASTUPDUSER_CD _
	& " ,LASTUPD_DT					= " & sqlMRPCOMMON.prmLASTUPD_DT _
	& " FROM MTW_SEARCH_CH AS w " _
	& "      INNER JOIN MTI_LENDITM AS m" _
	& "                 ON w.PATIENT_NO         = m.PATIENT_NO" _
	& "                AND w.HSP_HISTORY_NO     = m.HSP_HISTORY_NO" _
	& "                AND w.CH_NO              = m.CH_NO" _
	& " WHERE w.HOST_NM=" & sqlMRPCOMMON.prmHOST_NM

	'転科元コード更新用
	Public Const sqlUpdFromDept As String = "" _
	& " UPDATE W SET" _
	& "   W.FROM_DEPT_CD                = IN_W.DEPT_CD" _
	& "  ,W.LASTUPDUSER_CD				= " & sqlMRPCOMMON.prmLASTUPDUSER_CD _
	& "  ,W.LASTUPD_DT					= " & sqlMRPCOMMON.prmLASTUPD_DT _
	& " FROM MTW_SEARCH_CH AS W" _
	& "       INNER JOIN " _
	& "  	    (SELECT W1.PATIENT_NO,W1.HSP_HISTORY_NO,W1.CH_NO,C1.DEPT_CD," _
	& "	             ROW_NUMBER() OVER(PARTITION BY W1.PATIENT_NO,W1.HSP_HISTORY_NO,W1.CH_NO ORDER BY C1.CH_NO DESC) AS CNT" _
	& "	            FROM MTW_SEARCH_CH AS W1" _
	& "	                 INNER JOIN  MTI_CH AS C1" _
	& "	                    ON W1.PATIENT_NO = C1.PATIENT_NO" _
	& "	                   AND W1.HSP_HISTORY_NO = C1.HSP_HISTORY_NO" _
	& "	                 INNER JOIN MTM_OUT_HSP_CNL" _
	& "	                    ON C1.END_CNL_CD             = MTM_OUT_HSP_CNL.OUT_HSP_CNL_CD" _
	& "	           WHERE W1.CH_NO > C1.CH_NO" _
	& "	             AND MTM_OUT_HSP_CNL.FIXED_CD  = " & sqlMRPCOMMON.prmFIXED_CD _
	& "              AND W1.HOST_NM        =" & sqlMRPCOMMON.prmHOST_NM _
	& "          ) AS IN_W" _
	& "    ON W.PATIENT_NO     = IN_W.PATIENT_NO" _
	& "   AND W.HSP_HISTORY_NO = IN_W.HSP_HISTORY_NO" _
	& "   AND W.CH_NO          = IN_W.CH_NO" _
	& " WHERE IN_W.CNT = 1" _
	& "   AND w.HOST_NM        =" & sqlMRPCOMMON.prmHOST_NM

	'転科先コード更新用
	Public Const sqlUpdToDept As String = "" _
	& " UPDATE W SET" _
	& "   W.TO_DEPT_CD                  = OUT_W.DEPT_CD" _
	& "  ,W.LASTUPDUSER_CD				= " & sqlMRPCOMMON.prmLASTUPDUSER_CD _
	& "  ,W.LASTUPD_DT					= " & sqlMRPCOMMON.prmLASTUPD_DT _
	& " FROM MTW_SEARCH_CH AS W" _
	& "      INNER JOIN" _
	& " 	    (SELECT W1.PATIENT_NO,W1.HSP_HISTORY_NO,W1.CH_NO,C1.DEPT_CD," _
	& "            ROW_NUMBER() OVER(PARTITION BY W1.PATIENT_NO,W1.HSP_HISTORY_NO,W1.CH_NO ORDER BY W1.CH_NO) AS CNT" _
	& "           FROM MTW_SEARCH_CH AS W1" _
	& "                INNER JOIN  MTI_CH AS C1" _
	& "                   ON W1.PATIENT_NO     = C1.PATIENT_NO" _
	& "                  AND W1.HSP_HISTORY_NO = C1.HSP_HISTORY_NO" _
	& "                INNER JOIN MTM_HSP_CNL" _
	& "                   ON C1.START_CNL_CD   = MTM_HSP_CNL.HSP_CNL_CD" _
	& "          WHERE W1.CH_NO < C1.CH_NO" _
	& "            AND MTM_HSP_CNL.FIXED_CD    =" & sqlMRPCOMMON.prmFIXED_CD _
	& "            AND W1.HOST_NM              =" & sqlMRPCOMMON.prmHOST_NM _
	& "        ) AS OUT_W" _
	& "  ON W.PATIENT_NO     = OUT_W.PATIENT_NO" _
	& " AND W.HSP_HISTORY_NO = OUT_W.HSP_HISTORY_NO" _
	& " AND W.CH_NO          = OUT_W.CH_NO" _
	& " WHERE OUT_W.CNT = 1" _
	& "   AND W.HOST_NM        =" & sqlMRPCOMMON.prmHOST_NM

End Class
