﻿''' ---------------------------------------------
''' <summary>
''' 診療情報管理 共通帳票 手術情報一覧(EXCEL) (SQLクラス）
''' </summary>
''' <remarks>
''' Copyright 2010 FUJITSU SHIKOKU SYSTEMS LIMITED All rights reserved.<BR/>
''' FUJITSU SHIKOKU SYSTEMS LIMITED CONFIDENTIAL<BR/>
''' </remarks>
''' ---------------------------------------------
Public NotInheritable Class sqlMRP070E010

#Region "エクセルヘッダ項目"
	''' <summary>
	''' エクセル出力ヘッダ
	''' </summary>
	''' <remarks></remarks>
	Public Const excel_Header As String = "" _
	& excel_HeaderBHC _
	& excel_HeaderMe _
	& excel_HeaderOpeDoc _
	& excel_HeaderOpeDoc _
	& excel_HeaderOpeDoc _
	& excel_HeaderOpeDoc _
	& excel_HeaderOpeDoc

	''' <summary>
	''' 患者＋入退院＋科歴ヘッダ
	''' </summary>
	''' <remarks></remarks>
	Private Const excel_HeaderBHC As String = "" _
	& "患者番号" _
	& ",入退院歴番号" _
	& ",科歴番号" _
	& ",氏名" _
	& ",氏名カナ" _
	& ",性別" _
	& ",生年月日" _
	& ",血液型" _
	& ",Ｒｈ" _
	& ",最新住所郵便番号" _
	& ",最新住所診療圏" _
	& ",最新住所診療圏(略称)" _
	& ",最新住所" _
	& ",死亡場所" _
	& ",死亡場所(略称)" _
	& ",死亡日" _
	& ",死亡時刻" _
	& ",死亡時年齢" _
	& ",死亡時月齢" _
	& ",死亡時日齢" _
	& ",死亡区分" _
	& ",死亡区分(略称)" _
	& ",術後死亡区分" _
	& ",術後死亡区分(略称)" _
	& ",剖検有無" _
	& ",剖検番号" _
	& ",{0}" _
	& ",診療科" _
	& ",診療科(略称)" _
	& ",病棟" _
	& ",病棟(略称)" _
	& ",医師" _
	& ",入院日" _
	& ",入院時年齢" _
	& ",入院時月齢" _
	& ",入院時日齢" _
	& ",入院経路" _
	& ",入院経路(略称)" _
	& ",退院日" _
	& ",退院時年齢" _
	& ",退院時月齢" _
	& ",退院時日齢" _
	& ",退院経路" _
	& ",退院経路(略称)" _
	& ",退院転帰" _
	& ",退院転帰(略称)" _
	& ",在院日数" _
	& ",入院フラグ" _
	& ",退院フラグ" _
	& ",主科フラグ" _
	& ",{0}" _
	& ",診療科" _
	& ",診療科(略称)" _
	& ",病棟" _
	& ",病棟(略称)" _
	& ",医師" _
	& ",開始日" _
	& ",開始時年齢" _
	& ",開始時月齢" _
	& ",開始時日齢" _
	& ",開始経路" _
	& ",開始経路(略称)" _
	& ",終了日" _
	& ",終了時年齢" _
	& ",終了時月齢" _
	& ",終了時日齢" _
	& ",終了経路" _
	& ",終了経路(略称)" _
	& ",終了転帰" _
	& ",終了転帰(略称)" _
	& ",在院日数"


	''' <summary>
	''' 手術情報ヘッダ
	''' </summary>
	''' <remarks></remarks>
	Private Const excel_HeaderMe As String = "" _
	& ",手術区分" _
	& ",手術区分(略称)" _
	& ",ＩＣＤ９ＣＭコード" _
	& ",点数表コード" _
	& ",手術名" _
	& ",手術開始日" _
	& ",手術開始時刻" _
	& ",手術終了日" _
	& ",手術終了時刻" _
	& ",手術所要時間" _
	& ",手術時年齢" _
	& ",手術時月齢" _
	& ",手術時日齢" _
	& ",手術予定緊急" _
	& ",手術時間外フラグ" _
	& ",ASA-PS" _
	& ",ASA-PS(略称)" _
	& ",麻酔区分１" _
	& ",麻酔区分１(略称)" _
	& ",麻酔区分２" _
	& ",麻酔区分２(略称)" _
	& ",麻酔時間" _
	& ",出血量" _
	& ",輸血量" _
	& ",術後合併症有無" _
	& ",術前日数" _
	& ",術後日数" _
	& ",補助区分１" _
	& ",補助区分１(略称)" _
	& ",補助区分２" _
	& ",補助区分２(略称)" _
	& ",手術回数" _
	& ",手術側数" _
	& ",備考１" _
	& ",備考２" _
	& ",対応病名ICDコード" _
	& ",対応病名"

	''' <summary>
	''' 手術医師情報ヘッダ
	''' </summary>
	''' <remarks></remarks>
	Private Const excel_HeaderOpeDoc As String = "" _
	& ",手術医師区分" _
	& ",手術医師区分(略称)" _
	& ",医師"

#End Region

#Region "Excel出力"

	''' <summary>
	''' Excel出力
	''' </summary>
	Public Const sqlSel As String = _
	  "SELECT " _
	& sqlColBHC _
	& sqlColMe _
	& " FROM MTW_SEARCH_WORK AS w" _
	& sqlTblMe _
	& sqlTblBHC _
	& " WHERE w.HOST_NM = " & sqlMRPCOMMON.prmHOST_NM _
	& " ORDER BY w.OUT_ORDER"

#Region "基本＋入退院＋科歴"

'(M) STR V4-13006-000 121 20130212 ID)荒川 管理№228 1900年より前の発症日/診断日でExcel出力すると例外エラーが発生する
	'Private Const sqlColBHC As String = "" _
	'& " w.PATIENT_NO" _
	'& ",w.HSP_HISTORY_NO" _
	'& ",w.CH_NO" _
	'& ",b.PATIENT_NM" _
	'& ",b.PATIENT_KNM" _
	'& ",XTM_GENDER.GENDER_NM" _
	'& "," & sqlMRPCOMMON.CST_COL_EXCEL_BIRTH _
	'& ",MTM_BLOODTYPE.BLOODTYPE_NM" _
	'& ",MTM_RH.RH_NM" _
	'& ",bc.ZIP_CD" _
	'& ",BC_AREA.AREA_NM,BC_AREA.AREA_RNM" _
	'& ",bc.ADDRESS_NM" _
	'& ",MTM_DEATH_LCT.DEATH_LCT_NM,MTM_DEATH_LCT.DEATH_LCT_RNM" _
	'& ",d.DEATH_DT" _
	'& ",d.DEATH_TIME" _
	'& ",d.DEATH_AGE" _
	'& ",d.DEATH_MONTH_AGE" _
	'& ",d.DEATH_DAY_AGE" _
	'& ",MTM_DEATH_DIV.DEATH_DIV_NM,MTM_DEATH_DIV.DEATH_DIV_RNM" _
	'& ",MTM_AFTER_OPE_DEATH_DIV.AFTER_OPE_DEATH_DIV_NM,MTM_AFTER_OPE_DEATH_DIV.AFTER_OPE_DEATH_DIV_RNM" _
	'& "," & sqlMRPCOMMON.sqlCHK_NM_S & "d.AUTOPSY_CHK" & sqlMRPCOMMON.sqlCHK_NM_E & "AUTOPSY_CHK" _
	'& ",d.AUTOPSY_NO" _
	'& ",h.BYOREKI_NO" _
	'& ",H_DEPT.DEPT_NM,H_DEPT.DEPT_RNM" _
	'& ",H_WARD.WARD_NM,H_WARD.WARD_RNM" _
	'& ",H_STAFF.STAFF_NM" _
	'& ",h.HSP_DT" _
	'& ",h.HSP_AGE" _
	'& ",h.HSP_MONTH_AGE" _
	'& ",h.HSP_DAY_AGE" _
	'& ",H_CNL.HSP_CNL_NM,H_CNL.HSP_CNL_RNM" _
	'& ",h.OUT_HSP_DT" _
	'& ",h.OUT_HSP_AGE" _
	'& ",h.OUT_HSP_MONTH_AGE" _
	'& ",h.OUT_HSP_DAY_AGE" _
	'& ",H_O_CNL.OUT_HSP_CNL_NM,H_O_CNL.OUT_HSP_CNL_RNM" _
	'& ",H_OUTCOME.OUT_HSP_OUTCOME_NM,H_OUTCOME.OUT_HSP_OUTCOME_RNM" _
	'& ",h.HSP_DAYS" _
	'& "," & sqlMRPCOMMON.sqlFLG_NM_S & "c.HSP_FLG" & sqlMRPCOMMON.sqlFLG_NM_E & "HSP_FLG" _
	'& "," & sqlMRPCOMMON.sqlFLG_NM_S & "c.OUT_HSP_FLG" & sqlMRPCOMMON.sqlFLG_NM_E & "OUT_HSP_FLG" _
	'& "," & sqlMRPCOMMON.sqlFLG_NM_S & "c.MAIN_DPM_FLG" & sqlMRPCOMMON.sqlFLG_NM_E & "MAIN_DPM_FLG" _
	'& ",c.BYOREKI_NO" _
	'& ",C_DEPT.DEPT_NM,C_DEPT.DEPT_RNM" _
	'& ",C_WARD.WARD_NM,C_WARD.WARD_RNM" _
	'& ",C_STAFF.STAFF_NM" _
	'& ",c.START_DT" _
	'& ",c.START_AGE" _
	'& ",c.START_MONTH_AGE" _
	'& ",c.START_DAY_AGE" _
	'& ",C_CNL.HSP_CNL_NM,C_CNL.HSP_CNL_RNM" _
	'& ",c.END_DT" _
	'& ",c.END_AGE" _
	'& ",c.END_MONTH_AGE" _
	'& ",c.END_DAY_AGE" _
	'& ",C_O_CNL.OUT_HSP_CNL_NM,C_O_CNL.OUT_HSP_CNL_RNM" _
	'& ",C_OUTCOME.OUT_HSP_OUTCOME_NM,C_OUTCOME.OUT_HSP_OUTCOME_RNM" _
	'& ",c.HSP_DAYS"
	''' <summary>
	''' 基本＋入退院＋科歴
	''' </summary>
	Private Const sqlColBHC As String = "" _
	& " w.PATIENT_NO" _
	& ",w.HSP_HISTORY_NO" _
	& ",w.CH_NO" _
	& ",b.PATIENT_NM" _
	& ",b.PATIENT_KNM" _
	& ",XTM_GENDER.GENDER_NM" _
	& "," & sqlMRPCOMMON.CST_CNV_EXCEL_ST & "b.BIRTH_DT" & sqlMRPCOMMON.CST_CNV_EXCEL_ED & " AS BIRTH_DT" _
	& ",MTM_BLOODTYPE.BLOODTYPE_NM" _
	& ",MTM_RH.RH_NM" _
	& ",bc.ZIP_CD" _
	& ",BC_AREA.AREA_NM,BC_AREA.AREA_RNM" _
	& ",bc.ADDRESS_NM" _
	& ",MTM_DEATH_LCT.DEATH_LCT_NM,MTM_DEATH_LCT.DEATH_LCT_RNM" _
	& "," & sqlMRPCOMMON.CST_CNV_EXCEL_ST & "d.DEATH_DT" & sqlMRPCOMMON.CST_CNV_EXCEL_ED & " AS DEATH_DT" _
	& ",d.DEATH_TIME" _
	& ",d.DEATH_AGE" _
	& ",d.DEATH_MONTH_AGE" _
	& ",d.DEATH_DAY_AGE" _
	& ",MTM_DEATH_DIV.DEATH_DIV_NM,MTM_DEATH_DIV.DEATH_DIV_RNM" _
	& ",MTM_AFTER_OPE_DEATH_DIV.AFTER_OPE_DEATH_DIV_NM,MTM_AFTER_OPE_DEATH_DIV.AFTER_OPE_DEATH_DIV_RNM" _
	& "," & sqlMRPCOMMON.sqlCHK_NM_S & "d.AUTOPSY_CHK" & sqlMRPCOMMON.sqlCHK_NM_E & "AUTOPSY_CHK" _
	& ",d.AUTOPSY_NO" _
	& ",h.BYOREKI_NO" _
	& ",H_DEPT.DEPT_NM,H_DEPT.DEPT_RNM" _
	& ",H_WARD.WARD_NM,H_WARD.WARD_RNM" _
	& ",H_STAFF.STAFF_NM" _
	& "," & sqlMRPCOMMON.CST_CNV_EXCEL_ST & "h.HSP_DT" & sqlMRPCOMMON.CST_CNV_EXCEL_ED & " AS HSP_DT" _
	& ",h.HSP_AGE" _
	& ",h.HSP_MONTH_AGE" _
	& ",h.HSP_DAY_AGE" _
	& ",H_CNL.HSP_CNL_NM,H_CNL.HSP_CNL_RNM" _
	& "," & sqlMRPCOMMON.CST_CNV_EXCEL_ST & "h.OUT_HSP_DT" & sqlMRPCOMMON.CST_CNV_EXCEL_ED & " AS OUT_HSP_DT" _
	& ",h.OUT_HSP_AGE" _
	& ",h.OUT_HSP_MONTH_AGE" _
	& ",h.OUT_HSP_DAY_AGE" _
	& ",H_O_CNL.OUT_HSP_CNL_NM,H_O_CNL.OUT_HSP_CNL_RNM" _
	& ",H_OUTCOME.OUT_HSP_OUTCOME_NM,H_OUTCOME.OUT_HSP_OUTCOME_RNM" _
	& ",h.HSP_DAYS" _
	& "," & sqlMRPCOMMON.sqlFLG_NM_S & "c.HSP_FLG" & sqlMRPCOMMON.sqlFLG_NM_E & "HSP_FLG" _
	& "," & sqlMRPCOMMON.sqlFLG_NM_S & "c.OUT_HSP_FLG" & sqlMRPCOMMON.sqlFLG_NM_E & "OUT_HSP_FLG" _
	& "," & sqlMRPCOMMON.sqlFLG_NM_S & "c.MAIN_DPM_FLG" & sqlMRPCOMMON.sqlFLG_NM_E & "MAIN_DPM_FLG" _
	& ",c.BYOREKI_NO" _
	& ",C_DEPT.DEPT_NM,C_DEPT.DEPT_RNM" _
	& ",C_WARD.WARD_NM,C_WARD.WARD_RNM" _
	& ",C_STAFF.STAFF_NM" _
	& "," & sqlMRPCOMMON.CST_CNV_EXCEL_ST & "c.START_DT" & sqlMRPCOMMON.CST_CNV_EXCEL_ED & " AS START_DT" _
	& ",c.START_AGE" _
	& ",c.START_MONTH_AGE" _
	& ",c.START_DAY_AGE" _
	& ",C_CNL.HSP_CNL_NM,C_CNL.HSP_CNL_RNM" _
	& "," & sqlMRPCOMMON.CST_CNV_EXCEL_ST & "c.END_DT" & sqlMRPCOMMON.CST_CNV_EXCEL_ED & " AS END_DT" _
	& ",c.END_AGE" _
	& ",c.END_MONTH_AGE" _
	& ",c.END_DAY_AGE" _
	& ",C_O_CNL.OUT_HSP_CNL_NM,C_O_CNL.OUT_HSP_CNL_RNM" _
	& ",C_OUTCOME.OUT_HSP_OUTCOME_NM,C_OUTCOME.OUT_HSP_OUTCOME_RNM" _
	& ",c.HSP_DAYS"
'(M) END V4-13006-000 121

   ''' <summary>
	''' 基本＋入退院＋科歴
	''' </summary>
	Private Const sqlTblBHC As String = "" _
	& "  LEFT JOIN XTI_BASICINFO        AS b         ON w.PATIENT_NO          = b.PATIENT_NO" _
	& "  LEFT JOIN MTI_HSP              AS h         ON w.PATIENT_NO          = h.PATIENT_NO " _
	& "                                             AND w.HSP_HISTORY_NO      = h.HSP_HISTORY_NO" _
	& "  LEFT JOIN MTI_CH               AS c         ON w.PATIENT_NO          = c.PATIENT_NO " _
	& "                                             AND w.HSP_HISTORY_NO      = c.HSP_HISTORY_NO" _
	& "                                             AND w.CH_NO               = c.CH_NO" _
	& "  LEFT JOIN MTI_DEATH            AS d         ON w.PATIENT_NO          = d.PATIENT_NO" _
	& "  LEFT JOIN MTI_CH               AS bc        ON w.PATIENT_NO          = bc.PATIENT_NO " _
	& "                                             AND w.NEW_HSP_NO          = bc.HSP_HISTORY_NO" _
	& "                                             AND w.NEW_CH_NO           = bc.CH_NO" _
	& "  LEFT JOIN XTM_GENDER                        ON b.GENDER_CD           = XTM_GENDER.GENDER_CD" _
	& "  LEFT JOIN MTM_BLOODTYPE                     ON b.BLOODTYPE_CD        = MTM_BLOODTYPE.BLOODTYPE_CD" _
	& "  LEFT JOIN MTM_RH                            ON b.RH_CD               = MTM_RH.RH_CD" _
	& "  LEFT JOIN MTM_AREA             AS BC_AREA   ON bc.AREA_CD            = BC_AREA.AREA_CD" _
	& "  LEFT JOIN MTM_DEATH_LCT                     ON d.DEATH_LCT_CD        = MTM_DEATH_LCT.DEATH_LCT_CD" _
	& "  LEFT JOIN MTM_DEATH_DIV                     ON d.DEATH_DIV           = MTM_DEATH_DIV.DEATH_DIV_CD" _
	& "  LEFT JOIN MTM_AFTER_OPE_DEATH_DIV           ON d.AFTER_OPE_DEATH_DIV = MTM_AFTER_OPE_DEATH_DIV.AFTER_OPE_DEATH_DIV_CD" _
	& "  LEFT JOIN MTM_DEPT             AS H_DEPT    ON h.DEPT_CD             = H_DEPT.DEPT_CD" _
	& "  LEFT JOIN MTM_WARD             AS H_WARD    ON h.WARD_CD			  = H_WARD.WARD_CD" _
	& "  LEFT JOIN XTM_STAFF            AS H_STAFF   ON h.DOCTOR_CD			  = H_STAFF.STAFF_CD" _
	& "  LEFT JOIN MTM_HSP_CNL          AS H_CNL     ON h.HSP_CNL_CD          = H_CNL.HSP_CNL_CD" _
	& "  LEFT JOIN MTM_OUT_HSP_CNL      AS H_O_CNL   ON h.OUT_HSP_CNL_CD      = H_O_CNL.OUT_HSP_CNL_CD" _
	& "  LEFT JOIN MTM_OUT_HSP_OUTCOME  AS H_OUTCOME ON h.OUT_HSP_OUTCOME_CD  = H_OUTCOME.OUT_HSP_OUTCOME_CD" _
	& "  LEFT JOIN MTM_DEPT             AS C_DEPT    ON c.DEPT_CD             = C_DEPT.DEPT_CD" _
	& "  LEFT JOIN MTM_WARD             AS C_WARD    ON c.WARD_CD			  = C_WARD.WARD_CD" _
	& "  LEFT JOIN XTM_STAFF            AS C_STAFF   ON c.DOCTOR_CD			  = C_STAFF.STAFF_CD" _
	& "  LEFT JOIN MTM_HSP_CNL          AS C_CNL     ON c.START_CNL_CD        = C_CNL.HSP_CNL_CD" _
	& "  LEFT JOIN MTM_OUT_HSP_CNL      AS C_O_CNL   ON c.END_CNL_CD          = C_O_CNL.OUT_HSP_CNL_CD" _
	& "  LEFT JOIN MTM_OUT_HSP_OUTCOME  AS C_OUTCOME ON c.END_OUTCOME_CD      = C_OUTCOME.OUT_HSP_OUTCOME_CD"

#End Region

'(M) STR V4-13006-000 111 20130212 ID)荒川 管理№228 1900年より前の発症日/診断日でExcel出力すると例外エラーが発生する
	'Private Const sqlColMe As String = "" _
	'& ",MTM_OPE_DIV.OPE_DIV_NM" _
	'& ",MTM_OPE_DIV.OPE_DIV_RNM" _
	'& ",i.ICD9CM_CD" _
	'& ",i.SCORE_CD" _
	'& ",i.OPE_NM" _
	'& ",i.OPE_DT" _
	'& ",i.OPE_TIME" _
	'& ",i.END_DT" _
	'& ",i.END_TIME" _
	'& ",i.OPE_REQUIRED_TIME" _
	'& ",i.OPE_AGE" _
	'& ",i.OPE_MONTH_AGE" _
	'& ",i.OPE_DAY_AGE" _
	'& ",MTM_OPE_PLAN_EMERGENCY.PLAN_EMERGENCY_NM" _
	'& "," & sqlMRPCOMMON.sqlFLG_NM_S & "i.TIME_OUT_FLG" & sqlMRPCOMMON.sqlFLG_NM_E & "TIME_OUT_FLG_NM" _
	'& ",MTM_ASA_PS_GRP.ASA_PS_GRP_NM" _
	'& ",MTM_ASA_PS_GRP.ASA_PS_GRP_RNM" _
	'& ",MTM_ANESTHESIA.ANESTHESIA_NM" _
	'& ",MTM_ANESTHESIA.ANESTHESIA_RNM" _
	'& ",MTM_ANESTHESIA2.ANESTHESIA_NM" _
	'& ",MTM_ANESTHESIA2.ANESTHESIA_RNM" _
	'& ",i.ANESTHESIA_TIME" _
	'& ",i.BLEEDING_VOLUME" _
	'& ",i.BLOOD_TRAN_VOLUME" _
	'& "," & sqlMRPCOMMON.sqlCHK_NM_S & "i.AFTER_OPE_CMPC_CHK" & sqlMRPCOMMON.sqlCHK_NM_E & "AFTER_OPE_CMPC_CHK_NM" _
	'& ",i.PRE_OPE_DAYS" _
	'& ",i.AFTER_OPE_DAYS" _
	'& ",MTM_OPE_ASST_DIV.OPE_ASST_DIV_NM" _
	'& ",MTM_OPE_ASST_DIV.OPE_ASST_DIV_RNM" _
	'& ",MTM_OPE_ASST_DIV2.OPE_ASST_DIV_NM" _
	'& ",MTM_OPE_ASST_DIV2.OPE_ASST_DIV_RNM" _
	'& ",MTM_OPE_CNT.OPE_COUNT" _
	'& ",MTM_OPE_PART_CNT.OPE_PART" _
	'& ",i.REMARKS1" _
	'& ",i.REMARKS2" _
	'& ",i.SPT_DISEASE_ICD10_CD" _
	'& ",i.SPT_DISEASE_NM" _
	'& ",o1.OPE_DOCTOR_DIV_NM" _
	'& ",o1.OPE_DOCTOR_DIV_RNM" _
	'& ",o1.STAFF_NM" _
	'& ",o2.OPE_DOCTOR_DIV_NM" _
	'& ",o2.OPE_DOCTOR_DIV_RNM" _
	'& ",o2.STAFF_NM" _
	'& ",o3.OPE_DOCTOR_DIV_NM" _
	'& ",o3.OPE_DOCTOR_DIV_RNM" _
	'& ",o3.STAFF_NM" _
	'& ",o4.OPE_DOCTOR_DIV_NM" _
	'& ",o4.OPE_DOCTOR_DIV_RNM" _
	'& ",o4.STAFF_NM" _
	'& ",o5.OPE_DOCTOR_DIV_NM" _
	'& ",o5.OPE_DOCTOR_DIV_RNM" _
	'& ",o5.STAFF_NM"
	''' <summary>
	''' 手術
	''' </summary>
	Private Const sqlColMe As String = "" _
	& ",MTM_OPE_DIV.OPE_DIV_NM" _
	& ",MTM_OPE_DIV.OPE_DIV_RNM" _
	& ",i.ICD9CM_CD" _
	& ",i.SCORE_CD" _
	& ",i.OPE_NM" _
	& "," & sqlMRPCOMMON.CST_CNV_EXCEL_ST & "i.OPE_DT" & sqlMRPCOMMON.CST_CNV_EXCEL_ED & " AS OPE_DT" _
	& ",i.OPE_TIME" _
	& "," & sqlMRPCOMMON.CST_CNV_EXCEL_ST & "i.END_DT" & sqlMRPCOMMON.CST_CNV_EXCEL_ED & " AS END_DT" _
	& ",i.END_TIME" _
	& ",i.OPE_REQUIRED_TIME" _
	& ",i.OPE_AGE" _
	& ",i.OPE_MONTH_AGE" _
	& ",i.OPE_DAY_AGE" _
	& ",MTM_OPE_PLAN_EMERGENCY.PLAN_EMERGENCY_NM" _
	& "," & sqlMRPCOMMON.sqlFLG_NM_S & "i.TIME_OUT_FLG" & sqlMRPCOMMON.sqlFLG_NM_E & "TIME_OUT_FLG_NM" _
	& ",MTM_ASA_PS_GRP.ASA_PS_GRP_NM" _
	& ",MTM_ASA_PS_GRP.ASA_PS_GRP_RNM" _
	& ",MTM_ANESTHESIA.ANESTHESIA_NM" _
	& ",MTM_ANESTHESIA.ANESTHESIA_RNM" _
	& ",MTM_ANESTHESIA2.ANESTHESIA_NM" _
	& ",MTM_ANESTHESIA2.ANESTHESIA_RNM" _
	& ",i.ANESTHESIA_TIME" _
	& ",i.BLEEDING_VOLUME" _
	& ",i.BLOOD_TRAN_VOLUME" _
	& "," & sqlMRPCOMMON.sqlCHK_NM_S & "i.AFTER_OPE_CMPC_CHK" & sqlMRPCOMMON.sqlCHK_NM_E & "AFTER_OPE_CMPC_CHK_NM" _
	& ",i.PRE_OPE_DAYS" _
	& ",i.AFTER_OPE_DAYS" _
	& ",MTM_OPE_ASST_DIV.OPE_ASST_DIV_NM" _
	& ",MTM_OPE_ASST_DIV.OPE_ASST_DIV_RNM" _
	& ",MTM_OPE_ASST_DIV2.OPE_ASST_DIV_NM" _
	& ",MTM_OPE_ASST_DIV2.OPE_ASST_DIV_RNM" _
	& ",MTM_OPE_CNT.OPE_COUNT" _
	& ",MTM_OPE_PART_CNT.OPE_PART" _
	& ",i.REMARKS1" _
	& ",i.REMARKS2" _
	& ",i.SPT_DISEASE_ICD10_CD" _
	& ",i.SPT_DISEASE_NM" _
	& ",o1.OPE_DOCTOR_DIV_NM" _
	& ",o1.OPE_DOCTOR_DIV_RNM" _
	& ",o1.STAFF_NM" _
	& ",o2.OPE_DOCTOR_DIV_NM" _
	& ",o2.OPE_DOCTOR_DIV_RNM" _
	& ",o2.STAFF_NM" _
	& ",o3.OPE_DOCTOR_DIV_NM" _
	& ",o3.OPE_DOCTOR_DIV_RNM" _
	& ",o3.STAFF_NM" _
	& ",o4.OPE_DOCTOR_DIV_NM" _
	& ",o4.OPE_DOCTOR_DIV_RNM" _
	& ",o4.STAFF_NM" _
	& ",o5.OPE_DOCTOR_DIV_NM" _
	& ",o5.OPE_DOCTOR_DIV_RNM" _
	& ",o5.STAFF_NM"
'(M) END V4-13006-000 111

	''' <summary>
	''' 手術
	''' </summary>
	Private Const sqlTblMe As String = "" _
	& " INNER JOIN MTI_OPE   AS i                     ON w.PATIENT_NO         =  i.PATIENT_NO" _
	& "                                              AND w.HSP_HISTORY_NO     =  i.HSP_HISTORY_NO" _
	& "                                              AND w.CH_NO              =  i.CH_NO" _
	& "                                              AND w.SERIAL_NO          =  i.OPE_SERIAL_NO" _
	& "  LEFT JOIN (" & sqlOpeDoc & "1) AS o1         ON w.PATIENT_NO         = o1.PATIENT_NO" _
	& "                                              AND w.HSP_HISTORY_NO     = o1.HSP_HISTORY_NO" _
	& "                                              AND w.CH_NO              = o1.CH_NO" _
	& "                                              AND w.SERIAL_NO          = o1.OPE_SERIAL_NO" _
	& "  LEFT JOIN (" & sqlOpeDoc & "2) AS o2         ON w.PATIENT_NO         = o2.PATIENT_NO" _
	& "                                              AND w.HSP_HISTORY_NO     = o2.HSP_HISTORY_NO" _
	& "                                              AND w.CH_NO              = o2.CH_NO" _
	& "                                              AND w.SERIAL_NO          = o2.OPE_SERIAL_NO" _
	& "  LEFT JOIN (" & sqlOpeDoc & "3) AS o3         ON w.PATIENT_NO         = o3.PATIENT_NO" _
	& "                                              AND w.HSP_HISTORY_NO     = o3.HSP_HISTORY_NO" _
	& "                                              AND w.CH_NO              = o3.CH_NO" _
	& "                                              AND w.SERIAL_NO          = o3.OPE_SERIAL_NO" _
	& "  LEFT JOIN (" & sqlOpeDoc & "4) AS o4         ON w.PATIENT_NO         = o4.PATIENT_NO" _
	& "                                              AND w.HSP_HISTORY_NO     = o4.HSP_HISTORY_NO" _
	& "                                              AND w.CH_NO              = o4.CH_NO" _
	& "                                              AND w.SERIAL_NO          = o4.OPE_SERIAL_NO" _
	& "  LEFT JOIN (" & sqlOpeDoc & "5) AS o5         ON w.PATIENT_NO         = o5.PATIENT_NO" _
	& "                                              AND w.HSP_HISTORY_NO     = o5.HSP_HISTORY_NO" _
	& "                                              AND w.CH_NO              = o5.CH_NO" _
	& "                                              AND w.SERIAL_NO          = o5.OPE_SERIAL_NO" _
	& "  LEFT JOIN MTM_OPE_DIV                        ON i.OPE_DIV            = MTM_OPE_DIV.OPE_DIV_CD" _
	& "  LEFT JOIN MTM_OPE_PLAN_EMERGENCY             ON i.PLAN_EMERGENCY_CD  = MTM_OPE_PLAN_EMERGENCY.PLAN_EMERGENCY_CD" _
	& "  LEFT JOIN MTM_ASA_PS_GRP					  ON i.ASA_PS_GRP_CD	  = MTM_ASA_PS_GRP.ASA_PS_GRP_CD" _
	& "  LEFT JOIN MTM_ANESTHESIA  	                  ON i.ANESTHESIA_DIV1    = MTM_ANESTHESIA.ANESTHESIA_CD" _
	& "  LEFT JOIN MTM_ANESTHESIA AS MTM_ANESTHESIA2  ON i.ANESTHESIA_DIV2    = MTM_ANESTHESIA2.ANESTHESIA_CD" _
	& "  LEFT JOIN MTM_OPE_ASST_DIV  	              ON i.ASST_DIV1          = MTM_OPE_ASST_DIV.OPE_ASST_DIV_CD" _
	& "  LEFT JOIN MTM_OPE_ASST_DIV2  	              ON i.ASST_DIV2          = MTM_OPE_ASST_DIV2.OPE_ASST_DIV_CD" _
	& "  LEFT JOIN MTM_OPE_CNT                        ON i.OPE_COUNT_CD       = MTM_OPE_CNT.OPE_COUNT_CD" _
	& "  LEFT JOIN MTM_OPE_PART_CNT                   ON i.OPE_PART_CD        = MTM_OPE_PART_CNT.OPE_PART_CD"

	''' <summary>
	''' 手術医師情報取得用
	''' </summary>
	Private Const sqlOpeDoc As String = _
	  " SELECT " _
	& "   i2.PATIENT_NO" _
	& "  ,i2.HSP_HISTORY_NO" _
	& "  ,i2.CH_NO" _
	& "  ,i2.OPE_SERIAL_NO" _
	& "  ,i2.OPE_DOCTOR_DIV_NM" _
	& "  ,i2.OPE_DOCTOR_DIV_RNM" _
	& "  ,i2.STAFF_NM" _
	& " FROM (SELECT " _
	& "   i.PATIENT_NO" _
	& "  ,i.HSP_HISTORY_NO" _
	& "  ,i.CH_NO" _
	& "  ,i.OPE_SERIAL_NO" _
	& "  ,MTM_OPE_DOCTOR_DIV.OPE_DOCTOR_DIV_NM" _
	& "  ,MTM_OPE_DOCTOR_DIV.OPE_DOCTOR_DIV_RNM" _
	& "  ,XTM_STAFF.STAFF_NM" _
	& "  ,ROW_NUMBER() OVER (PARTITION BY i.PATIENT_NO,i.HSP_HISTORY_NO,i.CH_NO,i.OPE_SERIAL_NO ORDER BY i.OPE_DOCTOR_SERIAL_NO) AS CNT" _
	& "   FROM  MTW_SEARCH_WORK AS w" _
	& "  INNER JOIN MTI_OPE_DOCTOR AS i" _
	& "     ON w.PATIENT_NO        =  i.PATIENT_NO" _
	& "    AND w.HSP_HISTORY_NO    =  i.HSP_HISTORY_NO" _
	& "    AND w.CH_NO             =  i.CH_NO" _
	& "    AND w.SERIAL_NO         =  i.OPE_SERIAL_NO" _
	& "   LEFT JOIN MTM_OPE_DOCTOR_DIV" _
	& "     ON i.OPE_DOCTOR_DIV    =  MTM_OPE_DOCTOR_DIV.OPE_DOCTOR_DIV_CD" _
	& "   LEFT JOIN XTM_STAFF" _
	& "     ON i.DOCTOR_CD         =  XTM_STAFF.STAFF_CD) AS i2" _
	& " WHERE i2.CNT = "

#End Region

End Class
