﻿''' ---------------------------------------------
''' <summary>
''' 診療情報管理 共通帳票 分娩情報一覧(EXCEL) (SQLクラス）
''' </summary>
''' <remarks>
''' Copyright 2010 FUJITSU SHIKOKU SYSTEMS LIMITED All rights reserved.<BR/>
''' FUJITSU SHIKOKU SYSTEMS LIMITED CONFIDENTIAL<BR/>
''' </remarks>
''' ---------------------------------------------
Public NotInheritable Class sqlMRP120E010

#Region "エクセルヘッダ項目"
	''' <summary>
	''' エクセル出力ヘッダ
	''' </summary>
	''' <remarks></remarks>
	Public Const excel_Header As String = "" _
	& excel_HeaderBHC _
	& excel_HeaderMe _
	& excel_HeaderCbChildDoc _
	& excel_HeaderCbChildDoc

	''' <summary>
	''' 項目マスタ用書式
	''' </summary>
	''' <remarks></remarks>
	Public Const excel_FreeFormat As String = "" _
	& ",{0},{1}"
	Public Const excel_FreeFormatEmpty As String = "" _
	& ",,"

	''' <summary>
	''' 項目マスタ用書式
	''' </summary>
	''' <remarks></remarks>
	Public Const excel_FreeFormatChk As String = "" _
	& ",{0}"
	Public Const excel_FreeFormatEmptyChk As String = "" _
	& ","

	''' <summary>
	''' 患者＋入退院＋科歴ヘッダ
	''' </summary>
	''' <remarks></remarks>
	Private Const excel_HeaderBHC As String = "" _
	& "患者番号" _
	& ",入退院歴番号" _
	& ",科歴番号" _
	& ",氏名" _
	& ",氏名カナ" _
	& ",性別" _
	& ",生年月日" _
	& ",血液型" _
	& ",Ｒｈ" _
	& ",最新住所郵便番号" _
	& ",最新住所診療圏" _
	& ",最新住所診療圏(略称)" _
	& ",最新住所" _
	& ",死亡場所" _
	& ",死亡場所(略称)" _
	& ",死亡日" _
	& ",死亡時刻" _
	& ",死亡時年齢" _
	& ",死亡時月齢" _
	& ",死亡時日齢" _
	& ",死亡区分" _
	& ",死亡区分(略称)" _
	& ",術後死亡区分" _
	& ",術後死亡区分(略称)" _
	& ",剖検有無" _
	& ",剖検番号" _
	& ",{{0}}" _
	& ",診療科" _
	& ",診療科(略称)" _
	& ",病棟" _
	& ",病棟(略称)" _
	& ",医師" _
	& ",入院日" _
	& ",入院時年齢" _
	& ",入院時月齢" _
	& ",入院時日齢" _
	& ",入院経路" _
	& ",入院経路(略称)" _
	& ",退院日" _
	& ",退院時年齢" _
	& ",退院時月齢" _
	& ",退院時日齢" _
	& ",退院経路" _
	& ",退院経路(略称)" _
	& ",退院転帰" _
	& ",退院転帰(略称)" _
	& ",在院日数" _
	& ",入院フラグ" _
	& ",退院フラグ" _
	& ",主科フラグ" _
	& ",{{0}}" _
	& ",診療科" _
	& ",診療科(略称)" _
	& ",病棟" _
	& ",病棟(略称)" _
	& ",医師" _
	& ",開始日" _
	& ",開始時年齢" _
	& ",開始時月齢" _
	& ",開始時日齢" _
	& ",開始経路" _
	& ",開始経路(略称)" _
	& ",終了日" _
	& ",終了時年齢" _
	& ",終了時月齢" _
	& ",終了時日齢" _
	& ",終了経路" _
	& ",終了経路(略称)" _
	& ",終了転帰" _
	& ",終了転帰(略称)" _
	& ",在院日数"

	''' <summary>
	''' 分娩情報ヘッダ
	''' </summary>
	''' <remarks></remarks>
	Private Const excel_HeaderMe As String = "" _
	 & ",分娩日" _
	 & ",分娩時年齢" _
	 & ",分娩時月齢" _
	 & ",在胎週数" _
	 & ",在胎日数" _
	 & ",児数" _
	 & "{0}" _
	 & ",出血量" _
	 & ",帝王切開区分" _
	 & ",早産フラグ" _
	 & ",流産フラグ" _
	 & "{1}" _
	 & ",備考"

	''' <summary>
	''' 分娩子情報ヘッダ
	''' </summary>
	''' <remarks></remarks>
	Private Const excel_HeaderCbChildDoc As String = "" _
	 & ",子性別" _
	 & ",新生児番号" _
	 & ",患者番号" _
	 & ",新生児身長" _
	 & ",新生児体重" _
	 & ",アプガー指数１分名" _
	 & ",アプガー指数５分名" _
	 & ",未熟" _
	 & ",奇形" _
	 & ",死産"

#End Region

#Region "Excel出力"

	''' <summary>
	''' Excel出力
	''' </summary>
	Public Const sqlSel As String = _
	  "SELECT " _
	& sqlColBHC _
	& sqlColMe _
	& " FROM MTW_SEARCH_WORK AS w" _
	& sqlTblMe _
	& sqlTblBHC _
	& " WHERE w.HOST_NM = " & sqlMRPCOMMON.prmHOST_NM _
	& " ORDER BY w.OUT_ORDER"

#Region "基本＋入退院＋科歴"

'(M) STR V4-13006-000 121 20130212 ID)荒川 管理№228 1900年より前の発症日/診断日でExcel出力すると例外エラーが発生する
	'Private Const sqlColBHC As String = "" _
	'& " w.PATIENT_NO" _
	'& ",w.HSP_HISTORY_NO" _
	'& ",w.CH_NO" _
	'& ",b.PATIENT_NM" _
	'& ",b.PATIENT_KNM" _
	'& ",XTM_GENDER.GENDER_NM" _
	'& "," & sqlMRPCOMMON.CST_COL_EXCEL_BIRTH _
	'& ",MTM_BLOODTYPE.BLOODTYPE_NM" _
	'& ",MTM_RH.RH_NM" _
	'& ",bc.ZIP_CD" _
	'& ",BC_AREA.AREA_NM,BC_AREA.AREA_RNM" _
	'& ",bc.ADDRESS_NM" _
	'& ",MTM_DEATH_LCT.DEATH_LCT_NM,MTM_DEATH_LCT.DEATH_LCT_RNM" _
	'& ",d.DEATH_DT" _
	'& ",d.DEATH_TIME" _
	'& ",d.DEATH_AGE" _
	'& ",d.DEATH_MONTH_AGE" _
	'& ",d.DEATH_DAY_AGE" _
	'& ",MTM_DEATH_DIV.DEATH_DIV_NM,MTM_DEATH_DIV.DEATH_DIV_RNM" _
	'& ",MTM_AFTER_OPE_DEATH_DIV.AFTER_OPE_DEATH_DIV_NM,MTM_AFTER_OPE_DEATH_DIV.AFTER_OPE_DEATH_DIV_RNM" _
	'& "," & sqlMRPCOMMON.sqlCHK_NM_S & "d.AUTOPSY_CHK" & sqlMRPCOMMON.sqlCHK_NM_E & "AUTOPSY_CHK" _
	'& ",d.AUTOPSY_NO" _
	'& ",h.BYOREKI_NO" _
	'& ",H_DEPT.DEPT_NM,H_DEPT.DEPT_RNM" _
	'& ",H_WARD.WARD_NM,H_WARD.WARD_RNM" _
	'& ",H_STAFF.STAFF_NM" _
	'& ",h.HSP_DT" _
	'& ",h.HSP_AGE" _
	'& ",h.HSP_MONTH_AGE" _
	'& ",h.HSP_DAY_AGE" _
	'& ",H_CNL.HSP_CNL_NM,H_CNL.HSP_CNL_RNM" _
	'& ",h.OUT_HSP_DT" _
	'& ",h.OUT_HSP_AGE" _
	'& ",h.OUT_HSP_MONTH_AGE" _
	'& ",h.OUT_HSP_DAY_AGE" _
	'& ",H_O_CNL.OUT_HSP_CNL_NM,H_O_CNL.OUT_HSP_CNL_RNM" _
	'& ",H_OUTCOME.OUT_HSP_OUTCOME_NM,H_OUTCOME.OUT_HSP_OUTCOME_RNM" _
	'& ",h.HSP_DAYS" _
	'& "," & sqlMRPCOMMON.sqlFLG_NM_S & "c.HSP_FLG" & sqlMRPCOMMON.sqlFLG_NM_E & "HSP_FLG" _
	'& "," & sqlMRPCOMMON.sqlFLG_NM_S & "c.OUT_HSP_FLG" & sqlMRPCOMMON.sqlFLG_NM_E & "OUT_HSP_FLG" _
	'& "," & sqlMRPCOMMON.sqlFLG_NM_S & "c.MAIN_DPM_FLG" & sqlMRPCOMMON.sqlFLG_NM_E & "MAIN_DPM_FLG" _
	'& ",c.BYOREKI_NO" _
	'& ",C_DEPT.DEPT_NM,C_DEPT.DEPT_RNM" _
	'& ",C_WARD.WARD_NM,C_WARD.WARD_RNM" _
	'& ",C_STAFF.STAFF_NM" _
	'& ",c.START_DT" _
	'& ",c.START_AGE" _
	'& ",c.START_MONTH_AGE" _
	'& ",c.START_DAY_AGE" _
	'& ",C_CNL.HSP_CNL_NM,C_CNL.HSP_CNL_RNM" _
	'& ",c.END_DT" _
	'& ",c.END_AGE" _
	'& ",c.END_MONTH_AGE" _
	'& ",c.END_DAY_AGE" _
	'& ",C_O_CNL.OUT_HSP_CNL_NM,C_O_CNL.OUT_HSP_CNL_RNM" _
	'& ",C_OUTCOME.OUT_HSP_OUTCOME_NM,C_OUTCOME.OUT_HSP_OUTCOME_RNM" _
	'& ",c.HSP_DAYS"
	''' <summary>
	''' 基本＋入退院＋科歴
	''' </summary>
	Private Const sqlColBHC As String = "" _
	& " w.PATIENT_NO" _
	& ",w.HSP_HISTORY_NO" _
	& ",w.CH_NO" _
	& ",b.PATIENT_NM" _
	& ",b.PATIENT_KNM" _
	& ",XTM_GENDER.GENDER_NM" _
	& "," & sqlMRPCOMMON.CST_CNV_EXCEL_ST & "b.BIRTH_DT" & sqlMRPCOMMON.CST_CNV_EXCEL_ED & " AS BIRTH_DT" _
	& ",MTM_BLOODTYPE.BLOODTYPE_NM" _
	& ",MTM_RH.RH_NM" _
	& ",bc.ZIP_CD" _
	& ",BC_AREA.AREA_NM,BC_AREA.AREA_RNM" _
	& ",bc.ADDRESS_NM" _
	& ",MTM_DEATH_LCT.DEATH_LCT_NM,MTM_DEATH_LCT.DEATH_LCT_RNM" _
	& "," & sqlMRPCOMMON.CST_CNV_EXCEL_ST & "d.DEATH_DT" & sqlMRPCOMMON.CST_CNV_EXCEL_ED & " AS DEATH_DT" _
	& ",d.DEATH_TIME" _
	& ",d.DEATH_AGE" _
	& ",d.DEATH_MONTH_AGE" _
	& ",d.DEATH_DAY_AGE" _
	& ",MTM_DEATH_DIV.DEATH_DIV_NM,MTM_DEATH_DIV.DEATH_DIV_RNM" _
	& ",MTM_AFTER_OPE_DEATH_DIV.AFTER_OPE_DEATH_DIV_NM,MTM_AFTER_OPE_DEATH_DIV.AFTER_OPE_DEATH_DIV_RNM" _
	& "," & sqlMRPCOMMON.sqlCHK_NM_S & "d.AUTOPSY_CHK" & sqlMRPCOMMON.sqlCHK_NM_E & "AUTOPSY_CHK" _
	& ",d.AUTOPSY_NO" _
	& ",h.BYOREKI_NO" _
	& ",H_DEPT.DEPT_NM,H_DEPT.DEPT_RNM" _
	& ",H_WARD.WARD_NM,H_WARD.WARD_RNM" _
	& ",H_STAFF.STAFF_NM" _
	& "," & sqlMRPCOMMON.CST_CNV_EXCEL_ST & "h.HSP_DT" & sqlMRPCOMMON.CST_CNV_EXCEL_ED & " AS HSP_DT" _
	& ",h.HSP_AGE" _
	& ",h.HSP_MONTH_AGE" _
	& ",h.HSP_DAY_AGE" _
	& ",H_CNL.HSP_CNL_NM,H_CNL.HSP_CNL_RNM" _
	& "," & sqlMRPCOMMON.CST_CNV_EXCEL_ST & "h.OUT_HSP_DT" & sqlMRPCOMMON.CST_CNV_EXCEL_ED & " AS OUT_HSP_DT" _
	& ",h.OUT_HSP_AGE" _
	& ",h.OUT_HSP_MONTH_AGE" _
	& ",h.OUT_HSP_DAY_AGE" _
	& ",H_O_CNL.OUT_HSP_CNL_NM,H_O_CNL.OUT_HSP_CNL_RNM" _
	& ",H_OUTCOME.OUT_HSP_OUTCOME_NM,H_OUTCOME.OUT_HSP_OUTCOME_RNM" _
	& ",h.HSP_DAYS" _
	& "," & sqlMRPCOMMON.sqlFLG_NM_S & "c.HSP_FLG" & sqlMRPCOMMON.sqlFLG_NM_E & "HSP_FLG" _
	& "," & sqlMRPCOMMON.sqlFLG_NM_S & "c.OUT_HSP_FLG" & sqlMRPCOMMON.sqlFLG_NM_E & "OUT_HSP_FLG" _
	& "," & sqlMRPCOMMON.sqlFLG_NM_S & "c.MAIN_DPM_FLG" & sqlMRPCOMMON.sqlFLG_NM_E & "MAIN_DPM_FLG" _
	& ",c.BYOREKI_NO" _
	& ",C_DEPT.DEPT_NM,C_DEPT.DEPT_RNM" _
	& ",C_WARD.WARD_NM,C_WARD.WARD_RNM" _
	& ",C_STAFF.STAFF_NM" _
	& "," & sqlMRPCOMMON.CST_CNV_EXCEL_ST & "c.START_DT" & sqlMRPCOMMON.CST_CNV_EXCEL_ED & " AS START_DT" _
	& ",c.START_AGE" _
	& ",c.START_MONTH_AGE" _
	& ",c.START_DAY_AGE" _
	& ",C_CNL.HSP_CNL_NM,C_CNL.HSP_CNL_RNM" _
	& "," & sqlMRPCOMMON.CST_CNV_EXCEL_ST & "c.END_DT" & sqlMRPCOMMON.CST_CNV_EXCEL_ED & " AS END_DT" _
	& ",c.END_AGE" _
	& ",c.END_MONTH_AGE" _
	& ",c.END_DAY_AGE" _
	& ",C_O_CNL.OUT_HSP_CNL_NM,C_O_CNL.OUT_HSP_CNL_RNM" _
	& ",C_OUTCOME.OUT_HSP_OUTCOME_NM,C_OUTCOME.OUT_HSP_OUTCOME_RNM" _
	& ",c.HSP_DAYS"
'(M) END V4-13006-000 121

   ''' <summary>
	''' 基本＋入退院＋科歴
	''' </summary>
	Private Const sqlTblBHC As String = "" _
	& "  LEFT JOIN XTI_BASICINFO        AS b         ON w.PATIENT_NO          = b.PATIENT_NO" _
	& "  LEFT JOIN MTI_HSP              AS h         ON w.PATIENT_NO          = h.PATIENT_NO " _
	& "                                             AND w.HSP_HISTORY_NO      = h.HSP_HISTORY_NO" _
	& "  LEFT JOIN MTI_CH               AS c         ON w.PATIENT_NO          = c.PATIENT_NO " _
	& "                                             AND w.HSP_HISTORY_NO      = c.HSP_HISTORY_NO" _
	& "                                             AND w.CH_NO               = c.CH_NO" _
	& "  LEFT JOIN MTI_DEATH            AS d         ON w.PATIENT_NO          = d.PATIENT_NO" _
	& "  LEFT JOIN MTI_CH               AS bc        ON w.PATIENT_NO          = bc.PATIENT_NO " _
	& "                                             AND w.NEW_HSP_NO          = bc.HSP_HISTORY_NO" _
	& "                                             AND w.NEW_CH_NO           = bc.CH_NO" _
	& "  LEFT JOIN XTM_GENDER                        ON b.GENDER_CD           = XTM_GENDER.GENDER_CD" _
	& "  LEFT JOIN MTM_BLOODTYPE                     ON b.BLOODTYPE_CD        = MTM_BLOODTYPE.BLOODTYPE_CD" _
	& "  LEFT JOIN MTM_RH                            ON b.RH_CD               = MTM_RH.RH_CD" _
	& "  LEFT JOIN MTM_AREA             AS BC_AREA   ON bc.AREA_CD            = BC_AREA.AREA_CD" _
	& "  LEFT JOIN MTM_DEATH_LCT				     ON d.DEATH_LCT_CD        = MTM_DEATH_LCT.DEATH_LCT_CD" _
	& "  LEFT JOIN MTM_DEATH_DIV                     ON d.DEATH_DIV           = MTM_DEATH_DIV.DEATH_DIV_CD" _
	& "  LEFT JOIN MTM_AFTER_OPE_DEATH_DIV           ON d.AFTER_OPE_DEATH_DIV = MTM_AFTER_OPE_DEATH_DIV.AFTER_OPE_DEATH_DIV_CD" _
	& "  LEFT JOIN MTM_DEPT             AS H_DEPT    ON h.DEPT_CD             = H_DEPT.DEPT_CD" _
	& "  LEFT JOIN MTM_WARD             AS H_WARD    ON h.WARD_CD			  = H_WARD.WARD_CD" _
	& "  LEFT JOIN XTM_STAFF            AS H_STAFF   ON h.DOCTOR_CD			  = H_STAFF.STAFF_CD" _
	& "  LEFT JOIN MTM_HSP_CNL          AS H_CNL     ON h.HSP_CNL_CD          = H_CNL.HSP_CNL_CD" _
	& "  LEFT JOIN MTM_OUT_HSP_CNL      AS H_O_CNL   ON h.OUT_HSP_CNL_CD      = H_O_CNL.OUT_HSP_CNL_CD" _
	& "  LEFT JOIN MTM_OUT_HSP_OUTCOME  AS H_OUTCOME ON h.OUT_HSP_OUTCOME_CD  = H_OUTCOME.OUT_HSP_OUTCOME_CD" _
	& "  LEFT JOIN MTM_DEPT             AS C_DEPT    ON c.DEPT_CD             = C_DEPT.DEPT_CD" _
	& "  LEFT JOIN MTM_WARD             AS C_WARD    ON c.WARD_CD			  = C_WARD.WARD_CD" _
	& "  LEFT JOIN XTM_STAFF            AS C_STAFF   ON c.DOCTOR_CD			  = C_STAFF.STAFF_CD" _
	& "  LEFT JOIN MTM_HSP_CNL          AS C_CNL     ON c.START_CNL_CD        = C_CNL.HSP_CNL_CD" _
	& "  LEFT JOIN MTM_OUT_HSP_CNL      AS C_O_CNL   ON c.END_CNL_CD          = C_O_CNL.OUT_HSP_CNL_CD" _
	& "  LEFT JOIN MTM_OUT_HSP_OUTCOME  AS C_OUTCOME ON c.END_OUTCOME_CD      = C_OUTCOME.OUT_HSP_OUTCOME_CD"

#End Region

'(M) STR V4-13006-000 084 20130212 ID)荒川 管理№228 1900年より前の発症日/診断日でExcel出力すると例外エラーが発生する
	'Private Const sqlColMe As String = "" _
	'& ",i.CB_DT" _
	'& ",i.CB_AGE" _
	'& ",i.CB_MONTH_AGE" _
	'& ",i.GESTATIONAL_WEEK_COUNT" _
	'& ",i.GESTATIONAL_DAY_COUNT" _
	'& ",i.CHD_COUNT" _
	'& ",c1.CNT_NM, c1.CNT_RNM" _
	'& ",c2.CNT_NM, c2.CNT_RNM" _
	'& ",c7.CNT_NM, c7.CNT_RNM" _
	'& ",c8.CNT_NM, c8.CNT_RNM" _
	'& ",i.BLEEDING_VOLUME" _
	'& ",MTM_CAESAREAN_OPERATION.CHK_NM" _
	'& "," & sqlMRPCOMMON.sqlFLG_NM_S & "i.PREMATURE_BIRTH" & sqlMRPCOMMON.sqlFLG_NM_E & "PREMATURE_BIRTH_NM" _
	'& "," & sqlMRPCOMMON.sqlFLG_NM_S & "i.MISCARRIAGE" & sqlMRPCOMMON.sqlFLG_NM_E & "MISCARRIAGE_NM" _
	'& "," & sqlMRPCOMMON.sqlFLG_NM_S & "i.CB_CHK1" & sqlMRPCOMMON.sqlFLG_NM_E & "CB_CHK1_NM" _
	'& "," & sqlMRPCOMMON.sqlFLG_NM_S & "i.CB_CHK2" & sqlMRPCOMMON.sqlFLG_NM_E & "CB_CHK2_NM" _
	'& "," & sqlMRPCOMMON.sqlFLG_NM_S & "i.CB_CHK3" & sqlMRPCOMMON.sqlFLG_NM_E & "CB_CHK3_NM" _
	'& ",i.REMARKS" _
	'& ",cb1.GENDER_NM" _
	'& ",cb1.NEWBORN_NO" _
	'& ",cb1.CHD_PATIENT_NO" _
	'& ",cb1.NEWBORN_STATURE" _
	'& ",cb1.NEWBORN_WEIGHT" _
	'& ",cb1.APGARSCORE1" _
	'& ",cb1.APGARSCORE5" _
	'& "," & sqlMRPCOMMON.sqlFLG_NM_S & "cb1.IMMATURE" & sqlMRPCOMMON.sqlFLG_NM_E & "IMMATURE_NM1" _
	'& "," & sqlMRPCOMMON.sqlFLG_NM_S & "cb1.DEFORMITY" & sqlMRPCOMMON.sqlFLG_NM_E & "DEFORMITY_NM1" _
	'& "," & sqlMRPCOMMON.sqlFLG_NM_S & "cb1.STILLBIRTH" & sqlMRPCOMMON.sqlFLG_NM_E & "STILLBIRTH_NM1" _
	'& ",cb2.GENDER_NM" _
	'& ",cb2.NEWBORN_NO" _
	'& ",cb2.CHD_PATIENT_NO" _
	'& ",cb2.NEWBORN_STATURE" _
	'& ",cb2.NEWBORN_WEIGHT" _
	'& ",cb2.APGARSCORE1" _
	'& ",cb2.APGARSCORE5" _
	'& "," & sqlMRPCOMMON.sqlFLG_NM_S & "cb2.IMMATURE" & sqlMRPCOMMON.sqlFLG_NM_E & "IMMATURE_NM2" _
	'& "," & sqlMRPCOMMON.sqlFLG_NM_S & "cb2.DEFORMITY" & sqlMRPCOMMON.sqlFLG_NM_E & "DEFORMITY_NM2" _
	'& "," & sqlMRPCOMMON.sqlFLG_NM_S & "cb2.STILLBIRTH" & sqlMRPCOMMON.sqlFLG_NM_E & "STILLBIRTH_NM2"
	''' <summary>
	''' 分娩
	''' </summary>
	''' 
	Private Const sqlColMe As String = "" _
	& "," & sqlMRPCOMMON.CST_CNV_EXCEL_ST & "i.CB_DT" & sqlMRPCOMMON.CST_CNV_EXCEL_ED & " AS CB_DT" _
	& ",i.CB_AGE" _
	& ",i.CB_MONTH_AGE" _
	& ",i.GESTATIONAL_WEEK_COUNT" _
	& ",i.GESTATIONAL_DAY_COUNT" _
	& ",i.CHD_COUNT" _
	& ",c1.CNT_NM, c1.CNT_RNM" _
	& ",c2.CNT_NM, c2.CNT_RNM" _
	& ",c7.CNT_NM, c7.CNT_RNM" _
	& ",c8.CNT_NM, c8.CNT_RNM" _
	& ",i.BLEEDING_VOLUME" _
	& ",MTM_CAESAREAN_OPERATION.CHK_NM" _
	& "," & sqlMRPCOMMON.sqlFLG_NM_S & "i.PREMATURE_BIRTH" & sqlMRPCOMMON.sqlFLG_NM_E & "PREMATURE_BIRTH_NM" _
	& "," & sqlMRPCOMMON.sqlFLG_NM_S & "i.MISCARRIAGE" & sqlMRPCOMMON.sqlFLG_NM_E & "MISCARRIAGE_NM" _
	& "," & sqlMRPCOMMON.sqlFLG_NM_S & "i.CB_CHK1" & sqlMRPCOMMON.sqlFLG_NM_E & "CB_CHK1_NM" _
	& "," & sqlMRPCOMMON.sqlFLG_NM_S & "i.CB_CHK2" & sqlMRPCOMMON.sqlFLG_NM_E & "CB_CHK2_NM" _
	& "," & sqlMRPCOMMON.sqlFLG_NM_S & "i.CB_CHK3" & sqlMRPCOMMON.sqlFLG_NM_E & "CB_CHK3_NM" _
	& ",i.REMARKS" _
	& ",cb1.GENDER_NM" _
	& ",cb1.NEWBORN_NO" _
	& ",cb1.CHD_PATIENT_NO" _
	& ",cb1.NEWBORN_STATURE" _
	& ",cb1.NEWBORN_WEIGHT" _
	& ",cb1.APGARSCORE1" _
	& ",cb1.APGARSCORE5" _
	& "," & sqlMRPCOMMON.sqlFLG_NM_S & "cb1.IMMATURE" & sqlMRPCOMMON.sqlFLG_NM_E & "IMMATURE_NM1" _
	& "," & sqlMRPCOMMON.sqlFLG_NM_S & "cb1.DEFORMITY" & sqlMRPCOMMON.sqlFLG_NM_E & "DEFORMITY_NM1" _
	& "," & sqlMRPCOMMON.sqlFLG_NM_S & "cb1.STILLBIRTH" & sqlMRPCOMMON.sqlFLG_NM_E & "STILLBIRTH_NM1" _
	& ",cb2.GENDER_NM" _
	& ",cb2.NEWBORN_NO" _
	& ",cb2.CHD_PATIENT_NO" _
	& ",cb2.NEWBORN_STATURE" _
	& ",cb2.NEWBORN_WEIGHT" _
	& ",cb2.APGARSCORE1" _
	& ",cb2.APGARSCORE5" _
	& "," & sqlMRPCOMMON.sqlFLG_NM_S & "cb2.IMMATURE" & sqlMRPCOMMON.sqlFLG_NM_E & "IMMATURE_NM2" _
	& "," & sqlMRPCOMMON.sqlFLG_NM_S & "cb2.DEFORMITY" & sqlMRPCOMMON.sqlFLG_NM_E & "DEFORMITY_NM2" _
	& "," & sqlMRPCOMMON.sqlFLG_NM_S & "cb2.STILLBIRTH" & sqlMRPCOMMON.sqlFLG_NM_E & "STILLBIRTH_NM2"
'(M) END V4-13006-000 084

	''' <summary>
	''' 分娩
	''' </summary>
	Private Const sqlTblMe As String = "" _
	& " INNER JOIN MTI_CB AS i             ON w.PATIENT_NO				= i.PATIENT_NO" _
	& "                                   AND w.HSP_HISTORY_NO			= i.HSP_HISTORY_NO" _
	& "                                   AND w.CH_NO					= i.CH_NO" _
	& " LEFT JOIN MTM_CB_DIV_CNT AS c1     ON i.CB_DIV1					= c1.CNT_CD" _
	& "                                   AND c1.ITEM_CD				= '1'" _
	& " LEFT JOIN MTM_CB_DIV_CNT AS c2     ON i.CB_DIV2					= c2.CNT_CD" _
	& "                                   AND c2.ITEM_CD				= '2'" _
	& " LEFT JOIN MTM_CB_DIV_CNT AS c7     ON i.CB_DIV3					= c7.CNT_CD" _
	& "                                   AND c7.ITEM_CD				= '7'" _
	& " LEFT JOIN MTM_CB_DIV_CNT AS c8     ON i.CB_DIV4					= c8.CNT_CD" _
	& "                                   AND c8.ITEM_CD				= '8'" _
	& " LEFT JOIN MTM_CAESAREAN_OPERATION  ON i.CAESAREAN_OPE_CD		= MTM_CAESAREAN_OPERATION.CHK_CD" _
	& " LEFT JOIN (" & sqlCbChildDoc & ")	AS cb1	ON w.PATIENT_NO     = cb1.PATIENT_NO" _
	& "                                            AND w.HSP_HISTORY_NO	= cb1.HSP_HISTORY_NO" _
	& "                                            AND w.CH_NO          = cb1.CH_NO" _
	& "                                            AND cb1.CNT			= 1" _
	& " LEFT JOIN (" & sqlCbChildDoc & ")	AS cb2	ON w.PATIENT_NO     = cb2.PATIENT_NO" _
	& "                                            AND w.HSP_HISTORY_NO	= cb2.HSP_HISTORY_NO" _
	& "                                            AND w.CH_NO          = cb2.CH_NO" _
	& "                                            AND cb2.CNT			= 2"

	''' <summary>
	''' 分娩子情報取得用
	''' </summary>
	Private Const sqlCbChildDoc As String = _
	  " SELECT " _
	& "   i.PATIENT_NO" _
	& "  ,i.HSP_HISTORY_NO" _
	& "  ,i.CH_NO" _
	& "  ,i.CB_SERIAL_NO" _
	& "  ,MTM_CB_GENDER.GENDER_NM" _
	& "  ,i.NEWBORN_NO" _
	& "  ,i.CHD_PATIENT_NO" _
	& "  ,i.NEWBORN_STATURE" _
	& "  ,i.NEWBORN_WEIGHT" _
	& "  ,MTM_CB_APGARSCORE1.APGARSCORE AS APGARSCORE1" _
	& "  ,MTM_CB_APGARSCORE5.APGARSCORE AS APGARSCORE5" _
	& "  ,i.IMMATURE" _
	& "  ,i.DEFORMITY" _
	& "  ,i.STILLBIRTH" _
	& "  ,ROW_NUMBER() OVER (PARTITION BY i.PATIENT_NO,i.HSP_HISTORY_NO,i.CH_NO ORDER BY i.CB_SERIAL_NO) AS CNT" _
	& " FROM  MTW_SEARCH_WORK AS w" _
	& "  INNER JOIN MTI_CB_CHILD AS i" _
	& "     ON w.PATIENT_NO        =  i.PATIENT_NO" _
	& "    AND w.HSP_HISTORY_NO    =  i.HSP_HISTORY_NO" _
	& "    AND w.CH_NO             =  i.CH_NO" _
	& "   LEFT JOIN MTM_CB_GENDER" _
	& "     ON i.GENDER_CD		   =  MTM_CB_GENDER.GENDER_CD" _
	& "   LEFT JOIN MTM_CB_APGARSCORE AS MTM_CB_APGARSCORE1" _
	& "     ON i.APGARSCORE_1MIN   =  MTM_CB_APGARSCORE1.APGARSCORE_CD" _
	& "   LEFT JOIN MTM_CB_APGARSCORE AS MTM_CB_APGARSCORE5" _
	& "     ON i.APGARSCORE_5MIN   =  MTM_CB_APGARSCORE5.APGARSCORE_CD"

#End Region

	''' <summary>
	''' ヘッダ項目マスタ（TM_分娩区分項目マスタ）の取得
	''' </summary>
	Public Const sqlSel_Header_Mtm_Cb_Div_Itm As String = _
	  "SELECT" _
	& " ITEM_CD" _
	& ",ITEM_RNM" _
	& ",ITEM_NM" _
	& " FROM MTM_CB_DIV_ITM" _
	& " WHERE ITEM_NM " & XCM.clsConst.CST_NONEMPTY_WHERE

	''' <summary>
	''' ヘッダ項目（TM_分娩チェック項目マスタ）の取得
	''' </summary>
	Public Const sqlSel_Header_Mtm_Cb_Chk_Itm As String = _
	  "SELECT" _
	& " ITEM_CD" _
	& ",ITEM_RNM" _
	& ",ITEM_NM" _
	& " FROM MTM_CB_CHK_ITM" _
	& " WHERE ITEM_NM " & XCM.clsConst.CST_NONEMPTY_WHERE

End Class