﻿''' ---------------------------------------------
''' <summary>
''' 診療情報管理 検索 管理物Report継承元クラス(SQLクラス）
''' </summary>
''' <remarks>
''' Copyright 2010 FUJITSU SHIKOKU SYSTEMS LIMITED All rights reserved.<BR/>
''' FUJITSU SHIKOKU SYSTEMS LIMITED CONFIDENTIAL<BR/>
''' </remarks>
''' ---------------------------------------------
Public NotInheritable Class sqlMRP160R000

	''' <summary>
	''' workを削除
	''' </summary>
	''' <remarks></remarks>
	Public Const sqlDel As String = _
	"DELETE FROM MTW_SEARCH_LENDITM WHERE HOST_NM=" & sqlMRPCOMMON.prmHOST_NM

	''' <summary>
	''' workを追加
	''' </summary>
	''' <remarks></remarks>
	Public Const sqlIns As String = "" _
	& "INSERT INTO MTW_SEARCH_LENDITM (" _
	& " HOST_NM" _
	& ",DSPORDER" _
	& ",PATIENT_NO" _
	& ",HSP_HISTORY_NO" _
	& ",CH_NO" _
	& ",LASTUPDUSER_CD" _
	& ",LASTUPD_DT" _
	& ") VALUES (" _
	& " " & sqlMRPCOMMON.prmHOST_NM _
	& "," & sqlMRPCOMMON.prmDSPORDER _
	& "," & sqlMRPCOMMON.prmPATIENT_NO _
	& "," & sqlMRPCOMMON.prmHSP_NO _
	& "," & sqlMRPCOMMON.prmCH_NO _
	& "," & sqlMRPCOMMON.prmLASTUPDUSER_CD _
	& "," & sqlMRPCOMMON.prmLASTUPD_DT _
	& ")"

	''' <summary>
	''' workを更新(共通項目)
	''' </summary>
	''' <remarks></remarks>
	Private Const sqlUpd_Header As String = "" _
	& "UPDATE MTW_SEARCH_LENDITM SET" _
	& " PATIENT_KNM			= b.PATIENT_KNM" _
	& ",PATIENT_NM			= b.PATIENT_NM" _
	& ",GENDER_CD			= b.GENDER_CD" _
	& ",BIRTH_DT			= b.BIRTH_DT" _
	& ",LENDITEM_CD			= " & sqlMRPCOMMON.prmLENDITEM_CD _
	& ",RECEIPT_DT			= CASE " & sqlMRPCOMMON.prmLENDITEM_CD _
	& "						  WHEN " & sqlMRPCOMMON.prmLENDITEM_M & " THEN l.RECORD_RECEIPT_DT" _
	& "						  WHEN " & sqlMRPCOMMON.prmLENDITEM_S & " THEN l.SUMMARY_RECEIPT_DT" _
	& "						  WHEN " & sqlMRPCOMMON.prmLENDITEM_1 & " THEN l.OTHER1_RECEIPT_DT" _
	& "						  WHEN " & sqlMRPCOMMON.prmLENDITEM_2 & " THEN l.OTHER2_RECEIPT_DT" _
	& "						  WHEN " & sqlMRPCOMMON.prmLENDITEM_3 & " THEN l.OTHER3_RECEIPT_DT" _
	& "						  ELSE NULL END" _
	& ",RECEIPT_COUNT		= CASE " & sqlMRPCOMMON.prmLENDITEM_CD _
	& "						  WHEN " & sqlMRPCOMMON.prmLENDITEM_M & " THEN l.RECORD_COUNT" _
	& "						  WHEN " & sqlMRPCOMMON.prmLENDITEM_S & " THEN l.SUMMARY_COUNT" _
	& "						  WHEN " & sqlMRPCOMMON.prmLENDITEM_1 & " THEN l.OTHER1_COUNT" _
	& "						  WHEN " & sqlMRPCOMMON.prmLENDITEM_2 & " THEN l.OTHER2_COUNT" _
	& "						  WHEN " & sqlMRPCOMMON.prmLENDITEM_3 & " THEN l.OTHER3_COUNT" _
	& "						  ELSE NULL END" _
	& ",MNGSTATUS_CD		= CASE " & sqlMRPCOMMON.prmLENDITEM_CD _
	& "						  WHEN " & sqlMRPCOMMON.prmLENDITEM_M & " THEN l.RECORD_MNGSTATUS_CD" _
	& "						  WHEN " & sqlMRPCOMMON.prmLENDITEM_S & " THEN l.SUMMARY_MNGSTATUS_CD" _
	& "						  WHEN " & sqlMRPCOMMON.prmLENDITEM_1 & " THEN l.OTHER1_MNGSTATUS_CD" _
	& "						  WHEN " & sqlMRPCOMMON.prmLENDITEM_2 & " THEN l.OTHER2_MNGSTATUS_CD" _
	& "						  WHEN " & sqlMRPCOMMON.prmLENDITEM_3 & " THEN l.OTHER3_MNGSTATUS_CD" _
	& "						  ELSE NULL END" _
	& ",KEEPLCT_CD			= CASE " & sqlMRPCOMMON.prmLENDITEM_CD _
	& "						  WHEN " & sqlMRPCOMMON.prmLENDITEM_M & " THEN l.RECORD_KEEPLCT_CD" _
	& "						  WHEN " & sqlMRPCOMMON.prmLENDITEM_S & " THEN l.SUMMARY_KEEPLCT_CD" _
	& "						  WHEN " & sqlMRPCOMMON.prmLENDITEM_1 & " THEN l.OTHER1_KEEPLCT_CD" _
	& "						  WHEN " & sqlMRPCOMMON.prmLENDITEM_2 & " THEN l.OTHER2_KEEPLCT_CD" _
	& "						  WHEN " & sqlMRPCOMMON.prmLENDITEM_3 & " THEN l.OTHER3_KEEPLCT_CD" _
	& "						  ELSE NULL END" _
	& ",LASTUPDUSER_CD      = " & sqlMRPCOMMON.prmLASTUPDUSER_CD _
	& ",LASTUPD_DT          = " & sqlMRPCOMMON.prmLASTUPD_DT

	''' <summary>
	''' workを更新(科歴単位)
	''' </summary>
	''' <remarks></remarks>
	Public Const sqlUpd_C As String = sqlUpd_Header _
	& ",BYOREKI_NO			= c.BYOREKI_NO" _
	& ",PATIENT_AGE			= CASE " & sqlMRPCOMMON.prmENV_AGE & " WHEN " & sqlMRPCOMMON.CST_ENV_AGE_IN & " THEN c.START_AGE       ELSE c.END_AGE       END" _
	& ",PATIENT_MONTH_AGE	= CASE " & sqlMRPCOMMON.prmENV_AGE & " WHEN " & sqlMRPCOMMON.CST_ENV_AGE_IN & " THEN c.START_MONTH_AGE ELSE c.END_MONTH_AGE END" _
	& ",PATIENT_DAY_AGE		= CASE " & sqlMRPCOMMON.prmENV_AGE & " WHEN " & sqlMRPCOMMON.CST_ENV_AGE_IN & " THEN c.START_DAY_AGE   ELSE c.END_DAY_AGE   END" _
	& ",DEPT_CD				= c.DEPT_CD" _
	& ",WARD_CD				= c.WARD_CD" _
	& ",DOCTOR_CD			= c.DOCTOR_CD" _
	& ",START_CNL_CD		= c.START_CNL_CD" _
	& ",START_DT			= c.START_DT" _
	& ",END_CNL_CD			= c.END_CNL_CD" _
	& ",END_OUTCOME_CD		= c.END_OUTCOME_CD" _
	& ",END_DT				= c.END_DT" _
	& ",HSP_DAYS			= c.HSP_DAYS" _
	& "  FROM MTW_SEARCH_LENDITM AS w" _
	& " INNER JOIN MTI_LENDITM	 AS l	 ON w.PATIENT_NO		= l.PATIENT_NO" _
	& "									AND w.HSP_HISTORY_NO	= l.HSP_HISTORY_NO" _
	& "									AND w.CH_NO				= l.CH_NO" _
	& "  LEFT JOIN XTI_BASICINFO AS b	 ON w.PATIENT_NO		= b.PATIENT_NO" _
	& "  LEFT JOIN MTI_CH		 AS c	 ON w.PATIENT_NO		= c.PATIENT_NO" _
	& "									AND w.HSP_HISTORY_NO	= c.HSP_HISTORY_NO" _
	& "									AND w.CH_NO				= c.CH_NO" _
	& " WHERE w.HOST_NM=" & sqlMRPCOMMON.prmHOST_NM

	''' <summary>
	''' workを更新(入退院単位)
	''' </summary>
	''' <remarks></remarks>
	Public Const sqlUpd_H As String = sqlUpd_Header _
	& ",BYOREKI_NO			= h.BYOREKI_NO" _
	& ",PATIENT_AGE			= CASE " & sqlMRPCOMMON.prmENV_AGE & " WHEN " & sqlMRPCOMMON.CST_ENV_AGE_IN & " THEN h.HSP_AGE       ELSE h.OUT_HSP_AGE       END" _
	& ",PATIENT_MONTH_AGE	= CASE " & sqlMRPCOMMON.prmENV_AGE & " WHEN " & sqlMRPCOMMON.CST_ENV_AGE_IN & " THEN h.HSP_MONTH_AGE ELSE h.OUT_HSP_MONTH_AGE END" _
	& ",PATIENT_DAY_AGE		= CASE " & sqlMRPCOMMON.prmENV_AGE & " WHEN " & sqlMRPCOMMON.CST_ENV_AGE_IN & " THEN h.HSP_DAY_AGE   ELSE h.OUT_HSP_DAY_AGE   END" _
	& ",DEPT_CD				= h.DEPT_CD" _
	& ",WARD_CD				= h.WARD_CD" _
	& ",DOCTOR_CD			= h.DOCTOR_CD" _
	& ",START_CNL_CD		= h.HSP_CNL_CD" _
	& ",START_DT			= h.HSP_DT" _
	& ",END_CNL_CD			= h.OUT_HSP_CNL_CD" _
	& ",END_OUTCOME_CD		= h.OUT_HSP_OUTCOME_CD" _
	& ",END_DT				= h.OUT_HSP_DT" _
	& ",HSP_DAYS			= h.HSP_DAYS" _
	& "  FROM MTW_SEARCH_LENDITM AS w" _
	& " INNER JOIN MTI_LENDITM	 AS l	 ON w.PATIENT_NO		= l.PATIENT_NO" _
	& "									AND w.HSP_HISTORY_NO	= l.HSP_HISTORY_NO" _
	& "									AND 0					= l.CH_NO" _
	& "  LEFT JOIN XTI_BASICINFO AS b	 ON w.PATIENT_NO		= b.PATIENT_NO" _
	& "  LEFT JOIN MTI_HSP		 AS h	 ON w.PATIENT_NO		= h.PATIENT_NO" _
	& "									AND w.HSP_HISTORY_NO	= h.HSP_HISTORY_NO" _
	& " WHERE w.HOST_NM=" & sqlMRPCOMMON.prmHOST_NM

	''' <summary>
	''' workを更新(患者単位)
	''' </summary>
	''' <remarks></remarks>
	Public Const sqlUpd_B As String = sqlUpd_Header _
	& "  FROM MTW_SEARCH_LENDITM AS w" _
	& " INNER JOIN MTI_LENDITM	 AS l	 ON w.PATIENT_NO		= l.PATIENT_NO" _
	& "									AND 0					= l.HSP_HISTORY_NO" _
	& "									AND 0					= l.CH_NO" _
	& "  LEFT JOIN XTI_BASICINFO AS b	 ON w.PATIENT_NO		= b.PATIENT_NO" _
	& " WHERE w.HOST_NM=" & sqlMRPCOMMON.prmHOST_NM

End Class
