﻿Imports System.ComponentModel
Imports XCM
Imports System.Windows.Forms
Imports System.Reflection
Imports System.Runtime.ConstrainedExecution
''' ---------------------------------------------
''' <summary>
''' 診療情報管理 検索 コントロールベース
''' </summary>
''' <remarks>
''' Copyright 2010 FUJITSU SHIKOKU SYSTEMS LIMITED All rights reserved.<BR/>
''' FUJITSU SHIKOKU SYSTEMS LIMITED CONFIDENTIAL<BR/>
''' </remarks>
''' ---------------------------------------------
Public Class MSR000C010

#Region "コンスタント"

	''' ---------------------------------------------
	''' <summary>
	''' タブ種類
	''' </summary>
	''' <remarks>
	''' 2010/10/26 新規作成 ACS)仙頭<BR/>
	''' </remarks>
	''' ---------------------------------------------
	Public Enum ENUM_TAB_TYPE As Byte
		''' <summary>
		''' TABを使用しない
		''' </summary>
		NOT_TAB = 0
		''' <summary>
		''' 全てのTABページ情報で検索する
		''' </summary>
		ALL_TAB = 1
		''' <summary>
		''' アクティブタブのみで検索
		''' </summary>
		ONE_TAB = 2
	End Enum

	''' ---------------------------------------------
	''' <summary>
	''' 検索種類
	''' </summary>
	''' <remarks>
	''' 2010/10/26 新規作成 ACS)仙頭<BR/>
	''' </remarks>
	''' ---------------------------------------------
	Public Enum ENUM_SEARCH_TYPE As Byte
		''' <summary>
		''' 通常検索
		''' </summary>
		NORMAL_SEARCH = 1
		''' <summary>
		''' AND検索
		''' </summary>
		AND_SEARCH = 2
		''' <summary>
		''' OR検索
		''' </summary>
		OR_SEARCH = 3
	End Enum

	''' ---------------------------------------------
	''' <summary>
	''' ロストフォーカス時の設定項目
	''' </summary>
	''' <remarks>
	''' 2010/10/26 新規作成 ACS)仙頭<BR/>
	''' </remarks>
	''' ---------------------------------------------
	Protected Enum ENUM_LEAVE_TEXT As Byte
		''' <summary>
		''' ICD10
		''' </summary>
		ICD10 = 0
		''' <summary>
		''' ICD9
		''' </summary>
		ICD9CM = 1
	End Enum

	''' ---------------------------------------------
	''' <summary>
	''' setComboControlの所作
	''' </summary>
	''' <remarks>
	''' 2010/10/26 新規作成 ACS)仙頭<BR/>
	''' </remarks>
	''' ---------------------------------------------
	Protected Enum ENUM_SET_CONTROL As Byte
		''' <summary>
		''' DropWidthを設定
		''' </summary>
		ENUM_LOAD = 0
		''' <summary>
		''' DataSourceを破棄
		''' </summary>
		ENUM_CLEAR = 1
	End Enum

	Private Const WM_KEYDOWN As Integer = &H100		'KeyDownメッセージ
	Private Const WM_SYSKEYDOWN As Integer = &H104

	Protected Const CST_SQL_WHERE = " WHERE "
	Protected Const CST_SQL_AND = " AND "
	Protected Const CST_SQL_OR = " OR "
#End Region

#Region "変数"

	Private _ctlText As String = Nothing												'コントロール名
	Private _tabType As ENUM_TAB_TYPE = ENUM_TAB_TYPE.ALL_TAB							'タブ種別
	Private _initRadioBtn() As String = New String() {}									'ラジオボタン初期値
	Private _ctlCombo As ArrayList = New ArrayList(New BT_MultiComboBox() {})			'コンボボックス配列

	Protected EventCancel As Boolean = False											'イベントキャンセルフラグ
	Protected SearchControls As New ArrayList											'コントロールクラス配列

#End Region

#Region "プロパティ"

	''' ---------------------------------------------
	''' <summary>
	''' コントロールの日本語名タイトルを設定
	''' </summary>
	''' <value></value>
	''' <returns></returns>
	''' <remarks>
	''' 2010/10/25 新規作成 ACS)仙頭<BR/>
	''' </remarks>
	''' ---------------------------------------------
	<Browsable(True), _
	 Description("コントロールの日本語名タイトルを設定します。"), _
	 Category("カスタムプロパティ")>
	Public Property ctlText() As String
		Get
			Return Me._ctlText
		End Get
		Set(ByVal value As String)
			Me._ctlText = value
		End Set
	End Property

	''' ---------------------------------------------
	''' <summary>
	''' タブ種類を設定
	''' </summary>
	''' <value></value>
	''' <returns></returns>
	''' <remarks>
	''' 2010/10/25 新規作成 ACS)仙頭<BR/>
	''' </remarks>
	''' ---------------------------------------------
	<Browsable(True), _
	 Description("タブ種類を設定します。"), _
	 Category("カスタムプロパティ")> _
	Public Property TabType() As ENUM_TAB_TYPE
		Get
			Return Me._tabType
		End Get
		Set(ByVal value As ENUM_TAB_TYPE)
			Me._tabType = value
		End Set
	End Property

	''' ---------------------------------------------
	''' <summary>
	''' ラジオボタンの初期値を設定
	''' </summary>
	''' <value></value>
	''' <returns></returns>
	''' <remarks>
	''' 2010/10/25 新規作成 ACS)仙頭<BR/>
	''' </remarks>
	''' ---------------------------------------------
	<Browsable(True), _
	 Description("ラジオボタンの初期値を設定します。"), _
	 Category("カスタムプロパティ")> _
	Public Property InitRadioBtn() As String()
		Get
			Return Me._initRadioBtn
		End Get
		Set(ByVal value As String())
			Me._initRadioBtn = value
		End Set
	End Property

#End Region

#Region "イベント"

	''' ---------------------------------------------
	''' <summary>
	''' コントロール廃棄
	''' </summary>
	''' <param name="sender"></param>
	''' <param name="e"></param>
	''' <remarks>
	''' 2010/10/26 新規作成 ACS)仙頭<BR/>
	''' </remarks>
	''' ---------------------------------------------
	Private Sub MSR000C010_Disposed(ByVal sender As Object, ByVal e As System.EventArgs) Handles Me.Disposed
		If Me.TopLevelControl IsNot Nothing Then
			DirectCast(Me.TopLevelControl, frmBase).log(clsSysMst.logLevel.DBG, "MSR000C010_Disposed", "コントロール廃棄　START")
		End If
		Try
		Catch ex As Exception
			Throw
		Finally
			'廃棄処理
			Me._ctlText = Nothing
			Me._tabType = Nothing
			Me._initRadioBtn = Nothing

			Me.SearchControls.Clear()
            Me.SearchControls = Nothing


			'データソースを破棄
			For Each c As BT_MultiComboBox In Me._ctlCombo
				With c
					If .DataSource IsNot Nothing Then
						DirectCast(.DataSource, DataTable).Dispose()
						.DataSource = Nothing
					End If
				End With
			Next
			Me._ctlCombo.Clear()
			Me._ctlCombo = Nothing
		End Try
    End Sub

	'''---------------------------------------------
	''' <summary>
	''' コマンドキー処理　Enterタブ移動処理（Shift+EnterはBackタブ）
	''' </summary>
	''' <param name="msg"></param>
	''' <param name="KeyData"></param>
	''' <returns></returns>
	''' <remarks>
	''' 2010/10/25 新規作成 ACS)仙頭 ※XCM.frmbaseより複写<BR/>
	''' </remarks>
	'''---------------------------------------------
	Protected Overrides Function ProcessCmdKey(ByRef msg As Message, ByVal KeyData As Keys) As Boolean
		DirectCast(Me.TopLevelControl, frmBase).log(clsSysMst.logLevel.DBG, "ProcessCmdKey", "コマンドキー処理 START")
		Try
			If msg.Msg = WM_KEYDOWN OrElse msg.Msg = WM_SYSKEYDOWN Then	'KEYDOWN時
				Dim key As Keys = KeyData And Keys.KeyCode
				Select Case True
					Case KeyData.Equals(Keys.F1)
						If TypeOf Me.ActiveControl Is BT_MultiComboBox AndAlso _
						   DirectCast(Me.ActiveControl, BT_MultiComboBox).StaffCombo = True AndAlso _
						   DirectCast(Me.ActiveControl, BT_MultiComboBox).CanInput = True Then
							Return StaffFormProc()
						Else
							Return F1KeyProc()
						End If
					'Case KeyData.Equals(Keys.F2)
					'	Return F2KeyProc()
					'Case KeyData.Equals(Keys.F3)
					'	Return F3KeyProc()
					Case KeyData.Equals(Keys.Alt Or Keys.F4)
						'Alt+F4が押下された場合はValidateを走らせずに画面を終了する
						Me.AutoValidate = Windows.Forms.AutoValidate.Disable
					'Case KeyData.Equals(Keys.F4)
					'	Return F4KeyProc()
					'Case KeyData.Equals(Keys.F5)
					'	Return F5KeyProc()
					'Case KeyData.Equals(Keys.F6)
					'	Return F6KeyProc()
					'Case KeyData.Equals(Keys.F7)
					'	Return F7KeyProc()
					'Case KeyData.Equals(Keys.F8)
					'	Return F8KeyProc()
					'Case KeyData.Equals(Keys.F9)
					'	Return F9KeyProc()
					Case KeyData.Equals(Keys.F10)
						Return F10KeyProc()
					'Case KeyData.Equals(Keys.F11)
					'	Return F11KeyProc()
					'Case KeyData.Equals(Keys.F12)
					'	Return F12KeyProc()
					'Case KeyData.Equals(Keys.F12 Or Keys.Shift)
					'	Return ShiftF12KeyProc()
					Case KeyData.Equals(Keys.Enter)
						Select Case True
							Case TypeOf Me.ActiveControl Is DataGridView
								EnterProc()
								Return True		'DataGridView内の移動処理はキャンセル
							Case TypeOf Me.ActiveControl Is BT_MultiComboBox
								EnterProc()
								Me.TopLevelControl.Refresh()	'DROPDOWN表示が残るためクリア
								Return True		'Enterが2回発生しないようにするため
							Case TypeOf Me.ActiveControl Is Button
								Return False	'ボタンはENTERキー押下でクリックと同じ動作
							Case TypeOf Me.ActiveControl Is BT_Button
								Return False	'ボタンはENTERキー押下でクリックと同じ動作
							Case Else
								Return EnterProc()
						End Select
					Case KeyData.Equals(Keys.Enter Or Keys.Shift)
						Select Case True
							Case TypeOf Me.ActiveControl Is DataGridView
								ShiftEnterProc()
								Return True		'DataGridView内の移動処理はキャンセル
							Case TypeOf Me.ActiveControl Is BT_MultiComboBox
								ShiftEnterProc()
								Return True		'Enterが2回発生しないようにするため
							Case TypeOf Me.ActiveControl Is Button
								Return False	'ボタンはENTERキー押下でクリックと同じ動作
							Case TypeOf Me.ActiveControl Is BT_Button
								Return False	'ボタンはENTERキー押下でクリックと同じ動作
							Case Else
								Return ShiftEnterProc()
						End Select
				End Select
			End If
		Catch ex As Exception
			DirectCast(Me.TopLevelControl, frmBase).ErrorProc(ex)
		End Try
		Return MyBase.ProcessCmdKey(msg, KeyData)

	End Function

	'''---------------------------------------------
	''' <summary>
	''' Enter処理
	''' </summary>
	''' <remarks>
	''' 2010/10/25 新規作成 ACS)仙頭 ※XCM.frmbaseより複写<BR/>
	''' </remarks>
	'''---------------------------------------------
	Public Overridable Function EnterProc() As Boolean
		Try
			' 次のコントロールへフォーカス移動
			Me.SelectNextControl(Me.ActiveControl, True, True, True, True)
			Return True
		Catch ex As Exception
			Throw
		End Try
	End Function

	'''---------------------------------------------
	''' <summary>
	''' Shift+Enter処理
	''' </summary>
	''' <remarks>
	''' 2010/10/25 新規作成 ACS)仙頭 ※XCM.frmbaseより複写<BR/>
	''' </remarks>
	'''---------------------------------------------
	Public Overridable Function ShiftEnterProc() As Boolean
		Try
			' 前のコントロールへフォーカス移動
			Me.SelectNextControl(Me.ActiveControl, False, True, True, True)
			Return True
		Catch ex As Exception
			Throw
		End Try
	End Function

	'''---------------------------------------------
	''' <summary>
	''' F1処理
	''' </summary>
	''' <remarks>
	''' 2010/10/25 新規作成 ACS)仙頭 ※XCM.frmbaseより複写<BR/>
	''' </remarks>
	'''---------------------------------------------
	Public Overridable Function F1KeyProc() As Boolean
		Return False
	End Function

	'''---------------------------------------------
	''' <summary>
	''' F10処理
	''' </summary>
	''' <remarks>
	''' 2010/10/25 新規作成 ACS)仙頭 ※XCM.frmbaseより複写<BR/>
	''' </remarks>
	'''---------------------------------------------
	Public Overridable Function F10KeyProc() As Boolean
		Return False
	End Function

#End Region

#Region "メソッド"

	''' ---------------------------------------------
	''' <summary>
	''' コントロールの値をクリア（再帰）
	''' </summary>
	''' <param name="ctl"></param>
	''' <remarks>
	''' 2010/10/25 新規作成 ACS)仙頭<BR/>
	''' </remarks>
	''' ---------------------------------------------
	Protected Sub setControl(ByVal ctl As Control, Optional ByVal type As ENUM_SET_CONTROL = ENUM_SET_CONTROL.ENUM_CLEAR)
		DirectCast(Me.TopLevelControl, frmBase).log(clsSysMst.logLevel.DBG, "setControl", "コントロールの設定（再帰） START")
		Try
			For Each c As Control In ctl.Controls
				If c.HasChildren = True Then
					' 再帰
					Me.setControl(c, type)
				End If
				Select Case True
					Case TypeOf c Is Button				'ボタン
					Case TypeOf c Is Label				'ラベル
					Case TypeOf c Is GroupBox			'グループボックス
					Case TypeOf c Is TabPage			'タブページ
					Case TypeOf c Is ListBox			'リストボックス
					Case TypeOf c Is CheckBox			'チェックボックス
						With DirectCast(c, CheckBox)
							If type = ENUM_SET_CONTROL.ENUM_LOAD Then
								'チェックイベントの関連付け
								AddHandler .CheckedChanged, AddressOf Me.CheckBox_CheckedChanged
							End If
							.Checked = False
						End With
					Case TypeOf c Is BT_Like			'一致条件コントロール
						CType(c, BT_Like).MatchingCriteria = BT_Like.Enum_MatchingCriteria.PrefixMatch
					Case TypeOf c Is RadioButton		'ラジオボタン
						With CType(c, RadioButton)
							If Array.IndexOf(Me._initRadioBtn, .Name) >= 0 Then
								.Checked = True
							End If
						End With
					Case TypeOf c Is BT_Date			'日付コントロール
						CType(c, BT_Date).DateValue = Nothing
					Case TypeOf c Is BT_MultiComboBox	'マルチカラムコンボ

						With CType(c, BT_MultiComboBox)
							If type = ENUM_SET_CONTROL.ENUM_LOAD Then
								'廃棄用にコントロールを蓄積
								Me._ctlCombo.Add(c)
								'DropDownWidthの計算
								.setDropDownWidth()
							End If
							If .DropDownStyle = ComboBoxStyle.DropDownList Then
								If .DataSource IsNot Nothing Then
									If DirectCast(.DataSource, DataTable).Rows.Count > 0 Then
										.SelectedIndex = 0
									Else
										.Text = Nothing
									End If
								Else
									.Text = Nothing
								End If
							Else
								.Text = Nothing
								If .StaffCombo Then
									.Text = Nothing
								End If
							End If
						End With
					Case TypeOf c Is BT_NumericUpDown	'数値
						With DirectCast(c, BT_NumericUpDown)
							.Value = .Minimum
						End With
						c.Text = Nothing
					Case Else							'以外はテキスト入力
						c.Text = Nothing
				End Select
			Next
		Catch ex As Exception
			Throw
		End Try
	End Sub

	''' ---------------------------------------------
	''' <summary>
	''' コントロール内の検索条件有無チェック（再帰）
	''' </summary>
	''' <param name="ctl">コンテナコントロール</param>
	''' <returns>検索条件有無</returns>
	''' <remarks>
	''' 2010/10/25 新規作成 ACS)仙頭<BR/>
	''' </remarks>
	''' ---------------------------------------------
	Protected Function chkChecked(ByVal ctl As Control) As Boolean
		DirectCast(Me.TopLevelControl, frmBase).log(clsSysMst.logLevel.DBG, "chkChecked", "コントロール内の検索条件有無チェック（再帰） START")
		Dim bChecked As Boolean = False
		Try
			For Each c As Control In ctl.Controls
				If c.Controls.Count > 0 Then
					' 再帰
					If chkChecked(c) Then
						Return True
						Exit For
					End If
				Else
					If TypeOf c Is BT_CheckBox Then
						If DirectCast(c, BT_CheckBox).Checked Then
							' 検索条件有り
							Return True
							Exit For
						End If
					End If
				End If
			Next
			Return False
		Catch ex As Exception
			Throw
		End Try
	End Function

	''' ---------------------------------------------
	''' <summary>
	''' コントロール名よりコントロールを取得
	''' </summary>
	''' <param name="ctlName">検索対象コントロール名</param>
	''' <returns></returns>
	''' <remarks>
	''' 2010/10/25 新規作成 ACS)仙頭<BR/>
	''' </remarks>
	''' ---------------------------------------------
	Protected Function findControl(ByVal ctlName As String) As Control
		DirectCast(Me.TopLevelControl, frmBase).log(clsSysMst.logLevel.DBG, "findControl", "コントロール名よりコントロールを取得 START")
		Try
			If ctlName = Nothing Then Return Nothing
			Dim aryCtl() As Control = Me.Controls.Find(ctlName, True)
			Try
				If aryCtl.Length > 0 Then
					Return aryCtl(0)
				Else
					Return Nothing
				End If
			Finally
				aryCtl = Nothing
			End Try
		Catch ex As Exception
			Throw
		End Try
	End Function

	'''---------------------------------------------
	''' <summary>
	''' F1Key押下時のオーバーライド用職員画面表示処理
	''' </summary>
	''' <returns></returns>
	''' <remarks>
	''' 2010/10/25 新規作成 ACS)仙頭<BR/><BR/>
	''' </remarks>
	'''---------------------------------------------
	Private Function StaffFormProc() As Boolean
		DirectCast(Me.TopLevelControl, frmBase).log(clsSysMst.logLevel.DBG, "StaffFormProc", "職員検索処理（F1） START")
		Try
			If TypeOf Me.ActiveControl Is BT_MultiComboBox = False Then
			ElseIf DirectCast(Me.ActiveControl, BT_MultiComboBox).StaffCombo Then
				Me.StaffFormProc(Me.ActiveControl)
			End If
			Return False
		Catch ex As Exception
			Throw
		End Try
	End Function

	''' ---------------------------------------------
	''' <summary>
	''' ロストフォーカス時に値設定
	''' </summary>
	''' <param name="ctlText">設定コントロール</param>
	''' <param name="type">設定内容</param>
	''' <param name="ChkText">判断テキスト</param>
	''' <remarks>
	''' 2010/10/25 新規作成 ACS)仙頭<BR/><BR/>
	''' </remarks>
	''' ---------------------------------------------
	Protected Sub setLeaveText(ByVal ctlText As Control, ByVal type As ENUM_LEAVE_TEXT, Optional ByVal ChkText As String = Nothing)
		DirectCast(Me.TopLevelControl, frmBase).log(clsSysMst.logLevel.DBG, "setLeaveText", "ロストフォーカス時に値設定 START")
		Try
			If String.IsNullOrEmpty(ctlText.Text) = False Then Exit Sub
			With ctlText
				Select Case type
					Case ENUM_LEAVE_TEXT.ICD10
						ChkText &= "ZZZZZZ"
						.Text = ChkText.Substring(0, 6)

					Case ENUM_LEAVE_TEXT.ICD9CM
						ChkText &= "99999"
						.Text = ChkText.Substring(0, 5)

					Case Else
						Exit Sub
				End Select
			End With
		Catch ex As Exception
			Throw
		End Try

	End Sub

	''' ---------------------------------------------
	''' <summary>
	''' 検索条件コントロールクリア処理
	''' </summary>
	''' <remarks>
	''' 2010/11/02 新規作成 ACS)仙頭<BR/>
	''' </remarks>
	''' ---------------------------------------------
	Protected Sub setSearchList()
		DirectCast(Me.TopLevelControl, frmBase).log(clsSysMst.logLevel.DBG, "setSearchList", "検索条件コントロールクリア処理 START")
		Try
			Me.SearchControls.Clear()
		Catch ex As Exception
			Throw
		End Try
	End Sub

	''' ---------------------------------------------
	''' <summary>
	''' 検索条件コントロール追加処理
	''' </summary>
	''' <param name="SearchInput">検索条件コントロール</param>
	''' <remarks>
	''' 2010/11/02 新規作成 ACS)仙頭<BR/>
	''' </remarks>
	''' ---------------------------------------------
	Protected Sub setSearchList(ByVal SearchInput As clsMSRSearchInp())
		'DirectCast(Me.TopLevelControl, frmBase).log(clsSysMst.logLevel.DBG, "setSearchList", "検索条件コントロール追加処理 START")
		Try
			Me.SearchControls.Add(SearchInput)
		Catch ex As Exception
			Throw
		End Try
	End Sub

	''' ---------------------------------------------
	''' <summary>
	''' 検索条件情報取得処理をメソッド名で実行
	''' </summary>
	''' <param name="cliInp">入力情報</param>
	''' <param name="cliRet">返却情報</param>
	''' <returns></returns>
	''' <remarks>
	''' 2010/11/02 新規作成 ACS)仙頭<BR/>
	''' </remarks>
	''' ---------------------------------------------
	Protected Function ExecuteFunction(ByVal cliInp As clsMSRSearchInp, ByRef cliRet As clsMSRSearchOut) As clsMSRSearchOut
		DirectCast(Me.TopLevelControl, frmBase).log(clsSysMst.logLevel.DBG, "ExecuteFunction", "検索条件情報取得処理をメソッド名で実行 START")
		Try
			Dim t As Type = GetType(clsMSRSearch)
			' インスタンス生成
			Dim fnc As Object = t.InvokeMember(Nothing, _
											   Reflection.BindingFlags.CreateInstance, _
											   Nothing, _
											   Nothing, _
											   Nothing)
			' メソッド実行
			Dim ret As Object = t.InvokeMember(cliInp.Func, _
												  Reflection.BindingFlags.InvokeMethod, _
												  Nothing, _
												  fnc, _
												  New Object() {Me, cliInp, cliRet})
			Return ret

		Catch ex As Exception
			Throw
		End Try
	End Function

	''' ---------------------------------------------
	''' <summary>
	''' タブページコンテナを検索
	''' </summary>
	''' <param name="ctl"></param>
	''' <returns></returns>
	''' <remarks>
	''' 2010/10/25 新規作成 ACS)仙頭<BR/>
	''' </remarks>
	''' ---------------------------------------------
	Protected Function getParentTabPage(ByVal ctl As Control) As Control
		DirectCast(Me.TopLevelControl, frmBase).log(clsSysMst.logLevel.DBG, "getParentTabPage", "タブページコンテナを検索 START")
		Try
			If ctl Is Nothing Then
			ElseIf TypeOf ctl Is TabPage Then
				Return ctl
			ElseIf ctl.Parent IsNot Nothing Then
				'再帰検索
				Return getParentTabPage(ctl.Parent)
			End If

			Return Nothing
		Catch ex As Exception
			Throw
		End Try
	End Function

	''' ---------------------------------------------
	''' <summary>
	''' データテーブル取得
	''' </summary>
	''' <param name="sql">SQL文</param>
	''' <returns>取得データテーブル</returns>
	''' <remarks>
	''' 2010/10/07 新規作成　ACS)仙頭<BR/>
	''' </remarks>
	''' ---------------------------------------------
	Protected Function getDatatable(ByRef db As clsDB, ByVal sql As String) As DataTable
		Try
			Using dt As New DataTable
				db.setSQLDa(sql)
				db.execQueryDa(dt)
				Return dt
			End Using
		Catch ex As Exception
			Throw
		End Try
	End Function

	''' ---------------------------------------------
	''' <summary>
	''' SQL生成
	''' </summary>
	''' <param name="cliRet"></param>
	''' <returns></returns>
	''' <remarks>
	''' 2010/11/08 新規作成 ACS)仙頭<BR/>
	''' </remarks>
	''' ---------------------------------------------
	Protected Function setSearchSql(ByVal type As ENUM_SEARCH_TYPE, ByVal cliRet As clsMSRSearchOut) As clsMSRSearchOut
		Const CST_MAIN As Integer = 0
		Const CST_JOIN As Integer = 1
		Const CST_WHERE As Integer = 2
		Dim tbl As String = Nothing
		Dim where As String = Nothing
		Dim sql() As String = {Nothing, Nothing, Nothing}
		Dim LendItemCd As clsConst.Enum_Lenditem
		Try
			'テーブルコード単位に処理を行う
			For Each tblCd As clsMSRCOMMON.Enum_Tbl_CD In cliRet.TableList
				where = Nothing
				'条件を抽出
				For Each param As clsMSRSearchOut.clsDbParam In cliRet.DbParam
					If param.TableCd = tblCd AndAlso param.Where IsNot Nothing Then
						where &= CST_SQL_AND & param.Where
					End If
				Next

				If where IsNot Nothing Then
					Select Case tblCd
						'患者基本、入退院、科歴はWHERE句として結合
						Case clsMSRCOMMON.Enum_Tbl_CD.XTI_BASICINFO
							sql(CST_WHERE) &= where
						Case clsMSRCOMMON.Enum_Tbl_CD.MTI_HSP
							sql(CST_WHERE) &= sqlMSR000C010.sqlSEARCH_MTI_HSP_PK_WHERE & where
						Case clsMSRCOMMON.Enum_Tbl_CD.MTI_CH
							sql(CST_WHERE) &= sqlMSR000C010.sqlSEARCH_MTI_CH_PK_WHERE & where

						'上記以外はサブテーブルを作成しJOIN
						Case Else
							Select Case tblCd
								Case clsMSRCOMMON.Enum_Tbl_CD.MTI_DEATH : tbl = sqlMSR000C010.selSEARCH_MTI_DEATH
								Case clsMSRCOMMON.Enum_Tbl_CD.MTI_WARD : tbl = sqlMSR000C010.selSEARCH_MTI_WARD
								Case clsMSRCOMMON.Enum_Tbl_CD.MTI_DOCTOR : tbl = sqlMSR000C010.selSEARCH_MTI_DOCTOR
								Case clsMSRCOMMON.Enum_Tbl_CD.MTI_MED_COST : tbl = sqlMSR000C010.selSEARCH_MTI_MED_COST
								Case clsMSRCOMMON.Enum_Tbl_CD.MTI_MED_COST_H : tbl = sqlMSR000C010.selSEARCH_MTI_MED_COST_H
								Case clsMSRCOMMON.Enum_Tbl_CD.MTI_MED_COST_C : tbl = sqlMSR000C010.selSEARCH_MTI_MED_COST_C
								Case clsMSRCOMMON.Enum_Tbl_CD.MTI_OTHER_DEPT : tbl = sqlMSR000C010.selSEARCH_MTI_OTHER_DEPT
								Case clsMSRCOMMON.Enum_Tbl_CD.MTI_DISEASE : tbl = sqlMSR000C010.selSEARCH_MTI_DISEASE
								Case clsMSRCOMMON.Enum_Tbl_CD.MTI_OPE : tbl = sqlMSR000C010.selSEARCH_MTI_OPE
								Case clsMSRCOMMON.Enum_Tbl_CD.MTI_OPE_DOCTOR : tbl = sqlMSR000C010.selSEARCH_MTI_OPE_DOCTOR
								Case clsMSRCOMMON.Enum_Tbl_CD.MTI_TEST : tbl = sqlMSR000C010.selSEARCH_MTI_TEST
								Case clsMSRCOMMON.Enum_Tbl_CD.MTI_CARE : tbl = sqlMSR000C010.selSEARCH_MTI_CARE
								Case clsMSRCOMMON.Enum_Tbl_CD.MTI_ASST1 : tbl = sqlMSR000C010.selSEARCH_MTI_ASST1
								Case clsMSRCOMMON.Enum_Tbl_CD.MTI_ASST2 : tbl = sqlMSR000C010.selSEARCH_MTI_ASST2
								Case clsMSRCOMMON.Enum_Tbl_CD.MTI_EMERGENCY : tbl = sqlMSR000C010.selSEARCH_MTI_EMERGENCY
								Case clsMSRCOMMON.Enum_Tbl_CD.MTI_CB : tbl = sqlMSR000C010.selSEARCH_MTI_CB
								Case clsMSRCOMMON.Enum_Tbl_CD.MTI_CB_CHILD : tbl = sqlMSR000C010.selSEARCH_MTI_CB_CHILD
								Case clsMSRCOMMON.Enum_Tbl_CD.MTI_CB_SB : tbl = sqlMSR000C010.selSEARCH_MTI_CB_SB
								Case clsMSRCOMMON.Enum_Tbl_CD.MTI_PATH : tbl = sqlMSR000C010.selSEARCH_MTI_PATH
								Case clsMSRCOMMON.Enum_Tbl_CD.MTI_INSPECT : tbl = sqlMSR000C010.selSEARCH_MTI_INSPECT
								Case clsMSRCOMMON.Enum_Tbl_CD.MTI_INSPECT_SP : tbl = sqlMSR000C010.selSEARCH_MTI_INSPECT_SP
																				sql(CST_WHERE) &= sqlMSR000C010.selSEARCH_MTI_INSPECT_SP_WHERE
								'貸出物
								Case clsMSRCOMMON.Enum_Tbl_CD.MTI_LENDITM : tbl = sqlMSR000C010.selSEARCH_MTI_LENDITM
								Case clsMSRCOMMON.Enum_Tbl_CD.MTI_LENDITM_MR To clsMSRCOMMON.Enum_Tbl_CD.MTI_LENDITM_I5

									'検索対象の貸出物コードを決定
									Select Case tblCd
										Case clsMSRCOMMON.Enum_Tbl_CD.MTI_LENDITM_MR
											LendItemCd = clsConst.Enum_Lenditem.MedicalRecord
										Case clsMSRCOMMON.Enum_Tbl_CD.MTI_LENDITM_SM
											LendItemCd = clsConst.Enum_Lenditem.Summary
										Case clsMSRCOMMON.Enum_Tbl_CD.MTI_LENDITM_I3
											LendItemCd = clsConst.Enum_Lenditem.LendItem3
										Case clsMSRCOMMON.Enum_Tbl_CD.MTI_LENDITM_I4
											LendItemCd = clsConst.Enum_Lenditem.LendItem4
										Case clsMSRCOMMON.Enum_Tbl_CD.MTI_LENDITM_I5
											LendItemCd = clsConst.Enum_Lenditem.LendItem5
									End Select

									'管理単位を取得しSQLを決定
									Select Case clsMSRCOMMON.getLendItemUnitCd(LendItemCd)
										Case clsConst.Enum_LendUnit.Each_Patient
											tbl = sqlMSR000C010.selSEARCH_MTI_LENDITM_B
										Case clsConst.Enum_LendUnit.Each_Hosp
											tbl = sqlMSR000C010.selSEARCH_MTI_LENDITM_H
										Case clsConst.Enum_LendUnit.Each_Dept
											tbl = sqlMSR000C010.selSEARCH_MTI_LENDITM_C
										Case Else
											tbl = Nothing
									End Select

								'貸出物情報
								Case clsMSRCOMMON.Enum_Tbl_CD.MTI_LEND : tbl = sqlMSR000C010.selSEARCH_MTI_LEND
								Case clsMSRCOMMON.Enum_Tbl_CD.MTI_LEND_MR To clsMSRCOMMON.Enum_Tbl_CD.MTI_LEND_I5
									Dim param As String = Nothing

									'検索対象の貸出物コードを決定
									Select Case tblCd
										Case clsMSRCOMMON.Enum_Tbl_CD.MTI_LEND_MR
											LendItemCd = clsConst.Enum_Lenditem.MedicalRecord
											param = sqlMSR000C010.prmLENDITEM_CD_MR
										Case clsMSRCOMMON.Enum_Tbl_CD.MTI_LEND_SM
											LendItemCd = clsConst.Enum_Lenditem.Summary
											param = sqlMSR000C010.prmLENDITEM_CD_SU
										Case clsMSRCOMMON.Enum_Tbl_CD.MTI_LEND_I3
											LendItemCd = clsConst.Enum_Lenditem.LendItem3
											param = sqlMSR000C010.prmLENDITEM_CD_I3
										Case clsMSRCOMMON.Enum_Tbl_CD.MTI_LEND_I4
											LendItemCd = clsConst.Enum_Lenditem.LendItem4
											param = sqlMSR000C010.prmLENDITEM_CD_I4
										Case clsMSRCOMMON.Enum_Tbl_CD.MTI_LEND_I5
											LendItemCd = clsConst.Enum_Lenditem.LendItem5
											param = sqlMSR000C010.prmLENDITEM_CD_I5
									End Select

									'貸出物コードを条件とパラメータに追加
									cliRet.AddDBParam(New clsMSRSearchOut.clsDbParam(tblCd, Nothing, param, clsDB.Enum_dbType.dbNVarChar, LendItemCd))
									where &= CST_SQL_AND & String.Format(sqlMSR000C010.selSEARCH_MTI_LENDITM_PLUS, param)

									'管理単位を取得しSQLを決定
									Select Case clsMSRCOMMON.getLendItemUnitCd(LendItemCd)
										Case clsConst.Enum_LendUnit.Each_Patient
											tbl = sqlMSR000C010.selSEARCH_MTI_LEND_B
										Case clsConst.Enum_LendUnit.Each_Hosp
											tbl = sqlMSR000C010.selSEARCH_MTI_LEND_H
										Case clsConst.Enum_LendUnit.Each_Dept
											tbl = sqlMSR000C010.selSEARCH_MTI_LEND_C
										Case Else
											tbl = Nothing
									End Select
							End Select

							'ＳＱＬ文に追加
							If where.Equals(CST_SQL_AND) = False Then
								where = where.Substring(CST_SQL_AND.Length - 1)
							Else
								where = Nothing
							End If
							sql(CST_JOIN) &= String.Format(tbl, where, CInt(tblCd).ToString)

					End Select
				End If
			Next

			'検索種類(通常 AND OR)に対応
			Select Case Type
				Case ENUM_SEARCH_TYPE.NORMAL_SEARCH : sql(CST_MAIN) = sqlMSR000C010.sqlSEARCH_NORMAL
				Case ENUM_SEARCH_TYPE.AND_SEARCH : sql(CST_MAIN) = sqlMSR000C010.sqlSEARCH_AND
				Case ENUM_SEARCH_TYPE.OR_SEARCH : sql(CST_MAIN) = sqlMSR000C010.sqlSEARCH_OR
			End Select

			'先頭をWHEREに変更
			If sql(CST_WHERE) IsNot Nothing Then sql(CST_WHERE) = CST_SQL_WHERE & sql(CST_WHERE).Substring(CST_SQL_AND.Length - 1)

			'SQL文の組み立て
			cliRet.Sql = String.Format(sql(CST_MAIN), String.Format(sqlMSR000C010.selSEARCH_SELECT, sql(CST_JOIN), sql(CST_WHERE)))

			Return cliRet
		Catch ex As Exception
			Throw
		Finally
			tbl = Nothing
			where = Nothing
			sql = Nothing
		End Try
	End Function
#End Region

#Region "オーバーライダブルメソッド"

	''' ---------------------------------------------
	''' <summary>
	''' フォーカス設定
	''' </summary>
	''' <remarks>
	''' 2010/11/10 新規作成 ACS)仙頭<BR/>
	''' </remarks>
	''' ---------------------------------------------
	Protected Overridable Sub setFocus()
		'継承先で記述
	End Sub

	''' ---------------------------------------------
	''' <summary>
	''' 検索条件設定有無チェック
	''' </summary>
	''' <param name="SearchNo">検索番号</param>
	''' <returns>設定有無</returns>
	''' <remarks>
	''' 2010/10/25 新規作成 ACS)仙頭<BR/>
	''' </remarks>
	''' ---------------------------------------------
	Public Overridable Function chkInput(ByVal SearchNo As Integer) As Boolean
		DirectCast(Me.TopLevelControl, frmBase).log(clsSysMst.logLevel.DBG, "ChkInput", "検索条件設定有無チェック START")
		Try
			If Me.chkChecked(Me) = True Then
				Return True
			Else
				'検索処理条件が未指定のため検索できません。
				DirectCast(Me.TopLevelControl, frmBase).showMsg("E0003", "検索処理条件が未指定", "検索", Nothing)
			End If
			Return False
		Catch ex As Exception
			Throw
		End Try
	End Function


	''' ---------------------------------------------
	''' <summary>
	''' 検索条件をすべてクリア
	''' </summary>
	''' <param name="Focus">フォーカス移動有無</param>
	''' <remarks>
	''' 2010/10/25 新規作成 ACS)仙頭<BR/>
	''' </remarks>
	''' ---------------------------------------------
	Public Overridable Sub Clear(Optional ByVal Focus As Boolean = True)
		DirectCast(Me.TopLevelControl, frmBase).log(clsSysMst.logLevel.DBG, "Clear", "検索条件をすべてクリア START")
		Try
			Me.setControl(Me)
			If Focus Then Me.setFocus()
		Catch ex As Exception
			Throw
		End Try
	End Sub

	''' ---------------------------------------------
	''' <summary>
	''' 検索処理
	''' </summary>
	''' <param name="type">検索タイプ</param>
	''' <returns></returns>
	''' <remarks>
	''' 2010/10/25 新規作成 ACS)仙頭<BR/>
	''' </remarks>
	''' ---------------------------------------------
	Public Overridable Function getSearchInfo(ByVal type As ENUM_SEARCH_TYPE) As clsMSRSearchOut
		DirectCast(Me.TopLevelControl, frmBase).log(clsSysMst.logLevel.DBG, "getSearchInfo", "検索処理 START")
		Dim cliRet As clsMSRSearchOut
		Try
			cliRet = New clsMSRSearchOut
			'コントロール走査
			For i As Integer = 0 To Me.SearchControls.Count - 1
				For Each cliInp As clsMSRSearchInp In Me.SearchControls(i)
					Dim ctl As Control = Me.findControl(cliInp.CheckBoxControl)
					If ctl IsNot Nothing AndAlso _
					   DirectCast(ctl, BT_CheckBox).Checked = True Then

						'表示用名称をチェックボックスより取得
						If cliInp.DispName Is Nothing Then cliInp.DispName = ctl.Text

						'検索
						cliRet = Me.ExecuteFunction(cliInp, cliRet)
					End If
				Next
			Next

			'検索条件の存在ﾁｪｯｸ
			If cliRet.Condition.Count = 0 Then Return Nothing

			'結果情報の作成
			cliRet.Info = New clsMSRSearchOut.clsInfo(clsMSRCOMMON.Enum_Tbl_CD.MTI_CH, Me.ctlText)

			'SQL文を作成し返却
			Return Me.setSearchSql(type, cliRet)

		Catch ex As Exception
			Throw
		Finally
			cliRet = Nothing

		End Try
		Return Nothing
	End Function

	''' ---------------------------------------------
	''' <summary>
	''' 復元処理
	''' </summary>
	''' <param name="SearhNo">検索番号</param>
	''' <returns></returns>
	''' <remarks>
	''' 2010/10/25 新規作成 ACS)仙頭<BR/>
	''' </remarks>
	''' ---------------------------------------------
	Public Overridable Function setCondition(ByVal SearhNo As Integer) As Boolean
		DirectCast(Me.TopLevelControl, frmBase).log(clsSysMst.logLevel.DBG, "setCondition", "検索条件値を画面に設定 START")
		Try
			'イベントが発生しないようにフラグを立てる
			Me.EventCancel = True

			'クリア処理
			Me.Clear(False)

			Using dt As DataTable = New DataTable
				'検索条件設定値の取得
				Using db As clsDB = New clsDB(clsSysMst.ctlConfigData)
					With db
						.setSQLDa(sqlMSR000C010.sqlSel_SearcCtl)
						.setParamDa(sqlMSRCOMMON.prmUSER_CD, clsDB.Enum_dbType.dbNVarChar)						' 使用者コード
						.setValDa(sqlMSRCOMMON.prmUSER_CD, DirectCast(Me.TopLevelControl, frmBase)._userID)
						.setParamDa(sqlMSRCOMMON.prmSEARCH_NO, clsDB.Enum_dbType.dbInt)							' 検索番号
						.setValDa(sqlMSRCOMMON.prmSEARCH_NO, SearhNo, False)
						.execQueryDa(dt)
					End With
				End Using
				If dt.Rows.Count > 0 Then
					Dim ctl As Control = Nothing
					Dim ctlSelect As Control = Nothing
					Dim val As String = Nothing
					Try
						For Each row As DataRow In dt.Rows
							ctl = Me.findControl(row(sqlMSR000C010.itmCTRL_CD).ToString)

							If ctl IsNot Nothing Then
								val = row(sqlMSR000C010.itmCTRL_VAL).ToString
								If String.IsNullOrEmpty(val) = True Then Continue For

								' タイプ毎に値　設定
								Select Case True
									Case TypeOf ctl Is BT_CheckBox
										If CType(clsConst.Enum_CheckBox_Flg.CheckOn, String) = val Then
											DirectCast(ctl, BT_CheckBox).Checked = True
										End If
									Case TypeOf ctl Is RadioButton
										If CType(clsConst.Enum_CheckBox_Flg.CheckOn, String) = val Then
											DirectCast(ctl, RadioButton).Checked = True
										End If
									Case TypeOf ctl Is BT_Like
										DirectCast(ctl, BT_Like).MatchingCriteria = val
									Case TypeOf ctl Is BT_Date
										DirectCast(ctl, BT_Date).DateValue = val
									Case TypeOf ctl Is BT_MultiComboBox
										DirectCast(ctl, BT_MultiComboBox).SelectedValue = val
									Case TypeOf ctl Is BT_NumericUpDown
										DirectCast(ctl, BT_NumericUpDown).Value = val
									Case TypeOf ctl Is BT_Number
										DirectCast(ctl, BT_Number).Text = val
									Case Else
										ctl.Text = val
								End Select
								'１件目のコントロールを退避
								If ctlSelect Is Nothing Then ctlSelect = ctl
							End If
						Next

						'１件目のコントロールをアクティブに
						If ctlSelect IsNot Nothing Then
							'親のタブページを検索しアクティブに
							ctl = Me.getParentTabPage(ctlSelect.Parent)
							If ctl IsNot Nothing Then DirectCast(ctl.Parent, TabControl).SelectedTab = ctl

							'暫定でアクティブに
							ctlSelect.Select()

							'チェックボックスならLinkContolを走査しアクティブに
							If TypeOf ctlSelect Is BT_CheckBox Then
								For Each LinkControl As String In DirectCast(ctlSelect, BT_CheckBox).LinkControls
									If String.IsNullOrEmpty(LinkControl) = False Then
										Dim ctls As Control() = ctlSelect.Parent.Controls.Find(LinkControl, True)
										If ctls.Length > 0 Then
											ctls(0).Select()
											Exit For
										End If
									End If
								Next
							End If
						End If

					Finally
						ctl = Nothing
						ctlSelect = Nothing
						val = Nothing
					End Try
				End If
			End Using
			Return True
		Catch ex As Exception
			Throw
		Finally
			'フラグを戻す
			Me.EventCancel = False
		End Try
	End Function

	''' ---------------------------------------------
	''' <summary>
	''' チェックボックス変更
	''' </summary>
	''' <param name="sender"></param>
	''' <param name="e"></param>
	''' <remarks>
	''' 2010/10/26 新規作成 ACS)仙頭<BR/>
	''' </remarks>
	''' ---------------------------------------------
	Protected Overridable Sub CheckBox_CheckedChanged(ByVal sender As System.Object, ByVal e As System.EventArgs)
		'setControlで関連付けを行うためにここに配置
		'継承先で処理を記述
	End Sub

	''' ---------------------------------------------
	''' <summary>
	''' 職員検索処理
	''' </summary>
	''' <param name="ctl">職員コントロール</param>
	''' <returns></returns>
	''' <remarks>
	''' 2010/10/26 新規作成 ACS)仙頭<BR/>
	''' </remarks>
	''' ---------------------------------------------
	Protected Overridable Function StaffFormProc(ByVal ctl As BT_MultiComboBox) As Boolean
		DirectCast(Me.TopLevelControl, frmBase).log(clsSysMst.logLevel.DBG, "StaffFormProc", "職員検索処理 START")
		Try
			If ctl.StaffCombo Then
				Dim myForm As frmBase = Me.TopLevelControl
				Dim fXSP030F010 As XSP.XSP030F010
				Try
					fXSP030F010 = New XSP.XSP030F010(ctl.Name, ctl.LinkControl, XSP.XSP030F010.Enum_ExeMode.eReference, ctl.DoctorFlg)
					myForm.nextForm(fXSP030F010)
					Return False
				Finally
					myForm = Nothing
					fXSP030F010 = Nothing
				End Try
			End If
			Return False
		Catch ex As Exception
			Throw
		End Try
	End Function

	''' ---------------------------------------------
	''' <summary>
	''' 画面遷移から戻ってきたときの処理
	''' </summary>
	''' <remarks>
	''' 2010/10/13 新規作成　ACS)仙頭<BR/>
	''' </remarks>
	''' ---------------------------------------------
	Public Overridable Sub rcvData(ByVal ret As XCM.frmBase.Enum_FormReturn, ByVal de As System.Collections.DictionaryEntry)
		'継承先で使用
		Return
	End Sub

#End Region

End Class
