﻿Imports System.ComponentModel
Imports System.Windows.Forms
Imports System.Drawing
Imports XSP
Imports XCM

''' ---------------------------------------------
''' <summary>
''' 診療情報管理 検索 一覧 継承元フォーム 
''' </summary>
''' <remarks>
''' Copyright 2010 FUJITSU SHIKOKU SYSTEMS LIMITED All rights reserved.<BR/>
''' FUJITSU SHIKOKU SYSTEMS LIMITED CONFIDENTIAL<BR/>
''' </remarks>
''' ---------------------------------------------
Public Class MSR000F020

#Region "コンスタント"

	''' ---------------------------------------------
	''' <summary>
	''' 検索呼出元種別
	''' </summary>
	''' <remarks>
	''' 2010/10/07 新規作成　ACS)仙頭<BR/>
	''' </remarks>
	''' ---------------------------------------------
	Public Enum ENUM_OWNERTYPE As Byte
		''' <summary>検索(デフォルト)</summary>
		MSR = 0
		''' <summary>メニュー </summary>
		MSS = 1
	End Enum

	''' ---------------------------------------------
	''' <summary>
	''' チェック有無判定
	''' </summary>
	''' <remarks>
	''' 2010/10/07 新規作成　ACS)仙頭<BR/>
	''' </remarks>
	''' ---------------------------------------------
	Public Enum ENUM_CHKSELECT As Byte
		''' <summary>チェック有が存在するか</summary>
		CHK_ON = 0
		''' <summary>未チェックが存在するか</summary>
		CHK_OFF = 1
	End Enum

	''' ---------------------------------------------
	''' <summary>
	''' 検索種別
	''' </summary>
	''' <remarks>
	''' 2010/10/14 新規作成　ACS)仙頭<BR/>
	''' </remarks>
	''' ---------------------------------------------
	Public Enum ENUM_SEARCHTYPE As Byte
		''' <summary>すべて</summary>
		ALL = 0
		''' <summary>主 </summary>
		MAIN = 1
		''' <summary>条件</summary>
		WHERE = 2
	End Enum

	''' ---------------------------------------------
	''' <summary>
	''' 統計用ワーク作成処理種別
	''' </summary>
	''' <remarks>
	''' 2010/10/14 新規作成　ACS)仙頭<BR/>
	''' </remarks>
	''' ---------------------------------------------
	Protected Enum ENUM_SQLTYPE As Byte
		''' <summary>ワーク作成(ワークテーブル削除)</summary>
		DEL = 0
		''' <summary>ワーク作成(検索処理結果)</summary>
		SEARCH_RESULT = 1
		''' <summary>ワーク作成(検索処理結果情報)</summary>
		SEARCH_INFO = 2
		''' <summary>ワーク作成(検索処理結果条件)</summary>
		SEARCH_CND = 3
	End Enum

	Private Const CST_SHOW_XSP040F010 As String = "XSP040F010"		'表示項目選択
	Private Const CST_SHOW_XSP020F010 As String = "XSP020F010"		'ソート画面
	Private Const CST_BTN_NAME_MST As String = "統計へ"				'統計ボタン名

	'getSchWhereで使用
	Private Const CST_WHERE As String = " WHERE "
	Private Const CST_AND As String = " AND "

'(A) STR V4-13001-000 003 20130131 ID)荒川 管理№187 管理物コードの単位が1の場合は開始/終了年月日を列および並び替え画面から表示しないように修正
   Private Const CST_LendItem_UnitCd1 As String = "1"			   '単位 = 1
'(A) END V4-13001-000 003 20130131

#End Region

#Region "変数"

	Private _Title As String = "処理名称"

	'継承先にて値設定
	Protected dgvList As DataGridView								'一覧(ｸﾞﾘｯﾄﾋﾞｭｰ)
	Protected pOwnerType As ENUM_OWNERTYPE = ENUM_OWNERTYPE.MSR		'呼出元種別
	Protected pLendItem As String = Nothing							'管理物コード
	Protected pSearchNo As Integer									'検索番号

	'アクセスクラス
	Private cliXTM_ITMSEL_LIST As clsXTM_ITMSEL_LIST				'表示項目アクセスクラス
	Private cliGridSort As clsGridSort								'グリッドソート

	'データクラス
	Private arXTM_ITEMLIST As ArrayList = Nothing					'一覧表示項目データクラス
	Private arXTM_SELECTLIST As ArrayList = Nothing					'一覧選択項目データクラス

	'フォームインスタンス
	Private frmXSP040F010 As XSP040F010 = Nothing					'表示項目選択
	Private frmXSP020F010 As XSP020F010 = Nothing					'ソート画面

	Private StartStatus As Boolean = False							'起動状況確認

'(A) STR V4-13001-000 004 20130131 ID)荒川 管理№187 管理物コードの単位が1の場合は開始/終了年月日を列および並び替え画面から表示しないように修正
	Private LendUnitCd As String = Nothing							'管理物単位
	Private NonDispClm() As String = {"c24001MSR160F010", "c26001MSR160F010", "c18001MSR170F010", "c20001MSR170F010"}
'(A) END V4-13001-000 004 20130131

#End Region

#Region "プロパティ"

	''' ---------------------------------------------
	''' <summary>
	''' タイトル（プロパティ）
	''' </summary>
	''' <value></value>
	''' <returns></returns>
	''' <remarks>
	''' 2010/10/07 新規作成　ACS)仙頭<BR/>
	''' </remarks>
	''' ---------------------------------------------
	<Browsable(True), _
	 Category("病歴大将"), _
	 DefaultValue("処理名称"), _
	 Description("ヘッダーのタイトルを設定します。")> _
	Public Property Title() As String
		Get
			Return _Title
		End Get
		Set(ByVal value As String)
			If value.Length = 0 Then
				value = "処理名称"
			End If
			_Title = value
			Me.lbl002MSR000F020.Text = _Title
			Me.lbl002MSR000F020.Invalidate()
			Me.pct003MSR000F020.Height = Me.lbl002MSR000F020.Height
			Me.pct003MSR000F020.Width = Me.lbl002MSR000F020.Width
			Me.pct003MSR000F020.Location = New Point(Me.lbl002MSR000F020.Location.X + 3, Me.lbl002MSR000F020.Location.Y + 3)
			Me.pct003MSR000F020.Invalidate()
		End Set
	End Property

#End Region

#Region "イベント"

	''' ---------------------------------------------
	''' <summary>
	''' フォームロード
	''' </summary>
	''' <param name="sender"></param>
	''' <param name="e"></param>
	''' <remarks>
	''' 2010/10/07 新規作成 ACS)仙頭<BR/>
	''' </remarks>
	''' ---------------------------------------------
	Private Sub MSR000F020_Load(ByVal sender As Object, ByVal e As System.EventArgs) Handles Me.Load
		If Me.DesignMode Then Return
		Me.Cursor = Cursors.WaitCursor
		log(clsSysMst.logLevel.NRM, "MSR000F020_Load", "フォームロード START")
		Try
			'起動状況確認
			If Me.setStartStatus(True) = False Then
				Me.CancelProc()
				Return
			Else
				StartStatus = True
			End If

			'一覧対象データの件数チェック
			Dim max As Integer = CInt(clsSysMst.ctlEnvData.getEnv(datEnv.Enum_ENV.ENV_00055))
			Select Case Me.getDataCnt
				Case 0
					'Zero件処理
					'検索条件に対する該当データが存在しません。
					Me.showMsg("E0010")
					'キャンセル
					Me.CancelProc()

					Return
				Case Is > max
					If max > 0 Then
						'動作環境より上限件数を取得
						'対象件数を検索画面にて絞り込んでください。
						Me.showMsg("W0003", "対象件数を検索画面にて", Nothing)
						'キャンセル
						Me.CancelProc()
						Return
					End If
			End Select

			'画面制御処理
			If Me.pOwnerType <> ENUM_OWNERTYPE.MSR Then														'検索へを非表示

				Me.btn004MSR000F020.Visible = False
			End If

			'使用者権限制御処理
			Dim cliXTM_USER As New clsXTM_USER
			Try
				'登録権限
				If cliXTM_USER.getAuthority(clsXTM_USER.Enum_Authority.PRD1_Touroku) = False Then
					Me.rdo018MSR000F020.Enabled = False
					Me.rdo019MSR000F020.Checked = True
				End If
				'参照権限
				Select Case True
					Case cliXTM_USER.getAuthority(clsXTM_USER.Enum_Authority.PRD1_Sansyou)
					Case cliXTM_USER.getAuthority(clsXTM_USER.Enum_Authority.DETI_Sansyou)
					Case cliXTM_USER.getAuthority(clsXTM_USER.Enum_Authority.DETI_SansyouKousinKa)
					Case Else
						Me.rdo018MSR000F020.Checked = True
						Me.rdo019MSR000F020.Enabled = False
				End Select
				'登録参照権限なし
				If Me.rdo018MSR000F020.Enabled = False AndAlso Me.rdo019MSR000F020.Enabled = False Then
					Me.grp017MSR000F020.Visible = False
					'患者番号項目のラベル化
					For Each col As DataGridViewColumn In Me.dgvList.Columns
						'
						If col.DataPropertyName = sqlMSRCOMMON.itmPATIENT_NO Then
							'ラベル項目の作成
							Dim textColumn As New DataGridViewTextBoxColumn()
							With textColumn
								.Name = col.Name
								.DataPropertyName = col.DataPropertyName
								.HeaderText = col.HeaderText
								.ToolTipText = col.ToolTipText
								.Frozen = col.Frozen
								.ReadOnly = col.ReadOnly
								.Width = col.Width
								.SortMode = col.SortMode
							End With

							'挿入位置の退避
							Dim iidx As Integer = col.DisplayIndex()

							Dim idisp As Integer = col.DisplayIndex()											'表示位置の退避

							'入れ替え
							With Me.dgvList
								.Columns.Remove(textColumn.Name)
								.Columns.Insert(iidx, textColumn)
								.Columns(textColumn.Name).DisplayIndex = idisp
							End With

							Exit For
						End If
					Next
				End If

				'統計権限
				Select Case True
					Case Me.btn008MSR000F020.Visible = False
					Case Me.btn008MSR000F020.Text <> CST_BTN_NAME_MST
					Case cliXTM_USER.getAuthority(clsXTM_USER.Enum_Authority.PRD1_Toukei) = False
						Me.btn008MSR000F020.Visible = False
					Case Else
				End Select

				'印刷権限
				Me.btn006MSR000F020.Visible = cliXTM_USER.getAuthority(clsXTM_USER.Enum_Authority.DETI_M_Print)

			Catch ex As Exception
				Throw
			Finally
				cliXTM_USER = Nothing
			End Try

			Me.cliGridSort = New clsGridSort																'グリットソート
			Me.setGridSortCriteria(Me.cliGridSort)

			Me.dgvList.AutoGenerateColumns = False															'データグリッド設定

			Me.cliXTM_ITMSEL_LIST = New clsXTM_ITMSEL_LIST
			Me.arXTM_ITEMLIST = Me.cliXTM_ITMSEL_LIST.getDispDefaultClm(Me.Name, Me.getItemListKey)			'一覧表示項目情報取得
			Me.arXTM_SELECTLIST = Me.cliXTM_ITMSEL_LIST.getDispClm(Me.Name, Me.getItemListKey, Me._userID)	'一覧選択項目情報取得

			Me.cliXTM_ITMSEL_LIST.setGridToolTip(Me.dgvList, Me.arXTM_ITEMLIST)								'一覧表示項目の名称をツールチップへ反映

'(A) STR V4-13001-000 004 20130131 ID)荒川 管理№187 管理物コードの単位が1の場合は開始/終了年月日を列および並び替え画面から表示しないように修正
			'管理単位を取得
			Me.LendUnitCd = clsMSRCOMMON.getLendItemUnitCd(Me.pLendItem)
'(A) END V4-13001-000 004 20130131

			Me.setListHeader()																				'一覧表示項目の変更

			Select Case True																				'一覧の精査（表示列の制御）
				Case Me.arXTM_SELECTLIST IsNot Nothing														'	一覧選択項目設定
					Me.cliXTM_ITMSEL_LIST.setDispClm(Me.dgvList, Me.arXTM_SELECTLIST)
				Case Me.arXTM_ITEMLIST IsNot Nothing														'	一覧表示項目設定
					Me.cliXTM_ITMSEL_LIST.setDispClm(Me.dgvList, Me.arXTM_ITEMLIST)
				Case Else																					'	デザインに任せる
			End Select

			DirectCast(New clsGridStyle, clsGridStyle).setGridHeight(Me.dgvList)							'グリット高調整

			'一覧イベントを関連付け
			AddHandler Me.dgvList.ColumnHeaderMouseClick, AddressOf Me.dgv_ColumnHeaderMouseClick			'	ヘッダクリック
			AddHandler Me.dgvList.CellContentClick, AddressOf Me.dgv_CellContentClick						'	セルクリック
			AddHandler Me.dgvList.CellDoubleClick, AddressOf Me.dgv_CellDoubleClick							'	セルダブルクリック
			AddHandler Me.dgvList.MouseUp, AddressOf Me.dgv_MouseUp											'	マウスアップ

			Me.rdo018MSR000F020.TabStop = False																'強制的にタブストップを止める
			Me.rdo019MSR000F020.TabStop = False
		Catch ex As Exception
			Me.ErrorProc(ex)
			Me.CancelProc()
		Finally
			Me.Cursor = Cursors.Default
		End Try
	End Sub

	''' ---------------------------------------------
	''' <summary>
	''' フォーム表示
	''' </summary>
	''' <param name="sender"></param>
	''' <param name="e"></param>
	''' <remarks>
	''' 2010/10/07 新規作成 ACS)仙頭<BR/>
	''' </remarks>
	''' ---------------------------------------------
	Private Sub MSR000F020_Shown(ByVal sender As Object, ByVal e As System.EventArgs) Handles Me.Shown
		If Me.DesignMode Then Return
		log(clsSysMst.logLevel.NRM, "MSR000F020_Shown", "フォーム表示 START")
		Me.Cursor = Cursors.WaitCursor
		Dim dtList As DataTable = Nothing
		Try
			'画面を一旦表示
			Application.DoEvents()
			'検索処理
			dtList = Me.getGridData()

			'ソート
			'生年月日変換
			If clsSysMst.ctlEnvData.getEnv(datEnv.Enum_ENV.ENV_00003) = clsConst.Enum_BirthDtInput.Jp Then
				Me.setBirthDayFormat(dtList, Me.dgvList)
			End If
			'画面へのデータ反映
			With Me.dgvList
				'一覧への反映
				.AllowUserToAddRows = False												'データバインド設定
				.DataSource = dtList.Copy												'データソース設定

'(A) STR V4-13001-000 004 20130131 ID)荒川 管理№187 管理物コードの単位が1の場合は開始/終了年月日を列および並び替え画面から表示しないように修正
				' 列非表示切替
				setUnVisibleColumns(Me.dgvList)
'(A) END V4-13001-000 004 20130131

				'件数表示
				Me.lbl022MSR000F020.Text = .Rows.Count.ToString(clsConst.CST_KENSU_FORMAT)	'件数表示
				Me.lbl020MSR000F020.Text = Me.lbl022MSR000F020.Text							'選択件数表示

				'グリッドの先頭行をセレクト
				If .Rows.Count > 0 Then
					.CurrentCell = .Rows(0).Cells(0)									'現在のセルを最上左に設定
					.FirstDisplayedScrollingRowIndex = 0								'先頭行を可視する
					.Select()															'フォーカス移動
				End If

			End With

		Catch ex As Exception
			Me.ErrorProc(ex)
			Me.CancelProc()
		Finally
			If dtList IsNot Nothing Then
				dtList.Dispose()
				dtList = Nothing
			End If
			Me.Cursor = Cursors.Default
'(M) STR V4-11048-000 005 20110915 FJSK)荒川 XXX号 病歴大将V4PKG問題点No159 並び替えができるように列に「カナ」を追加する対応
'			Me.dgvList.Cursor = Cursors.Default
			'表示時にエラーが発生してここを通る時にVBエラーになっていたので対応
			If Me.dgvList IsNot Nothing Then Me.dgvList.Cursor = Cursors.Default
'(M) END V4-11048-000 005 20110915
		End Try
	End Sub

	''' ---------------------------------------------
	''' <summary>
	''' 画面を閉じて検索画面へ
	''' </summary>
	''' <param name="sender"></param>
	''' <param name="e"></param>
	''' <remarks>
	''' 2010/10/07 新規作成　ACS)仙頭<BR/>
	''' </remarks>
	''' ---------------------------------------------
	Private Sub btn004MSR000F010_Click(ByVal sender As System.Object, ByVal e As System.EventArgs) Handles btn004MSR000F020.Click
		log(clsSysMst.logLevel.NRM, "btn004MSR000F010_Click", "検索へボタンクリックイベント START")
		Try
			'画面クローズ
			Me.EndProc(Enum_FormReturn.OK)
		Catch ex As Exception
			Me.ErrorProc(ex)
		End Try
	End Sub

	''' ---------------------------------------------
	''' <summary>
	''' 画面を閉じる
	''' </summary>
	''' <param name="sender"></param>
	''' <param name="e"></param>
	''' <remarks>
	''' 2010/10/07 新規作成　ACS)仙頭<BR/>
	''' </remarks>
	''' ---------------------------------------------
	Private Sub btn005MSR000F020_Click(ByVal sender As System.Object, ByVal e As System.EventArgs) Handles btn005MSR000F020.Click
		log(clsSysMst.logLevel.NRM, "btn005MSR000F020_Click", "閉じるボタンクリックイベント START")
		Try
			Me.Cursor = Cursors.WaitCursor
			'画面クローズ
			Me.EndProc(Enum_FormReturn.CANSEL)
		Catch ex As Exception
			Me.ErrorProc(ex)
		Finally
			Me.Cursor = Cursors.Default
		End Try
	End Sub

	'''---------------------------------------------
	''' <summary>
	''' フォームクローズ
	''' </summary>
	''' <param name="sender"></param>
	''' <param name="e"></param>
	''' <remarks>
	''' 2010/07/01 新規作成 ACS)仙頭<BR/>
	''' </remarks>
	'''---------------------------------------------
	Private Sub MSR000F020_FormClosing(ByVal sender As Object, ByVal e As System.Windows.Forms.FormClosingEventArgs) Handles Me.FormClosing
		log(clsSysMst.logLevel.NRM, "MSR000F020_FormClosing", "フォームクローズ START")
		Try
			Try
				'起動状況確認をクリア
				If StartStatus = True Then
					Me.delStartStatus()
					StartStatus = False
				End If
				If DirectCast(Me.Owner, frmBase).getCancelFlg() = False Then
					'正常終了時に表示項目選択を保存 
'(M) STR V4-11048-000 004 20110915 FJSK)荒川 XXX号 病歴大将V4PKG問題点No159 並び替えができるように列に「カナ」を追加する対応
'					Me.cliXTM_ITMSEL_LIST.exeUpdDispClm(Me._userID, Me.Name, Me.getItemListKey, Me.dgvList, Me.dgvList.Columns(0).Name, Me.dgvList.Columns(1).Name)
					Me.cliXTM_ITMSEL_LIST.exeUpdDispClm(Me._userID, Me.Name, Me.getItemListKey, Me.dgvList, Me.NonExecClm)
'(M) END V4-11048-000 004 20110915
				End If
			Catch ex As Exception
				Me.ErrorProc(ex)
			End Try

			Me.setCloseFlg()
			'呼出元画面へ
			If Me.Owner IsNot Nothing Then
				With DirectCast(Me.Owner, frmBase)
					.Select()
					.backForm(False)
				End With
			End If
		Catch ex As Exception
			Me.ErrorProc(ex)
		Finally
			'データソース解放
			If Me.dgvList.DataSource IsNot Nothing Then Me.dgvList.DataSource = Nothing

			'変数解放（Nothing）
			Me.dgvList = Nothing
			Me.pOwnerType = Nothing
			Me.pLendItem = Nothing

			''アクセスクラス
			Me.cliXTM_ITMSEL_LIST = Nothing
			Me.cliGridSort = Nothing

			'データクラス
			If Me.arXTM_ITEMLIST IsNot Nothing Then arXTM_ITEMLIST.Clear()
			If Me.arXTM_SELECTLIST IsNot Nothing Then arXTM_SELECTLIST.Clear()
			Me.arXTM_ITEMLIST = Nothing
			Me.arXTM_SELECTLIST = Nothing

			'フォームインスタンス
			Me.frmXSP040F010 = Nothing
			Me.frmXSP020F010 = Nothing
		End Try
	End Sub

	'''---------------------------------------------
	''' <summary>
	''' ラジオボタンクリック
	''' </summary>
	''' <param name="sender"></param>
	''' <param name="e"></param>
	''' <remarks>
	''' 2010/10/15 新規作成 ACS)仙頭<BR/>
	''' </remarks>
	'''---------------------------------------------
	Private Sub rdobtn_click(ByVal sender As System.Object, ByVal e As System.EventArgs) Handles rdo018MSR000F020.Click, rdo019MSR000F020.Click
		log(XCM.clsSysMst.logLevel.DBG, "rdobtn_CheckedChanged", "ラジオボタンクリック START")
		Try
			DirectCast(sender, RadioButton).TabStop = False
		Catch ex As Exception
			Me.ErrorProc(ex)
		End Try
	End Sub

	''' ---------------------------------------------
	''' <summary>
	''' 統計ボタンクリック
	''' </summary>
	''' <param name="sender"></param>
	''' <param name="e"></param>
	''' <remarks>
	''' 2010/10/25 新規作成　ACS)常包<BR/>
	''' </remarks>
	''' ---------------------------------------------
	Protected Overridable Sub btn008MSR000F020_Click(ByVal sender As System.Object, ByVal e As System.EventArgs) Handles btn008MSR000F020.Click
		log(clsSysMst.logLevel.NRM, "btn008MSR000F020_Click", "統計ボタンクリック START")
		Try
			Me.Cursor = Cursors.WaitCursor
			'統計画面遷移処理
			If sender.text = CST_BTN_NAME_MST Then Me.TokeiProc()
		Catch ex As Exception
			Me.ErrorProc(ex)
		Finally
			Me.Cursor = Cursors.Default
		End Try
	End Sub

	''' ---------------------------------------------
	''' <summary>
	''' 全選択
	''' </summary>
	''' <param name="sender"></param>
	''' <param name="e"></param>
	''' <remarks>
	''' 2010/10/07 新規作成　ACS)仙頭<BR/>
	''' </remarks>
	''' ---------------------------------------------
	Private Sub btn009MSR000F020_Click(ByVal sender As System.Object, ByVal e As System.EventArgs) Handles btn009MSR000F020.Click
		log(clsSysMst.logLevel.NRM, "btn009MSR000F020_Click", "全選択ボタンクリック START")
		Try
			Me.Cursor = Cursors.WaitCursor
			'ON
			Me.setGridCheck(clsConst.Enum_Chk.ChkOn)
		Catch ex As Exception
			Me.ErrorProc(ex)
		Finally
			Me.Cursor = Cursors.Default
		End Try
	End Sub

	''' ---------------------------------------------
	''' <summary>
	''' 全解除
	''' </summary>
	''' <param name="sender"></param>
	''' <param name="e"></param>
	''' <remarks>
	''' 2010/10/07 新規作成　ACS)仙頭<BR/>
	''' </remarks>
	''' ---------------------------------------------
	Private Sub btn010MSR000F020_Click(ByVal sender As System.Object, ByVal e As System.EventArgs) Handles btn010MSR000F020.Click
		log(clsSysMst.logLevel.NRM, "btn010MSR000F020_Click", "全解除ボタンクリック START")
		Try
			Me.Cursor = Cursors.WaitCursor
			'OFF
			Me.setGridCheck(clsConst.Enum_Chk.ChkOff)
		Catch ex As Exception
			Me.ErrorProc(ex)
		Finally
			Me.Cursor = Cursors.Default
		End Try
	End Sub

	''' ---------------------------------------------
	''' <summary>
	''' 反転
	''' </summary>
	''' <param name="sender"></param>
	''' <param name="e"></param>
	''' <remarks>
	''' 2010/10/07 新規作成　ACS)仙頭<BR/>
	''' </remarks>
	''' ---------------------------------------------
	Private Sub btn011MSR000F020_Click(ByVal sender As System.Object, ByVal e As System.EventArgs) Handles btn011MSR000F020.Click
		log(clsSysMst.logLevel.NRM, "btn011MSR000F020_Click", "反転ボタンクリック START")
		Try
			Me.Cursor = Cursors.WaitCursor
			'反転
			Me.setGridCheck(, True)
		Catch ex As Exception
			Me.ErrorProc(ex)
		Finally
			Me.Cursor = Cursors.Default
		End Try
	End Sub

	''' ---------------------------------------------
	''' <summary>
	''' 並べ替え
	''' </summary>
	''' <param name="sender"></param>
	''' <param name="e"></param>
	''' <remarks>
	''' 2010/10/07 新規作成　ACS)仙頭<BR/>
	''' </remarks>
	''' ---------------------------------------------
	Private Sub btn012MSR000F020_Click(ByVal sender As System.Object, ByVal e As System.EventArgs) Handles btn012MSR000F020.Click
		log(clsSysMst.logLevel.NRM, "btn012MSR000F020_Click", "並べ替えボタンクリック START")
		Try
			Me.frmXSP020F010 = Nothing
			Me.frmXSP020F010 = New XSP020F010(Me.dgvList, Me.cliGridSort)			'引数:一覧
			Me.nextForm(Me.frmXSP020F010)
		Catch ex As Exception
			Me.ErrorProc(ex)
		End Try
	End Sub

	''' ---------------------------------------------
	''' <summary>
	''' 選択外クリア
	''' </summary>
	''' <param name="sender"></param>
	''' <param name="e"></param>
	''' <remarks>
	''' 2010/10/07 新規作成　ACS)仙頭<BR/>
	''' </remarks>
	''' ---------------------------------------------
	Private Sub btn013MSR000F020_Click(ByVal sender As System.Object, ByVal e As System.EventArgs) Handles btn013MSR000F020.Click
		log(clsSysMst.logLevel.NRM, "btn013MSR000F020_Click", "選択外クリアボタンクリック START")
		Try
			Me.Cursor = Cursors.WaitCursor
			Dim dt As DataTable = DirectCast(Me.dgvList.DataSource, DataTable)
			Dim dtrow() As DataRow = dt.Select(sqlMSRCOMMON.itmSELECTED & "=" & clsConst.Enum_Chk.ChkOn)

			Select Case True
				Case dt.Rows.Count = dtrow.Length
					Exit Sub
					'未選択なしは終了
				Case (dt.Rows.Count / 2) > dtrow.Length
					'削除件数が多い場合、未削除行を新規データテーブルに追加
					Dim dtTmp As New DataTable
					Try
						dtTmp = dt.Clone()
						For Each rw As DataRow In dtrow
							dtTmp.ImportRow(rw)
						Next
						'データソースを変更
						Me.dgvList.DataSource = dtTmp
					Catch ex As Exception
						Throw
					Finally
						dtTmp.Dispose()
					End Try
				Case Else
					'削除件数が少ない場合、元データテーブルから削除
					For row As Integer = 0 To dt.Rows.Count - 1
						If dt.Rows(row)(sqlMSRCOMMON.itmSELECTED) = clsConst.Enum_Chk.ChkOff Then
							dt.Rows(row).Delete()
						End If
					Next
					'変更コミット
					dt.AcceptChanges()
			End Select
			'件数表示
			Me.setSelectCnt()
		Catch ex As Exception
			Me.ErrorProc(ex)
		Finally
			Me.Cursor = Cursors.Default
		End Try
	End Sub

	''' ---------------------------------------------
	''' <summary>
	''' 表示項目選択
	''' </summary>
	''' <param name="sender"></param>
	''' <param name="e"></param>
	''' <remarks>
	''' 2010/10/07 新規作成　ACS)仙頭<BR/>
	''' </remarks>
	''' ---------------------------------------------
	Private Sub btn014MSR000F020_Click(ByVal sender As System.Object, ByVal e As System.EventArgs) Handles btn014MSR000F020.Click
		log(clsSysMst.logLevel.NRM, "btn014MSR000F020_Click", "表示項目ボタンクリック START")
		Try
			Me.frmXSP040F010 = Nothing
			Me.frmXSP040F010 = New XSP040F010(Me.dgvList, Me.arXTM_ITEMLIST)
			Me.nextForm(Me.frmXSP040F010)
		Catch ex As Exception
			Me.ErrorProc(ex)
		End Try
	End Sub

	''' ---------------------------------------------
	''' <summary>
	''' ヘッダークリック
	''' </summary>
	''' <param name="sender"></param>
	''' <param name="e"></param>
	''' <remarks>
	''' 2010/10/07 新規作成　ACS)仙頭<BR/>
	''' </remarks>
	''' ---------------------------------------------
	Protected Overridable Sub dgv_ColumnHeaderMouseClick(ByVal sender As Object, ByVal e As System.Windows.Forms.DataGridViewCellMouseEventArgs)
		log(clsSysMst.logLevel.NRM, "dgv_ColumnHeaderMouseClick", "グリットヘッダクリック START")
		Dim arSort As ArrayList = Nothing
		Dim cliGridSort As clsGridSort = Nothing
		Try
			If Me.dgvList.Rows.Count <= 0 Then Exit Sub

			Me.Cursor = Cursors.WaitCursor
			With Me.dgvList
				If e.ColumnIndex > 0 AndAlso .Columns(e.ColumnIndex).DataPropertyName <> sqlMSRCOMMON.itmSELECTED Then

					arSort = New ArrayList
					If Me.cliGridSort.getItm(.Columns(e.ColumnIndex).DataPropertyName) IsNot Nothing Then				'独自ソートの存在チェック
						For Each dicDat As DictionaryEntry In Me.cliGridSort.getItm(.Columns(e.ColumnIndex).DataPropertyName)
							arSort.Add(dicDat)																			'独自ソートを反映
						Next
					Else
						arSort.Add(New DictionaryEntry(.Columns(e.ColumnIndex).DataPropertyName, clsGridSort.Enum_SortType.SortNone))
					End If
					If DirectCast(.DataSource, DataTable).Columns.Contains(sqlMSRCOMMON.itmSORT_SEQ) = True Then		'初期ソートがあれば追加
						arSort.Add(New DictionaryEntry(sqlMSRCOMMON.itmSORT_SEQ, clsGridSort.Enum_SortType.SortNone))
					End If
					cliGridSort = New clsGridSort
					cliGridSort.Add(.Columns(e.ColumnIndex).Name, arSort)
					cliGridSort.SortRow(Me.dgvList, .Columns(e.ColumnIndex).Name, e.ColumnIndex)

					'グリッドの先頭行をセレクト
					If .Rows.Count > 0 Then
						.CurrentCell = .Rows(0).Cells(0)									'現在のセルを最上左に設定
						.FirstDisplayedScrollingRowIndex = 0								'先頭行を可視する
						.Select()															'フォーカス移動
					End If
				End If
			End With
		Catch ex As Exception
			Me.ErrorProc(ex)
		Finally
			If arSort IsNot Nothing Then arSort.Clear()
			arSort = Nothing
			cliGridSort = Nothing
			Me.Cursor = Cursors.Default
		End Try
	End Sub

	''' ---------------------------------------------
	''' <summary>
	''' チェックボックス編集/ボタンクリック
	''' </summary>
	''' <param name="sender"></param>
	''' <param name="e"></param>
	''' <remarks>
	''' 2010/10/07 新規作成　ACS)仙頭<BR/>
	''' </remarks>
	''' ---------------------------------------------
	Protected Overridable Sub dgv_CellContentClick(ByVal sender As Object, ByVal e As System.Windows.Forms.DataGridViewCellEventArgs)
		log(clsSysMst.logLevel.NRM, Reflection.MethodBase.GetCurrentMethod.Name, "チェックボックス編集/患者番号ボタンクリック START")
		Try
			If e.RowIndex < 0 OrElse e.ColumnIndex < 0 Then Exit Sub
			With DirectCast(sender, DataGridView)
				Select Case True
					Case TypeOf .Columns(e.ColumnIndex) Is DataGridViewCheckBoxColumn			'チェックボックス列なら
						.CommitEdit(DataGridViewDataErrorContexts.Commit)						'	変更内容をコミット
						Me.setSelectCnt()														'	件数表示
					Case TypeOf .Columns(e.ColumnIndex) Is DataGridViewButtonColumn				'ボタン列なら
						Me.nextNyutain(e.RowIndex)												'	入退院遷移処理
				End Select
			End With
		Catch ex As Exception
			Me.ErrorProc(ex)
		End Try
	End Sub

	''' ---------------------------------------------
	''' <summary>
	''' グリットダブルクリック
	''' </summary>
	''' <param name="sender"></param>
	''' <param name="e"></param>
	''' <remarks>
	''' 2010/10/07 新規作成　ACS)仙頭<BR/>
	''' </remarks>
	''' ---------------------------------------------
	Protected Overridable Sub dgv_CellDoubleClick(ByVal sender As Object, ByVal e As System.Windows.Forms.DataGridViewCellEventArgs)
		log(clsSysMst.logLevel.NRM, Reflection.MethodBase.GetCurrentMethod.Name, "グリットダブルクリック START")
		Try
			If e.RowIndex < 0 OrElse e.ColumnIndex < 0 Then Return
			With DirectCast(sender, DataGridView)
				If TypeOf .Columns(e.ColumnIndex) Is DataGridViewCheckBoxColumn = False AndAlso
				   TypeOf .Columns(e.ColumnIndex) Is DataGridViewButtonColumn = False Then			'チェックボックスとボタン以外
					Me.nextNyutain(e.RowIndex)													'入退院遷移処理
				End If
			End With
		Catch ex As Exception
			Me.ErrorProc(ex)
		End Try
	End Sub

	''' ---------------------------------------------
	''' <summary>
	''' グリットマウスアップ
	''' </summary>
	''' <param name="sender"></param>
	''' <param name="e"></param>
	''' <remarks>
	''' 2011/01/11 新規作成　ACS)仙頭<BR/>
	''' </remarks>
	''' ---------------------------------------------
	Private Sub dgv_MouseUp(ByVal sender As Object, ByVal e As System.Windows.Forms.MouseEventArgs)
		log(clsSysMst.logLevel.DBG, Reflection.MethodBase.GetCurrentMethod.Name, "グリットマウスアップ START")				   'イベント発生が多いのでDBGにしておく
		Try
			With DirectCast(sender, DataGridView)
				If .Rows.Count = 0 Then Return
				If TypeOf .Columns(.CurrentCell.ColumnIndex) Is DataGridViewCheckBoxColumn AndAlso
				  .IsCurrentCellDirty Then														 'チェックボックス列 かつ 編集済みであれば
					.CommitEdit(DataGridViewDataErrorContexts.Commit)								'	変更内容をコミット
					Me.setSelectCnt()																'	件数表示
				End If
			End With
		Catch ex As Exception
			Me.ErrorProc(ex)
		End Try
	End Sub

#End Region

#Region "メソッド"

	''' ---------------------------------------------
	''' <summary>
	''' 画面開設中止
	''' </summary>
	''' <remarks>
	''' 2010/10/08 新規作成　ACS)仙頭<BR/>
	''' </remarks>
	''' ---------------------------------------------
	Protected Sub CancelProc()
		log(clsSysMst.logLevel.DBG, "CancelProc", "画面開設中止 START")
		Try
			DirectCast(Me.Owner, frmBase).setCancelFlg(True)
		Catch ex As Exception
			Throw
		Finally
			'画面終了
			Me.EndProc(Enum_FormReturn.NONE)
		End Try
	End Sub

	''' ---------------------------------------------
	''' <summary>
	''' 選択状態セット
	''' </summary>
	''' <param name="pCheck">セットするチェック状態</param>	
	''' <remarks>
	''' 2010/10/07 新規作成　ACS)仙頭<BR/>
	''' </remarks>
	''' ---------------------------------------------
	Private Sub setGridCheck(Optional ByVal pCheck As clsConst.Enum_Chk = Nothing, Optional ByVal pRev As Boolean = False)
		log(clsSysMst.logLevel.DBG, "setGridCheck", "選択状態セット START")
		Try
			Dim dt As DataTable = DirectCast(Me.dgvList.DataSource, DataTable)
			'現在のトップ位置を保存
			Dim idx As Integer = Me.dgvList.FirstDisplayedScrollingRowIndex
			'変更コミット
			dt.AcceptChanges()

			If pRev Then
				'反転
				For row As Integer = 0 To dt.Rows.Count - 1
					If dt.Rows(row)(sqlMSRCOMMON.itmSELECTED) = clsConst.Enum_Chk.ChkOff Then
						dt.Rows(row)(sqlMSRCOMMON.itmSELECTED) = clsConst.Enum_Chk.ChkOn
					Else
						dt.Rows(row)(sqlMSRCOMMON.itmSELECTED) = clsConst.Enum_Chk.ChkOff
					End If
				Next
			Else
				'ON/OFF
				For row As Integer = 0 To dt.Rows.Count - 1
					dt.Rows(row)(sqlMSRCOMMON.itmSELECTED) = pCheck
				Next
			End If

			'コミット
			dt.AcceptChanges()

			'保存したトップ位置に変更
			If idx > -1 Then
				Me.dgvList.FirstDisplayedScrollingRowIndex = idx
			End If

			'件数表示
			Me.setSelectCnt()
		Catch ex As Exception
			Throw
		End Try
	End Sub

	''' ---------------------------------------------
	''' <summary>
	''' 件数表示処理
	''' </summary>
	''' <remarks>
	''' 2010/10/07 新規作成　ACS)仙頭<BR/>
	''' </remarks>
	''' ---------------------------------------------
	Protected Sub setSelectCnt()
		log(clsSysMst.logLevel.DBG, "setSelectCnt", "件数表示 START")
		Try
			If Me.dgvList.Rows Is Nothing OrElse Me.dgvList.Rows.Count = 0 Then
				Me.lbl020MSR000F020.Text = "0"
				Me.lbl022MSR000F020.Text = "0"
			Else
				Dim Cnt As Integer = 0
				For Each row As DataGridViewRow In Me.dgvList.Rows
					If row.Cells(0).Value = clsConst.Enum_Chk.ChkOn Then Cnt += 1
				Next
				Me.lbl020MSR000F020.Text = Cnt.ToString(clsConst.CST_KENSU_FORMAT)
				Me.lbl022MSR000F020.Text = Me.dgvList.Rows.Count.ToString(clsConst.CST_KENSU_FORMAT)
			End If
		Catch ex As Exception
			Throw
		End Try
	End Sub

	''' ---------------------------------------------
	''' <summary>
	''' 件数取得判定
	''' </summary>
	''' <param name="pCheck">チェック内容 ON:ONがあればOK OFF:OFFがあればOK</param>	
	''' <remarks>
	''' 2010/10/07 新規作成　ACS)仙頭<BR/>
	''' </remarks>
	''' ---------------------------------------------
	Protected Function chkGridCnt(ByVal pCheck As ENUM_CHKSELECT) As Boolean
		log(clsSysMst.logLevel.DBG, "chkGridCnt", "件数取得判定 START")
		Try
			With Me.dgvList
				If .Rows Is Nothing Then Return False
				If .Rows.Count = 0 Then
					Me.showMsg("E0005")
					Return False
				End If

				'選択されている件数
				Dim iSelectCnt As Integer = DirectCast(.DataSource, DataTable).Select(sqlMSRCOMMON.itmSELECTED & "=" & clsConst.Enum_Chk.ChkOn).Length

				Select Case pCheck
				Case ENUM_CHKSELECT.CHK_ON
					'選択件数がZero件ならエラー
					If iSelectCnt = 0 Then
						Me.showMsg("E0005")
						Return False
					End If
				Case ENUM_CHKSELECT.CHK_OFF
					'選択件数が全件の場合エラー
					If iSelectCnt = .Rows.Count Then
						Me.showMsg("E0012", "全て選択", Nothing)
						Return False
					End If
				Case Else
					Return False
				End Select
			End With
			Return True
		Catch ex As Exception
			Throw
		End Try
	End Function

	''' ---------------------------------------------
	''' <summary>
	''' 検索用DBパラメータ設定
	''' </summary>
	''' <param name="db">DB</param>
	''' <param name="chk">有無マスタの使用</param>
	''' <remarks>
	''' 2010/10/07 新規作成　ACS)仙頭<BR/>
	''' </remarks>
	''' ---------------------------------------------
	Protected Sub setSearchDbParam(ByRef db As clsDB, Optional ByVal chk As Boolean = False)
		log(clsSysMst.logLevel.DBG, "setSearchDbParam", "検索用DBパラメータセット START")
		Try
			With db
				.setParamDa(sqlMSRCOMMON.prmUSER_CD, clsDB.Enum_dbType.dbNVarChar)		'使用者コード
				.setValDa(sqlMSRCOMMON.prmUSER_CD, Me._userID)
				.setParamDa(sqlMSRCOMMON.prmSEARCH_NO, clsDB.Enum_dbType.dbInt)			'検索番号
				.setValDa(sqlMSRCOMMON.prmSEARCH_NO, Me.pSearchNo)

				If chk = True Then
					.setParamDa(sqlMSRCOMMON.prmSELECTED, clsDB.Enum_dbType.dbInt)			'選択チェック
					.setValDa(sqlMSRCOMMON.prmSELECTED, clsConst.Enum_Chk.ChkOn, False)

					'有無マスタの設定
					.setParamDa(sqlMSRCOMMON.prmCHK_CD_ON, clsDB.Enum_dbType.dbInt)
					.setParamDa(sqlMSRCOMMON.prmCHK_CD_OFF, clsDB.Enum_dbType.dbInt)
					.setValDa(sqlMSRCOMMON.prmCHK_CD_ON, clsConst.Enum_Chk.ChkOn, False)
					.setValDa(sqlMSRCOMMON.prmCHK_CD_OFF, clsConst.Enum_Chk.ChkOff, False)
					.setParamDa(sqlMSRCOMMON.prmCHK_NM_ON, clsDB.Enum_dbType.dbNVarChar)
					.setParamDa(sqlMSRCOMMON.prmCHK_NM_OFF, clsDB.Enum_dbType.dbNVarChar)
					Dim dt As DataTable = clsConst.getExist
					Try
						.setValDa(sqlMSRCOMMON.prmCHK_NM_ON, clsMSRCOMMON.getDtItem(dt, clsConst.Enum_Chk.ChkOn))
						.setValDa(sqlMSRCOMMON.prmCHK_NM_OFF, clsMSRCOMMON.getDtItem(dt, clsConst.Enum_Chk.ChkOff))
					Finally
						dt.Dispose()
						dt = Nothing
					End Try

					'フラグの設定
					.setParamDa(sqlMSRCOMMON.prmFLG_CD_ON, clsDB.Enum_dbType.dbInt)
					.setValDa(sqlMSRCOMMON.prmFLG_CD_ON, clsConst.Enum_CheckBox_Flg.CheckOn, False)
					.setParamDa(sqlMSRCOMMON.prmFLG_NM_ON, clsDB.Enum_dbType.dbNVarChar)
					.setValDa(sqlMSRCOMMON.prmFLG_NM_ON, clsMSRCOMMON.getDtItem(clsConst.getCheckBox, clsConst.Enum_CheckBox_Flg.CheckOn))
				End If
			End With
		Catch ex As Exception
			Throw
		End Try
	End Sub

	''' ---------------------------------------------
	''' <summary>
	''' 一覧タイトル・ツールチップの設定（項目単位)
	''' </summary>
	''' <param name="colname">項目名(ex.c010001MSRxxxF010)</param>
	''' <param name="text">ヘッダ部に表示する内容</param>
	''' <param name="tiptext">ﾂｰﾙﾁｯﾌﾟで表示する内容</param>
	''' <param name="del">項目設定値がなければ消去</param>
	''' <remarks>
	''' 2010/10/07 新規作成　ACS)仙頭<BR/>
	''' </remarks>
	''' ---------------------------------------------
	Protected Sub setListHeader(ByVal colname As String _
					 , Optional ByVal text As String = Nothing _
					 , Optional ByVal tiptext As String = Nothing _
					 , Optional ByRef del As Boolean = False)
		log(clsSysMst.logLevel.DBG, "setListHeader " & colname, "一覧タイトル・ツールチップの設定 START")
		Try
			'列項目の存在ﾁｪｯｸ
			If dgvList.Columns.Contains(colname) = False Then Exit Sub

			'Nothing対応
			If text Is Nothing Then text = String.Empty
			If tiptext Is Nothing Then tiptext = String.Empty

			'ﾃｷｽﾄ、ﾂｰﾙﾁｯﾌﾟがいずれかが設定されており、一方がからなら上書き
			If text.Length = 0 AndAlso tiptext.Length > 0 Then
				text = tiptext
			ElseIf tiptext.Length = 0 AndAlso text.Length > 0 Then
				tiptext = text
			End If

			'一覧への反映
			With dgvList.Columns(colname)
				If text.Length > 0 Then
					.HeaderText = text
					.ToolTipText = tiptext
				ElseIf del = True Then
					.Visible = False
				End If
			End With

			'表示項目リストの更新
			Dim row As datXTM_ITEMLIST
			If arXTM_ITEMLIST IsNot Nothing Then
				For i As Integer = 0 To arXTM_ITEMLIST.Count - 1
					 row = DirectCast(arXTM_ITEMLIST.Item(i), datXTM_ITEMLIST)
					If row.KEY_NO = colname Then
						If text.Length > 0 Then
							row.DSP_NM = tiptext
						ElseIf del = True Then
							arXTM_ITEMLIST.RemoveAt(i)
							If arXTM_SELECTLIST IsNot Nothing Then
								'選択表示項目リストの更新
								Dim row2 As datXTM_SELECTLIST
								For j As Integer = 0 To arXTM_SELECTLIST.Count - 1
									row2 = DirectCast(arXTM_SELECTLIST.Item(j), datXTM_SELECTLIST)
									If row2.KEY_NO = colname Then
										arXTM_SELECTLIST.RemoveAt(j)
										Exit For
									End If
								Next
							End If
						End If
						Exit For
					End If
				Next
			End If

		Catch ex As Exception
			Throw
		End Try
	End Sub

	''' ---------------------------------------------
	''' <summary>
	''' 項目マスタよりデータを取得し、一覧タイトル・ツールチップの設定をする
	''' </summary>
	''' <param name="col">一覧項目配列</param>
	''' <param name="sql">項目マスタ取得SQL</param>
	''' <remarks>
	''' 2010/10/13 新規作成　ACS)仙頭<BR/>
	''' </remarks>
	''' ---------------------------------------------
	Protected Sub setMst2ListHeader(ByRef col As Hashtable, ByVal sql As String)
		log(clsSysMst.logLevel.DBG, "setMst2ListHeader", "一覧タイトル・ツールチップの設定（DBより） START")
		Try
			'マスタを取得
			Using dt As DataTable = Me.getDatatable(sql)
				For Each row As DataRow In dt.Rows
					'キーの検索
					If col.Contains(row.Item(sqlMSRCOMMON.itmITEM_CD)) = True Then
						'一覧タイトル・ツールチップの設定
						Me.setListHeader(col.Item(row.Item(sqlMSRCOMMON.itmITEM_CD)) _
									   , row.Item(sqlMSRCOMMON.itmITEM_RNM).ToString _
									   , row.Item(sqlMSRCOMMON.itmITEM_NM).ToString _
									   , True)
						'配列から指定項目の削除
						col.Remove(row.Item(sqlMSRCOMMON.itmITEM_CD))
					End If
				Next
			End Using

			'取得できなかった項目は全て非表示項目として取り扱う
			For Each de As DictionaryEntry In col
				Me.setListHeader(de.Value, , , True)
			Next
		Catch ex As Exception
			Throw
		End Try
	End Sub

	''' ---------------------------------------------
	''' <summary>
	''' データテーブル取得(パラメータなし)
	''' </summary>
	''' <param name="sql">SQL文</param>
	''' <returns>取得データテーブル</returns>
	''' <remarks>
	''' 2010/10/07 新規作成　ACS)仙頭<BR/>
	''' </remarks>
	''' ---------------------------------------------
	Protected Function getDatatable(ByVal sql As String) As DataTable
		log(clsSysMst.logLevel.DBG, "getDatatable", "データ取得(パラメータなし) START")
		Try
			Using db As New clsDB(clsSysMst.ctlConfigData),
				  dt As New DataTable
				db.setSQLDa(sql)
				db.execQueryDa(dt)
				Return dt
			End Using
		Catch ex As Exception
			Throw
		End Try
	End Function

	''' ---------------------------------------------
	''' <summary>
	''' 最新入退院歴番号／科歴番号の取得
	''' </summary>
	''' <param name="key1">患者番号</param>
	''' <param name="key2">入退院歴番号</param>
	''' <returns></returns>
	''' <remarks>
	''' 2010/10/07 新規作成　ACS)仙頭<BR/>
	''' </remarks>
	''' ---------------------------------------------
	Private Function getKeyValue(ByVal key1 As String, Optional ByVal key2 As Integer = -1) As Integer
		log(clsSysMst.logLevel.DBG, "getKeyValue", "最新入退院歴番号／科歴番号の取得 START")
		Try
			Using db As New clsDB(clsSysMst.ctlConfigData),
				  dt As New DataTable
				With db
					If key2 >= 0 Then
						.setSQLDa(sqlMSR000F020.sqlSel_CH)
					Else
						.setSQLDa(sqlMSR000F020.sqlSel_HSP)
					End If
					.setParamDa(sqlMSRCOMMON.prmPATIENT_NO, clsDB.Enum_dbType.dbNVarChar)		'患者番号
					.setValDa(sqlMSRCOMMON.prmPATIENT_NO, key1)
					If key2 >= 0 Then
						.setParamDa(sqlMSRCOMMON.prmHSP_NO, clsDB.Enum_dbType.dbInt)			'入退院番号
						.setValDa(sqlMSRCOMMON.prmHSP_NO, key2)
					End If

					.execQueryDa(dt)
					If dt IsNot Nothing AndAlso dt.Rows.Count > 0 And IsDBNull(dt.Rows(0).Item(sqlMSR000F020.itmNO)) = False Then
						Return dt.Rows(0).Item(sqlMSR000F020.itmNO)
					Else
						Return 0
					End If
				End With
			End Using
		Catch ex As Exception
			Throw
		End Try
	End Function

	''' ---------------------------------------------
	''' <summary>
	''' 表示項目の引数値を返却　
	''' </summary>
	''' <returns>通常は一覧名、管理物コードがあればそちらを返却 </returns>
	''' <remarks>
	''' 2010/10/13 新規作成　ACS)仙頭<BR/>
	''' </remarks>
	''' ---------------------------------------------
	Private Function getItemListKey() As String
		Try
			If Me.pLendItem Is Nothing Then
				Return Me.dgvList.Name
			Else
				Return Me.pLendItem
			End If
		Catch ex As Exception
			Throw
		End Try
	End Function

	''' ---------------------------------------------
	''' <summary>
	''' 検索処理結果条件よりＳＱＬ文取得
	''' </summary>
	''' <param name="db">clsDB</param>
	''' <remarks>
	''' 2010/10/25 新規作成　ACS)常包<BR/>
	''' </remarks>
	''' ''' ---------------------------------------------
	Protected Function getSchWhere(ByRef db As clsDB _
								 , ByVal TblCd As clsMSRCOMMON.Enum_Tbl_CD _
								 , Optional ByVal OldTableName As String = Nothing _
								 , Optional ByVal NewTableName As String = Nothing _
								 , Optional ByVal bWhere As Boolean = False _
								 ) As String
		log(clsSysMst.logLevel.DBG, "getSchWhere", "検索処理結果条件よりＳＱＬ文取得 START")
		Dim ret As String = Nothing
		Dim dtRow As DataRow
		Try
			Using dt As New DataTable
				With db
					'ＳＱＬ文セット
					.setSQLDa(sqlMSR000F020.sqlSel_Scarch)

					'パラメータセット
					.setParamDa(sqlMSRCOMMON.prmUSER_CD, clsDB.Enum_dbType.dbNVarChar)		'使用者コード
					.setValDa(sqlMSRCOMMON.prmUSER_CD, Me._userID)
					.setParamDa(sqlMSRCOMMON.prmSEARCH_NO, clsDB.Enum_dbType.dbInt)			'検索番号
					.setValDa(sqlMSRCOMMON.prmSEARCH_NO, Me.pSearchNo)
					.setParamDa(sqlMSR000F020.prmTABLE_CD, clsDB.Enum_dbType.dbInt)
					.setValDa(sqlMSR000F020.prmTABLE_CD, TblCd)

					'データ取得
					.execQueryDa(dt)

					'Where文を取得・成型
					If dt.Rows.Count > 0 Then
						For Each dtRow In dt.Rows
							ret &= String.Format("{0} ({1})", CST_AND, dtRow(sqlMSR000F020.itmSQL_SNT).ToString)
						Next

						'先頭をWhereに変更
						If bWhere = True Then
							ret = CST_WHERE & ret.Substring(CST_AND.Length - 1)
						End If

						'テーブル名を置換
						If OldTableName IsNot Nothing Then
							ret = ret.Replace(OldTableName, NewTableName)
						End If
					End If
				End With
			End Using

			Return ret
		Catch ex As Exception
			Throw
		Finally
			dtRow = Nothing
		End Try
	End Function

'(A) STR V4-13001-000 026 20130131 ID)荒川 管理№187 管理物コードの単位が1の場合は開始/終了年月日を列および並び替え画面から表示しないように修正
	''' ---------------------------------------------
	''' <summary>
	''' 非表示列設定処理
	''' </summary>
	''' <remarks>
	''' 2013/01/31 新規作成 ID)荒川<BR/>
	''' </remarks>
	''' ---------------------------------------------
	Private Sub setUnVisibleColumns(ByVal dgv As DataGridView)
		log(clsSysMst.logLevel.DBG, "setUnVisibleColumns", "非表示列設定処理")
		Dim iExit As Integer = 0
		Try
			'管理物情報一覧にて、管理物コードの単位が"1"なら開始/終了年月日の項目削除
			If LendUnitCd = CType(clsConst.Enum_LendUnit.Each_Hosp, String) Then
				For i As Integer = dgv.Columns.Count - 1 To 0 Step -1
					If Array.IndexOf(NonDispClm, dgv.Columns(i).Name) <> -1 Then
						dgv.Columns.RemoveAt(i)
						iExit += 1
					End If
					If iExit > NonDispClm.Length - 1 Then Exit For
				Next
			End If
		Catch ex As Exception
			Throw
		End Try
	End Sub
'(A) END V4-13001-000 026 20130131

#End Region

#Region "オーバーライダブルメソッド"
	''' ---------------------------------------------
	''' <summary>
	''' 終了処理
	''' </summary>
	''' <param name="Ret">画面戻り先 OK:検索一覧画面へ CANCEL:検索条件画面へ</param>
	''' <remarks>
	''' 2010/10/07 新規作成　ACS)仙頭<BR/>
	''' </remarks>
	''' ---------------------------------------------
	Protected Overridable Sub EndProc(ByVal Ret As Enum_FormReturn)
		log(clsSysMst.logLevel.DBG, "EndProc", "フォームを閉じる START")
		Try
			Select Case Ret
				Case Enum_FormReturn.OK
					'親画面を終了
					If Me.Owner IsNot Nothing AndAlso Me.Owner.Name = "MSR020F010" Then
						Me.AutoValidate = Windows.Forms.AutoValidate.Disable
						Me.Owner.Close()
					End If
				Case Enum_FormReturn.NONE, Enum_FormReturn.CANSEL
					Me.AutoValidate = Windows.Forms.AutoValidate.Disable
					Me.Close()
			End Select
		Catch ex As Exception
			Throw
		End Try
	End Sub
	''' ---------------------------------------------
	''' <summary>
	''' 一覧表示件数の取得
	''' </summary>
	''' <returns>検索結果件数</returns>
	''' <remarks>
	''' 2010/10/07 新規作成　ACS)仙頭<BR/>
	''' </remarks>
	''' ---------------------------------------------
	Protected Overridable Function getDataCnt() As Integer
		'継承先にて処理記述（空メソッド)
		Return 0
	End Function

	''' ---------------------------------------------
	''' <summary>
	''' 一覧タイトル・ツールチップの設定
	''' </summary>
	''' <remarks>
	''' 2010/10/07 新規作成　ACS)仙頭<BR/>
	''' </remarks>
	''' ---------------------------------------------
	Protected Overridable Sub setListHeader()
		'継承先にて処理記述（空メソッド)
	End Sub

'(A) STR V4-11048-000 020 20110915 FJSK)荒川 XXX号 病歴大将V4PKG問題点No159 並び替えができるように列に「カナ」を追加する対応
	''' ---------------------------------------------
	''' <summary>
	''' 表示項目選択で保存しない項目（共通項目）
	''' </summary>
	''' <remarks>
	''' 2011/10/15 2011/09/15 FJSK)荒川<BR/>
	''' </remarks>
	''' ---------------------------------------------
	Public Overridable Function NonExecClm() As String()
		Dim ret(2) As String
		Try
			ret(0) = Me.dgvList.Columns(0).Name		'選択
			ret(1) = Me.dgvList.Columns(1).Name		'患者番号
		Catch ex As Exception
			Throw
		End Try
		Return ret
	End Function
'(A) END V4-11048-000 020 20110915

	''' ---------------------------------------------
	''' <summary>
	''' 統計画面遷移処理
	''' </summary>
	''' <remarks>
	''' 2010/10/25 新規作成　ACS)常包<BR/>
	''' </remarks>
	''' ---------------------------------------------
	Protected Overridable Sub TokeiProc()
		log(clsSysMst.logLevel.DBG, "TokeiProc", "統計画面遷移処理 START")
		Try
			'一覧件数チェック
			If Me.chkGridCnt(ENUM_CHKSELECT.CHK_ON) = False Then
				Exit Sub
			End If

			Using db As New clsDB(clsSysMst.ctlConfigData)
				With db
					'ワークテーブル削除処理
					For Each sql As String In New String() {sqlMSR000F020.sqlDel_SR, sqlMSR000F020.sqlDel_SI, sqlMSR000F020.sqlDel_SC}
						Me.setTokeiMstSql(db, ENUM_SQLTYPE.DEL, sql)
						.execNonQuery()
					Next

					'一覧からワークへ
					Me.setTokeiMstSql(db, ENUM_SQLTYPE.SEARCH_RESULT)
					Dim dtRow As DataRow
					Try
						For Each pRow As DataGridViewRow In Me.dgvList.Rows			'明細ワーク
							'１行ずつデータを追加する
							dtRow = CType(pRow.DataBoundItem, DataRowView).Row		'データを明細化
							'データグリッドにチェックがあるもののみ出力
							If dtRow.Item(sqlMSRCOMMON.itmSELECTED) = CStr(clsConst.Enum_Chk.ChkOn) Then
								.setVal(sqlMSRCOMMON.prmPATIENT_NO, dtRow.Item(sqlMSRCOMMON.itmPATIENT_NO).ToString)	'患者番号
								.setVal(sqlMSRCOMMON.prmHSP_NO, dtRow.Item(sqlMSRCOMMON.itmHSP_NO).ToString)			'入退院歴番号
								.setVal(sqlMSRCOMMON.prmCH_NO, dtRow.Item(sqlMSRCOMMON.itmCH_NO).ToString)				'科歴番号
								.setVal(sqlMSRCOMMON.prmSERIAL_NO, dtRow.Item(sqlMSRCOMMON.itmSERIAL_NO).ToString)		'○○連番
								.execNonQuery()
							End If
						Next
					Catch ex As Exception
						Throw
					Finally
						dtRow = Nothing
					End Try

					'ワークを追加
					Me.setTokeiMstSql(db, ENUM_SQLTYPE.SEARCH_INFO)
					.execNonQuery()

					Me.setTokeiMstSql(db, ENUM_SQLTYPE.SEARCH_CND)
					.execNonQuery()
				End With
			End Using

			'統計を起動
			Dim frmNext As Form
			Try
				Select Case Me.GetType.Name
					Case "MSR060F010" : frmNext = New MST.MST030F010
					Case "MSR070F010" : frmNext = New MST.MST040F010
					Case Else : Return
				End Select
				Me.nextForm(frmNext)
			Finally
				frmNext = Nothing
			End Try
		Catch ex As Exception
			Throw
		End Try
	End Sub

	''' ---------------------------------------------
	''' <summary>
	''' SQL文/パラメータ設定(統計用)
	''' </summary>
	''' <param name="db">clsDB</param>
	''' <param name="type">ENUM_SQLTYPE</param>
	''' <remarks>
	''' 2010/10/25 新規作成 ACS)常包<BR/>
	''' </remarks>
	''' ---------------------------------------------
	Protected Overridable Sub setTokeiMstSql(ByVal db As clsDB, ByRef type As ENUM_SQLTYPE, Optional ByVal sql As String = Nothing)
		log(clsSysMst.logLevel.DBG, "setTokeiMstSql", "SQL文/パラメータ設定 START")
		Try
			With db
				Select Case type
					Case ENUM_SQLTYPE.DEL
						'ワークを削除
						.setSQL(sql)
					Case ENUM_SQLTYPE.SEARCH_RESULT
						'一覧からワークへ
						.setSQL(sqlMSR000F020.sqlIns_SR)
						.setParam(sqlMSRCOMMON.prmPATIENT_NO, clsDB.Enum_dbType.dbNVarChar)		'患者番号
						.setParam(sqlMSRCOMMON.prmHSP_NO, clsDB.Enum_dbType.dbInt)				'入退院歴番号
						.setParam(sqlMSRCOMMON.prmCH_NO, clsDB.Enum_dbType.dbInt)				'科歴番号
						.setParam(sqlMSRCOMMON.prmSERIAL_NO, clsDB.Enum_dbType.dbInt)			'○○連番

					Case ENUM_SQLTYPE.SEARCH_INFO
						'ワークを追加
						.setSQL(sqlMSR000F020.sqlINS_SI)
					Case ENUM_SQLTYPE.SEARCH_CND
						'ワークを追加
						.setSQL(sqlMSR000F020.sqlIns_SC)
					Case Else
						Exit Sub
				End Select

				'共通処理
				'パラメータ設定
				.setParam(sqlMSRCOMMON.prmUSER_CD, clsDB.Enum_dbType.dbNVarChar)					'使用者コード
				.setVal(sqlMSRCOMMON.prmUSER_CD, Me._userID)
				.setParam(sqlMSRCOMMON.prmSEARCH_NO, clsDB.Enum_dbType.dbInt)					'検索番号
				.setVal(sqlMSRCOMMON.prmSEARCH_NO, Me.pSearchNo)
				.setParam(sqlMSR000F020.prmSEARCH_NO_T, clsDB.Enum_dbType.dbInt)					'統計用検索番号
				.setVal(sqlMSR000F020.prmSEARCH_NO_T, clsMSRCOMMON.CST_SEARCH_NO_MST, False)
				.setParam(sqlMSRCOMMON.prmLASTUPDUSER_CD, clsDB.Enum_dbType.dbNVarChar)			'更新者コード
				.setVal(sqlMSRCOMMON.prmLASTUPDUSER_CD, Me._userID)
				.setParam(sqlMSRCOMMON.prmLASTUPD_DT, clsDB.Enum_dbType.dbDateTime)				'更新日
				.setVal(sqlMSRCOMMON.prmLASTUPD_DT, DateTime.Now())

			End With
		Catch ex As Exception
			Throw
		End Try
	End Sub

#End Region

#Region "オーバーライズメソッド"

	''' ---------------------------------------------
	''' <summary>
	''' 画面遷移から戻ってきたときの処理
	''' </summary>
	''' <remarks>
	''' 2010/10/13 新規作成　ACS)仙頭<BR/>
	''' </remarks>
	''' ---------------------------------------------
	Public Overrides Sub rcvData(ByVal ret As XCM.frmBase.Enum_FormReturn, ByVal de As System.Collections.DictionaryEntry)
		log(clsSysMst.logLevel.DBG, "rcvData", "画面遷移から戻ってきたときの処理 START")
		Me.Cursor = Cursors.WaitCursor
		Try
			Select Case de.Key
				' 並び替え画面
				Case CST_SHOW_XSP020F010
					'反映
					If TypeOf de.Value Is String AndAlso String.IsNullOrEmpty(de.Value) = False Then
						'ORDER BY句の文字を返す
						Dim Sort As String = de.Value
						With DirectCast(Me.dgvList.DataSource, DataTable)
							If .Columns.Contains(sqlMSRCOMMON.itmSORT_SEQ) = True Then
								Sort &= "," & sqlMSRCOMMON.itmSORT_SEQ
							End If
							.DefaultView.Sort = Sort
						End With
						If Me.dgvList.Rows.Count > 0 Then
							Me.dgvList.CurrentCell = Me.dgvList.Rows(0).Cells(0)				'現在のセルを最上左に設定
							Me.dgvList.FirstDisplayedScrollingRowIndex = 0						'先頭行を可視する
						End If
					End If
					Me.dgvList.Select()
					'解放
					If Me.frmXSP020F010 IsNot Nothing Then Me.frmXSP020F010.Dispose()
					Me.frmXSP020F010 = Nothing
					' 表示項目選択画面
				Case CST_SHOW_XSP040F010
					If Me.frmXSP040F010 IsNot Nothing Then Me.frmXSP040F010.Dispose()
					Me.frmXSP040F010 = Nothing
					Me.dgvList.Select()
			End Select
		Catch ex As Exception
			Throw
		Finally
			Me.Cursor = Cursors.Default
		End Try
	End Sub

	''' ---------------------------------------------
	''' <summary>
	''' Ｆ１２キー押下処理
	''' </summary>
	''' <remarks>
	''' 2010/10/07 新規作成　ACS)仙頭<BR/>
	''' </remarks>
	''' ---------------------------------------------
	Public Overrides Function F12KeyProc() As Boolean
		log(clsSysMst.logLevel.NRM, "F12KeyProc", "Ｆ１２キー押下処理 START")
		Me.Cursor = Cursors.WaitCursor
		Try
			' 閉じる
			Me.EndProc(Enum_FormReturn.CANSEL)
			Return True
		Catch ex As Exception
			Throw
		Finally
			Me.Cursor = Cursors.Default
		End Try
	End Function

	''' ---------------------------------------------
	''' <summary>
	''' Shift + Ｆ１２キー押下処理
	''' </summary>
	''' <returns></returns>
	''' <remarks>
	''' 2010/10/07 新規作成　ACS)仙頭<BR/>
	''' </remarks>
	''' ---------------------------------------------
	Public Overrides Function ShiftF12keyProc() As Boolean
		log(clsSysMst.logLevel.NRM, "ShiftF12KeyProc", "ShiftＦ１２キー押下処理 START")
		Try
			Me.Cursor = Cursors.WaitCursor
			'ボタン非表示の場合は処理しない
			If btn004MSR000F020.Visible = False Then Return True
			' 閉じる
			Me.EndProc(Enum_FormReturn.OK)
			Return True
		Catch ex As Exception
			Throw
		Finally
			Me.Cursor = Cursors.Default
		End Try
	End Function

	''' ---------------------------------------------
	''' <summary>
	''' 一覧データ取得処理
	''' </summary>
	''' <returns>データテーブル</returns>
	''' <remarks>
	''' 2010/10/07 新規作成　ACS)仙頭<BR/>
	''' </remarks>
	''' ---------------------------------------------
	Protected Overridable Function getGridData() As DataTable
		'継承先にて処理記述（空メソッド)
		Return Nothing
	End Function

	'''---------------------------------------------
	''' <summary>
	''' 独自ソート条件作成
	''' </summary>
	''' <remarks>
	''' 2011/03/04 新規作成　ACS)仙頭<BR/>
	''' </remarks>
	'''---------------------------------------------
	Protected Overridable Sub setGridSortCriteria(ByRef cliGridSort As clsGridSort)
		log(clsSysMst.logLevel.DBG, Reflection.MethodBase.GetCurrentMethod.Name, "独自ソート条件作成 START")
		Dim arData As ArrayList = Nothing
		Try
			arData = New ArrayList
			arData.Add(New DictionaryEntry(sqlMSR000F020.itmBIRTH_DT, clsGridSort.Enum_SortType.SortNone))
			cliGridSort.Add(sqlMSR000F020.itmBIRTH_DT_JP, arData.Clone)

'(A) STR V4-12051-000 012 2013/01/23 ID)荒川 病歴大将V4PKG 管理No.32 ソート条件名称からコードに修正
			'医師名称 → [表示順-医師コード]
			arData.Clear()
			arData.Add(New DictionaryEntry(sqlMSR000F020.itmC_STAFF_DSPORDER, clsGridSort.Enum_SortType.SortNone))
			arData.Add(New DictionaryEntry(sqlMSR000F020.itmC_STAFF_CD, clsGridSort.Enum_SortType.SortNone))
			cliGridSort.Add(sqlMSR000F020.itmC_STAFF_NM, arData.Clone)
			'病棟略称 → [表示順-病棟コード]
			arData.Clear()
			arData.Add(New DictionaryEntry(sqlMSR000F020.itmWARD_DSPORDER, clsGridSort.Enum_SortType.SortNone))
			arData.Add(New DictionaryEntry(sqlMSR000F020.itmWARD_CD, clsGridSort.Enum_SortType.SortNone))
			cliGridSort.Add(sqlMSR000F020.itmWARD_RNM, arData.Clone)
'(A) END V4-12051-000 012 2013/01/23
		Catch ex As Exception
			Throw
		End Try
	End Sub

	''' ---------------------------------------------
	''' <summary>
	''' 生年月日の再設定
	''' </summary>
	''' <param name="datList">データテーブル</param>
	''' <param name="dgvList">データグリット</param>
	''' <remarks>
	''' 2010/10/07 新規作成　ACS)仙頭<BR/>
	''' </remarks>
	''' ---------------------------------------------
	Protected Overridable Sub setBirthDayFormat(ByRef datList As DataTable, ByRef dgvList As DataGridView)
		log(clsSysMst.logLevel.DBG, "setBirthDayFormat", "生年月日の再設定 START")
		Try
			Dim cliCalender As clsCalender = Nothing
			Dim cal As System.Globalization.JapaneseCalendar = Nothing
			Dim dateValue As Date
			Try
				'生年月日がなければ終了
				If datList.Columns.Contains(sqlMSR000F020.itmBIRTH_DT) = False Then Return

				cliCalender = New clsCalender
				cal = New System.Globalization.JapaneseCalendar()
				'和暦項目の追加
				datList.Columns.Add(sqlMSR000F020.itmBIRTH_DT_JP, datList.Columns(sqlMSR000F020.itmBIRTH_DT).DataType)

				For Each dRow As DataRow In datList.Rows
					If String.IsNullOrEmpty(dRow.Item(sqlMSR000F020.itmBIRTH_DT).ToString) = False Then
						If IsDate(dRow.Item(sqlMSR000F020.itmBIRTH_DT).ToString) Then				'日付型なら正しい形にして代入する
							dateValue = CDate(dRow.Item(sqlMSR000F020.itmBIRTH_DT).ToString)
							dRow.Item(sqlMSR000F020.itmBIRTH_DT_JP) = cliCalender.getGengoHalf(dateValue) _
									  & cal.GetYear(dateValue).ToString("00") _
									  & "/" _
									  & dateValue.ToString("MM/dd")
						Else																		'日付じゃないなら、そのまま
							dRow.Item(sqlMSR000F020.itmBIRTH_DT_JP) = dRow.Item(sqlMSR000F020.itmBIRTH_DT)
						End If
						dRow.AcceptChanges()
					End If
				Next
				datList.AcceptChanges()


				For Each col As DataGridViewColumn In dgvList.Columns								'表示している項目を検索し、置き換え
					If col.DataPropertyName = sqlMSR000F020.itmBIRTH_DT Then
						col.DataPropertyName = sqlMSR000F020.itmBIRTH_DT_JP
					End If
				Next

			Catch ex As Exception
				Throw
			Finally
				'解放
				If cliCalender IsNot Nothing Then cliCalender.Dispose()
				cliCalender = Nothing
				cal = Nothing
			End Try
		Catch ex As Exception
			Throw
		End Try
	End Sub

	''' ---------------------------------------------
	''' <summary>
	''' 入退院歴遷移
	''' </summary>
	''' <param name="rowidx">カレント行</param>
	''' <remarks>
	''' 2010/10/08 新規作成　ACS)仙頭<BR/>
	''' </remarks>
	''' ---------------------------------------------
	Protected Overridable Sub nextNyutain(ByVal rowidx As Integer)
		log(clsSysMst.logLevel.DBG, "nextNyutain", "入退院画面への遷移 START")
		Try
			'権限用グループボックスが非表示なら、権限なしとして終了
			If Me.grp017MSR000F020.Visible = False Then Exit Sub
			'選択行をチェック
			If rowidx < 0 Then Exit Sub

			Dim dtRow As DataRow = Nothing
			Dim key1 As String = Nothing
			Dim key2 As Integer = Nothing
			Dim key3 As Integer = Nothing
			Try
				dtRow = CType(Me.dgvList.Rows(rowidx).DataBoundItem, DataRowView).Row
				With dtRow
					'患者番号取得
					key1 = .Item(sqlMSRCOMMON.itmPATIENT_NO).ToString

					'入退院歴番号取得
					If .Table.Columns.Contains(sqlMSRCOMMON.itmHSP_NO) = True Then
						key2 = CInt(.Item(sqlMSRCOMMON.itmHSP_NO))
					Else
						key2 = Me.getKeyValue(key1)
					End If

					'科歴番号取得
					If .Table.Columns.Contains(sqlMSRCOMMON.itmCH_NO) = True Then
						key3 = CInt(.Item(sqlMSRCOMMON.itmCH_NO))
					Else
						key3 = Me.getKeyValue(key1, key2)
					End If
				End With

				If Debugger.IsAttached Then
					Me.showMsg("I0009", String.Format("{0}-{1}-{2}を", key1, key2, key3), Nothing)
				End If

				'入退院画面への遷移
				If Me.rdo018MSR000F020.Checked = True Then
					Dim frm As MEN.MEN010F010
					Try
						frm = New MEN.MEN010F010(key1, key2, key3)
						Me.nextForm(frm)
					Finally
						frm = Nothing
					End Try
				Else
					Dim frm As MEN.MEN140F010
					Try
						frm = New MEN.MEN140F010(key1, key2, key3)
						Me.nextForm(frm)
					Finally
						frm = Nothing
					End Try
				End If
			Catch ex As Exception
				Throw
			Finally
				dtRow = Nothing
				key1 = Nothing
			End Try
		Catch ex As Exception
			Throw
		End Try
	End Sub

#End Region

End Class