﻿Imports System.ComponentModel
Imports System.Drawing
Imports System.Windows.Forms
Imports XSP
Imports XCM
''' ---------------------------------------------
''' <summary>
''' 診療情報管理 検索 検索結果出力 継承元フォーム
''' </summary>
''' <remarks>
''' Copyright 2010 FUJITSU SHIKOKU SYSTEMS LIMITED All rights reserved.<BR/>
''' FUJITSU SHIKOKU SYSTEMS LIMITED CONFIDENTIAL<BR/>
''' </remarks>
''' ---------------------------------------------
Public Class MSR000F030

#Region "コンスタント"

	''' ---------------------------------------------
	''' <summary>
	''' チェック条件
	''' </summary>
	''' <remarks>
	''' 2010/10/14 新規作成 ACS)仙頭<BR/>
	''' </remarks>
	''' ---------------------------------------------
	Private Enum ENUM_CHK_TARGET As Byte
		''' <summary>
		''' 印刷/プレビュー
		''' </summary>
		PRINT = 0
		''' <summary>
		''' エクセル出力
		''' </summary>
		EXCEL_1 = 1
		''' <summary>
		''' エクセル出力
		''' </summary>
		EXCEL_2 = 2
		''' <summary>
		''' ＣＳＶ出力
		''' </summary>
		CSV = 3
	End Enum

	Private Const CST_SHOW_XSP060F010 As String = "XSP060F010"		'帳票タイトル設定
	Private Const CST_SHOW_MSR190F010 As String = "MSR190F010"		'書式作成
	Private Const CST_SHOW_MSR200F010 As String = "MSR200F010"		'ＣＳＶ抽出選択

#End Region

#Region "変数"

	Private _Title As String = "検 索 結 果 出 力"

	'引数
	Protected pDgvList As DataGridView											'一覧(ｸﾞﾘｯﾄﾋﾞｭｰ)
	Protected pLendItem As String = Nothing										'管理物コード
	Protected pLendUnit As Integer = clsConst.Enum_LendUnit.Each_Dept			'管理物-管理単位

	'継承先にて値設定
	Protected ExcelID() As String = New String() {Nothing, Nothing}				'帳票ID
	Protected CsvFile As String = Nothing										'CSVファイル名
	Protected DelWorkKey As MRP.clsMRPCOMMON.ENUM_SQL_DEL_WORK = MRP.clsMRPCOMMON.ENUM_SQL_DEL_WORK.NONE	'ワーク削除キー

	'遷移先
	Private frmXSP060F010 As XSP060F010 = Nothing								'タイトル画面
	Private frmMSR190F010 As MSR190F010 = Nothing								'書式作成
	Private frmMSR200F010 As MSR200F010 = Nothing								'ＣＳＶ抽出選択

	'前回設定値保持コントロール
	Private LastValueCtl() As String = Nothing

#End Region

#Region "イベント"

	'''---------------------------------------------
	''' <summary>
	''' フォームロード
	''' </summary>
	''' <param name="sender"></param>
	''' <param name="e"></param>
	''' <remarks>
	''' 2010/10/14 新規作成 ACS)仙頭<BR/>
	''' </remarks>
	'''---------------------------------------------
	Private Sub MSR000F030_Load(ByVal sender As Object, ByVal e As System.EventArgs) Handles Me.Load
		If Me.DesignMode Then Exit Sub
		log(XCM.clsSysMst.logLevel.NRM, "MSR000F030_Load", "フォームロード START")
		Try
			'アイコンの設定
			Dim cliBmp As New clsBmp
			Try
				Me.btn034MSR000F030.Image = cliBmp.getBmp(clsBmp.Enum_BmpType.OpenFolder)
				Me.btn042MSR000F030.Image = Me.btn034MSR000F030.Image
			Catch ex As Exception
				Throw
			Finally
				cliBmp = Nothing
			End Try

			'コンボ設定
			Me.setCmbPrint()
			Me.setCmbCsv()

			'EXCEL設定
			Me.setInitExcel()

			'前回値設定
			Me.LastValueCtl = New String() {Me.cmb012MSR000F030.Name, Me.txt031MSR000F030.Name, Me.txt033MSR000F030.Name,
											Me.txt039MSR000F030.Name, Me.txt041MSR000F030.Name, Me.cmb049MSR000F030.Name}
			Select Case Me.Name
				Case "MSR160F020", "MSR170F020"
					Me.LoadLastValue(Me.LastValueCtl, Me.pLendUnit.ToString)
				Case Else
					Me.LoadLastValue(Me.LastValueCtl)
			End Select

'(A) STR V4-12052-000 004 20130204 ID)荒川 病歴大将V4PKG 管理No.43 登録ボタンから項目選択ボタンに変更
			'パターン名が空のときは実行ボタン入力不可
			Me.setBtn051Style()
'(A) END V4-12052-000 004 20130204

			'画面制御
			'強制的にタブストップを止める
			Me.rdo006MSR000F030.TabStop = False
			Me.rdo007MSR000F030.TabStop = False
			'フォーカス
			Me.cmb012MSR000F030.Select()
		Catch ex As Exception
			Me.ErrorProc(ex)
			Me.CancelProc()
		End Try
	End Sub

	''' ---------------------------------------------
	''' <summary>
	''' 画面を閉じる
	''' </summary>
	''' <param name="sender"></param>
	''' <param name="e"></param>
	''' <remarks>
	''' 2010/10/15 新規作成 ACS)仙頭<BR/>
	''' </remarks>
	''' ---------------------------------------------
	Private Sub btn008MSR000F030_Click(ByVal sender As System.Object, ByVal e As System.EventArgs) Handles btn008MSR000F030.Click
		log(XCM.clsSysMst.logLevel.NRM, "btn008MSR000F030_Click", "閉じるボタンクリックイベント START")
		Me.Cursor = Cursors.WaitCursor
		Try
			'画面クローズ
			Me.EndProc()
		Catch ex As Exception
			Me.ErrorProc(ex)
		Finally
			Me.Cursor = Cursors.Default
		End Try
	End Sub

	'''---------------------------------------------
	''' <summary>
	''' フォームクローズ
	''' </summary>
	''' <param name="sender"></param>
	''' <param name="e"></param>
	''' <remarks>
	''' 2010/10/15 新規作成 ACS)仙頭<BR/>
	''' </remarks>
	'''---------------------------------------------
	Private Sub MSR000F030_FormClosing(ByVal sender As Object, ByVal e As System.Windows.Forms.FormClosingEventArgs) Handles Me.FormClosing
		log(XCM.clsSysMst.logLevel.NRM, "MSR000F030_FormClosing", "フォームクローズ START")
		Dim frm As frmBase
		Try
			'正常終了時に
			If DirectCast(Me.Owner, frmBase).getCancelFlg() = False Then
				Try
					'ワークデータの消去
					Me.delWork()
					'前回設定値保存
					Select Case True
						Case Me.Name = "MSR160F020", Me.Name = "MSR170F020"
							Me.SaveLastValue(Me.LastValueCtl, Me.pLendUnit.ToString)
						Case Else
							Me.SaveLastValue(Me.LastValueCtl)
					End Select
				Catch ex As Exception
					Me.ErrorProc(ex)
				End Try
			End If
			Me.setCloseFlg()
			'呼出元画面へ
			If Not Me.Owner Is Nothing Then
				frm = Me.Owner
				frm.Select()
				frm.backForm(False, Enum_FormReturn.CANSEL, New DictionaryEntry(Me.Name, String.Empty))
			End If
		Catch ex As Exception
			Me.ErrorProc(ex)
		Finally
			frm = Nothing
			'変数解放（Nothing）
			Me._Title = Nothing
			Me.pDgvList = Nothing
			Me.ExcelID = Nothing
			Me.CsvFile = Nothing
			Me.pLendItem = Nothing
			Me.pLendUnit = Nothing
			Me.LastValueCtl = Nothing

			'フォームインスタンス
			Me.frmXSP060F010 = Nothing
			Me.frmMSR190F010 = Nothing
			Me.frmMSR200F010 = Nothing
		End Try
	End Sub

	'''---------------------------------------------
	''' <summary>
	''' ラジオボタンクリック
	''' </summary>
	''' <param name="sender"></param>
	''' <param name="e"></param>
	''' <remarks>
	''' 2010/10/15 新規作成 ACS)仙頭<BR/>
	''' </remarks>
	'''---------------------------------------------
	Private Sub rdobtn_click(ByVal sender As System.Object, ByVal e As System.EventArgs) Handles rdo006MSR000F030.Click, rdo007MSR000F030.Click
		log(XCM.clsSysMst.logLevel.DBG, "rdobtn_click", "ラジオボタンクリック START")
		Try
			DirectCast(sender, RadioButton).TabStop = False
		Catch ex As Exception
			Me.ErrorProc(ex)
		End Try
	End Sub

	''' ---------------------------------------------
	''' <summary>
	''' 登録ボタン
	''' </summary>
	''' <param name="sender"></param>
	''' <param name="e"></param>
	''' <remarks>
	''' 2010/10/15 新規作成 ACS)仙頭<BR/>
	''' </remarks>
	''' ---------------------------------------------
	Private Sub btn013MSR000F030_Click(ByVal sender As System.Object, ByVal e As System.EventArgs) Handles btn013MSR000F030.Click
		log(clsSysMst.logLevel.NRM, "btn013MSR000F030_Click", "印刷登録ボタンクリック START")
		Dim titleNo As Integer = Nothing
		Dim title As String = Nothing
		Try
			With Me.cmb012MSR000F030
				If .SelectedIndex = -1 Then
					titleNo = 0
					title = .Text
				Else
					titleNo = .SelectedValue
					title = .Text
				End If
			End With
			Me.frmXSP060F010 = Nothing
			Me.frmXSP060F010 = New XSP060F010(titleNo, title)
			Me.nextForm(Me.frmXSP060F010)
		Catch ex As Exception
			Me.ErrorProc(ex)
		Finally
			'解放
			titleNo = Nothing
			title = Nothing
		End Try
	End Sub

	'''---------------------------------------------
	''' <summary>
	''' ファイルダイアログクリック
	''' </summary>
	''' <param name="sender"></param>
	''' <param name="e"></param>
	''' <remarks>
	''' 2010/10/15 新規作成 ACS)仙頭<BR/>
	''' </remarks>
	'''---------------------------------------------
	Private Sub btn034MSR000F030_Click(ByVal sender As System.Object, ByVal e As System.EventArgs) Handles btn034MSR000F030.Click, btn042MSR000F030.Click
		log(XCM.clsSysMst.logLevel.NRM, "btn034MSR000F030_Click", "ファイルダイアログクリック START")
		Dim cliCom As clsCom
		Dim ctlFile As XCM.BT_TextBox
		Try
			Select Case sender.name
				Case Me.btn034MSR000F030.Name
					ctlFile = Me.txt033MSR000F030
				Case Else
					ctlFile = Me.txt041MSR000F030
			End Select
			cliCom = New clsCom
			cliCom.setFileDialog(Me, ctlFile, clsCom.Enum_FileDialogType.eExcel)
			ctlFile.Select()
		Catch ex As Exception
			Me.ErrorProc(ex)
		Finally
			cliCom = Nothing
			ctlFile = Nothing
		End Try
	End Sub

	'''---------------------------------------------
	''' <summary>
	''' 書式作成ボタンクリック
	''' </summary>
	''' <param name="sender"></param>
	''' <param name="e"></param>
	''' <remarks>
	''' 2010/10/15 新規作成 ACS)仙頭<BR/>
	''' </remarks>
	'''---------------------------------------------
	Private Sub btn035MSR000F030_Click(ByVal sender As System.Object, ByVal e As System.EventArgs) Handles btn035MSR000F030.Click, btn043MSR000F030.Click
		log(XCM.clsSysMst.logLevel.NRM, "btn035MSR000F030_Click", "書式作成ボタンクリック START")
		Dim idx As Integer
		Dim file As String
		Try
			Select Case sender.name
				Case Me.btn035MSR000F030.Name
					idx = 0
					file = Me.txt033MSR000F030.Text
				Case Else
					idx = 1
					file = Me.txt041MSR000F030.Text
			End Select
			Me.frmMSR190F010 = Nothing
			Me.frmMSR190F010 = New MSR190F010(file, Me.ExcelID(idx))
			Me.nextForm(Me.frmMSR190F010)
		Catch ex As Exception
			Me.ErrorProc(ex)
		Finally
			file = Nothing
		End Try
	End Sub

	'''---------------------------------------------
	''' <summary>
	''' 初期値ボタンクリック
	''' </summary>
	''' <param name="sender"></param>
	''' <param name="e"></param>
	''' <remarks>
	''' 2010/10/15 新規作成 ACS)仙頭<BR/>
	''' </remarks>
	'''---------------------------------------------
	Private Sub btn036MSR000F030_Click(ByVal sender As System.Object, ByVal e As System.EventArgs) Handles btn036MSR000F030.Click, btn044MSR000F030.Click
		log(XCM.clsSysMst.logLevel.NRM, "btn036MSR000F030_Click", "初期値ボタンクリック START")
		Try
			Select Case sender.name
				Case Me.btn036MSR000F030.Name
					Me.setInitExcel(0)
					Me.txt033MSR000F030.Select()
				Case Else
					Me.setInitExcel(1)
					Me.txt041MSR000F030.Select()
			End Select
		Catch ex As Exception
			Me.ErrorProc(ex)
		End Try
	End Sub

	'''---------------------------------------------
	''' <summary>
	''' EXCEL実行ボタンクリック
	''' </summary>
	''' <param name="sender"></param>
	''' <param name="e"></param>
	''' <remarks>
	''' 2010/10/15 新規作成 ACS)仙頭<BR/>
	''' </remarks>
	'''---------------------------------------------
	Private Sub btn037MSR000F030_Click(ByVal sender As System.Object, ByVal e As System.EventArgs) Handles btn037MSR000F030.Click
		log(XCM.clsSysMst.logLevel.NRM, "btn037MSR000F030_Click", "EXCEL実行ボタンクリック１ START")
		Try
			Me.Cursor = Cursors.WaitCursor
			If Me.chkInput(ENUM_CHK_TARGET.EXCEL_1) = False Then
				'処理終了
			ElseIf Me.exeExcel(Me.ExcelID(0), Me.txt031MSR000F030.Text, Me.txt033MSR000F030.Text) = True Then
				''EXCEL出力しました。
				'Me.showMsg("I0002")
			End If
		Catch ex As Exception
			Me.ErrorProc(ex)
		Finally
			Me.Cursor = Cursors.Default
		End Try
	End Sub

	'''---------------------------------------------
	''' <summary>
	''' EXCEL実行ボタンクリック
	''' </summary>
	''' <param name="sender"></param>
	''' <param name="e"></param>
	''' <remarks>
	''' 2010/10/15 新規作成 ACS)仙頭<BR/>
	''' </remarks>
	'''---------------------------------------------
	Private Sub btn045MSR000F030_Click(ByVal sender As System.Object, ByVal e As System.EventArgs) Handles btn045MSR000F030.Click
		log(XCM.clsSysMst.logLevel.NRM, "btn045MSR000F030_Click", "EXCEL実行ボタンクリック２ START")
		Try
			Me.Cursor = Cursors.WaitCursor
			If Me.chkInput(ENUM_CHK_TARGET.EXCEL_2) = False Then
				'処理終了
			ElseIf Me.exeExcel(Me.ExcelID(1), Me.txt039MSR000F030.Text, Me.txt041MSR000F030.Text) = True Then
				''EXCEL出力しました。
				'Me.showMsg("I0002")
			End If
		Catch ex As Exception
			Me.ErrorProc(ex)
		Finally
			Me.Cursor = Cursors.Default
		End Try
	End Sub

	'''---------------------------------------------
	''' <summary>
	''' 登録ボタンクリック
	''' </summary>
	''' <param name="sender"></param>
	''' <param name="e"></param>
	''' <remarks>
	''' 2010/10/15 新規作成 ACS)仙頭<BR/>
	''' </remarks>
	'''---------------------------------------------
	Private Sub btn050MSR000F030_Click(ByVal sender As System.Object, ByVal e As System.EventArgs) Handles btn050MSR000F030.Click
		log(XCM.clsSysMst.logLevel.NRM, "btn050MSR000F030_Click", "ＣＳＶ登録ボタンクリック START")
		Try
			Me.frmMSR200F010 = Nothing
			Me.frmMSR200F010 = New MSR200F010(Me.CsvFile, Me.pDgvList, Me.cmb049MSR000F030.SelectedValue, Me.rdo006MSR000F030.Checked, Me.pLendItem, Me.pLendUnit)
			Me.nextForm(Me.frmMSR200F010)
		Catch ex As Exception
			Me.ErrorProc(ex)
		End Try
	End Sub

	'''---------------------------------------------
	''' <summary>
	''' CSV実行ボタンクリック
	''' </summary>
	''' <param name="sender"></param>
	''' <param name="e"></param>
	''' <remarks>
	''' 2010/10/15 新規作成 ACS)仙頭<BR/>
	''' </remarks>
	'''---------------------------------------------
	Private Sub btn051MSR000F030_Click(ByVal sender As System.Object, ByVal e As System.EventArgs) Handles btn051MSR000F030.Click
		log(XCM.clsSysMst.logLevel.NRM, "btn051MSR000F030_Click", "CSV実行ボタンクリック START")
		Try
			Me.Cursor = Cursors.WaitCursor
			If Me.chkInput(ENUM_CHK_TARGET.CSV) = True Then
				Using cliMSRCsv As New clsMSRCsvOut(Me.Name, Me.rdo006MSR000F030.Checked, Me.pLendItem, Me.pLendUnit)
					If cliMSRCsv.exeCsvOut(Me, Me.CsvFile, Me.pDgvList, Me.cmb049MSR000F030.SelectedValue) = True Then
						'CSV出力しました。出力場所：[CSV出力ﾊﾟｽ]
						Me.showMsg("I0006", "CSV出力", "出力場所：" & cliMSRCsv.getOutPath)
					End If
				End Using
			End If
		Catch ex As Exception
			Me.ErrorProc(ex)
		Finally
			Me.Cursor = Cursors.Default
		End Try
	End Sub

'(A) STR V4-12052-000 018 20130204 ID)荒川 病歴大将V4PKG 管理No.43 登録ボタンから項目選択ボタンに変更
	'''---------------------------------------------
	''' <summary>
	''' パターン名の値が変更された時
	''' </summary>
	''' <param name="sender"></param>
	''' <param name="e"></param>
	''' <remarks>2013/02/04 新規作成 ID)荒川<BR/>
	''' </remarks>
	'''---------------------------------------------
	Private Sub cmb049MSR000F030_Leave(ByVal sender As System.Object, ByVal e As System.EventArgs) Handles cmb049MSR000F030.Leave
		log(XCM.clsSysMst.logLevel.NRM, "cmb049MSR000F030_Leave", "パターン名コンボ_Leave START")
		Try
			'パターン名が空のときは実行ボタン入力不可
			Me.setBtn051Style()
		Catch ex As Exception
			Me.ErrorProc(ex)
		End Try
	End Sub
'(A) END V4-12052-000 018 20130204

#End Region

#Region "メソッド"

	''' ---------------------------------------------
	''' <summary>
	''' 終了処理
	''' </summary>
	''' <remarks>
	''' 2010/10/07 新規作成　ACS)仙頭<BR/>
	''' </remarks>
	''' ---------------------------------------------
	Protected Overridable Sub EndProc()
		log(clsSysMst.logLevel.DBG, "EndProc", "フォームを閉じる START")
		Try
			Me.AutoValidate = Windows.Forms.AutoValidate.Disable
			Me.Close()
		Catch ex As Exception
			Throw
		End Try
	End Sub

	''' ---------------------------------------------
	''' <summary>
	''' 画面開設中止
	''' </summary>
	''' <remarks>
	''' 2010/10/08 新規作成　ACS)仙頭<BR/>
	''' </remarks>
	''' ---------------------------------------------
	Protected Sub CancelProc()
		log(clsSysMst.logLevel.DBG, "CancelProc", "画面開設中止 START")
		Try
			DirectCast(Me.Owner, frmBase).setCancelFlg(True)
		Catch ex As Exception
			Throw
		Finally
			'画面終了
			Me.EndProc()
		End Try
	End Sub

	''' ---------------------------------------------
	''' <summary>
	''' EXCEL初期値設定
	''' </summary>
	''' <param name="idx">設定対象Index 省略時は全て</param>
	''' <remarks>
	''' 2010/10/14 新規作成 ACS)仙頭<BR/>
	''' </remarks>
	''' ---------------------------------------------
	Private Sub setInitExcel(Optional ByVal idx As Integer = -1)
		log(clsSysMst.logLevel.DBG, "setInitExcel", "EXCEL初期値設定 START")
		Dim datExcel As datXTM_PRINTSETTING_EXCEL_OneRec = Nothing
		Dim cliExcel As clsXTM_PRINTSETTING_EXCEL
		Dim sheet As String
		Dim template As String
		Try
			For i As Integer = 0 To 1
				'対象でなければ次へ
				If idx > -1 And i <> idx Then Continue For
				'空なら次へ
				If String.IsNullOrEmpty(Me.ExcelID(i)) Then Continue For

				cliExcel = New clsXTM_PRINTSETTING_EXCEL
				datExcel = cliExcel.getExcelSettingOneRec(Me.Name, Me.ExcelID(i))
				If datExcel IsNot Nothing Then
					sheet = datExcel.SHEET_NM
				Else
					sheet = String.Empty
				End If
				If datExcel IsNot Nothing AndAlso Not String.IsNullOrEmpty(datExcel.FILE_NM) Then
					template = My.Computer.FileSystem.CombinePath(clsSysMst.getTemplatePath(), datExcel.FILE_NM)
				Else
					template = My.Computer.FileSystem.CombinePath(clsSysMst.getTemplatePath(), Me.ExcelID(i) & clsExcel.CST_KAKUTYOUSI)
				End If
				Select Case i
					Case 0
						Me.txt031MSR000F030.Text = sheet
						Me.txt033MSR000F030.Text = template
					Case 1
						Me.txt039MSR000F030.Text = sheet
						Me.txt041MSR000F030.Text = template
				End Select
			Next
		Finally
			datExcel = Nothing
			cliExcel = Nothing
			sheet = Nothing
			template = Nothing
		End Try
	End Sub

	''' ---------------------------------------------
	''' <summary>
	''' 帳票タイトルコンボ設定
	''' </summary>
	''' <remarks>
	''' 2010/10/14 新規作成　ACS)仙頭<BR/>
	''' </remarks>
	''' ---------------------------------------------
	Private Sub setCmbPrint()
		log(clsSysMst.logLevel.DBG, "setCmbPrint", "帳票タイトルコンボ設定 START")
		Dim cliTitle As clsXTM_LEDGERSHEET_TITLE
		Try
			cliTitle = New clsXTM_LEDGERSHEET_TITLE
			With Me.cmb012MSR000F030
				.DataSource = cliTitle.getTitle(Me.Name).Copy
				.setDropDownWidth()
			End With
		Catch ex As Exception
			Throw
		Finally
			cliTitle = Nothing
		End Try
	End Sub

	''' ---------------------------------------------
	''' <summary>
	''' ＣＳＶ出力パターンコンボ設定
	''' </summary>
	''' <remarks>
	''' 2010/10/14 新規作成　ACS)仙頭<BR/>
	''' </remarks>
	''' ---------------------------------------------
	Private Sub setCmbCsv()
		log(clsSysMst.logLevel.DBG, "setCmbCsv", "ＣＳＶ出力パターンコンボ設定 START")
		Try
			Using db As New clsDB(clsSysMst.ctlConfigData),
				  dt As New DataTable
				With db
					.setSQLDa(sqlMSR000F030.sqlSel_CSV_P)
					.setParamDa(sqlMSR000F030.prmSCREEN_CD, clsDB.Enum_dbType.dbNVarChar)	'画面コード
					.setValDa(sqlMSR000F030.prmSCREEN_CD, Me.Name)
					.setParamDa(sqlMSR000F030.prmUNIT_CD, clsDB.Enum_dbType.dbNVarChar)		'管理単位
					.setValDa(sqlMSR000F030.prmUNIT_CD, Me.pLendUnit.ToString)
					.execQueryDa(dt)
				End With

				With Me.cmb049MSR000F030
'					.DataSource = Nothing
					.DataSource = dt.Copy
					.setDropDownWidth()
				End With
			End Using
		Catch ex As Exception
			Throw
		End Try
	End Sub

'(A) STR V4-12052-000 023 20130204 ID)荒川 病歴大将V4PKG 管理No.43 登録ボタンから項目選択ボタンに変更
	''' ---------------------------------------------
	''' <summary>
	''' 実行ボタン入力制御
	''' </summary>
	''' <remarks>
	''' 2013/02/04 新規作成　荒川<BR/>
	''' </remarks>
	''' ---------------------------------------------
	Private Sub setBtn051Style()
		log(clsSysMst.logLevel.DBG, "chgBtnEnabled", "実行ボタン入力可不可制御 START")
		Try
			'パターン名が空のときは実行ボタン入力不可
			If String.IsNullOrEmpty(Me.cmb049MSR000F030.Text) = True Then
				Me.btn051MSR000F030.Enabled = False
			Else
				Me.btn051MSR000F030.Enabled = True
			End If
		Catch ex As Exception
			Throw
		End Try
	End Sub
'(A) END V4-12052-000 023 20130204

	'''---------------------------------------------
	''' <summary>
	''' 入力チェック(text)
	''' </summary>
	''' <param name="target">チェック対象</param>
	''' <remarks>
	''' 2010/10/14 新規作成 ACS)仙頭<BR/>
	''' </remarks>
	''' ---------------------------------------------
	Private Function chkInput(ByVal target As ENUM_CHK_TARGET) As Boolean
		log(clsSysMst.logLevel.DBG, "chkInput", "入力チェック処理 START")
		Try
			Select Case target
				Case ENUM_CHK_TARGET.EXCEL_1
					'EXCEL出力ファイル
					Me.chkEmpty(Me.txt031MSR000F030, Me.lbl030MSR000F030.Text)
					'EXCEL書式ファイル名
					Me.chkEmpty(Me.txt033MSR000F030, Me.lbl032MSR000F030.Text)

				Case ENUM_CHK_TARGET.EXCEL_2
					'EXCEL出力ファイル
					Me.chkEmpty(Me.txt039MSR000F030, Me.lbl038MSR000F030.Text)
					'EXCEL書式ファイル名
					Me.chkEmpty(Me.txt041MSR000F030, Me.lbl040MSR000F030.Text)

				Case ENUM_CHK_TARGET.CSV
					'出力パターン
					With Me.cmb049MSR000F030
						If .SelectedIndex = -1 Then
							Me.addErrList("E0001", .Name, Me.lbl048MSR000F030.Text, Nothing)
						End If
					End With
			End Select

			If Me.getErrCount() > 0 Then
				Me.nextErrForm()		'エラーがある場合、エラー画面表示
				Return False
			End If

			Return True					'エラーがない場合、正常終了
		Catch ex As Exception
			Throw
		End Try
	End Function

	'''---------------------------------------------
	''' <summary>
	''' 必須入力チェック(text)
	''' </summary>
	''' <param name="TextBox">チェック対象コントロール</param>
	''' <param name="lbl">表示名称</param>
	''' <remarks>
	''' 2010/10/14 新規作成 ACS)仙頭<BR/>
	''' </remarks>
	''' ---------------------------------------------
	Private Sub chkEmpty(ByVal TextBox As XCM.BT_TextBox, ByVal lbl As String)
		log(clsSysMst.logLevel.DBG, "chkEmpty", "必須入力チェック(text) START")
		Try
			With TextBox
				If String.IsNullOrEmpty(.Text) Then
					'未入力の項目があります。
					Me.addErrList("E0001", .Name, lbl, Nothing)
				End If
			End With
		Catch ex As Exception
			Throw
		End Try
	End Sub

	''' ---------------------------------------------
	''' <summary>
	''' EXCEL出力
	''' </summary>
	''' <param name="id">帳票ID</param>
	''' <param name="sheet">シート名</param>
	''' <param name="template">書式ファイル</param>
	''' <param name="path">出力先</param>
	''' <returns></returns>
	''' <remarks>
	''' 2010/10/15 新規作成 ACS)仙頭<BR/>
	''' </remarks>
	''' ---------------------------------------------
	Public Overridable Function exeExcel(ByVal id As String, ByVal sheet As String, ByVal template As String, Optional ByVal path As String = Nothing) As Boolean
		'継承先にて処理記述（空メソッド)
		Return True
	End Function

	''' ---------------------------------------------
	''' <summary>
	''' ワークデータの削除
	''' </summary>
	''' <remarks>
	''' 2010/10/18 新規作成 ACS)仙頭<BR/>
	''' </remarks>
	''' ---------------------------------------------
	Protected Overridable Sub delWork()
		log(clsSysMst.logLevel.DBG, "delWork", "ワークデータの削除 START")
		Try
			Using db As New clsDB(clsSysMst.ctlConfigData)
				'MRP側削除
				If Me.DelWorkKey <> MRP.clsMRPCOMMON.ENUM_SQL_DEL_WORK.NONE Then
					MRP.clsMRPCOMMON.DelWork(db, Me.DelWorkKey)
				End If
				'MSR側削除
				If Me.getDelWorkSql() IsNot Nothing Then
					For Each sql As String In Me.getDelWorkSql
						With db
							.setSQL(sql)
							.setParam(sqlMSRCOMMON.prmHOST_NM, clsDB.Enum_dbType.dbNVarChar)
							.setVal(sqlMSRCOMMON.prmHOST_NM, clsConst.CST_HOST_NM)
							.execNonQuery()
						End With
					Next
				End If
			End Using
		Catch ex As Exception
			Throw
		End Try
	End Sub

	''' ---------------------------------------------
	''' <summary>
	''' ワークデータ削除ＳＱＬ文の設定
	''' </summary>
	''' <returns>処理SQL配列</returns>
	''' <remarks>
	''' 2010/10/18 新規作成 ACS)仙頭<BR/>
	''' </remarks>
	''' ---------------------------------------------
	Protected Overridable Function getDelWorkSql() As String()
		'継承先にて処理記述（空メソッド)
		Return Nothing
	End Function

	''' ---------------------------------------------
	''' <summary>
	''' 帳票タイトルの取得
	''' </summary>
	''' <param name="deftext">デフォルトテキスト</param>
	''' <returns></returns>
	''' <remarks>
	''' 2010/10/18 新規作成 ACS)仙頭<BR/>
	''' </remarks>
	''' ---------------------------------------------
	Protected Overridable Function getPrnTitle(ByVal deftext As String) As String
		log(clsSysMst.logLevel.DBG, "getPrnTitle", "帳票タイトルの取得 START")
		Dim ret As String
		Try
			ret = Me.cmb012MSR000F030.Text
			If String.IsNullOrEmpty(ret) Then
				ret = deftext
			End If
			Return ret
		Catch ex As Exception
			Throw
		End Try
	End Function

#End Region

#Region "オーバーライズメソッド"

	''' ---------------------------------------------
	''' <summary>
	''' Ｆ１２キー押下処理
	''' </summary>
	''' <remarks>
	''' 2010/10/07 新規作成　ACS)仙頭<BR/>
	''' </remarks>
	''' ---------------------------------------------
	Public Overrides Function F12KeyProc() As Boolean
		log(clsSysMst.logLevel.NRM, "F12KeyProc", "Ｆ１２キー押下処理 START")
		Me.Cursor = Cursors.WaitCursor
		Try
			Me.AutoValidate = Windows.Forms.AutoValidate.Disable
			' 閉じる
			Me.EndProc()
			Return True
		Catch ex As Exception
			Throw
		Finally
			Me.Cursor = Cursors.Default
		End Try
	End Function

	''' ---------------------------------------------
	''' <summary>
	''' 遷移から戻ってくる処理
	''' </summary>
	''' <param name="ret"></param>
	''' <param name="de"></param>
	''' <remarks>
	''' 2010/10/07 新規作成 ACS)仙頭<BR/>
	''' </remarks>
	''' ---------------------------------------------
	Public Overrides Sub rcvData(ByVal ret As XCM.frmBase.Enum_FormReturn, ByVal de As System.Collections.DictionaryEntry)
		log(clsSysMst.logLevel.DBG, "rcvData", "遷移から戻ってくる処理 START")
		Me.Cursor = Cursors.WaitCursor
		Try
			'処理が実行
			Select Case de.Key
				Case CST_SHOW_XSP060F010
					'タイトル画面からの戻り
					'解放
					If Me.frmXSP060F010 IsNot Nothing Then Me.frmXSP060F010.Dispose()
					Me.frmXSP060F010 = Nothing
					With Me.cmb012MSR000F030
						If ret = Enum_FormReturn.OK Then
							'タイトルの再設定
							Me.setCmbPrint()
							'パターンのSelectedIndexを設定
							If String.IsNullOrEmpty(de.Value) = False Then
								.SelectedValue = de.Value
							Else
								'未選択状態にする
								.SelectedIndex = -1
							End If
						End If
						.Select()
					End With
				Case CST_SHOW_MSR190F010
					'書式作成画面からの戻り
					'解放
					If Me.frmMSR190F010 IsNot Nothing Then Me.frmMSR190F010.Dispose()
					Me.frmMSR190F010 = Nothing
					If IsArray(de.Value) = True Then
						Dim aryRet() As String = DirectCast(de.Value, String())
						If aryRet.Length <> 2 Then Exit Sub
						Select Case aryRet(0)
							Case Me.ExcelID(0)
								If ret = Enum_FormReturn.OK Then
									Me.txt033MSR000F030.Text = aryRet(1)
								End If
								Me.txt033MSR000F030.Select()
							Case Me.ExcelID(1)
								If ret = Enum_FormReturn.OK Then
									Me.txt041MSR000F030.Text = aryRet(1)
								End If
								Me.txt041MSR000F030.Select()
						End Select
					End If
				Case CST_SHOW_MSR200F010
					'ＣＳＶ抽出選択
					'解放
					If Me.frmMSR200F010 IsNot Nothing Then Me.frmMSR200F010.Dispose()
					Me.frmMSR200F010 = Nothing
					With Me.cmb049MSR000F030
						If ret = Enum_FormReturn.OK Then
							Me.setCmbCsv()										'パターンの再設定
						End If
						If .Items.Count = 0 Then								'パターンのSelectedIndexを設定
							'未処理
						ElseIf String.IsNullOrEmpty(de.Value) = False Then
							.SelectedValue = de.Value
						Else													'先頭をセレクトする
							.SelectedIndex = 0
						End If
						.Select()
'(A) STR V4-12052-000 004 20130204 ID)荒川 病歴大将V4PKG 管理No.43 登録ボタンから項目選択ボタンに変更
						'パターン名が空のときは実行ボタン入力不可
						Me.setBtn051Style()
'(A) END V4-12052-000 004 20130204
					End With
			End Select
		Catch ex As Exception
			Throw
		Finally
			Me.Cursor = Cursors.Default
		End Try
	End Sub

#End Region

End Class