﻿Imports XCM
Imports XSP

''' ---------------------------------------------
''' <summary>
''' 診療情報管理 検索 手術情報 検索結果更新
''' </summary>
''' <remarks>
''' Copyright 2010 FUJITSU SHIKOKU SYSTEMS LIMITED All rights reserved.<BR/>
''' FUJITSU SHIKOKU SYSTEMS LIMITED CONFIDENTIAL<BR/>
''' </remarks>
''' ---------------------------------------------
Public Class MSR070F030

#Region "コンスタント"

	Private Const CST_OPE_ZERO As Integer = 0						'術前術後日数(0日)

#End Region

#Region "コンストラクタ"

	'''---------------------------------------------
	''' <summary>
	''' コンストラクタ
	''' </summary>
	''' <param name="pDgv">一覧</param>
	''' <remarks>
	''' 2010/10/26 新規作成　ACS)常包<BR/>
	''' </remarks>
	'''---------------------------------------------
	Sub New(ByVal pDgv As DataGridView)
		' この呼び出しはデザイナーで必要です。
		InitializeComponent()
		' InitializeComponent() 呼び出しの後で初期化を追加します。
		'ＩＮ項目取得
		Me.dgvList = pDgv					'一覧
	End Sub
#End Region

#Region "イベント"

	''' ---------------------------------------------
	''' <summary>
	''' フォームロード時
	''' </summary>
	''' <param name="sender"></param>
	''' <param name="e"></param>
	''' <remarks>
	''' 2010/10/29 新規作成　ACS)常包<BR/>
	''' </remarks>
	''' ---------------------------------------------
	Private Sub MSR070F030_Load(ByVal sender As Object, ByVal e As System.EventArgs) Handles Me.Load
		log(XCM.clsSysMst.logLevel.NRM, "MSR060F030_Load", "フォームロード START")
		Try
			Me.setCombo()						'コンボセット
			Me.chk001MSR070F030.Select()		'フォーカス
		Catch ex As Exception
			Me.ErrorProc(ex)
		End Try
	End Sub
	''' ---------------------------------------------
	''' <summary>
	''' 手術チェック変更時
	''' </summary>
	''' <param name="sender"></param>
	''' <param name="e"></param>
	''' <remarks>
	''' 2010/10/26 新規作成　ACS)常包<BR/>
	''' </remarks>
	''' ---------------------------------------------
	Private Sub chk001MSR070F030_CheckedChanged(ByVal sender As System.Object, ByVal e As System.EventArgs) Handles chk001MSR070F030.CheckedChanged
		log(XCM.clsSysMst.logLevel.NRM, "chk001MSR070F030_CheckedChanged", "病名チェック変更時 START")
		Try
			With DirectCast(sender, BT_CheckBox)
				Me.grp002MSR000F040.Enabled = .Checked
				Me.grp005MSR000F040.Enabled = .Checked
				If .Checked = True Then
					Select Case True
						Case Me.rdo003MSR000F040.Checked : Me.msk007MSR000F040.Select()
						Case Me.rdo004MSR000F040.Checked : Me.txt009MSR000F040.Select()
						Case Else
					End Select
				End If
			End With
		Catch ex As Exception
			Me.ErrorProc(ex)
		End Try
	End Sub

	''' ---------------------------------------------
	''' <summary>
	''' 医師ボタン押下時
	''' </summary>
	''' <param name="sender"></param>
	''' <param name="e"></param>
	''' <remarks>
	''' 2010/10/29 新規作成　ACS)常包<BR/>
	''' </remarks>
	''' ---------------------------------------------
	Private Sub btn018MSR070F030_Click(ByVal sender As Object, ByVal e As System.EventArgs) Handles btn018MSR070F030.Click
		log(XCM.clsSysMst.logLevel.NRM, "btn018MSR070F030_Click", "医師ボタン押下時 START")
		Try
			'職員検索画面表示
			Me.StaffFormProc()
		Catch ex As Exception
			Me.ErrorProc(ex)
		End Try
	End Sub

#End Region

#Region "メソッド"

	''' ---------------------------------------------
	''' <summary>
	''' コンボ設定
	''' </summary>
	''' <remarks>
	''' 2010/10/29 新規作成　ACS)常包<BR/>
	''' </remarks>
	''' ---------------------------------------------
	Private Sub setCombo()
		log(clsSysMst.logLevel.DBG, "setCombo", "コンボ設定 START")
		Dim cliComboCom As clsComboCom = Nothing
		Try
			cliComboCom = New clsComboCom
			Using db As New clsDB(clsSysMst.ctlConfigData)
				'手術医師区分
				With Me.cmb016MSR070F030
					.DataSource = cliComboCom.getCombo(db, clsComboCom.Enum_ComboType.Enum_M_OpeDoctorDiv)
					.setDropDownWidth()
				End With

				'医師
				With Me.cmb019MSR070F030
					.DataSource = cliComboCom.getCombo(db, clsComboCom.Enum_ComboType.Enum_X_StaffXOpk_Dsp)
					.setDropDownWidth()
				End With
			End Using
		Catch ex As Exception
			Throw
		Finally
			cliComboCom = Nothing
		End Try
	End Sub



	'''---------------------------------------------
	''' <summary>
	''' テーブルデータ更新（手術）
	''' </summary>
	''' <returns>True:成功　False:失敗</returns>
	''' <remarks>
	''' 2010/11/01 新規作成　ACS)常包<BR/>
	''' </remarks>
	'''---------------------------------------------
	Private Function updOpeData(ByVal db As clsDB) As Boolean
		log(clsSysMst.logLevel.DBG, "updOpeData", "テーブルデータ更新（手術） START")

		Dim pSQLPlus As String = Nothing	'ＳＱＬ文編集用

		Try
			'手術名(ラジオボタン)＝「上書きする」のとき更新項目を追加
			If Me.rdo015MSR000F040.Checked = True Then
				pSQLPlus = pSQLPlus & sqlMSR070F030.sqlUpdOpeNM
			End If
			'点数表コード(ラジオボタン)＝「上書きする」のとき更新項目を追加
			If Me.rdo030MSR000F040.Checked = True Then
				pSQLPlus = pSQLPlus & sqlMSR070F030.sqlUpdOpeSCORE
			End If
			'手術選択(ラジオボタン)＝「管理番号」のとき更新項目を追加
			If Me.rdo003MSR000F040.Checked = True Then
				pSQLPlus = pSQLPlus & sqlMSR070F030.sqlUpdOpeKANRI
			End If

			With db
				'ＳＱＬ設定
				.setSQL(sqlMSR070F030.sqlUpdOpeData.Replace(sqlMSR070F030.sqlSel_RepSet, pSQLPlus))

				'共通パラメータセット
				Me.setParamater(db)

				'パラメータセット
				.setParam(sqlMSR070F030.prmICD9CM_CD, XCM.clsDB.Enum_dbType.dbNVarChar)			'ICD9CMコード
				.setParam(sqlMSR070F030.prmL_GRP_CD, XCM.clsDB.Enum_dbType.dbNVarChar)			'大分類コード
				.setParam(sqlMSR070F030.prmM_GRP_CD, XCM.clsDB.Enum_dbType.dbNVarChar)			'中分類コード
				.setParam(sqlMSR070F030.prmDIGS3_GRP_CD, XCM.clsDB.Enum_dbType.dbNVarChar)		'３桁分類コード
				.setParam(sqlMSR070F030.prmOPE_NM, XCM.clsDB.Enum_dbType.dbNVarChar)				'手術名
				.setParam(sqlMSR070F030.prmSCORE_CD, XCM.clsDB.Enum_dbType.dbNVarChar)			'点数表コード   
				.setParam(sqlMSR070F030.prmDISEASE_MNG_DIV, XCM.clsDB.Enum_dbType.dbNVarChar)		'管理記号
				.setParam(sqlMSR070F030.prmDISEASE_MNG_NO, XCM.clsDB.Enum_dbType.dbNVarChar)		'管理番号

				'値セット
				.setVal(sqlMSR070F030.prmICD9CM_CD, Me.txt009MSR000F040.Text)					'ICD9CMコード
				.setVal(sqlMSR070F030.prmL_GRP_CD, Me.lbl017MSR000F040.Text)					'大分類コード
				.setVal(sqlMSR070F030.prmM_GRP_CD, Me.lbl020MSR000F040.Text)					'中分類コード
				.setVal(sqlMSR070F030.prmDIGS3_GRP_CD, Me.lbl023MSR000F040.Text)				'３桁分類コード
				.setVal(sqlMSR070F030.prmOPE_NM, Me.txt011MSR000F040.Text)						'手術名
				.setVal(sqlMSR070F030.prmSCORE_CD, Me.txt026MSR000F040.Text)					'点数表コード
				.setVal(sqlMSR070F030.prmDISEASE_MNG_DIV, Me.MngDiv)							'管理記号
				.setVal(sqlMSR070F030.prmDISEASE_MNG_NO, Me.msk007MSR000F040.Text)				'管理番号

				'更新実行
				.execNonQuery(False)
			End With
			Return True
		Catch ex As Exception
			Throw
		End Try
	End Function

	'''---------------------------------------------
	''' <summary>
	''' テーブルデータ更新（術前日数）
	''' </summary>
	''' <returns></returns>
	''' <remarks>
	''' 2010/11/01 新規作成　ACS)常包<BR/>
	''' </remarks>
	'''---------------------------------------------
	Private Function updOpePreDTData(ByVal db As clsDB) As Boolean
		log(clsSysMst.logLevel.DBG, "updOpePreDTData", "テーブルデータ更新（術前日数） START")

		Dim pSQLPlus As String = Nothing	'条件による追加SQL文(SET句)
		Dim pSQLPlus2 As String = Nothing	'条件による追加SQL文(WHERE句)
		Dim pPreDT As clsConst.Enum_PreOpeCalcSel			'術前日数
		Dim wrkSql As String = Nothing

		Try
			'術前日数の計算式取得
			pPreDT = clsSysMst.ctlEnvData.getEnv(datEnv.Enum_ENV.ENV_00078)

			'更新内容の算出
			Select Case True
				Case Me.rdo004MSR070F030.Checked
					'術前日数が０日のみ計算
					pSQLPlus = sqlMSR070F030.sqlUpdOpePREDTSet
					pSQLPlus2 = sqlMSR070F030.sqlUpdOpePRE_Null & sqlMSR070F030.sqlUpdOpePRE_Zero
				Case Me.rdo005MSR070F030.Checked
					'すべての術前日数を計算
					pSQLPlus = sqlMSR070F030.sqlUpdOpePREDTSet
					pSQLPlus2 = sqlMSR070F030.sqlUpdOpePRE_Null
				Case Me.rdo006MSR070F030.Checked
					'すべての術前日数が０日
					pSQLPlus = sqlMSR070F030.sqlUpdOpePREDTAllSet
				Case Else
					pSQLPlus = Nothing
					pSQLPlus2 = Nothing
			End Select

			With db
				'ＳＱＬ文セット(SET句・WHERE句置き換え)
				wrkSql = sqlMSR070F030.sqlUpdOpePREData.Replace(sqlMSR070F030.sqlSel_RepSet, pSQLPlus)
				wrkSql = wrkSql.Replace(sqlMSR070F030.sqlSel_RepWhere, pSQLPlus2)

				'ＳＱＬ設定
				.setSQL(wrkSql)

				'共通パラメータセット
				Me.setParamater(db)

				'パラメータセット
				.setParam(sqlMSR070F030.prmPRE_OPE_DAYS, XCM.clsDB.Enum_dbType.dbInt)			'術前日数
				.setParam(sqlMSR070F030.prmPRE_OPE_DAYS_UPD, XCM.clsDB.Enum_dbType.dbInt)		'術前日数(更新)
				.setVal(sqlMSR070F030.prmPRE_OPE_DAYS, CST_OPE_ZERO, False)						'術前日数
				.setVal(sqlMSR070F030.prmPRE_OPE_DAYS_UPD, pPreDT, False)					 '術前日数(更新)

				'更新実行
				.execNonQuery(False)
			End With
			Return True
		Catch ex As Exception
			Throw
		Finally
			pSQLPlus = Nothing
			pSQLPlus2 = Nothing
			wrkSql = Nothing
		End Try
	End Function

	'''---------------------------------------------
	''' <summary>
	''' テーブルデータ更新（術後日数）
	''' </summary>
	''' <returns></returns>
	''' <remarks>
	''' 2010/11/01 新規作成　ACS)常包<BR/>
	''' </remarks>
	'''---------------------------------------------
	Private Function updOpeAFTDTData(ByVal db As clsDB) As Boolean
		log(clsSysMst.logLevel.DBG, "updOpeAFTDTData", "テーブルデータ更新（術後日数） START")

		Dim pSQLPlus As String = Nothing	'条件による追加SQL文
		Dim pSQLPlus2 As String = Nothing	'条件による追加SQL文
		Dim pAftDT As clsConst.Enum_AfterOpeCalcSel			'術後日数
		Dim wrkSql As String = Nothing

		Try
			'術前日数の計算式取得
			pAftDT = clsSysMst.ctlEnvData.getEnv(datEnv.Enum_ENV.ENV_00079)

			'更新内容の算出
			Select Case True
				Case Me.rdo009MSR070F030.Checked
					'術後日数が０日のみ計算
					pSQLPlus = sqlMSR070F030.sqlUpdOpeAFTDTSet
					pSQLPlus2 = sqlMSR070F030.sqlUpdOpeAFT_Null & sqlMSR070F030.sqlUpdOpeAFT_Zero
				Case Me.rdo010MSR070F030.Checked
					'すべての術後日数を計算
					pSQLPlus = sqlMSR070F030.sqlUpdOpeAFTDTSet
					pSQLPlus2 = sqlMSR070F030.sqlUpdOpeAFT_Null
				Case Me.rdo011MSR070F030.Checked
					'すべての術後日数が０日
					pSQLPlus = sqlMSR070F030.sqlUpdOpeAFTDTAllSet
				Case Else
					pSQLPlus = Nothing
					pSQLPlus2 = Nothing
			End Select

			With db
				'ＳＱＬ文セット(SET句・WHERE句置き換え)
				wrkSql = sqlMSR070F030.sqlUpdOpeAFTData.Replace(sqlMSR070F030.sqlSel_RepSet, pSQLPlus)
				wrkSql = wrkSql.Replace(sqlMSR070F030.sqlSel_RepWhere, pSQLPlus2)

				'ＳＱＬ設定
				.setSQL(wrkSql)

				'共通パラメータセット
				Me.setParamater(db)

				'パラメータセット
				.setParam(sqlMSR070F030.prmAFT_OPE_DAYS, XCM.clsDB.Enum_dbType.dbInt)			'術後日数
				.setParam(sqlMSR070F030.prmAFT_OPE_DAYS_UPD, XCM.clsDB.Enum_dbType.dbInt)		'術後日数(更新)
				.setVal(sqlMSR070F030.prmAFT_OPE_DAYS, CST_OPE_ZERO, False)						'術後日数
				.setVal(sqlMSR070F030.prmAFT_OPE_DAYS_UPD, pAftDT, False)						'術後日数(更新)

				'更新実行
				.execNonQuery(False)
			End With
			Return True
		Catch ex As Exception
			Throw
		Finally
			pSQLPlus = Nothing
			pSQLPlus2 = Nothing
			wrkSql = Nothing
		End Try
	End Function

	'''---------------------------------------------
	''' <summary>
	''' テーブルデータ更新（手術医師追加）
	''' </summary>
	''' <returns></returns>
	''' <remarks>
	''' 2010/11/01 新規作成　ACS)常包<BR/>
	''' </remarks>
	'''---------------------------------------------
	Private Function insOpeDocData(ByVal db As clsDB) As Boolean
		log(clsSysMst.logLevel.DBG, "insOpeDocData", "テーブルデータ更新（手術医師追加） START")

		Try
			With db
				'ＳＱＬ設定
				.setSQL(sqlMSR070F030.sqlInsOpeDoc)

				'共通パラメータセット
				Me.setParamater(db)

				'パラメータセット
				.setParam(sqlMSR070F030.prmOPE_DOCTOR_DIV, XCM.clsDB.Enum_dbType.dbNVarChar)		'手術医師区分コード
				.setParam(sqlMSR070F030.prmDOCTOR_CD, XCM.clsDB.Enum_dbType.dbNVarChar)			'医師コード
				.setVal(sqlMSR070F030.prmOPE_DOCTOR_DIV, Me.cmb016MSR070F030.Text)				'手術医師区分コード
				.setVal(sqlMSR070F030.prmDOCTOR_CD, Me.cmb019MSR070F030.Text)					'医師コード

				'更新実行
				.execNonQuery(False)
			End With
			Return True
		Catch ex As Exception
			Throw
		End Try
	End Function

#End Region

#Region "オーバーライドメソッド"
	''' ---------------------------------------------
	''' <summary>
	''' 入力項目の入力チェック
	''' </summary>
	''' <remarks>
	''' 2010/10/29 新規作成　ACS)常包<BR/>
	''' </remarks>
	''' ---------------------------------------------
	Protected Overrides Function ChkData() As Boolean
		log(clsSysMst.logLevel.DBG, "ChkData", "入力チェック START")
		Try
			'手術、術前日数、術後日数、手術医師追加いずれもチェックが入っていないとき
			If Me.chk001MSR070F030.Checked = False AndAlso _
			   Me.chk002MSR070F030.Checked = False AndAlso _
			   Me.chk007MSR070F030.Checked = False AndAlso _
			   Me.chk012MSR070F030.Checked = False Then
				'「更新対象が選択されていません」メッセージ
				addErrList("E0014", "MSR070F030", "更新対象", "更新対象", Nothing)
			End If
			'手術医師追加＝ＯＮの場合
			If Me.chk012MSR070F030.Checked = True Then
				'医師区分が未選択、または 医師コードが未選択の場合
				With Me.cmb016MSR070F030
					If String.IsNullOrEmpty(.Text) Then
						'「未入力の項目があります」メッセージ
						addErrList("E0001", .Name, Me.chk012MSR070F030.Text, Nothing)
					End If
				End With
				With Me.cmb019MSR070F030
					If String.IsNullOrEmpty(.Text) Then
						'「未入力の項目があります」メッセージ
						addErrList("E0001", .Name, Me.chk012MSR070F030.Text, Nothing)
					End If
				End With
			End If
			'手術=ONのとき
			If Me.chk001MSR070F030.Checked = True Then
				'継承元のチェック処理を行う
				Return MyBase.ChkData()
			End If
			If getErrCount() > 0 Then
				Me.nextErrForm()							'エラーがある場合、エラー画面表示
				Return False
			Else
				Return True									'エラーがない場合、正常終了
			End If
		Catch ex As Exception
			Throw
		End Try
	End Function

	''' ---------------------------------------------
	''' <summary>
	''' データ更新処理
	''' </summary>
	''' <param name="db">DBクラス</param>
	''' <returns>True/False</returns>
	''' <remarks>
	''' 2010/10/29 新規作成　ACS)常包<BR/>
	''' </remarks>
	''' ---------------------------------------------
	Protected Overrides Function UpdProc(ByVal db As clsDB) As Boolean
		log(clsSysMst.logLevel.DBG, "UpdProc", "データ更新処理 START")
		Dim bolCtl() As BT_CheckBox = Nothing
		Dim wrkMsg As String = Nothing		'エラーメッセージ文言用変数
		Dim ret As Boolean					'戻り値
		Try
			'チェックボックスの状態を配列にセット
			bolCtl = {Me.chk001MSR070F030, Me.chk002MSR070F030, Me.chk007MSR070F030, Me.chk012MSR070F030}

			Try
				For i As Integer = 0 To bolCtl.Length - 1
					If bolCtl(i).Checked = True Then
						wrkMsg = bolCtl(i).Text & "を処理中、更新"
						'ステータスバーにメッセージ表示
						Me.showMsgBar("I0022", Enum_MsgIcon.None, bolCtl(i).Text, Nothing)
						'トランザクション開始
						db.ctlTran(clsDB.Enum_TranMode.Begin)
						Select Case i
							Case 0 : ret = Me.updOpeData(db)
							Case 1 : ret = Me.updOpePreDTData(db)
							Case 2 : ret = Me.updOpeAFTDTData(db)
							Case 3 : ret = Me.insOpeDocData(db)
							Case Else
								ret = False
						End Select
						If ret = True Then
							db.ctlTran(clsDB.Enum_TranMode.Commit)
						Else
							db.ctlTran(clsDB.Enum_TranMode.RollBack)
						End If
					End If
				Next i
				Return True
			Catch ex As SqlClient.SqlException
				'トランザクションロールバック
				If db.statTran() = True Then db.ctlTran(clsDB.Enum_TranMode.RollBack)
				'共通例外エラー処理
				Me.ErrorProc(ex, False)
				'エラーメッセージ出力
				'「○○を処理時、更新に失敗しました」
				Me.showMsg("E0013", wrkMsg, ex.Message)
				Return False
			Catch ex As Exception
				Throw
			Finally
				Me.clearMsgBar()
				'トランザクションロールバック
				If db.statTran() = True Then db.ctlTran(clsDB.Enum_TranMode.RollBack)
			End Try
			Return True
		Catch ex As Exception
			Throw
		Finally
			bolCtl = Nothing
			wrkMsg = Nothing
		End Try
	End Function

	''' ---------------------------------------------
	''' <summary>
	''' 医師ボタン押下及びF1キー押下処理
	''' </summary>
	''' <remarks>
	''' 2010/11/01 新規作成　ACS)常包<BR/>
	''' </remarks>
	''' ---------------------------------------------
	Public Overrides Function StaffFormProc() As Boolean
		log(XCM.clsSysMst.logLevel.NRM, "StaffFormProc", "職員検索処理 START")
		Try
			'職員検索画面表示
			With Me.cmb019MSR070F030
				DirectCast(New clsStaff, clsStaff).dspStaffForm(Me, .Name, .LinkControl, clsStaff.Enum_DspMode.eReference, .DoctorFlg)
			End With
		Catch ex As Exception
			Throw
		End Try

	End Function

#End Region

End Class