﻿Imports XCM
''' ---------------------------------------------
''' <summary>
''' 診療情報管理 検索 検査情報 検索結果更新
''' </summary>
''' <remarks>
''' Copyright 2010 FUJITSU SHIKOKU SYSTEMS LIMITED All rights reserved.<BR/>
''' FUJITSU SHIKOKU SYSTEMS LIMITED CONFIDENTIAL<BR/>
''' </remarks>
''' ---------------------------------------------
Public Class MSR090F030

#Region "コンストラクタ"

	Public Sub New(ByVal pDgv As DataGridView)
		' この呼び出しはデザイナーで必要です。
		InitializeComponent()
		' InitializeComponent() 呼び出しの後で初期化を追加します。
		'ＩＮ項目取得
		Me.dgvList = pDgv
	End Sub

#End Region

#Region "メソッド"

	'''---------------------------------------------
	''' <summary>
	''' テーブルデータ更新
	''' </summary>
	''' <returns>True:成功　False:失敗</returns>
	''' <remarks>
	''' 2010/12/17 新規作成　ACS)常包<BR/>
	''' </remarks>
	'''---------------------------------------------
	Private Function updData(ByVal db As clsDB) As Boolean
		log(clsSysMst.logLevel.DBG, "updData", "テーブルデータ更新 START")

		Dim pSQLPlus As String = Nothing	'ＳＱＬ文編集用

		Try
			'検査名(ラジオボタン)＝「上書きする」のとき更新項目を追加
			If Me.rdo015MSR000F040.Checked = True Then
				pSQLPlus = pSQLPlus & sqlMSR090F030.sqlUpdNM
			End If
			'点数表コード(ラジオボタン)＝「上書きする」のとき更新項目を追加
			If Me.rdo030MSR000F040.Checked = True Then
				pSQLPlus = pSQLPlus & sqlMSR090F030.sqlUpdSCORE
			End If
			'検査選択(ラジオボタン)＝「管理番号」のとき更新項目を追加
			If Me.rdo003MSR000F040.Checked = True Then
				pSQLPlus = pSQLPlus & sqlMSR090F030.sqlUpdKANRI
			End If

			With db
				'ＳＱＬ設定
				.setSQL(sqlMSR090F030.sqlUpdData.Replace(sqlMSR090F030.sqlSel_RepSet, pSQLPlus))
				'共通パラメータセット
				Me.setParamater(db)
				'パラメータセット
				.setParam(sqlMSR090F030.prmICD9CM_CD, XCM.clsDB.Enum_dbType.dbNVarChar)			'ICD9CMコード
				.setParam(sqlMSR090F030.prmL_GRP_CD, XCM.clsDB.Enum_dbType.dbNVarChar)			'大分類コード
				.setParam(sqlMSR090F030.prmM_GRP_CD, XCM.clsDB.Enum_dbType.dbNVarChar)			'中分類コード
				.setParam(sqlMSR090F030.prmDIGS3_GRP_CD, XCM.clsDB.Enum_dbType.dbNVarChar)		'３桁分類コード
				.setParam(sqlMSR090F030.prmTEST_NM, XCM.clsDB.Enum_dbType.dbNVarChar)				'検査名
				.setParam(sqlMSR090F030.prmSCORE_CD, XCM.clsDB.Enum_dbType.dbNVarChar)			'点数表コード   
				.setParam(sqlMSR090F030.prmMNG_DIV, XCM.clsDB.Enum_dbType.dbNVarChar)				'管理記号
				.setParam(sqlMSR090F030.prmMNG_NO, XCM.clsDB.Enum_dbType.dbInt)					'管理番号
				'値セット
				.setVal(sqlMSR090F030.prmICD9CM_CD, Me.txt009MSR000F040.Text)					'ICD9CMコード
				.setVal(sqlMSR090F030.prmL_GRP_CD, Me.lbl017MSR000F040.Text)					'大分類コード
				.setVal(sqlMSR090F030.prmM_GRP_CD, Me.lbl020MSR000F040.Text)					'中分類コード
				.setVal(sqlMSR090F030.prmDIGS3_GRP_CD, Me.lbl023MSR000F040.Text)				'３桁分類コード
				.setVal(sqlMSR090F030.prmTEST_NM, Me.txt011MSR000F040.Text)						'検査名
				.setVal(sqlMSR090F030.prmSCORE_CD, Me.txt026MSR000F040.Text)					'点数表コード
				.setVal(sqlMSR090F030.prmMNG_DIV, Me.MngDiv)									'管理記号
				.setVal(sqlMSR090F030.prmMNG_NO, Me.msk007MSR000F040.Text)						'管理番号
				'更新実行
				.execNonQuery(False)
			End With
			Return True
		Catch ex As Exception
			Throw
		End Try
	End Function
#End Region

#Region "オーバーライドメソッド"

	''' ---------------------------------------------
	''' <summary>
	''' データ更新処理
	''' </summary>
	''' <param name="db">DBクラス</param>
	''' <returns>True/False</returns>
	''' <remarks>
	''' 2010/12/17 新規作成　ACS)常包<BR/>
	''' </remarks>
	''' ---------------------------------------------
	Protected Overrides Function UpdProc(ByVal db As clsDB) As Boolean
		log(clsSysMst.logLevel.DBG, "UpdProc", "データ更新処理 START")
		Dim wrkMsg As String = Nothing		'エラーメッセージ文言用変数
		Try
			wrkMsg = Me.lbl001MSR000F040.Text & "情報を処理中、更新"
			'ステータスバーにメッセージ表示
			Me.showMsgBar("I0022", Enum_MsgIcon.None, lbl001MSR000F040.Text, Nothing)
			'トランザクション開始
			db.ctlTran(clsDB.Enum_TranMode.Begin)
			'更新処理
			If Me.updData(db) = True Then
				db.ctlTran(clsDB.Enum_TranMode.Commit)
			Else
				db.ctlTran(clsDB.Enum_TranMode.RollBack)
			End If
			Return True
		Catch ex As SqlClient.SqlException
			'トランザクションロールバック
			If db.statTran() = True Then db.ctlTran(clsDB.Enum_TranMode.RollBack)
			'共通例外エラー処理
			Me.ErrorProc(ex, False)
			'エラーメッセージ出力
			'「○○を処理時、更新に失敗しました」
			Me.showMsg("E0013", wrkMsg, ex.Message)
			Return False
		Catch ex As Exception
			Throw
		Finally
			Me.clearMsgBar()
			'トランザクションロールバック
			If db.statTran() = True Then db.ctlTran(clsDB.Enum_TranMode.RollBack)
		End Try
	End Function
#End Region

End Class
