﻿''' ---------------------------------------------
''' <summary>
''' 診療情報管理 検索 補足項目１情報　検索結果更新(SQLクラス）
''' </summary>
''' <remarks>
''' Copyright 2010 FUJITSU SHIKOKU SYSTEMS LIMITED All rights reserved.<BR/>
''' FUJITSU SHIKOKU SYSTEMS LIMITED CONFIDENTIAL<BR/>
''' </remarks>
''' ---------------------------------------------
Public NotInheritable Class sqlMSR100F030

	Public Const prmCHK_ON As String = "@CHK_ON"					'チェックＯＮ
	Public Const prmCHK_OFF As String = "@CHK_OFF"					'チェックＯＦＦ
	Public Const prmITEM_CNT As String = "@ITEM_CNT"				'補足項目１数

	''' <summary>
	''' UPDATE句（移動先＝ON時）0:移動先　1:移動元
	''' </summary>
	Public Const sqlUpdASST1_Move As String = "" _
	& " UPDATE i" _
	& " SET" _
	& "  i.LASTUPD_DT                  = " & sqlMSRCOMMON.prmLASTUPD_DT _
	& " ,i.LASTUPDUSER_CD              = " & sqlMSRCOMMON.prmLASTUPDUSER_CD _
	& " ,i.ASST_ITM{0}                 = " & prmCHK_ON _
	& " ,i.ASST_ITM{1}                 = " & prmCHK_OFF _
	& "  FROM MTW_SEARCH_WORK AS w" _
	& "      INNER JOIN MTI_ASST1 AS i" _
	& "         ON w.PATIENT_NO        = i.PATIENT_NO" _
	& "        AND w.HSP_HISTORY_NO    = i.HSP_HISTORY_NO" _
	& "        AND w.CH_NO             = i.CH_NO" _
	& " WHERE w.HOST_NM                = " & sqlMSRCOMMON.prmHOST_NM _
	& "   AND i.ASST_ITM{1}            = " & prmCHK_ON

	''' <summary>
	''' UPDATE句（クリア＝ON時）
	''' </summary>
	Public Const sqlUpdASST1_Clear As String = "" _
	& " UPDATE i" _
	& " SET" _
	& "  i.LASTUPD_DT                  = " & sqlMSRCOMMON.prmLASTUPD_DT _
	& " ,i.LASTUPDUSER_CD              = " & sqlMSRCOMMON.prmLASTUPDUSER_CD _
	& " ,i.ASST_ITM{0}                 = " & prmCHK_OFF _
	& "  FROM MTW_SEARCH_WORK AS w" _
	& "       INNER JOIN MTI_ASST1 AS i" _
	& "          ON w.PATIENT_NO       = i.PATIENT_NO" _
	& "         AND w.HSP_HISTORY_NO   = i.HSP_HISTORY_NO" _
	& "         AND w.CH_NO            = i.CH_NO" _
	& " WHERE w.HOST_NM                = " & sqlMSRCOMMON.prmHOST_NM _
	& "   AND i.ASST_ITM{0}            = " & prmCHK_ON

	''' <summary>
	''' DELETE句（クリア＝ON時）001～132一つもチェックがないレコードを削除
	''' </summary>
	Public Const sqlDelASST1_Clear As String = "" _
	& " DELETE i" _
	& "   FROM MTI_ASST1 AS i" _
	& "        INNER JOIN MTW_SEARCH_WORK AS w" _
	& "           ON i.PATIENT_NO      =  w.PATIENT_NO" _
	& "		     AND i.HSP_HISTORY_NO  =  w.HSP_HISTORY_NO" _
	& "		     AND i.CH_NO           =  w.CH_NO" _
	& "  WHERE w.HOST_NM               = " & sqlMSRCOMMON.prmHOST_NM _
	& "  {0}"

	Public Const sqlFldASST1_Clear As String = "" _
	& "    AND i.ASST_ITM{0}           = " & prmCHK_OFF

	''' <summary>
	''' UPDATE句（クリア＝ON時）削除したデータに紐づく科歴情報の「補足項目１項目数」を０にする
	''' </summary>
	Public Const sqlUpdCH_Zero As String = "" _
	& " UPDATE c" _
	& " SET" _
	& "  c.ASST_ITM1_COUNT             =" & prmITEM_CNT _
	& " ,c.LASTUPD_DT                  = " & sqlMSRCOMMON.prmLASTUPD_DT _
	& " ,c.LASTUPDUSER_CD              = " & sqlMSRCOMMON.prmLASTUPDUSER_CD _
	& "  FROM MTW_SEARCH_WORK AS w" _
	& "      LEFT JOIN MTI_ASST1 AS i" _
	& "         ON w.PATIENT_NO        = i.PATIENT_NO" _
	& "        AND w.HSP_HISTORY_NO    = i.HSP_HISTORY_NO" _
	& "        AND w.CH_NO             = i.CH_NO" _
	& "     INNER JOIN MTI_CH AS c" _
	& "         ON w.PATIENT_NO        = c.PATIENT_NO" _
	& "        AND w.HSP_HISTORY_NO    = c.HSP_HISTORY_NO" _
	& "        AND w.CH_NO             = c.CH_NO" _
	& " WHERE w.HOST_NM                = " & sqlMSRCOMMON.prmHOST_NM _
	& "   AND i.PATIENT_NO             Is Null"

	''' <summary>
	''' UPDATE句（チェック＝ON時）
	''' </summary>
	Public Const sqlUpdASST1_Check As String = "" _
	& " UPDATE i" _
	& " SET" _
	& "  i.LASTUPD_DT                  = " & sqlMSRCOMMON.prmLASTUPD_DT _
	& " ,i.LASTUPDUSER_CD              = " & sqlMSRCOMMON.prmLASTUPDUSER_CD _
	& " ,i.ASST_ITM{0}                 = " & prmCHK_ON _
	& "  FROM MTW_SEARCH_WORK AS w" _
	& "      INNER JOIN MTI_ASST1 AS i" _
	& "         ON w.PATIENT_NO        = i.PATIENT_NO" _
	& "        AND w.HSP_HISTORY_NO    = i.HSP_HISTORY_NO" _
	& "        AND w.CH_NO             = i.CH_NO" _
	& " WHERE w.HOST_NM                = " & sqlMSRCOMMON.prmHOST_NM _
	& "   AND i.ASST_ITM{0}            = " & prmCHK_OFF


End Class
