﻿''' ---------------------------------------------
''' <summary>
''' 診療情報管理 検索 共通用(SQLクラス）
''' </summary>
''' <remarks>
''' Copyright 2009 FUJITSU SHIKOKU SYSTEMS LIMITED All rights reserved.<BR/>
''' FUJITSU SHIKOKU SYSTEMS LIMITED CONFIDENTIAL<BR/>
''' </remarks>
''' ---------------------------------------------
Public Class sqlMSRCsvOut

#Region "項目マスタ"

	''' <summary>
	''' 項目
	''' </summary>
	Public Const itmDSPORDER As String = "DSPORDER"
	Public Const itmDOCTOR_NM As String = "DOCTOR_NM"
	Public Const itmMST_KEY As String = "MST_KEY"

	''' <summary>
	''' 入退院項目マスタ
	''' </summary>
	Public Const sqlHSP_ITM As String = _
	  "SELECT" _
	& " ITEM_CD" _
	& ",ITEM_NM" _
	& " FROM MTM_HSP_ITM" _
	& " WHERE ITEM_NM " & XCM.clsConst.CST_NONEMPTY_WHERE

	''' <summary>
	''' 感染症マスタ(科歴)
	''' </summary>
	Public Const sqlINFECTION_ITM As String = "" _
	& "SELECT" _
	& " INFECTION_CD AS " & sqlMSRCOMMON.itmITEM_CD _
	& ",INFECTION_NM AS " & sqlMSRCOMMON.itmITEM_NM _
	& "  FROM MTM_INFECTION" _
	& " WHERE INFECTION_NM " & XCM.clsConst.CST_NONEMPTY_WHERE

	''' <summary>
	''' 医療費項目マスタの取得
	''' </summary>
	Public Const sqlMED_COST_ITM As String = _
	  "SELECT" _
	& " MED_COST_CD AS " & sqlMSRCOMMON.itmITEM_CD _
	& ",MED_COST_NM AS " & sqlMSRCOMMON.itmITEM_NM _
	& " FROM MTM_MED_COST_ITM" _
	& " WHERE MED_COST_NM " & XCM.clsConst.CST_NONEMPTY_WHERE

	''' <summary>
	''' 医療費項目マスタの取得
	''' </summary>
	Public Const sqlOTHER_DEPT_ITM As String = _
	  "SELECT" _
	& " OTHER_DEPT_CD AS " & sqlMSRCOMMON.itmITEM_CD _
	& ",OTHER_DEPT_NM AS " & sqlMSRCOMMON.itmITEM_NM _
	& " FROM MTM_OTHER_DEPT" _
	& " WHERE OTHER_DEPT_NM " & XCM.clsConst.CST_NONEMPTY_WHERE

	''' <summary>
	''' 分娩区分項目マスタ
	''' </summary>
	Public Const selCB_DIV_ITM As String = "" _
	& "SELECT" _
	& " ITEM_CD" _
	& ",ITEM_NM" _
	& " FROM MTM_CB_DIV_ITM" _
	& " WHERE ITEM_NM " & XCM.clsConst.CST_NONEMPTY_WHERE

	''' <summary>
	''' 分娩チェック項目マスタ
	''' </summary>
	Public Const selCB_CHK_ITM As String = "" _
	& "SELECT" _
	& " ITEM_CD" _
	& ",ITEM_NM" _
	& " FROM MTM_CB_CHK_ITM" _
	& " WHERE ITEM_NM " & XCM.clsConst.CST_NONEMPTY_WHERE

	''' <summary>
	''' 補足項目１項目マスタの取得
	''' </summary>
	Public Const sqlASST1_ITM As String = _
	  "SELECT" _
	& " ITEM_CD" _
	& ",ITEM_NM" _
	& ",DSPORDER" _
	& " FROM MTM_ASST1_ITM" _
	& " WHERE ITEM_NM " & XCM.clsConst.CST_NONEMPTY_WHERE

	''' <summary>
	''' 補足項目２項目マスタの取得
	''' </summary>
	Public Const sqlASST2_ITM As String = _
	  "SELECT" _
	& " ITEM_CD AS " & itmMST_KEY _
	& ",SPT_FIELD_NM AS " & sqlMSRCOMMON.itmITEM_CD _
	& ",ITEM_NM" _
	& ",DSPORDER" _
	& " FROM MTM_ASST2_ITM" _
	& " WHERE ITEM_NM " & XCM.clsConst.CST_NONEMPTY_WHERE

	''' <summary>
	''' 監査マスタの取得
	''' </summary>
	Public Const sqlINSPECT_ITM As String = _
	  "SELECT" _
	& " INSPECT_CD AS " & sqlMSRCOMMON.itmITEM_CD _
	& ",ITEM_NM" _
	& ",DOCTOR_NM" _
	& ",DSPORDER" _
	& " FROM MTM_INSPECT" _
	& " WHERE ITEM_NM " & XCM.clsConst.CST_NONEMPTY_WHERE

#End Region

#Region "パターンデータ取得"

	''' <summary>
	''' パラメータ
	''' </summary>
	Public Const prmSCREEN_CD As String = "@SCREEN_CD"				'画面コード
	Public Const prmUNIT_CD As String = "@UNIT_CD"					'管理単位
	Public Const prmPTN_NO As String = "@PTN_NO"					'パターン番号

	''' <summary>
	''' 項目
	''' </summary>
	Public Const itmREPEAT_COUNT As String = "REPEAT_COUNT{0}"		'繰返し回数
	Public Const itmOPT_FLG As String = "OPT{0}_FLG"				'オプション

	Public Const itmDSP_NM As String = "DSP_NM"						'MSR200F010の表示項目
	Public Const itmTABLE_CD As String = "TABLE_CD"					'テーブルコード
	Public Const itmTABLE_NM As String = "TABLE_NM"					'テーブル名
	Public Const itmFIELD_CD As String = "FIELD_CD"					'ＤＢ項目コード
	Public Const itmFIELD_NM As String = "FIELD_NM"					'ＤＢ項目名
	Public Const itmDSP_FIELD_NM As String = "DSP_FIELD_NM"			'ヘッダ文字

	Public Const itmMASTER_NM As String = "MASTER_NM"				'マスタ
	Public Const itmMST_FIELD_NM As String = "MASTERFIELD_NM"		'マスタ項目名
	Public Const itmMST_FIELD_RNM As String = "MASTERFIELD_RNM"		'マスタ項目名(略称)
	Public Const itmCOMBINATION As String = "COMBINATION"			'マスタ連結文字
	Public Const itmCONVERTING As String = "CONVERTING"				'出力項目変換
	Public Const itmHSP_SPT As String = "HSP_SPT"					'個別対応

	''' <summary>
	''' パターン情報取得
	''' </summary>
	''' <remarks></remarks>
	Public Const sqlSel_PTN As String = "" _
	& "SELECT" _
	& " REPEAT_COUNT1 ,REPEAT_COUNT2 ,REPEAT_COUNT3 ,REPEAT_COUNT4 ,REPEAT_COUNT5" _
	& ",REPEAT_COUNT6 ,REPEAT_COUNT7 ,REPEAT_COUNT8 ,REPEAT_COUNT9 ,REPEAT_COUNT10" _
	& ",REPEAT_COUNT11,REPEAT_COUNT12,REPEAT_COUNT13,REPEAT_COUNT14,REPEAT_COUNT15" _
	& ",REPEAT_COUNT16,REPEAT_COUNT17,REPEAT_COUNT18,REPEAT_COUNT19,REPEAT_COUNT20" _
	& ",REPEAT_COUNT21,REPEAT_COUNT22,REPEAT_COUNT23" _
	& ",REPEAT_COUNT31" _
	& ",OPT1_FLG,OPT2_FLG,OPT3_FLG" _
	& "  FROM MTM_SEARCH_CSV_PATTERN" _
	& " WHERE SCREEN_CD = " & prmSCREEN_CD _
	& "   AND UNIT_CD   = " & prmUNIT_CD _
	& "   AND PTN_NO    = " & prmPTN_NO

	''' <summary>
	''' テーブル項目情報取得
	''' </summary>
	''' <remarks></remarks>
	Public Const sqlSel_PTN_FIELD As String = "" _
	& "SELECT" _
	& " f.TABLE_CD" _
	& ",t.TABLE_NM" _
	& ",f.FIELD_CD" _
	& ",f.FIELD_NM" _
	& ",f.DSP_FIELD_NM" _
	& ",f.MASTER_NM" _
	& ",f.MASTERFIELD_NM" _
	& ",CASE WHEN f.MASTERFIELD_RNM IS NULL THEN f.MASTERFIELD_NM ELSE f.MASTERFIELD_RNM END AS MASTERFIELD_RNM" _
	& ",f.COMBINATION" _
	& ",f.CONVERTING" _
	& ",f.HSP_SPT" _
	& ",'' AS " & sqlMSRCOMMON.itmITEM_CD _
	& "  FROM MTM_SEARCH_CSV_PTN_FIELD	AS p" _
	& " INNER JOIN MTM_SEARCH_CSV_TBL	AS t	 ON p.TABLE_CD = t.TABLE_CD" _
	& " INNER JOIN MTM_SEARCH_CSV_FIELD	AS f	 ON p.TABLE_CD = f.TABLE_CD	AND p.FIELD_CD = f.FIELD_CD" _
	& " WHERE p.SCREEN_CD = " & prmSCREEN_CD _
	& "   AND p.UNIT_CD   = " & prmUNIT_CD _
	& "   AND p.PTN_NO    = " & prmPTN_NO _
	& "   AND f.NONDSP_FLG = 0" _
	& " ORDER BY" _
	& " t.DSPORDER" _
	& ",p.CSV_NO" _
	& ",f.TABLE_CD" _
	& ",f.FIELD_CD"

	''' <summary>
	''' テーブル項目情報取得
	''' </summary>
	''' <remarks></remarks>
	Public Const sqlSel_FIELD As String = "" _
	& "SELECT" _
	& " f.TABLE_CD" _
	& ",t.TABLE_NM" _
	& ",f.FIELD_CD" _
	& ",f.FIELD_NM" _
	& ",f.DSP_FIELD_NM" _
	& ",f.MASTER_NM" _
	& ",f.MASTERFIELD_NM" _
	& ",CASE WHEN f.MASTERFIELD_RNM IS NULL THEN f.MASTERFIELD_NM ELSE f.MASTERFIELD_RNM END AS MASTERFIELD_RNM" _
	& ",f.COMBINATION" _
	& ",f.CONVERTING" _
	& ",f.HSP_SPT" _
	& ",'' AS " & sqlMSRCOMMON.itmITEM_CD _
	& "  FROM MTM_SEARCH_CSV_TBL		AS t" _
	& " INNER JOIN MTM_SEARCH_CSV_FIELD	AS f	 ON t.TABLE_CD = f.TABLE_CD" _
	& " WHERE f.NONDSP_FLG = 0"

#End Region

#Region "ＣＳＶデータ取得ＳＱＬ部品"

	' ''' <summary>
	' ''' 基本ベース取得
	' ''' </summary>
	'Public Const selBASIC As String = "" _
	'& "SELECT w.PATIENT_NO" _
	'& " {0}" _
	'& "  FROM (" _
 '_
	'& " SELECT" _
	'& " PATIENT_NO" _
	'& ",MIN(MTW_SEARCH_WORK.OUT_ORDER) AS OUT_ORDER" _
	'& " FROM MTW_SEARCH_WORK" _
	'& "  WHERE HOST_NM = " & sqlMSRCOMMON.prmHOST_NM _
	'& "  GROUP BY" _
	'& " PATIENT_NO" _
 '_
	'& ") AS w" _
	'& " {1}" _
	'& " ORDER BY w,OUT_ORDER,w.PATIENT_NO"

	' ''' <summary>
	' ''' 入退院ベース取得
	' ''' </summary>
	'Public Const selHSP As String = "" _
	'& "SELECT w.PATIENT_NO,w.HSP_HISTORY_NO" _
	'& " {0}" _
	'& "  FROM (" _
 '_
	'& " SELECT" _
	'& " PATIENT_NO, HSP_HISTORY_NO" _
	'& ",MIN(MTW_SEARCH_WORK.OUT_ORDER) AS OUT_ORDER" _
	'& " FROM MTW_SEARCH_WORK" _
	'& "  WHERE HOST_NM = " & sqlMSRCOMMON.prmHOST_NM _
	'& "  GROUP BY" _
	'& " PATIENT_NO ,HSP_HISTORY_NO" _
 '_
	'& ") AS w" _
	'& " {1}" _
	'& " ORDER BY w,OUT_ORDER,w.PATIENT_NO,w.HSP_HISTORY_NO"

	''' <summary>
	''' ヘッダ項目
	''' </summary>
	''' <remarks></remarks>
	Public Const HeaderBasic As String = "患者番号"
	Public Const HeaderHSP As String = HeaderBasic & ",入退院歴番号"
	Public Const HeaderCH As String = HeaderHSP & ",科歴番号"
	Public Const HeaderSERIAL As String = HeaderCH

	''' <summary>
	''' 基本ベース取得
	''' </summary>
	Public Const selBASIC As String = "" _
	& "SELECT w.PATIENT_NO" _
	& " {0}" _
	& "  FROM MTW_SEARCH_WORK AS w" _
	& " {1}" _
	& " WHERE w.HOST_NM = " & sqlMSRCOMMON.prmHOST_NM _
	& " {2}" _
	& " {3}"

	''' <summary>
	''' 入退院ベース取得
	''' </summary>
	Public Const selHSP As String = "" _
	& "SELECT w.PATIENT_NO,w.HSP_HISTORY_NO" _
	& " {0}" _
	& "  FROM MTW_SEARCH_WORK AS w" _
	& " {1}" _
	& " WHERE w.HOST_NM = " & sqlMSRCOMMON.prmHOST_NM _
	& "{2}" _
	& "{3}"

	''' <summary>
	''' 科歴ベース取得
	''' </summary>
	Public Const selCH As String = "" _
	& "SELECT w.PATIENT_NO,w.HSP_HISTORY_NO,w.CH_NO" _
	& " {0}" _
	& "  FROM MTW_SEARCH_WORK AS w" _
	& " {1}" _
	& " WHERE w.HOST_NM = " & sqlMSRCOMMON.prmHOST_NM _
	& "{2}" _
	& "{3}"

	''' <summary>
	''' 科歴ベース取得
	''' </summary>
	Public Const selSERIAL2CH As String = "" _
	& "SELECT w.PATIENT_NO,w.HSP_HISTORY_NO,w.CH_NO" _
	& " {0}" _
	& "  FROM (" _
 _
	& "SELECT" _
	& " PATIENT_NO" _
	& ",HSP_HISTORY_NO" _
	& ",CH_NO" _
	& "  FROM MTW_SEARCH_WORK" _
	& " WHERE HOST_NM = " & sqlMSRCOMMON.prmHOST_NM _
	& " GROUP BY" _
	& " PATIENT_NO" _
	& ",HSP_HISTORY_NO" _
	& ",CH_NO" _
 _
	& ") AS w" _
	& " {1}" _
	& " WHERE w.PATIENT_NO IS NOT NULL" _
	& "{2}" _
	& "{3}"

	''' <summary>
	''' 連番ベース取得
	''' </summary>
	Public Const selSERIAL As String = "" _
	& "SELECT w.PATIENT_NO,w.HSP_HISTORY_NO,w.CH_NO,w.SERIAL_NO" _
	& " {0}" _
	& "  FROM MTW_SEARCH_WORK AS w" _
	& " {1}" _
	& " WHERE w.HOST_NM = " & sqlMSRCOMMON.prmHOST_NM _
	& "{2}" _
	& "{3}"

#Region "条件 行番号 ソート"
	''' <summary>
	''' 患者番号番号順
	''' </summary>
	''' <remarks></remarks>
	Public Const orderBASIC As String = " ORDER BY w.OUT_ORDER,w.PATIENT_NO"

	''' <summary>
	''' 患者＋入退院歴番号順
	''' </summary>
	''' <remarks></remarks>
	Public Const orderHSP As String = orderBASIC & ",w.HSP_HISTORY_NO"

	''' <summary>
	''' 患者＋入退院歴＋科歴番号順
	''' </summary>
	''' <remarks></remarks>
	Public Const orderCH As String = orderHSP & ",w.CH_NO"

	''' <summary>
	''' 患者＋入退院歴＋科歴＋連番順
	''' </summary>
	''' <remarks></remarks>
	Public Const orderSERIAL As String = orderCH & ",w.SERIAL_NO"

	''' <summary>
	''' 取得条件
	''' </summary>
	''' <remarks></remarks>
	Public Const wherePatient As String = " AND {0}.PATIENT_NO IS NOT NULL"

	''' <summary>
	''' 行番号
	''' </summary>
	''' <remarks></remarks>
	Public Const itmRowNum As String = "ROWNUM"

	''' <summary>
	''' 行番号　患者毎の入退院歴＋科歴（＋連番）順
	''' </summary>
	''' <remarks></remarks>
	Public Const colRowNumBASIC As String = ",ROW_NUMBER() OVER(PARTITION BY {0}.PATIENT_NO ORDER BY {0}.HSP_HISTORY_NO,{0}.CH_NO{1}) AS " & itmRowNum

	''' <summary>
	''' 行番号　患者＋入退院歴毎の科歴（＋連番）順
	''' </summary>
	''' <remarks></remarks>
	Public Const colRowNumHSP As String = ",ROW_NUMBER() OVER(PARTITION BY {0}.PATIENT_NO,{0}.HSP_HISTORY_NO ORDER BY {0}.CH_NO{1}) AS " & itmRowNum

	''' <summary>
	''' 行番号　患者＋入退院歴＋科歴毎の連番順
	''' </summary>
	''' <remarks></remarks>
	Public Const colRowNumCH As String = ",ROW_NUMBER() OVER(PARTITION BY {0}.PATIENT_NO,{0}.HSP_HISTORY_NO,{0}.CH_NO ORDER BY {0}.{1}SERIAL_NO) AS " & itmRowNum

#End Region

#Region "項目変換"

	''' <summary>
	''' 有無マスタ変換
	''' </summary>
	''' <remarks></remarks>
	Public Const colConvCHK As String = "CASE {0} WHEN " & sqlMSRCOMMON.prmCHK_CD_ON & " THEN " & sqlMSRCOMMON.prmCHK_NM_ON &
												" WHEN " & sqlMSRCOMMON.prmCHK_CD_OFF & " THEN " & sqlMSRCOMMON.prmCHK_NM_OFF & " END"
	''' <summary>
	''' フラグ変換
	''' </summary>
	''' <remarks></remarks>
	Public Const colConvFLG As String = "CASE {0} WHEN " & sqlMSRCOMMON.prmFLG_CD_ON & " THEN " & sqlMSRCOMMON.prmFLG_NM_ON & " END"

	''' <summary>
	''' 日付変換
	''' </summary>
	''' <remarks></remarks>
	Public Const colConvDT As String = "CONVERT(VARCHAR,{0},111)"

	''' <summary>
	''' 郵便番号変換
	''' </summary>
	''' <remarks></remarks>
	Public Const colConvZIPCD As String = "CASE WHEN {0} IS NULL OR LEN({0}) < 4 THEN {0} ELSE SUBSTRING({0},1,3) + '-' + SUBSTRING({0},4,LEN({0})-3) END"

#End Region

#Region "結合式"

	''' <summary>
	''' マスタ結合式
	''' </summary>
	''' <remarks></remarks>
	Public Const joinMST As String = " LEFT JOIN {0} AS {1} ON {2}"

	''' <summary>
	''' マスタ結合条件
	''' </summary>
	''' <remarks></remarks>
	Public Const joinMstCombination = "{0}.{2} = {1}.{2}"

	''' <summary>
	''' 患者番号で結合
	''' </summary>
	''' <remarks></remarks>
	Public Const joinBASIC As String = " LEFT JOIN {0} ON w.PATIENT_NO = {1}.PATIENT_NO"

	''' <summary>
	''' 患者番号＋入退院歴番号で結合
	''' </summary>
	''' <remarks></remarks>
	Public Const joinHSP As String = joinBASIC & " AND w.HSP_HISTORY_NO = {1}.HSP_HISTORY_NO"

	''' <summary>
	''' 患者番号＋入退院歴番号＋ホスト名で結合
	''' </summary>
	''' <remarks></remarks>
	Public Const joinHSPHOST As String = joinHSP & " AND w.HOST_NM = {1}.HOST_NM"

	''' <summary>
	''' 患者番号＋入退院歴番号＋科歴番号=Zeroで結合
	''' </summary>
	''' <remarks></remarks>
	Public Const joinCHZERO As String = joinHSP & " AND 0 = {1}.CH_NO"

	''' <summary>
	''' 患者番号＋入退院歴番号＋科歴番号で結合
	''' </summary>
	''' <remarks></remarks>
	Public Const joinCH As String = joinHSP & " AND w.CH_NO = {1}.CH_NO"

	''' <summary>
	''' 患者番号＋入退院歴番号＋科歴番号＋連番で結合
	''' </summary>
	''' <remarks></remarks>
	Public Const joinSerial As String = joinCH & " AND w.SERIAL_NO = {1}.{2}SERIAL_NO"

	''' <summary>
	''' 患者番号＋最新入退院歴番号で結合
	''' </summary>
	''' <remarks></remarks>
	Public Const joinNewHsp As String = " LEFT JOIN {0} ON w.PATIENT_NO		= {1}.PATIENT_NO" _
												   & " AND w.NEW_HSP_NO		= {1}.HSP_HISTORY_NO"
	''' <summary>
	''' 患者番号＋最新入退院歴＋最新科歴番号で結合
	''' </summary>
	''' <remarks></remarks>
	Public Const joinNewCH As String = joinNewHsp & " AND w.NEW_CH		= {1}.CH_NO"


#End Region

#Region "【特殊】"

	''' <summary>
	''' 最新住所取得テーブル(別名)
	''' </summary>
	''' <remarks></remarks>
	Public Const tblNewChSp As String = "NEW_CH"

	''' <summary>
	''' 最新住所結合式
	''' </summary>
	''' <remarks></remarks>
	Public Const joinNewChSp As String = " LEFT JOIN MTI_CH AS NEW_CH ON w.PATIENT_NO	= NEW_CH.PATIENT_NO" _
																 & " AND w.NEW_HSP_NO	= NEW_CH.HSP_HISTORY_NO" _
																 & " AND w.NEW_CH_NO	= NEW_CH.CH_NO"
	''' <summary>
	''' 転科テーブル（別名）
	''' </summary>
	''' <remarks></remarks>
	Public Const tblDeptChange As String = "DEPT_CHANGE{0}"

	''' <summary>
	''' 転科取得 (患者単位-最新入退院より)
	''' </summary>
	''' <remarks></remarks>
	Public Const sqlSubDeptChangeB As String = "" _
	& "SELECT " _
	& " MTI_CH.PATIENT_NO" _
	& ",MTI_CH.HSP_HISTORY_NO" _
	& ",ROW_NUMBER() OVER(PARTITION BY MTI_CH.PATIENT_NO,MTI_CH.HSP_HISTORY_NO ORDER BY MTI_CH.CH_NO ) AS ROW_NO" _
	& ",DEPT_CD" _
	& ",START_DT" _
	& "  FROM MTW_SEARCH_WORK" _
	& " INNER JOIN MTI_CH                   ON MTW_SEARCH_WORK.PATIENT_NO		= MTI_CH.PATIENT_NO " _
	& "                                    AND MTW_SEARCH_WORK.NEW_HSP_NO		= MTI_CH.HSP_HISTORY_NO" _
	& " INNER JOIN MTM_HSP_CNL              ON MTI_CH.START_CNL_CD				= MTM_HSP_CNL.HSP_CNL_CD" _
	& "  LEFT JOIN MTM_OUT_HSP_CNL          ON MTI_CH.END_CNL_CD				= MTM_OUT_HSP_CNL.OUT_HSP_CNL_CD" _
	& " WHERE MTW_SEARCH_WORK.HOST_NM		= " & sqlMSRCOMMON.prmHOST_NM _
	& "   AND ( MTM_HSP_CNL.FIXED_CD		= " & prmFIXED_DEPT_CHANGE_HSP _
	& "		 OR MTM_OUT_HSP_CNL.FIXED_CD	= " & prmFIXED_DEPT_CHANGE_OUT _
	& "		  )"

	''' <summary>
	''' 転科取得
	''' </summary>
	''' ''' <remarks></remarks>
	Public Const sqlSubDeptChangeH As String = "" _
	& "SELECT " _
	& " MTI_CH.PATIENT_NO" _
	& ",MTI_CH.HSP_HISTORY_NO" _
	& ",ROW_NUMBER() OVER(PARTITION BY MTI_CH.PATIENT_NO,MTI_CH.HSP_HISTORY_NO ORDER BY MTI_CH.CH_NO ) AS ROW_NO" _
	& ",DEPT_CD" _
	& ",START_DT" _
	& "  FROM ( " _
 _
	& "SELECT" _
	& " PATIENT_NO" _
	& ",HSP_HISTORY_NO" _
	& "  FROM MTW_SEARCH_WORK" _
	& " WHERE HOST_NM = " & sqlMSRCOMMON.prmHOST_NM _
	& " GROUP BY " _
	& " PATIENT_NO" _
	& ",HSP_HISTORY_NO" _
 _
	& " ) AS MTW_SEARCH_WORK" _
	& " INNER JOIN MTI_CH                   ON MTW_SEARCH_WORK.PATIENT_NO		= MTI_CH.PATIENT_NO " _
	& "                                    AND MTW_SEARCH_WORK.HSP_HISTORY_NO   = MTI_CH.HSP_HISTORY_NO" _
	& " INNER JOIN MTM_HSP_CNL              ON MTI_CH.START_CNL_CD				= MTM_HSP_CNL.HSP_CNL_CD" _
	& "  LEFT JOIN MTM_OUT_HSP_CNL          ON MTI_CH.END_CNL_CD				= MTM_OUT_HSP_CNL.OUT_HSP_CNL_CD" _
	& " WHERE MTM_HSP_CNL.FIXED_CD		= " & prmFIXED_DEPT_CHANGE_HSP _
	& "	   OR MTM_OUT_HSP_CNL.FIXED_CD  = " & prmFIXED_DEPT_CHANGE_OUT

	''' <summary>
	''' 転科結合式
	''' </summary>
	''' ''' <remarks></remarks>
	Public Const joinDeptChange As String = " LEFT JOIN ({1}) AS " & tblDeptChange _
																& "  ON {2}.PATIENT_NO		= " & tblDeptChange & ".PATIENT_NO" _
																& " AND {2}.HSP_HISTORY_NO	= " & tblDeptChange & ".HSP_HISTORY_NO" _
																& " AND {0}					= " & tblDeptChange & ".ROW_NO"

	''' <summary>
	''' 転科元テーブル（別名）
	''' </summary>
	''' <remarks></remarks>
	Public Const tblDeptChangeFrom As String = "DEPT_CHANGE_F"

	''' <summary>
	''' 転科元パラーメータ
	''' </summary>
	Public Const prmFIXED_DEPT_CHANGE_OUT As String = "@FIXED_DEPT_CHANGE_OUT"				'転科（退院経路）

	''' <summary>
	''' 転科元取得
	''' </summary>
	''' <remarks></remarks>
	Public Const joinDeptChangeFrom As String = "" _
	& " LEFT JOIN MTI_CH AS " & tblDeptChangeFrom _
	& "		   ON w.PATIENT_NO		= " & tblDeptChangeFrom & ".PATIENT_NO" _
	& "		  AND w.HSP_HISTORY_NO	= " & tblDeptChangeFrom & ".HSP_HISTORY_NO" _
	& "		  AND (" _
 _
	& "SELECT MAX(A.CH_NO)" _
	& "  FROM MTI_CH AS A" _
	& " INNER JOIN MTM_OUT_HSP_CNL" _
	& "			ON A.END_CNL_CD		  = MTM_OUT_HSP_CNL.OUT_HSP_CNL_CD" _
	& "		 WHERE A.PATIENT_NO       = w.PATIENT_NO" _
	& "		   AND A.HSP_HISTORY_NO   = w.HSP_HISTORY_NO" _
	& "		   AND A.CH_NO			  < w.CH_NO" _
	& "		   AND MTM_OUT_HSP_CNL.FIXED_CD = " & prmFIXED_DEPT_CHANGE_OUT _
 _
			 & " ) = " & tblDeptChangeFrom & ".CH_NO"

	''' <summary>
	''' 転科先テーブル（別名）
	''' </summary>
	''' <remarks></remarks>
	Public Const tblDeptChangeTo As String = "DEPT_CHANGE_T"

	''' <summary>
	''' 転科元パラーメータ
	''' </summary>
	Public Const prmFIXED_DEPT_CHANGE_HSP As String = "@FIXED_DEPT_CHANGE_HSP"				'転科（入院経路）

	''' <summary>
	''' 転科元取得
	''' </summary>
	''' <remarks></remarks>
	Public Const joinDeptChangeTo As String = "" _
	& " LEFT JOIN MTI_CH AS " & tblDeptChangeTo _
	& "		   ON w.PATIENT_NO		= " & tblDeptChangeTo & ".PATIENT_NO" _
	& "		  AND w.HSP_HISTORY_NO	= " & tblDeptChangeTo & ".HSP_HISTORY_NO" _
	& "		  AND (" _
 _
	& "SELECT MIN(A.CH_NO)" _
	& "  FROM MTI_CH AS A" _
	& " INNER JOIN MTM_HSP_CNL" _
	& "			ON A.START_CNL_CD	  = MTM_HSP_CNL.HSP_CNL_CD" _
	& "		 WHERE A.PATIENT_NO       = w.PATIENT_NO" _
	& "		   AND A.HSP_HISTORY_NO   = w.HSP_HISTORY_NO" _
	& "		   AND A.CH_NO			  > w.CH_NO" _
	& "		   AND MTM_HSP_CNL.FIXED_CD = " & prmFIXED_DEPT_CHANGE_HSP _
 _
			 & " ) = " & tblDeptChangeTo & ".CH_NO"

	''' <summary>
	''' 主病名テーブル（別名）
	''' </summary>
	''' <remarks></remarks>
	Public Const tblMainDisease As String = "MAIN_DISEASE"

	''' <summary>
	''' 固定コード＝主病名
	''' </summary>
	''' <remarks></remarks>
	Public Const prmFIXED_MAINDISEASE As String = "@FIXED_MAINDISEASE"

	''' <summary>
	''' 主病名に紐づく病名を取得
	''' </summary>
	Public Const joinMainDisease = " LEFT JOIN MTI_DISEASE AS " & tblMainDisease _
														& "  ON {0}.PATIENT_NO		= " & tblMainDisease & ".PATIENT_NO" _
														& " AND {0}.HSP_HISTORY_NO	= " & tblMainDisease & ".HSP_HISTORY_NO" _
														& " AND {0}.CH_NO			= " & tblMainDisease & ".CH_NO" _
														& " AND " & tblMainDisease & ".DISEASE_DIV IN (" _
																					& "SELECT DISEASE_DIV_CD" _
																					& "  FROM MTM_DISEASE_DIV" _
																					& " WHERE FIXED_CD =" & prmFIXED_MAINDISEASE _
																					& ")"

	''' <summary>
	''' 原死因テーブル（別名）
	''' </summary>
	''' <remarks></remarks>
	Public Const tblDeathDisease As String = "DEATH_DISEASE"


	''' <summary>
	'''  原死因病名を取得
	''' </summary>
	Public Const joinDeathDisease = " LEFT JOIN MTI_DISEASE AS " & tblDeathDisease _
														& "  ON {0}.PATIENT_NO		= " & tblDeathDisease & ".PATIENT_NO" _
														& " AND " & sqlMSRCOMMON.prmFLG_CD_ON & " = " & tblDeathDisease & ".DEATH_DISEASE_FLG"

	''' <summary>
	''' 直接死因テーブル（別名）
	''' </summary>
	''' <remarks></remarks>
	Public Const tblDeathDiseaseDirect As String = "DEATH_DISEASE_DIRECT"


	''' <summary>
	'''  直接死因病名を取得
	''' </summary>
	Public Const joinDeathDiseaseDirect = " LEFT JOIN MTI_DISEASE AS " & tblDeathDiseaseDirect _
														& "  ON {0}.PATIENT_NO		= " & tblDeathDiseaseDirect & ".PATIENT_NO" _
														& " AND " & sqlMSRCOMMON.prmFLG_CD_ON & " = " & tblDeathDiseaseDirect & ".DIRECT_DEATH_DISEASE_FLG"

	''' <summary>
	''' 病名マスタ(別名)
	''' </summary>
	''' <remarks></remarks>
	Public Const tblOpeDisease As String = "OPE_DISEASE"

	''' <summary>
	''' 病名マスタ
	''' </summary>
	''' <remarks></remarks>
	Public Const joinOpeDisease = " LEFT JOIN MTM_DISEASE AS " & tblOpeDisease _
													 & "  ON {0}.SPT_DISEASE_MNG_DIV1	=" & tblOpeDisease & ".MNG_DIV" _
													 & " AND {0}.SPT_DISEASE_MNG_NO		=" & tblOpeDisease & ".MNG_NO"

	''' <summary>
	''' 手術
	''' </summary>
	''' <remarks></remarks>
	Public Const tblMtiOpe As String = "MTI_OPE"

	''' <summary>
	''' 手術医師結合テーブル
	''' </summary>
	''' <remarks></remarks>
	Public Const joinOpeDocter = "" _
	& " LEFT JOIN (" _
 _
	& "SELECT" _
	& " MTI_OPE.PATIENT_NO" _
	& ",MTI_OPE.HSP_HISTORY_NO" _
	& ",MTI_OPE.CH_NO" _
	& ",MTI_OPE.OPE_SERIAL_NO" _
	& ",ROW_NUMBER() OVER(PARTITION BY MTI_OPE.PATIENT_NO,MTI_OPE.HSP_HISTORY_NO,MTI_OPE.CH_NO ORDER BY MTI_OPE.OPE_SERIAL_NO) AS " & itmRowNum _
	& "  FROM (" _
 _
	& "SELECT" _
	& " PATIENT_NO" _
	& ",HSP_HISTORY_NO" _
	& ",CH_NO" _
	& "  FROM MTW_SEARCH_WORK" _
	& " WHERE HOST_NM = " & sqlMSRCOMMON.prmHOST_NM _
	& " GROUP BY" _
	& " PATIENT_NO" _
	& ",HSP_HISTORY_NO" _
	& ",CH_NO" _
 _
	& " ) AS w2" _
	& " INNER JOIN MTI_OPE" _
	& "    ON w2.PATIENT_NO			= MTI_OPE.PATIENT_NO" _
	& "   AND w2.HSP_HISTORY_NO		= MTI_OPE.HSP_HISTORY_NO" _
	& "   AND w2.CH_NO				= MTI_OPE.CH_NO" _
 _
	& ") AS OPE_DOCTER" _
	& "    ON w.PATIENT_NO						= OPE_DOCTER.PATIENT_NO" _
	& "   AND w.HSP_HISTORY_NO					= OPE_DOCTER.HSP_HISTORY_NO" _
	& "   AND w.CH_NO							= OPE_DOCTER.CH_NO" _
	& "  LEFT JOIN {1} " _
	& "   ON OPE_DOCTER.PATIENT_NO				= {1}.PATIENT_NO" _
	& "  AND OPE_DOCTER.HSP_HISTORY_NO			= {1}.HSP_HISTORY_NO" _
	& "  AND OPE_DOCTER.CH_NO					= {1}.CH_NO" _
	& "  AND OPE_DOCTER.OPE_SERIAL_NO			= {1}.OPE_SERIAL_NO"
	''' <summary>
	''' 手術医師結合テーブル
	''' </summary>
	''' <remarks></remarks>
	Public Const joinOpeDocterSerial = "" _
	& "  LEFT JOIN {0}" _
	& "   ON w.PATIENT_NO				= {0}.PATIENT_NO" _
	& "  AND w.HSP_HISTORY_NO			= {0}.HSP_HISTORY_NO" _
	& "  AND w.CH_NO					= {0}.CH_NO" _
	& "  AND w.SERIAL_NO				= {0}.OPE_SERIAL_NO"

	''' <summary>
	''' 手術医師　番号項目名
	''' </summary>
	''' <remarks></remarks>
	Public Const itmRowNumS As String = "ROWNUM_S"

	''' <summary>
	''' 手術医師　番号
	''' </summary>
	''' <remarks></remarks>
	Public Const colRowNumOpeDoc As String = "," & itmRowNum _
	& ",ROW_NUMBER() OVER(PARTITION BY {0}.PATIENT_NO,{0}.HSP_HISTORY_NO,{0}.CH_NO,{0}.OPE_SERIAL_NO ORDER BY {0}.{1}SERIAL_NO ) AS " & itmRowNumS

	''' <summary>
	''' 手術医師　番号
	''' </summary>
	''' <remarks></remarks>
	Public Const colRowNumOpeDocSerial As String = ",{0}.OPE_SERIAL_NO AS " & sqlMSRCOMMON.itmSERIAL_NO _
	& ",ROW_NUMBER() OVER(PARTITION BY {0}.PATIENT_NO,{0}.HSP_HISTORY_NO,{0}.CH_NO,{0}.OPE_SERIAL_NO ORDER BY {0}.{1}SERIAL_NO ) AS " & itmRowNumS

	''' <summary>
	''' 手術医師連番
	''' </summary>
	''' <remarks></remarks>
	Public Const orderOpeDoc As String = ",{0}.OPE_SERIAL_NO,{0}.{1}SERIAL_NO "

	''' <summary>
	''' 分娩子流死産情報テーブル
	''' </summary>
	''' <remarks></remarks>
	Public Const tblMTI_CB_SB As String = "MTI_CB_SB"

	''' <summary>
	''' 分娩子流死産情報
	''' </summary>
	''' <remarks></remarks>
	Public Const joinMtiCbSb As String = " LEFT JOIN " & tblMTI_CB_SB _
													 & "  ON {0}.PATIENT_NO		= " & tblMTI_CB_SB & ".PATIENT_NO" _
													 & " AND {0}.HSP_HISTORY_NO = " & tblMTI_CB_SB & ".HSP_HISTORY_NO" _
													 & " AND {0}.CH_NO			= " & tblMTI_CB_SB & ".CH_NO" _
													 & " AND {0}.CB_SERIAL_NO	= " & tblMTI_CB_SB & ".CB_SERIAL_NO"

	''' <summary>
	''' 貸出情報　追加結合条件
	''' </summary>
	''' <remarks></remarks>
	Public Const joinMtiLendPlus As String = joinMtiLendMyPlus & " AND {0}.BACK_DT IS NULL"

	''' <summary>
	''' 貸出情報　追加結合条件
	''' </summary>
	''' <remarks></remarks>
	Public Const joinMtiLendMyPlus As String = " AND " & sqlMSRCOMMON.prmLENDITEM_CD & " = {0}.LENDITEM_CD"

#End Region

#End Region

#Region "管理物"

	Public Const prmITEM_M As String = "@LENDITEM_M"			'管理物コード（カルテ）
	Public Const prmITEM_S As String = "@LENDITEM_S"			'管理物コード（サマリ）
	Public Const prmITEM_1 As String = "@LENDITEM_1"			'管理物コード（他１）
	Public Const prmITEM_2 As String = "@LENDITEM_2"			'管理物コード（他２）
	Public Const prmITEM_3 As String = "@LENDITEM_3"			'管理物コード（他３）

	Public Const prmUNIT_VALC As String = "@LENDUNIT_VALC"		'管理物単位値（科歴）
	Public Const prmUNIT_VALH As String = "@LENDUNIT_VALH"		'管理物単位値（入退院）
	Public Const prmUNIT_VALB As String = "@LENDUNIT_VALB"		'管理物単位値（患者）

	Public Const prmUNIT_M As String = "@LENDUNIT_M"			'管理物単位（カルテ）
	Public Const prmUNIT_S As String = "@LENDUNIT_S"			'管理物単位（サマリ）
	Public Const prmUNIT_1 As String = "@LENDUNIT_1"			'管理物単位（他１）
	Public Const prmUNIT_2 As String = "@LENDUNIT_2"			'管理物単位（他２）
	Public Const prmUNIT_3 As String = "@LENDUNIT_3"			'管理物単位（他３）
	Private Const sqlCASE_UNIT_S As String = ",CASE "
	Private Const sqlCASE_UNIT_C As String = " WHEN " & prmUNIT_VALC & " THEN ic."
	Private Const sqlCASE_UNIT_H As String = " WHEN " & prmUNIT_VALH & " THEN ih."
	Private Const sqlCASE_UNIT_B As String = " WHEN " & prmUNIT_VALB & " THEN ib."
	Private Const sqlCASE_UNIT_E As String = " ELSE NULL END AS "

	''' <summary>
	''' 貸出物取得(科歴単位)
	''' </summary>
	Public Const tblMTI_LENDITM_C = "(" _
	& "SELECT" _
	& " r.PATIENT_NO" _
	& ",r.HSP_HISTORY_NO" _
	& ",r.CH_NO" _
	& sqlCASE_UNIT_S & prmUNIT_M & sqlCASE_UNIT_C & "RECORD_COUNT         " & sqlCASE_UNIT_H & "RECORD_COUNT         " & sqlCASE_UNIT_B & "RECORD_COUNT         " & sqlCASE_UNIT_E & "RECORD_COUNT" _
	& sqlCASE_UNIT_S & prmUNIT_M & sqlCASE_UNIT_C & "RECORD_RECEIPT_DT    " & sqlCASE_UNIT_H & "RECORD_RECEIPT_DT    " & sqlCASE_UNIT_B & "RECORD_RECEIPT_DT    " & sqlCASE_UNIT_E & "RECORD_RECEIPT_DT" _
	& sqlCASE_UNIT_S & prmUNIT_M & sqlCASE_UNIT_C & "RECORD_RECIPIENT_CD  " & sqlCASE_UNIT_H & "RECORD_RECIPIENT_CD  " & sqlCASE_UNIT_B & "RECORD_RECIPIENT_CD  " & sqlCASE_UNIT_E & "RECORD_RECIPIENT_CD" _
	& sqlCASE_UNIT_S & prmUNIT_M & sqlCASE_UNIT_C & "RECORD_KEEPLCT_CD    " & sqlCASE_UNIT_H & "RECORD_KEEPLCT_CD    " & sqlCASE_UNIT_B & "RECORD_KEEPLCT_CD    " & sqlCASE_UNIT_E & "RECORD_KEEPLCT_CD" _
	& sqlCASE_UNIT_S & prmUNIT_M & sqlCASE_UNIT_C & "RECORD_ARG_STATUS_CD " & sqlCASE_UNIT_H & "RECORD_ARG_STATUS_CD " & sqlCASE_UNIT_B & "RECORD_ARG_STATUS_CD " & sqlCASE_UNIT_E & "RECORD_ARG_STATUS_CD" _
	& sqlCASE_UNIT_S & prmUNIT_M & sqlCASE_UNIT_C & "RECORD_MNGSTATUS_CD  " & sqlCASE_UNIT_H & "RECORD_MNGSTATUS_CD  " & sqlCASE_UNIT_B & "RECORD_MNGSTATUS_CD  " & sqlCASE_UNIT_E & "RECORD_MNGSTATUS_CD" _
	& sqlCASE_UNIT_S & prmUNIT_S & sqlCASE_UNIT_C & "SUMMARY_COUNT        " & sqlCASE_UNIT_H & "SUMMARY_COUNT        " & sqlCASE_UNIT_B & "SUMMARY_COUNT        " & sqlCASE_UNIT_E & "SUMMARY_COUNT" _
	& sqlCASE_UNIT_S & prmUNIT_S & sqlCASE_UNIT_C & "SUMMARY_RECEIPT_DT   " & sqlCASE_UNIT_H & "SUMMARY_RECEIPT_DT   " & sqlCASE_UNIT_B & "SUMMARY_RECEIPT_DT   " & sqlCASE_UNIT_E & "SUMMARY_RECEIPT_DT" _
	& sqlCASE_UNIT_S & prmUNIT_S & sqlCASE_UNIT_C & "SUMMARY_KEEPLCT_CD   " & sqlCASE_UNIT_H & "SUMMARY_KEEPLCT_CD   " & sqlCASE_UNIT_B & "SUMMARY_KEEPLCT_CD   " & sqlCASE_UNIT_E & "SUMMARY_KEEPLCT_CD" _
	& sqlCASE_UNIT_S & prmUNIT_S & sqlCASE_UNIT_C & "SUMMARY_MAKER_CD     " & sqlCASE_UNIT_H & "SUMMARY_MAKER_CD     " & sqlCASE_UNIT_B & "SUMMARY_MAKER_CD     " & sqlCASE_UNIT_E & "SUMMARY_MAKER_CD" _
	& sqlCASE_UNIT_S & prmUNIT_S & sqlCASE_UNIT_C & "SUMMARY_MNGSTATUS_CD " & sqlCASE_UNIT_H & "SUMMARY_MNGSTATUS_CD " & sqlCASE_UNIT_B & "SUMMARY_MNGSTATUS_CD " & sqlCASE_UNIT_E & "SUMMARY_MNGSTATUS_CD" _
	& sqlCASE_UNIT_S & prmUNIT_S & sqlCASE_UNIT_C & "SUMMARY_APPROVAL_DT  " & sqlCASE_UNIT_H & "SUMMARY_APPROVAL_DT  " & sqlCASE_UNIT_B & "SUMMARY_APPROVAL_DT  " & sqlCASE_UNIT_E & "SUMMARY_APPROVAL_DT" _
	& sqlCASE_UNIT_S & prmUNIT_1 & sqlCASE_UNIT_C & "OTHER1_COUNT         " & sqlCASE_UNIT_H & "OTHER1_COUNT         " & sqlCASE_UNIT_B & "OTHER1_COUNT         " & sqlCASE_UNIT_E & "OTHER1_COUNT" _
	& sqlCASE_UNIT_S & prmUNIT_1 & sqlCASE_UNIT_C & "OTHER1_RECEIPT_DT    " & sqlCASE_UNIT_H & "OTHER1_RECEIPT_DT    " & sqlCASE_UNIT_B & "OTHER1_RECEIPT_DT    " & sqlCASE_UNIT_E & "OTHER1_RECEIPT_DT" _
	& sqlCASE_UNIT_S & prmUNIT_1 & sqlCASE_UNIT_C & "OTHER1_KEEPLCT_CD    " & sqlCASE_UNIT_H & "OTHER1_KEEPLCT_CD    " & sqlCASE_UNIT_B & "OTHER1_KEEPLCT_CD    " & sqlCASE_UNIT_E & "OTHER1_KEEPLCT_CD" _
	& sqlCASE_UNIT_S & prmUNIT_1 & sqlCASE_UNIT_C & "OTHER1_MNGSTATUS_CD  " & sqlCASE_UNIT_H & "OTHER1_MNGSTATUS_CD  " & sqlCASE_UNIT_B & "OTHER1_MNGSTATUS_CD  " & sqlCASE_UNIT_E & "OTHER1_MNGSTATUS_CD" _
	& sqlCASE_UNIT_S & prmUNIT_2 & sqlCASE_UNIT_C & "OTHER2_COUNT         " & sqlCASE_UNIT_H & "OTHER2_COUNT         " & sqlCASE_UNIT_B & "OTHER2_COUNT         " & sqlCASE_UNIT_E & "OTHER2_COUNT" _
	& sqlCASE_UNIT_S & prmUNIT_2 & sqlCASE_UNIT_C & "OTHER2_RECEIPT_DT    " & sqlCASE_UNIT_H & "OTHER2_RECEIPT_DT    " & sqlCASE_UNIT_B & "OTHER2_RECEIPT_DT    " & sqlCASE_UNIT_E & "OTHER2_RECEIPT_DT" _
	& sqlCASE_UNIT_S & prmUNIT_2 & sqlCASE_UNIT_C & "OTHER2_KEEPLCT_CD    " & sqlCASE_UNIT_H & "OTHER2_KEEPLCT_CD    " & sqlCASE_UNIT_B & "OTHER2_KEEPLCT_CD    " & sqlCASE_UNIT_E & "OTHER2_KEEPLCT_CD" _
	& sqlCASE_UNIT_S & prmUNIT_2 & sqlCASE_UNIT_C & "OTHER2_MNGSTATUS_CD  " & sqlCASE_UNIT_H & "OTHER2_MNGSTATUS_CD  " & sqlCASE_UNIT_B & "OTHER2_MNGSTATUS_CD  " & sqlCASE_UNIT_E & "OTHER2_MNGSTATUS_CD" _
	& sqlCASE_UNIT_S & prmUNIT_3 & sqlCASE_UNIT_C & "OTHER3_COUNT         " & sqlCASE_UNIT_H & "OTHER3_COUNT         " & sqlCASE_UNIT_B & "OTHER3_COUNT         " & sqlCASE_UNIT_E & "OTHER3_COUNT" _
	& sqlCASE_UNIT_S & prmUNIT_3 & sqlCASE_UNIT_C & "OTHER3_RECEIPT_DT    " & sqlCASE_UNIT_H & "OTHER3_RECEIPT_DT    " & sqlCASE_UNIT_B & "OTHER3_RECEIPT_DT    " & sqlCASE_UNIT_E & "OTHER3_RECEIPT_DT" _
	& sqlCASE_UNIT_S & prmUNIT_3 & sqlCASE_UNIT_C & "OTHER3_KEEPLCT_CD    " & sqlCASE_UNIT_H & "OTHER3_KEEPLCT_CD    " & sqlCASE_UNIT_B & "OTHER3_KEEPLCT_CD    " & sqlCASE_UNIT_E & "OTHER3_KEEPLCT_CD" _
	& sqlCASE_UNIT_S & prmUNIT_3 & sqlCASE_UNIT_C & "OTHER3_MNGSTATUS_CD  " & sqlCASE_UNIT_H & "OTHER3_MNGSTATUS_CD  " & sqlCASE_UNIT_B & "OTHER3_MNGSTATUS_CD  " & sqlCASE_UNIT_E & "OTHER3_MNGSTATUS_CD" _
	& "  FROM (" _
 _
	& "SELECT" _
	& " PATIENT_NO" _
	& ",HSP_HISTORY_NO" _
	& ",CH_NO" _
	& "  FROM MTW_SEARCH_WORK" _
	& " WHERE HOST_NM = " & sqlMSRCOMMON.prmHOST_NM _
	& "   AND HSP_HISTORY_NO	> 0" _
	& "   AND CH_NO				> 0" _
	& " GROUP BY" _
	& " PATIENT_NO" _
	& ",HSP_HISTORY_NO" _
	& ",CH_NO" _
 _
	& " ) AS r" _
	& " INNER JOIN MTI_LENDITM  AS ic	 ON r.PATIENT_NO		    = ic.PATIENT_NO" _
	& "									AND r.HSP_HISTORY_NO	    = ic.HSP_HISTORY_NO" _
	& "									AND r.CH_NO				    = ic.CH_NO" _
	& "  LEFT JOIN MTI_LENDITM	AS ih	 ON r.PATIENT_NO		    = ih.PATIENT_NO" _
	& "									AND r.HSP_HISTORY_NO	    = ih.HSP_HISTORY_NO" _
	& "									AND 0					    = ih.CH_NO" _
	& "  LEFT JOIN MTI_LENDITM	AS ib	 ON r.PATIENT_NO		    = ib.PATIENT_NO" _
	& "									AND 0					    = ib.HSP_HISTORY_NO" _
	& "									AND 0					    = ib.CH_NO" _
 _
	& ") AS MTI_LENDITM"

	''' <summary>
	''' 貸出物取得(入退院歴単位)
	''' </summary>
	Public Const tblMTI_LENDITM_H = "(" _
	& "SELECT" _
	& " ih.PATIENT_NO" _
	& ",ih.HSP_HISTORY_NO" _
	& ",ih.CH_NO" _
	& sqlCASE_UNIT_S & prmUNIT_M & sqlCASE_UNIT_H & "RECORD_COUNT         " & sqlCASE_UNIT_B & "RECORD_COUNT         " & sqlCASE_UNIT_E & "RECORD_COUNT" _
	& sqlCASE_UNIT_S & prmUNIT_M & sqlCASE_UNIT_H & "RECORD_RECEIPT_DT    " & sqlCASE_UNIT_B & "RECORD_RECEIPT_DT    " & sqlCASE_UNIT_E & "RECORD_RECEIPT_DT" _
	& sqlCASE_UNIT_S & prmUNIT_M & sqlCASE_UNIT_H & "RECORD_RECIPIENT_CD  " & sqlCASE_UNIT_B & "RECORD_RECIPIENT_CD  " & sqlCASE_UNIT_E & "RECORD_RECIPIENT_CD" _
	& sqlCASE_UNIT_S & prmUNIT_M & sqlCASE_UNIT_H & "RECORD_KEEPLCT_CD    " & sqlCASE_UNIT_B & "RECORD_KEEPLCT_CD    " & sqlCASE_UNIT_E & "RECORD_KEEPLCT_CD" _
	& sqlCASE_UNIT_S & prmUNIT_M & sqlCASE_UNIT_H & "RECORD_ARG_STATUS_CD " & sqlCASE_UNIT_B & "RECORD_ARG_STATUS_CD " & sqlCASE_UNIT_E & "RECORD_ARG_STATUS_CD" _
	& sqlCASE_UNIT_S & prmUNIT_M & sqlCASE_UNIT_H & "RECORD_MNGSTATUS_CD  " & sqlCASE_UNIT_B & "RECORD_MNGSTATUS_CD  " & sqlCASE_UNIT_E & "RECORD_MNGSTATUS_CD" _
	& sqlCASE_UNIT_S & prmUNIT_S & sqlCASE_UNIT_C & "SUMMARY_COUNT        " & sqlCASE_UNIT_H & "SUMMARY_COUNT        " & sqlCASE_UNIT_B & "SUMMARY_COUNT        " & sqlCASE_UNIT_E & "SUMMARY_COUNT" _
	& sqlCASE_UNIT_S & prmUNIT_S & sqlCASE_UNIT_C & "SUMMARY_RECEIPT_DT   " & sqlCASE_UNIT_H & "SUMMARY_RECEIPT_DT   " & sqlCASE_UNIT_B & "SUMMARY_RECEIPT_DT   " & sqlCASE_UNIT_E & "SUMMARY_RECEIPT_DT" _
	& sqlCASE_UNIT_S & prmUNIT_S & sqlCASE_UNIT_C & "SUMMARY_KEEPLCT_CD   " & sqlCASE_UNIT_H & "SUMMARY_KEEPLCT_CD   " & sqlCASE_UNIT_B & "SUMMARY_KEEPLCT_CD   " & sqlCASE_UNIT_E & "SUMMARY_KEEPLCT_CD" _
	& sqlCASE_UNIT_S & prmUNIT_S & sqlCASE_UNIT_C & "SUMMARY_MAKER_CD     " & sqlCASE_UNIT_H & "SUMMARY_MAKER_CD     " & sqlCASE_UNIT_B & "SUMMARY_MAKER_CD     " & sqlCASE_UNIT_E & "SUMMARY_MAKER_CD" _
	& sqlCASE_UNIT_S & prmUNIT_S & sqlCASE_UNIT_C & "SUMMARY_MNGSTATUS_CD " & sqlCASE_UNIT_H & "SUMMARY_MNGSTATUS_CD " & sqlCASE_UNIT_B & "SUMMARY_MNGSTATUS_CD " & sqlCASE_UNIT_E & "SUMMARY_MNGSTATUS_CD" _
	& sqlCASE_UNIT_S & prmUNIT_S & sqlCASE_UNIT_C & "SUMMARY_APPROVAL_DT  " & sqlCASE_UNIT_H & "SUMMARY_APPROVAL_DT  " & sqlCASE_UNIT_B & "SUMMARY_APPROVAL_DT  " & sqlCASE_UNIT_E & "SUMMARY_APPROVAL_DT" _
	& sqlCASE_UNIT_S & prmUNIT_1 & sqlCASE_UNIT_H & "OTHER1_COUNT         " & sqlCASE_UNIT_B & "OTHER1_COUNT         " & sqlCASE_UNIT_E & "OTHER1_COUNT" _
	& sqlCASE_UNIT_S & prmUNIT_1 & sqlCASE_UNIT_H & "OTHER1_RECEIPT_DT    " & sqlCASE_UNIT_B & "OTHER1_RECEIPT_DT    " & sqlCASE_UNIT_E & "OTHER1_RECEIPT_DT" _
	& sqlCASE_UNIT_S & prmUNIT_1 & sqlCASE_UNIT_H & "OTHER1_KEEPLCT_CD    " & sqlCASE_UNIT_B & "OTHER1_KEEPLCT_CD    " & sqlCASE_UNIT_E & "OTHER1_KEEPLCT_CD" _
	& sqlCASE_UNIT_S & prmUNIT_1 & sqlCASE_UNIT_H & "OTHER1_MNGSTATUS_CD  " & sqlCASE_UNIT_B & "OTHER1_MNGSTATUS_CD  " & sqlCASE_UNIT_E & "OTHER1_MNGSTATUS_CD" _
	& sqlCASE_UNIT_S & prmUNIT_2 & sqlCASE_UNIT_H & "OTHER2_COUNT         " & sqlCASE_UNIT_B & "OTHER2_COUNT         " & sqlCASE_UNIT_E & "OTHER2_COUNT" _
	& sqlCASE_UNIT_S & prmUNIT_2 & sqlCASE_UNIT_H & "OTHER2_RECEIPT_DT    " & sqlCASE_UNIT_B & "OTHER2_RECEIPT_DT    " & sqlCASE_UNIT_E & "OTHER2_RECEIPT_DT" _
	& sqlCASE_UNIT_S & prmUNIT_2 & sqlCASE_UNIT_H & "OTHER2_KEEPLCT_CD    " & sqlCASE_UNIT_B & "OTHER2_KEEPLCT_CD    " & sqlCASE_UNIT_E & "OTHER2_KEEPLCT_CD" _
	& sqlCASE_UNIT_S & prmUNIT_2 & sqlCASE_UNIT_H & "OTHER2_MNGSTATUS_CD  " & sqlCASE_UNIT_B & "OTHER2_MNGSTATUS_CD  " & sqlCASE_UNIT_E & "OTHER2_MNGSTATUS_CD" _
	& sqlCASE_UNIT_S & prmUNIT_3 & sqlCASE_UNIT_H & "OTHER3_COUNT         " & sqlCASE_UNIT_B & "OTHER3_COUNT         " & sqlCASE_UNIT_E & "OTHER3_COUNT" _
	& sqlCASE_UNIT_S & prmUNIT_3 & sqlCASE_UNIT_H & "OTHER3_RECEIPT_DT    " & sqlCASE_UNIT_B & "OTHER3_RECEIPT_DT    " & sqlCASE_UNIT_E & "OTHER3_RECEIPT_DT" _
	& sqlCASE_UNIT_S & prmUNIT_3 & sqlCASE_UNIT_H & "OTHER3_KEEPLCT_CD    " & sqlCASE_UNIT_B & "OTHER3_KEEPLCT_CD    " & sqlCASE_UNIT_E & "OTHER3_KEEPLCT_CD" _
	& sqlCASE_UNIT_S & prmUNIT_3 & sqlCASE_UNIT_H & "OTHER3_MNGSTATUS_CD  " & sqlCASE_UNIT_B & "OTHER3_MNGSTATUS_CD  " & sqlCASE_UNIT_E & "OTHER3_MNGSTATUS_CD" _
	& " FROM (" _
 _
	& "SELECT" _
	& " PATIENT_NO" _
	& ",HSP_HISTORY_NO" _
	& "  FROM MTW_SEARCH_WORK" _
	& " WHERE HOST_NM = " & sqlMSRCOMMON.prmHOST_NM _
	& "   AND HSP_HISTORY_NO	> 0" _
	& " GROUP BY" _
	& " PATIENT_NO" _
	& ",HSP_HISTORY_NO" _
 _
	 & " ) AS r" _
	& " INNER JOIN MTI_LENDITM  AS ih	 ON r.PATIENT_NO		    = ih.PATIENT_NO" _
	& "									AND r.HSP_HISTORY_NO	    = ih.HSP_HISTORY_NO" _
	& "									AND 0					    = ih.CH_NO" _
	& "  LEFT JOIN MTI_LENDITM	AS ib	 ON r.PATIENT_NO		    = ib.PATIENT_NO" _
	& "									AND 0					    = ib.HSP_HISTORY_NO" _
	& "									AND 0					    = ib.CH_NO" _
	& "  LEFT JOIN MTI_CH                ON r.PATIENT_NO		    = MTI_CH.PATIENT_NO" _
	& "									AND r.HSP_HISTORY_NO	    = MTI_CH.HSP_HISTORY_NO" _
	& "									AND " & sqlMSRCOMMON.prmFLG_CD_ON & " = MTI_CH.MAIN_DPM_FLG" _
	& "  LEFT JOIN MTI_LENDITM  AS ic    ON MTI_CH.PATIENT_NO		= ic.PATIENT_NO" _
	& "									AND MTI_CH.HSP_HISTORY_NO	= ic.HSP_HISTORY_NO" _
	& "									AND MTI_CH.CH_NO            = ic.CH_NO" _
 _
	& ") AS MTI_LENDITM"

	''' <summary>
	''' 貸出物取得(患者単位)
	''' </summary>
	Public Const tblMTI_LENDITM_B = "(" _
	& "SELECT" _
	& " ib.PATIENT_NO" _
	& ",ib.HSP_HISTORY_NO" _
	& ",ib.CH_NO" _
	& sqlCASE_UNIT_S & prmUNIT_M & sqlCASE_UNIT_B & "RECORD_COUNT         " & sqlCASE_UNIT_E & "RECORD_COUNT" _
	& sqlCASE_UNIT_S & prmUNIT_M & sqlCASE_UNIT_B & "RECORD_RECEIPT_DT    " & sqlCASE_UNIT_E & "RECORD_RECEIPT_DT" _
	& sqlCASE_UNIT_S & prmUNIT_M & sqlCASE_UNIT_B & "RECORD_RECIPIENT_CD  " & sqlCASE_UNIT_E & "RECORD_RECIPIENT_CD" _
	& sqlCASE_UNIT_S & prmUNIT_M & sqlCASE_UNIT_B & "RECORD_KEEPLCT_CD    " & sqlCASE_UNIT_E & "RECORD_KEEPLCT_CD" _
	& sqlCASE_UNIT_S & prmUNIT_M & sqlCASE_UNIT_B & "RECORD_ARG_STATUS_CD " & sqlCASE_UNIT_E & "RECORD_ARG_STATUS_CD" _
	& sqlCASE_UNIT_S & prmUNIT_M & sqlCASE_UNIT_B & "RECORD_MNGSTATUS_CD  " & sqlCASE_UNIT_E & "RECORD_MNGSTATUS_CD" _
	& sqlCASE_UNIT_S & prmUNIT_S & sqlCASE_UNIT_B & "SUMMARY_COUNT        " & sqlCASE_UNIT_E & "SUMMARY_COUNT" _
	& sqlCASE_UNIT_S & prmUNIT_S & sqlCASE_UNIT_B & "SUMMARY_RECEIPT_DT   " & sqlCASE_UNIT_E & "SUMMARY_RECEIPT_DT" _
	& sqlCASE_UNIT_S & prmUNIT_S & sqlCASE_UNIT_B & "SUMMARY_KEEPLCT_CD   " & sqlCASE_UNIT_E & "SUMMARY_KEEPLCT_CD" _
	& sqlCASE_UNIT_S & prmUNIT_S & sqlCASE_UNIT_B & "SUMMARY_MAKER_CD     " & sqlCASE_UNIT_E & "SUMMARY_MAKER_CD" _
	& sqlCASE_UNIT_S & prmUNIT_S & sqlCASE_UNIT_B & "SUMMARY_MNGSTATUS_CD " & sqlCASE_UNIT_E & "SUMMARY_MNGSTATUS_CD" _
	& sqlCASE_UNIT_S & prmUNIT_S & sqlCASE_UNIT_B & "SUMMARY_APPROVAL_DT  " & sqlCASE_UNIT_E & "SUMMARY_APPROVAL_DT" _
	& sqlCASE_UNIT_S & prmUNIT_1 & sqlCASE_UNIT_B & "OTHER1_COUNT         " & sqlCASE_UNIT_E & "OTHER1_COUNT" _
	& sqlCASE_UNIT_S & prmUNIT_1 & sqlCASE_UNIT_B & "OTHER1_RECEIPT_DT    " & sqlCASE_UNIT_E & "OTHER1_RECEIPT_DT" _
	& sqlCASE_UNIT_S & prmUNIT_1 & sqlCASE_UNIT_B & "OTHER1_KEEPLCT_CD    " & sqlCASE_UNIT_E & "OTHER1_KEEPLCT_CD" _
	& sqlCASE_UNIT_S & prmUNIT_1 & sqlCASE_UNIT_B & "OTHER1_MNGSTATUS_CD  " & sqlCASE_UNIT_E & "OTHER1_MNGSTATUS_CD" _
	& sqlCASE_UNIT_S & prmUNIT_2 & sqlCASE_UNIT_B & "OTHER2_COUNT         " & sqlCASE_UNIT_E & "OTHER2_COUNT" _
	& sqlCASE_UNIT_S & prmUNIT_2 & sqlCASE_UNIT_B & "OTHER2_RECEIPT_DT    " & sqlCASE_UNIT_E & "OTHER2_RECEIPT_DT" _
	& sqlCASE_UNIT_S & prmUNIT_2 & sqlCASE_UNIT_B & "OTHER2_KEEPLCT_CD    " & sqlCASE_UNIT_E & "OTHER2_KEEPLCT_CD" _
	& sqlCASE_UNIT_S & prmUNIT_2 & sqlCASE_UNIT_B & "OTHER2_MNGSTATUS_CD  " & sqlCASE_UNIT_E & "OTHER2_MNGSTATUS_CD" _
	& sqlCASE_UNIT_S & prmUNIT_3 & sqlCASE_UNIT_B & "OTHER3_COUNT         " & sqlCASE_UNIT_E & "OTHER3_COUNT" _
	& sqlCASE_UNIT_S & prmUNIT_3 & sqlCASE_UNIT_B & "OTHER3_RECEIPT_DT    " & sqlCASE_UNIT_E & "OTHER3_RECEIPT_DT" _
	& sqlCASE_UNIT_S & prmUNIT_3 & sqlCASE_UNIT_B & "OTHER3_KEEPLCT_CD    " & sqlCASE_UNIT_E & "OTHER3_KEEPLCT_CD" _
	& sqlCASE_UNIT_S & prmUNIT_3 & sqlCASE_UNIT_B & "OTHER3_MNGSTATUS_CD  " & sqlCASE_UNIT_E & "OTHER3_MNGSTATUS_CD" _
	& " FROM (" _
 _
	& "SELECT" _
	& " PATIENT_NO" _
	& "  FROM MTW_SEARCH_WORK" _
	& " WHERE HOST_NM = " & sqlMSRCOMMON.prmHOST_NM _
	& " GROUP BY" _
	& " PATIENT_NO" _
 _
	& " ) AS r" _
	& " INNER JOIN MTI_LENDITM	AS ib	 ON r.PATIENT_NO		    = ib.PATIENT_NO" _
	& "									AND 0					    = ib.HSP_HISTORY_NO" _
	& "									AND 0					    = ib.CH_NO" _
 _
	& ") AS MTI_LENDITM"

#End Region

#Region "医療費"

	Public Const tblMTI_MED_COST As String = "(" _
	& "SELECT" _
	& " m.PATIENT_NO" _
	& ",m.HSP_HISTORY_NO" _
	& ",0 AS CH_NO" _
	& ",SUM(m.MED_COST01) AS MED_COST01,SUM(m.MED_COST02) AS MED_COST02,SUM(m.MED_COST03) AS MED_COST03,SUM(m.MED_COST04) AS MED_COST04,SUM(m.MED_COST05) AS MED_COST05" _
	& ",SUM(m.MED_COST06) AS MED_COST06,SUM(m.MED_COST07) AS MED_COST07,SUM(m.MED_COST08) AS MED_COST08,SUM(m.MED_COST09) AS MED_COST09,SUM(m.MED_COST10) AS MED_COST10" _
	& ",SUM(m.MED_COST11) AS MED_COST11,SUM(m.MED_COST12) AS MED_COST12,SUM(m.MED_COST13) AS MED_COST13,SUM(m.MED_COST14) AS MED_COST14,SUM(m.MED_COST15) AS MED_COST15" _
	& ",SUM(m.MED_COST16) AS MED_COST16,SUM(m.MED_COST17) AS MED_COST17,SUM(m.MED_COST18) AS MED_COST18,SUM(m.MED_COST19) AS MED_COST19,SUM(m.MED_COST20) AS MED_COST20" _
	& ",SUM(m.MED_COST21) AS MED_COST21,SUM(m.MED_COST22) AS MED_COST22,SUM(m.MED_COST23) AS MED_COST23,SUM(m.MED_COST24) AS MED_COST24,SUM(m.MED_COST25) AS MED_COST25" _
	& ",SUM(m.MED_COST26) AS MED_COST26,SUM(m.MED_COST27) AS MED_COST27,SUM(m.MED_COST28) AS MED_COST28,SUM(m.MED_COST29) AS MED_COST29,SUM(m.MED_COST30) AS MED_COST30" _
	& ",SUM(m.MED_COST31) AS MED_COST31,SUM(m.MED_COST32) AS MED_COST32,SUM(m.MED_COST33) AS MED_COST33,SUM(m.MED_COST34) AS MED_COST34,SUM(m.MED_COST35) AS MED_COST35" _
	& ",SUM(m.MED_COST36) AS MED_COST36,SUM(m.MED_COST37) AS MED_COST37,SUM(m.MED_COST38) AS MED_COST38,SUM(m.MED_COST39) AS MED_COST39,SUM(m.MED_COST40) AS MED_COST40" _
	& ",SUM(m.MED_COST41) AS MED_COST41,SUM(m.MED_COST42) AS MED_COST42,SUM(m.MED_COST43) AS MED_COST43,SUM(m.MED_COST44) AS MED_COST44,SUM(m.MED_COST45) AS MED_COST45" _
	& ",MAX(m.DATA_CAPTURE_DT) AS DATA_CAPTURE_DT" _
	& ",MAX(m.NEW_REG_DT) AS NEW_REG_DT" _
	& ",MAX(m.LASTUPDUSER_CD) AS LASTUPDUSER_CD" _
	& ",MAX(m.LASTUPD_DT) AS LASTUPD_DT" _
	& "  FROM MTW_SEARCH_WORK AS w" _
	& " INNER JOIN MTI_MED_COST	AS m	 ON w.PATIENT_NO	 = m.PATIENT_NO" _
	& "									AND w.HSP_HISTORY_NO = m.HSP_HISTORY_NO" _
	& " WHERE w.HOST_NM = " & sqlMSRCOMMON.prmHOST_NM _
	& "   AND m.CH_NO   > 0" _
	& " GROUP BY" _
	& " m.PATIENT_NO" _
	& ",m.HSP_HISTORY_NO" _
 _
	& ") AS MTI_MED_COST"

#End Region

End Class
