﻿Imports System.ComponentModel
Imports XCM
Imports System.Reflection

''' ---------------------------------------------
''' <summary>
''' 診療情報管理 照会 継承元
''' </summary>
''' <remarks>
''' Copyright 2010 FUJITSU SHIKOKU SYSTEMS LIMITED All rights reserved.<BR/>
''' FUJITSU SHIKOKU SYSTEMS LIMITED CONFIDENTIAL<BR/>
''' </remarks>
''' ---------------------------------------------
Public Class MSS000F010

#Region "変数"

    Private _Title As String = "処 理 名 称"

#End Region

#Region "プロパティ"

    ''' ---------------------------------------------
    ''' <summary>
    ''' タイトル（プロパティ）
    ''' </summary>
    ''' <value></value>
    ''' <returns></returns>
    ''' <remarks>
    ''' 2010/12/13 新規作成 ACS)福士<BR/>
    ''' </remarks>
    ''' ---------------------------------------------
    <Browsable(True), _
     Category("病歴大将"), _
     DefaultValue("処理名称"), _
     Description("ヘッダーのタイトルを設定します。")> _
    Public Property Title() As String
        Get
            Return _Title
        End Get
        Set(ByVal value As String)
            If value.Length = 0 Then
                value = "処理名称"
            End If
            _Title = value
            Me.lbl002MSS000F010.Text = _Title
            Me.lbl002MSS000F010.Invalidate()
            Me.pct003MSS000F010.Height = Me.lbl002MSS000F010.Height
            Me.pct003MSS000F010.Width = Me.lbl002MSS000F010.Width
            Me.pct003MSS000F010.Location = New Point(Me.lbl002MSS000F010.Location.X + 3, Me.lbl002MSS000F010.Location.Y + 3)
            Me.pct003MSS000F010.Invalidate()
        End Set
    End Property

#End Region

#Region "イベント"

    ''' ---------------------------------------------
    ''' <summary>
    ''' 終了ボタンクリックイベント
    ''' </summary>
    ''' <param name="sender"></param>
    ''' <param name="e"></param>
    ''' <remarks>
    ''' 2010/12/13 新規作成 ACS)福士<BR/>
    ''' </remarks>
    ''' ---------------------------------------------
	Private Sub btn004MSS000F010_Click(ByVal sender As System.Object, ByVal e As System.EventArgs) Handles btn004MSS000F010.Click
		Me.log(clsSysMst.logLevel.NRM, MethodBase.GetCurrentMethod().Name, "終了ボタンクリックイベント start")
		Try
			Me.Cursor = Cursors.WaitCursor

			Me.EndProc() '終了処理
		Catch ex As Exception
			Me.ErrorProc(ex)
		Finally
			Me.Cursor = Cursors.Default
		End Try
	End Sub

#End Region

#Region "メソッド"

    ''' ---------------------------------------------
    ''' <summary>
    ''' 終了処理
    ''' </summary>
    ''' <remarks>
    ''' 2010/12/13 新規作成 ACS)福士<BR/>
    ''' </remarks>
    ''' ---------------------------------------------
    Protected Overridable Sub EndProc()
        Me.log(clsSysMst.logLevel.DBG, MethodBase.GetCurrentMethod().Name, "終了処理 Start")
        Try
            Me.AutoValidate = Windows.Forms.AutoValidate.Disable
            Me.Close()
        Catch ex As Exception
            Throw
        End Try
    End Sub

#End Region

#Region "オーバーライドメソッド"

    ''' ---------------------------------------------
    ''' <summary>
    ''' F12キー押下処理
    ''' </summary>
    ''' <returns></returns>
    ''' <remarks>
    ''' 2010/12/13 新規作成 ACS)福士<BR/>
    ''' </remarks>
    ''' ---------------------------------------------
    Public Overrides Function F12KeyProc() As Boolean
        Me.log(clsSysMst.logLevel.NRM, MethodBase.GetCurrentMethod().Name, "Ｆ１２キー押下 Start")
        Try
            Me.Cursor = Cursors.WaitCursor
            Me.EndProc() '終了処理
            Return True
        Catch ex As Exception
            Throw
        Finally
            Me.Cursor = Cursors.Default
        End Try
    End Function

#End Region

End Class