﻿Imports XCM
Imports XSP
Imports System.Reflection

''' ---------------------------------------------
''' <summary>
''' 診療情報管理 照会
''' </summary>
''' <remarks>
''' Copyright 2010 FUJITSU SHIKOKU SYSTEMS LIMITED All rights reserved.<BR/>
''' FUJITSU SHIKOKU SYSTEMS LIMITED CONFIDENTIAL<BR/>
''' </remarks>
''' ---------------------------------------------
Public Class MSS010F010

#Region "コンスタント"

    ''' ------------------------------
    ''' <summary>
    ''' 検索番号列挙体
    ''' </summary>
    ''' <remarks>
    ''' 2010/12/13 新規作成 ACS)福士<BR/>
    ''' </remarks>
    ''' ------------------------------
    Public Enum Enum_SearchNo
        ''' <summary>
        ''' 入院患者数
        ''' </summary>
        HspPatient = 11
        ''' <summary>
        ''' 退院患者数
        ''' </summary>
        OutHspPatient = 12
        ''' <summary>
        ''' 死亡患者数
        ''' </summary>
        DeathPatient = 13
        ''' <summary>
        ''' 入院中患者数
        ''' </summary>
        HspOutHspPatient = 14
        ''' <summary>
        ''' 誕生日入院中患者数
        ''' </summary>
        BirthPatient = 15
        ''' <summary>
        ''' 貸出中診療録数
        ''' </summary>
        NotBackRecord = 16
        ''' <summary>
        ''' 未納診療録数
        ''' </summary>
        MinouRecord = 17
        ''' <summary>
        ''' 未作成サマリ数
        ''' </summary>
        NotMakeSummary = 18
        ''' <summary>
        ''' 登録未完成科歴数
        ''' </summary>
        NotRegCh = 19
        ''' <summary>
        ''' 病名未登録科歴数
        ''' </summary>
        NotDiseaseCh = 20
        ''' <summary>
        ''' 登録完了科歴数
        ''' </summary>
        RegFinishedCh = 21
        ''' <summary>
        ''' 診療録受領数
        ''' </summary>
        RecordReceipt = 22
        ''' <summary>
        ''' サマリ作成数
        ''' </summary>
        MakeSummary = 23
        ''' <summary>
        ''' 診療録貸出数
        ''' </summary>
        RecordLend = 24
        ''' <summary>
        ''' 診療録返却数
        ''' </summary>
        RecordBack = 25
    End Enum

    ''' ------------------------------
    ''' <summary>
    ''' 動作区分
    ''' </summary>
    ''' <remarks>
    ''' 2010/12/15 新規作成 ACS)福士<BR/>
    ''' </remarks>
    ''' ------------------------------
    Private Enum Enum_Action
        ''' <summary>
        ''' 件数取得
        ''' </summary>
        getCnt = 1
        ''' <summary>
        ''' ワーク登録
        ''' </summary>
        insData = 2
    End Enum

#End Region

#Region "変数"

    Private cliCom As clsCom                        '共通クラス
    Private cliXTM_User As clsXTM_USER              '権限クラス
    Private pbExclusive As Boolean = False          '起動状況確認（False：排他中 True:排他エラー）
    Private cancelFlg As Boolean = False            '画面開設中止フラグ

    Private dicCntItems As Dictionary(Of String, clsCntItems)  '件数ボタンと検索番号関連付けコレクション

#End Region

#Region "コンストラクタ"

	''' ---------------------------------------------
	''' <summary>
	''' コンストラクタ
	''' </summary>
	''' <remarks>
	''' 2010/12/13 新規作成 ACS)福士<BR/>
	''' </remarks>
	''' ---------------------------------------------
	Public Sub New()
		MyBase.New()
		' この呼び出しはデザイナーで必要です。
		InitializeComponent()

		' InitializeComponent() 呼び出しの後で初期化を追加します。

		Me.cliCom = New clsCom
		Me.cliXTM_User = New clsXTM_USER()
		Me.dicCntItems = New Dictionary(Of String, clsCntItems)
	End Sub

#End Region

#Region "イベント"

    ''' ---------------------------------------------
    ''' <summary>
    ''' フォームを開くイベント
    ''' </summary>
    ''' <param name="sender"></param>
    ''' <param name="e"></param>
    ''' <remarks>
    ''' 2010/12/13 新規作成 ACS)福士<BR/>
    ''' </remarks>
    ''' ---------------------------------------------
    Private Sub MSS010F010_Load(ByVal sender As System.Object, ByVal e As System.EventArgs) Handles MyBase.Load
        Me.log(clsSysMst.logLevel.NRM, MethodBase.GetCurrentMethod().Name, "フォームを開くイベント Start")
        Try
            '起動状況書込み
            If Me.setStartStatus(False) = False Then
                pbExclusive = True
                Me.Close()
                Exit Sub
            End If

            '照会対象チェックボックス、件数ボタン、検索番号関連付け
            Me.dicCntItems.Add(Me.btn007MSS010F010.Name, New clsCntItems(Me.chk006MSS010F010, Me.btn007MSS010F010, Enum_SearchNo.HspPatient))
            Me.dicCntItems.Add(Me.btn009MSS010F010.Name, New clsCntItems(Me.chk008MSS010F010, Me.btn009MSS010F010, Enum_SearchNo.OutHspPatient))
            Me.dicCntItems.Add(Me.btn011MSS010F010.Name, New clsCntItems(Me.chk010MSS010F010, Me.btn011MSS010F010, Enum_SearchNo.DeathPatient))
            Me.dicCntItems.Add(Me.btn016MSS010F010.Name, New clsCntItems(Me.chk015MSS010F010, Me.btn016MSS010F010, Enum_SearchNo.HspOutHspPatient))
            Me.dicCntItems.Add(Me.btn018MSS010F010.Name, New clsCntItems(Me.chk017MSS010F010, Me.btn018MSS010F010, Enum_SearchNo.BirthPatient))
            Me.dicCntItems.Add(Me.btn020MSS010F010.Name, New clsCntItems(Me.chk019MSS010F010, Me.btn020MSS010F010, Enum_SearchNo.NotBackRecord))
            Me.dicCntItems.Add(Me.btn027MSS010F010.Name, New clsCntItems(Me.chk026MSS010F010, Me.btn027MSS010F010, Enum_SearchNo.MinouRecord))
            Me.dicCntItems.Add(Me.btn029MSS010F010.Name, New clsCntItems(Me.chk028MSS010F010, Me.btn029MSS010F010, Enum_SearchNo.NotMakeSummary))
            Me.dicCntItems.Add(Me.btn031MSS010F010.Name, New clsCntItems(Me.chk030MSS010F010, Me.btn031MSS010F010, Enum_SearchNo.NotRegCh))
            Me.dicCntItems.Add(Me.btn033MSS010F010.Name, New clsCntItems(Me.chk032MSS010F010, Me.btn033MSS010F010, Enum_SearchNo.NotDiseaseCh))
            Me.dicCntItems.Add(Me.btn038MSS010F010.Name, New clsCntItems(Me.chk037MSS010F010, Me.btn038MSS010F010, Enum_SearchNo.RegFinishedCh))
            Me.dicCntItems.Add(Me.btn040MSS010F010.Name, New clsCntItems(Me.chk039MSS010F010, Me.btn040MSS010F010, Enum_SearchNo.RecordReceipt))
            Me.dicCntItems.Add(Me.btn042MSS010F010.Name, New clsCntItems(Me.chk041MSS010F010, Me.btn042MSS010F010, Enum_SearchNo.MakeSummary))
            Me.dicCntItems.Add(Me.btn044MSS010F010.Name, New clsCntItems(Me.chk043MSS010F010, Me.btn044MSS010F010, Enum_SearchNo.RecordLend))
            Me.dicCntItems.Add(Me.btn046MSS010F010.Name, New clsCntItems(Me.chk045MSS010F010, Me.btn046MSS010F010, Enum_SearchNo.RecordBack))

            '件数ボタンイベント関連付け
            For Each cliCntItems As KeyValuePair(Of String, clsCntItems) In Me.dicCntItems
				'AddHandler cliCntItems.Value.btn.Click, AddressOf btnCnt_Click
                DirectCast(cliCntItems.Value.btn.Controls(0), Button).TextAlign = ContentAlignment.MiddleRight
				DirectCast(cliCntItems.Value.btn.Controls(1), Label).TextAlign = ContentAlignment.MiddleRight
            Next

            '画面初期化
            Me.clearCnt()
        Catch ex As Exception
            Me.ErrorProc(ex)
            Me.CancelProc()
        End Try
    End Sub

    ''' ---------------------------------------------
    ''' <summary>
    ''' フォームが開いた時のイベント
    ''' </summary>
    ''' <param name="sender"></param>
    ''' <param name="e"></param>
    ''' <remarks>
    ''' 2010/10/20 新規作成 ACS)福士<BR/>
    ''' </remarks>
    ''' ---------------------------------------------
    Private Sub MSS010F010_Shown(ByVal sender As Object, ByVal e As System.EventArgs) Handles Me.Shown
		Me.log(clsSysMst.logLevel.NRM, MethodBase.GetCurrentMethod().Name, "フォームが開いた時のイベント Start")
		Dim DateNow As DateTime
        Try
            Me.Cursor = Cursors.WaitCursor

			'前回設定値取得
            Me.setLastValueCtl(False)

			'初期値設定
			DateNow = DateTime.Now
			If Me.dte005MSS010F010.DateValue.Equals(Nothing) Then Me.dte005MSS010F010.DateValue = DateNow.AddDays(-1)
			Me.lbl014MSS010F010.Text = DateTime.Now().ToString(clsConst.CST_YYYYMMDD_FORMAT)
			If Me.dte023MSS010F010.DateValue.Equals(Nothing) Then Me.dte023MSS010F010.DateValue = DateNow.AddMonths(-1)
			If Me.dte025MSS010F010.DateValue.Equals(Nothing) Then Me.dte025MSS010F010.DateValue = DateNow
			If Me.dte036MSS010F010.DateValue.Equals(Nothing) Then Me.dte036MSS010F010.DateValue = DateNow

            Me.Refresh()
            '件数取得
			Me.ExecProc()
        Catch ex As Exception
            Me.ErrorProc(ex)
		Finally
			DateNow = Nothing
			Me.Cursor = Cursors.Default
        End Try
    End Sub

    ''' ---------------------------------------------
    ''' <summary>
    ''' フォームを閉じるイベント
    ''' </summary>
    ''' <param name="sender"></param>
    ''' <param name="e"></param>
    ''' <remarks>
    ''' 2010/12/13 新規作成 ACS)福士<BR/>
    ''' </remarks>
    ''' ---------------------------------------------
    Private Sub MSS010F010_FormClosing(ByVal sender As Object, ByVal e As System.Windows.Forms.FormClosingEventArgs) Handles Me.FormClosing
		Me.log(clsSysMst.logLevel.NRM, MethodBase.GetCurrentMethod().Name, "フォームを閉じるイベント Start")
        Try
            If Me.cancelFlg = False AndAlso pbExclusive = False Then
                '前回設定値保存
                Me.setLastValueCtl(True)
            End If
            '管理状況削除
            If Not pbExclusive Then Me.delStartStatus()
        Catch ex As Exception
            Me.ErrorProc(ex)
        Finally
            Me.cliCom = Nothing
            Me.cliXTM_User = Nothing
            If Me.dicCntItems IsNot Nothing Then Me.dicCntItems.Clear()
            Me.dicCntItems = Nothing
        End Try
    End Sub

    ''' ---------------------------------------------
    ''' <summary>
    ''' 最新化ボタンクリック
    ''' </summary>
    ''' <param name="sender"></param>
    ''' <param name="e"></param>
    ''' <remarks>
    ''' 2010/12/13 新規作成 ACS)福士<BR/>
    ''' </remarks>
    ''' ---------------------------------------------
    Private Sub btn005MSS000F010_Click(ByVal sender As System.Object, ByVal e As System.EventArgs) Handles btn005MSS000F010.Click
        Me.log(clsSysMst.logLevel.NRM, MethodBase.GetCurrentMethod().Name, "最新化ボタンクリック Start")
        Try
            Me.Cursor = Cursors.WaitCursor
            '最新化処理
			Me.ExecProc(True)
        Catch ex As Exception
            Me.ErrorProc(ex)
        Finally
            Me.Cursor = Cursors.Default
        End Try
    End Sub

    ''' ---------------------------------------------
    ''' <summary>
    ''' 先月退院上位３疾病ボタンクリック
    ''' </summary>
    ''' <param name="sender"></param>
    ''' <param name="e"></param>
    ''' <remarks>
    ''' 2010/12/13 新規作成 ACS)福士<BR/> 
    ''' </remarks>
    ''' ---------------------------------------------
    Private Sub btn002MSS010F010_Click(ByVal sender As System.Object, ByVal e As System.EventArgs) Handles btn002MSS010F010.Click
        Me.log(clsSysMst.logLevel.NRM, MethodBase.GetCurrentMethod().Name, "先月退院上位３疾病ボタンクリック START")
        Dim cliMSS010F030 As MSS010F030 = Nothing
        Try
            Me.Cursor = Cursors.WaitCursor
            cliMSS010F030 = New MSS010F030(MSS010F030.Enum_Mode.Ope)
            Me.nextForm(cliMSS010F030)
        Catch ex As Exception
            Me.ErrorProc(ex)
        Finally
            Me.Cursor = Cursors.Default
            cliMSS010F030 = Nothing
        End Try
    End Sub

    ''' ---------------------------------------------
    ''' <summary>
    ''' 先月退院上位３手術ボタンクリック
    ''' </summary>
    ''' <param name="sender"></param>
    ''' <param name="e"></param>
    ''' <remarks>
    ''' 2010/12/13 新規作成 ACS)福士<BR/>
    ''' </remarks>
    ''' ---------------------------------------------
    Private Sub btn001MSS010F010_Click(ByVal sender As System.Object, ByVal e As System.EventArgs) Handles btn001MSS010F010.Click
        Me.log(clsSysMst.logLevel.NRM, MethodBase.GetCurrentMethod().Name, "先月退院上位３手術ボタンクリック START")
        Dim cliMSS010F030 As MSS010F030 = Nothing
        Try
            Me.Cursor = Cursors.WaitCursor
            cliMSS010F030 = New MSS010F030(MSS010F030.Enum_Mode.Disease)
            Me.nextForm(cliMSS010F030)
        Catch ex As Exception
            Me.ErrorProc(ex)
        Finally
            Me.Cursor = Cursors.Default
            cliMSS010F030 = Nothing
        End Try
    End Sub

    ''' ---------------------------------------------
    ''' <summary>
    ''' 件数ボタンクリック
    ''' </summary>
    ''' <param name="sender"></param>
    ''' <param name="e"></param>
    ''' <remarks>
    ''' 2010/12/14 新規作成 ACS)福士<BR/>
    ''' </remarks>
    ''' ---------------------------------------------
	Private Sub btnCnt_Click(ByVal sender As Object, ByVal e As System.EventArgs) Handles _
		btn007MSS010F010.Click, btn009MSS010F010.Click, btn011MSS010F010.Click,
		btn016MSS010F010.Click, btn018MSS010F010.Click, btn020MSS010F010.Click,
		btn027MSS010F010.Click, btn029MSS010F010.Click, btn031MSS010F010.Click, btn033MSS010F010.Click,
		btn038MSS010F010.Click, btn040MSS010F010.Click, btn042MSS010F010.Click, btn044MSS010F010.Click, btn046MSS010F010.Click
		Me.log(clsSysMst.logLevel.NRM, MethodBase.GetCurrentMethod().Name, "件数ボタンクリック Start")
		Dim btn As BT_Button
		Try
			Me.Cursor = Cursors.WaitCursor

			'入力チェック
			If Me.chkInput() = False Then Exit Sub

			btn = DirectCast(sender, BT_Button)

			Using db As New clsDB(clsSysMst.ctlConfigData)
				'ワークテーブル削除
				Me.sqlDel_MTT_SEARCH_RESULT(db, Me.dicCntItems(btn.Name).searchNo)
				'ワークテーブル登録
				btn.ButtonText = Me.getCnt(db, btn, Enum_Action.insData).ToString(clsConst.CST_KENSU_FORMAT)
			End Using
			'件数ボタン制御
			Me.setButtonCondition(btn)
			If btn.CanInput = True Then
				Select Case True
					Case btn.Equals(Me.btn007MSS010F010), btn.Equals(Me.btn009MSS010F010), btn.Equals(Me.btn011MSS010F010),
						 btn.Equals(Me.btn016MSS010F010), btn.Equals(Me.btn018MSS010F010)

						'「入退院患者数」、「退院患者数」、「死亡患者数」、「入院中患者数」、「誕生日入院中患者数」
						Dim cliMSR040F010 As New MSR.MSR040F010(Me.dicCntItems(btn.Name).searchNo, MSR.MSR000F020.ENUM_OWNERTYPE.MSS)
						Me.nextForm(cliMSR040F010)

					Case btn.Equals(Me.btn031MSS010F010), btn.Equals(Me.btn033MSS010F010), btn.Equals(Me.btn038MSS010F010)
						'「登録未完成科歴数」「病名未登録科歴数」「登録完了科歴数」
						Dim cliMSR050F010 As New MSR.MSR050F010(Me.dicCntItems(btn.Name).searchNo, MSR.MSR000F020.ENUM_OWNERTYPE.MSS)
						Me.nextForm(cliMSR050F010)

					Case btn.Equals(Me.btn020MSS010F010), btn.Equals(Me.btn044MSS010F010), btn.Equals(Me.btn046MSS010F010)
						'「貸出中診療録数」「診療録貸出数」「診療録返却数」
						Dim cliMSR170F010 As New MSR.MSR170F010(Me.dicCntItems(btn.Name).searchNo, CStr(clsConst.Enum_Lenditem.MedicalRecord), MSR.MSR000F020.ENUM_OWNERTYPE.MSS)
						Me.nextForm(cliMSR170F010)

					Case btn.Equals(Me.btn027MSS010F010), btn.Equals(Me.btn040MSS010F010)
						'「未納診療録数」「診療録受領数」
						Dim cliMSR160F010 As New MSR.MSR160F010(Me.dicCntItems(btn.Name).searchNo, CStr(clsConst.Enum_Lenditem.MedicalRecord), MSR.MSR000F020.ENUM_OWNERTYPE.MSS)
						Me.nextForm(cliMSR160F010)

					Case btn.Equals(Me.btn029MSS010F010), btn.Equals(Me.btn042MSS010F010)
						'「未作成サマリ数」「サマリ作成数」
						Dim cliMSR160F010 As New MSR.MSR160F010(Me.dicCntItems(btn.Name).searchNo, CStr(clsConst.Enum_Lenditem.Summary), MSR.MSR000F020.ENUM_OWNERTYPE.MSS)
						Me.nextForm(cliMSR160F010)
					Case Else
						Return
				End Select
			Else
				Me.showMsg("E0003", "件数が0件の", "一覧画面に遷移", Nothing)
				Me.dte005MSS010F010.Select()
			End If

		Catch ex As Exception
			Me.ErrorProc(ex)
		Finally
			Me.Cursor = Cursors.Default
		End Try
	End Sub

	''' ---------------------------------------------
	''' <summary>
	''' 基準日１Leave
	''' </summary>
	''' <param name="sender"></param>
	''' <param name="e"></param>
	''' <remarks>
	''' 2010/12/14 新規作成 ACS)福士<BR/>
	''' </remarks>
	''' ---------------------------------------------
	Private Sub dte005MSS010F010_Leave(ByVal sender As Object, ByVal e As System.EventArgs) Handles dte005MSS010F010.Leave
		Me.log(clsSysMst.logLevel.NRM, MethodBase.GetCurrentMethod().Name, "基準日１Leave Start")
		Try
			If Me.ValidateChildren() = False Then Exit Sub
			If String.IsNullOrEmpty(Me.dte005MSS010F010.Text) = True Then
				Me.dte005MSS010F010.DateValue = DateTime.Now()
			End If
		Catch ex As Exception
			Me.ErrorProc(ex)
		End Try
	End Sub

	''' ---------------------------------------------
	''' <summary>
	''' 基準日３To Leave
	''' </summary>
	''' <param name="sender"></param>
	''' <param name="e"></param>
	''' <remarks>
	''' 2010/12/14 新規作成 ACS)福士<BR/>
	''' </remarks>
	''' ---------------------------------------------
	Private Sub dte025MSS010F010_Leave(ByVal sender As Object, ByVal e As System.EventArgs) Handles dte025MSS010F010.Leave
		Me.log(clsSysMst.logLevel.NRM, MethodBase.GetCurrentMethod().Name, "基準日３To Leave Start")
		Try
			If Me.ValidateChildren() = False Then Exit Sub
			If String.IsNullOrEmpty(Me.dte025MSS010F010.Text) = True Then
				Me.dte025MSS010F010.DateValue = DateTime.Now()
			End If
		Catch ex As Exception
			Me.ErrorProc(ex)
		End Try
	End Sub

	''' ---------------------------------------------
	''' <summary>
	''' 基準日４ Leave
	''' </summary>
	''' <param name="sender"></param>
	''' <param name="e"></param>
	''' <remarks>
	''' 2010/12/14 新規作成 ACS)福士<BR/>
	''' </remarks>
	''' ---------------------------------------------
	Private Sub dte036MSS010F010_Leave(ByVal sender As Object, ByVal e As System.EventArgs) Handles dte036MSS010F010.Leave
		Me.log(clsSysMst.logLevel.NRM, MethodBase.GetCurrentMethod().Name, "基準日４Leave Start")
		Try
			If Me.ValidateChildren() = False Then Exit Sub
			If String.IsNullOrEmpty(Me.dte036MSS010F010.Text) = True Then
				Me.dte036MSS010F010.DateValue = DateTime.Now()
			End If
		Catch ex As Exception
			Me.ErrorProc(ex)
		End Try
	End Sub

#End Region

#Region "メソッド"

	''' ---------------------------------------------
	''' <summary>
	''' 入力チェック
	''' </summary>
	''' <returns>True:正常/False:異常</returns>
	''' <remarks>
	''' 2010/12/14 新規作成 ACS)福士<BR/>
	''' </remarks>
	''' ---------------------------------------------
	Private Function chkInput() As Boolean
		Me.log(clsSysMst.logLevel.DBG, MethodBase.GetCurrentMethod().Name, "入力チェック Start")
		Try
			'値確定
			If Me.ValidateChildren() = False Then Return False

			'未入力時はLeaveと同じ値を設定
			If String.IsNullOrEmpty(Me.dte005MSS010F010.Text) = True Then
				Me.dte005MSS010F010.DateValue = DateTime.Now
			End If
			If String.IsNullOrEmpty(Me.dte025MSS010F010.Text) = True Then
				Me.dte025MSS010F010.DateValue = DateTime.Now
			End If
			If String.IsNullOrEmpty(Me.dte036MSS010F010.Text) = True Then
				Me.dte036MSS010F010.DateValue = DateTime.Now
			End If

			Return True
		Catch ex As Exception
			Throw
		End Try
	End Function

	''' ---------------------------------------------
	''' <summary>
	''' 画面初期化
	''' </summary>
	''' <remarks>
	''' 2010/12/14 新規作成 ACS)福士<BR/>
	''' </remarks>
	''' ---------------------------------------------
	Private Sub clearCnt()
		Me.log(clsSysMst.logLevel.DBG, MethodBase.GetCurrentMethod().Name, "画面初期化 Start")
		Try
			For Each cliCntItems As KeyValuePair(Of String, clsCntItems) In Me.dicCntItems
				cliCntItems.Value.btn.BackColor = clsConst.CST_INACTIVE_BACK_COLOR
				cliCntItems.Value.btn.ButtonText = "0"
				cliCntItems.Value.btn.CanInput = False
			Next
		Catch ex As Exception
			Throw
		End Try
	End Sub

	''' ---------------------------------------------
	''' <summary>
	''' 最新化処理
	''' </summary>
	''' <param name="msgFlg">True:完了メッセージ表示</param>
	''' <remarks>
	''' 2010/12/13 新規作成　ACS)福士<BR/>
	''' </remarks>
	''' ---------------------------------------------
	Private Sub ExecProc(Optional ByVal msgFlg As Boolean = False)
		Me.log(clsSysMst.logLevel.DBG, MethodBase.GetCurrentMethod().Name, "最新化処理 Start")
		Try
			If Me.chkInput() = False Then Exit Sub

			'画面初期化
			Me.clearCnt()

			'最新化処理
			Using db As New clsDB(clsSysMst.ctlConfigData)
				For Each dicItem As KeyValuePair(Of String, clsCntItems) In Me.dicCntItems
					If dicItem.Value.chk.Checked = True Then
						dicItem.Value.btn.ButtonText = Me.getCnt(db, dicItem.Value.btn, Enum_Action.getCnt).ToString(clsConst.CST_KENSU_FORMAT)
						Me.setButtonCondition(dicItem.Value.btn)
					End If
				Next
			End Using

			'終了メッセージ
			If msgFlg = True Then Me.showMsg("I0006", "最新化処理", Nothing)
		Catch ex As Exception
			Throw
		End Try
	End Sub

	''' ---------------------------------------------
	''' <summary>
	''' ボタンテキストにより設定変更
	''' </summary>
	''' <param name="btn">ボタンコントロール</param>
	''' <remarks>
	''' 2010/12/13 新規作成 ACS)福士<BR/>
	''' </remarks>
	''' ---------------------------------------------
	Private Sub setButtonCondition(ByVal btn As BT_Button)
		Me.log(clsSysMst.logLevel.DBG, MethodBase.GetCurrentMethod().Name, "ボタンテキストにより設定変更 Start")
		Try
			'検索権限がない場合ボタンは常にラベル表示
			If Me.cliXTM_User.getAuthority(clsXTM_USER.Enum_Authority.PRD1_Kensaku) = False Then Exit Sub

			If btn.ButtonText = "0" Then
				btn.CanInput = False
				btn.BackColor = clsConst.CST_INACTIVE_BACK_COLOR
			Else
				btn.CanInput = True
				btn.BackColor = System.Drawing.SystemColors.Control
			End If
			btn.Refresh()
		Catch ex As Exception
			Throw
		End Try
	End Sub

	''' ---------------------------------------------
	''' <summary>
	''' 照会件数取得
	''' </summary>
	''' <param name="pDb">DBクラス</param>
	''' <param name="btn">対象の件数ボタン</param>
	''' <returns>件数</returns>
	''' <param name="action">
	''' Enum_Action.getCnt:件数取得<BR/>
	''' Enum_Action.insData:ワーク登録<BR/>
	''' </param>
	''' <remarks>
	''' 2010/12/13 新規作成 ACS)福士<BR/>
	''' </remarks>
	''' ---------------------------------------------
	Private Function getCnt(ByVal pDb As clsDB, ByVal btn As BT_Button, ByVal action As Enum_Action) As Integer
		Me.log(clsSysMst.logLevel.DBG, MethodBase.GetCurrentMethod().Name, "照会件数取得 Start")
		Try
			Select Case True
				Case btn.Equals(Me.btn007MSS010F010) '入院患者数
					If action = Enum_Action.getCnt Then
						Me.showMsgBar("I0022", Enum_MsgIcon.None, "入院患者", Nothing)
						Me.sst001frmBase.Refresh()
						Return (Me.getHspPatientCnt(pDb, Me.dte005MSS010F010.DateValue))
					Else
						Return Me.sqlIns_HspPatientCnt(pDb, Me.dte005MSS010F010.DateValue)
					End If

				Case btn.Equals(Me.btn009MSS010F010) '退院患者数
					If action = Enum_Action.getCnt Then
						Me.showMsgBar("I0022", Enum_MsgIcon.None, "退院患者", Nothing)
						Me.sst001frmBase.Refresh()
						Return Me.getOutHspPatientCnt(pDb, Me.dte005MSS010F010.DateValue)
					Else
						Return Me.sqlIns_OutHspPatientCnt(pDb, Me.dte005MSS010F010.DateValue)
					End If

				Case btn.Equals(Me.btn011MSS010F010) '死亡患者数
					If action = Enum_Action.getCnt Then
						Me.showMsgBar("I0022", Enum_MsgIcon.None, "死亡患者", Nothing)
						Me.sst001frmBase.Refresh()
						Return Me.getDeathPatientCnt(pDb, Me.dte005MSS010F010.DateValue)
					Else
						Return Me.sqlIns_DeathPatientCnt(pDb, Me.dte005MSS010F010.DateValue)
					End If


				Case btn.Equals(Me.btn016MSS010F010) '入院中患者数
					If action = Enum_Action.getCnt Then
						Me.showMsgBar("I0022", Enum_MsgIcon.None, "入院中患者", Nothing)
						Me.sst001frmBase.Refresh()
						Return Me.getHspOutHspPatientCnt(pDb)
					Else
						Return Me.sqlIns_HspOutHspPatient(pDb)
					End If

				Case btn.Equals(Me.btn018MSS010F010) '誕生日入院中患者数
					If action = Enum_Action.getCnt Then
						Me.showMsgBar("I0022", Enum_MsgIcon.None, "誕生日入院中患者", Nothing)
						Me.sst001frmBase.Refresh()
						Return Me.getBirthPatientCnt(pDb)
					Else
						Return Me.sqlIns_BirthPatient(pDb)
					End If

				Case btn.Equals(Me.btn020MSS010F010) '貸出中診療録数
					If action = Enum_Action.getCnt Then
						Me.showMsgBar("I0022", Enum_MsgIcon.None, "貸出中診療録", Nothing)
						Me.sst001frmBase.Refresh()
						Return Me.getNotBackRecordCnt(pDb)
					Else
						Return Me.sqlIns_NotBackRecord(pDb)
					End If


				Case btn.Equals(Me.btn027MSS010F010) '未納診療録数
					Dim fromTo() As String
					Dim fromDt As DateTime
					Dim toDt As DateTime
					fromTo = Me.cliCom.getFromToValue(Me.dte023MSS010F010.Text, Me.dte025MSS010F010.Text)
					DateTime.TryParse(fromTo(0), fromDt)
					DateTime.TryParse(fromTo(1), toDt)
					If fromDt.Equals(Nothing) Then fromDt = clsConst.DATE_MIN
					If toDt.Equals(Nothing) Then toDt = DateTime.Now
					If action = Enum_Action.getCnt Then
						Me.showMsgBar("I0022", Enum_MsgIcon.None, "未納診療録", Nothing)
						Me.sst001frmBase.Refresh()
						Return Me.getMinouRecordCnt(pDb, fromDt, toDt)
					Else
						Return Me.sqlIns_MinouRecordCnt(pDb, fromDt, toDt)
					End If

				Case btn.Equals(Me.btn029MSS010F010) '未作成サマリ数
					Dim fromTo() As String
					Dim fromDt As DateTime
					Dim toDt As DateTime
					fromTo = Me.cliCom.getFromToValue(Me.dte023MSS010F010.Text, Me.dte025MSS010F010.Text)
					DateTime.TryParse(fromTo(0), fromDt)
					DateTime.TryParse(fromTo(1), toDt)
					If fromDt.Equals(Nothing) Then fromDt = clsConst.DATE_MIN
					If toDt.Equals(Nothing) Then toDt = DateTime.Now
					If action = Enum_Action.getCnt Then
						Me.showMsgBar("I0022", Enum_MsgIcon.None, "未作成サマリ", Nothing)
						Me.sst001frmBase.Refresh()
						Return Me.getNotMakeSummaryCnt(pDb, fromDt, toDt)
					Else
						Return Me.sqlIns_NotMakeSummaryCnt(pDb, fromDt, toDt)
					End If

				Case btn.Equals(Me.btn031MSS010F010) '登録未完成科歴数
					Dim fromTo() As String
					Dim fromDt As DateTime
					Dim toDt As DateTime
					fromTo = Me.cliCom.getFromToValue(Me.dte023MSS010F010.Text, Me.dte025MSS010F010.Text)
					DateTime.TryParse(fromTo(0), fromDt)
					DateTime.TryParse(fromTo(1), toDt)
					If fromDt.Equals(Nothing) Then fromDt = clsConst.DATE_MIN
					If toDt.Equals(Nothing) Then toDt = DateTime.Now
					If action = Enum_Action.getCnt Then
						Me.showMsgBar("I0022", Enum_MsgIcon.None, "登録未完成科歴", Nothing)
						Me.sst001frmBase.Refresh()
						Return Me.getNotRegChCnt(pDb, fromDt, toDt)
					Else
						Return Me.sqlIns_NotRegChCnt(pDb, fromDt, toDt)
					End If

				Case btn.Equals(Me.btn033MSS010F010) '病名未登録科歴数
					Dim fromTo() As String
					Dim fromDt As DateTime
					Dim toDt As DateTime
					fromTo = Me.cliCom.getFromToValue(Me.dte023MSS010F010.Text, Me.dte025MSS010F010.Text)
					DateTime.TryParse(fromTo(0), fromDt)
					DateTime.TryParse(fromTo(1), toDt)
					If fromDt.Equals(Nothing) Then fromDt = clsConst.DATE_MIN
					If action = Enum_Action.getCnt Then
						Me.showMsgBar("I0022", Enum_MsgIcon.None, "病名未登録科歴", Nothing)
						Me.sst001frmBase.Refresh()
						Return Me.getNotDiseaseChCnt(pDb, fromDt, toDt)
					Else
						Return Me.sqlIns_NotDiseaseChCnt(pDb, fromDt, toDt)
					End If


				Case btn.Equals(Me.btn038MSS010F010) '登録完了科歴数
					If action = Enum_Action.getCnt Then
						Me.showMsgBar("I0022", Enum_MsgIcon.None, "登録完了科歴", Nothing)
						Me.sst001frmBase.Refresh()
						Return Me.getRegFinishedChCnt(pDb, Me.dte036MSS010F010.DateValue)
					Else
						Return Me.sqlIns_RegFinishedChCnt(pDb, Me.dte036MSS010F010.DateValue)
					End If

				Case btn.Equals(Me.btn040MSS010F010) '診療録受領数
					If action = Enum_Action.getCnt Then
						Me.showMsgBar("I0022", Enum_MsgIcon.None, "診療録受領数", Nothing)
						Me.sst001frmBase.Refresh()
						Return Me.getRecordReceiptCnt(pDb, Me.dte036MSS010F010.DateValue)
					Else
						Return Me.sqlIns_RecordReceiptCnt(pDb, Me.dte036MSS010F010.DateValue)
					End If

				Case btn.Equals(Me.btn042MSS010F010) 'サマリ作成数
					If action = Enum_Action.getCnt Then
						Me.showMsgBar("I0022", Enum_MsgIcon.None, "サマリ作成数", Nothing)
						Me.sst001frmBase.Refresh()
						Return Me.getMakeSummaryCnt(pDb, Me.dte036MSS010F010.DateValue)
					Else
						Return Me.sqlIns_MakeSummaryCnt(pDb, Me.dte036MSS010F010.DateValue)
					End If

				Case btn.Equals(Me.btn044MSS010F010) '診療録貸出数
					If action = Enum_Action.getCnt Then
						Me.showMsgBar("I0022", Enum_MsgIcon.None, "貸出診療録", Nothing)
						Me.sst001frmBase.Refresh()
						Return Me.getRecordLendCnt(pDb, Me.dte036MSS010F010.DateValue)
					Else
						Return Me.sqlIns_RecordLendCnt(pDb, Me.dte036MSS010F010.DateValue)
					End If

				Case btn.Equals(Me.btn046MSS010F010) '診療録返却数
					If action = Enum_Action.getCnt Then
						Me.showMsgBar("I0022", Enum_MsgIcon.None, "返却療診録", Nothing)
						Me.sst001frmBase.Refresh()
						Return Me.getRecordBackCnt(pDb, Me.dte036MSS010F010.DateValue)
					Else
						Return Me.sqlIns_RecordBackCnt(pDb, Me.dte036MSS010F010.DateValue)
					End If

				Case Else
						Return 0
			End Select
		Catch ex As Exception
			Throw
		Finally
			Me.clearMsgBar()
		End Try
	End Function

#Region "件数取得"

	''' ---------------------------------------------
	''' <summary>
	''' 入院患者数取得
	''' </summary>
	''' <param name="pDb">DBクラス</param>
	''' <param name="basicDt">基準日</param>
	''' <returns>入院患者数</returns>
	''' <remarks>
	''' 2010/12/13 新規作成 ACS)福士<BR/>
	''' </remarks>
	''' ---------------------------------------------
	Private Function getHspPatientCnt(ByVal pDb As clsDB, ByVal basicDt As DateTime) As Integer
		Me.log(clsSysMst.logLevel.DBG, MethodBase.GetCurrentMethod().Name, "入院患者数取得 Start")
		Dim ret As Integer
		Try
			'SQL文設定
			pDb.setSQLDa(sqlMSS010F010.sqlSel_HSP_PATIENT)
			'パラメータ設定
			pDb.setParamDa(sqlMSS010F010.prmBASIC_DT1, clsDB.Enum_dbType.dbDateTime)
			'値設定
			pDb.setValDa(sqlMSS010F010.prmBASIC_DT1, basicDt)
			Using dt As New DataTable()
				'SQL実行
				pDb.execQueryDa(dt)
				Integer.TryParse(dt.Rows(0).Item(sqlMSS010F010.itmCNT).ToString(), ret)
			End Using

			Return ret
		Catch ex As Exception
			Throw
		End Try
	End Function

	''' ---------------------------------------------
	''' <summary>
	''' 退院患者数取得
	''' </summary>
	''' <param name="pDb">DBクラス</param>
	''' <param name="basicDt">基準日</param>
	''' <returns>退院患者数</returns>
	''' <remarks>
	''' 2010/12/13 新規作成 ACS)福士<BR/>
	''' </remarks>
	''' ---------------------------------------------
	Private Function getOutHspPatientCnt(ByVal pDb As clsDB, ByVal basicDt As DateTime) As Integer
		Me.log(clsSysMst.logLevel.DBG, MethodBase.GetCurrentMethod().Name, "退院患者数取得 Start")
		Dim ret As Integer
		Try
			'SQL文設定
			pDb.setSQLDa(sqlMSS010F010.sqlSel_OUT_HSP_PATIENT)
			'パラメータ設定
			pDb.setParamDa(sqlMSS010F010.prmBASIC_DT1, clsDB.Enum_dbType.dbDateTime)
			'値設定
			pDb.setValDa(sqlMSS010F010.prmBASIC_DT1, basicDt)
			Using dt As New DataTable()
				'SQL文実行
				pDb.execQueryDa(dt)
				Integer.TryParse(dt.Rows(0).Item(sqlMSS010F010.itmCNT).ToString(), ret)
			End Using

			Return ret
		Catch ex As Exception
			Throw
		End Try
	End Function

	''' ---------------------------------------------
	''' <summary>
	''' 死亡患者数取得
	''' </summary>
	''' <param name="pDb">DBクラス</param>
	''' <param name="basicDt">基準日</param>
	''' <returns>死亡患者数</returns>
	''' <remarks>
	''' 2010/12/13 新規作成 ACS)福士<BR/>
	''' </remarks>
	''' ---------------------------------------------
	Private Function getDeathPatientCnt(ByVal pDb As clsDB, ByVal basicDt As DateTime) As Integer
		Me.log(clsSysMst.logLevel.DBG, MethodBase.GetCurrentMethod().Name, "死亡患者数取得 Start")
		Dim ret As Integer
		Try
			'SQL文設定
			pDb.setSQLDa(sqlMSS010F010.sqlSel_DEATH_PATIENT)
			'パラメータ設定
			pDb.setParamDa(sqlMSS010F010.prmBASIC_DT1, clsDB.Enum_dbType.dbDateTime)
			pDb.setParamDa(sqlMSS010F010.prmFIXED_CD, clsDB.Enum_dbType.dbInt)
			'値設定
			pDb.setValDa(sqlMSS010F010.prmBASIC_DT1, basicDt)
			pDb.setValDa(sqlMSS010F010.prmFIXED_CD, clsConst.Enum_DiscchargeOutcome_Fix1.Decease, False)
			Using dt As New DataTable()
				'SQL実行
				pDb.execQueryDa(dt)
				Integer.TryParse(dt.Rows(0).Item(sqlMSS010F010.itmCNT).ToString(), ret)
			End Using

			Return ret
		Catch ex As Exception
			Throw
		End Try
	End Function

	''' ---------------------------------------------
	''' <summary>
	''' 入院中患者数取得
	''' </summary>
	''' <param name="pDb">DBクラス</param>
	''' <returns>入院中患者数</returns>
	''' <remarks>
	''' 2010/12/13 新規作成 ACS)福士<BR/>
	''' </remarks>
	''' ---------------------------------------------
	Private Function getHspOutHspPatientCnt(ByVal pDb As clsDB) As Integer
		Me.log(clsSysMst.logLevel.DBG, MethodBase.GetCurrentMethod().Name, "入院中患者数取得 Start")
		Dim ret As Integer
		Try
			'SQL文設定
			pDb.setSQLDa(sqlMSS010F010.sqlSel_HSP_OUT_HSP_PATIENT)
			Using dt As New DataTable()
				'SQL実行
				pDb.execQueryDa(dt)
				Integer.TryParse(dt.Rows(0).Item(sqlMSS010F010.itmCNT).ToString(), ret)
			End Using

			Return ret
		Catch ex As Exception
			Throw
		End Try
	End Function

	''' ---------------------------------------------
	''' <summary>
	''' 誕生日入院患者数取得
	''' </summary>
	''' <param name="pDb">DBクラス</param>
	''' <returns>誕生日入院患者数</returns>
	''' <remarks>
	''' 2010/12/13 新規作成 ACS)福士<BR/>
	''' </remarks>
	''' ---------------------------------------------
	Private Function getBirthPatientCnt(ByVal pDb As clsDB) As Integer
		Me.log(clsSysMst.logLevel.DBG, MethodBase.GetCurrentMethod().Name, "誕生日入院患者数取得 Start")
		Dim ret As Integer
		Dim dtNow As DateTime
		Try
			DateTime.TryParse(Me.lbl014MSS010F010.Text, dtNow)
			'SQL文設定
			pDb.setSQLDa(sqlMSS010F010.sqlSel_BIRTH_PATIENT)
			pDb.setParamDa(sqlMSS010F010.prmBASIC_DT2, clsDB.Enum_dbType.dbDateTime)
			pDb.setValDa(sqlMSS010F010.prmBASIC_DT2, dtNow)
			Using dt As New DataTable()
				'SQL実行
				pDb.execQueryDa(dt)
				Integer.TryParse(dt.Rows(0).Item(sqlMSS010F010.itmCNT).ToString(), ret)
			End Using

			Return ret
		Catch ex As Exception
			Throw
		End Try
	End Function

	''' ---------------------------------------------
	''' <summary>
	''' 貸出中診療録数取得
	''' </summary>
	''' <param name="pDb">DBクラス</param>
	''' <returns>貸出中診療録数</returns>
	''' <remarks>
	''' 2010/12/13 新規作成 ACS)福士<BR/>
	''' </remarks>
	''' ---------------------------------------------
	Private Function getNotBackRecordCnt(ByVal pDb As clsDB) As Integer
		Me.log(clsSysMst.logLevel.DBG, MethodBase.GetCurrentMethod().Name, "貸出中診療録数取得 Start")
		Dim ret As Integer
		Try
			'SQL文設定
			pDb.setSQLDa(sqlMSS010F010.sqlSel_NOT_BACK_RECORD)
			'パラメータ設定
			pDb.setParamDa(sqlMSS010F010.prmLENDITEM_CD, clsDB.Enum_dbType.dbNVarChar)
			'値設定
			pDb.setValDa(sqlMSS010F010.prmLENDITEM_CD, CStr(clsConst.Enum_Lenditem.MedicalRecord))
			Using dt As New DataTable()
				'SQL文発行
				pDb.execQueryDa(dt)
				Integer.TryParse(dt.Rows(0).Item(sqlMSS010F010.itmCNT).ToString(), ret)
			End Using

			Return ret
		Catch ex As Exception
			Throw
		End Try
	End Function

	''' ---------------------------------------------
	''' <summary>
	''' 未納診療録数取得
	''' </summary>
	''' <param name="pDb">DBクラス</param>
	''' <param name="basicDtFrom">基準日From</param>
	''' <param name="basicDtTo">基準日To</param>
	''' <returns>未納診療録数</returns>
	''' <remarks>
	''' 2010/12/13 新規作成 ACS)福士<BR/>
	''' </remarks>
	''' ---------------------------------------------
	Private Function getMinouRecordCnt(ByVal pDb As clsDB, ByVal basicDtFrom As DateTime, ByVal basicDtTo As DateTime) As Integer
		Me.log(clsSysMst.logLevel.DBG, MethodBase.GetCurrentMethod().Name, "未納診療録数取得 Start")
		Dim ret As Integer
		Dim recordUnit As String = String.Empty	'診療録単位
		Try
			'診療録の単位取得
			pDb.setSQLDa(sqlMSS010F010.sqlSel_MTM_LENDITEM)
			pDb.setParamDa(sqlMSS010F010.prmLENDITEM_CD, clsDB.Enum_dbType.dbNVarChar)
			pDb.setValDa(sqlMSS010F010.prmLENDITEM_CD, CStr(clsConst.Enum_Lenditem.MedicalRecord))
			Using dt As New DataTable()
				pDb.execQueryDa(dt)
				If dt.Rows.Count > 0 Then
					recordUnit = dt.Rows(0).Item(sqlMSS010F010.itmUNIT_CD).ToString()
				End If
			End Using

			'動作環境、診療録の管理単位により取得方法を分岐
			Select Case recordUnit
				Case CStr(clsConst.Enum_LendUnit.Each_Patient) '患者毎
					pDb.setSQLDa(sqlMSS010F010.sqlSel_MINOU_RECORD_PATIENT)

				Case CStr(clsConst.Enum_LendUnit.Each_Hosp)	'入退院毎
					pDb.setSQLDa(sqlMSS010F010.sqlSel_MINOU_RECORD_HSP)

				Case CStr(clsConst.Enum_LendUnit.Each_Dept)	'診療科毎
					Select Case clsSysMst.ctlEnvData.getEnv(datEnv.Enum_ENV.ENV_00026) '返納基準
						Case CStr(clsConst.Enum_LendItemReturnDt.LendItemRetDtOut) '退院日
							pDb.setSQLDa(sqlMSS010F010.sqlSel_MINOU_RECORD_CH1)
						Case CStr(clsConst.Enum_LendItemReturnDt.LendItemRetDtEnd) '終了日
							pDb.setSQLDa(sqlMSS010F010.sqlSel_MINOU_RECORD_CH2)
						Case Else
							Return 0
					End Select

				Case Else
					Return 0
			End Select
			'パラメータ設定
			pDb.setParamDa(sqlMSS010F010.prmBASIC_DT3_FROM, clsDB.Enum_dbType.dbDateTime)
			pDb.setParamDa(sqlMSS010F010.prmBASIC_DT3_TO, clsDB.Enum_dbType.dbDateTime)
			'値設定
			pDb.setValDa(sqlMSS010F010.prmBASIC_DT3_FROM, basicDtFrom)
			pDb.setValDa(sqlMSS010F010.prmBASIC_DT3_TO, basicDtTo)
			Using dt As New DataTable()
				'SQL実行
				pDb.execQueryDa(dt)
				Integer.TryParse(dt.Rows(0).Item(sqlMSS010F010.itmCNT).ToString(), ret)
			End Using

			Return ret
		Catch ex As Exception
			Throw
		End Try
	End Function

	''' ---------------------------------------------
	''' <summary>
	''' 未作成サマリ数取得
	''' </summary>
	''' <param name="pDb">DBクラス</param>
	''' <param name="basicDtFrom">基準日From</param>
	''' <param name="basicDtTo">基準日To</param>
	''' <returns>未作成サマリ数</returns>
	''' <remarks>
	''' 2010/12/13 新規作成 ACS)福士<BR/>
	''' </remarks>
	''' ---------------------------------------------
	Private Function getNotMakeSummaryCnt(ByVal pDb As clsDB, ByVal basicDtFrom As DateTime, ByVal basicDtTo As DateTime) As Integer
		Me.log(clsSysMst.logLevel.DBG, MethodBase.GetCurrentMethod().Name, "未作成サマリ数取得 Start")
		Dim ret As Integer
		Try
			'SQL文設定
			Select Case clsSysMst.ctlEnvData.getEnv(datEnv.Enum_ENV.ENV_00027) '返納基準
				Case CStr(clsConst.Enum_SummaryMakeRetDt.AllDpmOut)	'全科/退院日
					pDb.setSQLDa(sqlMSS010F010.sqlSel_NOTMAKE_SUMMARY_ALLDPMOUT)
				Case CStr(clsConst.Enum_SummaryMakeRetDt.AllDpmEnd)	'全科/終了日
					pDb.setSQLDa(sqlMSS010F010.sqlSel_NOTMAKE_SUMMARY_ALLDPMEND)
				Case CStr(clsConst.Enum_SummaryMakeRetDt.MainDpmEnd) '主科/退院日
					pDb.setSQLDa(sqlMSS010F010.sqlSel_NOTMAKE_SUMMARY_MAINDPMEND)
					'主科フラグ
					pDb.setParamDa(sqlMSS010F010.prmMAIN_DPM_FLG, clsDB.Enum_dbType.dbInt)
					pDb.setValDa(sqlMSS010F010.prmMAIN_DPM_FLG, clsConst.Enum_CheckBox_Flg.CheckOn, False)
				Case Else
					Return 0
			End Select
			'パラメータ設定
			pDb.setParamDa(sqlMSS010F010.prmBASIC_DT3_FROM, clsDB.Enum_dbType.dbDateTime)
			pDb.setParamDa(sqlMSS010F010.prmBASIC_DT3_TO, clsDB.Enum_dbType.dbDateTime)
			'値設定
			pDb.setValDa(sqlMSS010F010.prmBASIC_DT3_FROM, basicDtFrom)
			pDb.setValDa(sqlMSS010F010.prmBASIC_DT3_TO, basicDtTo)
			Using dt As New DataTable()
				'SQL実行
				pDb.execQueryDa(dt)
				Integer.TryParse(dt.Rows(0).Item(sqlMSS010F010.itmCNT).ToString(), ret)
			End Using

			Return ret
		Catch ex As Exception
			Throw
		End Try
	End Function

	''' ---------------------------------------------
	''' <summary>
	''' 登録未完成科歴数取得
	''' </summary>
	''' <param name="pDb">DBクラス</param>
	''' <param name="basicDtFrom">基準日From</param>
	''' <param name="basicDtTo">基準日To</param>
	''' <returns>登録未完成科歴数</returns>
	''' <remarks>
	''' 2010/12/13 新規作成 ACS)福士<BR/>
	''' </remarks>
	''' ---------------------------------------------
	Private Function getNotRegChCnt(ByVal pDb As clsDB, ByVal basicDtFrom As DateTime, ByVal basicDtTo As DateTime) As Integer
		Me.log(clsSysMst.logLevel.DBG, MethodBase.GetCurrentMethod().Name, "登録未完成科歴数取得 Start")
		Dim ret As Integer
		Try
			'SQL文設定
			pDb.setSQLDa(sqlMSS010F010.sqlSel_NOT_REG_CH)
			'パラメータ設定
			pDb.setParamDa(sqlMSS010F010.prmBASIC_DT3_FROM, clsDB.Enum_dbType.dbDateTime)
			pDb.setParamDa(sqlMSS010F010.prmBASIC_DT3_TO, clsDB.Enum_dbType.dbDateTime)
			pDb.setParamDa(sqlMSS010F010.prmFIXED_CD1, clsDB.Enum_dbType.dbNVarChar)
			pDb.setParamDa(sqlMSS010F010.prmFIXED_CD1_2, clsDB.Enum_dbType.dbNVarChar)
			'値設定
			pDb.setValDa(sqlMSS010F010.prmBASIC_DT3_FROM, basicDtFrom)
			pDb.setValDa(sqlMSS010F010.prmBASIC_DT3_TO, basicDtTo)
			pDb.setValDa(sqlMSS010F010.prmFIXED_CD1, CStr(clsConst.Enum_RegStatus_Fix1.Hsp))
			pDb.setValDa(sqlMSS010F010.prmFIXED_CD1_2, CStr(clsConst.Enum_RegStatus_Fix1.RegFinish))
			Using dt As New DataTable()
				'SQL実行
				pDb.execQueryDa(dt)
				Integer.TryParse(dt.Rows(0).Item(sqlMSS010F010.itmCNT).ToString(), ret)
			End Using

			Return ret
		Catch ex As Exception
			Throw
		End Try
	End Function

	''' ---------------------------------------------
	''' <summary>
	''' 病名未登録科歴数取得
	''' </summary>
	''' <param name="pDb">DBクラス</param>
	''' <param name="basicDtFrom">基準日From</param>
	''' <param name="basicDtTo">基準日To</param>
	''' <returns>病名未登録科歴数</returns>
	''' <remarks>
	''' 2010/12/13 新規作成 ACS)福士<BR/>
	''' </remarks>
	''' ---------------------------------------------
	Private Function getNotDiseaseChCnt(ByVal pDb As clsDB, ByVal basicDtFrom As DateTime, ByVal basicDtTo As DateTime) As Integer
		Me.log(clsSysMst.logLevel.DBG, MethodBase.GetCurrentMethod().Name, "病名未登録科歴数取得 Start")
		Dim ret As Integer
		Try
			'SQL文設定
			pDb.setSQLDa(sqlMSS010F010.sqlSel_NOTREG_DISEASE_CH)
			'パラメータ設定
			pDb.setParamDa(sqlMSS010F010.prmBASIC_DT3_FROM, clsDB.Enum_dbType.dbDateTime)
			pDb.setParamDa(sqlMSS010F010.prmBASIC_DT3_TO, clsDB.Enum_dbType.dbDateTime)
			pDb.setParamDa(sqlMSS010F010.prmFIXED_CD1, clsDB.Enum_dbType.dbNVarChar)
			'値設定
			pDb.setValDa(sqlMSS010F010.prmBASIC_DT3_FROM, basicDtFrom)
			pDb.setValDa(sqlMSS010F010.prmBASIC_DT3_TO, basicDtTo)
			pDb.setValDa(sqlMSS010F010.prmFIXED_CD1, CStr(clsConst.Enum_RegStatus_Fix1.Hsp))
			Using dt As New DataTable()
				'SQL実行
				pDb.execQueryDa(dt)
				Integer.TryParse(dt.Rows(0).Item(sqlMSS010F010.itmCNT).ToString(), ret)
			End Using

			Return ret
		Catch ex As Exception
			Throw
		End Try
	End Function

	''' ---------------------------------------------
	''' <summary>
	''' 登録完了科歴数取得
	''' </summary>
	''' <param name="pDb">DBクラス</param>
	''' <param name="basicDt">基準日</param>
	''' <returns>登録完了科歴数</returns>
	''' <remarks>
	''' 2010/12/13 新規作成 ACS)福士<BR/>
	''' </remarks>
	''' ---------------------------------------------
	Private Function getRegFinishedChCnt(ByVal pDb As clsDB, ByVal basicDt As DateTime) As Integer
		Me.log(clsSysMst.logLevel.DBG, MethodBase.GetCurrentMethod().Name, "登録完了科歴数取得 Start")
		Dim ret As Integer
		Try
			'SQL文設定
			pDb.setSQLDa(sqlMSS010F010.sqlSel_REG_FINISHED_CH)
			'パラメータ設定
			pDb.setParamDa(sqlMSS010F010.prmBASIC_DT4, clsDB.Enum_dbType.dbDateTime)
			pDb.setParamDa(sqlMSS010F010.prmFIXED_CD1, clsDB.Enum_dbType.dbNVarChar)
			'値設定
			pDb.setValDa(sqlMSS010F010.prmBASIC_DT4, basicDt)
			pDb.setValDa(sqlMSS010F010.prmFIXED_CD1, CStr(clsConst.Enum_RegStatus_Fix1.RegFinish))
			Using dt As New DataTable()
				'SQL実行
				pDb.execQueryDa(dt)
				Integer.TryParse(dt.Rows(0).Item(sqlMSS010F010.itmCNT).ToString(), ret)
			End Using

			Return ret
		Catch ex As Exception
			Throw
		End Try
	End Function

	''' ---------------------------------------------
	''' <summary>
	''' 診療録受領数取得
	''' </summary>
	''' <param name="pDb">DBクラス</param>
	''' <param name="basicDt">基準日</param>
	''' <returns>診療録受領数</returns>
	''' <remarks>
	''' 2010/12/13 新規作成 ACS)福士<BR/>
	''' </remarks>
	''' ---------------------------------------------
	Private Function getRecordReceiptCnt(ByVal pDb As clsDB, ByVal basicDt As DateTime) As Integer
		Me.log(clsSysMst.logLevel.DBG, MethodBase.GetCurrentMethod().Name, "診療録受領数取得 Start")
		Dim ret As Integer
		Dim recordUnit As String = String.Empty	'診療録単位
		Try
			'診療録の単位取得
			pDb.setSQLDa(sqlMSS010F010.sqlSel_MTM_LENDITEM)
			pDb.setParamDa(sqlMSS010F010.prmLENDITEM_CD, clsDB.Enum_dbType.dbNVarChar)
			pDb.setValDa(sqlMSS010F010.prmLENDITEM_CD, CStr(clsConst.Enum_Lenditem.MedicalRecord))
			Using dt As New DataTable()
				pDb.execQueryDa(dt)
				If dt.Rows.Count > 0 Then
					recordUnit = dt.Rows(0).Item(sqlMSS010F010.itmUNIT_CD).ToString()
				End If
			End Using

			'SQL文設定
			Select Case recordUnit
				Case CStr(clsConst.Enum_LendUnit.Each_Patient) '患者毎
					pDb.setSQLDa(sqlMSS010F010.sqlSel_RECORD_RECEIPT_PATIENT)
				Case CStr(clsConst.Enum_LendUnit.Each_Hosp)	'入退院毎
					pDb.setSQLDa(sqlMSS010F010.sqlSel_RECORD_RECEIPT_HSP)
				Case CStr(clsConst.Enum_LendUnit.Each_Dept)	'診療科毎
					pDb.setSQLDa(sqlMSS010F010.sqlSel_RECORD_RECEIPT_CH)
				Case Else
					Return 0
			End Select

			'パラメータ設定
			pDb.setParamDa(sqlMSS010F010.prmBASIC_DT4, clsDB.Enum_dbType.dbDateTime)
			'値設定
			pDb.setValDa(sqlMSS010F010.prmBASIC_DT4, basicDt)
			Using dt As New DataTable()
				'SQL実行
				pDb.execQueryDa(dt)
				Integer.TryParse(dt.Rows(0).Item(sqlMSS010F010.itmCNT).ToString(), ret)
			End Using

			Return ret
		Catch ex As Exception
			Throw
		End Try
	End Function

	''' ---------------------------------------------
	''' <summary>
	''' サマリ作成数数取得
	''' </summary>
	''' <param name="pDb">DBクラス</param>
	''' <param name="basicDt">基準日</param>
	''' <returns>サマリ作成数数</returns>
	''' <remarks>
	''' 2010/12/13 新規作成 ACS)福士<BR/>
	''' </remarks>
	''' ---------------------------------------------
	Private Function getMakeSummaryCnt(ByVal pDb As clsDB, ByVal basicDt As DateTime) As Integer
		Me.log(clsSysMst.logLevel.DBG, MethodBase.GetCurrentMethod().Name, "サマリ作成数数取得 Start")
		Dim ret As Integer
		Try
			'SQL文設定
			pDb.setSQLDa(sqlMSS010F010.sqlSel_MAKE_SUMMARY)
			'パラメータ設定
			pDb.setParamDa(sqlMSS010F010.prmBASIC_DT4, clsDB.Enum_dbType.dbDateTime)
			'値設定
			pDb.setValDa(sqlMSS010F010.prmBASIC_DT4, basicDt)
			Using dt As New DataTable()
				'SQL実行
				pDb.execQueryDa(dt)
				Integer.TryParse(dt.Rows(0).Item(sqlMSS010F010.itmCNT).ToString(), ret)
			End Using

			Return ret
		Catch ex As Exception
			Throw
		End Try
	End Function

	''' ---------------------------------------------
	''' <summary>
	''' 診療録貸出数取得
	''' </summary>
	''' <param name="pDb">DBクラス</param>
	''' <param name="basicDt">基準日</param>
	''' <returns>診療録貸出数</returns>
	''' <remarks>
	''' 2010/12/13 新規作成 ACS)福士<BR/>
	''' </remarks>
	''' ---------------------------------------------
	Private Function getRecordLendCnt(ByVal pDb As clsDB, ByVal basicDt As DateTime) As Integer
		Me.log(clsSysMst.logLevel.DBG, MethodBase.GetCurrentMethod().Name, "診療録貸出数取得 Start")
		Dim ret As Integer
		Try
			'SQL文設定
			pDb.setSQLDa(sqlMSS010F010.sqlSel_RECORD_LEND)
			'パラメータ設定
			pDb.setParamDa(sqlMSS010F010.prmLENDITEM_CD, clsDB.Enum_dbType.dbNVarChar)
			pDb.setParamDa(sqlMSS010F010.prmBASIC_DT4, clsDB.Enum_dbType.dbDateTime)
			'値設定
			pDb.setValDa(sqlMSS010F010.prmLENDITEM_CD, CStr(clsConst.Enum_Lenditem.MedicalRecord))
			pDb.setValDa(sqlMSS010F010.prmBASIC_DT4, basicDt)
			Using dt As New DataTable()
				'SQL実行
				pDb.execQueryDa(dt)
				Integer.TryParse(dt.Rows(0).Item(sqlMSS010F010.itmCNT).ToString(), ret)
			End Using

			Return ret
		Catch ex As Exception
			Throw
		End Try
	End Function

	''' ---------------------------------------------
	''' <summary>
	''' 診療録返却数取得
	''' </summary>
	''' <param name="pDb">DBクラス</param>
	''' <param name="basicDt">基準日</param>
	''' <returns>診療録返却数</returns>
	''' <remarks>
	''' 2010/12/13 新規作成 ACS)福士<BR/>
	''' </remarks>
	''' ---------------------------------------------
	Private Function getRecordBackCnt(ByVal pDb As clsDB, ByVal basicDt As DateTime) As Integer
		Me.log(clsSysMst.logLevel.DBG, MethodBase.GetCurrentMethod().Name, "診療録返却数取得 Start")
		Dim ret As Integer
		Try
			'SQL文設定
			pDb.setSQLDa(sqlMSS010F010.sqlSel_RECORD_BACK)
			'パラメータ設定
			pDb.setParamDa(sqlMSS010F010.prmLENDITEM_CD, clsDB.Enum_dbType.dbNVarChar)
			pDb.setParamDa(sqlMSS010F010.prmBASIC_DT4, clsDB.Enum_dbType.dbDateTime)
			'値設定
			pDb.setValDa(sqlMSS010F010.prmLENDITEM_CD, CStr(clsConst.Enum_Lenditem.MedicalRecord))
			pDb.setValDa(sqlMSS010F010.prmBASIC_DT4, basicDt)
			Using dt As New DataTable()
				'SQL実行
				pDb.execQueryDa(dt)
				Integer.TryParse(dt.Rows(0).Item(sqlMSS010F010.itmCNT).ToString(), ret)
			End Using

			Return ret
		Catch ex As Exception
			Throw
		End Try
	End Function

#End Region

#Region "ワークテーブル書込み"

	''' ---------------------------------------------
	''' <summary>
	''' 入院患者ワークテーブル登録
	''' </summary>
	''' <param name="pDb">DBクラス</param>
	''' <param name="basicDt">基準日</param>
	''' <returns>入院患者数</returns>
	''' <remarks>
	''' 2010/12/13 新規作成 ACS)福士<BR/>
	''' </remarks>
	''' ---------------------------------------------
	Private Function sqlIns_HspPatientCnt(ByVal pDb As clsDB, ByVal basicDt As DateTime) As Integer
		Me.log(clsSysMst.logLevel.DBG, MethodBase.GetCurrentMethod().Name, "入院患者ワークテーブル登録 Start")
		Dim ret As Integer
		Try
			'SQL文設定
			pDb.setSQL(sqlMSS010F010.sqlIns_HSP_PATIENT)
			'パラメータ設定
			pDb.setParam(sqlMSS010F010.prmBASIC_DT1, clsDB.Enum_dbType.dbDateTime)
			pDb.setParam(sqlMSS010F010.prmUSER_CD, clsDB.Enum_dbType.dbNVarChar)
			pDb.setParam(sqlMSS010F010.prmSEARCH_NO, clsDB.Enum_dbType.dbInt)
			pDb.setParam(sqlMSS010F010.prmLASTUPD_DT, clsDB.Enum_dbType.dbDateTime)
			'値設定
			pDb.setVal(sqlMSS010F010.prmBASIC_DT1, basicDt)
			pDb.setVal(sqlMSS010F010.prmUSER_CD, Me._userID)
			pDb.setVal(sqlMSS010F010.prmSEARCH_NO, Enum_SearchNo.HspPatient)
			pDb.setVal(sqlMSS010F010.prmLASTUPD_DT, DateTime.Now())
			'SQL実行
			ret = pDb.execNonQuery()

			Return ret
		Catch ex As Exception
			Throw
		End Try
	End Function

	''' ---------------------------------------------
	''' <summary>
	''' 退院患者ワークテーブル登録
	''' </summary>
	''' <param name="pDb">DBクラス</param>
	''' <param name="basicDt">基準日</param>
	''' <returns>退院患者数</returns>
	''' <remarks>
	''' 2010/12/13 新規作成 ACS)福士<BR/>
	''' </remarks>
	''' ---------------------------------------------
	Private Function sqlIns_OutHspPatientCnt(ByVal pDb As clsDB, ByVal basicDt As DateTime) As Integer
		Me.log(clsSysMst.logLevel.DBG, MethodBase.GetCurrentMethod().Name, "退院患者ワークテーブル登録 Start")
		Dim ret As Integer
		Try
			'SQL文設定
			pDb.setSQL(sqlMSS010F010.sqlIns_OUT_HSP_PATIENT)
			'パラメータ設定
			pDb.setParam(sqlMSS010F010.prmBASIC_DT1, clsDB.Enum_dbType.dbDateTime)
			pDb.setParam(sqlMSS010F010.prmUSER_CD, clsDB.Enum_dbType.dbNVarChar)
			pDb.setParam(sqlMSS010F010.prmSEARCH_NO, clsDB.Enum_dbType.dbInt)
			pDb.setParam(sqlMSS010F010.prmLASTUPD_DT, clsDB.Enum_dbType.dbDateTime)
			'値設定
			pDb.setVal(sqlMSS010F010.prmBASIC_DT1, basicDt)
			pDb.setVal(sqlMSS010F010.prmUSER_CD, Me._userID)
			pDb.setVal(sqlMSS010F010.prmSEARCH_NO, Enum_SearchNo.OutHspPatient)
			pDb.setVal(sqlMSS010F010.prmLASTUPD_DT, DateTime.Now())
			'SQL実行
			ret = pDb.execNonQuery()

			Return ret
		Catch ex As Exception
			Throw
		End Try
	End Function

	''' ---------------------------------------------
	''' <summary>
	''' 死亡患者ワークテーブル登録
	''' </summary>
	''' <param name="pDb">DBクラス</param>
	''' <param name="basicDt">基準日</param>
	''' <returns>死亡患者数</returns>
	''' <remarks>
	''' 2010/12/13 新規作成 ACS)福士<BR/>
	''' </remarks>
	''' ---------------------------------------------
	Private Function sqlIns_DeathPatientCnt(ByVal pDb As clsDB, ByVal basicDt As DateTime) As Integer
		Me.log(clsSysMst.logLevel.DBG, MethodBase.GetCurrentMethod().Name, "死亡患者ワークテーブル登録 Start")
		Dim ret As Integer
		Try
			'SQL文設定
			pDb.setSQL(sqlMSS010F010.sqlIns_DEATH_PATIENT)
			'パラメータ設定
			pDb.setParam(sqlMSS010F010.prmBASIC_DT1, clsDB.Enum_dbType.dbDateTime)
			pDb.setParam(sqlMSS010F010.prmFIXED_CD, clsDB.Enum_dbType.dbInt)
			pDb.setParam(sqlMSS010F010.prmUSER_CD, clsDB.Enum_dbType.dbNVarChar)
			pDb.setParam(sqlMSS010F010.prmSEARCH_NO, clsDB.Enum_dbType.dbInt)
			pDb.setParam(sqlMSS010F010.prmLASTUPD_DT, clsDB.Enum_dbType.dbDateTime)
			'値設定
			pDb.setVal(sqlMSS010F010.prmBASIC_DT1, basicDt)
			pDb.setVal(sqlMSS010F010.prmFIXED_CD, clsConst.Enum_DiscchargeOutcome_Fix1.Decease, False)
			pDb.setVal(sqlMSS010F010.prmUSER_CD, Me._userID)
			pDb.setVal(sqlMSS010F010.prmSEARCH_NO, Enum_SearchNo.DeathPatient)
			pDb.setVal(sqlMSS010F010.prmLASTUPD_DT, DateTime.Now())
			'SQL実行
			ret = pDb.execNonQuery()

			Return ret
		Catch ex As Exception
			Throw
		End Try
	End Function

	''' ---------------------------------------------
	''' <summary>
	''' 入院中患者ワークテーブル登録
	''' </summary>
	''' <param name="pDb">DBクラス</param>
	''' <returns>入院中患者数</returns>
	''' <remarks>
	''' 2010/12/13 新規作成 ACS)福士<BR/>
	''' </remarks>
	''' ---------------------------------------------
	Private Function sqlIns_HspOutHspPatient(ByVal pDb As clsDB) As Integer
		Me.log(clsSysMst.logLevel.DBG, MethodBase.GetCurrentMethod().Name, "入院中患者ワークテーブル登録 Start")
		Dim ret As Integer
		Try
			'SQL文設定
			pDb.setSQL(sqlMSS010F010.sqlIns_HSP_OUT_HSP_PATIENT)
			'パラメータ設定
			pDb.setParam(sqlMSS010F010.prmUSER_CD, clsDB.Enum_dbType.dbNVarChar)
			pDb.setParam(sqlMSS010F010.prmSEARCH_NO, clsDB.Enum_dbType.dbInt)
			pDb.setParam(sqlMSS010F010.prmLASTUPD_DT, clsDB.Enum_dbType.dbDateTime)
			'値設定
			pDb.setVal(sqlMSS010F010.prmUSER_CD, Me._userID)
			pDb.setVal(sqlMSS010F010.prmSEARCH_NO, Enum_SearchNo.HspOutHspPatient)
			pDb.setVal(sqlMSS010F010.prmLASTUPD_DT, DateTime.Now())
			'SQL実行
			ret = pDb.execNonQuery()

			Return ret
		Catch ex As Exception
			Throw
		End Try
	End Function

	''' ---------------------------------------------
	''' <summary>
	''' 誕生日入院患者ワークテーブル登録
	''' </summary>
	''' <param name="pDb">DBクラス</param>
	''' <returns>誕生日入院患者数</returns>
	''' <remarks>
	''' 2010/12/13 新規作成 ACS)福士<BR/>
	''' </remarks>
	''' ---------------------------------------------
	Private Function sqlIns_BirthPatient(ByVal pDb As clsDB) As Integer
		Me.log(clsSysMst.logLevel.DBG, MethodBase.GetCurrentMethod().Name, "誕生日入院患者ワークテーブル登録 Start")
		Dim ret As Integer
		Dim dtNow As DateTime
		Try
			DateTime.TryParse(Me.lbl014MSS010F010.Text, dtNow)

			'SQL文設定
			pDb.setSQL(sqlMSS010F010.sqlIns_BIRTH_PATIENT)
			'パラメータ設定
			pDb.setParam(sqlMSS010F010.prmBASIC_DT2, clsDB.Enum_dbType.dbDateTime)
			pDb.setParam(sqlMSS010F010.prmUSER_CD, clsDB.Enum_dbType.dbNVarChar)
			pDb.setParam(sqlMSS010F010.prmSEARCH_NO, clsDB.Enum_dbType.dbInt)
			pDb.setParam(sqlMSS010F010.prmLASTUPD_DT, clsDB.Enum_dbType.dbDateTime)
			'値設定
			pDb.setVal(sqlMSS010F010.prmBASIC_DT2, dtNow)
			pDb.setVal(sqlMSS010F010.prmUSER_CD, Me._userID)
			pDb.setVal(sqlMSS010F010.prmSEARCH_NO, Enum_SearchNo.BirthPatient)
			pDb.setVal(sqlMSS010F010.prmLASTUPD_DT, DateTime.Now())
			'SQL実行
			ret = pDb.execNonQuery()

			Return ret
		Catch ex As Exception
			Throw
		End Try
	End Function

	''' ---------------------------------------------
	''' <summary>
	''' 貸出中診療録ワークテーブル登録
	''' </summary>
	''' <param name="pDb">DBクラス</param>
	''' <returns>貸出中診療録数</returns>
	''' <remarks>
	''' 2010/12/13 新規作成 ACS)福士<BR/>
	''' </remarks>
	''' ---------------------------------------------
	Private Function sqlIns_NotBackRecord(ByVal pDb As clsDB) As Integer
		Me.log(clsSysMst.logLevel.DBG, MethodBase.GetCurrentMethod().Name, "貸出中診療録ワークテーブル登録 Start")
		Dim ret As Integer
		Try
			'SQL文設定
			pDb.setSQL(sqlMSS010F010.sqlIns_NOT_BACK_RECORD)
			'パラメータ設定
			pDb.setParam(sqlMSS010F010.prmLENDITEM_CD, clsDB.Enum_dbType.dbNVarChar)
			pDb.setParam(sqlMSS010F010.prmUSER_CD, clsDB.Enum_dbType.dbNVarChar)
			pDb.setParam(sqlMSS010F010.prmSEARCH_NO, clsDB.Enum_dbType.dbInt)
			pDb.setParam(sqlMSS010F010.prmLASTUPD_DT, clsDB.Enum_dbType.dbDateTime)
			'値設定
			pDb.setVal(sqlMSS010F010.prmLENDITEM_CD, CStr(clsConst.Enum_Lenditem.MedicalRecord))
			pDb.setVal(sqlMSS010F010.prmUSER_CD, Me._userID)
			pDb.setVal(sqlMSS010F010.prmSEARCH_NO, Enum_SearchNo.NotBackRecord)
			pDb.setVal(sqlMSS010F010.prmLASTUPD_DT, DateTime.Now())
			'SQL実行
			ret = pDb.execNonQuery()

			Return ret
		Catch ex As Exception
			Throw
		End Try
	End Function

	''' ---------------------------------------------
	''' <summary>
	''' 未納診療録ワークテーブル登録
	''' </summary>
	''' <param name="pDb">DBクラス</param>
	''' <param name="basicDtFrom">基準日From</param>
	''' <param name="basicDtTo">基準日To</param>
	''' <returns>未納診療録数</returns>
	''' <remarks>
	''' 2010/12/13 新規作成 ACS)福士<BR/>
	''' </remarks>
	''' ---------------------------------------------
	Private Function sqlIns_MinouRecordCnt(ByVal pDb As clsDB, ByVal basicDtFrom As DateTime, ByVal basicDtTo As DateTime) As Integer
		Me.log(clsSysMst.logLevel.DBG, MethodBase.GetCurrentMethod().Name, "未納診療録ワークテーブル登録 Start")
		Dim ret As Integer
		Dim recordUnit As String = String.Empty	'診療録単位
		Try
			'診療録の単位取得
			pDb.setSQLDa(sqlMSS010F010.sqlSel_MTM_LENDITEM)
			pDb.setParamDa(sqlMSS010F010.prmLENDITEM_CD, clsDB.Enum_dbType.dbNVarChar)
			pDb.setValDa(sqlMSS010F010.prmLENDITEM_CD, CStr(clsConst.Enum_Lenditem.MedicalRecord))
			Using dt As New DataTable()
				pDb.execQueryDa(dt)
				If dt.Rows.Count > 0 Then
					recordUnit = dt.Rows(0).Item(sqlMSS010F010.itmUNIT_CD).ToString()
				End If
			End Using

			'動作環境、診療録の管理単位により取得方法を分岐
			Select Case recordUnit
				Case CStr(clsConst.Enum_LendUnit.Each_Patient) '患者毎
					pDb.setSQL(sqlMSS010F010.sqlIns_MINOU_RECORD_PATIENT)

				Case CStr(clsConst.Enum_LendUnit.Each_Hosp)	'入退院毎
					pDb.setSQL(sqlMSS010F010.sqlIns_MINOU_RECORD_HSP)

				Case CStr(clsConst.Enum_LendUnit.Each_Dept)	'診療科毎
					Select Case clsSysMst.ctlEnvData.getEnv(datEnv.Enum_ENV.ENV_00026) '返納基準
						Case CStr(clsConst.Enum_LendItemReturnDt.LendItemRetDtOut) '退院日
							pDb.setSQL(sqlMSS010F010.sqlIns_MINOU_RECORD_CH1)
						Case CStr(clsConst.Enum_LendItemReturnDt.LendItemRetDtEnd) '終了日
							pDb.setSQL(sqlMSS010F010.sqlIns_MINOU_RECORD_CH2)
						Case Else
							Return 0
					End Select

				Case Else
					Return 0
			End Select
			'パラメータ設定
			pDb.setParam(sqlMSS010F010.prmBASIC_DT3_FROM, clsDB.Enum_dbType.dbDateTime)
			pDb.setParam(sqlMSS010F010.prmBASIC_DT3_TO, clsDB.Enum_dbType.dbDateTime)
			pDb.setParam(sqlMSS010F010.prmUSER_CD, clsDB.Enum_dbType.dbNVarChar)
			pDb.setParam(sqlMSS010F010.prmSEARCH_NO, clsDB.Enum_dbType.dbInt)
			pDb.setParam(sqlMSS010F010.prmLASTUPD_DT, clsDB.Enum_dbType.dbDateTime)
			'値設定
			pDb.setVal(sqlMSS010F010.prmBASIC_DT3_FROM, basicDtFrom)
			pDb.setVal(sqlMSS010F010.prmBASIC_DT3_TO, basicDtTo)
			pDb.setVal(sqlMSS010F010.prmUSER_CD, Me._userID)
			pDb.setVal(sqlMSS010F010.prmSEARCH_NO, Enum_SearchNo.MinouRecord)
			pDb.setVal(sqlMSS010F010.prmLASTUPD_DT, DateTime.Now())
			'SQL実行
			ret = pDb.execNonQuery()

			Return ret
		Catch ex As Exception
			Throw
		End Try
	End Function

	''' ---------------------------------------------
	''' <summary>
	''' 未作成サマリワークテーブル登録
	''' </summary>
	''' <param name="pDb">DBクラス</param>
	''' <param name="basicDtFrom">基準日From</param>
	''' <param name="basicDtTo">基準日To</param>
	''' <returns>未作成サマリ数</returns>
	''' <remarks>
	''' 2010/12/13 新規作成 ACS)福士<BR/>
	''' </remarks>
	''' ---------------------------------------------
	Private Function sqlIns_NotMakeSummaryCnt(ByVal pDb As clsDB, ByVal basicDtFrom As DateTime, ByVal basicDtTo As DateTime) As Integer
		Me.log(clsSysMst.logLevel.DBG, MethodBase.GetCurrentMethod().Name, "未作成サマリワークテーブル登録 Start")
		Dim ret As Integer
		Try
			'SQL文設定
			Select Case clsSysMst.ctlEnvData.getEnv(datEnv.Enum_ENV.ENV_00027) '返納基準
				Case CStr(clsConst.Enum_SummaryMakeRetDt.AllDpmOut)	'全科/退院日
					pDb.setSQL(sqlMSS010F010.sqlIns_NOTMAKE_SUMMARY_ALLDPMOUT)
				Case CStr(clsConst.Enum_SummaryMakeRetDt.AllDpmEnd)	'全科/終了日
					pDb.setSQL(sqlMSS010F010.sqlIns_NOTMAKE_SUMMARY_ALLDPMEND)
				Case CStr(clsConst.Enum_SummaryMakeRetDt.MainDpmEnd) '主科/退院日
					pDb.setSQL(sqlMSS010F010.sqlIns_NOTMAKE_SUMMARY_MAINDPMEND)
					'主科フラグ
					pDb.setParam(sqlMSS010F010.prmMAIN_DPM_FLG, clsDB.Enum_dbType.dbInt)
					pDb.setVal(sqlMSS010F010.prmMAIN_DPM_FLG, clsConst.Enum_CheckBox_Flg.CheckOn, False)
				Case Else
					Return 0
			End Select
			'パラメータ設定
			pDb.setParam(sqlMSS010F010.prmBASIC_DT3_FROM, clsDB.Enum_dbType.dbDateTime)
			pDb.setParam(sqlMSS010F010.prmBASIC_DT3_TO, clsDB.Enum_dbType.dbDateTime)
			pDb.setParam(sqlMSS010F010.prmUSER_CD, clsDB.Enum_dbType.dbNVarChar)
			pDb.setParam(sqlMSS010F010.prmSEARCH_NO, clsDB.Enum_dbType.dbInt)
			pDb.setParam(sqlMSS010F010.prmLASTUPD_DT, clsDB.Enum_dbType.dbDateTime)
			'値設定
			pDb.setVal(sqlMSS010F010.prmBASIC_DT3_FROM, basicDtFrom)
			pDb.setVal(sqlMSS010F010.prmBASIC_DT3_TO, basicDtTo)
			pDb.setVal(sqlMSS010F010.prmUSER_CD, Me._userID)
			pDb.setVal(sqlMSS010F010.prmSEARCH_NO, Enum_SearchNo.NotMakeSummary)
			pDb.setVal(sqlMSS010F010.prmLASTUPD_DT, DateTime.Now())
			'SQL実行
			ret = pDb.execNonQuery()

			Return ret
		Catch ex As Exception
			Throw
		End Try
	End Function

	''' ---------------------------------------------
	''' <summary>
	''' 登録未完成科歴ワークテーブル登録
	''' </summary>
	''' <param name="pDb">DBクラス</param>
	''' <param name="basicDtFrom">基準日From</param>
	''' <param name="basicDtTo">基準日To</param>
	''' <returns>登録未完成科歴数</returns>
	''' <remarks>
	''' 2010/12/13 新規作成 ACS)福士<BR/>
	''' </remarks>
	''' ---------------------------------------------
	Private Function sqlIns_NotRegChCnt(ByVal pDb As clsDB, ByVal basicDtFrom As DateTime, ByVal basicDtTo As DateTime) As Integer
		Me.log(clsSysMst.logLevel.DBG, MethodBase.GetCurrentMethod().Name, "登録未完成科歴ワークテーブル登録 Start")
		Dim ret As Integer
		Try
			'SQL文設定
			pDb.setSQL(sqlMSS010F010.sqlIns_NOT_REG_CH)
			'パラメータ設定
			pDb.setParam(sqlMSS010F010.prmBASIC_DT3_FROM, clsDB.Enum_dbType.dbDateTime)
			pDb.setParam(sqlMSS010F010.prmBASIC_DT3_TO, clsDB.Enum_dbType.dbDateTime)
			pDb.setParam(sqlMSS010F010.prmFIXED_CD1, clsDB.Enum_dbType.dbNVarChar)
			pDb.setParam(sqlMSS010F010.prmFIXED_CD1_2, clsDB.Enum_dbType.dbNVarChar)
			pDb.setParam(sqlMSS010F010.prmUSER_CD, clsDB.Enum_dbType.dbNVarChar)
			pDb.setParam(sqlMSS010F010.prmSEARCH_NO, clsDB.Enum_dbType.dbInt)
			pDb.setParam(sqlMSS010F010.prmLASTUPD_DT, clsDB.Enum_dbType.dbDateTime)
			'値設定
			pDb.setVal(sqlMSS010F010.prmBASIC_DT3_FROM, basicDtFrom)
			pDb.setVal(sqlMSS010F010.prmBASIC_DT3_TO, basicDtTo)
			pDb.setVal(sqlMSS010F010.prmFIXED_CD1, CStr(clsConst.Enum_RegStatus_Fix1.Hsp))
			pDb.setVal(sqlMSS010F010.prmFIXED_CD1_2, CStr(clsConst.Enum_RegStatus_Fix1.RegFinish))
			pDb.setVal(sqlMSS010F010.prmUSER_CD, Me._userID)
			pDb.setVal(sqlMSS010F010.prmSEARCH_NO, Enum_SearchNo.NotRegCh)
			pDb.setVal(sqlMSS010F010.prmLASTUPD_DT, DateTime.Now())
			'SQL実行
			ret = pDb.execNonQuery()

			Return ret
		Catch ex As Exception
			Throw
		End Try
	End Function

	''' ---------------------------------------------
	''' <summary>
	''' 病名未登録科歴ワークテーブル登録
	''' </summary>
	''' <param name="pDb">DBクラス</param>
	''' <param name="basicDtFrom">基準日From</param>
	''' <param name="basicDtTo">基準日To</param>
	''' <returns>病名未登録科歴数</returns>
	''' <remarks>
	''' 2010/12/13 新規作成 ACS)福士<BR/>
	''' </remarks>
	''' ---------------------------------------------
	Private Function sqlIns_NotDiseaseChCnt(ByVal pDb As clsDB, ByVal basicDtFrom As DateTime, ByVal basicDtTo As DateTime) As Integer
		Me.log(clsSysMst.logLevel.DBG, MethodBase.GetCurrentMethod().Name, "病名未登録科歴ワークテーブル登録 Start")
		Dim ret As Integer
		Try
			'SQL文設定
			pDb.setSQL(sqlMSS010F010.sqlIns_NOTREG_DISEASE_CH)
			'パラメータ設定
			pDb.setParam(sqlMSS010F010.prmBASIC_DT3_FROM, clsDB.Enum_dbType.dbDateTime)
			pDb.setParam(sqlMSS010F010.prmBASIC_DT3_TO, clsDB.Enum_dbType.dbDateTime)
			pDb.setParam(sqlMSS010F010.prmFIXED_CD1, clsDB.Enum_dbType.dbNVarChar)
			pDb.setParam(sqlMSS010F010.prmUSER_CD, clsDB.Enum_dbType.dbNVarChar)
			pDb.setParam(sqlMSS010F010.prmSEARCH_NO, clsDB.Enum_dbType.dbInt)
			pDb.setParam(sqlMSS010F010.prmLASTUPD_DT, clsDB.Enum_dbType.dbDateTime)
			'値設定
			pDb.setVal(sqlMSS010F010.prmBASIC_DT3_FROM, basicDtFrom)
			pDb.setVal(sqlMSS010F010.prmBASIC_DT3_TO, basicDtTo)
			pDb.setVal(sqlMSS010F010.prmFIXED_CD1, CStr(clsConst.Enum_RegStatus_Fix1.Hsp))
			pDb.setVal(sqlMSS010F010.prmUSER_CD, Me._userID)
			pDb.setVal(sqlMSS010F010.prmSEARCH_NO, Enum_SearchNo.NotDiseaseCh)
			pDb.setVal(sqlMSS010F010.prmLASTUPD_DT, DateTime.Now())
			'SQL実行
			ret = pDb.execNonQuery()

			Return ret
		Catch ex As Exception
			Throw
		End Try
	End Function

	''' ---------------------------------------------
	''' <summary>
	''' 登録完了科歴ワークテーブル登録
	''' </summary>
	''' <param name="pDb">DBクラス</param>
	''' <param name="basicDt">基準日</param>
	''' <returns>登録完了科歴数</returns>
	''' <remarks>
	''' 2010/12/13 新規作成 ACS)福士<BR/>
	''' </remarks>
	''' ---------------------------------------------
	Private Function sqlIns_RegFinishedChCnt(ByVal pDb As clsDB, ByVal basicDt As DateTime) As Integer
		Me.log(clsSysMst.logLevel.DBG, MethodBase.GetCurrentMethod().Name, "登録完了科歴ワークテーブル登録 Start")
		Dim ret As Integer
		Try
			'SQL文設定
			pDb.setSQL(sqlMSS010F010.sqlIns_REG_FINISHED_CH)
			'パラメータ設定
			pDb.setParam(sqlMSS010F010.prmBASIC_DT4, clsDB.Enum_dbType.dbDateTime)
			pDb.setParam(sqlMSS010F010.prmFIXED_CD1, clsDB.Enum_dbType.dbNVarChar)
			pDb.setParam(sqlMSS010F010.prmUSER_CD, clsDB.Enum_dbType.dbNVarChar)
			pDb.setParam(sqlMSS010F010.prmSEARCH_NO, clsDB.Enum_dbType.dbInt)
			pDb.setParam(sqlMSS010F010.prmLASTUPD_DT, clsDB.Enum_dbType.dbDateTime)
			'値設定
			pDb.setVal(sqlMSS010F010.prmBASIC_DT4, basicDt)
			pDb.setVal(sqlMSS010F010.prmFIXED_CD1, CStr(clsConst.Enum_RegStatus_Fix1.RegFinish))
			pDb.setVal(sqlMSS010F010.prmUSER_CD, Me._userID)
			pDb.setVal(sqlMSS010F010.prmSEARCH_NO, Enum_SearchNo.RegFinishedCh)
			pDb.setVal(sqlMSS010F010.prmLASTUPD_DT, DateTime.Now())
			'SQL実行
			ret = pDb.execNonQuery()

			Return ret
		Catch ex As Exception
			Throw
		End Try
	End Function

	''' ---------------------------------------------
	''' <summary>
	''' 診療録受領ワークテーブル登録
	''' </summary>
	''' <param name="pDb">DBクラス</param>
	''' <param name="basicDt">基準日</param>
	''' <returns>診療録受領数</returns>
	''' <remarks>
	''' 2010/12/13 新規作成 ACS)福士<BR/>
	''' </remarks>
	''' ---------------------------------------------
	Private Function sqlIns_RecordReceiptCnt(ByVal pDb As clsDB, ByVal basicDt As DateTime) As Integer
		Me.log(clsSysMst.logLevel.DBG, MethodBase.GetCurrentMethod().Name, "診療録受領ワークテーブル登録 Start")
		Dim ret As Integer
		Dim recordUnit As String = String.Empty	'診療録単位
		Try
			'診療録の単位取得
			pDb.setSQLDa(sqlMSS010F010.sqlSel_MTM_LENDITEM)
			pDb.setParamDa(sqlMSS010F010.prmLENDITEM_CD, clsDB.Enum_dbType.dbNVarChar)
			pDb.setValDa(sqlMSS010F010.prmLENDITEM_CD, CStr(clsConst.Enum_Lenditem.MedicalRecord))
			Using dt As New DataTable()
				pDb.execQueryDa(dt)
				If dt.Rows.Count > 0 Then
					recordUnit = dt.Rows(0).Item(sqlMSS010F010.itmUNIT_CD).ToString()
				End If
			End Using

			'SQL文設定
			Select Case recordUnit
				Case CStr(clsConst.Enum_LendUnit.Each_Patient) '患者毎
					pDb.setSQL(sqlMSS010F010.sqlIns_RECORD_RECEIPT_PATIENT)
				Case CStr(clsConst.Enum_LendUnit.Each_Hosp)	'入退院毎
					pDb.setSQL(sqlMSS010F010.sqlIns_RECORD_RECEIPT_HSP)
				Case CStr(clsConst.Enum_LendUnit.Each_Dept)	'診療科毎
					pDb.setSQL(sqlMSS010F010.sqlIns_RECORD_RECEIPT_CH)
				Case Else
					Return 0
			End Select

			'パラメータ設定
			pDb.setParam(sqlMSS010F010.prmBASIC_DT4, clsDB.Enum_dbType.dbDateTime)
			pDb.setParam(sqlMSS010F010.prmUSER_CD, clsDB.Enum_dbType.dbNVarChar)
			pDb.setParam(sqlMSS010F010.prmSEARCH_NO, clsDB.Enum_dbType.dbInt)
			pDb.setParam(sqlMSS010F010.prmLASTUPD_DT, clsDB.Enum_dbType.dbDateTime)
			'値設定
			pDb.setVal(sqlMSS010F010.prmBASIC_DT4, basicDt)
			pDb.setVal(sqlMSS010F010.prmUSER_CD, Me._userID)
			pDb.setVal(sqlMSS010F010.prmSEARCH_NO, Enum_SearchNo.RecordReceipt)
			pDb.setVal(sqlMSS010F010.prmLASTUPD_DT, DateTime.Now())
			'SQL実行
			ret = pDb.execNonQuery()

			Return ret
		Catch ex As Exception
			Throw
		End Try
	End Function

	''' ---------------------------------------------
	''' <summary>
	''' サマリ作成数ワークテーブル登録
	''' </summary>
	''' <param name="pDb">DBクラス</param>
	''' <param name="basicDt">基準日</param>
	''' <returns>サマリ作成数数</returns>
	''' <remarks>
	''' 2010/12/13 新規作成 ACS)福士<BR/>
	''' </remarks>
	''' ---------------------------------------------
	Private Function sqlIns_MakeSummaryCnt(ByVal pDb As clsDB, ByVal basicDt As DateTime) As Integer
		Me.log(clsSysMst.logLevel.DBG, MethodBase.GetCurrentMethod().Name, "サマリ作成数ワークテーブル登録 Start")
		Dim ret As Integer
		Try
			'SQL文設定
			pDb.setSQL(sqlMSS010F010.sqlIns_MAKE_SUMMARY)
			'パラメータ設定
			pDb.setParam(sqlMSS010F010.prmBASIC_DT4, clsDB.Enum_dbType.dbDateTime)
			pDb.setParam(sqlMSS010F010.prmUSER_CD, clsDB.Enum_dbType.dbNVarChar)
			pDb.setParam(sqlMSS010F010.prmSEARCH_NO, clsDB.Enum_dbType.dbInt)
			pDb.setParam(sqlMSS010F010.prmLASTUPD_DT, clsDB.Enum_dbType.dbDateTime)
			'値設定
			pDb.setVal(sqlMSS010F010.prmBASIC_DT4, basicDt)
			pDb.setVal(sqlMSS010F010.prmUSER_CD, Me._userID)
			pDb.setVal(sqlMSS010F010.prmSEARCH_NO, Enum_SearchNo.MakeSummary)
			pDb.setVal(sqlMSS010F010.prmLASTUPD_DT, DateTime.Now())
			'SQL実行
			ret = pDb.execNonQuery()

			Return ret
		Catch ex As Exception
			Throw
		End Try
	End Function

	''' ---------------------------------------------
	''' <summary>
	''' 診療録貸出ワークテーブル登録
	''' </summary>
	''' <param name="pDb">DBクラス</param>
	''' <param name="basicDt">基準日</param>
	''' <returns>診療録貸出数</returns>
	''' <remarks>
	''' 2010/12/13 新規作成 ACS)福士<BR/>
	''' </remarks>
	''' ---------------------------------------------
	Private Function sqlIns_RecordLendCnt(ByVal pDb As clsDB, ByVal basicDt As DateTime) As Integer
		Me.log(clsSysMst.logLevel.DBG, MethodBase.GetCurrentMethod().Name, "診療録貸出ワークテーブル登録 Start")
		Dim ret As Integer
		Try
			'SQL文設定
			pDb.setSQL(sqlMSS010F010.sqlIns_RECORD_LEND)
			'パラメータ設定
			pDb.setParam(sqlMSS010F010.prmLENDITEM_CD, clsDB.Enum_dbType.dbNVarChar)
			pDb.setParam(sqlMSS010F010.prmBASIC_DT4, clsDB.Enum_dbType.dbDateTime)
			pDb.setParam(sqlMSS010F010.prmUSER_CD, clsDB.Enum_dbType.dbNVarChar)
			pDb.setParam(sqlMSS010F010.prmSEARCH_NO, clsDB.Enum_dbType.dbInt)
			pDb.setParam(sqlMSS010F010.prmLASTUPD_DT, clsDB.Enum_dbType.dbDateTime)
			'値設定
			pDb.setVal(sqlMSS010F010.prmLENDITEM_CD, CStr(clsConst.Enum_Lenditem.MedicalRecord))
			pDb.setVal(sqlMSS010F010.prmBASIC_DT4, basicDt)
			pDb.setVal(sqlMSS010F010.prmUSER_CD, Me._userID)
			pDb.setVal(sqlMSS010F010.prmSEARCH_NO, Enum_SearchNo.RecordLend)
			pDb.setVal(sqlMSS010F010.prmLASTUPD_DT, DateTime.Now())
			'SQL実行
			ret = pDb.execNonQuery()

			Return ret
		Catch ex As Exception
			Throw
		End Try
	End Function

	''' ---------------------------------------------
	''' <summary>
	''' 診療録返却ワークテーブル登録
	''' </summary>
	''' <param name="pDb">DBクラス</param>
	''' <param name="basicDt">基準日</param>
	''' <returns>診療録返却数</returns>
	''' <remarks>
	''' 2010/12/13 新規作成 ACS)福士<BR/>
	''' </remarks>
	''' ---------------------------------------------
	Private Function sqlIns_RecordBackCnt(ByVal pDb As clsDB, ByVal basicDt As DateTime) As Integer
		Me.log(clsSysMst.logLevel.DBG, MethodBase.GetCurrentMethod().Name, "診療録返却ワークテーブル登録 Start")
		Dim ret As Integer
		Try
			'SQL文設定
			pDb.setSQL(sqlMSS010F010.sqlIns_RECORD_BACK)
			'パラメータ設定
			pDb.setParam(sqlMSS010F010.prmLENDITEM_CD, clsDB.Enum_dbType.dbNVarChar)
			pDb.setParam(sqlMSS010F010.prmBASIC_DT4, clsDB.Enum_dbType.dbDateTime)
			pDb.setParam(sqlMSS010F010.prmUSER_CD, clsDB.Enum_dbType.dbNVarChar)
			pDb.setParam(sqlMSS010F010.prmSEARCH_NO, clsDB.Enum_dbType.dbInt)
			pDb.setParam(sqlMSS010F010.prmLASTUPD_DT, clsDB.Enum_dbType.dbDateTime)
			'値設定
			pDb.setVal(sqlMSS010F010.prmLENDITEM_CD, CStr(clsConst.Enum_Lenditem.MedicalRecord))
			pDb.setVal(sqlMSS010F010.prmBASIC_DT4, basicDt)
			pDb.setVal(sqlMSS010F010.prmUSER_CD, Me._userID)
			pDb.setVal(sqlMSS010F010.prmSEARCH_NO, Enum_SearchNo.RecordBack)
			pDb.setVal(sqlMSS010F010.prmLASTUPD_DT, DateTime.Now())
			'SQL実行
			ret = pDb.execNonQuery()

			Return ret
		Catch ex As Exception
			Throw
		End Try
	End Function

#End Region

	''' ---------------------------------------------
	''' <summary>
	''' 検索処理結果ワークテーブル削除
	''' </summary>
	''' <param name="pDb">DBクラス</param>
	''' <param name="pSearchNo">削除対象の検索番号</param>
	''' <remarks>
	''' 2010/12/13 新規作成 ACS)福士<BR/>
	''' </remarks>
	''' ---------------------------------------------
	Private Sub sqlDel_MTT_SEARCH_RESULT(ByVal pDb As clsDB, ByVal pSearchNo As Integer)
		Me.log(clsSysMst.logLevel.DBG, MethodBase.GetCurrentMethod().Name, "検索処理結果ワークテーブル削除 Start")
		Try
			'SQL文設定
			pDb.setSQL(sqlMSS010F010.sqlDel_MTT_SEARCH_RESULT)
			'パラメータ設定
			pDb.setParam(sqlMSS010F010.prmUSER_CD, clsDB.Enum_dbType.dbNVarChar)
			pDb.setParam(sqlMSS010F010.prmSEARCH_NO, clsDB.Enum_dbType.dbInt)
			'値設定
			pDb.setVal(sqlMSS010F010.prmUSER_CD, Me._userID)
			pDb.setVal(sqlMSS010F010.prmSEARCH_NO, pSearchNo, False)
			'SQL実行
			pDb.execNonQuery()
		Catch ex As Exception
			Throw
		End Try
	End Sub

	''' ---------------------------------------------
	''' <summary>
	''' 画面開設中止
	''' </summary>
	''' <remarks>
	''' 2010/12/13 新規作成　ACS)福士<BR/>
	''' </remarks>
	''' ---------------------------------------------
	Private Sub CancelProc()
		Me.log(clsSysMst.logLevel.DBG, MethodBase.GetCurrentMethod().Name, "画面開設中止 Start")
		Try
			Me.cancelFlg = True
			If Me.Owner IsNot Nothing Then
				DirectCast(Me.Owner, frmBase).setCancelFlg(True)
			End If
		Catch ex As Exception
			Throw
		Finally
			'画面終了
			Me.EndProc()
		End Try
	End Sub

	''' ---------------------------------------------
	''' <summary>
	''' 前回設定値保存・取得(特殊)
	''' </summary>
	''' <param name="save">True:保存/False:取得</param>
	''' <remarks>
	''' 2010/12/14 新規作成 ACS)福士<BR/>
	''' </remarks>
	''' ---------------------------------------------
	Private Sub setLastValueCtl(ByVal save As Boolean)
		Me.log(clsSysMst.logLevel.DBG, MethodBase.GetCurrentMethod().Name, "前回設定値保存・取得(特殊) Start")
		Dim lastValueCtl As ArrayList = Nothing		'前回値取得・保存コントロールコレクション
		Dim retHash As Hashtable = Nothing			'前回設定値取得結果格納
		Try
			lastValueCtl = New ArrayList()

			'各コントロール、項目を前回値Arrayに代入
			'基準日１
			With Nothing
				Dim dt As DateTime = Nothing
				If save = False OrElse DateTime.TryParse(Me.dte005MSS010F010.DisplayText, dt) = True Then
					lastValueCtl.Add(New DictionaryEntry(Me.dte005MSS010F010.Name, DateDiff(DateInterval.Day, DateTime.Parse(DateTime.Now.ToString(clsConst.CST_YYYYMMDD_FORMAT)), dt)))
				End If
			End With
			'基準日３FROM
			With Nothing
				Dim dt As DateTime = Nothing
				If save = False OrElse DateTime.TryParse(Me.dte023MSS010F010.DisplayText, dt) = True Then
					lastValueCtl.Add(New DictionaryEntry(Me.dte023MSS010F010.Name, dt.ToString(clsConst.CST_YYYYMMDD_FORMAT)))
				End If
			End With
			'基準日３TO
			With Nothing
				Dim dt As DateTime = Nothing
				If save = False OrElse DateTime.TryParse(Me.dte025MSS010F010.DisplayText, dt) = True Then
					lastValueCtl.Add(New DictionaryEntry(Me.dte025MSS010F010.Name, DateDiff(DateInterval.Day, DateTime.Parse(DateTime.Now.ToString(clsConst.CST_YYYYMMDD_FORMAT)), dt)))
				End If
			End With
			'基準日４
			With Nothing
				Dim dt As DateTime = Nothing
				If save = False OrElse DateTime.TryParse(Me.dte036MSS010F010.DisplayText, dt) = True Then
					lastValueCtl.Add(New DictionaryEntry(Me.dte036MSS010F010.Name, DateDiff(DateInterval.Day, DateTime.Parse(DateTime.Now.ToString(clsConst.CST_YYYYMMDD_FORMAT)), dt)))
				End If
			End With
			lastValueCtl.Add(New DictionaryEntry(Me.chk006MSS010F010.Name, Me.chk006MSS010F010.Checked))
			lastValueCtl.Add(New DictionaryEntry(Me.chk008MSS010F010.Name, Me.chk008MSS010F010.Checked))
			lastValueCtl.Add(New DictionaryEntry(Me.chk010MSS010F010.Name, Me.chk010MSS010F010.Checked))
			lastValueCtl.Add(New DictionaryEntry(Me.chk015MSS010F010.Name, Me.chk015MSS010F010.Checked))
			lastValueCtl.Add(New DictionaryEntry(Me.chk017MSS010F010.Name, Me.chk017MSS010F010.Checked))
			lastValueCtl.Add(New DictionaryEntry(Me.chk019MSS010F010.Name, Me.chk019MSS010F010.Checked))
			lastValueCtl.Add(New DictionaryEntry(Me.chk026MSS010F010.Name, Me.chk026MSS010F010.Checked))
			lastValueCtl.Add(New DictionaryEntry(Me.chk028MSS010F010.Name, Me.chk028MSS010F010.Checked))
			lastValueCtl.Add(New DictionaryEntry(Me.chk030MSS010F010.Name, Me.chk030MSS010F010.Checked))
			lastValueCtl.Add(New DictionaryEntry(Me.chk032MSS010F010.Name, Me.chk032MSS010F010.Checked))
			lastValueCtl.Add(New DictionaryEntry(Me.chk037MSS010F010.Name, Me.chk037MSS010F010.Checked))
			lastValueCtl.Add(New DictionaryEntry(Me.chk039MSS010F010.Name, Me.chk039MSS010F010.Checked))
			lastValueCtl.Add(New DictionaryEntry(Me.chk041MSS010F010.Name, Me.chk041MSS010F010.Checked))
			lastValueCtl.Add(New DictionaryEntry(Me.chk043MSS010F010.Name, Me.chk043MSS010F010.Checked))
			lastValueCtl.Add(New DictionaryEntry(Me.chk045MSS010F010.Name, Me.chk045MSS010F010.Checked))

			If save = True Then
				Me.SaveLastValue(lastValueCtl, , True)
			Else
				retHash = Me.getLoadLastValue(lastValueCtl)

				For Each dicEntry As DictionaryEntry In retHash
					Select Case dicEntry.Key.ToString()
						Case Me.dte005MSS010F010.Name '基準日１
							Dim addDay As Double
							Double.TryParse(dicEntry.Value.ToString(), addDay)
							Me.dte005MSS010F010.DateValue = DateTime.Now.AddDays(addDay)
						Case Me.dte023MSS010F010.Name '基準日３FROM
							Dim dt As DateTime
							DateTime.TryParse(dicEntry.Value.ToString(), dt)
							Me.dte023MSS010F010.DateValue = dt
						Case Me.dte025MSS010F010.Name '基準日３TO
							Dim addDay As Double
							Double.TryParse(dicEntry.Value.ToString(), addDay)
							Me.dte025MSS010F010.DateValue = DateTime.Now.AddDays(addDay)
						Case Me.dte036MSS010F010.Name '基準日４
							Dim addDay As Double
							Double.TryParse(dicEntry.Value.ToString(), addDay)
							Me.dte036MSS010F010.DateValue = DateTime.Now.AddDays(addDay)
						Case Else 'チェックボックス
							Dim chkCtl() As Control = Me.Controls.Find(dicEntry.Key.ToString(), True)
							If (chkCtl.Length > 0) AndAlso (TypeOf chkCtl(0) Is BT_CheckBox = True) Then
								Dim checked As Boolean
								If Boolean.TryParse(dicEntry.Value.ToString(), checked) = True Then
									DirectCast(chkCtl(0), BT_CheckBox).Checked = checked
								End If
							End If

					End Select
				Next
			End If
		Catch ex As Exception
			Throw
		Finally
			If lastValueCtl IsNot Nothing Then lastValueCtl.Clear()
			lastValueCtl = Nothing
			If retHash IsNot Nothing Then retHash.Clear()
			retHash = Nothing
		End Try
	End Sub

#End Region

#Region "オーバーライドメソッド"

	''' ---------------------------------------------
	''' <summary>
	''' Ｆ７キー押下処理
	''' </summary>
	''' <remarks>
	''' 2010/11/19 新規作成 ACS)福士<BR/>
	''' </remarks>
	''' ---------------------------------------------
	Public Overrides Function F7KeyProc() As Boolean
		Me.log(clsSysMst.logLevel.NRM, MethodBase.GetCurrentMethod().Name, "Ｆ７キー押下処理 START")
		Try
			Me.Cursor = Cursors.WaitCursor
			'実行
			Me.ExecProc(True)
			Return True
		Catch ex As Exception
			Throw
		Finally
			Me.Cursor = Cursors.Default
		End Try
	End Function

#End Region

End Class