﻿'(A) STR V4-14027-000 737 20130515 ID)平井(データ移行前データチェック処理追加)
Imports System.Data.OleDb

Namespace Common

	''' ---------------------------------------------
	''' <summary>
	''' データチェック関数クラス
	''' </summary>
	''' <remarks>
	''' Copyright 2013 FUJITSU SYSTEMS WEST LIMITED All rights reserved.<BR/>
	''' FUJITSU SYSTEMS WEST LIMITED CONFIDENTIAL<BR/>
	''' </remarks>
	''' ---------------------------------------------
	Public Class CheckFunction

#Region "解放処理"

		'解放処理を実装する為に指定
		Implements IDisposable

		''' ---------------------------------------------
		''' <summary>
		''' 開放処理
		''' </summary>
		''' <remarks>
		''' 2009/12/17 新規作成 CS)荒川<BR/>
		''' </remarks>
		''' ---------------------------------------------
		Public Overloads Sub Dispose() Implements IDisposable.Dispose
			Dispose(True)
			MyBase.Finalize()
			GC.SuppressFinalize(Me)
		End Sub

		''' ---------------------------------------------
		''' <summary>
		''' 開放処理（実処理）
		''' </summary>
		''' <remarks>
		''' 2009/12/17 新規作成 CS)荒川<BR/>
		''' </remarks>
		''' ---------------------------------------------
		Private Overloads Sub Dispose(ByVal disposing As Boolean)
			If disposing Then
				'変数の解放を行う
			End If
		End Sub

		''' ---------------------------------------------
		''' <summary>
		''' デストラクタ
		''' </summary>
		''' <remarks>
		''' 2009/12/17 新規作成 CS)荒川<BR/>
		''' </remarks>
		''' ---------------------------------------------
		Protected Overrides Sub Finalize()
			Dispose(False)
			MyBase.Finalize()
		End Sub

#End Region

#Region "コンスタント"

	'チェック名称
	Public Const CST_DIV_CD_CHECK As String = "部門コード未登録"
	Public Const CST_OPK_CD_CHECK As String = "職種コード未登録"
	Public Const CST_KNM_CHECK As String = "カナ未登録"
	Public Const CST_STAFF_CHECK As String = "職員マスタ存在"
	Public Const CST_DISEASE_CHECK As String = "病名未登録"
	Public Const CST_OPE_NM_CHECK As String = "手術名未登録"
	Public Const CST_CARE_NM_CHECK As String = "治療処置名未登録"
	Public Const CST_TEST_NM_CHECK As String = "検査名未登録"
	Public Const CST_TIME_CHECK As String = "時間"
	Public Const CST_PASSWORD_CHECK As String = "パスワード未登録"
	Public Const CST_V4DATETIME_CHECK As String = "日付"
	Public Const CST_CHECK As String = "チェック"
	'日本語項目名
	Public Const CST_PATIENT_NO As String = "患者番号"
	Public Const CST_HSP_HISTORY_NO As String = "入退院歴番号"
	Public Const CST_CH_NO As String = "科歴番号"

	Private Const CST_SELECT_STAFF As String = "SELECT STAFF_CD FROM TM_職員マスタ WHERE 職員コード = {0}"
	Private Const CST_PRM_STAFF_CD As String = "@STAFF_CD"
'(A) STR V4-14027-001 004 20130704 ID)平井(データ移行前データチェック処理追加)
	'未来日チェックしない項目
	Private ReadOnly CST_UNCHECK_FEATURE_DATE() As String = {"返却予定日"}
'(A) END V4-14027-001 004 20130704
#End Region

#Region "変数"

		''' ---------------------------------------------
		''' <summary>
		''' エラータイプ
		''' </summary>
		''' <remarks>
		''' 2013/05/10 新規作成　ID)平井<BR/>
		''' </remarks>
		''' ---------------------------------------------
		Public Enum enumErrorType As Integer
			''' <summary>
			''' 部門コード未登録チェック
			''' </summary>
			DivCdError

			''' <summary>
			''' 職種コード未登録チェック
			''' </summary>
			OpkCdError

			''' <summary>
			''' カナ未登録チェック
			''' </summary>
			KnmError

			''' <summary>
			''' 職員マスタ存在チェック
			''' </summary>
			StaffError

			''' <summary>
			''' 病名未登録チェック
			''' </summary>
			DiseaseError

			''' <summary>
			''' 手術名未登録チェック
			''' </summary>
			OpeNmError

			''' <summary>
			''' 治療処置名未登録チェック
			''' </summary>
			CareNmError

			''' <summary>
			''' 検査名未登録チェック
			''' </summary>
			TestNmError

			''' <summary>
			''' 時間チェック
			''' </summary>
			TimeError

			''' <summary>
			''' パスワード未登録チェック
			''' </summary>
			PasswordError

			''' <summary>
			''' 日付チェック
			''' </summary>
			V4DateError

'(A) STR V4-14027-001 006 20130704 ID)平井(データ移行前データチェック処理追加)
			''' <summary>
			''' 日付未来日チェック
			''' </summary>
			DateFeatureError
'(A) END V4-14027-001 006 20130704

			''' <summary>
			''' Long時間チェック
			''' </summary>
			LongTimeError
		End Enum

		'チェック用Ｄ／Ｂ接続
		Public Check_DBConn As OleDbConnection = Nothing
		'V4日付型チェック処理項目名
		Public Check_DateTime As String() = Nothing
		Public Check_HourMinutes As String() = Nothing
		'患者番号項目名
		Public Check_PatientNo As String = CheckFunction.CST_PATIENT_NO
		'入退院歴番号項目名
		Public Check_HspHistoryNo As String = CheckFunction.CST_HSP_HISTORY_NO
		'科歴番号項目名
		Public Check_ChNo As String = CheckFunction.CST_CH_NO

#End Region

#Region "メソッド"

		''' ---------------------------------------------
		''' <summary>
		''' エラーテーブル追加処理
		''' </summary>
		''' <param name="reader"></param>
		''' <param name="eET"></param>
		''' <param name="strTableName"></param>
		''' <param name="strFieldName"></param>
		''' <param name="strValue"></param>
		''' <param name="strPassword"></param>
		''' <remarks>
		''' 2013/05/10 新規作成　ID)平井<BR/>
		''' </remarks>
		''' ---------------------------------------------
		Public Sub setErrorTable(ByVal reader As OleDbDataReader,
								 ByVal eET As enumErrorType,
								 ByVal strTableName As String,
								 ByVal strFieldName As String,
								 ByVal strValue As String,
								 Optional ByVal strPassword As String = "")
			Try
				'エラーテーブルに設定
				Dim strPatientNo As String = String.Empty
				If Not String.IsNullOrEmpty(Me.Check_PatientNo) Then
					strPatientNo = reader(Me.Check_PatientNo).ToString
				End If
				Dim strHspHistoryNo As String = String.Empty
				If Not String.IsNullOrEmpty(Me.Check_HspHistoryNo) Then
					strHspHistoryNo = reader(Me.Check_HspHistoryNo).ToString
				End If
				Dim strChNo As String = String.Empty
				If Not String.IsNullOrEmpty(Me.Check_ChNo) Then
					strChNo = reader(Me.Check_ChNo).ToString
				End If
				Dim drow As DataRow = TCV010F010.dtErrorTable.NewRow()
				'項番
				drow(TCV010F010.CST_ERRORITEM(0)) = "0"
				'患者番号
				drow(TCV010F010.CST_ERRORITEM(2)) = strPatientNo
				'入番
				drow(TCV010F010.CST_ERRORITEM(3)) = strHspHistoryNo
				'科番
				drow(TCV010F010.CST_ERRORITEM(4)) = strChNo
				'テーブル名
				drow(TCV010F010.CST_ERRORITEM(5)) = strTableName
				'フィールド名
				drow(TCV010F010.CST_ERRORITEM(6)) = strFieldName
				'変換前値
				drow(TCV010F010.CST_ERRORITEM(8)) = strValue
				'テーブル名３桁
				drow(TCV010F010.CST_ERRORITEM(10)) = strTableName.Substring(0, 3)
				Select Case eET
					' 部門コード未登録チェック
					Case enumErrorType.DivCdError
						'区分
						drow(TCV010F010.CST_ERRORITEM(1)) = "E"
						'内容
						drow(TCV010F010.CST_ERRORITEM(7)) = "部門コードが未登録"
						'変換後値
						drow(TCV010F010.CST_ERRORITEM(9)) = ""
					' 職種コード未登録チェック
					Case enumErrorType.OpkCdError
						'区分
						drow(TCV010F010.CST_ERRORITEM(1)) = "E"
						'内容
						drow(TCV010F010.CST_ERRORITEM(7)) = "職種コードが未登録"
						'変換後値
						drow(TCV010F010.CST_ERRORITEM(9)) = ""
					' カナ未登録チェック
					Case enumErrorType.KnmError
						'区分
						drow(TCV010F010.CST_ERRORITEM(1)) = "E"
						'内容
						drow(TCV010F010.CST_ERRORITEM(7)) = "カナが未登録"
						'変換後値
						drow(TCV010F010.CST_ERRORITEM(9)) = ""
					' 職員マスタ存在チェック
					Case enumErrorType.StaffError
						'区分
						drow(TCV010F010.CST_ERRORITEM(1)) = "W"
						'内容
						drow(TCV010F010.CST_ERRORITEM(7)) = "使用者コードが職員マスタに未登録"
						'変換後値
						drow(TCV010F010.CST_ERRORITEM(9)) = ""
					'病名未登録チェック
					Case enumErrorType.DiseaseError
						'区分
						drow(TCV010F010.CST_ERRORITEM(1)) = "W"
						'内容
						drow(TCV010F010.CST_ERRORITEM(7)) = "病名が未登録"
						'変換後値
						drow(TCV010F010.CST_ERRORITEM(9)) = "（病名未登録）"
					'手術名未登録チェック
					Case enumErrorType.OpeNmError
						'区分
						drow(TCV010F010.CST_ERRORITEM(1)) = "W"
						'内容
						drow(TCV010F010.CST_ERRORITEM(7)) = "手術名が未登録"
						'変換後値
						drow(TCV010F010.CST_ERRORITEM(9)) = "（手術名未登録）"
					'治療処置名未登録チェック
					Case enumErrorType.CareNmError
						'区分
						drow(TCV010F010.CST_ERRORITEM(1)) = "W"
						'内容
						drow(TCV010F010.CST_ERRORITEM(7)) = "治療処置名が未登録"
						'変換後値
						drow(TCV010F010.CST_ERRORITEM(9)) = "（治療処置名未登録）"
					'検査名未登録チェック
					Case enumErrorType.TestNmError
						'区分
						drow(TCV010F010.CST_ERRORITEM(1)) = "W"
						'内容
						drow(TCV010F010.CST_ERRORITEM(7)) = "検査名が未登録"
						'変換後値
						drow(TCV010F010.CST_ERRORITEM(9)) = "（検査名未登録）"
					' 時間チェック
					Case enumErrorType.TimeError
						'区分
						drow(TCV010F010.CST_ERRORITEM(1)) = "E"
						'内容
						drow(TCV010F010.CST_ERRORITEM(7)) = "データ形式が不正"
						'変換後値
						drow(TCV010F010.CST_ERRORITEM(9)) = ""
					' パスワード未登録チェック
					Case enumErrorType.PasswordError
						'区分
						drow(TCV010F010.CST_ERRORITEM(1)) = "W"
						'内容
						drow(TCV010F010.CST_ERRORITEM(7)) = "パスワードが未登録"
						'変換後値
						drow(TCV010F010.CST_ERRORITEM(9)) = strPassword
					' 日付チェック
					Case enumErrorType.V4DateError
						'区分
						drow(TCV010F010.CST_ERRORITEM(1)) = "E"
						'内容
						drow(TCV010F010.CST_ERRORITEM(7)) = "データ形式が不正"
						'変換後値
						drow(TCV010F010.CST_ERRORITEM(9)) = ""
'(A) STR V4-14027-001 010 201300704 ID)平井(データ移行前データチェック処理追加)
					' 日付未来日チェック
					Case enumErrorType.DateFeatureError
						'区分
						drow(TCV010F010.CST_ERRORITEM(1)) = "W"
						'内容
						drow(TCV010F010.CST_ERRORITEM(7)) = "データ形式が不正（未来日）"
						'変換後値
						drow(TCV010F010.CST_ERRORITEM(9)) = ""
'(A) END V4-14027-001 010 20130704
					' Long時間チェック
					Case enumErrorType.LongTimeError
						'区分
						drow(TCV010F010.CST_ERRORITEM(1)) = "W"
						'内容
						drow(TCV010F010.CST_ERRORITEM(7)) = "データ形式が不正"
						'変換後値
						drow(TCV010F010.CST_ERRORITEM(9)) = ""
					Case Else
				End Select
				'エラーテーブルに追加
				SyncLock TCV010F010.SyncLockObject
					TCV010F010.dtErrorTable.Rows.Add(drow)
				End SyncLock
			Catch ex As Exception
				Throw
			End Try
		End Sub

		''' ---------------------------------------------
		''' <summary>
		''' 職員マスタチェック
		''' </summary>
		''' <param name="reader"></param>
		''' <param name="strTableName"></param>
		''' <remarks>
		''' 2013/05/13 新規作成　ID)平井<BR/>
		''' </remarks>
		''' ---------------------------------------------
		Public Sub Check_Staff(ByVal reader As OleDbDataReader, ByVal strTableName As String)
			Const CST_STAFF_KNM As String = "職員名カナ"
			Const CST_STAFFDIV_CD As String = "職員部門コード"
			Const CST_STAFFOPK_CD As String = "職員職種コード"
			Try
				'職員部門コード未登録チェック
				If String.IsNullOrWhiteSpace(reader(CST_STAFFDIV_CD).ToString) Then
					'エラーテーブルに設定
					setErrorTable(reader,
								Common.CheckFunction.enumErrorType.DivCdError,
								strTableName,
								CST_STAFFDIV_CD,
								reader(CST_STAFFDIV_CD).ToString)
				End If
				'職員職種コード未登録チェック
				If String.IsNullOrWhiteSpace(reader(CST_STAFFOPK_CD).ToString) Then
					'エラーテーブルに設定
					setErrorTable(reader,
								Common.CheckFunction.enumErrorType.OpkCdError,
								strTableName,
								CST_STAFFOPK_CD,
								reader(CST_STAFFOPK_CD).ToString)
				End If
				'職員名カナ未登録チェック
				If String.IsNullOrWhiteSpace(reader(CST_STAFF_KNM).ToString) Then
					'エラーテーブルに設定
					setErrorTable(reader,
								Common.CheckFunction.enumErrorType.KnmError,
								strTableName,
								CST_STAFF_KNM,
								reader(CST_STAFF_KNM).ToString)
				End If
			Catch ex As Exception
				Throw
			End Try

		End Sub

		''' ---------------------------------------------
		''' <summary>
		''' 使用者マスタチェック
		''' </summary>
		''' <param name="reader"></param>
		''' <param name="strTableName"></param>
		''' <remarks>
		''' 2013/05/13 新規作成　ID)平井<BR/>
		''' </remarks>
		''' ---------------------------------------------
		Public Sub Check_User(ByVal reader As OleDbDataReader, ByVal strTableName As String)
			Const CST_USER_CD As String = "使用者コード"
			Const CST_PASSWORD As String = "パスワード"
			Try
				'職員マスタ存在チェック
				If Not isExistStaff(Check_DBConn, reader(CST_USER_CD).ToString) Then
					'エラーテーブルに設定
					setErrorTable(reader,
								Common.CheckFunction.enumErrorType.StaffError,
								strTableName,
								"",
								"")
				End If
				'パスワード未登録チェック
				If String.IsNullOrWhiteSpace(reader(CST_PASSWORD).ToString) Then
					'エラーテーブルに設定
					setErrorTable(reader,
								Common.CheckFunction.enumErrorType.PasswordError,
								strTableName,
								CST_PASSWORD,
								"",
								reader(CST_USER_CD).ToString)
				End If
			Catch ex As Exception
				Throw
			End Try
		End Sub

		''' ---------------------------------------------
		''' <summary>
		''' 病名情報チェック
		''' </summary>
		''' <param name="reader"></param>
		''' <param name="strTableName"></param>
		''' <remarks>
		''' 2013/05/13 新規作成　ID)平井<BR/>
		''' </remarks>
		''' ---------------------------------------------
		Public Sub Check_Disease(ByVal reader As OleDbDataReader, ByVal strTableName As String)
			Const CST_DISEASE As String = "病名"
			Try
				'病名未登録チェック
				If String.IsNullOrWhiteSpace(reader(CST_DISEASE).ToString) Then
					'エラーテーブルに設定
					setErrorTable(reader,
								Common.CheckFunction.enumErrorType.DiseaseError,
								strTableName,
								CST_DISEASE,
								"")
				End If
			Catch ex As Exception
				Throw
			End Try

		End Sub

		''' ---------------------------------------------
		''' <summary>
		''' 手術情報チェック
		''' </summary>
		''' <param name="reader"></param>
		''' <param name="strTableName"></param>
		''' <remarks>
		''' 2013/05/13 新規作成　ID)平井<BR/>
		''' </remarks>
		''' ---------------------------------------------
		Public Sub Check_Ope(ByVal reader As OleDbDataReader, ByVal strTableName As String)
			Const CST_OPE_NM As String = "手術名"
			Try
				'病名未登録チェック
				If String.IsNullOrWhiteSpace(reader(CST_OPE_NM).ToString) Then
					'エラーテーブルに設定
					setErrorTable(reader,
								Common.CheckFunction.enumErrorType.OpeNmError,
								strTableName,
								CST_OPE_NM,
								"")
				End If
			Catch ex As Exception
				Throw
			End Try

		End Sub

		''' ---------------------------------------------
		''' <summary>
		''' 検査情報チェック
		''' </summary>
		''' <param name="reader"></param>
		''' <param name="strTableName"></param>
		''' <remarks>
		''' 2013/05/13 新規作成　ID)平井<BR/>
		''' </remarks>
		''' ---------------------------------------------
		Public Sub Check_Test(ByVal reader As OleDbDataReader, ByVal strTableName As String)
			Const CST_TEST_NM As String = "検査名"
			Try
				'検査名未登録チェック
				If String.IsNullOrWhiteSpace(reader(CST_TEST_NM).ToString) Then
					'エラーテーブルに設定
					setErrorTable(reader,
								Common.CheckFunction.enumErrorType.TestNmError,
								strTableName,
								CST_TEST_NM,
								"")
				End If
			Catch ex As Exception
				Throw
			End Try
		End Sub

		''' ---------------------------------------------
		''' <summary>
		''' 治療処置情報チェック
		''' </summary>
		''' <param name="reader"></param>
		''' <param name="strTableName"></param>
		''' <remarks>
		''' 2013/05/13 新規作成　ID)平井<BR/>
		''' </remarks>
		''' ---------------------------------------------
		Public Sub Check_Care(ByVal reader As OleDbDataReader, ByVal strTableName As String)
			Const CST_CARE_NM As String = "治療処置名"
			Try
				'治療処置名未登録チェック
				If String.IsNullOrWhiteSpace(reader(CST_CARE_NM).ToString) Then
					'エラーテーブルに設定
					setErrorTable(reader,
								Common.CheckFunction.enumErrorType.CareNmError,
								strTableName,
								CST_CARE_NM,
								"")
				End If
			Catch ex As Exception
				Throw
			End Try
		End Sub

		''' ---------------------------------------------
		''' <summary>
		''' Long時間:分形式の整合性チェック
		''' </summary>
		''' <param name="reader"></param>
		''' <param name="strTableName"></param>
		''' <remarks>
		''' 2013/05/15 新規作成　ID)平井<BR/>
		''' </remarks>
		''' ---------------------------------------------
		Public Sub Check_LongTime(ByVal reader As OleDbDataReader, ByVal strTableName As String)
			Const CST_MED_REQUIRED_TIME As String = "救命所要時間"
			Try
				'救命所要時間チェック
				If Not isLongHourMinutes(reader(CST_MED_REQUIRED_TIME).ToString) Then
					setErrorTable(reader,
								Common.CheckFunction.enumErrorType.LongTimeError,
								strTableName,
								CST_MED_REQUIRED_TIME,
								reader(CST_MED_REQUIRED_TIME).ToString)
				End If
			Catch ex As Exception
				Throw
			End Try
		End Sub

		''' ---------------------------------------------
		''' <summary>
		''' V4 DateTime形式の整合性チェック処理
		''' </summary>
		''' <param name="reader">OleDbDataReader</param>
		''' <param name="strTableName">日本語テーブル名</param>
		''' <remarks>
		''' 2013/05/10 新規作成　ID)平井<BR/>
		''' </remarks>
		''' ---------------------------------------------
		Public Sub Check_V4DateTime(ByVal reader As OleDbDataReader, ByVal strTableName As String)
			Try
				For Each dateItem As String In Check_DateTime
					If Not isV4Date(reader(dateItem).ToString) Then
						setErrorTable(reader,
									Common.CheckFunction.enumErrorType.V4DateError,
									strTableName,
									dateItem,
									reader(dateItem).ToString)
					End If
'(A) STR V4-14027-001 020 20130704 ID)平井(データ移行前データチェック処理追加)
					Dim bFind As Boolean = False
					'未来日チェックしない項目検索
					For Each Str As String In CST_UNCHECK_FEATURE_DATE
						If Str = dateItem Then
							bFind = True
							Exit For
						End If
					Next
					If Not bFind Then
						'未来日チェック
						If Not isDateFeature(reader(dateItem).ToString) Then
							setErrorTable(reader,
										Common.CheckFunction.enumErrorType.DateFeatureError,
										strTableName,
										dateItem,
										reader(dateItem).ToString)
						End If
					End If
'(A) END V4-14027-001 020 20130704
				Next
			Catch ex As Exception
				Throw
			End Try
		End Sub

		''' ---------------------------------------------
		''' <summary>
		''' V4 HourMinutes形式の整合性チェック処理
		''' </summary>
		''' <param name="reader">OleDbDataReader</param>
		''' <param name="strTableName">日本語テーブル名</param>
		''' <remarks>
		''' 2013/05/13 新規作成　ID)平井<BR/>
		''' </remarks>
		''' ---------------------------------------------
		Public Sub Check_V4HourMinutes(ByVal reader As OleDbDataReader, ByVal strTableName As String)
			Try
				For Each dateItem As String In Check_HourMinutes
					If Not isV4HourMinutes(reader(dateItem).ToString) Then
						setErrorTable(reader,
									Common.CheckFunction.enumErrorType.TimeError,
									strTableName,
									dateItem,
									reader(dateItem).ToString)
					End If
				Next
			Catch ex As Exception
				Throw
			End Try
		End Sub

		''' ---------------------------------------------
		''' <summary>
		''' 職員マスタ存在チェック
		''' </summary>
		''' <param name="dbaseConn">BT3DMAST用MDB接続</param>
		''' <param name="strUserCD">使用者コード</param>
		''' <returns></returns>
		''' <remarks>
		''' 2013/05/10 新規作成　ID)平井<BR/>
		''' </remarks>
		''' ---------------------------------------------
		Public Function isExistStaff(ByVal dbaseConn As OleDbConnection, ByVal strUserCD As String) As Boolean
			Dim selectCommand As OleDbCommand = dbaseConn.CreateCommand
			Dim bRet As Boolean = False
			Try
				Dim param As New OleDbParameter(CST_PRM_STAFF_CD, strUserCD)
				selectCommand.CommandText = String.Format(CST_SELECT_STAFF, CST_PRM_STAFF_CD)
				selectCommand.Parameters.Clear()
				selectCommand.Parameters.Add(param)
				'職員マスタ検索
				Dim reader As OleDbDataReader = selectCommand.ExecuteReader()
				If reader.Read Then
					bRet = True
				End If
				reader.Close()
				reader = Nothing
				Return bRet
			Catch ex As Exception
				Throw
			End Try
		End Function

		''' ---------------------------------------------
		''' <summary>
		''' V4 DateTime形式の整合性チェック関数
		''' </summary>
		''' <param name="strDate"></param>
		''' <returns></returns>
		''' <remarks>
		''' 2013/05/10 新規作成　ID)平井<BR/>
		''' </remarks>
		''' ---------------------------------------------
		Public Function isV4Date(ByVal strDate As String) As Boolean
			Dim CST_MINI_DATE As Date = New Date(1869, 1, 1)
			Try
				Dim dtCheck As Date
				' 入力有り？
				If Not String.IsNullOrEmpty(strDate) Then
'(M) STR V4-14027-001 008 20130704 ID)平井(データ移行前データチェック処理追加)
'					' 日付整合性エラー、最小日付未満、システム日付超
'					If Not Date.TryParse(strDate, dtCheck) OrElse
'						dtCheck < CST_MINI_DATE OrElse
'						dtCheck > Now Then
					If Not Date.TryParse(strDate, dtCheck) OrElse
						dtCheck < CST_MINI_DATE Then
'(M) END V4-14027-001 008 20130704
						Return False
					End If
				End If
				Return True
			Catch ex As Exception
				Throw
			End Try
		End Function

'(A) STR V4-14027-001 029 20130704 ID)平井(データ移行前データチェック処理追加)
		''' ---------------------------------------------
		''' <summary>
		''' DateTime形式の未来日チェック関数
		''' </summary>
		''' <param name="strDate"></param>
		''' <returns></returns>
		''' <remarks>
		''' 2013/07/04 新規作成　ID)平井<BR/>
		''' </remarks>
		''' ---------------------------------------------
		Public Function isDateFeature(ByVal strDate As String) As Boolean
			Dim CST_MINI_DATE As Date = New Date(1869, 1, 1)
			Try
				Dim dtCheck As Date
				' 入力有り？
				If Not String.IsNullOrEmpty(strDate) Then
					' 日付未来日チェック
					If Not Date.TryParse(strDate, dtCheck) OrElse
						dtCheck > Now Then
						Return False
					End If
				End If
				Return True
			Catch ex As Exception
				Throw
			End Try
		End Function
'(A) END V4-14027-001 029 20130704

		''' ---------------------------------------------
		''' <summary>
		''' V4 時間:分形式の整合性チェック関数
		''' </summary>
		''' <param name="strTime"></param>
		''' <returns></returns>
		''' <remarks>
		''' 2013/05/10 新規作成　ID)平井<BR/>
		''' </remarks>
		''' ---------------------------------------------
		Public Function isV4HourMinutes(ByVal strTime As String) As Boolean
			Try
				Dim iCheck As Integer
				' 入力有り？
				If Not String.IsNullOrEmpty(strTime) Then
					' 時間整合性エラー
					If strTime.Length <> 5 OrElse
						Not Integer.TryParse(strTime.Substring(0, 2), iCheck) OrElse
						iCheck < 0 OrElse
						strTime.Substring(2, 1) <> ":" OrElse
						Not Integer.TryParse(strTime.Substring(3, 2), iCheck) OrElse
						iCheck < 0 Then
						Return False
					End If
				End If
				Return True
			Catch ex As Exception
				Throw
			End Try
		End Function

		''' ---------------------------------------------
		''' <summary>
		''' Long時間:分形式の整合性チェック関数
		''' </summary>
		''' <param name="strTime"></param>
		''' <returns></returns>
		''' <remarks>
		''' 2013/05/15 新規作成　ID)平井<BR/>
		''' </remarks>
		''' ---------------------------------------------
		Public Function isLongHourMinutes(ByVal strTime As String) As Boolean
			Try
				Dim iCheck As Integer
				Dim strTmp() As String
				' 入力有り？
				If Not String.IsNullOrEmpty(strTime) Then
					' 時間整合性エラー
					strTmp = strTime.Split(":")
					If strTime.IndexOf(":") < 0 OrElse
						strTmp.Length <> 2 OrElse
						Not Integer.TryParse(strTmp(0), iCheck) OrElse
						Not Integer.TryParse(strTmp(1), iCheck) OrElse
						strTmp(1).Length <> 2 Then
						Return False
					End If
				End If
				Return True
			Catch ex As Exception
				Throw
			End Try
		End Function

#End Region

	End Class
End Namespace
'(A) END V4-14027-000 737 20130515