﻿Imports System.Windows.Forms
'''---------------------------------------------
''' <summary>
''' [移行ツール用]]configクラス
''' </summary>
''' <remarks>
''' Copyright 2010 FUJITSU SHIKOKU SYSTEMS LIMITED All rights reserved.<BR/>
''' FUJITSU SHIKOKU SYSTEMS LIMITED CONFIDENTIAL<BR/>
''' </remarks>
'''---------------------------------------------
Public Class datConfig

#Region "変数"

	Private _DS As String			'ＳＱＬサーバ名
	Private _IC As String			'データベース名
	Private _UI As String			'ログインユーザ名
	Private _DBGLOG As String		'デバッグログモード
	Private _LTimeOut As Integer	'ログインタイムアウト（秒）
	Private _RTimeOut As Integer	'ロールバックタイムアウト（秒）
	Private _STimeOut As Integer	'ＳＱＬタイムアウト（秒）

	Private _LogDir As String		'ログ出力フォルダ
	Private _LogDate As Integer		'ログ保存日数
	Private _TemplateDir As String	'テンプレートフォルダ
	Private _TempDir As String		'一時フォルダ

	Private _SvDir As String		'サーバーパス
	Private _BtgDir As String		'がん登録パス

#End Region

#Region "プロパティ"

	Public Property DS() As String
		Get
			Return _DS
		End Get
		Set(ByVal Value As String)
			_DS = Value
		End Set
	End Property

	Public Property IC() As String
		Get
			Return _IC
		End Get
		Set(ByVal Value As String)
			_IC = Value
		End Set
	End Property

	Public Property UI() As String
		Get
			Return _UI
		End Get
		Set(ByVal Value As String)
			_UI = Value
		End Set
	End Property

	Public Property DBGLOG() As String
		Get
			Return _DBGLOG
		End Get
		Set(ByVal Value As String)
			_DBGLOG = Value
		End Set
	End Property

	Public Property LTimeOut() As Integer
		Get
			Return _LTimeOut
		End Get
		Set(ByVal Value As Integer)
			_LTimeOut = Value
		End Set
	End Property

	Public Property RTimeOut() As Integer
		Get
			Return _RTimeOut
		End Get
		Set(ByVal Value As Integer)
			_RTimeOut = Value
		End Set
	End Property

	Public Property STimeOut() As Integer
		Get
			Return _STimeOut
		End Get
		Set(ByVal Value As Integer)
			_STimeOut = Value
		End Set
	End Property

	Public Property LogDir() As String
		Get
			Return _LogDir
		End Get
		Set(ByVal Value As String)
			_LogDir = Value
		End Set
	End Property

	Public Property LogDate() As Integer
		Get
			Return _LogDate
		End Get
		Set(ByVal Value As Integer)
			_LogDate = Value
		End Set
	End Property

	Public Property TemplateDir() As String
		Get
			Return _TemplateDir
		End Get
		Set(ByVal Value As String)
			_TemplateDir = Value
		End Set
	End Property

	Public Property TempDir() As String
		Get
			Return _TempDir
		End Get
		Set(ByVal Value As String)
			_TempDir = Value
		End Set
	End Property

	Public Property SvDir() As String
		Get
			Return _SvDir
		End Get
		Set(ByVal Value As String)
			_SvDir = Value
		End Set
	End Property

	Public Property BtgDir() As String
		Get
			Return _BtgDir
		End Get
		Set(ByVal Value As String)
			_BtgDir = Value
		End Set
	End Property

#End Region

#Region "メソッド"

	Public Sub Clear()
		_DS = Nothing
		_IC = Nothing
		_UI = Nothing
		_DBGLOG = "NRM"
		_LTimeOut = 15
		_RTimeOut = 60
		_STimeOut = 300

		_LogDir = Nothing
		_LogDate = 3
		_TemplateDir = Nothing
		_TempDir = Nothing
		_SvDir = Nothing
		_BtgDir = Nothing
	End Sub

#End Region

End Class

Public Class clsTCVConfig

#Region "コンスタント"

	Public Const CST_CONF_NM As String = "BT4.config"	'configファイル名

#End Region

#Region "メソッド"

	''' ----------------------------------------------
	''' <summary>
	''' configファイル書き込み
	''' </summary>
	''' <remarks>
	''' 2009/04/06 新規作成　FJSK)柳原<BR/>
	''' </remarks>
	''' ----------------------------------------------
	Public Sub putConfig(ByVal cliConfig As datConfig)
		Try
			'XmlSerializerオブジェクトを作成
			'書き込むオブジェクトの型を指定する
			Dim serializer As New System.Xml.Serialization.XmlSerializer(GetType(datConfig))
			'ファイルを開く
			Dim strConfigFile As String = My.Computer.FileSystem.CombinePath(Application.StartupPath, CST_CONF_NM)
			Dim fs As New System.IO.FileStream(strConfigFile, System.IO.FileMode.Create)
			Try
				'シリアル化し、XMLファイルに保存する
				serializer.Serialize(fs, cliConfig)
			Catch ex As Exception
				Throw
			Finally
				'閉じる
				fs.Close()
				fs = Nothing
				serializer = Nothing
			End Try
		Catch ex As Exception
			Throw
		End Try
	End Sub

	''' ----------------------------------------------
	''' <summary>
	''' BT4Configのパスを取得する
	''' </summary>
	''' <returns></returns>
	''' <remarks>
	''' 2010/11/26 新規作成 FJSK)荒川<BR/>
	''' </remarks>
	''' ----------------------------------------------
	Public Shared Function getConfigPath() As String
		Try
			Return My.Computer.FileSystem.CombinePath(Application.StartupPath, CST_CONF_NM)
		Catch ex As Exception
			Throw
		End Try
	End Function

	''' ----------------------------------------------
	''' <summary>
	''' BT4Configのパスを有無を確認する
	''' </summary>
	''' <returns></returns>
	''' <remarks>
	''' 2010/11/26 新規作成 FJSK)荒川<BR/>
	''' </remarks>
	''' ----------------------------------------------
	Public Function chkConfigPath() As Boolean
		Try
			Return System.IO.File.Exists(getConfigPath)
		Catch ex As Exception
			Throw
		End Try
	End Function

	''' ----------------------------------------------
	''' <summary>
	''' configファイル読み込み
	''' </summary>
	''' <remarks>
	''' 2009/04/06 新規作成　FJSK)柳原<BR/>
	''' </remarks>
	''' ----------------------------------------------
	Public Function getConfig() As datConfig
		Dim cliConfig As datConfig = Nothing
		Try
			'configファイル存在チェック
			If chkConfigPath() Then
				'＜XMLファイルから読み込む＞
				'XmlSerializerオブジェクトの作成
				Dim serializer As New System.Xml.Serialization.XmlSerializer(GetType(datConfig))
				'ファイルを開く
				Dim fs As New System.IO.FileStream(getConfigPath, System.IO.FileMode.Open)
				Try
					'XMLファイルから読み込み、逆シリアル化する
					cliConfig = CType(serializer.Deserialize(fs), datConfig)
				Catch ex As Exception
					Throw
				Finally
					'閉じる
					fs.Close()
					fs = Nothing
					serializer = Nothing
				End Try
			Else
				cliConfig = Nothing
			End If
		Catch ex As Exception
			Throw
		End Try
		Return cliConfig
	End Function

#End Region

End Class
