Imports System.Reflection
Imports XCM

''' ---------------------------------------------
''' <summary>
''' GXシステム連携　患者基本情報取得メソッド
''' </summary>
''' <remarks>
''' Copyright 2013 FUJITSU SYSTEMS WEST LIMITED All rights reserved.<BR/>
''' FUJITSU SYSTEMS WEST LIMITED CONFIDENTIAL<BR/>
''' </remarks>
''' ---------------------------------------------
Public Class XIG010C010
	Inherits XIG000C010

#Region "コンスタント"

#End Region

#Region "変数"

#End Region

#Region "解放処理"

	''' ---------------------------------------------
	''' <summary>
	''' 開放処理（実処理）
	''' </summary>
	''' <remarks>
	''' 2013/9/26 新規作成　FWEST)光森<BR/>
	''' </remarks>
	''' ---------------------------------------------
	Protected Overrides Sub Dispose(ByVal disposing As Boolean)
		If Not Me.disposed Then
			Try
				If disposing Then
					' マネージリソースの解放
				End If
			Finally
				' アンマネージリソースの解放、終了時に必ず行う処理
			End Try
		End If
		MyBase.Dispose(disposing)	'継承元の開放処理へ
	End Sub

#End Region

#Region "コンストラクタ"

	''' ---------------------------------------------
	''' <summary>
	''' コンストラクタ
	''' </summary>
	''' <remarks>
	''' 2013/9/26 新規作成　FWEST)光森<BR/>
	''' </remarks>
	''' ---------------------------------------------
	Public Sub New()
		MyBase.New()
	End Sub

#End Region

#Region "メソッド"

	''' ---------------------------------------------
	''' <summary>
	''' 患者基本情報取得
	''' </summary>
	''' <param name="strPATIENT_NO">患者番号</param>
	''' <param name="datBasicInfo">基本情報１レコード</param>
	''' <returns>True:存在する
	'''          False：存在しない（datBasicInfo Is Nothing: Error ,datBasicInfo.PATIENT_NO = "": 該当患者なし）
	''' </returns>
	''' <remarks>
    ''' 2013/9/26 新規作成　FWEST)光森<BR/>
	''' </remarks>
	''' ---------------------------------------------
	Public Function getPatientInfo(ByVal strPATIENT_NO As String, ByRef datBasicInfo As datXTI_BASICINFO_InsRec) As Boolean
        clsSysMst.logEx(clsSysMst.logLevel.DBG, Me.GetType.Assembly.GetName.Name, Me.GetType.Name, MethodBase.GetCurrentMethod.Name, "DWH-GX連携", "患者基本情報取得メソッド", "患者基本情報取得 Start")
		Dim dtBIRTH_DT As Date = Nothing
        Try
            ' 患者番号が未設定は処理しない
            If String.IsNullOrWhiteSpace(strPATIENT_NO) Then
                Return False
            End If
            Using db As clsODBC = New clsODBC(ODBCConfig), tbl As DataTable = New DataTable
                ' 患者基本情報の取得
				db.setSQLDa(sqlXIG010C010.sqlSelKanjya.Replace(sqlXIG010C010.repTable, ODBCConfig.PATIENT_TABLE))								  'SELECT文設定
                db.setParamDa(sqlXIG010C010.prmGX_PID_CHAR, Odbc.OdbcType.VarChar)
                db.setValDa(sqlXIG010C010.prmGX_PID_CHAR, strPATIENT_NO)
				db.execQueryDa(tbl)														'値取得

				' 患者基本情報をTI_基本情報に展開
				datBasicInfo = New datXTI_BASICINFO_InsRec

				' データの存在チェック
                If tbl.Rows.Count = 0 Then
                    Return False
				End If

                With datBasicInfo
                    '患者番号
                    .PATIENT_NO = strPATIENT_NO
                    '氏名
                    .PATIENT_NM = Me.getSubstringEx(tbl.Rows(0).Item(sqlXIG010C010.itmGX_PNAME).ToString, 0, 20)
                    '氏名カナ
                    .PATIENT_KNM = Me.getSubstringEx(tbl.Rows(0).Item(sqlXIG010C010.itmGX_PKNAME).ToString, 0, 30)
                    '性別コード
                    .GENDER_CD = tbl.Rows(0).Item(sqlXIG010C010.itmGX_SEX).ToString
                    '生年月日
					If DateTime.TryParseExact(tbl.Rows(0).Item(sqlXIG010C010.itmGX_P_BIRTH).ToString, _
						 "yyyyMMdd", _
						 System.Globalization.DateTimeFormatInfo.InvariantInfo, _
						 System.Globalization.DateTimeStyles.None, _
						 dtBIRTH_DT) Then
						.BIRTH_DT = dtBIRTH_DT
					End If
                End With
                Return True
            End Using
		Catch ex As Exception
			' 処理は続行する
			clsSysMst.showMsgEx("E0013", "(DWH-GX連携)基本情報取得", ex.ToString)
			clsSysMst.logEx(clsSysMst.logLevel.ERR, _
							Me.GetType.Assembly.GetName.Name, _
							Me.GetType.Name, _
							MethodBase.GetCurrentMethod.Name, _
							"DWH-GX連携", _
							"患者基本情報取得メソッド", ex.ToString)
			Return False
        End Try
	End Function

#End Region

End Class
