﻿Imports XCM
Imports System.Windows.Forms
Imports System.ComponentModel
Imports System.Drawing

''' ---------------------------------------------
''' <summary>
''' マスタメンテRowControlクラス（新規作成：V4-14028）
''' </summary>
''' <remarks>
''' Copyright 2013 FUJITSU SYSTEMS WEST LIMITED All rights reserved.<BR/>
''' FUJITSU SYSTEMS WEST LIMITED CONFIDENTIAL<BR/>
''' </remarks>
''' ---------------------------------------------
Public Class clsRowControl
	Implements IDisposable

#Region "解放処理"

	'解放処理時使用＊＊
	Protected disposed As Boolean = False

	''' ---------------------------------------------	
	''' <summary>
	''' Dispose（解放処理）※外からはよばない
	''' </summary>
	''' <param name="disposing"></param>
	''' <remarks>
	''' 2013/05/20 新規作成　ID)平井<BR/>
	''' </remarks>
	''' ---------------------------------------------
	Protected Overloads Sub Dispose(ByVal disposing As Boolean)
		If Not Me.disposed Then
		End If
		Me.disposed = True
	End Sub

	''' ---------------------------------------------	
	''' <summary>
	''' Finalize（解放処理）
	''' </summary>
	''' <remarks>
	''' 2013/05/20 新規作成　ID)平井<BR/>
	''' </remarks>
	''' ---------------------------------------------
	Public Overloads Sub Dispose() Implements IDisposable.Dispose
		Dispose(True)
		GC.SuppressFinalize(Me)
	End Sub

	''' ---------------------------------------------	
	''' <summary>
	''' Finalize（解放処理）※外からはよばない
	''' </summary>
	''' <remarks>
	''' 2013/05/20 新規作成　ID)平井<BR/>
	''' </remarks>
	''' ---------------------------------------------
	Protected Overrides Sub Finalize()
		Dispose(False)
		MyBase.Finalize()
	End Sub
#End Region

#Region "プロパティ"

	Private _ColumnName As String = String.Empty
	''' ---------------------------------------------
	''' <summary>
	''' テーブル列名
	''' </summary>
	''' <value></value>
	''' <returns></returns>
	''' <remarks>
	''' 2013/05/20 新規作成　ID)平井<BR/>
	''' </remarks>
	''' ---------------------------------------------
	<Browsable(True)> _
	<Category("データ")> _
	<Description("テーブルの列名を取得、設定します。")> _
	<DefaultValue(vbNullString)> _
	Public Property ColumnName As String
		Get
			Return _ColumnName
		End Get
		Set(value As String)
			_ColumnName = value
		End Set
	End Property

	Private _ToolTipText As String = String.Empty
	''' ---------------------------------------------
	''' <summary>
	''' ツールチップ文字列
	''' </summary>
	''' <value></value>
	''' <returns></returns>
	''' <remarks>
	''' 2013/05/20 新規作成　ID)平井<BR/>
	''' </remarks>
	''' ---------------------------------------------
	<Browsable(True)> _
	<Category("データ")> _
	<Description("ツールチップ文字列を取得、設定します。")> _
	<DefaultValue(vbNullString)> _
	Public Property ToolTipText As String
		Get
			Return _ToolTipText
		End Get
		Set(value As String)
			_ToolTipText = value
		End Set
	End Property

	Private _DbType As clsDB.Enum_dbType = clsDB.Enum_dbType.dbNVarChar
	''' ---------------------------------------------
	''' <summary>
	''' ＤＢタイプ
	''' </summary>
	''' <value></value>
	''' <returns></returns>
	''' <remarks>
	''' 2013/05/20 新規作成　ID)平井<BR/>
	''' </remarks>
	''' ---------------------------------------------
	<Browsable(True)> _
	<Category("データ")> _
	<Description("ＤＢタイプを取得、設定します。")> _
	<DefaultValue(XCM.clsDB.Enum_dbType.dbNVarChar)> _
	Public Property DbType As clsDB.Enum_dbType
		Get
			Return _DbType
		End Get
		Set(value As clsDB.Enum_dbType)
			_DbType = value
		End Set
	End Property

	Private _PrimaryKey As Boolean = False
	''' ---------------------------------------------
	''' <summary>
	''' プライマリキーフラグ
	''' </summary>
	''' <value></value>
	''' <returns></returns>
	''' <remarks>
	''' 2013/05/20 新規作成　ID)平井<BR/>
	''' </remarks>
	''' ---------------------------------------------
	<Browsable(True)> _
	<Category("データ")> _
	<Description("プライマリキーフラグを取得、設定します。")> _
	<DefaultValue(False)> _
	Public Property PrimaryKey As Boolean
		Get
			Return _PrimaryKey
		End Get
		Set(value As Boolean)
			_PrimaryKey = value
		End Set
	End Property

	Private _Required As Boolean
	''' ---------------------------------------------
	''' <summary>
	''' 必須項目フラグ
	''' </summary>
	''' <value></value>
	''' <returns></returns>
	''' <remarks>
	''' 2013/05/20 新規作成　ID)平井<BR/>
	''' </remarks>
	''' ---------------------------------------------
	<Browsable(True)> _
	<Category("データ")> _
	<Description("必須フラグを取得、設定します。")> _
	<DefaultValue(False)> _
	Public Property Required As Boolean
		Get
			Return _Required
		End Get
		Set(value As Boolean)
			_Required = value
		End Set
	End Property

	Private _UpdateItem As Boolean = True
	''' ---------------------------------------------
	''' <summary>
	''' 更新項目
	''' </summary>
	''' <value></value>
	''' <returns></returns>
	''' <remarks>
	''' 2013/05/20 新規作成　ID)平井<BR/>
	''' </remarks>
	''' ---------------------------------------------
	<Browsable(True)> _
	<Category("データ")> _
	<Description("更新項目かどうかを取得、設定します。")> _
	<DefaultValue(True)> _
	Public Property UpdateItem As Boolean
		Get
			Return _UpdateItem
		End Get
		Set(value As Boolean)
			_UpdateItem = value
		End Set
	End Property

	Private _Caption As String = String.Empty
	''' ---------------------------------------------
	''' <summary>
	''' タイトル
	''' </summary>
	''' <value></value>
	''' <returns></returns>
	''' <remarks>
	''' 2013/05/20 新規作成　ID)平井<BR/>
	''' </remarks>
	''' ---------------------------------------------
	<Browsable(True)> _
	<Category("表示")> _
	<Description("グリッドのタイトルを取得、設定します。")> _
	<DefaultValue(vbNullString)> _
	Public Property Caption As String
		Get
			Return _Caption
		End Get
		Set(value As String)
			_Caption = value
		End Set
	End Property

	Private _RowHeader As Boolean = False
	''' ---------------------------------------------
	''' <summary>
	''' コントロールタイトルフラグ
	''' </summary>
	''' <value></value>
	''' <returns></returns>
	''' <remarks>
	''' 2013/05/20 新規作成　ID)平井<BR/>
	''' </remarks>
	''' ---------------------------------------------
	<Browsable(True)> _
	<Category("表示")> _
	<Description("画面上のコントロールがヘッダタイトルフラグを取得、設定します。")> _
	<DefaultValue(False)> _
	Public Property RowHeader As Boolean
		Get
			Return _RowHeader
		End Get
		Set(value As Boolean)
			_RowHeader = value
		End Set
	End Property

	Private _ControlName As String = String.Empty
	''' ---------------------------------------------
	''' <summary>
	''' コントロール名
	''' </summary>
	''' <value></value>
	''' <returns></returns>
	''' <remarks>
	''' 2013/05/20 新規作成　ID)平井<BR/>
	''' </remarks>
	''' ---------------------------------------------
	<Browsable(True)> _
	<Category("リンク")> _
	<Description("画面上の関連付けられたコントロール名を取得、設定します。")> _
	<DefaultValue("")> _
	Public Property ControlName As String
		Get
			Return _ControlName
		End Get
		Set(value As String)
			_ControlName = value
		End Set
	End Property

#End Region

End Class