﻿Imports System.Runtime.ConstrainedExecution
Imports XCM
Imports XSP

''' ---------------------------------------------
''' <summary>
''' 診療情報管理 連携 レポート継承元（レポート）
''' </summary>
''' <remarks>
''' Copyright 2010 FUJITSU SHIKOKU SYSTEMS LIMITED All rights reserved.<BR/>
''' FUJITSU SHIKOKU SYSTEMS LIMITED CONFIDENTIAL<BR/>
''' </remarks>
''' ---------------------------------------------
Public MustInherit Class XSI010R000

#Region "解放処理"
    '確実な解放処理を実行するために指定
    Inherits CriticalFinalizerObject
    '解放処理を実装する為に指定
    Implements IDisposable

    ''' ---------------------------------------------
    ''' <summary>
    ''' Dispose（解放処理）※外からはよばない
    ''' </summary>
    ''' <param name="disposing"></param>
    ''' <remarks>
    ''' 2010/12/06 新規作成　ACS)牟禮<BR/>
    ''' </remarks>
    ''' ---------------------------------------------
    Protected Overridable Overloads Sub Dispose(ByVal disposing As Boolean)
        If disposing Then
            Me.pForm = Nothing
        End If
    End Sub

    ''' ---------------------------------------------
    ''' <summary>
    ''' Finalize（解放処理）
    ''' </summary>
    ''' <remarks>
    ''' 2010/12/06 新規作成　ACS)牟禮<BR/>
    ''' </remarks>
    ''' ---------------------------------------------
    Public Overloads Sub Dispose() Implements IDisposable.Dispose
        Dispose(True)
        MyBase.Finalize()
        GC.SuppressFinalize(Me)
    End Sub

    ''' ---------------------------------------------
    ''' <summary>
    ''' Finalize（解放処理）※外からはよばない
    ''' </summary>
    ''' <remarks>
    ''' 2010/12/06 新規作成　ACS)牟禮<BR/>
    ''' </remarks>
    ''' ---------------------------------------------
    Protected Overrides Sub Finalize()
        Dispose(False)
        MyBase.Finalize()
    End Sub
#End Region

#Region "コンスタント"

'(M) STR V4-14030-000 004 20130605 ID)平井(貸出管理レベルアップ１次開発（システム連携）)
'	Protected Const CST_LOG_PRODUCT As String = "診療情報管理"
	Protected Const CST_LOG_PRODUCT As String = "システム連携"
'(M) END V4-14030-000 004 20130605
	Private Const CST_LOG_CLASS As String = "レポート継承元"

#End Region

#Region "変数"

    'IN項目
    Protected pForm As frmBase = Nothing        '遷移元画面
    Public pPrint As Boolean = False            '印刷フラグ
    Public pOkPrint As Boolean = False          '正常
    Public pErrprint As Boolean = False         'エラー
    Public pSlightErrPrint As Boolean = False   '軽度
    Public pPrivacy As Boolean = False          '個人情報出力フラグ

#End Region

#Region "コンストラクタ"

    ''' ---------------------------------------------
    ''' <summary>
    ''' コンストラクタ
    ''' </summary>
    ''' <param name="pForm">呼出画面</param>
    ''' <remarks>
    ''' 2010/12/06 新規作成 ACS)牟禮<BR/>
    ''' </remarks>
    ''' ---------------------------------------------
    Public Sub New(ByVal pForm As frmBase)
        'IN項目引き継ぎ
        Me.pForm = pForm
    End Sub

#End Region

'(A) STR V4-14030-000 020 20130605 ID)平井(貸出管理レベルアップ１次開発（システム連携）)
#Region "プロパティ"

	''' ---------------------------------------------
	''' <summary>
	''' フォームプロパティ
	''' </summary>
	''' <value></value>
	''' <remarks>
	''' 2013/06/05 新規作成　ID)平井<BR/>
	''' </remarks>
	''' ---------------------------------------------
	Public WriteOnly Property Form As frmBase
		Set(value As frmBase)
			pForm = value
		End Set
	End Property

#End Region
'(A) END V4-14030-000 020 20130605

#Region "メソッド"

    ''' ---------------------------------------------
    ''' <summary>
    ''' 印刷・プレビュー処理
    ''' </summary>	
    ''' <remarks>
    ''' 2010/12/06 新規作成　ACS)牟禮<BR/>
    ''' </remarks>
    ''' ---------------------------------------------
    Public Function exeReport() As Boolean
        clsSysMst.logEx(clsSysMst.logLevel.DBG, Me.GetType.Assembly.GetName.Name, Me.GetType.Name, "exeReport", CST_LOG_PRODUCT, CST_LOG_CLASS, "印刷・プレビュー処理 START")
        Dim cliAccess As clsXTM_PRINTSETTING_ACCESS = Nothing
        Dim datAccess As datXTM_PRINTSETTING_ACCESS_OneRec = Nothing
        Dim cliCom As clsCom = Nothing
        Dim FilePath As String = Nothing
        Try
            cliAccess = New clsXTM_PRINTSETTING_ACCESS
            cliCom = New clsCom

            '印刷設定情報取得
            datAccess = cliAccess.getAccessSettingOneRec(Me.pForm.Name, Me.GetType.Name)
            If datAccess Is Nothing Then
                Return False
            End If

            'MDBのパスを取得
            FilePath = cliCom.setReportPath(datAccess.FILE_NM)
            Using cliReportFunc As New clsReportFunc(Me.pForm, FilePath, datAccess.REPORT_NM, Me.pPrint)
                'DB処理
                Using db As New clsDB(clsSysMst.ctlConfigData)
                    'ワークテーブルのクリア
                    cliReportFunc.exeHeaderDel(db, Me.GetType.Name, True)

                    'ヘッダの作成
                    cliReportFunc.exeHeaderIns(db, Me.getHeaderData(), True)

                    'ワークデータ確認
                    If Me.getWorkData(db) = False Then
                        Me.pForm.showMsg("E0003", "対象データがない", "出力", Nothing)
                        Return False
                    End If
                End Using

                '印刷/プレビュー
                If cliReportFunc.AcPrint(datAccess.NUMBERPRINTED) = False Then
                    Return False
                End If
            End Using
            Return True
        Catch ex As Exception
            Throw
        Finally
            cliAccess = Nothing
            datAccess = Nothing
            cliCom = Nothing
        End Try
    End Function

    ''' ---------------------------------------------
    ''' <summary>
    ''' ヘッダ情報編集
    ''' </summary>
    ''' <returns>ヘッダ情報</returns>
    ''' <remarks>
    ''' 2010/12/06 新規作成　ACS)牟禮<BR/>
    ''' </remarks>
    ''' ---------------------------------------------
    Protected Overridable Function getHeaderData() As datHeader
        clsSysMst.logEx(XCM.clsSysMst.logLevel.DBG, Me.GetType.Assembly.GetName.Name, Me.GetType.Name, "getHedderData", CST_LOG_PRODUCT, CST_LOG_CLASS, "ヘッダ情報編集 START")
        Dim retHeader As datHeader
        Try
            retHeader = New datHeader
            With retHeader
				.PRT_ID = Me.GetType.Name							'帳票ID	
				.STR1 = Me.pOkPrint.ToString()						'正常
                .STR2 = Me.pErrprint.ToString()                     'エラー
                .STR3 = Me.pSlightErrPrint.ToString()               '軽度
                .STR4 = Me.pPrivacy.ToString()                      '個人情報
            End With
            Return retHeader
        Catch ex As Exception
            Throw
        Finally
            retHeader = Nothing
        End Try
    End Function

    ''' ---------------------------------------------
    ''' <summary>
    ''' ワークデータ確認
    ''' </summary>
    ''' <param name="pDb">DBクラス</param>
    ''' <returns>True:データ有/False:データ無</returns>
    ''' <remarks>
    ''' 2010/12/10 新規作成 ACS)牟禮<BR/>
    ''' </remarks>
    ''' ---------------------------------------------
    Protected MustOverride Function getWorkData(ByVal pDb As clsDB) As Boolean

#End Region

End Class
