﻿Imports XCM
Imports System.Reflection

''' ---------------------------------------------
''' <summary>
''' 診療情報管理 システム連携 システム連携_分娩
''' </summary>
''' <remarks>
''' Copyright 2010 FUJITSU SHIKOKU SYSTEMS LIMITED All rights reserved.<BR/>
''' FUJITSU SHIKOKU SYSTEMS LIMITED CONFIDENTIAL<BR/>
''' </remarks>
''' ---------------------------------------------
Public Class clsXSI_BT4BB
	Inherits clsXSI_BT4

#Region "コンスタント"

	''' ---------------------------------------------
	''' <summary>
	''' 連携CSVレイアウト項目数
	''' </summary>
	''' ---------------------------------------------
	Private Enum ENUM_CSV_CNT As Integer
		V3 = 123
		V4 = 125
	End Enum
#End Region

#Region "コンストラクタ"

	''' ---------------------------------------------
	''' <summary>
	''' コンストラクタ
	''' </summary>
	''' <param name="cliXSI010F010">親フォーム</param>
	''' <param name="csvFileName">連携CSVファイル</param>
	''' <remarks>
	''' 2010/10/29 新規作成 ACS)牟禮<BR/>
	''' </remarks>
	''' ---------------------------------------------
	Public Sub New(ByVal cliXSI010F010 As XSI010F010, ByVal csvFileName As String)
		MyBase.New(cliXSI010F010, csvFileName)
	End Sub

#End Region

#Region "メソッド"

'(M) STR V4-14019-000 021 20130418 ID)平井(取込処理をサブスレッド化する。)
	' ''' ---------------------------------------------
	' ''' <summary>
	' ''' 【分娩】連携処理
	' ''' </summary>
	' ''' <remarks>
	' ''' 2010/10/28 新規作成 ACS)牟禮<BR/>
	' ''' </remarks>
	' ''' ---------------------------------------------
	'Public Sub runProc()
	''' ---------------------------------------------
	''' <summary>
	''' 【分娩】連携処理
	''' </summary>
	''' <returns></returns>
	''' <remarks>
	''' 2010/10/28 新規作成 ACS)牟禮<BR/>
	''' </remarks>
	''' ---------------------------------------------
	Public Function runProc() As clsThread
'(M) END V4-14019-000 021 20130418
		clsSysMst.logEx(clsSysMst.logLevel.DBG, "XSI", Me.GetType().Name, MethodBase.GetCurrentMethod().Name, "システム連携", "分娩連携", "【分娩】連携処理 Start")
		Dim allCnt As Long							'全件数
		Dim okCnt As Long							'正常件数
		Dim errCnt As Long							'エラー件数
		Dim arrChild As ArrayList = Nothing			'分娩子、分娩子流死産格納
		Dim row As Integer
		Dim rowData() As String
'(A) STR V4-14019-000 004 20130418 ID)平井(取込処理をサブスレッド化する。)
		Dim CntSet As XSI010F010.CntSet_Delegate
		Dim cliTh As clsThread
'(A) END V4-14019-000 004 20130418

		'件数初期化
		allCnt = 0
		okCnt = 0
		errCnt = 0
		row = 0

		Try
			arrChild = New ArrayList()	'分娩子、分娩子流死産格納

			allCnt = CInt(Me.cliXSI010F010.lbl079XSI010F010.Text)
'(A) STR V4-14019-000 005 20130418 ID)平井(取込処理をサブスレッド化する。)
			CST_MOD_CNT = getModCount(allCnt)
			CntSet = New XSI010F010.CntSet_Delegate(AddressOf Me.cliXSI010F010.CntSet)
			cliTh = New clsThread
'(A) END V4-14019-000 005 20130418

			Using db As New clsDB(clsSysMst.ctlConfigData)
				Using cliMTI_CB As New clsXSI_MTI_CB(), cliOneCsvData As New clsXSI_MTT_IMP_LOG_CB() '取込CSV内の１レコード(ログ登録),分娩データクラス
					Using cliCSV As New XSP.clsCSV(Me.csvFileName), tfpReader As FileIO.TextFieldParser = cliCSV.getCSV()
						'連携ファイル内を1件ずつ処理
						While Not (tfpReader.EndOfData)
							row += 1
							cliOneCsvData.clear()		'連携CSV１行データ格納クラスクリア
							cliMTI_CB.clear()			'分娩データクラス
							arrChild.Clear()			'分娩子、分娩子流死産格納

							Try
								rowData = tfpReader.ReadFields()
								'１行データを格納(V3,V4の違いを吸収)
								Select Case rowData.Length
									Case ENUM_CSV_CNT.V3
										Me.setV3Cls(rowData, cliOneCsvData)
									Case ENUM_CSV_CNT.V4
										Me.setV4Cls(rowData, cliOneCsvData)
									Case Else
										'エラー情報セット
										cliOneCsvData.ERR_FLG = "1"
										cliOneCsvData.ERR_CD = "E0026"
										'ＣＳＶの個数が違います。
										cliOneCsvData.MESSAGE = Me.cliClsMsg.getMessage(cliOneCsvData.ERR_CD)
								End Select
							Catch ex As FileIO.MalformedLineException
								'エラー情報セット
								cliOneCsvData.ERR_FLG = "1"
								cliOneCsvData.ERR_CD = "E0035"
								'データの形式が不正です。
								cliOneCsvData.MESSAGE = Me.cliClsMsg.getMessage(cliOneCsvData.ERR_CD, New String() {"データの形式"})
							End Try

							cliOneCsvData.SERIAL_NO = row.ToString() '連番設定

							If cliOneCsvData.ERR_FLG = "1" Then
								'連携ファイルエラー
							ElseIf Me.chkCSV(cliOneCsvData) = False Then
								'連携ファイル内チェックエラー
							ElseIf Me.setData(db, cliOneCsvData, cliMTI_CB, arrChild) = False Then
								'整合性チェック+更新用領域に格納エラー
							ElseIf Me.exeSQL(db, cliOneCsvData, cliMTI_CB, arrChild) <> Enum_ExeReturnFlg.eExecute Then
								'登録/更新エラー
								cliOneCsvData.ERR_FLG = "1"
							End If

							'件数カウント
							If cliOneCsvData.ERR_FLG = "0" Then
								okCnt += 1
							Else
								errCnt += 1
								cliOneCsvData.MODULE_CD = GetType(XSI010F010).Name
							End If

							'ログ出力
							Me.setSqlParam_MTT_IMP_LOG(db, cliOneCsvData)

							'件数更新
							'CST_MOD_CNT毎または最終データの場合更新
							If row Mod CST_MOD_CNT = 0 OrElse row = allCnt Then
'(M) STR V4-13008-000 004 2013/02/08 ID)荒川 病歴大将V4PKG 管理No.204 正常に処理されているのに件数のカウンターが途中でとまる
								'Me.cliXSI010F010.CntSet(XSI010F010.Enum_RENKEI_SYORI.eCB, True, allCnt, okCnt, errCnt)
'(M) STR V4-14019-000 004 20130418 ID)平井(取込処理をサブスレッド化する。)
'								Me.cliXSI010F010.CntSet(XSI010F010.Enum_RENKEI_SYORI.eCB, True, allCnt, okCnt, errCnt, 0)
								Me.cliXSI010F010.BeginInvoke(CntSet, New Object() {XSI010F010.Enum_RENKEI_SYORI.eCB, False, allCnt, okCnt, errCnt, row})
'(M) END V4-14019-000 004 20130418
'(M) END V4-13008-000 004 2013/02/08
							End If
						End While
'(A) STR V4-14005-000 003 20130410 ID)平井(システムログに件数出力)
						clsSysMst.logEx(clsSysMst.logLevel.NRM, "XSI", Me.GetType().Name, MethodBase.GetCurrentMethod().Name, "ｼｽﾃﾑ管理", "ｼｽﾃﾑ連携", String.Format("分娩，読込件数({0}) 正常件数({1}) ｴﾗｰ件数({2})", allCnt, okCnt, errCnt))
'(A) END V4-14005-000 003 20130410
'(A) STR V4-14019-000 006 20130418 ID)平井(取込処理をサブスレッド化する。)
							' 処理件数設定
							cliTh.NormalCount = okCnt
							cliTh.ErrorCount = errCnt
							cliTh.ProcessCount = row
'(A) END V4-14019-000 006 20130418
					End Using
				End Using
			End Using
'(A) STR V4-14019-000 003 20130418 ID)平井(取込処理をサブスレッド化する。)
			Return cliTh
'(A) END V4-14019-000 003 20130418
		Catch ex As Exception
			Throw
		Finally
			'解放
			If arrChild IsNot Nothing Then arrChild.Clear()
			arrChild = Nothing
			rowData = Nothing
'(A) STR V4-14019-000 003 20130418 ID)平井(取込処理をサブスレッド化する。)
			CntSet = Nothing
'(A) END V4-14019-000 003 20130418
		End Try
	End Function

	''' ---------------------------------------------
	''' <summary>
	''' 【分娩】DB内データと整合性チェック + 更新用領域にセット
	''' </summary>
	''' <param name="pDb">DBクラス</param>
	''' <param name="cliOneCsvData">連携ファイル1行データ</param>
	''' <param name="cliMTI_CB">分娩データクラス</param>
	''' <param name="arrChild">分娩子、分娩子流死産格納ArrayList</param>
	''' <returns>True:正常/False:エラー</returns>
	''' <remarks>
	''' 2010/10/29 新規作成 ACS)牟禮<BR/>
	''' </remarks>
	''' ---------------------------------------------
	Private Function setData(ByVal pDb As clsDB, ByVal cliOneCsvData As clsXSI_MTT_IMP_LOG_CB, _
							 ByVal cliMTI_CB As clsXSI_MTI_CB, ByVal arrChild As ArrayList) As Boolean
		clsSysMst.logEx(clsSysMst.logLevel.DBG, "XSI", Me.GetType().Name, MethodBase.GetCurrentMethod().Name, "システム連携", "分娩連携", "【分娩】DB内データと整合性チェック + 更新用領域にセット Start")
		Dim patientBirthday As String = String.Empty '基本情報誕生日
		Try
			'基本情報チェック
			pDb.setSQLDa(sqlXSI010F010.sqlSel_XTI_BASICINFO)
			pDb.setParamDa(sqlXSI010F010.prmPATIENT_NO, clsDB.Enum_dbType.dbNVarChar)
			pDb.setValDa(sqlXSI010F010.prmPATIENT_NO, cliOneCsvData.PATIENT_NO)
			Using dt As New DataTable()
				pDb.execQueryDa(dt)
				If dt.Rows.Count > 0 Then
					'性別チェック
					If dt.Rows(0).Item(sqlXSI010F010.itmGENDER_CD).ToString() <> CStr(clsConst.Enum_Gender.Woman) Then
						cliOneCsvData.ERR_FLG = "1"
						cliOneCsvData.ERR_CD = "E0003"
						'「男性」のため、分娩情報が追加できません。
						cliOneCsvData.MESSAGE = Me.cliClsMsg.getMessage(cliOneCsvData.ERR_CD, New String() {"「男性」の", "分娩情報が追加", Nothing})
						Return False
					End If
					'生年月日退避
					patientBirthday = dt.Rows(0).Item(sqlXSI010F010.itmBIRTH_DT).ToString()
				End If
			End Using

			'生年月日と分娩日チェック
			If String.IsNullOrEmpty(patientBirthday) = True OrElse IsDate(patientBirthday) = False Then
			ElseIf String.IsNullOrEmpty(cliOneCsvData.CB_DT) = False AndAlso DateTime.Parse(patientBirthday) > DateTime.Parse(cliOneCsvData.CB_DT) Then
				cliOneCsvData.ERR_FLG = "1"
				cliOneCsvData.ERR_CD = "E0031"
				'分娩日が生年月日より過去の日付になっています。
				cliOneCsvData.MESSAGE = Me.cliClsMsg.getMessage(cliOneCsvData.ERR_CD, New String() {"分娩日", "生年月日より過去の日付", Nothing})
				Return False
			End If

			'連携１行データの情報から科歴情報を取得する
			Using dtNew As DataTable = Me.getSqlParam_MTI_CH(pDb, cliOneCsvData.PATIENT_NO, cliOneCsvData.DEPT_CD, cliOneCsvData.HSP_DT, )
				If dtNew.Rows.Count = 0 Then
					'該当データが存在しない
					cliOneCsvData.ERR_FLG = "1"
					cliOneCsvData.ERR_CD = "E0015"
					'対象の科歴情報が存在しません。
					cliOneCsvData.MESSAGE = Me.cliClsMsg.getMessage(cliOneCsvData.ERR_CD, New String() {"対象の科歴情報", Nothing})
					Return False
				End If

				'登録状況チェック
				If Me.cliXSI010F010.fixCodeContainsCode(XSI010F010.Enum_CODE.regStatusImpNonUpd_ALL, dtNew.Rows(0).Item(sqlXSI010F010.itmREG_STATUS_CD).ToString()) = True Then
					cliOneCsvData.ERR_FLG = "1"
					cliOneCsvData.ERR_CD = "E0003"
					'登録状況が「完成」のため、更新できません。
					cliOneCsvData.MESSAGE = Me.cliClsMsg.getMessage(cliOneCsvData.ERR_CD, New String() {"登録状況が「完成」の", "更新", Nothing})
					Return False
				End If

				cliMTI_CB.HSP_HISTORY_NO = dtNew.Rows(0).Item(sqlXSI010F010.itmHSP_HISTORY_NO).ToString() '入退院歴番号
				cliMTI_CB.CH_NO = dtNew.Rows(0).Item(sqlXSI010F010.itmCH_NO).ToString()					  '科歴番号
			End Using

			'分娩日が登録可能な範囲の日付かチェック
			If Me.chkStartDate(pDb, cliOneCsvData.PATIENT_NO, cliMTI_CB.HSP_HISTORY_NO, cliMTI_CB.CH_NO, cliOneCsvData.CB_DT) = False Then
				cliOneCsvData.ERR_FLG = "1"
				cliOneCsvData.ERR_CD = "E0022"
				'分娩日が登録可能範囲外です。
				cliOneCsvData.MESSAGE = Me.cliClsMsg.getMessage(cliOneCsvData.ERR_CD, New String() {"分娩日が登録可能", Nothing})
				Return False
			End If

			'分娩情報セット
			cliMTI_CB.PATIENT_NO = cliOneCsvData.PATIENT_NO								'患者番号
			cliMTI_CB.CB_DT = cliOneCsvData.CB_DT										'分娩日
			cliMTI_CB.GESTATIONAL_WEEK_COUNT = cliOneCsvData.GESTATIONAL_WEEK_COUNT		'在胎週数
			cliMTI_CB.GESTATIONAL_DAY_COUNT = cliOneCsvData.GESTATIONAL_DAY_COUNT		'在胎日数
			cliMTI_CB.CB_DIV1 = cliOneCsvData.CB_DIV1									'分娩区分コード１
			cliMTI_CB.CB_DIV2 = cliOneCsvData.CB_DIV2									'分娩区分コード２
			cliMTI_CB.CB_DIV3 = cliOneCsvData.CB_DIV3									'分娩区分コード３
			cliMTI_CB.CB_DIV4 = cliOneCsvData.CB_DIV4									'分娩区分コード４
			cliMTI_CB.PREMATURE_BIRTH = Me.changeFlg(cliOneCsvData.PREMATURE_BIRTH)		'早産
			cliMTI_CB.MISCARRIAGE = Me.changeFlg(cliOneCsvData.MISCARRIAGE)				'流産
			cliMTI_CB.BLEEDING_VOLUME = cliOneCsvData.BLEEDING_VOLUME					'出血量
			cliMTI_CB.CAESAREAN_OPE_CD = Me.changeOnOff(cliOneCsvData.CAESAREAN_OPE_CD)	'帝王切開有無コード
			cliMTI_CB.CB_CHK1 = Me.changeFlg(cliOneCsvData.CB_CHK1)						'分娩チェック項目１
			cliMTI_CB.CB_CHK2 = Me.changeFlg(cliOneCsvData.CB_CHK2)						'分娩チェック項目２
			cliMTI_CB.CB_CHK3 = Me.changeFlg(cliOneCsvData.CB_CHK3)						'分娩チェック項目３
			cliMTI_CB.REMARKS = cliOneCsvData.REMARKS									'備考

			'分娩時年月齢計算
			With Nothing
				Dim age As Integer = 0
				Dim monthAge As Integer = 0
				Dim dayAge As Integer = 0
				'年齢、月齢、日齢取得
				Me.getDiffYearMonth(patientBirthday, cliOneCsvData.CB_DT, age, monthAge, dayAge)

				cliMTI_CB.CB_AGE = age.ToString()			 '分娩時年齢
				cliMTI_CB.CB_MONTH_AGE = monthAge.ToString() '分娩時月齢
			End With

			'児数取得
			'性別コードが入力されていれば有と判断
			Dim chdCnt As Integer = 0
			If String.IsNullOrEmpty(cliOneCsvData.CHD1_GENDER_CD) = False Then chdCnt += 1
			If String.IsNullOrEmpty(cliOneCsvData.CHD2_GENDER_CD) = False Then chdCnt += 1
			If String.IsNullOrEmpty(cliOneCsvData.CHD3_GENDER_CD) = False Then chdCnt += 1
			'児数
			If chdCnt = 0 Then
				cliMTI_CB.CHD_COUNT = cliOneCsvData.CHD_COUNT
			Else
				cliMTI_CB.CHD_COUNT = chdCnt.ToString()
			End If

			'分娩子情報、分娩子流死産情報セット
			Dim cliMTI_CB_CHILD As clsXSI_MTI_CB_CHILD = Nothing
			Dim cliMTI_CB_SB As clsXSI_MTI_CB_SB = Nothing
			'子１
			If String.IsNullOrEmpty(cliOneCsvData.CHD1_GENDER_CD) = False Then
				'分娩子情報
				cliMTI_CB_CHILD = Nothing
				cliMTI_CB_SB = Nothing
				cliMTI_CB_CHILD = New clsXSI_MTI_CB_CHILD()
				cliMTI_CB_CHILD.PATIENT_NO = cliOneCsvData.PATIENT_NO				'患者番号
				cliMTI_CB_CHILD.HSP_HISTORY_NO = cliMTI_CB.HSP_HISTORY_NO			'入退院歴番号
				cliMTI_CB_CHILD.CH_NO = cliMTI_CB.CH_NO								'科歴番号
				cliMTI_CB_CHILD.CB_SERIAL_NO = "1"									'分娩子連番

				If cliOneCsvData.CHD1_GENDER_CD = "1" Then
					cliMTI_CB_CHILD.GENDER_CD = CStr(clsConst.Enum_Gender.Man)		'性別コード
				Else
					cliMTI_CB_CHILD.GENDER_CD = CStr(clsConst.Enum_Gender.Woman)	'性別コード
				End If

'(M) STR V4-12011-000 014 2012/03/16 FJSK)H.Y 連携時の分娩の身長・体重NULL対応
'				cliMTI_CB_CHILD.NEWBORN_STATURE = cliOneCsvData.CHD1_NEWBORN_STATURE	'新生児身長
'				cliMTI_CB_CHILD.NEWBORN_WEIGHT = cliOneCsvData.CHD1_NEWBORN_WEIGHT		'新生児体重
				If String.IsNullOrEmpty(cliOneCsvData.CHD1_NEWBORN_STATURE) Then		'新生児身長
					cliMTI_CB_CHILD.NEWBORN_STATURE = "0"
				Else
					cliMTI_CB_CHILD.NEWBORN_STATURE = cliOneCsvData.CHD1_NEWBORN_STATURE
				End If
				If String.IsNullOrEmpty(cliOneCsvData.CHD1_NEWBORN_WEIGHT) Then			'新生児体重
					cliMTI_CB_CHILD.NEWBORN_WEIGHT = "0"
				Else
					cliMTI_CB_CHILD.NEWBORN_WEIGHT = cliOneCsvData.CHD1_NEWBORN_WEIGHT
				End If
'(M) END V4-12011-000 014 2012/03/16 FJSK)H.Y 連携時の分娩の身長・体重NULL対応
				cliMTI_CB_CHILD.APGARSCORE_1MIN = cliOneCsvData.CHD1_APGARSCORE_1MIN	'アプガー指数１分
				cliMTI_CB_CHILD.APGARSCORE_5MIN = cliOneCsvData.CHD1_APGARSCORE_5MIN	'アプガー指数５分
				cliMTI_CB_CHILD.IMMATURE = Me.changeFlg(cliOneCsvData.CHD1_IMMATURE)	'未熟
				cliMTI_CB_CHILD.DEFORMITY = Me.changeFlg(cliOneCsvData.CHD1_DEFORMITY)	'奇形
				cliMTI_CB_CHILD.STILLBIRTH = Me.changeFlg(cliOneCsvData.CHD1_SB)		'流死産
				cliMTI_CB_CHILD.CB_PTN1 = cliOneCsvData.CHD1_CB_DIV3					'分娩様式コード１
				cliMTI_CB_CHILD.CB_PTN2 = cliOneCsvData.CHD1_CB_DIV4					'分娩様式コード２
				cliMTI_CB_CHILD.CB_PTN3 = cliOneCsvData.CHD1_CB_DIV5					'分娩様式コード３
				cliMTI_CB_CHILD.CB_PTN4 = cliOneCsvData.CHD1_CB_DIV6					'分娩様式コード４
				cliMTI_CB_CHILD.NEWBORN_NO = cliOneCsvData.CHD1_NEWBORN_NO				'新生児番号
				cliMTI_CB_CHILD.CHD_CB_DT = cliOneCsvData.CHD1_CB_DT					'子分娩日
				cliMTI_CB_CHILD.CHD_CB_TIME = cliOneCsvData.CHD1_CB_TIME				'子分娩時刻
				cliMTI_CB_CHILD.CHD_BLOODTYPE_CD = cliOneCsvData.CHD1_BLOODTYPE_CD		'子血液型コード
				cliMTI_CB_CHILD.CHD_RH_CD = cliOneCsvData.CHD1_RH_CD					'子Ｒｈコード
				cliMTI_CB_CHILD.CHD_PATIENT_NO = cliOneCsvData.CHD1_PATIENT_NO			'子患者番号
				cliMTI_CB_CHILD.CHD_REMARKS = cliOneCsvData.CHD1_REMARKS				'子備考
				cliMTI_CB_CHILD.CHD_CB_CHK1 = Me.changeFlg(cliOneCsvData.CHD1_CHK1)		'子分娩チェック項目１
				cliMTI_CB_CHILD.CHD_CB_CHK2 = Me.changeFlg(cliOneCsvData.CHD1_CHK2)		'子分娩チェック項目２
				cliMTI_CB_CHILD.CHD_CB_CHK3 = Me.changeFlg(cliOneCsvData.CHD1_CHK3)		'子分娩チェック項目３
				cliMTI_CB_CHILD.CHD_CB_CHK4 = Me.changeFlg(cliOneCsvData.CHD1_CHK4)		'子分娩チェック項目４
				cliMTI_CB_CHILD.CHD_CB_CHK5 = Me.changeFlg(cliOneCsvData.CHD1_CHK5)		'子分娩チェック項目５

				If cliMTI_CB_CHILD.STILLBIRTH = CStr(clsConst.Enum_CheckBox_Flg.CheckOn) AndAlso _
												String.IsNullOrEmpty(cliOneCsvData.CHD1_SB_DT) = False Then
					'分娩子流死産情報
					cliMTI_CB_SB = New clsXSI_MTI_CB_SB()
					cliMTI_CB_SB.PATIENT_NO = cliOneCsvData.PATIENT_NO							'患者番号
					cliMTI_CB_SB.HSP_HISTORY_NO = cliMTI_CB.HSP_HISTORY_NO						'入退院歴番号
					cliMTI_CB_SB.CH_NO = cliMTI_CB.CH_NO										'科歴番号
					cliMTI_CB_SB.CB_SERIAL_NO = "1"												'分娩子連番
					cliMTI_CB_SB.SB_NO = cliOneCsvData.CHD1_SB_NO								'流死産番号
					cliMTI_CB_SB.SB_DT = cliOneCsvData.CHD1_SB_DT								'流死産日
					cliMTI_CB_SB.SB_TIME = cliOneCsvData.CHD1_SB_TIME							'流死産時刻
					cliMTI_CB_SB.WEEK_COUNT = cliOneCsvData.CHD1_SB_WEEK_COUNT					'週数
					cliMTI_CB_SB.SB_LCT = cliOneCsvData.CHD1_SB_LCT_CD							'流死産場所コード
					cliMTI_CB_SB.AUTOPSY_CHK = Me.changeOnOff(cliOneCsvData.CHD1_AUTOPSY_CHK)	'剖検有無コード
					cliMTI_CB_SB.AUTOPSY_NO = cliOneCsvData.CHD1_AUTOPSY_NO						'剖検番号
					cliMTI_CB_SB.INDUCED_ABORTION_CHK = Me.changeOnOff(cliOneCsvData.CHD1_INDUCED_ABORTION_CHK)	'人工中絶有無コード
					cliMTI_CB_SB.MOTHER_CMPC_CHK = Me.changeOnOff(cliOneCsvData.CHD1_MOTHER_CMPC_CHK)			'母体合併症有無コード
					cliMTI_CB_SB.REMARKS = cliOneCsvData.CHD1_COMMENT							'コメント
				End If
				arrChild.Add(New Object() {cliMTI_CB_CHILD, cliMTI_CB_SB})
			End If

			'子２
			If String.IsNullOrEmpty(cliOneCsvData.CHD2_GENDER_CD) = False Then
				'分娩子情報
				cliMTI_CB_CHILD = Nothing
				cliMTI_CB_SB = Nothing
				cliMTI_CB_CHILD = New clsXSI_MTI_CB_CHILD()
				cliMTI_CB_CHILD.PATIENT_NO = cliOneCsvData.PATIENT_NO				'患者番号
				cliMTI_CB_CHILD.HSP_HISTORY_NO = cliMTI_CB.HSP_HISTORY_NO			'入退院歴番号
				cliMTI_CB_CHILD.CH_NO = cliMTI_CB.CH_NO								'科歴番号
				cliMTI_CB_CHILD.CB_SERIAL_NO = "2"									'分娩子連番

				If cliOneCsvData.CHD2_GENDER_CD = "1" Then
					cliMTI_CB_CHILD.GENDER_CD = CStr(clsConst.Enum_Gender.Man)		'性別コード
				Else
					cliMTI_CB_CHILD.GENDER_CD = CStr(clsConst.Enum_Gender.Woman)	'性別コード
				End If

'(M) STR V4-12011-000 014 2012/03/16 FJSK)H.Y 連携時の分娩の身長・体重NULL対応
'				cliMTI_CB_CHILD.NEWBORN_STATURE = cliOneCsvData.CHD2_NEWBORN_STATURE	'新生児身長
'				cliMTI_CB_CHILD.NEWBORN_WEIGHT = cliOneCsvData.CHD2_NEWBORN_WEIGHT		'新生児体重
				If String.IsNullOrEmpty(cliOneCsvData.CHD2_NEWBORN_STATURE) Then		'新生児身長
					cliMTI_CB_CHILD.NEWBORN_STATURE = "0"
				Else
					cliMTI_CB_CHILD.NEWBORN_STATURE = cliOneCsvData.CHD2_NEWBORN_STATURE
				End If
				If String.IsNullOrEmpty(cliOneCsvData.CHD2_NEWBORN_WEIGHT) Then			'新生児体重
					cliMTI_CB_CHILD.NEWBORN_WEIGHT = "0"
				Else
					cliMTI_CB_CHILD.NEWBORN_WEIGHT = cliOneCsvData.CHD2_NEWBORN_WEIGHT
				End If
'(M) END V4-12011-000 014 2012/03/16 FJSK)H.Y 連携時の分娩の身長・体重NULL対応
				cliMTI_CB_CHILD.APGARSCORE_1MIN = cliOneCsvData.CHD2_APGARSCORE_1MIN	'アプガー指数１分
				cliMTI_CB_CHILD.APGARSCORE_5MIN = cliOneCsvData.CHD2_APGARSCORE_5MIN	'アプガー指数５分
				cliMTI_CB_CHILD.IMMATURE = Me.changeFlg(cliOneCsvData.CHD2_IMMATURE)	'未熟
				cliMTI_CB_CHILD.DEFORMITY = Me.changeFlg(cliOneCsvData.CHD2_DEFORMITY)	'奇形
				cliMTI_CB_CHILD.STILLBIRTH = Me.changeFlg(cliOneCsvData.CHD2_SB)		'流死産
				cliMTI_CB_CHILD.CB_PTN1 = cliOneCsvData.CHD2_CB_DIV3					'分娩様式コード１
				cliMTI_CB_CHILD.CB_PTN2 = cliOneCsvData.CHD2_CB_DIV4					'分娩様式コード２
				cliMTI_CB_CHILD.CB_PTN3 = cliOneCsvData.CHD2_CB_DIV5					'分娩様式コード３
				cliMTI_CB_CHILD.CB_PTN4 = cliOneCsvData.CHD2_CB_DIV6					'分娩様式コード４
				cliMTI_CB_CHILD.NEWBORN_NO = cliOneCsvData.CHD2_NEWBORN_NO				'新生児番号
				cliMTI_CB_CHILD.CHD_CB_DT = cliOneCsvData.CHD2_CB_DT					'子分娩日
				cliMTI_CB_CHILD.CHD_CB_TIME = cliOneCsvData.CHD2_CB_TIME				'子分娩時刻
				cliMTI_CB_CHILD.CHD_BLOODTYPE_CD = cliOneCsvData.CHD2_BLOODTYPE_CD		'子血液型コード
				cliMTI_CB_CHILD.CHD_RH_CD = cliOneCsvData.CHD2_RH_CD					'子Ｒｈコード
				cliMTI_CB_CHILD.CHD_PATIENT_NO = cliOneCsvData.CHD2_PATIENT_NO			'子患者番号
				cliMTI_CB_CHILD.CHD_REMARKS = cliOneCsvData.CHD2_REMARKS				'子備考
				cliMTI_CB_CHILD.CHD_CB_CHK1 = Me.changeFlg(cliOneCsvData.CHD2_CHK1)		'子分娩チェック項目１
				cliMTI_CB_CHILD.CHD_CB_CHK2 = Me.changeFlg(cliOneCsvData.CHD2_CHK2)		'子分娩チェック項目２
				cliMTI_CB_CHILD.CHD_CB_CHK3 = Me.changeFlg(cliOneCsvData.CHD2_CHK3)		'子分娩チェック項目３
				cliMTI_CB_CHILD.CHD_CB_CHK4 = Me.changeFlg(cliOneCsvData.CHD2_CHK4)		'子分娩チェック項目４
				cliMTI_CB_CHILD.CHD_CB_CHK5 = Me.changeFlg(cliOneCsvData.CHD2_CHK5)		'子分娩チェック項目５

				If cliMTI_CB_CHILD.STILLBIRTH = CStr(clsConst.Enum_CheckBox_Flg.CheckOn) AndAlso _
												String.IsNullOrEmpty(cliOneCsvData.CHD2_SB_DT) = False Then
					'分娩子流死産情報
					cliMTI_CB_SB = New clsXSI_MTI_CB_SB()
					cliMTI_CB_SB.PATIENT_NO = cliOneCsvData.PATIENT_NO							'患者番号
					cliMTI_CB_SB.HSP_HISTORY_NO = cliMTI_CB.HSP_HISTORY_NO						'入退院歴番号
					cliMTI_CB_SB.CH_NO = cliMTI_CB.CH_NO										'科歴番号
					cliMTI_CB_SB.CB_SERIAL_NO = "2"												'分娩子連番
					cliMTI_CB_SB.SB_NO = cliOneCsvData.CHD2_SB_NO								'流死産番号
					cliMTI_CB_SB.SB_DT = cliOneCsvData.CHD2_SB_DT								'流死産日
					cliMTI_CB_SB.SB_TIME = cliOneCsvData.CHD2_SB_TIME							'流死産時刻
					cliMTI_CB_SB.WEEK_COUNT = cliOneCsvData.CHD2_SB_WEEK_COUNT					'週数
					cliMTI_CB_SB.SB_LCT = cliOneCsvData.CHD2_SB_LCT_CD							'流死産場所コード
					cliMTI_CB_SB.AUTOPSY_CHK = Me.changeOnOff(cliOneCsvData.CHD2_AUTOPSY_CHK)	'剖検有無コード
					cliMTI_CB_SB.AUTOPSY_NO = cliOneCsvData.CHD2_AUTOPSY_NO						'剖検番号
					cliMTI_CB_SB.INDUCED_ABORTION_CHK = Me.changeOnOff(cliOneCsvData.CHD2_INDUCED_ABORTION_CHK)	'人工中絶有無コード
					cliMTI_CB_SB.MOTHER_CMPC_CHK = Me.changeOnOff(cliOneCsvData.CHD2_MOTHER_CMPC_CHK)			'母体合併症有無コード
					cliMTI_CB_SB.REMARKS = cliOneCsvData.CHD2_COMMENT							'コメント
				End If
				arrChild.Add(New Object() {cliMTI_CB_CHILD, cliMTI_CB_SB})
			End If

			'子３
			If String.IsNullOrEmpty(cliOneCsvData.CHD3_GENDER_CD) = False Then
				'分娩子情報
				cliMTI_CB_CHILD = Nothing
				cliMTI_CB_SB = Nothing
				cliMTI_CB_CHILD = New clsXSI_MTI_CB_CHILD()
				cliMTI_CB_CHILD.PATIENT_NO = cliOneCsvData.PATIENT_NO				'患者番号
				cliMTI_CB_CHILD.HSP_HISTORY_NO = cliMTI_CB.HSP_HISTORY_NO			'入退院歴番号
				cliMTI_CB_CHILD.CH_NO = cliMTI_CB.CH_NO								'科歴番号
				cliMTI_CB_CHILD.CB_SERIAL_NO = "3"									'分娩子連番

				If cliOneCsvData.CHD3_GENDER_CD = "1" Then
					cliMTI_CB_CHILD.GENDER_CD = CStr(clsConst.Enum_Gender.Man)		'性別コード
				Else
					cliMTI_CB_CHILD.GENDER_CD = CStr(clsConst.Enum_Gender.Woman)	'性別コード
				End If

'(M) STR V4-12011-000 014 2012/03/16 FJSK)H.Y 連携時の分娩の身長・体重NULL対応
'				cliMTI_CB_CHILD.NEWBORN_STATURE = cliOneCsvData.CHD3_NEWBORN_STATURE	'新生児身長
'				cliMTI_CB_CHILD.NEWBORN_WEIGHT = cliOneCsvData.CHD3_NEWBORN_WEIGHT		'新生児体重
				If String.IsNullOrEmpty(cliOneCsvData.CHD3_NEWBORN_STATURE) Then		'新生児身長
					cliMTI_CB_CHILD.NEWBORN_STATURE = "0"
				Else
					cliMTI_CB_CHILD.NEWBORN_STATURE = cliOneCsvData.CHD3_NEWBORN_STATURE
				End If
				If String.IsNullOrEmpty(cliOneCsvData.CHD3_NEWBORN_WEIGHT) Then			'新生児体重
					cliMTI_CB_CHILD.NEWBORN_WEIGHT = "0"
				Else
					cliMTI_CB_CHILD.NEWBORN_WEIGHT = cliOneCsvData.CHD3_NEWBORN_WEIGHT
				End If
'(M) END V4-12011-000 014 2012/03/16 FJSK)H.Y 連携時の分娩の身長・体重NULL対応
				cliMTI_CB_CHILD.APGARSCORE_1MIN = cliOneCsvData.CHD3_APGARSCORE_1MIN	'アプガー指数１分
				cliMTI_CB_CHILD.APGARSCORE_5MIN = cliOneCsvData.CHD3_APGARSCORE_5MIN	'アプガー指数５分
				cliMTI_CB_CHILD.IMMATURE = Me.changeFlg(cliOneCsvData.CHD3_IMMATURE)	'未熟
				cliMTI_CB_CHILD.DEFORMITY = Me.changeFlg(cliOneCsvData.CHD3_DEFORMITY)	'奇形
				cliMTI_CB_CHILD.STILLBIRTH = Me.changeFlg(cliOneCsvData.CHD3_SB)		'流死産
				cliMTI_CB_CHILD.CB_PTN1 = cliOneCsvData.CHD3_CB_DIV3					'分娩様式コード１
				cliMTI_CB_CHILD.CB_PTN2 = cliOneCsvData.CHD3_CB_DIV4					'分娩様式コード２
				cliMTI_CB_CHILD.CB_PTN3 = cliOneCsvData.CHD3_CB_DIV5					'分娩様式コード３
				cliMTI_CB_CHILD.CB_PTN4 = cliOneCsvData.CHD3_CB_DIV6					'分娩様式コード４
				cliMTI_CB_CHILD.NEWBORN_NO = cliOneCsvData.CHD3_NEWBORN_NO				'新生児番号
				cliMTI_CB_CHILD.CHD_CB_DT = cliOneCsvData.CHD3_CB_DT					'子分娩日
				cliMTI_CB_CHILD.CHD_CB_TIME = cliOneCsvData.CHD3_CB_TIME				'子分娩時刻
				cliMTI_CB_CHILD.CHD_BLOODTYPE_CD = cliOneCsvData.CHD3_BLOODTYPE_CD		'子血液型コード
				cliMTI_CB_CHILD.CHD_RH_CD = cliOneCsvData.CHD3_RH_CD					'子Ｒｈコード
				cliMTI_CB_CHILD.CHD_PATIENT_NO = cliOneCsvData.CHD3_PATIENT_NO			'子患者番号
				cliMTI_CB_CHILD.CHD_REMARKS = cliOneCsvData.CHD3_REMARKS				'子備考
				cliMTI_CB_CHILD.CHD_CB_CHK1 = Me.changeFlg(cliOneCsvData.CHD3_CHK1)		'子分娩チェック項目１
				cliMTI_CB_CHILD.CHD_CB_CHK2 = Me.changeFlg(cliOneCsvData.CHD3_CHK2)		'子分娩チェック項目２
				cliMTI_CB_CHILD.CHD_CB_CHK3 = Me.changeFlg(cliOneCsvData.CHD3_CHK3)		'子分娩チェック項目３
				cliMTI_CB_CHILD.CHD_CB_CHK4 = Me.changeFlg(cliOneCsvData.CHD3_CHK4)		'子分娩チェック項目４
				cliMTI_CB_CHILD.CHD_CB_CHK5 = Me.changeFlg(cliOneCsvData.CHD3_CHK5)		'子分娩チェック項目５

				If cliMTI_CB_CHILD.STILLBIRTH = CStr(clsConst.Enum_CheckBox_Flg.CheckOn) AndAlso _
												String.IsNullOrEmpty(cliOneCsvData.CHD3_SB_DT) = False Then
					'分娩子流死産情報
					cliMTI_CB_SB = New clsXSI_MTI_CB_SB()
					cliMTI_CB_SB.PATIENT_NO = cliOneCsvData.PATIENT_NO							'患者番号
					cliMTI_CB_SB.HSP_HISTORY_NO = cliMTI_CB.HSP_HISTORY_NO						'入退院歴番号
					cliMTI_CB_SB.CH_NO = cliMTI_CB.CH_NO										'科歴番号
					cliMTI_CB_SB.CB_SERIAL_NO = "3"												'分娩子連番
					cliMTI_CB_SB.SB_NO = cliOneCsvData.CHD3_SB_NO								'流死産番号
					cliMTI_CB_SB.SB_DT = cliOneCsvData.CHD3_SB_DT								'流死産日
					cliMTI_CB_SB.SB_TIME = cliOneCsvData.CHD3_SB_TIME							'流死産時刻
					cliMTI_CB_SB.WEEK_COUNT = cliOneCsvData.CHD3_SB_WEEK_COUNT					'週数
					cliMTI_CB_SB.SB_LCT = cliOneCsvData.CHD3_SB_LCT_CD							'流死産場所コード
					cliMTI_CB_SB.AUTOPSY_CHK = Me.changeOnOff(cliOneCsvData.CHD3_AUTOPSY_CHK)	'剖検有無コード
					cliMTI_CB_SB.AUTOPSY_NO = cliOneCsvData.CHD3_AUTOPSY_NO						'剖検番号
					cliMTI_CB_SB.INDUCED_ABORTION_CHK = Me.changeOnOff(cliOneCsvData.CHD3_INDUCED_ABORTION_CHK)	'人工中絶有無コード
					cliMTI_CB_SB.MOTHER_CMPC_CHK = Me.changeOnOff(cliOneCsvData.CHD3_MOTHER_CMPC_CHK)			'母体合併症有無コード
					cliMTI_CB_SB.REMARKS = cliOneCsvData.CHD3_COMMENT							'コメント
				End If
				arrChild.Add(New Object() {cliMTI_CB_CHILD, cliMTI_CB_SB})
			End If

			Return True
		Catch ex As Exception
			Throw
		Finally
			'解放
			patientBirthday = Nothing
		End Try
	End Function

	''' ---------------------------------------------
	''' <summary>
	''' 【分娩】CSVチェック処理
	''' </summary>
	''' <param name="cliOneCsvData">連携ファイル1行データ</param>
	''' <returns>False:エラー</returns>
	''' <remarks>
	''' 2010/10/29 新規作成　ACS)牟禮<BR/>
	''' </remarks>
	''' ---------------------------------------------
	Private Function chkCSV(ByVal cliOneCsvData As clsXSI_MTT_IMP_LOG_CB) As Boolean
		clsSysMst.logEx(clsSysMst.logLevel.DBG, "XSI", Me.GetType().Name, MethodBase.GetCurrentMethod().Name, "システム連携", "分娩連携", "【分娩】CSVチェック処理 Start")
		Dim disit As List(Of Integer) = Nothing
		Dim oneCsv As List(Of String) = Nothing
		Dim dataTypePattern() As Char								'データ種別パターン
		Try
			oneCsv = New List(Of String)
			'データ種別パターン
			dataTypePattern = New Char() {"A"c}

			'取り込んだデータをワーカーに設定
			oneCsv.Add(cliOneCsvData.DATA_TYPE)					   'データ種別
			oneCsv.Add(cliOneCsvData.PATIENT_NO)				   '患者番号
			oneCsv.Add(cliOneCsvData.DEPT_CD)					   '診療科コード
			oneCsv.Add(cliOneCsvData.HSP_DT)					   '入院日（開始日）
			oneCsv.Add(cliOneCsvData.CB_DT)						   '分娩日
			oneCsv.Add(cliOneCsvData.GESTATIONAL_WEEK_COUNT)	   '在胎週数
			oneCsv.Add(cliOneCsvData.GESTATIONAL_DAY_COUNT)		   '在胎日数
			oneCsv.Add(cliOneCsvData.CHD_COUNT)					   '児数
			oneCsv.Add(cliOneCsvData.CB_DIV1)					   '分娩区分コード１
			oneCsv.Add(cliOneCsvData.CB_DIV2)					   '分娩区分コード２
			oneCsv.Add(cliOneCsvData.CB_DIV3)					   '分娩区分コード３
			oneCsv.Add(cliOneCsvData.CB_DIV4)					   '分娩区分コード４
			oneCsv.Add(cliOneCsvData.PREMATURE_BIRTH)			   '早産
			oneCsv.Add(cliOneCsvData.MISCARRIAGE)				   '流産
			oneCsv.Add(cliOneCsvData.CB_CHK1)					   'チェック項目１
			oneCsv.Add(cliOneCsvData.CB_CHK2)					   'チェック項目２
			oneCsv.Add(cliOneCsvData.CB_CHK3)					   'チェック項目３
			oneCsv.Add(cliOneCsvData.BLEEDING_VOLUME)			   '出血量
			oneCsv.Add(cliOneCsvData.CAESAREAN_OPE_CD)			   '帝王切開有無コード
			oneCsv.Add(cliOneCsvData.REMARKS)					   '備考
			oneCsv.Add(cliOneCsvData.CHD1_GENDER_CD)			   '子１／性別コード
			oneCsv.Add(cliOneCsvData.CHD1_CB_DT)				   '子１／分娩日
			oneCsv.Add(cliOneCsvData.CHD1_CB_TIME)				   '子１／分娩時刻
			oneCsv.Add(cliOneCsvData.CHD1_BLOODTYPE_CD)			   '子１／血液型
			oneCsv.Add(cliOneCsvData.CHD1_RH_CD)				   '子１／RH
			oneCsv.Add(cliOneCsvData.CHD1_NEWBORN_NO)			   '子１／新生児番号
			oneCsv.Add(cliOneCsvData.CHD1_PATIENT_NO)			   '子１／患者番号
			oneCsv.Add(cliOneCsvData.CHD1_NEWBORN_STATURE)		   '子１／新生児身長
			oneCsv.Add(cliOneCsvData.CHD1_NEWBORN_WEIGHT)		   '子１／新生児体重
			oneCsv.Add(cliOneCsvData.CHD1_APGARSCORE_1MIN)		   '子１／アプガー指数1分
			oneCsv.Add(cliOneCsvData.CHD1_APGARSCORE_5MIN)		   '子１／アプガー指数５分
			oneCsv.Add(cliOneCsvData.CHD1_IMMATURE)				   '子１／未熟
			oneCsv.Add(cliOneCsvData.CHD1_DEFORMITY)			   '子１／奇形
			oneCsv.Add(cliOneCsvData.CHD1_SB)					   '子１／死産
			oneCsv.Add(cliOneCsvData.CHD1_CB_DIV3)				   '子１／分娩区分コード１
			oneCsv.Add(cliOneCsvData.CHD1_CB_DIV4)				   '子１／分娩区分コード２
			oneCsv.Add(cliOneCsvData.CHD1_CB_DIV5)				   '子１／分娩区分コード３
			oneCsv.Add(cliOneCsvData.CHD1_CB_DIV6)				   '子１／分娩区分コード４
			oneCsv.Add(cliOneCsvData.CHD1_CHK1)					   '子１／チェック項目１
			oneCsv.Add(cliOneCsvData.CHD1_CHK2)					   '子１／チェック項目２
			oneCsv.Add(cliOneCsvData.CHD1_CHK3)					   '子１／チェック項目３
			oneCsv.Add(cliOneCsvData.CHD1_CHK4)					   '子１／チェック項目４
			oneCsv.Add(cliOneCsvData.CHD1_CHK5)					   '子１／チェック項目５
			oneCsv.Add(cliOneCsvData.CHD1_REMARKS)				   '子１／備考
			oneCsv.Add(cliOneCsvData.CHD1_SB_NO)				   '子１／死産番号
			oneCsv.Add(cliOneCsvData.CHD1_SB_DT)				   '子１／死産日
			oneCsv.Add(cliOneCsvData.CHD1_SB_TIME)				   '子１／死産時刻
			oneCsv.Add(cliOneCsvData.CHD1_SB_WEEK_COUNT)		   '子１／死産週数
			oneCsv.Add(cliOneCsvData.CHD1_SB_LCT_CD)			   '子１／死産場所コード
			oneCsv.Add(cliOneCsvData.CHD1_AUTOPSY_CHK)			   '子１／剖検有無コード
			oneCsv.Add(cliOneCsvData.CHD1_AUTOPSY_NO)			   '子１／剖検番号
			oneCsv.Add(cliOneCsvData.CHD1_INDUCED_ABORTION_CHK)	   '子１／人工中絶有無コード
			oneCsv.Add(cliOneCsvData.CHD1_MOTHER_CMPC_CHK)		   '子１／母体合併症有無コード
			oneCsv.Add(cliOneCsvData.CHD1_COMMENT)				   '子１／コメント
			oneCsv.Add(cliOneCsvData.CHD2_GENDER_CD)			   '子２／性別コード
			oneCsv.Add(cliOneCsvData.CHD2_CB_DT)				   '子２／分娩日
			oneCsv.Add(cliOneCsvData.CHD2_CB_TIME)				   '子２／分娩時刻
			oneCsv.Add(cliOneCsvData.CHD2_BLOODTYPE_CD)			   '子２／血液型
			oneCsv.Add(cliOneCsvData.CHD2_RH_CD)				   '子２／RH
			oneCsv.Add(cliOneCsvData.CHD2_NEWBORN_NO)			   '子２／新生児番号
			oneCsv.Add(cliOneCsvData.CHD2_PATIENT_NO)			   '子２／患者番号
			oneCsv.Add(cliOneCsvData.CHD2_NEWBORN_STATURE)		   '子２／新生児身長
			oneCsv.Add(cliOneCsvData.CHD2_NEWBORN_WEIGHT)		   '子２／新生児体重
			oneCsv.Add(cliOneCsvData.CHD2_APGARSCORE_1MIN)		   '子２／アプガー指数1分
			oneCsv.Add(cliOneCsvData.CHD2_APGARSCORE_5MIN)		   '子２／アプガー指数５分
			oneCsv.Add(cliOneCsvData.CHD2_IMMATURE)				   '子２／未熟
			oneCsv.Add(cliOneCsvData.CHD2_DEFORMITY)			   '子２／奇形
			oneCsv.Add(cliOneCsvData.CHD2_SB)					   '子２／死産
			oneCsv.Add(cliOneCsvData.CHD2_CB_DIV3)				   '子２／分娩区分コード１
			oneCsv.Add(cliOneCsvData.CHD2_CB_DIV4)				   '子２／分娩区分コード２
			oneCsv.Add(cliOneCsvData.CHD2_CB_DIV5)				   '子２／分娩区分コード３
			oneCsv.Add(cliOneCsvData.CHD2_CB_DIV6)				   '子２／分娩区分コード４
			oneCsv.Add(cliOneCsvData.CHD2_CHK1)					   '子２／チェック項目１
			oneCsv.Add(cliOneCsvData.CHD2_CHK2)					   '子２／チェック項目２
			oneCsv.Add(cliOneCsvData.CHD2_CHK3)					   '子２／チェック項目３
			oneCsv.Add(cliOneCsvData.CHD2_CHK4)					   '子２／チェック項目４
			oneCsv.Add(cliOneCsvData.CHD2_CHK5)					   '子２／チェック項目５
			oneCsv.Add(cliOneCsvData.CHD2_REMARKS)				   '子２／備考
			oneCsv.Add(cliOneCsvData.CHD2_SB_NO)				   '子２／死産番号
			oneCsv.Add(cliOneCsvData.CHD2_SB_DT)				   '子２／死産日
			oneCsv.Add(cliOneCsvData.CHD2_SB_TIME)				   '子２／死産時刻
			oneCsv.Add(cliOneCsvData.CHD2_SB_WEEK_COUNT)		   '子２／死産週数
			oneCsv.Add(cliOneCsvData.CHD2_SB_LCT_CD)			   '子２／死産場所コード
			oneCsv.Add(cliOneCsvData.CHD2_AUTOPSY_CHK)			   '子２／剖検有無コード
			oneCsv.Add(cliOneCsvData.CHD2_AUTOPSY_NO)			   '子２／剖検番号
			oneCsv.Add(cliOneCsvData.CHD2_INDUCED_ABORTION_CHK)	   '子２／人工中絶有無コード
			oneCsv.Add(cliOneCsvData.CHD2_MOTHER_CMPC_CHK)		   '子２／母体合併症有無コード
			oneCsv.Add(cliOneCsvData.CHD2_COMMENT)				   '子２／コメント
			oneCsv.Add(cliOneCsvData.CHD3_GENDER_CD)			   '子３／性別コード
			oneCsv.Add(cliOneCsvData.CHD3_CB_DT)				   '子３／分娩日
			oneCsv.Add(cliOneCsvData.CHD3_CB_TIME)				   '子３／分娩時刻
			oneCsv.Add(cliOneCsvData.CHD3_BLOODTYPE_CD)			   '子３／血液型
			oneCsv.Add(cliOneCsvData.CHD3_RH_CD)				   '子３／RH
			oneCsv.Add(cliOneCsvData.CHD3_NEWBORN_NO)			   '子３／新生児番号
			oneCsv.Add(cliOneCsvData.CHD3_PATIENT_NO)			   '子３／患者番号
			oneCsv.Add(cliOneCsvData.CHD3_NEWBORN_STATURE)		   '子３／新生児身長
			oneCsv.Add(cliOneCsvData.CHD3_NEWBORN_WEIGHT)		   '子３／新生児体重
			oneCsv.Add(cliOneCsvData.CHD3_APGARSCORE_1MIN)		   '子３／アプガー指数1分
			oneCsv.Add(cliOneCsvData.CHD3_APGARSCORE_5MIN)		   '子３／アプガー指数５分
			oneCsv.Add(cliOneCsvData.CHD3_IMMATURE)				   '子３／未熟
			oneCsv.Add(cliOneCsvData.CHD3_DEFORMITY)			   '子３／奇形
			oneCsv.Add(cliOneCsvData.CHD3_SB)					   '子３／死産
			oneCsv.Add(cliOneCsvData.CHD3_CB_DIV3)				   '子３／分娩区分コード１
			oneCsv.Add(cliOneCsvData.CHD3_CB_DIV4)				   '子３／分娩区分コード２
			oneCsv.Add(cliOneCsvData.CHD3_CB_DIV5)				   '子３／分娩区分コード３
			oneCsv.Add(cliOneCsvData.CHD3_CB_DIV6)				   '子３／分娩区分コード４
			oneCsv.Add(cliOneCsvData.CHD3_CHK1)					   '子３／チェック項目１
			oneCsv.Add(cliOneCsvData.CHD3_CHK2)					   '子３／チェック項目２
			oneCsv.Add(cliOneCsvData.CHD3_CHK3)					   '子３／チェック項目３
			oneCsv.Add(cliOneCsvData.CHD3_CHK4)					   '子３／チェック項目４
			oneCsv.Add(cliOneCsvData.CHD3_CHK5)					   '子３／チェック項目５
			oneCsv.Add(cliOneCsvData.CHD3_REMARKS)				   '子３／備考
			oneCsv.Add(cliOneCsvData.CHD3_SB_NO)				   '子３／死産番号
			oneCsv.Add(cliOneCsvData.CHD3_SB_DT)				   '子３／死産日
			oneCsv.Add(cliOneCsvData.CHD3_SB_TIME)				   '子３／死産時刻
			oneCsv.Add(cliOneCsvData.CHD3_SB_WEEK_COUNT)		   '子３／死産週数
			oneCsv.Add(cliOneCsvData.CHD3_SB_LCT_CD)			   '子３／死産場所コード
			oneCsv.Add(cliOneCsvData.CHD3_AUTOPSY_CHK)			   '子３／剖検有無コード
			oneCsv.Add(cliOneCsvData.CHD3_AUTOPSY_NO)			   '子３／剖検番号
			oneCsv.Add(cliOneCsvData.CHD3_INDUCED_ABORTION_CHK)	   '子３／人工中絶有無コード
			oneCsv.Add(cliOneCsvData.CHD3_MOTHER_CMPC_CHK)		   '子３／母体合併症有無コード
			oneCsv.Add(cliOneCsvData.CHD3_COMMENT)				   '子３／コメント

			'桁数チェック
			disit = Me.setInputDisit()
			If Me.chkCsvDisit(oneCsv, disit, cliOneCsvData.ERR_FLG, cliOneCsvData.ERR_CD, cliOneCsvData.MESSAGE) = False Then
				Return False
			End If

			'CSV内チェック
			Dim bRequired As Boolean = False
			For idx As Integer = 0 To oneCsv.Count - 1
				bRequired = False
				'必須チェックが必要な項目か判断
				Select Case idx
					Case 0, 1, 4 : bRequired = True
					Case Else : bRequired = False
				End Select
				'必須チェック
				If bRequired = True AndAlso Me.chkCsvRequiredItem(oneCsv(idx), cliOneCsvData.ERR_FLG, cliOneCsvData.ERR_CD, cliOneCsvData.MESSAGE) = False Then
					Return False
				Else
					Select Case idx
						Case 0 'データ種別
							If Me.chkCsvDATA_TYPE(oneCsv(idx), dataTypePattern, cliOneCsvData.ERR_FLG, cliOneCsvData.ERR_CD, cliOneCsvData.MESSAGE) = False Then
								Return False
							End If

						Case 1 '患者番号
							If Me.chkCsvPATIENT_NO(oneCsv(idx), cliOneCsvData.ERR_FLG, cliOneCsvData.ERR_CD, cliOneCsvData.MESSAGE) = False Then
								Return False
							End If

						Case 5, 6, 7, 17, 28, 47, 62, 81, 96, 115, 27, 61, 95 '数値チェック
							If Me.chkCsvNum(oneCsv(idx), cliOneCsvData.ERR_FLG, cliOneCsvData.ERR_CD, cliOneCsvData.MESSAGE) = False Then
								Return False
							End If

						Case 3, 4, 21, 45, 55, 79, 89, 113 '日付チェック
							If Me.chkCsvDate(oneCsv(idx), cliOneCsvData.ERR_FLG, cliOneCsvData.ERR_CD, cliOneCsvData.MESSAGE) = False Then
								Return False
							End If

						Case 22, 46, 56, 80, 90, 114 '時刻チェック
							If Me.chkCsvTime(oneCsv(idx), cliOneCsvData.ERR_FLG, cliOneCsvData.ERR_CD, cliOneCsvData.MESSAGE) = False Then
								Return False
							End If

					End Select
				End If
			Next

			Return True
		Catch ex As Exception
			Throw
		Finally
			'解放
			If disit IsNot Nothing Then disit.Clear()
			disit = Nothing
			If oneCsv IsNot Nothing Then oneCsv.Clear()
			oneCsv = Nothing
			dataTypePattern = Nothing
		End Try
	End Function

	''' ---------------------------------------------
	''' <summary>
	''' 【分娩】桁数定義
	''' </summary>
	''' <returns>桁数リスト</returns>
	''' <remarks>
	''' 2010/10/28 新規作成 ACS)牟禮<BR/>
	''' </remarks>
	''' ---------------------------------------------
	Private Function setInputDisit() As List(Of Integer)
		clsSysMst.logEx(clsSysMst.logLevel.DBG, "XSI", Me.GetType().Name, MethodBase.GetCurrentMethod().Name, "システム連携", "分娩連携", "【分娩】桁数定義 Start")
		Dim disit As List(Of Integer) = Nothing
		Try
			disit = New List(Of Integer)
			disit.Add(1)	   'データ種別
			disit.Add(10)	   '患者番号
			disit.Add(2)	   '診療科コード
			disit.Add(10)	   '入院日（開始日）
			disit.Add(10)	   '分娩日
			disit.Add(2)	   '在胎週数(@@整数)
			disit.Add(1)	   '在胎日数(@@整数)
			disit.Add(1)	   '児数(@@整数)
			disit.Add(2)	   '分娩区分コード１
			disit.Add(2)	   '分娩区分コード２
			disit.Add(2)	   '分娩区分コード３
			disit.Add(2)	   '分娩区分コード４
			disit.Add(1)	   '早産
			disit.Add(1)	   '流産
			disit.Add(1)	   'チェック項目１
			disit.Add(1)	   'チェック項目２
			disit.Add(1)	   'チェック項目３
			disit.Add(4)	   '出血量(@@整数)
			disit.Add(1)	   '帝王切開有無コード
			disit.Add(10)	   '備考
			disit.Add(1)	   '子１／性別コード
			disit.Add(10)	   '子１／分娩日
			disit.Add(5)	   '子１／分娩時刻
			disit.Add(1)	   '子１／血液型
			disit.Add(1)	   '子１／RH
			disit.Add(10)	   '子１／新生児番号
			disit.Add(10)	   '子１／患者番号
			disit.Add(5)	   '子１／新生児身長(@@少数)
			disit.Add(4)	   '子１／新生児体重(@@整数)
			disit.Add(2)	   '子１／アプガー指数1分
			disit.Add(2)	   '子１／アプガー指数５分
			disit.Add(1)	   '子１／未熟
			disit.Add(1)	   '子１／奇形
			disit.Add(1)	   '子１／死産
			disit.Add(2)	   '子１／分娩区分コード１
			disit.Add(2)	   '子１／分娩区分コード２
			disit.Add(2)	   '子１／分娩区分コード３
			disit.Add(2)	   '子１／分娩区分コード４
			disit.Add(1)	   '子１／チェック項目１
			disit.Add(1)	   '子１／チェック項目２
			disit.Add(1)	   '子１／チェック項目３
			disit.Add(1)	   '子１／チェック項目４
			disit.Add(1)	   '子１／チェック項目５
			disit.Add(10)	   '子１／備考
			disit.Add(10)	   '子１／死産番号
			disit.Add(10)	   '子１／死産日
			disit.Add(5)	   '子１／死産時刻
			disit.Add(2)	   '子１／死産週数(@@整数)
			disit.Add(2)	   '子１／死産場所コード
			disit.Add(1)	   '子１／剖検有無コード
			disit.Add(10)	   '子１／剖検番号
			disit.Add(1)	   '子１／人工中絶有無コード
			disit.Add(1)	   '子１／母体合併症有無コード
			disit.Add(20)	   '子１／コメント
			disit.Add(1)	   '子２／性別コード
			disit.Add(10)	   '子２／分娩日
			disit.Add(5)	   '子２／分娩時刻
			disit.Add(1)	   '子２／血液型
			disit.Add(1)	   '子２／RH
			disit.Add(10)	   '子２／新生児番号
			disit.Add(10)	   '子２／患者番号
			disit.Add(5)	   '子２／新生児身長(@@少数)
			disit.Add(4)	   '子２／新生児体重(@@整数)
			disit.Add(2)	   '子２／アプガー指数1分
			disit.Add(2)	   '子２／アプガー指数５分
			disit.Add(1)	   '子２／未熟
			disit.Add(1)	   '子２／奇形
			disit.Add(1)	   '子２／死産
			disit.Add(2)	   '子２／分娩区分コード１
			disit.Add(2)	   '子２／分娩区分コード２
			disit.Add(2)	   '子２／分娩区分コード３
			disit.Add(2)	   '子２／分娩区分コード４
			disit.Add(1)	   '子２／チェック項目１
			disit.Add(1)	   '子２／チェック項目２
			disit.Add(1)	   '子２／チェック項目３
			disit.Add(1)	   '子２／チェック項目４
			disit.Add(1)	   '子２／チェック項目５
			disit.Add(10)	   '子２／備考
			disit.Add(10)	   '子２／死産番号
			disit.Add(10)	   '子２／死産日
			disit.Add(5)	   '子２／死産時刻
			disit.Add(2)	   '子２／死産週数(@@整数)
			disit.Add(2)	   '子２／死産場所コード
			disit.Add(1)	   '子２／剖検有無コード
			disit.Add(10)	   '子２／剖検番号
			disit.Add(1)	   '子２／人工中絶有無コード
			disit.Add(1)	   '子２／母体合併症有無コード
			disit.Add(20)	   '子２／コメント
			disit.Add(1)	   '子３／性別コード
			disit.Add(10)	   '子３／分娩日
			disit.Add(5)	   '子３／分娩時刻
			disit.Add(1)	   '子３／血液型
			disit.Add(1)	   '子３／RH
			disit.Add(10)	   '子３／新生児番号
			disit.Add(10)	   '子３／患者番号
			disit.Add(5)	   '子３／新生児身長(@@少数)
			disit.Add(4)	   '子３／新生児体重(@@整数)
			disit.Add(2)	   '子３／アプガー指数1分
			disit.Add(2)	   '子３／アプガー指数５分
			disit.Add(1)	   '子３／未熟
			disit.Add(1)	   '子３／奇形
			disit.Add(1)	   '子３／死産
			disit.Add(2)	   '子３／分娩区分コード１
			disit.Add(2)	   '子３／分娩区分コード２
			disit.Add(2)	   '子３／分娩区分コード３
			disit.Add(2)	   '子３／分娩区分コード４
			disit.Add(1)	   '子３／チェック項目１
			disit.Add(1)	   '子３／チェック項目２
			disit.Add(1)	   '子３／チェック項目３
			disit.Add(1)	   '子３／チェック項目４
			disit.Add(1)	   '子３／チェック項目５
			disit.Add(10)	   '子３／備考
			disit.Add(10)	   '子３／死産番号
			disit.Add(10)	   '子３／死産日
			disit.Add(5)	   '子３／死産時刻
			disit.Add(2)	   '子３／死産週数(@@整数)
			disit.Add(2)	   '子３／死産場所コード
			disit.Add(1)	   '子３／剖検有無コード
			disit.Add(10)	   '子３／剖検番号
			disit.Add(1)	   '子３／人工中絶有無コード
			disit.Add(1)	   '子３／母体合併症有無コード
			disit.Add(20)	   '子３／コメント
			disit.Add(1)	   '　―――
			disit.Add(1)	   '　―――
			disit.Add(1)	   '　―――

			Return disit
		Catch ex As Exception
			Throw
		End Try
	End Function

	''' ---------------------------------------------
	''' <summary>
	''' 【分娩】V3レイアウト変換
	''' </summary>
	''' <param name="oneCsv">連携ファイル1行データ</param>
	''' <param name="cliOneCsvData">ログ書込データ</param>
	''' <remarks>
	''' 2010/10/29 新規作成 ACS)牟禮<BR/>
	''' </remarks>
	''' ---------------------------------------------
	Private Sub setV3Cls(ByVal oneCsv() As String, ByVal cliOneCsvData As clsXSI_MTT_IMP_LOG_CB)
		clsSysMst.logEx(clsSysMst.logLevel.DBG, "XSI", Me.GetType().Name, MethodBase.GetCurrentMethod().Name, "システム連携", "分娩連携", "【分娩】V3レイアウト変換 Start")
		Try
			'初期化
			cliOneCsvData.clear()

			cliOneCsvData.DATA_TYPE = oneCsv(0)					   'データ種別
			cliOneCsvData.PATIENT_NO = oneCsv(1)				   '患者番号
			cliOneCsvData.DEPT_CD = oneCsv(2)					   '診療科コード
			cliOneCsvData.HSP_DT = oneCsv(3)					   '入院日（開始日）
			cliOneCsvData.CB_DT = oneCsv(4)						   '分娩日
			cliOneCsvData.GESTATIONAL_WEEK_COUNT = oneCsv(5)	   '在胎週数
			cliOneCsvData.GESTATIONAL_DAY_COUNT = oneCsv(6)		   '在胎日数
			cliOneCsvData.CHD_COUNT = oneCsv(7)					   '児数
			cliOneCsvData.CB_DIV1 = oneCsv(8)					   '分娩区分コード１
			cliOneCsvData.CB_DIV2 = oneCsv(9)					   '分娩区分コード２
			cliOneCsvData.CB_DIV3 = oneCsv(10)					   '分娩区分コード３
			cliOneCsvData.CB_DIV4 = oneCsv(11)					   '分娩区分コード４
			cliOneCsvData.PREMATURE_BIRTH = oneCsv(12)			   '早産
			cliOneCsvData.MISCARRIAGE = oneCsv(13)				   '流産
			cliOneCsvData.CB_CHK1 = oneCsv(14)					   'チェック項目１
			cliOneCsvData.CB_CHK2 = oneCsv(15)					   'チェック項目２
			cliOneCsvData.CB_CHK3 = oneCsv(16)					   'チェック項目３
			cliOneCsvData.BLEEDING_VOLUME = oneCsv(17)			   '出血量
			cliOneCsvData.CAESAREAN_OPE_CD = oneCsv(18)			   '帝王切開有無コード
			cliOneCsvData.REMARKS = oneCsv(19)					   '備考
			cliOneCsvData.CHD1_GENDER_CD = oneCsv(20)			   '子１／性別コード
			cliOneCsvData.CHD1_CB_DT = oneCsv(21)				   '子１／分娩日
			cliOneCsvData.CHD1_CB_TIME = oneCsv(22)				   '子１／分娩時刻
			cliOneCsvData.CHD1_BLOODTYPE_CD = oneCsv(23)		   '子１／血液型
			cliOneCsvData.CHD1_RH_CD = oneCsv(24)				   '子１／RH
			cliOneCsvData.CHD1_NEWBORN_NO = oneCsv(25)			   '子１／新生児番号
			cliOneCsvData.CHD1_PATIENT_NO = oneCsv(26)			   '子１／患者番号
			cliOneCsvData.CHD1_NEWBORN_WEIGHT = oneCsv(27)		   '子１／新生児体重
			cliOneCsvData.CHD1_APGARSCORE_1MIN = oneCsv(28)		   '子１／アプガー指数1分
			cliOneCsvData.CHD1_APGARSCORE_5MIN = oneCsv(29)		   '子１／アプガー指数５分
			cliOneCsvData.CHD1_IMMATURE = oneCsv(30)			   '子１／未熟
			cliOneCsvData.CHD1_DEFORMITY = oneCsv(31)			   '子１／奇形
			cliOneCsvData.CHD1_SB = oneCsv(32)					   '子１／死産
			cliOneCsvData.CHD1_CB_DIV3 = oneCsv(33)				   '子１／分娩区分コード１
			cliOneCsvData.CHD1_CB_DIV4 = oneCsv(34)				   '子１／分娩区分コード２
			cliOneCsvData.CHD1_CB_DIV5 = oneCsv(35)				   '子１／分娩区分コード３
			cliOneCsvData.CHD1_CB_DIV6 = oneCsv(36)				   '子１／分娩区分コード４
			cliOneCsvData.CHD1_CHK1 = oneCsv(37)				   '子１／チェック項目１
			cliOneCsvData.CHD1_CHK2 = oneCsv(38)				   '子１／チェック項目２
			cliOneCsvData.CHD1_CHK3 = oneCsv(39)				   '子１／チェック項目３
			cliOneCsvData.CHD1_CHK4 = oneCsv(40)				   '子１／チェック項目４
			cliOneCsvData.CHD1_CHK5 = oneCsv(41)				   '子１／チェック項目５
			cliOneCsvData.CHD1_REMARKS = oneCsv(42)				   '子１／備考
			cliOneCsvData.CHD1_SB_NO = oneCsv(43)				   '子１／死産番号
			cliOneCsvData.CHD1_SB_DT = oneCsv(44)				   '子１／死産日
			cliOneCsvData.CHD1_SB_TIME = oneCsv(45)				   '子１／死産時刻
			cliOneCsvData.CHD1_SB_WEEK_COUNT = oneCsv(46)		   '子１／死産週数
			cliOneCsvData.CHD1_SB_LCT_CD = oneCsv(47)			   '子１／死産場所コード
			cliOneCsvData.CHD1_AUTOPSY_CHK = oneCsv(48)			   '子１／剖検有無コード
			cliOneCsvData.CHD1_AUTOPSY_NO = oneCsv(49)			   '子１／剖検番号
			cliOneCsvData.CHD1_INDUCED_ABORTION_CHK = oneCsv(50)   '子１／人工中絶有無コード
			cliOneCsvData.CHD1_MOTHER_CMPC_CHK = oneCsv(51)		   '子１／母体合併症有無コード
			cliOneCsvData.CHD1_COMMENT = oneCsv(52)				   '子１／コメント
			cliOneCsvData.CHD2_GENDER_CD = oneCsv(53)			   '子２／性別コード
			cliOneCsvData.CHD2_CB_DT = oneCsv(54)				   '子２／分娩日
			cliOneCsvData.CHD2_CB_TIME = oneCsv(55)				   '子２／分娩時刻
			cliOneCsvData.CHD2_BLOODTYPE_CD = oneCsv(56)		   '子２／血液型
			cliOneCsvData.CHD2_RH_CD = oneCsv(57)				   '子２／RH
			cliOneCsvData.CHD2_NEWBORN_NO = oneCsv(58)			   '子２／新生児番号
			cliOneCsvData.CHD2_PATIENT_NO = oneCsv(59)			   '子２／患者番号
			cliOneCsvData.CHD2_NEWBORN_WEIGHT = oneCsv(60)		   '子２／新生児体重
			cliOneCsvData.CHD2_APGARSCORE_1MIN = oneCsv(61)		   '子２／アプガー指数1分
			cliOneCsvData.CHD2_APGARSCORE_5MIN = oneCsv(62)		   '子２／アプガー指数５分
			cliOneCsvData.CHD2_IMMATURE = oneCsv(63)			   '子２／未熟
			cliOneCsvData.CHD2_DEFORMITY = oneCsv(64)			   '子２／奇形
			cliOneCsvData.CHD2_SB = oneCsv(65)					   '子２／死産
			cliOneCsvData.CHD2_CB_DIV3 = oneCsv(66)				   '子２／分娩区分コード１
			cliOneCsvData.CHD2_CB_DIV4 = oneCsv(67)				   '子２／分娩区分コード２
			cliOneCsvData.CHD2_CB_DIV5 = oneCsv(68)				   '子２／分娩区分コード３
			cliOneCsvData.CHD2_CB_DIV6 = oneCsv(69)				   '子２／分娩区分コード４
			cliOneCsvData.CHD2_CHK1 = oneCsv(70)				   '子２／チェック項目１
			cliOneCsvData.CHD2_CHK2 = oneCsv(71)				   '子２／チェック項目２
			cliOneCsvData.CHD2_CHK3 = oneCsv(72)				   '子２／チェック項目３
			cliOneCsvData.CHD2_CHK4 = oneCsv(73)				   '子２／チェック項目４
			cliOneCsvData.CHD2_CHK5 = oneCsv(74)				   '子２／チェック項目５
			cliOneCsvData.CHD2_REMARKS = oneCsv(75)				   '子２／備考
			cliOneCsvData.CHD2_SB_NO = oneCsv(76)				   '子２／死産番号
			cliOneCsvData.CHD2_SB_DT = oneCsv(77)				   '子２／死産日
			cliOneCsvData.CHD2_SB_TIME = oneCsv(78)				   '子２／死産時刻
			cliOneCsvData.CHD2_SB_WEEK_COUNT = oneCsv(79)		   '子２／死産週数
			cliOneCsvData.CHD2_SB_LCT_CD = oneCsv(80)			   '子２／死産場所コード
			cliOneCsvData.CHD2_AUTOPSY_CHK = oneCsv(81)			   '子２／剖検有無コード
			cliOneCsvData.CHD2_AUTOPSY_NO = oneCsv(82)			   '子２／剖検番号
			cliOneCsvData.CHD2_INDUCED_ABORTION_CHK = oneCsv(83)   '子２／人工中絶有無コード
			cliOneCsvData.CHD2_MOTHER_CMPC_CHK = oneCsv(84)		   '子２／母体合併症有無コード
			cliOneCsvData.CHD2_COMMENT = oneCsv(85)				   '子２／コメント
			cliOneCsvData.CHD3_GENDER_CD = oneCsv(86)			   '子３／性別コード
			cliOneCsvData.CHD3_CB_DT = oneCsv(87)				   '子３／分娩日
			cliOneCsvData.CHD3_CB_TIME = oneCsv(88)				   '子３／分娩時刻
			cliOneCsvData.CHD3_BLOODTYPE_CD = oneCsv(89)		   '子３／血液型
			cliOneCsvData.CHD3_RH_CD = oneCsv(90)				   '子３／RH
			cliOneCsvData.CHD3_NEWBORN_NO = oneCsv(91)			   '子３／新生児番号
			cliOneCsvData.CHD3_PATIENT_NO = oneCsv(92)			   '子３／患者番号
			cliOneCsvData.CHD3_NEWBORN_WEIGHT = oneCsv(93)		   '子３／新生児体重
			cliOneCsvData.CHD3_APGARSCORE_1MIN = oneCsv(94)		   '子３／アプガー指数1分
			cliOneCsvData.CHD3_APGARSCORE_5MIN = oneCsv(95)		   '子３／アプガー指数５分
			cliOneCsvData.CHD3_IMMATURE = oneCsv(96)			   '子３／未熟
			cliOneCsvData.CHD3_DEFORMITY = oneCsv(97)			   '子３／奇形
			cliOneCsvData.CHD3_SB = oneCsv(98)					   '子３／死産
			cliOneCsvData.CHD3_CB_DIV3 = oneCsv(99)				   '子３／分娩区分コード１
			cliOneCsvData.CHD3_CB_DIV4 = oneCsv(100)			   '子３／分娩区分コード２
			cliOneCsvData.CHD3_CB_DIV5 = oneCsv(101)			   '子３／分娩区分コード３
			cliOneCsvData.CHD3_CB_DIV6 = oneCsv(102)			   '子３／分娩区分コード４
			cliOneCsvData.CHD3_CHK1 = oneCsv(103)				   '子３／チェック項目１
			cliOneCsvData.CHD3_CHK2 = oneCsv(104)				   '子３／チェック項目２
			cliOneCsvData.CHD3_CHK3 = oneCsv(105)				   '子３／チェック項目３
			cliOneCsvData.CHD3_CHK4 = oneCsv(106)				   '子３／チェック項目４
			cliOneCsvData.CHD3_CHK5 = oneCsv(107)				   '子３／チェック項目５
			cliOneCsvData.CHD3_REMARKS = oneCsv(108)			   '子３／備考
			cliOneCsvData.CHD3_SB_NO = oneCsv(109)				   '子３／死産番号
			cliOneCsvData.CHD3_SB_DT = oneCsv(110)				   '子３／死産日
			cliOneCsvData.CHD3_SB_TIME = oneCsv(111)			   '子３／死産時刻
			cliOneCsvData.CHD3_SB_WEEK_COUNT = oneCsv(112)		   '子３／死産週数
			cliOneCsvData.CHD3_SB_LCT_CD = oneCsv(113)			   '子３／死産場所コード
			cliOneCsvData.CHD3_AUTOPSY_CHK = oneCsv(114)		   '子３／剖検有無コード
			cliOneCsvData.CHD3_AUTOPSY_NO = oneCsv(115)			   '子３／剖検番号
			cliOneCsvData.CHD3_INDUCED_ABORTION_CHK = oneCsv(116)  '子３／人工中絶有無コード
			cliOneCsvData.CHD3_MOTHER_CMPC_CHK = oneCsv(117)	   '子３／母体合併症有無コード
			cliOneCsvData.CHD3_COMMENT = oneCsv(118)			   '子３／コメント
			'cliOneCsvData.SPARE01 = oneCsv(119)                    '　―――
			'cliOneCsvData.SPARE02 = oneCsv(120)                    '　―――
			'cliOneCsvData.SPARE03 = oneCsv(121)                    '　―――
			'cliOneCsvData.SPARE04 = oneCsv(122)                    '　―――

			cliOneCsvData.CHD1_NEWBORN_STATURE = String.Empty	   '子１／新生児身長(V3なし)
			cliOneCsvData.CHD2_NEWBORN_STATURE = String.Empty	   '子２／新生児身長(V3なし)
			cliOneCsvData.CHD3_NEWBORN_STATURE = String.Empty	   '子３／新生児身長(V3なし)

		Catch ex As Exception
			Throw
		End Try
	End Sub

	''' ---------------------------------------------
	''' <summary>
	''' 【分娩】V4レイアウト変換
	''' </summary>
	''' <param name="oneCsv">連携ファイル1行データ</param>
	''' <param name="cliOneCsvData">ログ書込データ</param>
	''' <remarks>
	''' 2010/10/29 新規作成 ACS)牟禮<BR/>
	''' </remarks>
	''' ---------------------------------------------
	Private Sub setV4Cls(ByVal oneCsv() As String, ByVal cliOneCsvData As clsXSI_MTT_IMP_LOG_CB)
		clsSysMst.logEx(clsSysMst.logLevel.DBG, "XSI", Me.GetType().Name, MethodBase.GetCurrentMethod().Name, "システム連携", "分娩連携", "【分娩】V4レイアウト変換 Start")
		Try
			'初期化
			cliOneCsvData.clear()

			cliOneCsvData.DATA_TYPE = oneCsv(0)					   'データ種別
			cliOneCsvData.PATIENT_NO = oneCsv(1)				   '患者番号
			cliOneCsvData.DEPT_CD = oneCsv(2)					   '診療科コード
			cliOneCsvData.HSP_DT = oneCsv(3)					   '入院日（開始日）
			cliOneCsvData.CB_DT = oneCsv(4)						   '分娩日
			cliOneCsvData.GESTATIONAL_WEEK_COUNT = oneCsv(5)	   '在胎週数
			cliOneCsvData.GESTATIONAL_DAY_COUNT = oneCsv(6)		   '在胎日数
			cliOneCsvData.CHD_COUNT = oneCsv(7)					   '児数
			cliOneCsvData.CB_DIV1 = oneCsv(8)					   '分娩区分コード１
			cliOneCsvData.CB_DIV2 = oneCsv(9)					   '分娩区分コード２
			cliOneCsvData.CB_DIV3 = oneCsv(10)					   '分娩区分コード３
			cliOneCsvData.CB_DIV4 = oneCsv(11)					   '分娩区分コード４
			cliOneCsvData.PREMATURE_BIRTH = oneCsv(12)			   '早産
			cliOneCsvData.MISCARRIAGE = oneCsv(13)				   '流産
			cliOneCsvData.CB_CHK1 = oneCsv(14)					   'チェック項目１
			cliOneCsvData.CB_CHK2 = oneCsv(15)					   'チェック項目２
			cliOneCsvData.CB_CHK3 = oneCsv(16)					   'チェック項目３
			cliOneCsvData.BLEEDING_VOLUME = oneCsv(17)			   '出血量
			cliOneCsvData.CAESAREAN_OPE_CD = oneCsv(18)			   '帝王切開有無コード
			cliOneCsvData.REMARKS = oneCsv(19)					   '備考
			cliOneCsvData.CHD1_GENDER_CD = oneCsv(20)			   '子１／性別コード
			cliOneCsvData.CHD1_CB_DT = oneCsv(21)				   '子１／分娩日
			cliOneCsvData.CHD1_CB_TIME = oneCsv(22)				   '子１／分娩時刻
			cliOneCsvData.CHD1_BLOODTYPE_CD = oneCsv(23)		   '子１／血液型
			cliOneCsvData.CHD1_RH_CD = oneCsv(24)				   '子１／RH
			cliOneCsvData.CHD1_NEWBORN_NO = oneCsv(25)			   '子１／新生児番号
			cliOneCsvData.CHD1_PATIENT_NO = oneCsv(26)			   '子１／患者番号
			cliOneCsvData.CHD1_NEWBORN_STATURE = oneCsv(27)		   '子１／新生児身長
			cliOneCsvData.CHD1_NEWBORN_WEIGHT = oneCsv(28)		   '子１／新生児体重
			cliOneCsvData.CHD1_APGARSCORE_1MIN = oneCsv(29)		   '子１／アプガー指数1分
			cliOneCsvData.CHD1_APGARSCORE_5MIN = oneCsv(30)		   '子１／アプガー指数５分
			cliOneCsvData.CHD1_IMMATURE = oneCsv(31)			   '子１／未熟
			cliOneCsvData.CHD1_DEFORMITY = oneCsv(32)			   '子１／奇形
			cliOneCsvData.CHD1_SB = oneCsv(33)					   '子１／死産
			cliOneCsvData.CHD1_CB_DIV3 = oneCsv(34)				   '子１／分娩区分コード１
			cliOneCsvData.CHD1_CB_DIV4 = oneCsv(35)				   '子１／分娩区分コード２
			cliOneCsvData.CHD1_CB_DIV5 = oneCsv(36)				   '子１／分娩区分コード３
			cliOneCsvData.CHD1_CB_DIV6 = oneCsv(37)				   '子１／分娩区分コード４
			cliOneCsvData.CHD1_CHK1 = oneCsv(38)				   '子１／チェック項目１
			cliOneCsvData.CHD1_CHK2 = oneCsv(39)				   '子１／チェック項目２
			cliOneCsvData.CHD1_CHK3 = oneCsv(40)				   '子１／チェック項目３
			cliOneCsvData.CHD1_CHK4 = oneCsv(41)				   '子１／チェック項目４
			cliOneCsvData.CHD1_CHK5 = oneCsv(42)				   '子１／チェック項目５
			cliOneCsvData.CHD1_REMARKS = oneCsv(43)				   '子１／備考
			cliOneCsvData.CHD1_SB_NO = oneCsv(44)				   '子１／死産番号
			cliOneCsvData.CHD1_SB_DT = oneCsv(45)				   '子１／死産日
			cliOneCsvData.CHD1_SB_TIME = oneCsv(46)				   '子１／死産時刻
			cliOneCsvData.CHD1_SB_WEEK_COUNT = oneCsv(47)		   '子１／死産週数
			cliOneCsvData.CHD1_SB_LCT_CD = oneCsv(48)			   '子１／死産場所コード
			cliOneCsvData.CHD1_AUTOPSY_CHK = oneCsv(49)			   '子１／剖検有無コード
			cliOneCsvData.CHD1_AUTOPSY_NO = oneCsv(50)			   '子１／剖検番号
			cliOneCsvData.CHD1_INDUCED_ABORTION_CHK = oneCsv(51)   '子１／人工中絶有無コード
			cliOneCsvData.CHD1_MOTHER_CMPC_CHK = oneCsv(52)		   '子１／母体合併症有無コード
			cliOneCsvData.CHD1_COMMENT = oneCsv(53)				   '子１／コメント
			cliOneCsvData.CHD2_GENDER_CD = oneCsv(54)			   '子２／性別コード
			cliOneCsvData.CHD2_CB_DT = oneCsv(55)				   '子２／分娩日
			cliOneCsvData.CHD2_CB_TIME = oneCsv(56)				   '子２／分娩時刻
			cliOneCsvData.CHD2_BLOODTYPE_CD = oneCsv(57)		   '子２／血液型
			cliOneCsvData.CHD2_RH_CD = oneCsv(58)				   '子２／RH
			cliOneCsvData.CHD2_NEWBORN_NO = oneCsv(59)			   '子２／新生児番号
			cliOneCsvData.CHD2_PATIENT_NO = oneCsv(60)			   '子２／患者番号
			cliOneCsvData.CHD2_NEWBORN_STATURE = oneCsv(61)		   '子２／新生児身長
			cliOneCsvData.CHD2_NEWBORN_WEIGHT = oneCsv(62)		   '子２／新生児体重
			cliOneCsvData.CHD2_APGARSCORE_1MIN = oneCsv(63)		   '子２／アプガー指数1分
			cliOneCsvData.CHD2_APGARSCORE_5MIN = oneCsv(64)		   '子２／アプガー指数５分
			cliOneCsvData.CHD2_IMMATURE = oneCsv(65)			   '子２／未熟
			cliOneCsvData.CHD2_DEFORMITY = oneCsv(66)			   '子２／奇形
			cliOneCsvData.CHD2_SB = oneCsv(67)					   '子２／死産
			cliOneCsvData.CHD2_CB_DIV3 = oneCsv(68)				   '子２／分娩区分コード１
			cliOneCsvData.CHD2_CB_DIV4 = oneCsv(69)				   '子２／分娩区分コード２
			cliOneCsvData.CHD2_CB_DIV5 = oneCsv(70)				   '子２／分娩区分コード３
			cliOneCsvData.CHD2_CB_DIV6 = oneCsv(71)				   '子２／分娩区分コード４
			cliOneCsvData.CHD2_CHK1 = oneCsv(72)				   '子２／チェック項目１
			cliOneCsvData.CHD2_CHK2 = oneCsv(73)				   '子２／チェック項目２
			cliOneCsvData.CHD2_CHK3 = oneCsv(74)				   '子２／チェック項目３
			cliOneCsvData.CHD2_CHK4 = oneCsv(75)				   '子２／チェック項目４
			cliOneCsvData.CHD2_CHK5 = oneCsv(76)				   '子２／チェック項目５
			cliOneCsvData.CHD2_REMARKS = oneCsv(77)				   '子２／備考
			cliOneCsvData.CHD2_SB_NO = oneCsv(78)				   '子２／死産番号
			cliOneCsvData.CHD2_SB_DT = oneCsv(79)				   '子２／死産日
			cliOneCsvData.CHD2_SB_TIME = oneCsv(80)				   '子２／死産時刻
			cliOneCsvData.CHD2_SB_WEEK_COUNT = oneCsv(81)		   '子２／死産週数
			cliOneCsvData.CHD2_SB_LCT_CD = oneCsv(82)			   '子２／死産場所コード
			cliOneCsvData.CHD2_AUTOPSY_CHK = oneCsv(83)			   '子２／剖検有無コード
			cliOneCsvData.CHD2_AUTOPSY_NO = oneCsv(84)			   '子２／剖検番号
			cliOneCsvData.CHD2_INDUCED_ABORTION_CHK = oneCsv(85)   '子２／人工中絶有無コード
			cliOneCsvData.CHD2_MOTHER_CMPC_CHK = oneCsv(86)		   '子２／母体合併症有無コード
			cliOneCsvData.CHD2_COMMENT = oneCsv(87)				   '子２／コメント
			cliOneCsvData.CHD3_GENDER_CD = oneCsv(88)			   '子３／性別コード
			cliOneCsvData.CHD3_CB_DT = oneCsv(89)				   '子３／分娩日
			cliOneCsvData.CHD3_CB_TIME = oneCsv(90)				   '子３／分娩時刻
			cliOneCsvData.CHD3_BLOODTYPE_CD = oneCsv(91)		   '子３／血液型
			cliOneCsvData.CHD3_RH_CD = oneCsv(92)				   '子３／RH
			cliOneCsvData.CHD3_NEWBORN_NO = oneCsv(93)			   '子３／新生児番号
			cliOneCsvData.CHD3_PATIENT_NO = oneCsv(94)			   '子３／患者番号
			cliOneCsvData.CHD3_NEWBORN_STATURE = oneCsv(95)		   '子３／新生児身長
			cliOneCsvData.CHD3_NEWBORN_WEIGHT = oneCsv(96)		   '子３／新生児体重
			cliOneCsvData.CHD3_APGARSCORE_1MIN = oneCsv(97)		   '子３／アプガー指数1分
			cliOneCsvData.CHD3_APGARSCORE_5MIN = oneCsv(98)		   '子３／アプガー指数５分
			cliOneCsvData.CHD3_IMMATURE = oneCsv(99)			   '子３／未熟
			cliOneCsvData.CHD3_DEFORMITY = oneCsv(100)			   '子３／奇形
			cliOneCsvData.CHD3_SB = oneCsv(101)					   '子３／死産
			cliOneCsvData.CHD3_CB_DIV3 = oneCsv(102)			   '子３／分娩区分コード１
			cliOneCsvData.CHD3_CB_DIV4 = oneCsv(103)			   '子３／分娩区分コード２
			cliOneCsvData.CHD3_CB_DIV5 = oneCsv(104)			   '子３／分娩区分コード３
			cliOneCsvData.CHD3_CB_DIV6 = oneCsv(105)			   '子３／分娩区分コード４
			cliOneCsvData.CHD3_CHK1 = oneCsv(106)				   '子３／チェック項目１
			cliOneCsvData.CHD3_CHK2 = oneCsv(107)				   '子３／チェック項目２
			cliOneCsvData.CHD3_CHK3 = oneCsv(108)				   '子３／チェック項目３
			cliOneCsvData.CHD3_CHK4 = oneCsv(109)				   '子３／チェック項目４
			cliOneCsvData.CHD3_CHK5 = oneCsv(110)				   '子３／チェック項目５
			cliOneCsvData.CHD3_REMARKS = oneCsv(111)			   '子３／備考
			cliOneCsvData.CHD3_SB_NO = oneCsv(112)				   '子３／死産番号
			cliOneCsvData.CHD3_SB_DT = oneCsv(113)				   '子３／死産日
			cliOneCsvData.CHD3_SB_TIME = oneCsv(114)			   '子３／死産時刻
			cliOneCsvData.CHD3_SB_WEEK_COUNT = oneCsv(115)		   '子３／死産週数
			cliOneCsvData.CHD3_SB_LCT_CD = oneCsv(116)			   '子３／死産場所コード
			cliOneCsvData.CHD3_AUTOPSY_CHK = oneCsv(117)		   '子３／剖検有無コード
			cliOneCsvData.CHD3_AUTOPSY_NO = oneCsv(118)			   '子３／剖検番号
			cliOneCsvData.CHD3_INDUCED_ABORTION_CHK = oneCsv(119)  '子３／人工中絶有無コード
			cliOneCsvData.CHD3_MOTHER_CMPC_CHK = oneCsv(120)	   '子３／母体合併症有無コード
			cliOneCsvData.CHD3_COMMENT = oneCsv(121)			   '子３／コメント
			'cliOneCsvData.SPARE01 = oneCsv(122)                    '　―――
			'cliOneCsvData.SPARE02 = oneCsv(123)                    '　―――
			'cliOneCsvData.SPARE03 = oneCsv(124)                    '　―――

			'cliOneCsvData.SPARE04 = ""                             '　―――(V4セットなし)

		Catch ex As Exception
			Throw
		End Try
	End Sub

	''' ---------------------------------------------
	''' <summary>
	''' 【分娩】分娩日が登録可能範囲かチェック
	''' </summary>
	''' <param name="pDb">データクラス</param>
	''' <param name="patientNo">患者番号</param>
	''' <param name="hspHistoryNo">入退院歴番号</param>
	''' <param name="chNo">科歴番号</param>
	''' <param name="sDate">チェック対象日</param>
	''' <returns>True:範囲内/False:範囲外</returns>
	''' <remarks>
	''' 2010/10/28 新規作成 ACS)牟禮<BR/>
	''' </remarks>
	''' ---------------------------------------------
	Private Function chkStartDate(ByVal pDb As clsDB, ByVal patientNo As String, ByVal hspHistoryNo As String, ByVal chNo As String, ByVal sDate As String) As Boolean
		clsSysMst.logEx(clsSysMst.logLevel.DBG, "XSI", Me.GetType().Name, MethodBase.GetCurrentMethod().Name, "システム連携", "分娩連携", "【分娩】分娩日が登録可能範囲かチェック Start")
		Dim startDate As String = String.Empty	 '範囲開始
		Dim endDate As String = String.Empty	 '範囲終了
		Try
			'比較する日付が日付ではない場合、範囲内として終了
			If IsDate(sDate) = False Then Return True

			'動作環境の分娩日登録可能範囲
			If clsSysMst.ctlEnvData.getEnv(datEnv.Enum_ENV.ENV_00071) = CStr(clsConst.Enum_CbDtRange.StartEnd) Then
				'科歴の開始日～終了日
				'対象科歴の開始日、終了日を取得
				pDb.setSQLDa(sqlXSI010F010.sqlSel_MTI_CH)
				pDb.setParamDa(sqlXSI010F010.prmPATIENT_NO, clsDB.Enum_dbType.dbNVarChar)
				pDb.setParamDa(sqlXSI010F010.prmHSP_HISTORY_NO, clsDB.Enum_dbType.dbInt)
				pDb.setParamDa(sqlXSI010F010.prmCH_NO, clsDB.Enum_dbType.dbInt)
				pDb.setValDa(sqlXSI010F010.prmPATIENT_NO, patientNo)
				pDb.setValDa(sqlXSI010F010.prmHSP_HISTORY_NO, hspHistoryNo)
				pDb.setValDa(sqlXSI010F010.prmCH_NO, chNo)
				Using dt As New DataTable()
					pDb.execQueryDa(dt)
					If dt.Rows.Count > 0 Then
						startDate = dt.Rows(0).Item(sqlXSI010F010.itmSTART_DT).ToString()
						endDate = dt.Rows(0).Item(sqlXSI010F010.itmEND_DT).ToString()
					End If
				End Using
			ElseIf clsSysMst.ctlEnvData.getEnv(datEnv.Enum_ENV.ENV_00071) = CStr(clsConst.Enum_CbDtRange.HspOut) Then
				'入退院情報の入院日～退院日
				'対象入退院情報の入院日、退院日を取得
				pDb.setSQLDa(sqlXSI010F010.sqlSel_MTI_HSP)
				pDb.setParamDa(sqlXSI010F010.prmPATIENT_NO, clsDB.Enum_dbType.dbNVarChar)
				pDb.setParamDa(sqlXSI010F010.prmHSP_HISTORY_NO, clsDB.Enum_dbType.dbInt)
				pDb.setValDa(sqlXSI010F010.prmPATIENT_NO, patientNo)
				pDb.setValDa(sqlXSI010F010.prmHSP_HISTORY_NO, hspHistoryNo)
				Using dt As New DataTable()
					pDb.execQueryDa(dt)
					If dt.Rows.Count > 0 Then
						startDate = dt.Rows(0).Item(sqlXSI010F010.itmHSP_DT).ToString()
						endDate = dt.Rows(0).Item(sqlXSI010F010.itmOUT_HSP_DT).ToString()
					End If
				End Using
			End If

			'範囲内か比較
			'開始日、入院日
			If String.IsNullOrEmpty(startDate) = True Then
			ElseIf Me.dateCompare(startDate, sDate) > 0 Then
				Return False
			End If
			'終了日、退院日
			If String.IsNullOrEmpty(endDate) = True Then
			ElseIf Me.dateCompare(endDate, sDate) < 0 Then
				Return False
			End If

			Return True
		Catch ex As Exception
			Throw
		Finally
			'解放
			startDate = Nothing
			endDate = Nothing
		End Try
	End Function

	''' ---------------------------------------------
	''' <summary>
	''' 【分娩】登録/更新
	''' </summary>
	''' <param name="pDb">DBクラス</param>
	''' <param name="cliOneCsvData">連携ファイル１行データ</param>
	''' <param name="cliMTI_CB">分娩データクラス</param>
	''' <param name="arrChild">分娩子、分娩子流死産格納ArrayList</param>
	''' <returns>DB登録/更新結果</returns>
	''' <remarks>
	''' 2010/10/29 新規作成 ACS)牟禮<BR/>
	''' </remarks>
	''' ---------------------------------------------
	Private Function exeSQL(ByVal pDb As clsDB, ByVal cliOneCsvData As clsXSI_MTT_IMP_LOG_CB, ByVal cliMTI_CB As clsXSI_MTI_CB, ByVal arrChild As ArrayList) As Enum_ExeReturnFlg
		clsSysMst.logEx(clsSysMst.logLevel.DBG, "XSI", Me.GetType().Name, MethodBase.GetCurrentMethod().Name, "システム連携", "分娩連携", "【分娩】登録/更新 Start")
		Try
			'トランザクション開始
			pDb.ctlTran(clsDB.Enum_TranMode.Begin)

			'分娩情報削除
			Me.setSqlParam_MTI_CB(pDb, False, Enum_SqlIdx.eDel, cliMTI_CB)

			'分娩子情報削除
			Using cliMTI_CB_CHILD As New clsXSI_MTI_CB_CHILD()
				cliMTI_CB_CHILD.PATIENT_NO = cliMTI_CB.PATIENT_NO
				cliMTI_CB_CHILD.HSP_HISTORY_NO = cliMTI_CB.HSP_HISTORY_NO
				cliMTI_CB_CHILD.CH_NO = cliMTI_CB.CH_NO
				Me.setSqlParam_MTI_CB_CHILD(pDb, False, Enum_SqlIdx.eDel, cliMTI_CB_CHILD)
			End Using
			'分娩子流死産情報削除
			Using cliMTI_CB_SB As New clsXSI_MTI_CB_SB()
				cliMTI_CB_SB.PATIENT_NO = cliMTI_CB.PATIENT_NO
				cliMTI_CB_SB.HSP_HISTORY_NO = cliMTI_CB.HSP_HISTORY_NO
				cliMTI_CB_SB.CH_NO = cliMTI_CB.CH_NO
				Me.setSqlParam_MTI_CB_SB(pDb, False, Enum_SqlIdx.eDel, cliMTI_CB_SB)
			End Using

			'SQL文、パラメータセット
			'分娩情報登録
			Me.setSqlParam_MTI_CB(pDb, False, Enum_SqlIdx.eIns, cliMTI_CB)

			For Each obj() As Object In arrChild
				'分娩子情報登録
				If DirectCast(obj(0), clsXSI_MTI_CB_CHILD) IsNot Nothing Then
					Me.setSqlParam_MTI_CB_CHILD(pDb, False, Enum_SqlIdx.eIns, DirectCast(obj(0), clsXSI_MTI_CB_CHILD))
					DirectCast(obj(0), clsXSI_MTI_CB_CHILD).Dispose()
				End If

				'分娩子流死産情報登録
				If DirectCast(obj(1), clsXSI_MTI_CB_SB) IsNot Nothing Then
					Me.setSqlParam_MTI_CB_SB(pDb, False, Enum_SqlIdx.eIns, DirectCast(obj(1), clsXSI_MTI_CB_SB))
					DirectCast(obj(1), clsXSI_MTI_CB_SB).Dispose()
				End If
			Next

			'科歴情報更新(分娩数)
			Using cliCH As New clsXSI_MTI_CH()
				cliCH.PATIENT_NO = cliMTI_CB.PATIENT_NO			'患者番号
				cliCH.HSP_HISTORY_NO = cliMTI_CB.HSP_HISTORY_NO	'入退院歴番号
				cliCH.CH_NO = cliMTI_CB.CH_NO					'科歴番号
				cliCH.CB_COUNT = "1"							'分娩数
				'更新
				Me.setUpdSql_MTI_CH(pDb, False, Enum_Upd.eChange, cliCH, False)
			End Using

			'コミット
			pDb.ctlTran(clsDB.Enum_TranMode.Commit)

			Return Enum_ExeReturnFlg.eExecute
		Catch ex As SqlClient.SqlException
			If pDb.statTran() Then pDb.ctlTran(clsDB.Enum_TranMode.RollBack)
			Call Me.cliXSI010F010.ErrorProc(ex)
			If ex.Number = clsSysMst.sqlErrCode.KeyDuplicate Then
				Return Enum_ExeReturnFlg.eSqlError
			Else
				Return Enum_ExeReturnFlg.eError
			End If
		Catch ex As Exception
			If pDb.statTran() Then pDb.ctlTran(clsDB.Enum_TranMode.RollBack)
			Throw
		End Try
	End Function

	''' ---------------------------------------------
	''' <summary>
	''' 【分娩】分娩情報SQLパラメータ設定
	''' </summary>
	''' <param name="pDb">DBクラス</param>
	''' <param name="tran">トランザクション制御</param>
	''' <param name="sqlIdx">SQL区分</param>
	''' <param name="cliMTI_CB">分娩データクラス</param>
	''' <remarks>
	''' 2010/10/29 新規作成　ACS)牟禮<BR/>
	''' </remarks>
	''' ---------------------------------------------
	Private Sub setSqlParam_MTI_CB(ByVal pDb As clsDB, ByVal tran As Boolean, ByVal sqlIdx As Enum_SqlIdx, ByVal cliMTI_CB As clsXSI_MTI_CB)
		clsSysMst.logEx(clsSysMst.logLevel.DBG, "XSI", Me.GetType().Name, MethodBase.GetCurrentMethod().Name, "システム連携", "分娩連携", "【分娩】分娩情報SQLパラメータ設定 Start")
		Try
			Select Case sqlIdx
				Case Enum_SqlIdx.eIns '登録
					'SQL文設定
					pDb.setSQL(sqlXSI010F010.sqlIns_MTI_CB)

					'パラメータ設定
					pDb.setParam(sqlXSI010F010.prmPATIENT_NO, clsDB.Enum_dbType.dbNVarChar)			'患者番号
					pDb.setParam(sqlXSI010F010.prmHSP_HISTORY_NO, clsDB.Enum_dbType.dbInt)		  '入退院歴番号
					pDb.setParam(sqlXSI010F010.prmCH_NO, clsDB.Enum_dbType.dbInt)				  '科歴番号
					pDb.setParam(sqlXSI010F010.prmCB_DT, clsDB.Enum_dbType.dbDateTime)			  '分娩日
					pDb.setParam(sqlXSI010F010.prmCB_AGE, clsDB.Enum_dbType.dbInt)				  '分娩時年齢
					pDb.setParam(sqlXSI010F010.prmCB_MONTH_AGE, clsDB.Enum_dbType.dbInt)			  '分娩時月齢
					pDb.setParam(sqlXSI010F010.prmGESTATIONAL_WEEK_COUNT, clsDB.Enum_dbType.dbInt) '在胎週数
					pDb.setParam(sqlXSI010F010.prmGESTATIONAL_DAY_COUNT, clsDB.Enum_dbType.dbInt)  '在胎日数
					pDb.setParam(sqlXSI010F010.prmCHD_COUNT, clsDB.Enum_dbType.dbInt)			  '児数
					pDb.setParam(sqlXSI010F010.prmCB_DIV1, clsDB.Enum_dbType.dbNVarChar)			'分娩区分コード１
					pDb.setParam(sqlXSI010F010.prmCB_DIV2, clsDB.Enum_dbType.dbNVarChar)			'分娩区分コード２
					pDb.setParam(sqlXSI010F010.prmCB_DIV3, clsDB.Enum_dbType.dbNVarChar)			'分娩区分コード３
					pDb.setParam(sqlXSI010F010.prmCB_DIV4, clsDB.Enum_dbType.dbNVarChar)			'分娩区分コード４
					pDb.setParam(sqlXSI010F010.prmPREMATURE_BIRTH, clsDB.Enum_dbType.dbInt)		  '早産
					pDb.setParam(sqlXSI010F010.prmMISCARRIAGE, clsDB.Enum_dbType.dbInt)			  '流産
					pDb.setParam(sqlXSI010F010.prmBLEEDING_VOLUME, clsDB.Enum_dbType.dbInt)		  '出血量
					pDb.setParam(sqlXSI010F010.prmCAESAREAN_OPE_CD, clsDB.Enum_dbType.dbNVarChar)	'帝王切開有無コード
					pDb.setParam(sqlXSI010F010.prmCB_CHK1, clsDB.Enum_dbType.dbInt)				  '分娩チェック項目１
					pDb.setParam(sqlXSI010F010.prmCB_CHK2, clsDB.Enum_dbType.dbInt)				  '分娩チェック項目２
					pDb.setParam(sqlXSI010F010.prmCB_CHK3, clsDB.Enum_dbType.dbInt)				  '分娩チェック項目３
					pDb.setParam(sqlXSI010F010.prmREMARKS, clsDB.Enum_dbType.dbNVarChar)			'備考
					pDb.setParam(sqlXSI010F010.prmDATA_CAPTURE_DT, clsDB.Enum_dbType.dbDateTime)	  '取込日
					pDb.setParam(sqlXSI010F010.prmNEW_REG_DT, clsDB.Enum_dbType.dbDateTime)		  '新規登録日
					pDb.setParam(sqlXSI010F010.prmLASTUPDUSER_CD, clsDB.Enum_dbType.dbNVarChar)		'更新者コード
					pDb.setParam(sqlXSI010F010.prmLASTUPD_DT, clsDB.Enum_dbType.dbDateTime)		  '更新日

					'値設定
					pDb.setVal(sqlXSI010F010.prmPATIENT_NO, cliMTI_CB.PATIENT_NO)						  '患者番号
					pDb.setVal(sqlXSI010F010.prmHSP_HISTORY_NO, cliMTI_CB.HSP_HISTORY_NO)				  '入退院歴番号
					pDb.setVal(sqlXSI010F010.prmCH_NO, cliMTI_CB.CH_NO)									  '科歴番号
					pDb.setVal(sqlXSI010F010.prmCB_DT, cliMTI_CB.CB_DT)									  '分娩日
					pDb.setVal(sqlXSI010F010.prmCB_AGE, cliMTI_CB.CB_AGE)								  '分娩時年齢
					pDb.setVal(sqlXSI010F010.prmCB_MONTH_AGE, cliMTI_CB.CB_MONTH_AGE)					  '分娩時月齢
					pDb.setVal(sqlXSI010F010.prmGESTATIONAL_WEEK_COUNT, cliMTI_CB.GESTATIONAL_WEEK_COUNT) '在胎週数
					pDb.setVal(sqlXSI010F010.prmGESTATIONAL_DAY_COUNT, cliMTI_CB.GESTATIONAL_DAY_COUNT)	  '在胎日数
					pDb.setVal(sqlXSI010F010.prmCHD_COUNT, cliMTI_CB.CHD_COUNT)							  '児数
					pDb.setVal(sqlXSI010F010.prmCB_DIV1, cliMTI_CB.CB_DIV1)								  '分娩区分コード１
					pDb.setVal(sqlXSI010F010.prmCB_DIV2, cliMTI_CB.CB_DIV2)								  '分娩区分コード２
					pDb.setVal(sqlXSI010F010.prmCB_DIV3, cliMTI_CB.CB_DIV3)								  '分娩区分コード３
					pDb.setVal(sqlXSI010F010.prmCB_DIV4, cliMTI_CB.CB_DIV4)								  '分娩区分コード４
					pDb.setVal(sqlXSI010F010.prmPREMATURE_BIRTH, cliMTI_CB.PREMATURE_BIRTH)				  '早産
					pDb.setVal(sqlXSI010F010.prmMISCARRIAGE, cliMTI_CB.MISCARRIAGE)						  '流産
					pDb.setVal(sqlXSI010F010.prmBLEEDING_VOLUME, cliMTI_CB.BLEEDING_VOLUME)				  '出血量
					pDb.setVal(sqlXSI010F010.prmCAESAREAN_OPE_CD, cliMTI_CB.CAESAREAN_OPE_CD)			  '帝王切開有無コード
					pDb.setVal(sqlXSI010F010.prmCB_CHK1, cliMTI_CB.CB_CHK1)								  '分娩チェック項目１
					pDb.setVal(sqlXSI010F010.prmCB_CHK2, cliMTI_CB.CB_CHK2)								  '分娩チェック項目２
					pDb.setVal(sqlXSI010F010.prmCB_CHK3, cliMTI_CB.CB_CHK3)								  '分娩チェック項目３
					pDb.setVal(sqlXSI010F010.prmREMARKS, cliMTI_CB.REMARKS)								  '備考
					pDb.setVal(sqlXSI010F010.prmDATA_CAPTURE_DT, DateTime.Now)							  '取込日
					pDb.setVal(sqlXSI010F010.prmNEW_REG_DT, DateTime.Now)								  '新規登録日
					pDb.setVal(sqlXSI010F010.prmLASTUPDUSER_CD, Me.cliXSI010F010._userID)				  '更新者コード
					pDb.setVal(sqlXSI010F010.prmLASTUPD_DT, DateTime.Now)								  '更新日


				Case Enum_SqlIdx.eDel '削除
					'SQL文設定
					pDb.setSQL(sqlXSI010F010.sqlDel_MTI_CB)

					'パラメータ設定
					pDb.setParam(sqlXSI010F010.prmPATIENT_NO, clsDB.Enum_dbType.dbNVarChar)	'患者番号
					pDb.setParam(sqlXSI010F010.prmHSP_HISTORY_NO, clsDB.Enum_dbType.dbInt) '入退院歴番号
					pDb.setParam(sqlXSI010F010.prmCH_NO, clsDB.Enum_dbType.dbInt)		  '科歴番号

					'値設定
					pDb.setVal(sqlXSI010F010.prmPATIENT_NO, cliMTI_CB.PATIENT_NO)		  '患者番号
					pDb.setVal(sqlXSI010F010.prmHSP_HISTORY_NO, cliMTI_CB.HSP_HISTORY_NO) '入退院歴番号
					pDb.setVal(sqlXSI010F010.prmCH_NO, cliMTI_CB.CH_NO)					  '科歴番号

			End Select

			'SQL実行
			pDb.execNonQuery(tran)
		Catch ex As Exception
			Throw
		End Try
	End Sub

	''' ---------------------------------------------
	''' <summary>
	''' 【分娩】分娩子情報SQLパラメータ設定
	''' </summary>
	''' <param name="pDb">DBクラス</param>
	''' <param name="tran">トランザクション制御</param>
	''' <param name="sqlIdx">SQL区分</param>
	''' <param name="cliMTI_CB_CHILD">分娩子データクラス</param>
	''' <remarks>
	''' 2010/10/29 新規作成　ACS)牟禮<BR/>
	''' </remarks>
	''' ---------------------------------------------
	Private Sub setSqlParam_MTI_CB_CHILD(ByVal pDb As clsDB, ByVal tran As Boolean, ByVal sqlIdx As Enum_SqlIdx, ByVal cliMTI_CB_CHILD As clsXSI_MTI_CB_CHILD)
		clsSysMst.logEx(clsSysMst.logLevel.DBG, "XSI", Me.GetType().Name, MethodBase.GetCurrentMethod().Name, "システム連携", "分娩連携", "【分娩】分娩子情報SQLパラメータ設定 Start")
		Try
			Select Case sqlIdx
				Case Enum_SqlIdx.eIns '登録
					'SQL文設定
					pDb.setSQL(sqlXSI010F010.sqlIns_MTI_CB_CHILD)

					'パラメータ設定
					pDb.setParam(sqlXSI010F010.prmPATIENT_NO, clsDB.Enum_dbType.dbNVarChar)			  '患者番号
					pDb.setParam(sqlXSI010F010.prmHSP_HISTORY_NO, clsDB.Enum_dbType.dbInt)			'入退院歴番号
					pDb.setParam(sqlXSI010F010.prmCH_NO, clsDB.Enum_dbType.dbInt)					'科歴番号
					pDb.setParam(sqlXSI010F010.prmCB_SERIAL_NO, clsDB.Enum_dbType.dbInt)				'分娩子連番
					pDb.setParam(sqlXSI010F010.prmGENDER_CD, clsDB.Enum_dbType.dbNVarChar)			  '性別コード
					pDb.setParam(sqlXSI010F010.prmNEWBORN_STATURE, clsDB.Enum_dbType.dbNumeric)		'新生児身長(@@ float)
					pDb.setParam(sqlXSI010F010.prmNEWBORN_WEIGHT, clsDB.Enum_dbType.dbInt)			'新生児体重
					pDb.setParam(sqlXSI010F010.prmAPGARSCORE_1MIN, clsDB.Enum_dbType.dbNVarChar)	  'アプガー指数１分
					pDb.setParam(sqlXSI010F010.prmAPGARSCORE_5MIN, clsDB.Enum_dbType.dbNVarChar)	  'アプガー指数５分
					pDb.setParam(sqlXSI010F010.prmIMMATURE, clsDB.Enum_dbType.dbInt)					'未熟
					pDb.setParam(sqlXSI010F010.prmDEFORMITY, clsDB.Enum_dbType.dbInt)				'奇形
					pDb.setParam(sqlXSI010F010.prmSTILLBIRTH, clsDB.Enum_dbType.dbInt)				'流死産
					pDb.setParam(sqlXSI010F010.prmCB_PTN1, clsDB.Enum_dbType.dbNVarChar)			  '分娩様式コード１
					pDb.setParam(sqlXSI010F010.prmCB_PTN2, clsDB.Enum_dbType.dbNVarChar)			  '分娩様式コード２
					pDb.setParam(sqlXSI010F010.prmCB_PTN3, clsDB.Enum_dbType.dbNVarChar)			  '分娩様式コード３
					pDb.setParam(sqlXSI010F010.prmCB_PTN4, clsDB.Enum_dbType.dbNVarChar)			  '分娩様式コード４
					pDb.setParam(sqlXSI010F010.prmNEWBORN_NO, clsDB.Enum_dbType.dbNVarChar)			  '新生児番号
					pDb.setParam(sqlXSI010F010.prmCHD_CB_DT, clsDB.Enum_dbType.dbDateTime)			'子分娩日
					pDb.setParam(sqlXSI010F010.prmCHD_CB_TIME, clsDB.Enum_dbType.dbNVarChar)		  '子分娩時刻
					pDb.setParam(sqlXSI010F010.prmCHD_BLOODTYPE_CD, clsDB.Enum_dbType.dbNVarChar)	  '子血液型コード
					pDb.setParam(sqlXSI010F010.prmCHD_RH_CD, clsDB.Enum_dbType.dbNVarChar)			  '子Ｒｈコード
					pDb.setParam(sqlXSI010F010.prmCHD_PATIENT_NO, clsDB.Enum_dbType.dbNVarChar)		  '子患者番号
					pDb.setParam(sqlXSI010F010.prmCHD_REMARKS, clsDB.Enum_dbType.dbNVarChar)		  '子備考
					pDb.setParam(sqlXSI010F010.prmCHD_CB_CHK1, clsDB.Enum_dbType.dbInt)				'子分娩チェック項目１
					pDb.setParam(sqlXSI010F010.prmCHD_CB_CHK2, clsDB.Enum_dbType.dbInt)				'子分娩チェック項目２
					pDb.setParam(sqlXSI010F010.prmCHD_CB_CHK3, clsDB.Enum_dbType.dbInt)				'子分娩チェック項目３
					pDb.setParam(sqlXSI010F010.prmCHD_CB_CHK4, clsDB.Enum_dbType.dbInt)				'子分娩チェック項目４
					pDb.setParam(sqlXSI010F010.prmCHD_CB_CHK5, clsDB.Enum_dbType.dbInt)				'子分娩チェック項目５
					pDb.setParam(sqlXSI010F010.prmLASTUPDUSER_CD, clsDB.Enum_dbType.dbNVarChar)		  '更新者コード
					pDb.setParam(sqlXSI010F010.prmLASTUPD_DT, clsDB.Enum_dbType.dbDateTime)			'更新日

					'値設定
					pDb.setVal(sqlXSI010F010.prmPATIENT_NO, cliMTI_CB_CHILD.PATIENT_NO)				'患者番号
					pDb.setVal(sqlXSI010F010.prmHSP_HISTORY_NO, cliMTI_CB_CHILD.HSP_HISTORY_NO)		'入退院歴番号
					pDb.setVal(sqlXSI010F010.prmCH_NO, cliMTI_CB_CHILD.CH_NO)						'科歴番号
					pDb.setVal(sqlXSI010F010.prmCB_SERIAL_NO, cliMTI_CB_CHILD.CB_SERIAL_NO)			'分娩子連番
					pDb.setVal(sqlXSI010F010.prmGENDER_CD, cliMTI_CB_CHILD.GENDER_CD)				'性別コード
					pDb.setVal(sqlXSI010F010.prmNEWBORN_STATURE, cliMTI_CB_CHILD.NEWBORN_STATURE)	'新生児身長
					pDb.setVal(sqlXSI010F010.prmNEWBORN_WEIGHT, cliMTI_CB_CHILD.NEWBORN_WEIGHT)		'新生児体重
					pDb.setVal(sqlXSI010F010.prmAPGARSCORE_1MIN, cliMTI_CB_CHILD.APGARSCORE_1MIN)	'アプガー指数１分
					pDb.setVal(sqlXSI010F010.prmAPGARSCORE_5MIN, cliMTI_CB_CHILD.APGARSCORE_5MIN)	'アプガー指数５分
					pDb.setVal(sqlXSI010F010.prmIMMATURE, cliMTI_CB_CHILD.IMMATURE)					'未熟
					pDb.setVal(sqlXSI010F010.prmDEFORMITY, cliMTI_CB_CHILD.DEFORMITY)				'奇形
					pDb.setVal(sqlXSI010F010.prmSTILLBIRTH, cliMTI_CB_CHILD.STILLBIRTH)				'流死産
					pDb.setVal(sqlXSI010F010.prmCB_PTN1, cliMTI_CB_CHILD.CB_PTN1)					'分娩様式コード１
					pDb.setVal(sqlXSI010F010.prmCB_PTN2, cliMTI_CB_CHILD.CB_PTN2)					'分娩様式コード２
					pDb.setVal(sqlXSI010F010.prmCB_PTN3, cliMTI_CB_CHILD.CB_PTN3)					'分娩様式コード３
					pDb.setVal(sqlXSI010F010.prmCB_PTN4, cliMTI_CB_CHILD.CB_PTN4)					'分娩様式コード４
					pDb.setVal(sqlXSI010F010.prmNEWBORN_NO, cliMTI_CB_CHILD.NEWBORN_NO)				'新生児番号
					pDb.setVal(sqlXSI010F010.prmCHD_CB_DT, cliMTI_CB_CHILD.CHD_CB_DT)				'子分娩日
					pDb.setVal(sqlXSI010F010.prmCHD_CB_TIME, cliMTI_CB_CHILD.CHD_CB_TIME)			'子分娩時刻
					pDb.setVal(sqlXSI010F010.prmCHD_BLOODTYPE_CD, cliMTI_CB_CHILD.CHD_BLOODTYPE_CD)	'子血液型コード
					pDb.setVal(sqlXSI010F010.prmCHD_RH_CD, cliMTI_CB_CHILD.CHD_RH_CD)				'子Ｒｈコード
					pDb.setVal(sqlXSI010F010.prmCHD_PATIENT_NO, cliMTI_CB_CHILD.CHD_PATIENT_NO)		'子患者番号
					pDb.setVal(sqlXSI010F010.prmCHD_REMARKS, cliMTI_CB_CHILD.CHD_REMARKS)			'子備考
					pDb.setVal(sqlXSI010F010.prmCHD_CB_CHK1, cliMTI_CB_CHILD.CHD_CB_CHK1)			'子分娩チェック項目１
					pDb.setVal(sqlXSI010F010.prmCHD_CB_CHK2, cliMTI_CB_CHILD.CHD_CB_CHK2)			'子分娩チェック項目２
					pDb.setVal(sqlXSI010F010.prmCHD_CB_CHK3, cliMTI_CB_CHILD.CHD_CB_CHK3)			'子分娩チェック項目３
					pDb.setVal(sqlXSI010F010.prmCHD_CB_CHK4, cliMTI_CB_CHILD.CHD_CB_CHK4)			'子分娩チェック項目４
					pDb.setVal(sqlXSI010F010.prmCHD_CB_CHK5, cliMTI_CB_CHILD.CHD_CB_CHK5)			'子分娩チェック項目５
					pDb.setVal(sqlXSI010F010.prmLASTUPDUSER_CD, Me.cliXSI010F010._userID)			'更新者コード
					pDb.setVal(sqlXSI010F010.prmLASTUPD_DT, DateTime.Now)							'更新日

				Case Enum_SqlIdx.eDel '削除
					'SQL文設定
					pDb.setSQL(sqlXSI010F010.sqlDel_MTI_CB_CHILD)

					'パラメータ設定
					pDb.setParam(sqlXSI010F010.prmPATIENT_NO, clsDB.Enum_dbType.dbNVarChar)		  '患者番号
					pDb.setParam(sqlXSI010F010.prmHSP_HISTORY_NO, clsDB.Enum_dbType.dbInt)		'入退院歴番号
					pDb.setParam(sqlXSI010F010.prmCH_NO, clsDB.Enum_dbType.dbInt)				'科歴番号

					'値設定
					pDb.setVal(sqlXSI010F010.prmPATIENT_NO, cliMTI_CB_CHILD.PATIENT_NO)			'患者番号
					pDb.setVal(sqlXSI010F010.prmHSP_HISTORY_NO, cliMTI_CB_CHILD.HSP_HISTORY_NO)	'入退院歴番号
					pDb.setVal(sqlXSI010F010.prmCH_NO, cliMTI_CB_CHILD.CH_NO)					'科歴番号

			End Select

			'SQL実行
			pDb.execNonQuery(tran)
		Catch ex As Exception
			Throw
		End Try
	End Sub

	''' ---------------------------------------------
	''' <summary>
	''' 【分娩】分娩子流死産情報SQLパラメータ設定
	''' </summary>
	''' <param name="pDb">DBクラス</param>
	''' <param name="tran">トランザクション制御</param>
	''' <param name="sqlIdx">SQL区分</param>
	''' <param name="cliMTI_CB_SB">分娩子流死産データクラス</param>
	''' <remarks>
	''' 2010/10/29 新規作成　ACS)牟禮<BR/>
	''' </remarks>
	''' ---------------------------------------------
	Private Sub setSqlParam_MTI_CB_SB(ByVal pDb As clsDB, ByVal tran As Boolean, ByVal sqlIdx As Enum_SqlIdx, ByVal cliMTI_CB_SB As clsXSI_MTI_CB_SB)
		clsSysMst.logEx(clsSysMst.logLevel.DBG, "XSI", Me.GetType().Name, MethodBase.GetCurrentMethod().Name, "システム連携", "分娩連携", "【分娩】分娩子流死産情報SQLパラメータ設定 Start")
		Try
			Select Case sqlIdx
				Case Enum_SqlIdx.eIns '登録
					'SQL文設定
					pDb.setSQL(sqlXSI010F010.sqlIns_MTI_CB_SB)

					'パラメータ設定
					pDb.setParam(sqlXSI010F010.prmPATIENT_NO, clsDB.Enum_dbType.dbNVarChar)				 '患者番号
					pDb.setParam(sqlXSI010F010.prmHSP_HISTORY_NO, clsDB.Enum_dbType.dbInt)			   '入退院歴番号
					pDb.setParam(sqlXSI010F010.prmCH_NO, clsDB.Enum_dbType.dbInt)					   '科歴番号
					pDb.setParam(sqlXSI010F010.prmCB_SERIAL_NO, clsDB.Enum_dbType.dbInt)				   '分娩子連番
					pDb.setParam(sqlXSI010F010.prmSB_NO, clsDB.Enum_dbType.dbNVarChar)					 '流死産番号
					pDb.setParam(sqlXSI010F010.prmSB_DT, clsDB.Enum_dbType.dbDateTime)				   '流死産日
					pDb.setParam(sqlXSI010F010.prmSB_TIME, clsDB.Enum_dbType.dbNVarChar)				 '流死産時刻
					pDb.setParam(sqlXSI010F010.prmWEEK_COUNT, clsDB.Enum_dbType.dbInt)				   '週数
					pDb.setParam(sqlXSI010F010.prmSB_LCT, clsDB.Enum_dbType.dbNVarChar)					 '流死産場所コード
					pDb.setParam(sqlXSI010F010.prmAUTOPSY_CHK, clsDB.Enum_dbType.dbNVarChar)			 '剖検有無コード
					pDb.setParam(sqlXSI010F010.prmAUTOPSY_NO, clsDB.Enum_dbType.dbNVarChar)				 '剖検番号
					pDb.setParam(sqlXSI010F010.prmINDUCED_ABORTION_CHK, clsDB.Enum_dbType.dbNVarChar)	 '人工中絶有無コード
					pDb.setParam(sqlXSI010F010.prmMOTHER_CMPC_CHK, clsDB.Enum_dbType.dbNVarChar)		 '母体合併症有無コード
					pDb.setParam(sqlXSI010F010.prmREMARKS, clsDB.Enum_dbType.dbNVarChar)				 'コメント
					pDb.setParam(sqlXSI010F010.prmLASTUPDUSER_CD, clsDB.Enum_dbType.dbNVarChar)			 '更新者コード
					pDb.setParam(sqlXSI010F010.prmLASTUPD_DT, clsDB.Enum_dbType.dbDateTime)			   '更新日

					'値設定
					pDb.setVal(sqlXSI010F010.prmPATIENT_NO, cliMTI_CB_SB.PATIENT_NO)					   '患者番号
					pDb.setVal(sqlXSI010F010.prmHSP_HISTORY_NO, cliMTI_CB_SB.HSP_HISTORY_NO)			   '入退院歴番号
					pDb.setVal(sqlXSI010F010.prmCH_NO, cliMTI_CB_SB.CH_NO)								   '科歴番号
					pDb.setVal(sqlXSI010F010.prmCB_SERIAL_NO, cliMTI_CB_SB.CB_SERIAL_NO)				   '分娩子連番
					pDb.setVal(sqlXSI010F010.prmSB_NO, cliMTI_CB_SB.SB_NO)								   '流死産番号
					pDb.setVal(sqlXSI010F010.prmSB_DT, cliMTI_CB_SB.SB_DT)								   '流死産日
					pDb.setVal(sqlXSI010F010.prmSB_TIME, cliMTI_CB_SB.SB_TIME)							   '流死産時刻
					pDb.setVal(sqlXSI010F010.prmWEEK_COUNT, cliMTI_CB_SB.WEEK_COUNT)					   '週数
					pDb.setVal(sqlXSI010F010.prmSB_LCT, cliMTI_CB_SB.SB_LCT)							   '流死産場所コード
					pDb.setVal(sqlXSI010F010.prmAUTOPSY_CHK, cliMTI_CB_SB.AUTOPSY_CHK)					   '剖検有無コード
					pDb.setVal(sqlXSI010F010.prmAUTOPSY_NO, cliMTI_CB_SB.AUTOPSY_NO)					   '剖検番号
					pDb.setVal(sqlXSI010F010.prmINDUCED_ABORTION_CHK, cliMTI_CB_SB.INDUCED_ABORTION_CHK)   '人工中絶有無コード
					pDb.setVal(sqlXSI010F010.prmMOTHER_CMPC_CHK, cliMTI_CB_SB.MOTHER_CMPC_CHK)			   '母体合併症有無コード
					pDb.setVal(sqlXSI010F010.prmREMARKS, cliMTI_CB_SB.REMARKS)							   'コメント
					pDb.setVal(sqlXSI010F010.prmLASTUPDUSER_CD, Me.cliXSI010F010._userID)				   '更新者コード
					pDb.setVal(sqlXSI010F010.prmLASTUPD_DT, DateTime.Now)								   '更新日


				Case Enum_SqlIdx.eDel '削除
					'SQL文設定
					pDb.setSQL(sqlXSI010F010.sqlDel_MTI_CB_SB)

					'パラメータ設定
					pDb.setParam(sqlXSI010F010.prmPATIENT_NO, clsDB.Enum_dbType.dbNVarChar)		  '患者番号
					pDb.setParam(sqlXSI010F010.prmHSP_HISTORY_NO, clsDB.Enum_dbType.dbInt)		'入退院歴番号
					pDb.setParam(sqlXSI010F010.prmCH_NO, clsDB.Enum_dbType.dbInt)				'科歴番号

					'値設定
					pDb.setVal(sqlXSI010F010.prmPATIENT_NO, cliMTI_CB_SB.PATIENT_NO)		 '患者番号
					pDb.setVal(sqlXSI010F010.prmHSP_HISTORY_NO, cliMTI_CB_SB.HSP_HISTORY_NO) '入退院歴番号
					pDb.setVal(sqlXSI010F010.prmCH_NO, cliMTI_CB_SB.CH_NO)					 '科歴番号

			End Select

			'SQL実行
			pDb.execNonQuery(tran)
		Catch ex As Exception
			Throw
		End Try
	End Sub

	''' ---------------------------------------------
	''' <summary>
	''' 【分娩】ログSQL登録
	''' </summary>
	''' <param name="pDb">DBクラス</param>
	''' <param name="cliOneCsvData">連携ファイル1行データ</param>
	''' <remarks>
	''' 2010/10/29 新規作成 ACS)牟禮<BR/>
	''' </remarks>
	''' ---------------------------------------------
	Private Sub setSqlParam_MTT_IMP_LOG(ByVal pDb As clsDB, ByVal cliOneCsvData As clsXSI_MTT_IMP_LOG_CB)
		clsSysMst.logEx(clsSysMst.logLevel.DBG, "XSI", Me.GetType().Name, MethodBase.GetCurrentMethod().Name, "システム連携", "分娩連携", "【分娩】ログ登録 Start")
		Try
			'SQL文設定
			pDb.setSQL(sqlXSI010F010.sqlIns_MTT_IMP_LOG_CB)

			'パラメータ設定
			pDb.setParam(sqlXSI010F010.prmREG_DT, clsDB.Enum_dbType.dbDateTime)					  '登録日
			pDb.setParam(sqlXSI010F010.prmSERIAL_NO, clsDB.Enum_dbType.dbInt)					  '連番
			pDb.setParam(sqlXSI010F010.prmERR_FLG, clsDB.Enum_dbType.dbInt)						  'エラーフラグ
			pDb.setParam(sqlXSI010F010.prmDATA_TYPE, clsDB.Enum_dbType.dbNVarChar)					'データ種別
			pDb.setParam(sqlXSI010F010.prmPATIENT_NO, clsDB.Enum_dbType.dbNVarChar)					'患者番号
			pDb.setParam(sqlXSI010F010.prmDEPT_CD, clsDB.Enum_dbType.dbNVarChar)					'診療科コード
			pDb.setParam(sqlXSI010F010.prmHSP_DT, clsDB.Enum_dbType.dbNVarChar)						'入院日
			pDb.setParam(sqlXSI010F010.prmCB_DT, clsDB.Enum_dbType.dbNVarChar)						'分娩日
			pDb.setParam(sqlXSI010F010.prmGESTATIONAL_WEEK_COUNT, clsDB.Enum_dbType.dbNVarChar)		'在胎週数
			pDb.setParam(sqlXSI010F010.prmGESTATIONAL_DAY_COUNT, clsDB.Enum_dbType.dbNVarChar)		'在胎日数
			pDb.setParam(sqlXSI010F010.prmCHD_COUNT, clsDB.Enum_dbType.dbNVarChar)					'児数
			pDb.setParam(sqlXSI010F010.prmCB_DIV1, clsDB.Enum_dbType.dbNVarChar)					'分娩区分コード１
			pDb.setParam(sqlXSI010F010.prmCB_DIV2, clsDB.Enum_dbType.dbNVarChar)					'分娩区分コード２
			pDb.setParam(sqlXSI010F010.prmCB_DIV3, clsDB.Enum_dbType.dbNVarChar)					'分娩区分コード３
			pDb.setParam(sqlXSI010F010.prmCB_DIV4, clsDB.Enum_dbType.dbNVarChar)					'分娩区分コード４
			pDb.setParam(sqlXSI010F010.prmPREMATURE_BIRTH, clsDB.Enum_dbType.dbNVarChar)			'早産
			pDb.setParam(sqlXSI010F010.prmMISCARRIAGE, clsDB.Enum_dbType.dbNVarChar)				'流産
			pDb.setParam(sqlXSI010F010.prmCB_CHK1, clsDB.Enum_dbType.dbNVarChar)					'チェック項目１
			pDb.setParam(sqlXSI010F010.prmCB_CHK2, clsDB.Enum_dbType.dbNVarChar)					'チェック項目２
			pDb.setParam(sqlXSI010F010.prmCB_CHK3, clsDB.Enum_dbType.dbNVarChar)					'チェック項目３
			pDb.setParam(sqlXSI010F010.prmBLEEDING_VOLUME, clsDB.Enum_dbType.dbNVarChar)			'出血量
			pDb.setParam(sqlXSI010F010.prmCAESAREAN_OPE_CD, clsDB.Enum_dbType.dbNVarChar)			'帝王切開有無コード
			pDb.setParam(sqlXSI010F010.prmREMARKS, clsDB.Enum_dbType.dbNVarChar)					'備考
			pDb.setParam(sqlXSI010F010.prmCHD1_GENDER_CD, clsDB.Enum_dbType.dbNVarChar)				'子１性別コード
			pDb.setParam(sqlXSI010F010.prmCHD1_CB_DT, clsDB.Enum_dbType.dbNVarChar)					'子１分娩日
			pDb.setParam(sqlXSI010F010.prmCHD1_CB_TIME, clsDB.Enum_dbType.dbNVarChar)				'子１分娩時刻
			pDb.setParam(sqlXSI010F010.prmCHD1_BLOODTYPE_CD, clsDB.Enum_dbType.dbNVarChar)			'子１血液型コード
			pDb.setParam(sqlXSI010F010.prmCHD1_RH_CD, clsDB.Enum_dbType.dbNVarChar)					'子１Ｒｈコード
			pDb.setParam(sqlXSI010F010.prmCHD1_NEWBORN_NO, clsDB.Enum_dbType.dbNVarChar)			'子１新生児番号
			pDb.setParam(sqlXSI010F010.prmCHD1_PATIENT_NO, clsDB.Enum_dbType.dbNVarChar)			'子１患者番号
			pDb.setParam(sqlXSI010F010.prmCHD1_NEWBORN_WEIGHT, clsDB.Enum_dbType.dbNVarChar)		'子１新生児体重
			pDb.setParam(sqlXSI010F010.prmCHD1_APGARSCORE_1MIN, clsDB.Enum_dbType.dbNVarChar)		'子１アプガー指数１分
			pDb.setParam(sqlXSI010F010.prmCHD1_APGARSCORE_5MIN, clsDB.Enum_dbType.dbNVarChar)		'子１アプガー指数５分
			pDb.setParam(sqlXSI010F010.prmCHD1_IMMATURE, clsDB.Enum_dbType.dbNVarChar)				'子１未熟
			pDb.setParam(sqlXSI010F010.prmCHD1_DEFORMITY, clsDB.Enum_dbType.dbNVarChar)				'子１奇形
			pDb.setParam(sqlXSI010F010.prmCHD1_SB, clsDB.Enum_dbType.dbNVarChar)					'子１流死産
			pDb.setParam(sqlXSI010F010.prmCHD1_CB_DIV3, clsDB.Enum_dbType.dbNVarChar)				'子１分娩区分コード３
			pDb.setParam(sqlXSI010F010.prmCHD1_CB_DIV4, clsDB.Enum_dbType.dbNVarChar)				'子１分娩区分コード４
			pDb.setParam(sqlXSI010F010.prmCHD1_CB_DIV5, clsDB.Enum_dbType.dbNVarChar)				'子１分娩区分コード５
			pDb.setParam(sqlXSI010F010.prmCHD1_CB_DIV6, clsDB.Enum_dbType.dbNVarChar)				'子１分娩区分コード６
			pDb.setParam(sqlXSI010F010.prmCHD1_CHK1, clsDB.Enum_dbType.dbNVarChar)					'子１チェック項目１
			pDb.setParam(sqlXSI010F010.prmCHD1_CHK2, clsDB.Enum_dbType.dbNVarChar)					'子１チェック項目２
			pDb.setParam(sqlXSI010F010.prmCHD1_CHK3, clsDB.Enum_dbType.dbNVarChar)					'子１チェック項目３
			pDb.setParam(sqlXSI010F010.prmCHD1_CHK4, clsDB.Enum_dbType.dbNVarChar)					'子１チェック項目４
			pDb.setParam(sqlXSI010F010.prmCHD1_CHK5, clsDB.Enum_dbType.dbNVarChar)					'子１チェック項目５
			pDb.setParam(sqlXSI010F010.prmCHD1_REMARKS, clsDB.Enum_dbType.dbNVarChar)				'子１備考
			pDb.setParam(sqlXSI010F010.prmCHD1_SB_NO, clsDB.Enum_dbType.dbNVarChar)					'子１流死産番号
			pDb.setParam(sqlXSI010F010.prmCHD1_SB_DT, clsDB.Enum_dbType.dbNVarChar)					'子１流死産日
			pDb.setParam(sqlXSI010F010.prmCHD1_SB_TIME, clsDB.Enum_dbType.dbNVarChar)				'子１流死産時刻
			pDb.setParam(sqlXSI010F010.prmCHD1_SB_WEEK_COUNT, clsDB.Enum_dbType.dbNVarChar)			'子１流死産週数
			pDb.setParam(sqlXSI010F010.prmCHD1_SB_LCT_CD, clsDB.Enum_dbType.dbNVarChar)				'子１流死産場所コード
			pDb.setParam(sqlXSI010F010.prmCHD1_AUTOPSY_CHK, clsDB.Enum_dbType.dbNVarChar)			'子１剖検有無コード
			pDb.setParam(sqlXSI010F010.prmCHD1_AUTOPSY_NO, clsDB.Enum_dbType.dbNVarChar)			'子１剖検番号
			pDb.setParam(sqlXSI010F010.prmCHD1_INDUCED_ABORTION_CHK, clsDB.Enum_dbType.dbNVarChar)	'子１人工中絶有無コード
			pDb.setParam(sqlXSI010F010.prmCHD1_MOTHER_CMPC_CHK, clsDB.Enum_dbType.dbNVarChar)		'子１母体合併症有無コード
			pDb.setParam(sqlXSI010F010.prmCHD1_COMMENT, clsDB.Enum_dbType.dbNVarChar)				'子１コメント
			pDb.setParam(sqlXSI010F010.prmCHD2_GENDER_CD, clsDB.Enum_dbType.dbNVarChar)				'子２性別コード
			pDb.setParam(sqlXSI010F010.prmCHD2_CB_DT, clsDB.Enum_dbType.dbNVarChar)					'子２分娩日
			pDb.setParam(sqlXSI010F010.prmCHD2_CB_TIME, clsDB.Enum_dbType.dbNVarChar)				'子２分娩時刻
			pDb.setParam(sqlXSI010F010.prmCHD2_BLOODTYPE_CD, clsDB.Enum_dbType.dbNVarChar)			'子２血液型コード
			pDb.setParam(sqlXSI010F010.prmCHD2_RH_CD, clsDB.Enum_dbType.dbNVarChar)					'子２Ｒｈコード
			pDb.setParam(sqlXSI010F010.prmCHD2_NEWBORN_NO, clsDB.Enum_dbType.dbNVarChar)			'子２新生児番号
			pDb.setParam(sqlXSI010F010.prmCHD2_PATIENT_NO, clsDB.Enum_dbType.dbNVarChar)			'子２患者番号
			pDb.setParam(sqlXSI010F010.prmCHD2_NEWBORN_WEIGHT, clsDB.Enum_dbType.dbNVarChar)		'子２新生児体重
			pDb.setParam(sqlXSI010F010.prmCHD2_APGARSCORE_1MIN, clsDB.Enum_dbType.dbNVarChar)		'子２アプガー指数１分
			pDb.setParam(sqlXSI010F010.prmCHD2_APGARSCORE_5MIN, clsDB.Enum_dbType.dbNVarChar)		'子２アプガー指数５分
			pDb.setParam(sqlXSI010F010.prmCHD2_IMMATURE, clsDB.Enum_dbType.dbNVarChar)				'子２未熟
			pDb.setParam(sqlXSI010F010.prmCHD2_DEFORMITY, clsDB.Enum_dbType.dbNVarChar)				'子２奇形
			pDb.setParam(sqlXSI010F010.prmCHD2_SB, clsDB.Enum_dbType.dbNVarChar)					'子２流死産
			pDb.setParam(sqlXSI010F010.prmCHD2_CB_DIV3, clsDB.Enum_dbType.dbNVarChar)				'子２分娩区分コード３
			pDb.setParam(sqlXSI010F010.prmCHD2_CB_DIV4, clsDB.Enum_dbType.dbNVarChar)				'子２分娩区分コード４
			pDb.setParam(sqlXSI010F010.prmCHD2_CB_DIV5, clsDB.Enum_dbType.dbNVarChar)				'子２分娩区分コード５
			pDb.setParam(sqlXSI010F010.prmCHD2_CB_DIV6, clsDB.Enum_dbType.dbNVarChar)				'子２分娩区分コード６
			pDb.setParam(sqlXSI010F010.prmCHD2_CHK1, clsDB.Enum_dbType.dbNVarChar)					'子２チェック項目１
			pDb.setParam(sqlXSI010F010.prmCHD2_CHK2, clsDB.Enum_dbType.dbNVarChar)					'子２チェック項目２
			pDb.setParam(sqlXSI010F010.prmCHD2_CHK3, clsDB.Enum_dbType.dbNVarChar)					'子２チェック項目３
			pDb.setParam(sqlXSI010F010.prmCHD2_CHK4, clsDB.Enum_dbType.dbNVarChar)					'子２チェック項目４
			pDb.setParam(sqlXSI010F010.prmCHD2_CHK5, clsDB.Enum_dbType.dbNVarChar)					'子２チェック項目５
			pDb.setParam(sqlXSI010F010.prmCHD2_REMARKS, clsDB.Enum_dbType.dbNVarChar)				'子２備考
			pDb.setParam(sqlXSI010F010.prmCHD2_SB_NO, clsDB.Enum_dbType.dbNVarChar)					'子２流死産番号
			pDb.setParam(sqlXSI010F010.prmCHD2_SB_DT, clsDB.Enum_dbType.dbNVarChar)					'子２流死産日
			pDb.setParam(sqlXSI010F010.prmCHD2_SB_TIME, clsDB.Enum_dbType.dbNVarChar)				'子２流死産時刻
			pDb.setParam(sqlXSI010F010.prmCHD2_SB_WEEK_COUNT, clsDB.Enum_dbType.dbNVarChar)			'子２流死産週数
			pDb.setParam(sqlXSI010F010.prmCHD2_SB_LCT_CD, clsDB.Enum_dbType.dbNVarChar)				'子２流死産場所コード
			pDb.setParam(sqlXSI010F010.prmCHD2_AUTOPSY_CHK, clsDB.Enum_dbType.dbNVarChar)			'子２剖検有無コード
			pDb.setParam(sqlXSI010F010.prmCHD2_AUTOPSY_NO, clsDB.Enum_dbType.dbNVarChar)			'子２剖検番号
			pDb.setParam(sqlXSI010F010.prmCHD2_INDUCED_ABORTION_CHK, clsDB.Enum_dbType.dbNVarChar)	'子２人工中絶有無コード
			pDb.setParam(sqlXSI010F010.prmCHD2_MOTHER_CMPC_CHK, clsDB.Enum_dbType.dbNVarChar)		'子２母体合併症有無コード
			pDb.setParam(sqlXSI010F010.prmCHD2_COMMENT, clsDB.Enum_dbType.dbNVarChar)				'子２コメント
			pDb.setParam(sqlXSI010F010.prmCHD3_GENDER_CD, clsDB.Enum_dbType.dbNVarChar)				'子３性別コード
			pDb.setParam(sqlXSI010F010.prmCHD3_CB_DT, clsDB.Enum_dbType.dbNVarChar)					'子３分娩日
			pDb.setParam(sqlXSI010F010.prmCHD3_CB_TIME, clsDB.Enum_dbType.dbNVarChar)				'子３分娩時刻
			pDb.setParam(sqlXSI010F010.prmCHD3_BLOODTYPE_CD, clsDB.Enum_dbType.dbNVarChar)			'子３血液型コード
			pDb.setParam(sqlXSI010F010.prmCHD3_RH_CD, clsDB.Enum_dbType.dbNVarChar)					'子３Ｒｈコード
			pDb.setParam(sqlXSI010F010.prmCHD3_NEWBORN_NO, clsDB.Enum_dbType.dbNVarChar)			'子３新生児番号
			pDb.setParam(sqlXSI010F010.prmCHD3_PATIENT_NO, clsDB.Enum_dbType.dbNVarChar)			'子３患者番号
			pDb.setParam(sqlXSI010F010.prmCHD3_NEWBORN_WEIGHT, clsDB.Enum_dbType.dbNVarChar)		'子３新生児体重
			pDb.setParam(sqlXSI010F010.prmCHD3_APGARSCORE_1MIN, clsDB.Enum_dbType.dbNVarChar)		'子３アプガー指数１分
			pDb.setParam(sqlXSI010F010.prmCHD3_APGARSCORE_5MIN, clsDB.Enum_dbType.dbNVarChar)		'子３アプガー指数５分
			pDb.setParam(sqlXSI010F010.prmCHD3_IMMATURE, clsDB.Enum_dbType.dbNVarChar)				'子３未熟
			pDb.setParam(sqlXSI010F010.prmCHD3_DEFORMITY, clsDB.Enum_dbType.dbNVarChar)				'子３奇形
			pDb.setParam(sqlXSI010F010.prmCHD3_SB, clsDB.Enum_dbType.dbNVarChar)					'子３流死産
			pDb.setParam(sqlXSI010F010.prmCHD3_CB_DIV3, clsDB.Enum_dbType.dbNVarChar)				'子３分娩区分コード３
			pDb.setParam(sqlXSI010F010.prmCHD3_CB_DIV4, clsDB.Enum_dbType.dbNVarChar)				'子３分娩区分コード４
			pDb.setParam(sqlXSI010F010.prmCHD3_CB_DIV5, clsDB.Enum_dbType.dbNVarChar)				'子３分娩区分コード５
			pDb.setParam(sqlXSI010F010.prmCHD3_CB_DIV6, clsDB.Enum_dbType.dbNVarChar)				'子３分娩区分コード６
			pDb.setParam(sqlXSI010F010.prmCHD3_CHK1, clsDB.Enum_dbType.dbNVarChar)					'子３チェック項目１
			pDb.setParam(sqlXSI010F010.prmCHD3_CHK2, clsDB.Enum_dbType.dbNVarChar)					'子３チェック項目２
			pDb.setParam(sqlXSI010F010.prmCHD3_CHK3, clsDB.Enum_dbType.dbNVarChar)					'子３チェック項目３
			pDb.setParam(sqlXSI010F010.prmCHD3_CHK4, clsDB.Enum_dbType.dbNVarChar)					'子３チェック項目４
			pDb.setParam(sqlXSI010F010.prmCHD3_CHK5, clsDB.Enum_dbType.dbNVarChar)					'子３チェック項目５
			pDb.setParam(sqlXSI010F010.prmCHD3_REMARKS, clsDB.Enum_dbType.dbNVarChar)				'子３備考
			pDb.setParam(sqlXSI010F010.prmCHD3_SB_NO, clsDB.Enum_dbType.dbNVarChar)					'子３流死産番号
			pDb.setParam(sqlXSI010F010.prmCHD3_SB_DT, clsDB.Enum_dbType.dbNVarChar)					'子３流死産日
			pDb.setParam(sqlXSI010F010.prmCHD3_SB_TIME, clsDB.Enum_dbType.dbNVarChar)				'子３流死産時刻
			pDb.setParam(sqlXSI010F010.prmCHD3_SB_WEEK_COUNT, clsDB.Enum_dbType.dbNVarChar)			'子３流死産週数
			pDb.setParam(sqlXSI010F010.prmCHD3_SB_LCT_CD, clsDB.Enum_dbType.dbNVarChar)				'子３流死産場所コード
			pDb.setParam(sqlXSI010F010.prmCHD3_AUTOPSY_CHK, clsDB.Enum_dbType.dbNVarChar)			'子３剖検有無コード
			pDb.setParam(sqlXSI010F010.prmCHD3_AUTOPSY_NO, clsDB.Enum_dbType.dbNVarChar)			'子３剖検番号
			pDb.setParam(sqlXSI010F010.prmCHD3_INDUCED_ABORTION_CHK, clsDB.Enum_dbType.dbNVarChar)	'子３人工中絶有無コード
			pDb.setParam(sqlXSI010F010.prmCHD3_MOTHER_CMPC_CHK, clsDB.Enum_dbType.dbNVarChar)		'子３母体合併症有無コード
			pDb.setParam(sqlXSI010F010.prmCHD3_COMMENT, clsDB.Enum_dbType.dbNVarChar)				'子３コメント
			pDb.setParam(sqlXSI010F010.prmSPARE01, clsDB.Enum_dbType.dbNVarChar)					'予備１
			pDb.setParam(sqlXSI010F010.prmSPARE02, clsDB.Enum_dbType.dbNVarChar)					'予備２
			pDb.setParam(sqlXSI010F010.prmSPARE03, clsDB.Enum_dbType.dbNVarChar)					'予備３
			pDb.setParam(sqlXSI010F010.prmSPARE04, clsDB.Enum_dbType.dbNVarChar)					'予備４
			pDb.setParam(sqlXSI010F010.prmMODULE_CD, clsDB.Enum_dbType.dbNVarChar)					'モジュールコード
			pDb.setParam(sqlXSI010F010.prmERR_CD, clsDB.Enum_dbType.dbNVarChar)						'エラーコード
			pDb.setParam(sqlXSI010F010.prmMESSAGE, clsDB.Enum_dbType.dbNVarChar)					'メッセージ
			pDb.setParam(sqlXSI010F010.prmLASTUPDUSER_CD, clsDB.Enum_dbType.dbNVarChar)				'更新者コード
			pDb.setParam(sqlXSI010F010.prmLASTUPD_DT, clsDB.Enum_dbType.dbDateTime)				  '更新日
			pDb.setParam(sqlXSI010F010.prmCHD1_NEWBORN_STATURE, clsDB.Enum_dbType.dbNVarChar)		'子１新生児身長
			pDb.setParam(sqlXSI010F010.prmCHD2_NEWBORN_STATURE, clsDB.Enum_dbType.dbNVarChar)		'子２新生児身長
			pDb.setParam(sqlXSI010F010.prmCHD3_NEWBORN_STATURE, clsDB.Enum_dbType.dbNVarChar)		'子３新生児身長

			'値設定
			pDb.setVal(sqlXSI010F010.prmREG_DT, DateTime.Now)												  '登録日
			pDb.setVal(sqlXSI010F010.prmSERIAL_NO, cliOneCsvData.SERIAL_NO)									  '連番
			pDb.setVal(sqlXSI010F010.prmERR_FLG, cliOneCsvData.ERR_FLG)										  'エラーフラグ
			pDb.setVal(sqlXSI010F010.prmDATA_TYPE, cliOneCsvData.DATA_TYPE)									  'データ種別
			pDb.setVal(sqlXSI010F010.prmPATIENT_NO, cliOneCsvData.PATIENT_NO)								  '患者番号
			pDb.setVal(sqlXSI010F010.prmDEPT_CD, cliOneCsvData.DEPT_CD)										  '診療科コード
			pDb.setVal(sqlXSI010F010.prmHSP_DT, cliOneCsvData.HSP_DT)										  '入院日
			pDb.setVal(sqlXSI010F010.prmCB_DT, cliOneCsvData.CB_DT)											  '分娩日
			pDb.setVal(sqlXSI010F010.prmGESTATIONAL_WEEK_COUNT, cliOneCsvData.GESTATIONAL_WEEK_COUNT)		  '在胎週数
			pDb.setVal(sqlXSI010F010.prmGESTATIONAL_DAY_COUNT, cliOneCsvData.GESTATIONAL_DAY_COUNT)			  '在胎日数
			pDb.setVal(sqlXSI010F010.prmCHD_COUNT, cliOneCsvData.CHD_COUNT)									  '児数
			pDb.setVal(sqlXSI010F010.prmCB_DIV1, cliOneCsvData.CB_DIV1)										  '分娩区分コード１
			pDb.setVal(sqlXSI010F010.prmCB_DIV2, cliOneCsvData.CB_DIV2)										  '分娩区分コード２
			pDb.setVal(sqlXSI010F010.prmCB_DIV3, cliOneCsvData.CB_DIV3)										  '分娩区分コード３
			pDb.setVal(sqlXSI010F010.prmCB_DIV4, cliOneCsvData.CB_DIV4)										  '分娩区分コード４
			pDb.setVal(sqlXSI010F010.prmPREMATURE_BIRTH, cliOneCsvData.PREMATURE_BIRTH)						  '早産
			pDb.setVal(sqlXSI010F010.prmMISCARRIAGE, cliOneCsvData.MISCARRIAGE)								  '流産
			pDb.setVal(sqlXSI010F010.prmCB_CHK1, cliOneCsvData.CB_CHK1)										  'チェック項目１
			pDb.setVal(sqlXSI010F010.prmCB_CHK2, cliOneCsvData.CB_CHK2)										  'チェック項目２
			pDb.setVal(sqlXSI010F010.prmCB_CHK3, cliOneCsvData.CB_CHK3)										  'チェック項目３
			pDb.setVal(sqlXSI010F010.prmBLEEDING_VOLUME, cliOneCsvData.BLEEDING_VOLUME)						  '出血量
			pDb.setVal(sqlXSI010F010.prmCAESAREAN_OPE_CD, cliOneCsvData.CAESAREAN_OPE_CD)					  '帝王切開有無コード
			pDb.setVal(sqlXSI010F010.prmREMARKS, cliOneCsvData.REMARKS)										  '備考
			pDb.setVal(sqlXSI010F010.prmCHD1_GENDER_CD, cliOneCsvData.CHD1_GENDER_CD)						  '子１性別コード
			pDb.setVal(sqlXSI010F010.prmCHD1_CB_DT, cliOneCsvData.CHD1_CB_DT)								  '子１分娩日
			pDb.setVal(sqlXSI010F010.prmCHD1_CB_TIME, cliOneCsvData.CHD1_CB_TIME)							  '子１分娩時刻
			pDb.setVal(sqlXSI010F010.prmCHD1_BLOODTYPE_CD, cliOneCsvData.CHD1_BLOODTYPE_CD)					  '子１血液型コード
			pDb.setVal(sqlXSI010F010.prmCHD1_RH_CD, cliOneCsvData.CHD1_RH_CD)								  '子１Ｒｈコード
			pDb.setVal(sqlXSI010F010.prmCHD1_NEWBORN_NO, cliOneCsvData.CHD1_NEWBORN_NO)						  '子１新生児番号
			pDb.setVal(sqlXSI010F010.prmCHD1_PATIENT_NO, cliOneCsvData.CHD1_PATIENT_NO)						  '子１患者番号
			pDb.setVal(sqlXSI010F010.prmCHD1_NEWBORN_WEIGHT, cliOneCsvData.CHD1_NEWBORN_WEIGHT)				  '子１新生児体重
			pDb.setVal(sqlXSI010F010.prmCHD1_APGARSCORE_1MIN, cliOneCsvData.CHD1_APGARSCORE_1MIN)			  '子１アプガー指数１分
			pDb.setVal(sqlXSI010F010.prmCHD1_APGARSCORE_5MIN, cliOneCsvData.CHD1_APGARSCORE_5MIN)			  '子１アプガー指数５分
			pDb.setVal(sqlXSI010F010.prmCHD1_IMMATURE, cliOneCsvData.CHD1_IMMATURE)							  '子１未熟
			pDb.setVal(sqlXSI010F010.prmCHD1_DEFORMITY, cliOneCsvData.CHD1_DEFORMITY)						  '子１奇形
			pDb.setVal(sqlXSI010F010.prmCHD1_SB, cliOneCsvData.CHD1_SB)										  '子１流死産
			pDb.setVal(sqlXSI010F010.prmCHD1_CB_DIV3, cliOneCsvData.CHD1_CB_DIV3)							  '子１分娩区分コード３
			pDb.setVal(sqlXSI010F010.prmCHD1_CB_DIV4, cliOneCsvData.CHD1_CB_DIV4)							  '子１分娩区分コード４
			pDb.setVal(sqlXSI010F010.prmCHD1_CB_DIV5, cliOneCsvData.CHD1_CB_DIV5)							  '子１分娩区分コード５
			pDb.setVal(sqlXSI010F010.prmCHD1_CB_DIV6, cliOneCsvData.CHD1_CB_DIV6)							  '子１分娩区分コード６
			pDb.setVal(sqlXSI010F010.prmCHD1_CHK1, cliOneCsvData.CHD1_CHK1)									  '子１チェック項目１
			pDb.setVal(sqlXSI010F010.prmCHD1_CHK2, cliOneCsvData.CHD1_CHK2)									  '子１チェック項目２
			pDb.setVal(sqlXSI010F010.prmCHD1_CHK3, cliOneCsvData.CHD1_CHK3)									  '子１チェック項目３
			pDb.setVal(sqlXSI010F010.prmCHD1_CHK4, cliOneCsvData.CHD1_CHK4)									  '子１チェック項目４
			pDb.setVal(sqlXSI010F010.prmCHD1_CHK5, cliOneCsvData.CHD1_CHK5)									  '子１チェック項目５
			pDb.setVal(sqlXSI010F010.prmCHD1_REMARKS, cliOneCsvData.CHD1_REMARKS)							  '子１備考
			pDb.setVal(sqlXSI010F010.prmCHD1_SB_NO, cliOneCsvData.CHD1_SB_NO)								  '子１流死産番号
			pDb.setVal(sqlXSI010F010.prmCHD1_SB_DT, cliOneCsvData.CHD1_SB_DT)								  '子１流死産日
			pDb.setVal(sqlXSI010F010.prmCHD1_SB_TIME, cliOneCsvData.CHD1_SB_TIME)							  '子１流死産時刻
			pDb.setVal(sqlXSI010F010.prmCHD1_SB_WEEK_COUNT, cliOneCsvData.CHD1_SB_WEEK_COUNT)				  '子１流死産週数
			pDb.setVal(sqlXSI010F010.prmCHD1_SB_LCT_CD, cliOneCsvData.CHD1_SB_LCT_CD)						  '子１流死産場所コード
			pDb.setVal(sqlXSI010F010.prmCHD1_AUTOPSY_CHK, cliOneCsvData.CHD1_AUTOPSY_CHK)					  '子１剖検有無コード
			pDb.setVal(sqlXSI010F010.prmCHD1_AUTOPSY_NO, cliOneCsvData.CHD1_AUTOPSY_NO)						  '子１剖検番号
			pDb.setVal(sqlXSI010F010.prmCHD1_INDUCED_ABORTION_CHK, cliOneCsvData.CHD1_INDUCED_ABORTION_CHK)	  '子１人工中絶有無コード
			pDb.setVal(sqlXSI010F010.prmCHD1_MOTHER_CMPC_CHK, cliOneCsvData.CHD1_MOTHER_CMPC_CHK)			  '子１母体合併症有無コード
			pDb.setVal(sqlXSI010F010.prmCHD1_COMMENT, cliOneCsvData.CHD1_COMMENT)							  '子１コメント
			pDb.setVal(sqlXSI010F010.prmCHD2_GENDER_CD, cliOneCsvData.CHD2_GENDER_CD)						  '子２性別コード
			pDb.setVal(sqlXSI010F010.prmCHD2_CB_DT, cliOneCsvData.CHD2_CB_DT)								  '子２分娩日
			pDb.setVal(sqlXSI010F010.prmCHD2_CB_TIME, cliOneCsvData.CHD2_CB_TIME)							  '子２分娩時刻
			pDb.setVal(sqlXSI010F010.prmCHD2_BLOODTYPE_CD, cliOneCsvData.CHD2_BLOODTYPE_CD)					  '子２血液型コード
			pDb.setVal(sqlXSI010F010.prmCHD2_RH_CD, cliOneCsvData.CHD2_RH_CD)								  '子２Ｒｈコード
			pDb.setVal(sqlXSI010F010.prmCHD2_NEWBORN_NO, cliOneCsvData.CHD2_NEWBORN_NO)						  '子２新生児番号
			pDb.setVal(sqlXSI010F010.prmCHD2_PATIENT_NO, cliOneCsvData.CHD2_PATIENT_NO)						  '子２患者番号
			pDb.setVal(sqlXSI010F010.prmCHD2_NEWBORN_WEIGHT, cliOneCsvData.CHD2_NEWBORN_WEIGHT)				  '子２新生児体重
			pDb.setVal(sqlXSI010F010.prmCHD2_APGARSCORE_1MIN, cliOneCsvData.CHD2_APGARSCORE_1MIN)			  '子２アプガー指数１分
			pDb.setVal(sqlXSI010F010.prmCHD2_APGARSCORE_5MIN, cliOneCsvData.CHD2_APGARSCORE_5MIN)			  '子２アプガー指数５分
			pDb.setVal(sqlXSI010F010.prmCHD2_IMMATURE, cliOneCsvData.CHD2_IMMATURE)							  '子２未熟
			pDb.setVal(sqlXSI010F010.prmCHD2_DEFORMITY, cliOneCsvData.CHD2_DEFORMITY)						  '子２奇形
			pDb.setVal(sqlXSI010F010.prmCHD2_SB, cliOneCsvData.CHD2_SB)										  '子２流死産
			pDb.setVal(sqlXSI010F010.prmCHD2_CB_DIV3, cliOneCsvData.CHD2_CB_DIV3)							  '子２分娩区分コード３
			pDb.setVal(sqlXSI010F010.prmCHD2_CB_DIV4, cliOneCsvData.CHD2_CB_DIV4)							  '子２分娩区分コード４
			pDb.setVal(sqlXSI010F010.prmCHD2_CB_DIV5, cliOneCsvData.CHD2_CB_DIV5)							  '子２分娩区分コード５
			pDb.setVal(sqlXSI010F010.prmCHD2_CB_DIV6, cliOneCsvData.CHD2_CB_DIV6)							  '子２分娩区分コード６
			pDb.setVal(sqlXSI010F010.prmCHD2_CHK1, cliOneCsvData.CHD2_CHK1)									  '子２チェック項目１
			pDb.setVal(sqlXSI010F010.prmCHD2_CHK2, cliOneCsvData.CHD2_CHK2)									  '子２チェック項目２
			pDb.setVal(sqlXSI010F010.prmCHD2_CHK3, cliOneCsvData.CHD2_CHK3)									  '子２チェック項目３
			pDb.setVal(sqlXSI010F010.prmCHD2_CHK4, cliOneCsvData.CHD2_CHK4)									  '子２チェック項目４
			pDb.setVal(sqlXSI010F010.prmCHD2_CHK5, cliOneCsvData.CHD2_CHK5)									  '子２チェック項目５
			pDb.setVal(sqlXSI010F010.prmCHD2_REMARKS, cliOneCsvData.CHD2_REMARKS)							  '子２備考
			pDb.setVal(sqlXSI010F010.prmCHD2_SB_NO, cliOneCsvData.CHD2_SB_NO)								  '子２流死産番号
			pDb.setVal(sqlXSI010F010.prmCHD2_SB_DT, cliOneCsvData.CHD2_SB_DT)								  '子２流死産日
			pDb.setVal(sqlXSI010F010.prmCHD2_SB_TIME, cliOneCsvData.CHD2_SB_TIME)							  '子２流死産時刻
			pDb.setVal(sqlXSI010F010.prmCHD2_SB_WEEK_COUNT, cliOneCsvData.CHD2_SB_WEEK_COUNT)				  '子２流死産週数
			pDb.setVal(sqlXSI010F010.prmCHD2_SB_LCT_CD, cliOneCsvData.CHD2_SB_LCT_CD)						  '子２流死産場所コード
			pDb.setVal(sqlXSI010F010.prmCHD2_AUTOPSY_CHK, cliOneCsvData.CHD2_AUTOPSY_CHK)					  '子２剖検有無コード
			pDb.setVal(sqlXSI010F010.prmCHD2_AUTOPSY_NO, cliOneCsvData.CHD2_AUTOPSY_NO)						  '子２剖検番号
			pDb.setVal(sqlXSI010F010.prmCHD2_INDUCED_ABORTION_CHK, cliOneCsvData.CHD2_INDUCED_ABORTION_CHK)	  '子２人工中絶有無コード
			pDb.setVal(sqlXSI010F010.prmCHD2_MOTHER_CMPC_CHK, cliOneCsvData.CHD2_MOTHER_CMPC_CHK)			  '子２母体合併症有無コード
			pDb.setVal(sqlXSI010F010.prmCHD2_COMMENT, cliOneCsvData.CHD2_COMMENT)							  '子２コメント
			pDb.setVal(sqlXSI010F010.prmCHD3_GENDER_CD, cliOneCsvData.CHD3_GENDER_CD)						  '子３性別コード
			pDb.setVal(sqlXSI010F010.prmCHD3_CB_DT, cliOneCsvData.CHD3_CB_DT)								  '子３分娩日
			pDb.setVal(sqlXSI010F010.prmCHD3_CB_TIME, cliOneCsvData.CHD3_CB_TIME)							  '子３分娩時刻
			pDb.setVal(sqlXSI010F010.prmCHD3_BLOODTYPE_CD, cliOneCsvData.CHD3_BLOODTYPE_CD)					  '子３血液型コード
			pDb.setVal(sqlXSI010F010.prmCHD3_RH_CD, cliOneCsvData.CHD3_RH_CD)								  '子３Ｒｈコード
			pDb.setVal(sqlXSI010F010.prmCHD3_NEWBORN_NO, cliOneCsvData.CHD3_NEWBORN_NO)						  '子３新生児番号
			pDb.setVal(sqlXSI010F010.prmCHD3_PATIENT_NO, cliOneCsvData.CHD3_PATIENT_NO)						  '子３患者番号
			pDb.setVal(sqlXSI010F010.prmCHD3_NEWBORN_WEIGHT, cliOneCsvData.CHD3_NEWBORN_WEIGHT)				  '子３新生児体重
			pDb.setVal(sqlXSI010F010.prmCHD3_APGARSCORE_1MIN, cliOneCsvData.CHD3_APGARSCORE_1MIN)			  '子３アプガー指数１分
			pDb.setVal(sqlXSI010F010.prmCHD3_APGARSCORE_5MIN, cliOneCsvData.CHD3_APGARSCORE_5MIN)			  '子３アプガー指数５分
			pDb.setVal(sqlXSI010F010.prmCHD3_IMMATURE, cliOneCsvData.CHD3_IMMATURE)							  '子３未熟
			pDb.setVal(sqlXSI010F010.prmCHD3_DEFORMITY, cliOneCsvData.CHD3_DEFORMITY)						  '子３奇形
			pDb.setVal(sqlXSI010F010.prmCHD3_SB, cliOneCsvData.CHD3_SB)										  '子３流死産
			pDb.setVal(sqlXSI010F010.prmCHD3_CB_DIV3, cliOneCsvData.CHD3_CB_DIV3)							  '子３分娩区分コード３
			pDb.setVal(sqlXSI010F010.prmCHD3_CB_DIV4, cliOneCsvData.CHD3_CB_DIV4)							  '子３分娩区分コード４
			pDb.setVal(sqlXSI010F010.prmCHD3_CB_DIV5, cliOneCsvData.CHD3_CB_DIV5)							  '子３分娩区分コード５
			pDb.setVal(sqlXSI010F010.prmCHD3_CB_DIV6, cliOneCsvData.CHD3_CB_DIV6)							  '子３分娩区分コード６
			pDb.setVal(sqlXSI010F010.prmCHD3_CHK1, cliOneCsvData.CHD3_CHK1)									  '子３チェック項目１
			pDb.setVal(sqlXSI010F010.prmCHD3_CHK2, cliOneCsvData.CHD3_CHK2)									  '子３チェック項目２
			pDb.setVal(sqlXSI010F010.prmCHD3_CHK3, cliOneCsvData.CHD3_CHK3)									  '子３チェック項目３
			pDb.setVal(sqlXSI010F010.prmCHD3_CHK4, cliOneCsvData.CHD3_CHK4)									  '子３チェック項目４
			pDb.setVal(sqlXSI010F010.prmCHD3_CHK5, cliOneCsvData.CHD3_CHK5)									  '子３チェック項目５
			pDb.setVal(sqlXSI010F010.prmCHD3_REMARKS, cliOneCsvData.CHD3_REMARKS)							  '子３備考
			pDb.setVal(sqlXSI010F010.prmCHD3_SB_NO, cliOneCsvData.CHD3_SB_NO)								  '子３流死産番号
			pDb.setVal(sqlXSI010F010.prmCHD3_SB_DT, cliOneCsvData.CHD3_SB_DT)								  '子３流死産日
			pDb.setVal(sqlXSI010F010.prmCHD3_SB_TIME, cliOneCsvData.CHD3_SB_TIME)							  '子３流死産時刻
			pDb.setVal(sqlXSI010F010.prmCHD3_SB_WEEK_COUNT, cliOneCsvData.CHD3_SB_WEEK_COUNT)				  '子３流死産週数
			pDb.setVal(sqlXSI010F010.prmCHD3_SB_LCT_CD, cliOneCsvData.CHD3_SB_LCT_CD)						  '子３流死産場所コード
			pDb.setVal(sqlXSI010F010.prmCHD3_AUTOPSY_CHK, cliOneCsvData.CHD3_AUTOPSY_CHK)					  '子３剖検有無コード
			pDb.setVal(sqlXSI010F010.prmCHD3_AUTOPSY_NO, cliOneCsvData.CHD3_AUTOPSY_NO)						  '子３剖検番号
			pDb.setVal(sqlXSI010F010.prmCHD3_INDUCED_ABORTION_CHK, cliOneCsvData.CHD3_INDUCED_ABORTION_CHK)	  '子３人工中絶有無コード
			pDb.setVal(sqlXSI010F010.prmCHD3_MOTHER_CMPC_CHK, cliOneCsvData.CHD3_MOTHER_CMPC_CHK)			  '子３母体合併症有無コード
			pDb.setVal(sqlXSI010F010.prmCHD3_COMMENT, cliOneCsvData.CHD3_COMMENT)							  '子３コメント
			pDb.setVal(sqlXSI010F010.prmSPARE01, cliOneCsvData.SPARE01)										  '予備１
			pDb.setVal(sqlXSI010F010.prmSPARE02, cliOneCsvData.SPARE02)										  '予備２
			pDb.setVal(sqlXSI010F010.prmSPARE03, cliOneCsvData.SPARE03)										  '予備３
			pDb.setVal(sqlXSI010F010.prmSPARE04, cliOneCsvData.SPARE04)										  '予備４
			pDb.setVal(sqlXSI010F010.prmMODULE_CD, cliOneCsvData.MODULE_CD)									  'モジュールコード
			pDb.setVal(sqlXSI010F010.prmERR_CD, cliOneCsvData.ERR_CD)										  'エラーコード
			pDb.setVal(sqlXSI010F010.prmMESSAGE, cliOneCsvData.MESSAGE)										  'メッセージ
			pDb.setVal(sqlXSI010F010.prmLASTUPDUSER_CD, Me.cliXSI010F010._userID)							  '更新者コード
			pDb.setVal(sqlXSI010F010.prmLASTUPD_DT, DateTime.Now)											  '更新日
			pDb.setVal(sqlXSI010F010.prmCHD1_NEWBORN_STATURE, cliOneCsvData.CHD1_NEWBORN_STATURE)			  '子１新生児身長
			pDb.setVal(sqlXSI010F010.prmCHD2_NEWBORN_STATURE, cliOneCsvData.CHD2_NEWBORN_STATURE)			  '子２新生児身長
			pDb.setVal(sqlXSI010F010.prmCHD3_NEWBORN_STATURE, cliOneCsvData.CHD3_NEWBORN_STATURE)			  '子３新生児身長

			'SQL実行
			pDb.execNonQuery()
		Catch ex As Exception
			Throw
		End Try
	End Sub

#End Region

End Class
