﻿Imports XCM
Imports System.Reflection

''' ---------------------------------------------
''' <summary>
''' 診療情報管理 システム連携 システム連携_管理物
''' </summary>
''' <remarks>
''' Copyright 2010 FUJITSU SHIKOKU SYSTEMS LIMITED All rights reserved.<BR/>
''' FUJITSU SHIKOKU SYSTEMS LIMITED CONFIDENTIAL<BR/>
''' </remarks>
''' ---------------------------------------------
Public Class clsXSI_BT4KSDS0
	Inherits clsXSI_BT4

#Region "コンスタント"

	''' ---------------------------------------------
	''' <summary>
	''' 連携CSVレイアウト項目数
	''' </summary>
	''' ---------------------------------------------
	Private Enum ENUM_CSV_CNT As Integer
		V3 = 29
		V4 = 30
	End Enum
#End Region

#Region "コンストラクタ"

	''' ---------------------------------------------
	''' <summary>
	''' コンストラクタ
	''' </summary>
	''' <param name="cliXSI010F010">親フォーム</param>
	''' <param name="csvFileName">連携CSVファイル</param>
	''' <remarks>
	''' 2010/10/29 新規作成 ACS)牟禮<BR/>
	''' </remarks>
	''' ---------------------------------------------
	Public Sub New(ByVal cliXSI010F010 As XSI010F010, ByVal csvFileName As String)
		MyBase.New(cliXSI010F010, csvFileName)
	End Sub

#End Region

#Region "メソッド"

'(M) STR V4-14019-000 021 20130418 ID)平井(取込処理をサブスレッド化する。)
	' ''' ---------------------------------------------
	' ''' <summary>
	' ''' 【管理物】連携処理
	' ''' </summary>
	' ''' <remarks>
	' ''' 2010/10/12 新規作成 ACS)牟禮<BR/>
	' ''' </remarks>
	' ''' ---------------------------------------------
	'Public Sub runProc()
	''' ---------------------------------------------
	''' <summary>
	''' 【管理物】連携処理
	''' </summary>
	''' <returns></returns>
	''' <remarks>
	''' 2010/10/12 新規作成 ACS)牟禮<BR/>
	''' </remarks>
	''' ---------------------------------------------
	Public Function runProc() As clsThread
'(M) END V4-14019-000 021 20130418
		clsSysMst.logEx(clsSysMst.logLevel.DBG, "XSI", Me.GetType().Name, MethodBase.GetCurrentMethod().Name, "システム連携", "管理物連携", "【管理物】連携処理 Start")
		Dim allCnt As Long						'全件数
		Dim okCnt As Long						'正常件数
		Dim errCnt As Long						'エラー件数
		Dim row As Integer
		Dim rowData() As String
'(A) STR V4-14019-000 004 20130418 ID)平井(取込処理をサブスレッド化する。)
		Dim CntSet As XSI010F010.CntSet_Delegate
		Dim cliTh As clsThread
'(A) END V4-14019-000 004 20130418

		'件数初期化
		allCnt = 0
		okCnt = 0
		errCnt = 0
		row = 0

		Try
			'総件数設定
			allCnt = CInt(Me.cliXSI010F010.lbl133XSI010F010.Text)
'(A) STR V4-14019-000 005 20130418 ID)平井(取込処理をサブスレッド化する。)
			CST_MOD_CNT = getModCount(allCnt)
			CntSet = New XSI010F010.CntSet_Delegate(AddressOf Me.cliXSI010F010.CntSet)
			cliTh = New clsThread
'(A) END V4-14019-000 005 20130418

			Using db As New clsDB(clsSysMst.ctlConfigData)
				Using cliOneCsvData As New clsXSI_MTT_IMP_LOG_LENDITM(), cliMTI_LENDITM As New clsXSI_MTI_LENDITM()	'取込CSV内の１レコード(ログ登録),貸出物データクラス
					Using cliCSV As New XSP.clsCSV(Me.csvFileName), tfpReader As FileIO.TextFieldParser = cliCSV.getCSV()
						'連携ファイル内を1件ずつ処理
						While Not (tfpReader.EndOfData)
							row += 1
							cliOneCsvData.clear()	'連携CSV１行データ格納クラスクリア
							cliMTI_LENDITM.clear()	'貸出物データクラスクリア

							Try
								rowData = tfpReader.ReadFields()
								'１行データを格納(V3,V4の違いを吸収)
								Select Case rowData.Length
									Case ENUM_CSV_CNT.V3
										Me.setV3Cls(rowData, cliOneCsvData)
									Case ENUM_CSV_CNT.V4
										Me.setV4Cls(rowData, cliOneCsvData)
									Case Else
										'エラー情報セット
										cliOneCsvData.ERR_FLG = "1"
										cliOneCsvData.ERR_CD = "E0026"
										'ＣＳＶの個数が違います。
										cliOneCsvData.MESSAGE = Me.cliClsMsg.getMessage(cliOneCsvData.ERR_CD)
								End Select
							Catch ex As FileIO.MalformedLineException
								'エラー情報セット
								cliOneCsvData.ERR_FLG = "1"
								cliOneCsvData.ERR_CD = "E0035"
								'データの形式が不正です。
								cliOneCsvData.MESSAGE = Me.cliClsMsg.getMessage(cliOneCsvData.ERR_CD, New String() {"データの形式"})
							End Try

							cliOneCsvData.SERIAL_NO = row.ToString() '連番設定

							If cliOneCsvData.ERR_FLG = "1" Then
								'連携ファイルエラー
							ElseIf Me.chkCSV(cliOneCsvData) = False Then
								'連携ファイル内チェックエラー
							ElseIf Me.setData(db, cliOneCsvData, cliMTI_LENDITM) = False Then
								'整合性チェック+更新用領域に格納エラー
							ElseIf Me.exeSQL(db, cliMTI_LENDITM) <> Enum_ExeReturnFlg.eExecute Then
								'登録/更新エラー
								cliOneCsvData.ERR_FLG = "1"
							End If

							'件数カウント
							If cliOneCsvData.ERR_FLG = "0" Then
								okCnt += 1
							Else
								errCnt += 1
								cliOneCsvData.MODULE_CD = GetType(XSI010F010).Name
							End If

							'ログ出力
							Me.setSqlParam_MTT_IMP_LOG(db, cliOneCsvData)

							'件数更新
							'CST_MOD_CNT毎または最終データの場合更新
							If row Mod CST_MOD_CNT = 0 OrElse row = allCnt Then
'(M) STR V4-13008-000 004 2013/02/08 ID)荒川 病歴大将V4PKG 管理No.204 正常に処理されているのに件数のカウンターが途中でとまる
								'Me.cliXSI010F010.CntSet(XSI010F010.Enum_RENKEI_SYORI.eLENDITEM, True, allCnt, okCnt, errCnt)
'(M) STR V4-14019-000 004 20130418 ID)平井(取込処理をサブスレッド化する。)
'								Me.cliXSI010F010.CntSet(XSI010F010.Enum_RENKEI_SYORI.eLENDITEM, True, allCnt, okCnt, errCnt, 0)
								Me.cliXSI010F010.BeginInvoke(CntSet, New Object() {XSI010F010.Enum_RENKEI_SYORI.eLENDITEM, False, allCnt, okCnt, errCnt, row})
'(M) END V4-14019-000 004 20130418
'(M) END V4-13008-000 004 2013/02/08
							End If
						End While
'(A) STR V4-14005-000 003 20130410 ID)平井(システムログに件数出力)
						clsSysMst.logEx(clsSysMst.logLevel.NRM, "XSI", Me.GetType().Name, MethodBase.GetCurrentMethod().Name, "ｼｽﾃﾑ管理", "ｼｽﾃﾑ連携", String.Format("管理物，読込件数({0}) 正常件数({1}) ｴﾗｰ件数({2})", allCnt, okCnt, errCnt))
'(A) END V4-14005-000 003 20130410
'(A) STR V4-14019-000 006 20130418 ID)平井(取込処理をサブスレッド化する。)
						' 処理件数設定
						cliTh.NormalCount = okCnt
						cliTh.ErrorCount = errCnt
						cliTh.ProcessCount = row
'(A) END V4-14019-000 006 20130418
					End Using
				End Using
			End Using
'(A) STR V4-14019-000 003 20130418 ID)平井(取込処理をサブスレッド化する。)
			Return cliTh
'(A) END V4-14019-000 003 20130418
		Catch ex As Exception
			Throw
		Finally
			rowData = Nothing
'(A) STR V4-14019-000 003 20130418 ID)平井(取込処理をサブスレッド化する。)
			CntSet = Nothing
'(A) END V4-14019-000 003 20130418
		End Try
	End Function

	''' ---------------------------------------------
	''' <summary>
	''' 【管理物】DB内データと整合性チェック + 更新用領域にセット
	''' </summary>
	''' <param name="pDb">DBクラス</param>
	''' <param name="cliOneCsvData">連携ファイル1行データ</param>
	''' <param name="cliMTI_LENDITM">貸出物データクラス</param>
	''' <returns></returns>
	''' <remarks>
	''' 2010/10/12 新規作成 ACS)牟禮<BR/>
	''' </remarks>
	''' ---------------------------------------------
	Private Function setData(ByVal pDb As clsDB, ByVal cliOneCsvData As clsXSI_MTT_IMP_LOG_LENDITM, ByVal cliMTI_LENDITM As clsXSI_MTI_LENDITM) As Boolean
		clsSysMst.logEx(clsSysMst.logLevel.DBG, "XSI", Me.GetType().Name, MethodBase.GetCurrentMethod().Name, "システム連携", "管理物連携", "【管理物】DB内データと整合性チェック + 更新用領域にセット Start")
		Try

			cliMTI_LENDITM.PATIENT_NO = cliOneCsvData.PATIENT_NO						'患者番号
			cliMTI_LENDITM.RECORD_COUNT = cliOneCsvData.RECORD_COUNT					'カルテ数
			cliMTI_LENDITM.RECORD_RECEIPT_DT = cliOneCsvData.RECORD_RECEIPT_DT			'カルテ受領日
			cliMTI_LENDITM.RECORD_RECIPIENT_CD = cliOneCsvData.RECORD_RECIPIENT_CD		'カルテ受領者コード
			cliMTI_LENDITM.RECORD_KEEPLCT_CD = cliOneCsvData.RECORD_KEEPLCT_CD			'カルテ保管場所コード
			cliMTI_LENDITM.RECORD_ARG_STATUS_CD = cliOneCsvData.RECORD_ARG_STATUS_CD	'カルテ整理状況コード
			cliMTI_LENDITM.RECORD_MNGSTATUS_CD = cliOneCsvData.RECORD_MNGSTATUS_CD		'カルテ管理状況コード
			cliMTI_LENDITM.SUMMARY_COUNT = cliOneCsvData.SUMMARY_COUNT					'サマリ数
			cliMTI_LENDITM.SUMMARY_RECEIPT_DT = cliOneCsvData.SUMMARY_RECEIPT_DT		'サマリ受領日
			cliMTI_LENDITM.SUMMARY_KEEPLCT_CD = cliOneCsvData.SUMMARY_KEEPLCT_CD		'サマリ保管場所コード
			cliMTI_LENDITM.SUMMARY_MAKER_CD = cliOneCsvData.SUMMARY_MAKER_CD			'サマリ作成者コード
			cliMTI_LENDITM.SUMMARY_MNGSTATUS_CD = cliOneCsvData.SUMMARY_MNGSTATUS_CD	'サマリ管理状況コード
			cliMTI_LENDITM.OTHER1_COUNT = cliOneCsvData.OTHER1_COUNT					'他１数
			cliMTI_LENDITM.OTHER1_RECEIPT_DT = cliOneCsvData.OTHER1_RECEIPT_DT			'他１受領日
			cliMTI_LENDITM.OTHER1_KEEPLCT_CD = cliOneCsvData.OTHER1_KEEPLCT_CD			'他１保管場所コード
			cliMTI_LENDITM.OTHER1_MNGSTATUS_CD = cliOneCsvData.OTHER1_MNGSTATUS_CD		'他１管理状況コード
			cliMTI_LENDITM.OTHER2_COUNT = cliOneCsvData.OTHER2_COUNT					'他２数
			cliMTI_LENDITM.OTHER2_RECEIPT_DT = cliOneCsvData.OTHER2_RECEIPT_DT			'他２受領日
			cliMTI_LENDITM.OTHER2_KEEPLCT_CD = cliOneCsvData.OTHER2_KEEPLCT_CD			'他２保管場所コード
			cliMTI_LENDITM.OTHER2_MNGSTATUS_CD = cliOneCsvData.OTHER2_MNGSTATUS_CD		'他２管理状況コード
			cliMTI_LENDITM.OTHER3_COUNT = cliOneCsvData.OTHER3_COUNT					'他３数
			cliMTI_LENDITM.OTHER3_RECEIPT_DT = cliOneCsvData.OTHER3_RECEIPT_DT			'他３受領日
			cliMTI_LENDITM.OTHER3_KEEPLCT_CD = cliOneCsvData.OTHER3_KEEPLCT_CD			'他３保管場所コード
			cliMTI_LENDITM.OTHER3_MNGSTATUS_CD = cliOneCsvData.OTHER3_MNGSTATUS_CD		'他３管理状況コード
			cliMTI_LENDITM.SUMMARY_APPROVAL_DT = String.Empty							'サマリ承認日


			'連携１行データの情報から科歴情報を取得する
			Dim deptCd As String = String.Empty		 '診療科コード
			Dim startDate As String = String.Empty	 '開始日
			Dim endDate As String = String.Empty	 '終了日

			'データ種別により取得条件が異なる
			Select Case cliOneCsvData.DATA_TYPE
				Case "A", "B"
					startDate = cliOneCsvData.HSP_DT
					deptCd = cliOneCsvData.DEPT_CD
				Case "D", "E"
					endDate = cliOneCsvData.HSP_DT
					deptCd = cliOneCsvData.DEPT_CD
				Case "C"
			End Select
			Using dtNew As DataTable = Me.getSqlParam_MTI_CH(pDb, cliOneCsvData.PATIENT_NO, deptCd, startDate, endDate)
				If dtNew.Rows.Count = 0 Then
					'該当データが存在しない
					cliOneCsvData.ERR_FLG = "1"
					cliOneCsvData.ERR_CD = "E0015"
					'対象の科歴情報が存在しません。
					cliOneCsvData.MESSAGE = Me.cliClsMsg.getMessage(cliOneCsvData.ERR_CD, New String() {"対象の科歴情報", Nothing})
					Return False
				End If
				'入退院歴番号、科歴番号
				Select Case cliOneCsvData.DATA_TYPE
					Case "A", "D" '入退院毎
						cliMTI_LENDITM.HSP_HISTORY_NO = dtNew.Rows(0).Item(sqlXSI010F010.itmHSP_HISTORY_NO).ToString()
						cliMTI_LENDITM.CH_NO = "0"
					Case "B", "E" '科歴毎
						cliMTI_LENDITM.HSP_HISTORY_NO = dtNew.Rows(0).Item(sqlXSI010F010.itmHSP_HISTORY_NO).ToString()
						cliMTI_LENDITM.CH_NO = dtNew.Rows(0).Item(sqlXSI010F010.itmCH_NO).ToString()
					Case "C" '患者毎
						cliMTI_LENDITM.HSP_HISTORY_NO = "0"
						cliMTI_LENDITM.CH_NO = "0"
				End Select
			End Using

			Return True
		Catch ex As Exception
			Throw
		End Try
	End Function

	''' ---------------------------------------------
	''' <summary>
	''' 【管理物】CSVチェック処理
	''' </summary>
	''' <param name="cliOneCsvData">連携ファイル1行データ</param>
	''' <returns>False:エラー</returns>
	''' <remarks>
	''' 2010/10/04 新規作成　ACS)牟禮<BR/>
	''' </remarks>
	''' ---------------------------------------------
	Private Function chkCSV(ByVal cliOneCsvData As clsXSI_MTT_IMP_LOG_LENDITM) As Boolean
		clsSysMst.logEx(clsSysMst.logLevel.DBG, "XSI", Me.GetType().Name, MethodBase.GetCurrentMethod().Name, "システム連携", "管理物連携", "【管理物】CSVチェック処理 Start")
		Dim disit As List(Of Integer) = Nothing
		Dim oneCsv As List(Of String) = Nothing
		Dim dataTypePattern() As Char						'データ種別パターン
		Try
			oneCsv = New List(Of String)
			'データ種別パターン
			dataTypePattern = New Char() {"A"c, "B"c, "C"c, "D"c, "E"c}


			'取り込んだデータをワーカーに設定
			oneCsv.Add(cliOneCsvData.DATA_TYPE)			   'データ種別
			oneCsv.Add(cliOneCsvData.PATIENT_NO)		   '患者番号
			oneCsv.Add(cliOneCsvData.DEPT_CD)			   '診療科コード
			oneCsv.Add(cliOneCsvData.HSP_DT)			   '入院日（開始日）退院日（終了日）
			oneCsv.Add(cliOneCsvData.RECORD_COUNT)		   'カルテ数
			oneCsv.Add(cliOneCsvData.RECORD_RECEIPT_DT)	   'カルテ受領日
			oneCsv.Add(cliOneCsvData.RECORD_RECIPIENT_CD)  'カルテ受領者コード
			oneCsv.Add(cliOneCsvData.RECORD_KEEPLCT_CD)	   'カルテ保管場所コード
			oneCsv.Add(cliOneCsvData.RECORD_ARG_STATUS_CD) 'カルテ整理状況コード
			oneCsv.Add(cliOneCsvData.RECORD_MNGSTATUS_CD)  'カルテ管理状況コード
			oneCsv.Add(cliOneCsvData.SUMMARY_COUNT)		   'サマリ数
			oneCsv.Add(cliOneCsvData.SUMMARY_RECEIPT_DT)   'サマリ受領日
			oneCsv.Add(cliOneCsvData.SUMMARY_KEEPLCT_CD)   'サマリ保管場所コード
			oneCsv.Add(cliOneCsvData.SUMMARY_MAKER_CD)	   'サマリ作成者コード
			oneCsv.Add(cliOneCsvData.SUMMARY_MNGSTATUS_CD) 'サマリ管理状況コード
			oneCsv.Add(cliOneCsvData.OTHER1_COUNT)		   '他１数
			oneCsv.Add(cliOneCsvData.OTHER1_RECEIPT_DT)	   '他１受領日
			oneCsv.Add(cliOneCsvData.OTHER1_KEEPLCT_CD)	   '他１保管場所コード
			oneCsv.Add(cliOneCsvData.OTHER1_MNGSTATUS_CD)  '他１管理状況コード
			oneCsv.Add(cliOneCsvData.OTHER2_COUNT)		   '他２数
			oneCsv.Add(cliOneCsvData.OTHER2_RECEIPT_DT)	   '他２受領日
			oneCsv.Add(cliOneCsvData.OTHER2_KEEPLCT_CD)	   '他２保管場所コード
			oneCsv.Add(cliOneCsvData.OTHER2_MNGSTATUS_CD)  '他２管理状況コード
			oneCsv.Add(cliOneCsvData.OTHER3_COUNT)		   '他３数
			oneCsv.Add(cliOneCsvData.OTHER3_RECEIPT_DT)	   '他３受領日
			oneCsv.Add(cliOneCsvData.OTHER3_KEEPLCT_CD)	   '他３保管場所コード
			oneCsv.Add(cliOneCsvData.OTHER3_MNGSTATUS_CD)  '他３管理状況コード

			'桁数チェック
			disit = Me.setInputDisit()
			If Me.chkCsvDisit(oneCsv, disit, cliOneCsvData.ERR_FLG, cliOneCsvData.ERR_CD, cliOneCsvData.MESSAGE) = False Then
				Return False
			End If

			'CSV内チェック
			Dim bRequired As Boolean = False
			For idx As Integer = 0 To oneCsv.Count - 1
				bRequired = False
				'必須チェックが必要な項目か判断
				Select Case idx
					Case 0, 1 : bRequired = True
					Case 2, 3 : If cliOneCsvData.DATA_TYPE.Equals("C") = False Then bRequired = True
					Case 5, 9 : If String.IsNullOrEmpty(cliOneCsvData.RECORD_COUNT) = False Then bRequired = True 'カルテ数あれば必須
					Case 11, 14 : If String.IsNullOrEmpty(cliOneCsvData.SUMMARY_COUNT) = False Then bRequired = True 'サマリ数あれば必須
					Case 16, 18 : If String.IsNullOrEmpty(cliOneCsvData.OTHER1_COUNT) = False Then bRequired = True '他１数あれば必須
					Case 20, 22 : If String.IsNullOrEmpty(cliOneCsvData.OTHER2_COUNT) = False Then bRequired = True '他２数あれば必須
					Case 24, 26 : If String.IsNullOrEmpty(cliOneCsvData.OTHER3_COUNT) = False Then bRequired = True '他３数あれば必須
					Case Else : bRequired = False
				End Select
				'必須チェック
				If bRequired = True AndAlso Me.chkCsvRequiredItem(oneCsv(idx), cliOneCsvData.ERR_FLG, cliOneCsvData.ERR_CD, cliOneCsvData.MESSAGE) = False Then
					Return False
				Else
					Select Case idx
						Case 0 'データ種別
							If Me.chkCsvDATA_TYPE(oneCsv(idx), dataTypePattern, cliOneCsvData.ERR_FLG, cliOneCsvData.ERR_CD, cliOneCsvData.MESSAGE) = False Then
								Return False
							End If

						Case 1 '患者番号
							If Me.chkCsvPATIENT_NO(oneCsv(idx), cliOneCsvData.ERR_FLG, cliOneCsvData.ERR_CD, cliOneCsvData.MESSAGE) = False Then
								Return False
							End If

						Case 3, 5, 11, 16, 20, 24 '日付チェック
							If idx = 3 AndAlso cliOneCsvData.DATA_TYPE.Equals("C") = True Then
								'データ種別Cでは入院日（開始日）退院日（終了日）は無視する
							ElseIf Me.chkCsvDate(oneCsv(idx), cliOneCsvData.ERR_FLG, cliOneCsvData.ERR_CD, cliOneCsvData.MESSAGE) = False Then
								Return False
							End If

					End Select
				End If
			Next

			Return True
		Catch ex As Exception
			Throw
		Finally
			'解放
			If disit IsNot Nothing Then disit.Clear()
			disit = Nothing
			If oneCsv IsNot Nothing Then oneCsv.Clear()
			oneCsv = Nothing
			dataTypePattern = Nothing
		End Try
	End Function

	''' ---------------------------------------------
	''' <summary>
	''' 【管理物】桁数定義
	''' </summary>
	''' <returns>桁数リスト</returns>
	''' <remarks>
	''' 2010/10/04 新規作成 ACS)牟禮<BR/>
	''' </remarks>
	''' ---------------------------------------------
	Private Function setInputDisit() As List(Of Integer)
		clsSysMst.logEx(clsSysMst.logLevel.DBG, "XSI", Me.GetType().Name, MethodBase.GetCurrentMethod().Name, "システム連携", "管理物連携", "【管理物】桁数定義 Start")
		Dim disit As List(Of Integer) = Nothing
		Try
			disit = New List(Of Integer)

			disit.Add(1)	   'データ種別
			disit.Add(10)	   '患者番号
			disit.Add(2)	   '診療科コード
			disit.Add(10)	   '入院日（開始日）退院日（終了日）
			disit.Add(10)	   'カルテ数(@@整数)
			disit.Add(10)	   'カルテ受領日
			disit.Add(8)	   'カルテ受領者コード
			disit.Add(3)	   'カルテ保管場所コード
			disit.Add(2)	   'カルテ整理状況コード
			disit.Add(2)	   'カルテ管理状況コード
			disit.Add(10)	   'サマリ数(@@整数)
			disit.Add(10)	   'サマリ受領日
			disit.Add(3)	   'サマリ保管場所コード
			disit.Add(8)	   'サマリ作成者コード
			disit.Add(2)	   'サマリ管理状況コード
			disit.Add(10)	   '他１数(@@整数)
			disit.Add(10)	   '他１受領日
			disit.Add(3)	   '他１保管場所コード
			disit.Add(2)	   '他１管理状況コード
			disit.Add(10)	   '他２数(@@整数)
			disit.Add(10)	   '他２受領日
			disit.Add(3)	   '他２保管場所コード
			disit.Add(2)	   '他２管理状況コード
			disit.Add(10)	   '他３数(@@整数)
			disit.Add(10)	   '他３受領日
			disit.Add(3)	   '他３保管場所コード
			disit.Add(2)	   '他３管理状況コード
			disit.Add(1)	   '　―――'予備
			disit.Add(1)	   '　―――'予備
			disit.Add(1)	   '　―――'予備

			Return disit
		Catch ex As Exception
			Throw
		End Try
	End Function

	''' ---------------------------------------------
	''' <summary>
	''' 【管理物】V3レイアウト変換
	''' </summary>
	''' <param name="oneCsv">連携ファイル1行データ</param>
	''' <param name="cliOneCsvData">ログ書込データ</param>
	''' <remarks>
	''' 2010/10/04 新規作成 ACS)牟禮<BR/>
	''' </remarks>
	''' ---------------------------------------------
	Private Sub setV3Cls(ByVal oneCsv() As String, ByVal cliOneCsvData As clsXSI_MTT_IMP_LOG_LENDITM)
		clsSysMst.logEx(clsSysMst.logLevel.DBG, "XSI", Me.GetType().Name, MethodBase.GetCurrentMethod().Name, "システム連携", "管理物連携", "【管理物】V3レイアウト変換 Start")
		Try
			'初期化
			cliOneCsvData.clear()

			cliOneCsvData.DATA_TYPE = oneCsv(0)				   'データ種別
			cliOneCsvData.PATIENT_NO = oneCsv(1)			   '患者番号
			cliOneCsvData.DEPT_CD = oneCsv(2)				   '診療科コード
			cliOneCsvData.HSP_DT = oneCsv(3)				   '入院(開始)日 退院(終了)日
			cliOneCsvData.RECORD_COUNT = oneCsv(4)			   'カルテ数
			cliOneCsvData.RECORD_RECEIPT_DT = oneCsv(5)		   'カルテ受領日
			cliOneCsvData.RECORD_RECIPIENT_CD = oneCsv(6)	   'カルテ受領者コード
			cliOneCsvData.RECORD_KEEPLCT_CD = oneCsv(7)		   'カルテ保管場所コード
			cliOneCsvData.RECORD_ARG_STATUS_CD = oneCsv(8)	   'カルテ整理状況コード
			cliOneCsvData.RECORD_MNGSTATUS_CD = oneCsv(9)	   'カルテ管理状況コード
			cliOneCsvData.SUMMARY_COUNT = oneCsv(10)		   'サマリ数
			cliOneCsvData.SUMMARY_RECEIPT_DT = oneCsv(11)	   'サマリ受領日
			cliOneCsvData.SUMMARY_KEEPLCT_CD = oneCsv(12)	   'サマリ保管場所コード
			cliOneCsvData.SUMMARY_MAKER_CD = oneCsv(13)		   'サマリ作成者コード
			cliOneCsvData.SUMMARY_MNGSTATUS_CD = oneCsv(14)	   'サマリ管理状況コード
			cliOneCsvData.OTHER1_COUNT = oneCsv(15)			   '他１数
			cliOneCsvData.OTHER1_RECEIPT_DT = oneCsv(16)	   '他１受領日
			cliOneCsvData.OTHER1_KEEPLCT_CD = oneCsv(17)	   '他１保管場所コード
			cliOneCsvData.OTHER1_MNGSTATUS_CD = oneCsv(18)	   '他１管理状況コード
			cliOneCsvData.OTHER2_COUNT = oneCsv(19)			   '他２数
			cliOneCsvData.OTHER2_RECEIPT_DT = oneCsv(20)	   '他２受領日
			cliOneCsvData.OTHER2_KEEPLCT_CD = oneCsv(21)	   '他２保管場所コード
			cliOneCsvData.OTHER2_MNGSTATUS_CD = oneCsv(22)	   '他２管理状況コード
			cliOneCsvData.OTHER3_COUNT = oneCsv(23)			   '他３数
			cliOneCsvData.OTHER3_RECEIPT_DT = oneCsv(24)	   '他３受領日
			cliOneCsvData.OTHER3_KEEPLCT_CD = oneCsv(25)	   '他３保管場所コード
			cliOneCsvData.OTHER3_MNGSTATUS_CD = oneCsv(26)	   '他３管理状況コード
			'cliOneCsvData.SPARE01 = oneCsv(27)                 '　―――
			'cliOneCsvData.SPARE02 = oneCsv(28)                 '　―――
			'cliOneCsvData.SPARE03 = ""                          '　―――(V3なし)

		Catch ex As Exception
			Throw
		End Try
	End Sub

	''' ---------------------------------------------
	''' <summary>
	''' 【管理物】V4レイアウト変換
	''' </summary>
	''' <param name="oneCsv">連携ファイル1行データ</param>
	''' <param name="cliOneCsvData">ログ書込データ</param>
	''' <remarks>
	''' 2010/10/04 新規作成 ACS)牟禮<BR/>
	''' </remarks>
	''' ---------------------------------------------
	Private Sub setV4Cls(ByVal oneCsv() As String, ByVal cliOneCsvData As clsXSI_MTT_IMP_LOG_LENDITM)
		clsSysMst.logEx(clsSysMst.logLevel.DBG, "XSI", Me.GetType().Name, MethodBase.GetCurrentMethod().Name, "システム連携", "管理物連携", "【管理物】V4レイアウト変換 Start")
		Try
			'初期化
			cliOneCsvData.clear()

			cliOneCsvData.DATA_TYPE = oneCsv(0)					   'データ種別
			cliOneCsvData.PATIENT_NO = oneCsv(1)				   '患者番号
			cliOneCsvData.DEPT_CD = oneCsv(2)					   '診療科コード
			cliOneCsvData.HSP_DT = oneCsv(3)					   '入院(開始)日 退院(終了)日
			cliOneCsvData.RECORD_COUNT = oneCsv(4)				   'カルテ数
			cliOneCsvData.RECORD_RECEIPT_DT = oneCsv(5)			   'カルテ受領日
			cliOneCsvData.RECORD_RECIPIENT_CD = oneCsv(6)		   'カルテ受領者コード
			cliOneCsvData.RECORD_KEEPLCT_CD = oneCsv(7)			   'カルテ保管場所コード
			cliOneCsvData.RECORD_ARG_STATUS_CD = oneCsv(8)		   'カルテ整理状況コード
			cliOneCsvData.RECORD_MNGSTATUS_CD = oneCsv(9)		   'カルテ管理状況コード
			cliOneCsvData.SUMMARY_COUNT = oneCsv(10)			   'サマリ数
			cliOneCsvData.SUMMARY_RECEIPT_DT = oneCsv(11)		   'サマリ受領日
			cliOneCsvData.SUMMARY_KEEPLCT_CD = oneCsv(12)		   'サマリ保管場所コード
			cliOneCsvData.SUMMARY_MAKER_CD = oneCsv(13)			   'サマリ作成者コード
			cliOneCsvData.SUMMARY_MNGSTATUS_CD = oneCsv(14)		   'サマリ管理状況コード
			cliOneCsvData.OTHER1_COUNT = oneCsv(15)				   '他１数
			cliOneCsvData.OTHER1_RECEIPT_DT = oneCsv(16)		   '他１受領日
			cliOneCsvData.OTHER1_KEEPLCT_CD = oneCsv(17)		   '他１保管場所コード
			cliOneCsvData.OTHER1_MNGSTATUS_CD = oneCsv(18)		   '他１管理状況コード
			cliOneCsvData.OTHER2_COUNT = oneCsv(19)				   '他２数
			cliOneCsvData.OTHER2_RECEIPT_DT = oneCsv(20)		   '他２受領日
			cliOneCsvData.OTHER2_KEEPLCT_CD = oneCsv(21)		   '他２保管場所コード
			cliOneCsvData.OTHER2_MNGSTATUS_CD = oneCsv(22)		   '他２管理状況コード
			cliOneCsvData.OTHER3_COUNT = oneCsv(23)				   '他３数
			cliOneCsvData.OTHER3_RECEIPT_DT = oneCsv(24)		   '他３受領日
			cliOneCsvData.OTHER3_KEEPLCT_CD = oneCsv(25)		   '他３保管場所コード
			cliOneCsvData.OTHER3_MNGSTATUS_CD = oneCsv(26)		   '他３管理状況コード
			'cliOneCsvData.SPARE01 = oneCsv(27)                     '　―――
			'cliOneCsvData.SPARE02 = oneCsv(28)                     '　―――
			'cliOneCsvData.SPARE03 = oneCsv(29)                     '　―――

		Catch ex As Exception
			Throw
		End Try
	End Sub

	''' ---------------------------------------------
	''' <summary>
	''' 【管理物】登録/更新
	''' </summary>
	''' <param name="pDb">DBクラス</param>
	''' <param name="cliMTI_LENDITM">貸出物データクラス</param>
	''' <returns>DB登録/更新結果</returns>
	''' <remarks>
	''' 2010/10/13 新規作成 ACS)牟禮<BR/>
	''' </remarks>
	''' ---------------------------------------------
	Private Function exeSQL(ByVal pDb As clsDB, ByVal cliMTI_LENDITM As clsXSI_MTI_LENDITM) As Enum_ExeReturnFlg
		clsSysMst.logEx(clsSysMst.logLevel.DBG, "XSI", Me.GetType().Name, MethodBase.GetCurrentMethod().Name, "システム連携", "管理物連携", "【管理物】登録/更新 Start")
		Dim arrLendItm As ArrayList = Nothing
		Try
			'すでに管理物情報が存在するか確認
			arrLendItm = Me.getLendItmData(cliMTI_LENDITM.PATIENT_NO, cliMTI_LENDITM.HSP_HISTORY_NO, cliMTI_LENDITM.CH_NO, pDb)

			'トランザクション開始
			pDb.ctlTran(clsDB.Enum_TranMode.Begin)
			'SQL文、パラメータセット
			If arrLendItm.Count = 0 Then
				Me.setSqlParam_MTI_LENDITM(pDb, False, Enum_SqlIdx.eIns, cliMTI_LENDITM) '登録
			Else
				Me.setSqlParam_MTI_LENDITM(pDb, False, Enum_SqlIdx.eUpd, cliMTI_LENDITM) '更新
			End If

			'コミット
			pDb.ctlTran(clsDB.Enum_TranMode.Commit)

			Return Enum_ExeReturnFlg.eExecute
		Catch ex As SqlClient.SqlException
			If pDb.statTran() Then pDb.ctlTran(clsDB.Enum_TranMode.RollBack)
			Call Me.cliXSI010F010.ErrorProc(ex)
			If ex.Number = clsSysMst.sqlErrCode.KeyDuplicate Then
				Return Enum_ExeReturnFlg.eSqlError
			Else
				Return Enum_ExeReturnFlg.eError
			End If
		Catch ex As Exception
			If pDb.statTran() Then pDb.ctlTran(clsDB.Enum_TranMode.RollBack)
			Throw
		Finally
			'解放
			If arrLendItm IsNot Nothing Then arrLendItm.Clear()
			arrLendItm = Nothing
		End Try
	End Function

	''' ---------------------------------------------
	''' <summary>
	''' 【管理物】SQLパラメータ設定
	''' </summary>
	''' <param name="pDb">DBクラス</param>
	''' <param name="tran">トランザクション制御</param>
	''' <param name="sqlIdx">SQL区分</param>
	''' <param name="cliMTI_LENDITM">貸出物データクラス</param>
	''' <remarks>
	''' 2010/10/12 新規作成　ACS)牟禮<BR/>
	''' </remarks>
	''' ---------------------------------------------
	Private Sub setSqlParam_MTI_LENDITM(ByVal pDb As clsDB, ByVal tran As Boolean, ByVal sqlIdx As Enum_SqlIdx, ByVal cliMTI_LENDITM As clsXSI_MTI_LENDITM)
		clsSysMst.logEx(clsSysMst.logLevel.DBG, "XSI", Me.GetType().Name, MethodBase.GetCurrentMethod().Name, "システム連携", "管理物連携", "【管理物】SQLパラメータ設定 Start")
		Try
			Select Case sqlIdx
				Case Enum_SqlIdx.eIns, Enum_SqlIdx.eUpd	'登録・更新
					'SQL文設定
					If sqlIdx = Enum_SqlIdx.eIns Then
						pDb.setSQL(sqlXSI010F010.sqlIns_MTI_LENDITM) '登録
					Else
						pDb.setSQL(sqlXSI010F010.sqlUpd_MTI_LENDITM_FLG) '更新
					End If

					'パラメータ設定
					pDb.setParam(sqlXSI010F010.prmPATIENT_NO, clsDB.Enum_dbType.dbNVarChar)			   '患者番号
					pDb.setParam(sqlXSI010F010.prmHSP_HISTORY_NO, clsDB.Enum_dbType.dbInt)			 '入退院歴番号
					pDb.setParam(sqlXSI010F010.prmCH_NO, clsDB.Enum_dbType.dbInt)					 '科歴番号
					pDb.setParam(sqlXSI010F010.prmRECORD_COUNT, clsDB.Enum_dbType.dbInt)				 'カルテ数
					pDb.setParam(sqlXSI010F010.prmRECORD_RECEIPT_DT, clsDB.Enum_dbType.dbDateTime)	 'カルテ受領日
					pDb.setParam(sqlXSI010F010.prmRECORD_RECIPIENT_CD, clsDB.Enum_dbType.dbNVarChar)   'カルテ受領者コード
					pDb.setParam(sqlXSI010F010.prmRECORD_KEEPLCT_CD, clsDB.Enum_dbType.dbNVarChar)	   'カルテ保管場所コード
					pDb.setParam(sqlXSI010F010.prmRECORD_ARG_STATUS_CD, clsDB.Enum_dbType.dbNVarChar)  'カルテ整理状況コード
					pDb.setParam(sqlXSI010F010.prmRECORD_MNGSTATUS_CD, clsDB.Enum_dbType.dbNVarChar)   'カルテ管理状況コード
					pDb.setParam(sqlXSI010F010.prmSUMMARY_COUNT, clsDB.Enum_dbType.dbInt)			 'サマリ数
					pDb.setParam(sqlXSI010F010.prmSUMMARY_RECEIPT_DT, clsDB.Enum_dbType.dbDateTime)	 'サマリ受領日
					pDb.setParam(sqlXSI010F010.prmSUMMARY_KEEPLCT_CD, clsDB.Enum_dbType.dbNVarChar)	   'サマリ保管場所コード
					pDb.setParam(sqlXSI010F010.prmSUMMARY_MAKER_CD, clsDB.Enum_dbType.dbNVarChar)	   'サマリ作成者コード
					pDb.setParam(sqlXSI010F010.prmSUMMARY_MNGSTATUS_CD, clsDB.Enum_dbType.dbNVarChar)  'サマリ管理状況コード
					pDb.setParam(sqlXSI010F010.prmOTHER1_COUNT, clsDB.Enum_dbType.dbInt)				 '他１数
					pDb.setParam(sqlXSI010F010.prmOTHER1_RECEIPT_DT, clsDB.Enum_dbType.dbDateTime)	 '他１受領日
					pDb.setParam(sqlXSI010F010.prmOTHER1_KEEPLCT_CD, clsDB.Enum_dbType.dbNVarChar)	   '他１保管場所コード
					pDb.setParam(sqlXSI010F010.prmOTHER1_MNGSTATUS_CD, clsDB.Enum_dbType.dbNVarChar)   '他１管理状況コード
					pDb.setParam(sqlXSI010F010.prmOTHER2_COUNT, clsDB.Enum_dbType.dbInt)				 '他２数
					pDb.setParam(sqlXSI010F010.prmOTHER2_RECEIPT_DT, clsDB.Enum_dbType.dbDateTime)	 '他２受領日
					pDb.setParam(sqlXSI010F010.prmOTHER2_KEEPLCT_CD, clsDB.Enum_dbType.dbNVarChar)	   '他２保管場所コード
					pDb.setParam(sqlXSI010F010.prmOTHER2_MNGSTATUS_CD, clsDB.Enum_dbType.dbNVarChar)   '他２管理状況コード
					pDb.setParam(sqlXSI010F010.prmOTHER3_COUNT, clsDB.Enum_dbType.dbInt)				 '他３数
					pDb.setParam(sqlXSI010F010.prmOTHER3_RECEIPT_DT, clsDB.Enum_dbType.dbDateTime)	 '他３受領日
					pDb.setParam(sqlXSI010F010.prmOTHER3_KEEPLCT_CD, clsDB.Enum_dbType.dbNVarChar)	   '他３保管場所コード
					pDb.setParam(sqlXSI010F010.prmOTHER3_MNGSTATUS_CD, clsDB.Enum_dbType.dbNVarChar)   '他３管理状況コード
					pDb.setParam(sqlXSI010F010.prmSUMMARY_APPROVAL_DT, clsDB.Enum_dbType.dbDateTime)	 'サマリ承認日
					pDb.setParam(sqlXSI010F010.prmLASTUPDUSER_CD, clsDB.Enum_dbType.dbNVarChar)		   '更新者コード
					pDb.setParam(sqlXSI010F010.prmLASTUPD_DT, clsDB.Enum_dbType.dbDateTime)			 '更新日

					If sqlIdx = Enum_SqlIdx.eUpd Then
						pDb.setParam(sqlXSI010F010.prmRECORD_UPD, clsDB.Enum_dbType.dbInt)			 'カルテ更新フラグ
						pDb.setParam(sqlXSI010F010.prmSUMMARY_UPD, clsDB.Enum_dbType.dbInt)			 'サマリ更新フラグ
						pDb.setParam(sqlXSI010F010.prmOTHER1_UPD, clsDB.Enum_dbType.dbInt)			 '他１更新フラグ
						pDb.setParam(sqlXSI010F010.prmOTHER2_UPD, clsDB.Enum_dbType.dbInt)			 '他２更新フラグ
						pDb.setParam(sqlXSI010F010.prmOTHER3_UPD, clsDB.Enum_dbType.dbInt)			 '他３更新フラグ
					End If

					'値設定
					pDb.setVal(sqlXSI010F010.prmPATIENT_NO, cliMTI_LENDITM.PATIENT_NO)						 '患者番号
					pDb.setVal(sqlXSI010F010.prmHSP_HISTORY_NO, cliMTI_LENDITM.HSP_HISTORY_NO)				 '入退院歴番号
					pDb.setVal(sqlXSI010F010.prmCH_NO, cliMTI_LENDITM.CH_NO)								 '科歴番号
					pDb.setVal(sqlXSI010F010.prmRECORD_COUNT, cliMTI_LENDITM.RECORD_COUNT)					 'カルテ数
					pDb.setVal(sqlXSI010F010.prmRECORD_RECEIPT_DT, cliMTI_LENDITM.RECORD_RECEIPT_DT)		 'カルテ受領日
					pDb.setVal(sqlXSI010F010.prmRECORD_RECIPIENT_CD, cliMTI_LENDITM.RECORD_RECIPIENT_CD)	 'カルテ受領者コード
					pDb.setVal(sqlXSI010F010.prmRECORD_KEEPLCT_CD, cliMTI_LENDITM.RECORD_KEEPLCT_CD)		 'カルテ保管場所コード
					pDb.setVal(sqlXSI010F010.prmRECORD_ARG_STATUS_CD, cliMTI_LENDITM.RECORD_ARG_STATUS_CD)	 'カルテ整理状況コード
					pDb.setVal(sqlXSI010F010.prmRECORD_MNGSTATUS_CD, cliMTI_LENDITM.RECORD_MNGSTATUS_CD)	 'カルテ管理状況コード
					pDb.setVal(sqlXSI010F010.prmSUMMARY_COUNT, cliMTI_LENDITM.SUMMARY_COUNT)				 'サマリ数
					pDb.setVal(sqlXSI010F010.prmSUMMARY_RECEIPT_DT, cliMTI_LENDITM.SUMMARY_RECEIPT_DT)		 'サマリ受領日
					pDb.setVal(sqlXSI010F010.prmSUMMARY_KEEPLCT_CD, cliMTI_LENDITM.SUMMARY_KEEPLCT_CD)		 'サマリ保管場所コード
					pDb.setVal(sqlXSI010F010.prmSUMMARY_MAKER_CD, cliMTI_LENDITM.SUMMARY_MAKER_CD)			 'サマリ作成者コード
					pDb.setVal(sqlXSI010F010.prmSUMMARY_MNGSTATUS_CD, cliMTI_LENDITM.SUMMARY_MNGSTATUS_CD)	 'サマリ管理状況コード
					pDb.setVal(sqlXSI010F010.prmOTHER1_COUNT, cliMTI_LENDITM.OTHER1_COUNT)					 '他１数
					pDb.setVal(sqlXSI010F010.prmOTHER1_RECEIPT_DT, cliMTI_LENDITM.OTHER1_RECEIPT_DT)		 '他１受領日
					pDb.setVal(sqlXSI010F010.prmOTHER1_KEEPLCT_CD, cliMTI_LENDITM.OTHER1_KEEPLCT_CD)		 '他１保管場所コード
					pDb.setVal(sqlXSI010F010.prmOTHER1_MNGSTATUS_CD, cliMTI_LENDITM.OTHER1_MNGSTATUS_CD)	 '他１管理状況コード
					pDb.setVal(sqlXSI010F010.prmOTHER2_COUNT, cliMTI_LENDITM.OTHER2_COUNT)					 '他２数
					pDb.setVal(sqlXSI010F010.prmOTHER2_RECEIPT_DT, cliMTI_LENDITM.OTHER2_RECEIPT_DT)		 '他２受領日
					pDb.setVal(sqlXSI010F010.prmOTHER2_KEEPLCT_CD, cliMTI_LENDITM.OTHER2_KEEPLCT_CD)		 '他２保管場所コード
					pDb.setVal(sqlXSI010F010.prmOTHER2_MNGSTATUS_CD, cliMTI_LENDITM.OTHER2_MNGSTATUS_CD)	 '他２管理状況コード
					pDb.setVal(sqlXSI010F010.prmOTHER3_COUNT, cliMTI_LENDITM.OTHER3_COUNT)					 '他３数
					pDb.setVal(sqlXSI010F010.prmOTHER3_RECEIPT_DT, cliMTI_LENDITM.OTHER3_RECEIPT_DT)		 '他３受領日
					pDb.setVal(sqlXSI010F010.prmOTHER3_KEEPLCT_CD, cliMTI_LENDITM.OTHER3_KEEPLCT_CD)		 '他３保管場所コード
					pDb.setVal(sqlXSI010F010.prmOTHER3_MNGSTATUS_CD, cliMTI_LENDITM.OTHER3_MNGSTATUS_CD)	 '他３管理状況コード
					pDb.setVal(sqlXSI010F010.prmSUMMARY_APPROVAL_DT, cliMTI_LENDITM.SUMMARY_APPROVAL_DT)	 'サマリ承認日
					pDb.setVal(sqlXSI010F010.prmLASTUPDUSER_CD, Me.cliXSI010F010._userID)					 '更新者コード
					pDb.setVal(sqlXSI010F010.prmLASTUPD_DT, DateTime.Now)									 '更新日
					If sqlIdx = Enum_SqlIdx.eUpd Then
						If String.IsNullOrEmpty(cliMTI_LENDITM.RECORD_COUNT) = False Then
							pDb.setVal(sqlXSI010F010.prmRECORD_UPD, 1) 'カルテ更新フラグ
						Else
							pDb.setVal(sqlXSI010F010.prmRECORD_UPD, 0) 'カルテ更新フラグ
						End If
						If String.IsNullOrEmpty(cliMTI_LENDITM.SUMMARY_COUNT) = False Then
							pDb.setVal(sqlXSI010F010.prmSUMMARY_UPD, 1)	'サマリ更新フラグ
						Else
							pDb.setVal(sqlXSI010F010.prmSUMMARY_UPD, 0)	'サマリ更新フラグ
						End If

						If String.IsNullOrEmpty(cliMTI_LENDITM.OTHER1_COUNT) = False Then
							pDb.setVal(sqlXSI010F010.prmOTHER1_UPD, 1) '他１更新フラグ
						Else
							pDb.setVal(sqlXSI010F010.prmOTHER1_UPD, 0) '他１更新フラグ
						End If

						If String.IsNullOrEmpty(cliMTI_LENDITM.OTHER2_COUNT) = False Then
							pDb.setVal(sqlXSI010F010.prmOTHER2_UPD, 1) '他２更新フラグ
						Else
							pDb.setVal(sqlXSI010F010.prmOTHER2_UPD, 0) '他２更新フラグ
						End If
						If String.IsNullOrEmpty(cliMTI_LENDITM.OTHER3_COUNT) = False Then
							pDb.setVal(sqlXSI010F010.prmOTHER3_UPD, 1) '他３更新フラグ
						Else
							pDb.setVal(sqlXSI010F010.prmOTHER3_UPD, 0) '他３更新フラグ
						End If
					End If
			End Select

			'SQL実行
			pDb.execNonQuery(tran)
		Catch ex As Exception
			Throw
		End Try
	End Sub

	''' ---------------------------------------------
	''' <summary>
	''' 【管理物】ログSQL登録
	''' </summary>
	''' <param name="pDb">DBクラス</param>
	''' <param name="cliOneCsvData">連携ファイル1行データ</param>
	''' <remarks>
	''' 2010/10/12 新規作成 ACS)牟禮<BR/>
	''' </remarks>
	''' ---------------------------------------------
	Private Sub setSqlParam_MTT_IMP_LOG(ByVal pDb As clsDB, ByVal cliOneCsvData As clsXSI_MTT_IMP_LOG_LENDITM)
		clsSysMst.logEx(clsSysMst.logLevel.DBG, "XSI", Me.GetType().Name, MethodBase.GetCurrentMethod().Name, "システム連携", "管理物連携", "【管理物】ログ登録 Start")
		Try
			'SQL文設定
			pDb.setSQL(sqlXSI010F010.sqlIns_MTT_IMP_LOG_LENDITM)

			'パラメータ設定
			pDb.setParam(sqlXSI010F010.prmREG_DT, clsDB.Enum_dbType.dbDateTime)				'登録日
			pDb.setParam(sqlXSI010F010.prmSERIAL_NO, clsDB.Enum_dbType.dbInt)				'連番
			pDb.setParam(sqlXSI010F010.prmERR_FLG, clsDB.Enum_dbType.dbInt)					'エラーフラグ
			pDb.setParam(sqlXSI010F010.prmDATA_TYPE, clsDB.Enum_dbType.dbNVarChar)			  'データ種別
			pDb.setParam(sqlXSI010F010.prmPATIENT_NO, clsDB.Enum_dbType.dbNVarChar)			  '患者番号
			pDb.setParam(sqlXSI010F010.prmDEPT_CD, clsDB.Enum_dbType.dbNVarChar)			  '診療科コード
			pDb.setParam(sqlXSI010F010.prmHSP_DT, clsDB.Enum_dbType.dbNVarChar)				  '入院日
			pDb.setParam(sqlXSI010F010.prmRECORD_COUNT, clsDB.Enum_dbType.dbNVarChar)		  'カルテ数
			pDb.setParam(sqlXSI010F010.prmRECORD_RECEIPT_DT, clsDB.Enum_dbType.dbNVarChar)	  'カルテ受領日
			pDb.setParam(sqlXSI010F010.prmRECORD_RECIPIENT_CD, clsDB.Enum_dbType.dbNVarChar)  'カルテ受領者コード
			pDb.setParam(sqlXSI010F010.prmRECORD_KEEPLCT_CD, clsDB.Enum_dbType.dbNVarChar)	  'カルテ保管場所コード
			pDb.setParam(sqlXSI010F010.prmRECORD_ARG_STATUS_CD, clsDB.Enum_dbType.dbNVarChar) 'カルテ整理状況コード
			pDb.setParam(sqlXSI010F010.prmRECORD_MNGSTATUS_CD, clsDB.Enum_dbType.dbNVarChar)  'カルテ管理状況コード
			pDb.setParam(sqlXSI010F010.prmSUMMARY_COUNT, clsDB.Enum_dbType.dbNVarChar)		  'サマリ数
			pDb.setParam(sqlXSI010F010.prmSUMMARY_RECEIPT_DT, clsDB.Enum_dbType.dbNVarChar)	  'サマリ受領日
			pDb.setParam(sqlXSI010F010.prmSUMMARY_KEEPLCT_CD, clsDB.Enum_dbType.dbNVarChar)	  'サマリ保管場所コード
			pDb.setParam(sqlXSI010F010.prmSUMMARY_MAKER_CD, clsDB.Enum_dbType.dbNVarChar)	  'サマリ作成者コード
			pDb.setParam(sqlXSI010F010.prmSUMMARY_MNGSTATUS_CD, clsDB.Enum_dbType.dbNVarChar) 'サマリ管理状況コード
			pDb.setParam(sqlXSI010F010.prmOTHER1_COUNT, clsDB.Enum_dbType.dbNVarChar)		  '他１数
			pDb.setParam(sqlXSI010F010.prmOTHER1_RECEIPT_DT, clsDB.Enum_dbType.dbNVarChar)	  '他１受領日
			pDb.setParam(sqlXSI010F010.prmOTHER1_KEEPLCT_CD, clsDB.Enum_dbType.dbNVarChar)	  '他１保管場所コード
			pDb.setParam(sqlXSI010F010.prmOTHER1_MNGSTATUS_CD, clsDB.Enum_dbType.dbNVarChar)  '他１管理状況コード
			pDb.setParam(sqlXSI010F010.prmOTHER2_COUNT, clsDB.Enum_dbType.dbNVarChar)		  '他２数
			pDb.setParam(sqlXSI010F010.prmOTHER2_RECEIPT_DT, clsDB.Enum_dbType.dbNVarChar)	  '他２受領日
			pDb.setParam(sqlXSI010F010.prmOTHER2_KEEPLCT_CD, clsDB.Enum_dbType.dbNVarChar)	  '他２保管場所コード
			pDb.setParam(sqlXSI010F010.prmOTHER2_MNGSTATUS_CD, clsDB.Enum_dbType.dbNVarChar)  '他２管理状況コード
			pDb.setParam(sqlXSI010F010.prmOTHER3_COUNT, clsDB.Enum_dbType.dbNVarChar)		  '他３数
			pDb.setParam(sqlXSI010F010.prmOTHER3_RECEIPT_DT, clsDB.Enum_dbType.dbNVarChar)	  '他３受領日
			pDb.setParam(sqlXSI010F010.prmOTHER3_KEEPLCT_CD, clsDB.Enum_dbType.dbNVarChar)	  '他３保管場所コード
			pDb.setParam(sqlXSI010F010.prmOTHER3_MNGSTATUS_CD, clsDB.Enum_dbType.dbNVarChar)  '他３管理状況コード
			pDb.setParam(sqlXSI010F010.prmSPARE01, clsDB.Enum_dbType.dbNVarChar)			  '予備１
			pDb.setParam(sqlXSI010F010.prmSPARE02, clsDB.Enum_dbType.dbNVarChar)			  '予備２
			pDb.setParam(sqlXSI010F010.prmSPARE03, clsDB.Enum_dbType.dbNVarChar)			  '予備３
			pDb.setParam(sqlXSI010F010.prmMODULE_CD, clsDB.Enum_dbType.dbNVarChar)			  'モジュールコード
			pDb.setParam(sqlXSI010F010.prmERR_CD, clsDB.Enum_dbType.dbNVarChar)				  'エラーコード
			pDb.setParam(sqlXSI010F010.prmMESSAGE, clsDB.Enum_dbType.dbNVarChar)			  'メッセージ
			pDb.setParam(sqlXSI010F010.prmLASTUPDUSER_CD, clsDB.Enum_dbType.dbNVarChar)		  '更新者コード
			pDb.setParam(sqlXSI010F010.prmLASTUPD_DT, clsDB.Enum_dbType.dbDateTime)			'更新日

			'値設定
			pDb.setVal(sqlXSI010F010.prmREG_DT, DateTime.Now)										 '登録日
			pDb.setVal(sqlXSI010F010.prmSERIAL_NO, cliOneCsvData.SERIAL_NO)							 '連番
			pDb.setVal(sqlXSI010F010.prmERR_FLG, cliOneCsvData.ERR_FLG)								 'エラーフラグ
			pDb.setVal(sqlXSI010F010.prmDATA_TYPE, cliOneCsvData.DATA_TYPE)							 'データ種別
			pDb.setVal(sqlXSI010F010.prmPATIENT_NO, cliOneCsvData.PATIENT_NO)						 '患者番号
			pDb.setVal(sqlXSI010F010.prmDEPT_CD, cliOneCsvData.DEPT_CD)								 '診療科コード
			pDb.setVal(sqlXSI010F010.prmHSP_DT, cliOneCsvData.HSP_DT)								 '入院日
			pDb.setVal(sqlXSI010F010.prmRECORD_COUNT, cliOneCsvData.RECORD_COUNT)					 'カルテ数
			pDb.setVal(sqlXSI010F010.prmRECORD_RECEIPT_DT, cliOneCsvData.RECORD_RECEIPT_DT)			 'カルテ受領日
			pDb.setVal(sqlXSI010F010.prmRECORD_RECIPIENT_CD, cliOneCsvData.RECORD_RECIPIENT_CD)		 'カルテ受領者コード
			pDb.setVal(sqlXSI010F010.prmRECORD_KEEPLCT_CD, cliOneCsvData.RECORD_KEEPLCT_CD)			 'カルテ保管場所コード
			pDb.setVal(sqlXSI010F010.prmRECORD_ARG_STATUS_CD, cliOneCsvData.RECORD_ARG_STATUS_CD)	 'カルテ整理状況コード
			pDb.setVal(sqlXSI010F010.prmRECORD_MNGSTATUS_CD, cliOneCsvData.RECORD_MNGSTATUS_CD)		 'カルテ管理状況コード
			pDb.setVal(sqlXSI010F010.prmSUMMARY_COUNT, cliOneCsvData.SUMMARY_COUNT)					 'サマリ数
			pDb.setVal(sqlXSI010F010.prmSUMMARY_RECEIPT_DT, cliOneCsvData.SUMMARY_RECEIPT_DT)		 'サマリ受領日
			pDb.setVal(sqlXSI010F010.prmSUMMARY_KEEPLCT_CD, cliOneCsvData.SUMMARY_KEEPLCT_CD)		 'サマリ保管場所コード
			pDb.setVal(sqlXSI010F010.prmSUMMARY_MAKER_CD, cliOneCsvData.SUMMARY_MAKER_CD)			 'サマリ作成者コード
			pDb.setVal(sqlXSI010F010.prmSUMMARY_MNGSTATUS_CD, cliOneCsvData.SUMMARY_MNGSTATUS_CD)	 'サマリ管理状況コード
			pDb.setVal(sqlXSI010F010.prmOTHER1_COUNT, cliOneCsvData.OTHER1_COUNT)					 '他１数
			pDb.setVal(sqlXSI010F010.prmOTHER1_RECEIPT_DT, cliOneCsvData.OTHER1_RECEIPT_DT)			 '他１受領日
			pDb.setVal(sqlXSI010F010.prmOTHER1_KEEPLCT_CD, cliOneCsvData.OTHER1_KEEPLCT_CD)			 '他１保管場所コード
			pDb.setVal(sqlXSI010F010.prmOTHER1_MNGSTATUS_CD, cliOneCsvData.OTHER1_MNGSTATUS_CD)		 '他１管理状況コード
			pDb.setVal(sqlXSI010F010.prmOTHER2_COUNT, cliOneCsvData.OTHER2_COUNT)					 '他２数
			pDb.setVal(sqlXSI010F010.prmOTHER2_RECEIPT_DT, cliOneCsvData.OTHER2_RECEIPT_DT)			 '他２受領日
			pDb.setVal(sqlXSI010F010.prmOTHER2_KEEPLCT_CD, cliOneCsvData.OTHER2_KEEPLCT_CD)			 '他２保管場所コード
			pDb.setVal(sqlXSI010F010.prmOTHER2_MNGSTATUS_CD, cliOneCsvData.OTHER2_MNGSTATUS_CD)		 '他２管理状況コード
			pDb.setVal(sqlXSI010F010.prmOTHER3_COUNT, cliOneCsvData.OTHER3_COUNT)					 '他３数
			pDb.setVal(sqlXSI010F010.prmOTHER3_RECEIPT_DT, cliOneCsvData.OTHER3_RECEIPT_DT)			 '他３受領日
			pDb.setVal(sqlXSI010F010.prmOTHER3_KEEPLCT_CD, cliOneCsvData.OTHER3_KEEPLCT_CD)			 '他３保管場所コード
			pDb.setVal(sqlXSI010F010.prmOTHER3_MNGSTATUS_CD, cliOneCsvData.OTHER3_MNGSTATUS_CD)		 '他３管理状況コード
			pDb.setVal(sqlXSI010F010.prmSPARE01, cliOneCsvData.SPARE01)								 '予備１
			pDb.setVal(sqlXSI010F010.prmSPARE02, cliOneCsvData.SPARE02)								 '予備２
			pDb.setVal(sqlXSI010F010.prmSPARE03, cliOneCsvData.SPARE03)								 '予備３
			pDb.setVal(sqlXSI010F010.prmMODULE_CD, cliOneCsvData.MODULE_CD)							 'モジュールコード
			pDb.setVal(sqlXSI010F010.prmERR_CD, cliOneCsvData.ERR_CD)								 'エラーコード
			pDb.setVal(sqlXSI010F010.prmMESSAGE, cliOneCsvData.MESSAGE)								 'メッセージ
			pDb.setVal(sqlXSI010F010.prmLASTUPDUSER_CD, Me.cliXSI010F010._userID)					 '更新者コード
			pDb.setVal(sqlXSI010F010.prmLASTUPD_DT, DateTime.Now)									 '更新日

			'SQL実行
			pDb.execNonQuery()
		Catch ex As Exception
			Throw
		End Try
	End Sub

#End Region

End Class
