﻿Imports XCM
Imports XSP
Imports System.Reflection

''' ---------------------------------------------
''' <summary>
''' 連携（貸出管理）患者基本情報から　新規作成（修正番号：V4-14054）
''' </summary>
''' <remarks>
''' Copyright 2013 FUJITSU SYSTEMS WEST LIMITED All rights reserved.<BR/>
''' FUJITSU SYSTEMS WEST LIMITED CONFIDENTIAL<BR/>
''' </remarks>
''' ---------------------------------------------
Public Class clsXSI_BT4LKJ
	Inherits clsXSI_BT4

#Region "コンスタント"

	''' ---------------------------------------------
	''' <summary>
	''' 連携CSVレイアウト項目数
	''' </summary>
	''' ---------------------------------------------
	Private Enum ENUM_CSV_CNT As Integer
		V4 = 23
	End Enum

	Public Const CST_PRD_NM As String = "ｼｽﾃﾑ連携"				'プロダクト名
	Public Const CST_FNC_NM As String = "ｼｽﾃﾑ連携  貸出管理"		'ファンクション名

#End Region

#Region "変数"

	'CSVファイル
	Private csvFileNames() As String
	'貸出管理クラス
	Private cliLendInfo As clsLendInfo
	'貸出管理クラスインデックス
	Private Index As Integer
	'管理物マスタデータテーブル
	Private dtLTM_MNGITEM_DEFINITION_HSP As DataTable
	'管理物管理状況マスタクラス
	Private cliLTM_MNGITEMMNGSTATUS As clsLTM_MNGITEMMNGSTATUS
	'管理物保管場所マスタクラス
	Private cliLTM_MNGITEMKEEPLCT As clsLTM_MNGITEMKEEPLCT

#End Region

#Region "コンストラクタ"

	''' ---------------------------------------------
	''' <summary>
	''' コンストラクタ
	''' </summary>
	''' <param name="cliXSI030F010">親フォーム</param>
	''' <param name="csvFileNames">連携CSVファイル</param>
	''' <param name="cliLI">貸出管理クラス</param>
	''' <param name="pIdx">貸出管理クラスインデックス</param>
	''' <param name="pdtLTM_MNGITEM_DEFINITION_HSP">管理物マスタデータテーブル</param>
	''' <remarks>
	''' 2013/06/19 新規作成　ID)平井<BR/>
	''' </remarks>
	''' ---------------------------------------------
	Public Sub New(ByVal cliXSI030F010 As XSI030F010, ByVal csvFileNames() As String, ByVal cliLI As clsLendInfo, ByVal pIdx As Integer, ByVal pdtLTM_MNGITEM_DEFINITION_HSP As DataTable)
		MyBase.New(cliXSI030F010)
		Me.csvFileNames = csvFileNames
		Me.cliLendInfo = cliLI
		Me.Index = pIdx
		Me.dtLTM_MNGITEM_DEFINITION_HSP = pdtLTM_MNGITEM_DEFINITION_HSP
	End Sub

#End Region

#Region "メソッド"

	''' ---------------------------------------------
	''' <summary>
	''' 【患者基本情報から】連携処理
	''' </summary>
	''' <returns></returns>
	''' <remarks>
	''' 2013/09/18 新規作成　ID)平井<BR/>
	''' </remarks>
	''' ---------------------------------------------
	Public Function runProc() As clsThread
		clsSysMst.logEx(clsSysMst.logLevel.DBG, "XSI", Me.GetType().Name, MethodBase.GetCurrentMethod().Name, CST_PRD_NM, CST_FNC_NM, "【患者入退院歴から】連携処理 Start")
		Dim aryAllCnt() As Long						'全件数
		Dim aryOkCnt() As Long						'正常件数
		Dim aryErrCnt() As Long						'エラー件数
		Dim arySlightErrCnt() As Long				'軽度エラー件数
		Dim nameChangeCnt As Long					'氏名変更件数
		Dim nameChangeSerial As Integer				'氏名変更ログ連番
		Dim aryRow() As Integer
		Dim rowData() As String = Nothing
		Dim setCounterEx As XSI030F010.setCounter_Ex_Delegate
		Dim setCounterName As XSI030F010.setCounter_Name_Delegate
		Dim cliTh As clsThread
		Dim dtMngItem As DataTable = Nothing
		Dim iIdx As Integer
		Dim iMaxCount As Long = 0
		Dim iProcessCount As Long = 0
		Dim iInsertCount As Integer = 0
		Dim iFileCount As Long = 0

		'件数初期化
		ReDim aryAllCnt(dtLTM_MNGITEM_DEFINITION_HSP.Rows.Count - 1)
		ReDim aryOkCnt(dtLTM_MNGITEM_DEFINITION_HSP.Rows.Count - 1)
		ReDim aryErrCnt(dtLTM_MNGITEM_DEFINITION_HSP.Rows.Count - 1)
		ReDim arySlightErrCnt(dtLTM_MNGITEM_DEFINITION_HSP.Rows.Count - 1)
		nameChangeCnt = 0
		nameChangeSerial = 0
		ReDim aryRow(dtLTM_MNGITEM_DEFINITION_HSP.Rows.Count - 1)
		'管理物管理状況マスタクラス
		cliLTM_MNGITEMMNGSTATUS = New clsLTM_MNGITEMMNGSTATUS
		'管理物保管場所マスタクラス
		cliLTM_MNGITEMKEEPLCT = New clsLTM_MNGITEMKEEPLCT

		Try
			'総件数設定
			dtMngItem = dtLTM_MNGITEM_DEFINITION_HSP
			iIdx = -1
			For Each drow As DataRow In dtMngItem.Rows
				iIdx += 1
				If drow(sqlXSI030F010.itmSELECTED).ToString = CType(clsConst.Enum_CheckBox_Flg.CheckOn, String) Then
					aryAllCnt(iIdx) = CType(drow(sqlXSI030F010.itmALL_COUNT).ToString, Long)
					If iMaxCount < CType(drow(sqlXSI030F010.itmALL_COUNT).ToString, Long) Then
						iMaxCount = CType(drow(sqlXSI030F010.itmALL_COUNT).ToString, Long)
					End If
				End If
			Next
			CST_MOD_CNT = getModCount(iMaxCount)
			setCounterEx = New XSI030F010.setCounter_Ex_Delegate(AddressOf Me.cliXSI030F010.setCounterEx)
			setCounterName = New XSI030F010.setCounter_Name_Delegate(AddressOf Me.cliXSI030F010.setCounterName)
			cliTh = New clsThread(Me.cliLendInfo)
			Using db As New clsDB(clsSysMst.ctlConfigData)
				Using cliOneCsvData As New clsXSI_LTT_IMP_LOG_BASIC,
					  cliLOG_PATIENT_NM As New clsXSI_MTT_IMP_LOG_PATIENT_NM	'取込CSV内の１レコード(ログ登録),氏名変更ログクラス
					For Each filename As String In Me.csvFileNames
						Using cliCSV As New XSP.clsCSV(filename),
							  tfpReader As FileIO.TextFieldParser = cliCSV.getCSV()
							'連携ファイル内を1件ずつ処理
							While Not (tfpReader.EndOfData)
								cliOneCsvData.clear()		'連携CSV１行データ格納クラスクリア
								cliLOG_PATIENT_NM.clear()	'氏名変更ログクラスクリア
								iProcessCount += 1			'ファイル処理件数
								iInsertCount = 0
								Try
									rowData = tfpReader.ReadFields()
									'１行データを格納
									Select Case rowData.Length
										Case ENUM_CSV_CNT.V4
											Me.setV4Cls(rowData, cliOneCsvData)
										Case Else
											'エラー情報セット
											cliOneCsvData.ERR_FLG = "1"
											cliOneCsvData.ERR_CD = "E0026"
											'ＣＳＶの個数が違います。
											cliOneCsvData.MESSAGE = Me.cliClsMsg.getMessage(cliOneCsvData.ERR_CD)
									End Select
								Catch ex As FileIO.MalformedLineException
									'エラー情報セット
									cliOneCsvData.ERR_FLG = "1"
									cliOneCsvData.ERR_CD = "E0035"
									'データの形式が不正です。
									cliOneCsvData.MESSAGE = Me.cliClsMsg.getMessage(cliOneCsvData.ERR_CD, New String() {"データの形式"})
								End Try
								If cliOneCsvData.ERR_FLG = "1" Then
									'連携ファイルエラー
								ElseIf Me.chkCsv(cliOneCsvData) = False Then
									'連携ファイル内チェックエラー（レコード毎）
									cliOneCsvData.ERR_FLG = "1"
								End If
								iIdx = -1
								If cliOneCsvData.ERR_FLG = "1" Then
									For Each drow As DataRow In dtMngItem.Rows
										iIdx += 1
										If drow(sqlXSI030F010.itmSELECTED).ToString = CType(clsConst.Enum_CheckBox_Flg.CheckOn, String) Then
											'データ種別有効判定
											If rowData Is Nothing OrElse
												rowData.GetUpperBound(0) >= 16 AndAlso
												cliXSI030F010.isValidateDataType(drow(sqlXSI030F010.itmDATATYPE_CD).ToString,
																				drow(sqlXSI030F010.itmUNIT_CD).ToString,
																				rowData(0),
																				rowData(13),
																				rowData(16)) Then
												aryRow(iIdx) += 1

												'連番設定
												cliOneCsvData.SERIAL_NO = aryRow(iIdx).ToString()
												aryErrCnt(iIdx) += 1
												cliOneCsvData.MODULE_CD = GetType(XSI030F010).Name

												'ログ出力
												Me.setSqlParam_MTT_IMP_LOG(db, cliOneCsvData, drow(sqlXSI030F010.itmMNGITEM_CD).ToString)

											End If
										End If
									Next
								Else
									'■管理物毎に処理を実行
									For Each drow As DataRow In dtMngItem.Rows
										iIdx += 1
										'チェックされてない管理物はスキップ
										If drow(sqlXSI030F010.itmSELECTED).ToString = CType(clsConst.Enum_CheckBox_Flg.CheckOff, String) Then
											Continue For
										End If
										aryRow(iIdx) += 1

										'連番設定
										cliOneCsvData.SERIAL_NO = aryRow(iIdx).ToString()
										'管理物毎のチェック
										cliOneCsvData.ERR_FLG = "0"
										cliOneCsvData.ERR_CD = String.Empty
										cliOneCsvData.MESSAGE = String.Empty
										'更新
										If Me.setData(db, iIdx, cliOneCsvData, cliLOG_PATIENT_NM) Then
											iInsertCount += 1
										End If

										'件数カウント
										Select Case cliOneCsvData.ERR_FLG
											Case "0" 'OK
												aryOkCnt(iIdx) += 1
											Case "1" 'エラー
												aryErrCnt(iIdx) += 1
												cliOneCsvData.MODULE_CD = GetType(XSI030F010).Name
											Case "2" '軽度
												aryErrCnt(iIdx) += 1
												arySlightErrCnt(iIdx) += 1
												cliOneCsvData.MODULE_CD = GetType(XSI030F010).Name
											Case "9" 'マスタエラー（即時終了）
												MessageBox.Show(cliOneCsvData.MESSAGE & "(" & cliOneCsvData.ERR_CD & ")", cliXSI030F010.Text)
												Return cliTh
										End Select

										'ログ出力
										Me.setSqlParam_MTT_IMP_LOG(db, cliOneCsvData, drow(sqlXSI030F010.itmMNGITEM_CD).ToString)

										Using cliSubjectConsultation As New clsXTM_SUBJECT_CONSULTATION()
											'データ種別がBの時、科別受診情報を追加、更新する。
											If cliOneCsvData.DATA_TYPE = XSI030F010.CST_DATATYPE_OUT_HSP Then
												'科別受診情報　更新
												Me.setSubjectConsultation(db, cliOneCsvData, cliSubjectConsultation)
											End If
										End Using

									Next
								End If

								'基本情報
								If iInsertCount > 0 Then

									Using cliBasicInfo_DB As New clsXSI_XTI_BASICINFO(),
										  cliBasicInfo As New clsXSI_XTI_BASICINFO() '基本情報データクラス、基本情報 DBセット用

										'基本情報読込
										Me.getBasicInfo(db, cliOneCsvData, cliBasicInfo_DB)

										'基本情報　更新
										Me.setBasicInfo(db, cliOneCsvData, cliLOG_PATIENT_NM, cliBasicInfo_DB, cliBasicInfo)
										If String.IsNullOrEmpty(cliLOG_PATIENT_NM.PATIENT_NO) = False Then
											nameChangeCnt += 1
											'ログ出力（氏名変更患者）
											nameChangeSerial += 1
											cliLOG_PATIENT_NM.SERIAL_NO = nameChangeCnt.ToString()
											Me.setSqlParam_MTT_IMP_LOG_PATIENT_NM(db, cliLOG_PATIENT_NM, CStr(XSI010F010.Enum_BASICINFO_CHANGE_DERIMI.eLBASICINFO))
										End If
									End Using

								End If

								'件数更新
								'CST_MOD_CNT毎または最終データの場合更新
								If iProcessCount Mod CST_MOD_CNT = 0 Then
									iIdx = -1
									For Each drow As DataRow In dtMngItem.Rows
										iIdx += 1
										If drow(sqlXSI030F010.itmSELECTED).ToString = CType(clsConst.Enum_CheckBox_Flg.CheckOn, String) Then
											Me.cliXSI030F010.BeginInvoke(setCounterEx, New Object() {Me.Index, iIdx, aryAllCnt(iIdx), aryOkCnt(iIdx), aryErrCnt(iIdx), arySlightErrCnt(iIdx)})
										End If
									Next
									Me.cliXSI030F010.BeginInvoke(setCounterName, New Object() {Me.Index, nameChangeCnt})
								End If
							End While
						End Using
					Next
					iIdx = -1
					For Each drow As DataRow In dtMngItem.Rows
						iIdx += 1
						If drow(sqlXSI030F010.itmSELECTED).ToString = CType(clsConst.Enum_CheckBox_Flg.CheckOn, String) Then
							' 処理件数設定
							cliTh.aryNormalCount(iIdx) = aryOkCnt(iIdx)
							cliTh.aryErrorCount(iIdx) = aryErrCnt(iIdx)
							cliTh.arySlightCount(iIdx) = arySlightErrCnt(iIdx)
							clsSysMst.logEx(clsSysMst.logLevel.NRM, "XSI", Me.GetType().Name, MethodBase.GetCurrentMethod().Name, CST_PRD_NM, CST_FNC_NM, String.Format("患者入退院歴({0})，有効件数({1}) 正常件数({2}) ｴﾗｰ件数({3}) 軽度等({4})", drow(sqlXSI030F010.itmMNGITEM_NM).ToString, aryAllCnt(iIdx), aryOkCnt(iIdx), aryErrCnt(iIdx), arySlightErrCnt(iIdx)))
						End If
					Next
					cliTh.NameChangeCount = nameChangeCnt
					clsSysMst.logEx(clsSysMst.logLevel.NRM, "XSI", Me.GetType().Name, MethodBase.GetCurrentMethod().Name, CST_PRD_NM, CST_FNC_NM, String.Format("患者入退院歴，氏名変更患者({0})", nameChangeCnt))
				End Using
			End Using
			Return cliTh
		Catch ex As Exception
			Throw
		Finally
			rowData = Nothing
			setCounterEx = Nothing
			setCounterName = Nothing
			cliLTM_MNGITEMMNGSTATUS = Nothing
			cliLTM_MNGITEMKEEPLCT = Nothing
		End Try
	End Function

	''' ---------------------------------------------
	''' <summary>
	''' 更新(入院・退院　重複なし)データ種別
	''' </summary>
	''' <param name="pDb">DBクラス</param>
	''' <param name="iIdx">管理物、明細一括作成マスタインデックス</param>
	''' <param name="cliOneCsvData">連携ファイル1行データ</param>
	''' <param name="cliLOG_PATIENT_NM">氏名変更ログクラス</param>
	''' <returns></returns>
	''' <remarks>
	''' 2013/09/18 新規作成　ID)平井<BR/>
	''' </remarks>
	''' ---------------------------------------------
	Private Function setData(ByVal pDb As clsDB, ByVal iIdx As Integer, ByVal cliOneCsvData As clsXSI_LTT_IMP_LOG_BASIC, ByVal cliLOG_PATIENT_NM As clsXSI_MTT_IMP_LOG_PATIENT_NM) As Boolean
		clsSysMst.logEx(clsSysMst.logLevel.DBG, "XSI", Me.GetType().Name, MethodBase.GetCurrentMethod().Name, CST_PRD_NM, CST_FNC_NM, "更新(入院・退院　重複なし)データ種別 Start")
		Dim strItemName As String = String.Empty
		Dim dtBasicinfo As DataTable = Nothing
		Dim datLTI_MNGITEMINFO As datLTI_MNGITEMINFO_IMP = Nothing
		Dim strErrorItenName As String = String.Empty
		Try
			Using cliLTM_MNGITEM_DEFINITION As New clsLTM_MNGITEM_DEFINITION(cliXSI030F010._userID)
				'■ＣＳＶファイルレコードをHashTableへ設定
				Dim htCsvFileRec As New Hashtable
				htCsvFileRec.Add(sqlLTM_MNGITEM_DEFINITION.CSV_DATA_TYPE, cliOneCsvData.DATA_TYPE)							'データ種別
				htCsvFileRec.Add(sqlLTM_MNGITEM_DEFINITION.CSV_LASTDEPT_CD, cliOneCsvData.LASTDEPT_CD)						'最終受診科コード
				htCsvFileRec.Add(sqlLTM_MNGITEM_DEFINITION.CSV_LASTHSPVST_DT, cliOneCsvData.LASTHSPVST_DT)					'最終来院日
				cliLTM_MNGITEM_DEFINITION.CSVFILEREC = htCsvFileRec
				cliLTM_MNGITEM_DEFINITION.CLS_MNGITEMMNGSTATUS = cliLTM_MNGITEMMNGSTATUS
				cliLTM_MNGITEM_DEFINITION.CLS_MNGITEMKEEPLCT = cliLTM_MNGITEMKEEPLCT
				cliLTM_MNGITEM_DEFINITION.MNGITEM_DEFINITION = dtLTM_MNGITEM_DEFINITION_HSP.Rows(iIdx)
				Dim bTaisho As Boolean = False
				With dtLTM_MNGITEM_DEFINITION_HSP.Rows(iIdx)
					'■大将よりデータ取得する項目が有るか判定
					For Each cliMI As clsItems In cliLTM_MNGITEM_DEFINITION.LTI_MngItem
						cliLTM_MNGITEM_DEFINITION.CurrentItems = cliMI
						'大将より
						If cliMI.DefFlagName IsNot Nothing AndAlso
							.Item(cliMI.DefFlagName).ToString = CType(clsConst.Enum_MngDefGetFrom.Imp, String) Then
							'CSVファイルの項目名取得
							strItemName = cliLTM_MNGITEM_DEFINITION.GetCsvItemName_basic(cliMI.ItemName)

							'対象外？
							If strItemName IsNot Nothing Then
								If strItemName = String.Empty Then
									'エラー情報セット
									cliOneCsvData.ERR_FLG = "9"
									cliOneCsvData.ERR_CD = "E0016"
									'明細一括作成マスタの項目が入力されていません。
									cliOneCsvData.MESSAGE = cliClsMsg.getMessage(cliOneCsvData.ERR_CD, New String() {"明細一括作成マスタ(" & dtLTM_MNGITEM_DEFINITION_HSP.Rows(iIdx)(sqlLTM_MNGITEM.itmMNGITEM_NM).ToString & ")の" & cliMI.JItemName & "は正しい値が", Nothing})
									Return False
								Else
									If String.IsNullOrEmpty(cliOneCsvData(strItemName)) Then
										bTaisho = True
										Exit For
									End If


								End If
							End If
						End If
					Next
					dtBasicinfo = Nothing

					'■大将よりデータ取得（患者情報）
					If bTaisho Then
						dtBasicinfo = getPatient(pDb, cliOneCsvData.PATIENT_NO)


					End If

					'■患者情報から管理物情報データ取得
					Dim cliError As New clsError
					If dtBasicinfo Is Nothing OrElse
						dtBasicinfo.Rows.Count <= 0 Then
						datLTI_MNGITEMINFO = cliLTM_MNGITEM_DEFINITION.getMngItemInfo_FromDefinition_basic(0,
																									clsConst.Enum_MngItemKeepLct_Fix2.Imp,
																									cliOneCsvData.PATIENT_NO,
																									dtLTM_MNGITEM_DEFINITION_HSP.Rows(iIdx),
																									Nothing,
																									cliError)
					Else
						datLTI_MNGITEMINFO = cliLTM_MNGITEM_DEFINITION.getMngItemInfo_FromDefinition_basic(0,
																									clsConst.Enum_MngItemKeepLct_Fix2.Imp,
																									cliOneCsvData.PATIENT_NO,
																									dtLTM_MNGITEM_DEFINITION_HSP.Rows(iIdx),
																									dtBasicinfo.Rows(0),
																									cliError)
					End If
					If datLTI_MNGITEMINFO Is Nothing OrElse
						cliError.ERR_FLG <> "0" Then
						'エラー情報セット
						cliOneCsvData.ERR_FLG = cliError.ERR_FLG
						cliOneCsvData.ERR_CD = cliError.ERR_CD
						cliOneCsvData.MESSAGE = cliError.MESSAGE
						Return False
					End If
				End With
				'■管理物情報存在チェック
				If existMngItemInfo(pDb, datLTI_MNGITEMINFO.PATIENT_NO, datLTI_MNGITEMINFO.MNGITEM_CD, datLTI_MNGITEMINFO.DIV1_CD, datLTI_MNGITEMINFO.DIV2_CD) Then
					cliOneCsvData.ERR_FLG = "2"
					cliOneCsvData.ERR_CD = "W0001"
					'既に登録されています。
					cliOneCsvData.MESSAGE = Me.cliClsMsg.getMessage(cliOneCsvData.ERR_CD)
					Return False
				End If

				'■管理物情報登録処理
				'トランザクション開始
				pDb.ctlTran(clsDB.Enum_TranMode.Begin)
				'SQL文設定
				pDb.setSQL(sqlXSI030F010.sqlIns_LTI_MNGITEMINFO2)
				'パラメータ設定
				pDb.setParam(sqlXSI030F010.prmPATIENT_NO, clsDB.Enum_dbType.dbNVarChar)					'患者番号
				pDb.setParam(sqlXSI030F010.prmMNGITEM_CD, clsDB.Enum_dbType.dbNVarChar)					'管理物コード
				pDb.setParam(sqlXSI030F010.prmBYOREKI_NO, clsDB.Enum_dbType.dbNVarChar)					'病歴番号
				pDb.setParam(sqlXSI030F010.prmDIV1_CD, clsDB.Enum_dbType.dbNVarChar)					'区分１コード
				pDb.setParam(sqlXSI030F010.prmDIV2_CD, clsDB.Enum_dbType.dbNVarChar)					'区分２コード
				pDb.setParam(sqlXSI030F010.prmFIRSTRECEIVING_DT, clsDB.Enum_dbType.dbNVarChar)			'初回受領日
				pDb.setParam(sqlXSI030F010.prmLASTRECEIVING_DT, clsDB.Enum_dbType.dbNVarChar)			'最終受領日
				pDb.setParam(sqlXSI030F010.prmRECIPIENT_CD, clsDB.Enum_dbType.dbNVarChar)				'受領者コード
				pDb.setParam(sqlXSI030F010.prmKEEPLCT_CD, clsDB.Enum_dbType.dbNVarChar)					'保管場所コード
				pDb.setParam(sqlXSI030F010.prmMNGSTATUS_CD, clsDB.Enum_dbType.dbNVarChar)				'管理状況コード
				pDb.setParam(sqlXSI030F010.prmREMARKS, clsDB.Enum_dbType.dbNVarChar)					'備考
				pDb.setParam(sqlXSI030F010.prmDATE1, clsDB.Enum_dbType.dbNVarChar)						'日付１
				pDb.setParam(sqlXSI030F010.prmDATE2, clsDB.Enum_dbType.dbNVarChar)						'日付２
				pDb.setParam(sqlXSI030F010.prmDOCTOR_CD, clsDB.Enum_dbType.dbNVarChar)					'医師コード
				pDb.setParam(sqlXSI030F010.prmMNGITEMCMB1, clsDB.Enum_dbType.dbNVarChar)				'管理物コンボ１
				pDb.setParam(sqlXSI030F010.prmMNGITEMCMB2, clsDB.Enum_dbType.dbNVarChar)				'管理物コンボ２
				pDb.setParam(sqlXSI030F010.prmMNGITEMTEXT1, clsDB.Enum_dbType.dbNVarChar)				'管理物テキスト１
				pDb.setParam(sqlXSI030F010.prmMNGITEMTEXT2, clsDB.Enum_dbType.dbNVarChar)				'管理物テキスト２
				pDb.setParam(sqlXSI030F010.prmMNGITEMCHK1, clsDB.Enum_dbType.dbNVarChar)				'管理物チェック１
				pDb.setParam(sqlXSI030F010.prmMNGITEMCHK2, clsDB.Enum_dbType.dbNVarChar)				'管理物チェック２
				pDb.setParam(sqlXSI030F010.prmMNGITEMCHK3, clsDB.Enum_dbType.dbNVarChar)				'管理物チェック３
				pDb.setParam(sqlXSI030F010.prmMNGITEMCHK4, clsDB.Enum_dbType.dbNVarChar)				'管理物チェック４
				pDb.setParam(sqlXSI030F010.prmVOLUMEKEY, clsDB.Enum_dbType.dbNVarChar)					'分冊キー
				pDb.setParam(sqlXSI030F010.prmPERM_PRESERV_FLG, clsDB.Enum_dbType.dbNVarChar)			'永久保存フラグ
				pDb.setParam(sqlXSI030F010.prmLASTUPDUSER_CD, clsDB.Enum_dbType.dbNVarChar)				'更新者コード
				pDb.setParam(sqlXSI030F010.prmLASTUPD_DT, clsDB.Enum_dbType.dbNVarChar)					'更新日
				'値設定
				pDb.setVal(sqlXSI030F010.prmPATIENT_NO, datLTI_MNGITEMINFO.PATIENT_NO)					'患者番号
				pDb.setVal(sqlXSI030F010.prmMNGITEM_CD, datLTI_MNGITEMINFO.MNGITEM_CD)					'管理物コード
				pDb.setVal(sqlXSI030F010.prmBYOREKI_NO, datLTI_MNGITEMINFO.BYOREKI_NO)					'病歴番号
				pDb.setVal(sqlXSI030F010.prmDIV1_CD, datLTI_MNGITEMINFO.DIV1_CD)						'区分１コード
				pDb.setVal(sqlXSI030F010.prmDIV2_CD, datLTI_MNGITEMINFO.DIV2_CD)						'区分２コード
				pDb.setVal(sqlXSI030F010.prmFIRSTRECEIVING_DT, datLTI_MNGITEMINFO.FIRSTRECEIVING_DT)	'初回受領日
				pDb.setVal(sqlXSI030F010.prmLASTRECEIVING_DT, datLTI_MNGITEMINFO.LASTRECEIVING_DT)		'最終受領日
				pDb.setVal(sqlXSI030F010.prmRECIPIENT_CD, datLTI_MNGITEMINFO.RECIPIENT_CD)				'受領者コード
				pDb.setVal(sqlXSI030F010.prmKEEPLCT_CD, datLTI_MNGITEMINFO.KEEPLCT_CD)					'保管場所コード
				pDb.setVal(sqlXSI030F010.prmMNGSTATUS_CD, datLTI_MNGITEMINFO.MNGSTATUS_CD)				'管理状況コード
				pDb.setVal(sqlXSI030F010.prmREMARKS, datLTI_MNGITEMINFO.REMARKS)						'備考
				pDb.setVal(sqlXSI030F010.prmDATE1, datLTI_MNGITEMINFO.DATE1)							'日付１
				pDb.setVal(sqlXSI030F010.prmDATE2, datLTI_MNGITEMINFO.DATE2)							'日付２
				pDb.setVal(sqlXSI030F010.prmDOCTOR_CD, datLTI_MNGITEMINFO.DOCTOR_CD)					'医師コード
				pDb.setVal(sqlXSI030F010.prmMNGITEMCMB1, datLTI_MNGITEMINFO.MNGITEMCMB1)				'管理物コンボ１
				pDb.setVal(sqlXSI030F010.prmMNGITEMCMB2, datLTI_MNGITEMINFO.MNGITEMCMB2)				'管理物コンボ２
				pDb.setVal(sqlXSI030F010.prmMNGITEMTEXT1, datLTI_MNGITEMINFO.MNGITEMTEXT1)				'管理物テキスト１
				pDb.setVal(sqlXSI030F010.prmMNGITEMTEXT2, datLTI_MNGITEMINFO.MNGITEMTEXT2)				'管理物テキスト２
				pDb.setVal(sqlXSI030F010.prmMNGITEMCHK1, datLTI_MNGITEMINFO.MNGITEMCHK1)				'管理物チェック１
				pDb.setVal(sqlXSI030F010.prmMNGITEMCHK2, datLTI_MNGITEMINFO.MNGITEMCHK2)				'管理物チェック２
				pDb.setVal(sqlXSI030F010.prmMNGITEMCHK3, datLTI_MNGITEMINFO.MNGITEMCHK3)				'管理物チェック３
				pDb.setVal(sqlXSI030F010.prmMNGITEMCHK4, datLTI_MNGITEMINFO.MNGITEMCHK4)				'管理物チェック４
				pDb.setVal(sqlXSI030F010.prmVOLUMEKEY, datLTI_MNGITEMINFO.VOLUMEKEY)					'分冊キー
				pDb.setVal(sqlXSI030F010.prmPERM_PRESERV_FLG, datLTI_MNGITEMINFO.PERM_PRESERV_FLG)		'永久保存フラグ
				pDb.setVal(sqlXSI030F010.prmLASTUPDUSER_CD, cliXSI030F010._userID)						'更新者コード
				pDb.setVal(sqlXSI030F010.prmLASTUPD_DT, DateTime.Now)									'更新日
				'SQL実行
				pDb.execNonQuery(False)
				'トランザクション終了
				pDb.ctlTran(clsDB.Enum_TranMode.Commit)
			End Using
			Return True
		Catch ex As Exception
			Throw
		Finally
			dtBasicinfo = Nothing
		End Try
	End Function

	''' ---------------------------------------------
	''' <summary>
	''' 基本情報取得
	''' </summary>
	''' <param name="pDb"></param>
	''' <param name="cliOneCsvData"></param>
	''' <param name="cliBasicInfo_DB"></param>
	''' <remarks>
	''' 2013/09/18 新規作成　ID)平井<BR/>
	''' </remarks>
	''' ---------------------------------------------
	Private Sub getBasicInfo(ByVal pDb As clsDB, ByVal cliOneCsvData As clsXSI_LTT_IMP_LOG_BASIC, ByRef cliBasicInfo_DB As clsXSI_XTI_BASICINFO)
		Dim dt As DataTable = Nothing
		Try
			dt = New DataTable
			pDb.setSQLDa(sqlXSI030F010.strSql_Sel_BasicInfo)
			'患者番号
			pDb.setParamDa(sqlXSI030F010.prmPATIENT_NO, clsDB.Enum_dbType.dbNVarChar)
			pDb.setValDa(sqlXSI030F010.prmPATIENT_NO, cliOneCsvData.PATIENT_NO)
			'データ取得
			pDb.execQueryDa(dt)
			If dt Is Nothing OrElse
				dt.Rows.Count <= 0 Then
				'データなし
				Return
			End If
			'データ有り
			cliBasicInfo_DB.PATIENT_NO = dt.Rows(0).Item(sqlXSI010F010.itmPATIENT_NO).ToString()					'患者番号
			cliBasicInfo_DB.PATIENT_NM = dt.Rows(0).Item(sqlXSI010F010.itmPATIENT_NM).ToString()					'氏名
			cliBasicInfo_DB.PATIENT_KNM = dt.Rows(0).Item(sqlXSI010F010.itmPATIENT_KNM).ToString()					'氏名カナ
			cliBasicInfo_DB.PREVIOUS1_NM = dt.Rows(0).Item(sqlXSI010F010.itmPREVIOUS1_NM).ToString()				'旧姓１
			cliBasicInfo_DB.PREVIOUS1_KNM = dt.Rows(0).Item(sqlXSI010F010.itmPREVIOUS1_KNM).ToString()				'旧姓１カナ
			cliBasicInfo_DB.PREVIOUS2_NM = dt.Rows(0).Item(sqlXSI010F010.itmPREVIOUS2_NM).ToString()				'旧姓２
			cliBasicInfo_DB.PREVIOUS2_KNM = dt.Rows(0).Item(sqlXSI010F010.itmPREVIOUS2_KNM).ToString()				'旧姓２カナ
			cliBasicInfo_DB.GENDER_CD = dt.Rows(0).Item(sqlXSI010F010.itmGENDER_CD).ToString()						'性別コード
			cliBasicInfo_DB.BIRTH_DT = dt.Rows(0).Item(sqlXSI010F010.itmBIRTH_DT).ToString()						'生年月日
			cliBasicInfo_DB.BLOODTYPE_CD = dt.Rows(0).Item(sqlXSI010F010.itmBLOODTYPE_CD).ToString()				'血液型コード
			cliBasicInfo_DB.RH_CD = dt.Rows(0).Item(sqlXSI010F010.itmRH_CD).ToString()								'Ｒｈコード
			cliBasicInfo_DB.BLOOD_TRAN_CHK = dt.Rows(0).Item(sqlXSI010F010.itmBLOOD_TRAN_CHK).ToString()			'輸血歴有無コード
			cliBasicInfo_DB.RELATION_PATIENT_NO = dt.Rows(0).Item(sqlXSI010F010.itmRELATION_PATIENT_NO).ToString()	'関連患者番号
			cliBasicInfo_DB.SMOKING_CHK = dt.Rows(0).Item(sqlXSI010F010.itmSMOKING_CHK).ToString()					'喫煙歴有無コード
			cliBasicInfo_DB.SMOKING_START_AGE = dt.Rows(0).Item(sqlXSI010F010.itmSMOKING_START_AGE).ToString()		'喫煙開始年齢
			cliBasicInfo_DB.SMOKING_END_AGE = dt.Rows(0).Item(sqlXSI010F010.itmSMOKING_END_AGE).ToString()			'喫煙終了年齢
			cliBasicInfo_DB.SMOKING_COUNT = dt.Rows(0).Item(sqlXSI010F010.itmSMOKING_COUNT).ToString()				'喫煙本数
			cliBasicInfo_DB.SMOKING_AGE = dt.Rows(0).Item(sqlXSI010F010.itmSMOKING_AGE).ToString()					'喫煙年数
			cliBasicInfo_DB.DRINKING_CHK = dt.Rows(0).Item(sqlXSI010F010.itmDRINKING_CHK).ToString()				'飲酒有無コード
			cliBasicInfo_DB.PREGNANCY_CHK = dt.Rows(0).Item(sqlXSI010F010.itmPREGNANCY_CHK).ToString()				'妊娠歴有無コード
			cliBasicInfo_DB.PREGNANCY_COUNT = dt.Rows(0).Item(sqlXSI010F010.itmPREGNANCY_COUNT).ToString()			'妊娠回数
			cliBasicInfo_DB.CB_CHK = dt.Rows(0).Item(sqlXSI010F010.itmCB_CHK).ToString()							'出産歴有無コード
			cliBasicInfo_DB.CB_COUNT = dt.Rows(0).Item(sqlXSI010F010.itmCB_COUNT).ToString()						'出産回数
			cliBasicInfo_DB.MENARCHE_AGE = dt.Rows(0).Item(sqlXSI010F010.itmMENARCHE_AGE).ToString()				'初潮年齢
			cliBasicInfo_DB.MENOPAUSE_AGE = dt.Rows(0).Item(sqlXSI010F010.itmMENOPAUSE_AGE).ToString()				'閉経年齢
			cliBasicInfo_DB.REMARKS = dt.Rows(0).Item(sqlXSI010F010.itmREMARKS).ToString()							'コメント
			cliBasicInfo_DB.FIRSTHSPVST_DT = dt.Rows(0).Item(sqlXSI010F010.itmFIRSTHSPVST_DT).ToString()			'初回来院日
			cliBasicInfo_DB.LASTHSPVST_DT = dt.Rows(0).Item(sqlXSI010F010.itmLASTHSPVST_DT).ToString()				'最終来院日
			cliBasicInfo_DB.LASTDEPT_CD = dt.Rows(0).Item(sqlXSI010F010.itmLASTDEPT_CD).ToString()					'最終受診科コード
			cliBasicInfo_DB.LASTLEFTHSP_DT = dt.Rows(0).Item(sqlXSI010F010.itmLASTLEFTHSP_DT).ToString()			'最終退院日
			cliBasicInfo_DB.NATIONALITY_CD = dt.Rows(0).Item(sqlXSI010F010.itmNATIONALITY_CD).ToString()			'国籍
			cliBasicInfo_DB.DOMICILE_ADDRESS_CD = dt.Rows(0).Item(sqlXSI010F010.itmDOMICILE_ADDRESS_CD).ToString()	'出生地コード
			cliBasicInfo_DB.DOMICILE_ADDRESS = dt.Rows(0).Item(sqlXSI010F010.itmDOMICILE_ADDRESS).ToString()		'本籍住所
			cliBasicInfo_DB.CONTACT_PATIENT_NM = dt.Rows(0).Item(sqlXSI010F010.itmCONTACT_PATIENT_NM).ToString()	'連絡先氏名
			cliBasicInfo_DB.CONTACT_RELATION = dt.Rows(0).Item(sqlXSI010F010.itmCONTACT_RELATION).ToString()		'連絡先続柄コード
			cliBasicInfo_DB.CONTACT_ZIP_CD = dt.Rows(0).Item(sqlXSI010F010.itmCONTACT_ZIP_CD).ToString()			'連絡先郵便番号
			cliBasicInfo_DB.CONTACT_TELNUMBER = dt.Rows(0).Item(sqlXSI010F010.itmCONTACT_TELNUMBER).ToString()		'連絡先電話番号
			cliBasicInfo_DB.CONTACT_ADDRESS = dt.Rows(0).Item(sqlXSI010F010.itmCONTACT_ADDRESS).ToString()			'連絡先住所
		Catch ex As Exception
			Throw
		Finally
			dt = Nothing
		End Try
	End Sub

	''' ---------------------------------------------
	''' <summary>
	''' 基本情報登録
	''' </summary>
	''' <param name="pDb">DBクラス</param>
	''' <param name="cliOneCsvData">連携ファイル1行データ</param>
	''' <param name="cliLOG_PATIENT_NM">氏名変更ログクラス</param>
	''' <param name="cliBasicInfo_DB">基本情報DBデータ</param>
	''' <param name="cliBasicInfo">基本情報データ格納</param>
	''' <remarks>
	''' 2013/09/18 新規作成　ID)平井<BR/>
	''' </remarks>
	''' ---------------------------------------------
	Private Sub setBasicInfo(ByVal pDb As clsDB,
							ByVal cliOneCsvData As clsXSI_LTT_IMP_LOG_BASIC,
							ByVal cliLOG_PATIENT_NM As clsXSI_MTT_IMP_LOG_PATIENT_NM, _
							ByVal cliBasicInfo_DB As clsXSI_XTI_BASICINFO,
							ByVal cliBasicInfo As clsXSI_XTI_BASICINFO)
		clsSysMst.logEx(clsSysMst.logLevel.DBG, "XSI", Me.GetType().Name, MethodBase.GetCurrentMethod().Name, CST_PRD_NM, CST_FNC_NM, "基本情報登録 Start")
		Try
			cliBasicInfo.PATIENT_NO = cliOneCsvData.PATIENT_NO						'患者番号
			cliBasicInfo.PATIENT_NM = cliOneCsvData.PATIENT_NM						'氏名
			cliBasicInfo.PATIENT_KNM = cliOneCsvData.PATIENT_KNM					'氏名カナ
			cliBasicInfo.GENDER_CD = cliOneCsvData.GENDER_CD						'性別コード
			cliBasicInfo.BIRTH_DT = cliOneCsvData.BIRTH_DT							'生年月日
			'cliBasicInfo.NATIONALITY_CD = cliOneCsvData.NATIONALITY_CD				'国籍
			'cliBasicInfo.DOMICILE_ADDRESS_CD = cliOneCsvData.DOMICILE_ADDRESS_CD	'出生地コード
			'cliBasicInfo.DOMICILE_ADDRESS = cliOneCsvData.DOMICILE_ADDRESS			'本籍住所
			cliBasicInfo.LASTLEFTHSP_DT = cliOneCsvData.LASTLEFTHSP_DT				'最終退院日

			If String.IsNullOrEmpty(cliBasicInfo_DB.PATIENT_NO) = True Then
				Me.setSqlParam_XTI_BASICINFO(pDb, False, Enum_SqlIdx.eIns, cliBasicInfo)	'登録
			Else
				'氏名変更チェック
				If cliBasicInfo_DB.PATIENT_NM <> cliBasicInfo.PATIENT_NM Then
					'基本情報氏名をずらして登録
					cliBasicInfo.PREVIOUS1_NM = cliBasicInfo_DB.PATIENT_NM				'旧姓１
					cliBasicInfo.PREVIOUS1_KNM = cliBasicInfo_DB.PATIENT_KNM			'旧姓１カナ
					cliBasicInfo.PREVIOUS2_NM = cliBasicInfo_DB.PREVIOUS1_NM			'旧姓２
					cliBasicInfo.PREVIOUS2_KNM = cliBasicInfo_DB.PREVIOUS1_KNM			'旧姓２カナ
					'ログにデータ格納
					cliLOG_PATIENT_NM.PATIENT_NO = cliOneCsvData.PATIENT_NO				'患者番号
					cliLOG_PATIENT_NM.PATIENT_NM = cliBasicInfo.PATIENT_NM				'氏名
					cliLOG_PATIENT_NM.PATIENT_KNM = cliBasicInfo.PATIENT_KNM			'氏名カナ
					cliLOG_PATIENT_NM.PREVIOUS1_NM = cliBasicInfo.PREVIOUS1_NM			'旧姓１氏名
					cliLOG_PATIENT_NM.PREVIOUS1_KNM = cliBasicInfo.PREVIOUS1_KNM		'旧姓１氏名カナ
					cliLOG_PATIENT_NM.PREVIOUS2_NM = cliBasicInfo.PREVIOUS2_NM			'旧姓２氏名
					cliLOG_PATIENT_NM.PREVIOUS2_KNM = cliBasicInfo.PREVIOUS2_KNM		'旧姓２氏名カナ
					cliLOG_PATIENT_NM.DEL_PATIENT_NM = cliBasicInfo_DB.PREVIOUS2_NM		'削除氏名
					cliLOG_PATIENT_NM.DEL_PATIENT_KNM = cliBasicInfo_DB.PREVIOUS2_KNM	'削除氏名カナ
				End If
				If Me.dateCompare(cliBasicInfo_DB.BIRTH_DT, cliBasicInfo.BIRTH_DT) <> 0 Then
					'生年月日変更されていれば年齢再計算
					Me.UpdProc_BirthDt(pDb, False, cliOneCsvData.PATIENT_NO, DateTime.Parse(cliOneCsvData.BIRTH_DT), cliOneCsvData.GENDER_CD)
				End If
				'更新
				Me.setSqlParam_XTI_BASICINFO(pDb, False, Enum_SqlIdx.eUpd, cliBasicInfo)
			End If
		Catch ex As Exception
			Throw
		End Try
	End Sub

	''' ---------------------------------------------
	''' <summary>
	''' 科別受診情報登録
	''' </summary>
	''' <param name="pDb">DBクラス</param>
	''' <param name="cliOneCsvData">連携ファイル1行データ</param>
	''' <param name="cliSubjectConsultation">科別受診情報データ格納</param>
	''' <remarks>
	''' 2013/09/18 新規作成　ID)平井<BR/>
	''' </remarks>
	''' ---------------------------------------------
	Private Sub setSubjectConsultation(ByVal pDb As clsDB,
										ByVal cliOneCsvData As clsXSI_LTT_IMP_LOG_BASIC,
										ByVal cliSubjectConsultation As clsXTM_SUBJECT_CONSULTATION)
		clsSysMst.logEx(clsSysMst.logLevel.DBG, "XSI", Me.GetType().Name, MethodBase.GetCurrentMethod().Name, CST_PRD_NM, CST_FNC_NM, "科別受診情報登録 Start")
		Dim dt As DataTable = Nothing
		Try

			dt = New DataTable
			pDb.setSQLDa(sqlXSI030F010.sqlsel_XTM_SUBJECT_CONSULTATION)
			'患者番号
			pDb.setParamDa(sqlXSI030F010.prmPATIENT_NO, clsDB.Enum_dbType.dbNVarChar)
			'最終受診科コード
			pDb.setParamDa(sqlXSI030F010.prmDEPT_CD, clsDB.Enum_dbType.dbNVarChar)

			pDb.setValDa(sqlXSI030F010.prmPATIENT_NO, cliOneCsvData.PATIENT_NO)
			pDb.setValDa(sqlXSI030F010.prmDEPT_CD, cliOneCsvData.LASTDEPT_CD)
			'データ取得
			pDb.execQueryDa(dt)

			cliSubjectConsultation.PATIENT_NO = cliOneCsvData.PATIENT_NO						'患者番号
			cliSubjectConsultation.DEPT_CD = cliOneCsvData.LASTDEPT_CD							'診療科コード
			cliSubjectConsultation.FIRSTHSPVST_DT = cliOneCsvData.FIRSTHSPVST_DT				'科初回来院日
			cliSubjectConsultation.SECOND_LASTHSPVST_DT = cliOneCsvData.SECOND_LASTHSPVST_DT	'科前々回来院日
			cliSubjectConsultation.LASTHSPVST_DT = cliOneCsvData.LASTHSPVST_DT					'科最終来院日

			If dt Is Nothing OrElse dt.Rows.Count <= 0 Then
				'データなし
				'登録
				Me.setSqlParam_XTM_SUBJECT_CONSULTATION(pDb, False, Enum_SqlIdx.eIns, cliSubjectConsultation)
			Else
				'更新
				Me.setSqlParam_XTM_SUBJECT_CONSULTATION(pDb, False, Enum_SqlIdx.eUpd, cliSubjectConsultation)
			End If

		Catch ex As Exception
			Throw
		End Try
	End Sub

	''' ---------------------------------------------
	''' <summary>
	''' V4レイアウト設定
	''' </summary>
	''' <param name="oneCsv">連携ファイル1行データ</param>
	''' <param name="cliOneCsvData">ログ書込データ</param>
	''' <remarks>
	''' 2013/09/18 新規作成　ID)平井<BR/>
	''' </remarks>
	''' ---------------------------------------------
	Private Sub setV4Cls(ByVal oneCsv() As String, ByVal cliOneCsvData As clsXSI_LTT_IMP_LOG_BASIC)
		clsSysMst.logEx(clsSysMst.logLevel.DBG, "XSI", Me.GetType().Name, MethodBase.GetCurrentMethod().Name, CST_PRD_NM, CST_FNC_NM, "V4レイアウト変換 Start")
		Try
			'初期化
			cliOneCsvData.clear()

			cliOneCsvData.DATA_TYPE = oneCsv(0)					'データ種別
			cliOneCsvData.PATIENT_NO = oneCsv(1)				'患者番号
			cliOneCsvData.PATIENT_NM = oneCsv(2)				'氏名
			cliOneCsvData.PATIENT_KNM = oneCsv(3)				'氏名カナ
			cliOneCsvData.GENDER_CD = oneCsv(4)					'性別コード
			cliOneCsvData.BIRTH_DT = oneCsv(5)					'生年月日
			cliOneCsvData.FIRSTHSPVST_DT = oneCsv(6)			'初回来院日
			cliOneCsvData.LASTHSPVST_DT = oneCsv(7)				'最終来院日
			cliOneCsvData.LASTDEPT_CD = oneCsv(8)				'最終受診科コード
			cliOneCsvData.LASTLEFTHSP_DT = oneCsv(9)			'最終退院日
			cliOneCsvData.REMARKS = oneCsv(10)					'コメント
			cliOneCsvData.OUT_HSP_DEATH_DT = oneCsv(11)			'院外での死亡日
			cliOneCsvData.OUT_HSP_DEATH_LCT = oneCsv(12)		'院外での死亡場所コード
			cliOneCsvData.DEATH_REMARKS = oneCsv(13)			'院外での死亡場所備考
			cliOneCsvData.NATIONALITY_CD = oneCsv(14)			'国籍コード
			cliOneCsvData.DOMICILE_ADDRESS_CD = oneCsv(15)		'出生地コード
			cliOneCsvData.DOMICILE_ADDRESS = oneCsv(16)			'出生地住所
			cliOneCsvData.CONTACT_PATIENT_NM = oneCsv(17)		'連絡先氏名
			cliOneCsvData.CONTACT_ZIP_CD = oneCsv(18)			'連絡先郵便番号
			cliOneCsvData.CONTACT_ADDRESS = oneCsv(19)			'連絡先住所
			cliOneCsvData.CONTACT_TELNUMBER = oneCsv(20)		'連絡先電話番号
			cliOneCsvData.CONTACT_RELATION = oneCsv(21)			'連絡先続柄コード
			cliOneCsvData.SECOND_LASTHSPVST_DT = oneCsv(22)		'前々回来院日

		Catch ex As Exception
			Throw
		End Try
	End Sub

	''' ---------------------------------------------
	''' <summary>
	''' 【患者基本情報から】ログSQL登録
	''' </summary>
	''' <param name="pDb">DBクラス</param>
	''' <param name="cliOneCsvData">連携ファイル1行データ</param>
	''' <remarks>
	''' 2013/09/18 新規作成　ID)平井<BR/>
	''' </remarks>
	''' ---------------------------------------------
	Private Sub setSqlParam_MTT_IMP_LOG(ByVal pDb As clsDB, ByVal cliOneCsvData As clsXSI_LTT_IMP_LOG_BASIC, ByVal strMngItem_Cd As String)
		clsSysMst.logEx(clsSysMst.logLevel.DBG, "XSI", Me.GetType().Name, MethodBase.GetCurrentMethod().Name, CST_PRD_NM, CST_FNC_NM, "【患者入退院歴から】ログ登録 Start")
		Try
			pDb.ctlTran(clsDB.Enum_TranMode.Begin)
			'SQL文設定
			pDb.setSQL(sqlXSI030F010.sqlIns_LTT_IMP_LOG_BASIC)
			'パラメータ設定
			pDb.setParam(sqlXSI030F010.prmREG_DT, clsDB.Enum_dbType.dbDateTime)					'登録日
			pDb.setParam(sqlXSI030F010.prmSERIAL_NO, clsDB.Enum_dbType.dbInt)					'連番
			pDb.setParam(sqlXSI030F010.prmMNGITEM_CD, clsDB.Enum_dbType.dbNVarChar)				'管理物コード
			pDb.setParam(sqlXSI030F010.prmERR_FLG, clsDB.Enum_dbType.dbInt)						'エラーフラグ
			pDb.setParam(sqlXSI030F010.prmDATA_TYPE, clsDB.Enum_dbType.dbNVarChar)				'データ種別

			pDb.setParam(sqlXSI030F010.prmPATIENT_NO, clsDB.Enum_dbType.dbNVarChar)				'患者番号
			pDb.setParam(sqlXSI030F010.prmPATIENT_NM, clsDB.Enum_dbType.dbNVarChar)				'氏名
			pDb.setParam(sqlXSI030F010.prmPATIENT_KNM, clsDB.Enum_dbType.dbNVarChar)			'氏名カナ
			pDb.setParam(sqlXSI030F010.prmGENDER_CD, clsDB.Enum_dbType.dbNVarChar)				'性別コード
			pDb.setParam(sqlXSI030F010.prmBIRTH_DT, clsDB.Enum_dbType.dbNVarChar)				'生年月日

			pDb.setParam(sqlXSI030F010.prmFIRSTHSPVST_DT, clsDB.Enum_dbType.dbNVarChar)			'初回来院日
			pDb.setParam(sqlXSI030F010.prmLASTHSPVST_DT, clsDB.Enum_dbType.dbNVarChar)			'最終来院日
			pDb.setParam(sqlXSI030F010.prmLASTDEPT_CD, clsDB.Enum_dbType.dbNVarChar)			'最終受診科コード
			pDb.setParam(sqlXSI030F010.prmLASTLEFTHSP_DT, clsDB.Enum_dbType.dbNVarChar)			'最終退院日
			pDb.setParam(sqlXSI030F010.prmREMARKS, clsDB.Enum_dbType.dbNVarChar)				'コメント
			pDb.setParam(sqlXSI030F010.prmOUT_HSP_DEATH_DT, clsDB.Enum_dbType.dbNVarChar)		'院外死亡日
			pDb.setParam(sqlXSI030F010.prmOUT_HSP_DEATH_LCT, clsDB.Enum_dbType.dbNVarChar)		'院外死亡場所コード
			pDb.setParam(sqlXSI030F010.prmDEATH_REMARKS, clsDB.Enum_dbType.dbNVarChar)			'院外での死亡場所備考
			pDb.setParam(sqlXSI030F010.prmNATIONALITY_CD, clsDB.Enum_dbType.dbNVarChar)			'国籍コード

			pDb.setParam(sqlXSI030F010.prmDOMICILE_ADDRESS_CD, clsDB.Enum_dbType.dbNVarChar)	'出生地コード
			pDb.setParam(sqlXSI030F010.prmDOMICILE_ADDRESS, clsDB.Enum_dbType.dbNVarChar)		'本籍住所
			pDb.setParam(sqlXSI030F010.prmCONTACT_PATIENT_NM, clsDB.Enum_dbType.dbNVarChar)		'連絡先氏名
			pDb.setParam(sqlXSI030F010.prmCONTACT_ZIP_CD, clsDB.Enum_dbType.dbNVarChar)			'連絡先郵便番号
			pDb.setParam(sqlXSI030F010.prmCONTACT_ADDRESS, clsDB.Enum_dbType.dbNVarChar)		'連絡先住所
			pDb.setParam(sqlXSI030F010.prmCONTACT_TELNUMBER, clsDB.Enum_dbType.dbNVarChar)		'連絡先電話番号
			pDb.setParam(sqlXSI030F010.prmCONTACT_RELATION, clsDB.Enum_dbType.dbNVarChar)		'連絡先続柄
			pDb.setParam(sqlXSI030F010.prmSECOND_LASTHSPVST_DT, clsDB.Enum_dbType.dbNVarChar)	'前々回来院日

			pDb.setParam(sqlXSI030F010.prmSPARE01, clsDB.Enum_dbType.dbNVarChar)				'予備１
			pDb.setParam(sqlXSI030F010.prmSPARE02, clsDB.Enum_dbType.dbNVarChar)				'予備２
			pDb.setParam(sqlXSI030F010.prmSPARE03, clsDB.Enum_dbType.dbNVarChar)				'予備３
			pDb.setParam(sqlXSI030F010.prmMODULE_CD, clsDB.Enum_dbType.dbNVarChar)				'モジュールコード
			pDb.setParam(sqlXSI030F010.prmERR_CD, clsDB.Enum_dbType.dbNVarChar)					'エラーコード
			pDb.setParam(sqlXSI030F010.prmMESSAGE, clsDB.Enum_dbType.dbNVarChar)				'メッセージ
			pDb.setParam(sqlXSI030F010.prmLASTUPDUSER_CD, clsDB.Enum_dbType.dbNVarChar)			'更新者コード
			pDb.setParam(sqlXSI030F010.prmLASTUPD_DT, clsDB.Enum_dbType.dbDateTime)				'更新日

			'値設定
			pDb.setVal(sqlXSI030F010.prmREG_DT, DateTime.Now)									'登録日
			pDb.setVal(sqlXSI030F010.prmSERIAL_NO, cliOneCsvData.SERIAL_NO)						'連番
			pDb.setVal(sqlXSI030F010.prmMNGITEM_CD, strMngItem_Cd)								'管理物コード

			pDb.setVal(sqlXSI030F010.prmERR_FLG, cliOneCsvData.ERR_FLG)							'エラーフラグ
			pDb.setVal(sqlXSI030F010.prmDATA_TYPE, cliOneCsvData.DATA_TYPE)						'データ種別
			pDb.setVal(sqlXSI030F010.prmPATIENT_NO, cliOneCsvData.PATIENT_NO)					'患者番号
			pDb.setVal(sqlXSI030F010.prmPATIENT_NM, cliOneCsvData.PATIENT_NM)					'氏名
			pDb.setVal(sqlXSI030F010.prmPATIENT_KNM, cliOneCsvData.PATIENT_KNM)					'氏名カナ
			pDb.setVal(sqlXSI030F010.prmGENDER_CD, cliOneCsvData.GENDER_CD)						'性別コード
			pDb.setVal(sqlXSI030F010.prmBIRTH_DT, cliOneCsvData.BIRTH_DT)						'生年月日

			pDb.setVal(sqlXSI030F010.prmFIRSTHSPVST_DT, cliOneCsvData.FIRSTHSPVST_DT)			'初回来院日
			pDb.setVal(sqlXSI030F010.prmLASTHSPVST_DT, cliOneCsvData.LASTHSPVST_DT)				'最終来院日
			pDb.setVal(sqlXSI030F010.prmLASTDEPT_CD, cliOneCsvData.LASTDEPT_CD)					'最終受診科コード
			pDb.setVal(sqlXSI030F010.prmLASTLEFTHSP_DT, cliOneCsvData.LASTLEFTHSP_DT)			'最終退院日
			pDb.setVal(sqlXSI030F010.prmREMARKS, cliOneCsvData.REMARKS)							'コメント
			pDb.setVal(sqlXSI030F010.prmOUT_HSP_DEATH_DT, cliOneCsvData.OUT_HSP_DEATH_DT)		'院外死亡日
			pDb.setVal(sqlXSI030F010.prmOUT_HSP_DEATH_LCT, cliOneCsvData.OUT_HSP_DEATH_LCT)		'院外死亡場所コード
			pDb.setVal(sqlXSI030F010.prmDEATH_REMARKS, cliOneCsvData.DEATH_REMARKS)				'院外での死亡場所備考
			pDb.setVal(sqlXSI030F010.prmNATIONALITY_CD, cliOneCsvData.NATIONALITY_CD)			'国籍コード

			pDb.setVal(sqlXSI030F010.prmDOMICILE_ADDRESS_CD, cliOneCsvData.DOMICILE_ADDRESS_CD)		'出生地コード
			pDb.setVal(sqlXSI030F010.prmDOMICILE_ADDRESS, cliOneCsvData.DOMICILE_ADDRESS)			'本籍住所
			pDb.setVal(sqlXSI030F010.prmCONTACT_PATIENT_NM, cliOneCsvData.CONTACT_PATIENT_NM)		'連絡先氏名
			pDb.setVal(sqlXSI030F010.prmCONTACT_ZIP_CD, cliOneCsvData.CONTACT_ZIP_CD)				'連絡先郵便番号
			pDb.setVal(sqlXSI030F010.prmCONTACT_ADDRESS, cliOneCsvData.CONTACT_ADDRESS)				'連絡先住所
			pDb.setVal(sqlXSI030F010.prmCONTACT_TELNUMBER, cliOneCsvData.CONTACT_TELNUMBER)			'連絡先電話番号
			pDb.setVal(sqlXSI030F010.prmCONTACT_RELATION, cliOneCsvData.CONTACT_RELATION)			'連絡先続柄フラグ
			pDb.setVal(sqlXSI030F010.prmSECOND_LASTHSPVST_DT, cliOneCsvData.SECOND_LASTHSPVST_DT)	'前々回来院日

			pDb.setVal(sqlXSI030F010.prmSPARE01, cliOneCsvData.SPARE01)							'予備１
			pDb.setVal(sqlXSI030F010.prmSPARE02, cliOneCsvData.SPARE02)							'予備２
			pDb.setVal(sqlXSI030F010.prmSPARE03, cliOneCsvData.SPARE03)							'予備３
			pDb.setVal(sqlXSI030F010.prmMODULE_CD, cliOneCsvData.MODULE_CD)						'モジュールコード
			pDb.setVal(sqlXSI030F010.prmERR_CD, cliOneCsvData.ERR_CD)							'エラーコード
			pDb.setVal(sqlXSI030F010.prmMESSAGE, cliOneCsvData.MESSAGE)							'メッセージ
			pDb.setVal(sqlXSI030F010.prmLASTUPDUSER_CD, Me.cliXSI030F010._userID)				'更新者コード
			pDb.setVal(sqlXSI030F010.prmLASTUPD_DT, DateTime.Now)								'更新日
			'SQL実行
			pDb.execNonQuery(False)
			pDb.ctlTran(clsDB.Enum_TranMode.Commit)
		Catch ex As Exception
			Throw
		End Try
	End Sub

	''' ---------------------------------------------
	''' <summary>
	''' CSVチェック処理（レコード毎のチェック）
	''' </summary>
	''' <param name="cliOneCsvData">連携ファイル1行データ</param>
	''' <returns>False:エラー</returns>
	''' <remarks>
	''' 2013/09/18 新規作成　ID)平井<BR/>
	''' </remarks>
	''' ---------------------------------------------
	Private Function chkCsv(ByVal cliOneCsvData As clsXSI_LTT_IMP_LOG_BASIC) As Boolean
		clsSysMst.logEx(clsSysMst.logLevel.DBG, "XSI", Me.GetType().Name, MethodBase.GetCurrentMethod().Name, CST_PRD_NM, CST_FNC_NM, "CSVチェック処理（レコード毎のチェック） Start")
		Dim disit As List(Of Integer) = Nothing
		Dim oneCsv As List(Of String) = Nothing
		Try
			oneCsv = New List(Of String)
			'チェック対象アイテムリスト取得
			oneCsv.Add(cliOneCsvData.DATA_TYPE)				'データ種別
			oneCsv.Add(cliOneCsvData.PATIENT_NO)			'患者番号
			oneCsv.Add(cliOneCsvData.PATIENT_NM)			'氏名
			oneCsv.Add(cliOneCsvData.PATIENT_KNM)			'氏名カナ
			oneCsv.Add(cliOneCsvData.GENDER_CD)				'性別コード
			oneCsv.Add(cliOneCsvData.BIRTH_DT)				'生年月日

			oneCsv.Add(cliOneCsvData.FIRSTHSPVST_DT)			'初回来院日
			oneCsv.Add(cliOneCsvData.LASTHSPVST_DT)				'最終来院日
			oneCsv.Add(cliOneCsvData.LASTDEPT_CD)				'最終受診科コード
			oneCsv.Add(cliOneCsvData.LASTLEFTHSP_DT)			'最終退院日
			oneCsv.Add(cliOneCsvData.REMARKS)					'コメント
			oneCsv.Add(cliOneCsvData.OUT_HSP_DEATH_DT)			'院外死亡日
			oneCsv.Add(cliOneCsvData.OUT_HSP_DEATH_LCT)			'院外死亡場所コード
			oneCsv.Add(cliOneCsvData.DEATH_REMARKS)				'院外での死亡場所備考
			oneCsv.Add(cliOneCsvData.NATIONALITY_CD)			'国籍コード

			oneCsv.Add(cliOneCsvData.DOMICILE_ADDRESS_CD)		'出生地コード
			oneCsv.Add(cliOneCsvData.DOMICILE_ADDRESS)			'本籍住所
			oneCsv.Add(cliOneCsvData.CONTACT_PATIENT_NM)		'連絡先氏名
			oneCsv.Add(cliOneCsvData.CONTACT_ZIP_CD)			'連絡先郵便番号
			oneCsv.Add(cliOneCsvData.CONTACT_ADDRESS)			'連絡先住所
			oneCsv.Add(cliOneCsvData.CONTACT_TELNUMBER)			'連絡先電話番号
			oneCsv.Add(cliOneCsvData.CONTACT_RELATION)			'連絡先続柄フラグ
			oneCsv.Add(cliOneCsvData.SECOND_LASTHSPVST_DT)		'前々回来院日

			oneCsv.Add(cliOneCsvData.SPARE01)				'予備１
			oneCsv.Add(cliOneCsvData.SPARE02)				'予備２
			oneCsv.Add(cliOneCsvData.SPARE03)				'予備３

			'名称設定
			Dim IName As List(Of String) = Me.setItemName()
			'桁数チェック
			disit = Me.setInputDisit()
			If Me.chkCsvDisit(oneCsv, disit, cliOneCsvData.ERR_FLG, cliOneCsvData.ERR_CD, cliOneCsvData.MESSAGE, IName) = False Then
				Return False
			End If

			'CSV内チェック
			Dim bRequired As Boolean = False
			For idx As Integer = 0 To oneCsv.Count - 1
				bRequired = False
				'必須チェックが必要な項目か判断
				Select Case idx
					Case 0 To 5 : bRequired = True

					Case 8
						' データ種別Bの時は受診科コードは必須
						If cliOneCsvData.DATA_TYPE = XSI030F010.CST_DATATYPE_OUT_HSP Then
							bRequired = True
						Else
							bRequired = False
						End If

					Case Else : bRequired = False
				End Select
				'必須チェック
				If bRequired = True AndAlso Me.chkCsvRequiredItem(oneCsv(idx), cliOneCsvData.ERR_FLG, cliOneCsvData.ERR_CD, cliOneCsvData.MESSAGE) = False Then
					cliOneCsvData.MESSAGE &= " [" & IName(idx) & "]"
					Return False
				Else
					Select Case idx
						Case 0 'データ種別
							'チェックなし
						Case 1	'患者番号
							If Me.chkCsvPATIENT_NO(oneCsv(idx), cliOneCsvData.ERR_FLG, cliOneCsvData.ERR_CD, cliOneCsvData.MESSAGE) = False Then
								Return False
							End If
						Case 4 '性別コード
							If Me.chkCsvGender(oneCsv(idx), cliOneCsvData.ERR_FLG, cliOneCsvData.ERR_CD, cliOneCsvData.MESSAGE) = False Then
								Return False
							End If
						Case 5, 6, 7, 9, 11, 22	   '日付チェック
							If Me.chkCsvDate(oneCsv(idx), cliOneCsvData.ERR_FLG, cliOneCsvData.ERR_CD, cliOneCsvData.MESSAGE) = False Then
								Return False
							End If
					End Select
				End If
			Next

			Return True
		Catch ex As Exception
			Throw
		Finally
			'解放
			If disit IsNot Nothing Then disit.Clear()
			disit = Nothing
			If oneCsv IsNot Nothing Then oneCsv.Clear()
			oneCsv = Nothing
		End Try
	End Function

	''' ---------------------------------------------
	''' <summary>
	''' 【患者基本情報から】桁数定義
	''' </summary>
	''' <returns>桁数リスト</returns>
	''' <remarks>
	''' 2013/09/18 新規作成　ID)平井<BR/>
	''' </remarks>
	''' ---------------------------------------------
	Private Function setInputDisit() As List(Of Integer)
		clsSysMst.logEx(clsSysMst.logLevel.DBG, "XSI", Me.GetType().Name, MethodBase.GetCurrentMethod().Name, CST_PRD_NM, CST_FNC_NM, "【患者入退院歴から】桁数定義 Start")
		Dim disit As List(Of Integer) = Nothing
		Try
			disit = New List(Of Integer)
			disit.Add(1)		'データ種別
			disit.Add(10)		'患者番号
			disit.Add(20)		'氏名
			disit.Add(30)		'氏名カナ
			disit.Add(1)		'性別コード
			disit.Add(10)		'生年月日
			disit.Add(10)		'初回来院日
			disit.Add(10)		'最終来院日
			disit.Add(2)		'最終受診科コード
			disit.Add(10)		'最終退院日
			disit.Add(100)		'コメント
			disit.Add(10)		'院外死亡日
			disit.Add(2)		'院外死亡場所コード
			disit.Add(10)		'院外での死亡場所備考
			disit.Add(2)		'国籍コード
			disit.Add(2)		'出生地コード
			disit.Add(80)		'本籍住所
			disit.Add(20)		'連絡先氏名
			disit.Add(7)		'連絡先郵便番号
			disit.Add(80)		'連絡先住所
			disit.Add(15)		'連絡先電話番号
			disit.Add(2)		'連絡先続柄
			disit.Add(10)		'前々回来院日

			Return disit
		Catch ex As Exception
			Throw
		End Try
	End Function

	''' ---------------------------------------------
	''' <summary>
	''' 【患者入退院歴から】名称設定
	''' </summary>
	''' <returns>桁数リスト</returns>
	''' <remarks>
	''' 2013/09/18 新規作成　ID)平井<BR/>
	''' </remarks>
	''' ---------------------------------------------
	Private Function setItemName() As List(Of String)
		clsSysMst.logEx(clsSysMst.logLevel.DBG, "XSI", Me.GetType().Name, MethodBase.GetCurrentMethod().Name, CST_PRD_NM, CST_FNC_NM, "【患者入退院歴から】名称設定 Start")
		Dim IName As List(Of String) = Nothing
		Try
			IName = New List(Of String)
			IName.Add("データ種別")
			IName.Add("患者番号")
			IName.Add("氏名")
			IName.Add("氏名カナ")
			IName.Add("性別コード")
			IName.Add("生年月日")
			IName.Add("初回来院日")
			IName.Add("最終来院日")
			IName.Add("最終受診科コード")
			IName.Add("最終退院日")
			IName.Add("コメント")
			IName.Add("院外死亡日")
			IName.Add("院外死亡場所コード")
			IName.Add("院外での死亡場所備考")
			IName.Add("国籍コード")
			IName.Add("出生地コード")
			IName.Add("本籍住所")
			IName.Add("連絡先氏名")
			IName.Add("連絡先郵便番号")
			IName.Add("連絡先住所")
			IName.Add("連絡先電話番号")
			IName.Add("連絡先続柄")
			IName.Add("前々回来院日")
			IName.Add("予備１")
			IName.Add("予備２")
			IName.Add("予備３")

			Return IName
		Catch ex As Exception
			Throw
		End Try
	End Function

	''' ---------------------------------------------
	''' <summary>
	''' 患者情報取得
	''' </summary>
	''' <param name="pDb"></param>
	''' <param name="strPatient_No"></param>
	''' <returns></returns>
	''' <remarks>
	''' 2013/09/20 新規作成　ID)平井<BR/>
	''' </remarks>
	''' ---------------------------------------------
	Public Function getPatient(ByVal pDb As clsDB, ByVal strPatient_No As String) As DataTable
		Dim dt As DataTable = Nothing
		Dim strSql As String = String.Empty
		Try
			'患者情報取得
			dt = New DataTable
			strSql = sqlXSI030F010.strSql_Sel_BasicInfo
			pDb.setSQLDa(strSql)

			'患者番号
			pDb.setParamDa(sqlXSI030F010.prmPATIENT_NO, clsDB.Enum_dbType.dbNVarChar)
			pDb.setValDa(sqlXSI030F010.prmPATIENT_NO, strPatient_No)

			'データ取得
			pDb.execQueryDa(dt)
			'データ有り
			Return dt
		Catch ex As Exception
			Throw
		End Try
	End Function

	''' ---------------------------------------------
	''' <summary>
	''' 管理物情報存在チェック
	''' </summary>
	''' <param name="pDb"></param>
	''' <param name="strPatient_No"></param>
	''' <param name="strMngItem_Cd"></param>
	''' <param name="strDiv1_Cd"></param>
	''' <param name="strDiv2_Cd"></param>
	''' <returns></returns>
	''' <remarks>
	''' 2013/09/18 新規作成　ID)平井<BR/>
	''' </remarks>
	''' ---------------------------------------------
	Public Function existMngItemInfo(ByVal pDb As clsDB, ByVal strPatient_No As String, ByVal strMngItem_Cd As String, ByVal strDiv1_Cd As String, ByVal strDiv2_Cd As String) As Boolean
		Dim dt As DataTable = Nothing
		Dim strSql As String = String.Empty
		Try
			'管理物情報取得
			dt = New DataTable
			strSql = sqlXSI030F010.sqlSel_LTI_MNGITEMINFO
			'区分１
			If Not String.IsNullOrEmpty(strDiv1_Cd) Then
				strSql &= sqlXSI030F010.sqlSel_LTI_MNGITEMINFO_WHERE_DIV1_CD
			End If
			'区分２
			If Not String.IsNullOrEmpty(strDiv2_Cd) Then
				strSql &= sqlXSI030F010.sqlSel_LTI_MNGITEMINFO_WHERE_DIV2_CD
			End If
			pDb.setSQLDa(strSql)
			'患者番号
			pDb.setParamDa(sqlXSI030F010.prmPATIENT_NO, clsDB.Enum_dbType.dbNVarChar)
			pDb.setValDa(sqlXSI030F010.prmPATIENT_NO, strPatient_No)
			'管理物コード
			pDb.setParamDa(sqlXSI030F010.prmMNGITEM_CD, clsDB.Enum_dbType.dbNVarChar)
			pDb.setValDa(sqlXSI030F010.prmMNGITEM_CD, strMngItem_Cd)
			'区分１
			If Not String.IsNullOrEmpty(strDiv1_Cd) Then
				pDb.setParamDa(sqlXSI030F010.prmDIV1_CD, clsDB.Enum_dbType.dbNVarChar)
				pDb.setValDa(sqlXSI030F010.prmDIV1_CD, strDiv1_Cd)
			End If
			'区分２
			If Not String.IsNullOrEmpty(strDiv2_Cd) Then
				pDb.setParamDa(sqlXSI030F010.prmDIV2_CD, clsDB.Enum_dbType.dbNVarChar)
				pDb.setValDa(sqlXSI030F010.prmDIV2_CD, strDiv2_Cd)
			End If
			'データ取得
			pDb.execQueryDa(dt)
			If dt Is Nothing OrElse
				dt.Rows.Count <= 0 Then
				'データなし
				Return False
			End If
			Return True
		Catch ex As Exception
			Throw
		Finally
			dt = Nothing
		End Try
	End Function

#End Region

End Class
