﻿Imports XCM
Imports XSP
Imports System.Reflection

''' ---------------------------------------------
''' <summary>
''' 連携（貸出管理）貸出予約情報　新規作成（修正番号：V4-14054）
''' </summary>
''' <remarks>
''' Copyright 2013 FUJITSU SYSTEMS WEST LIMITED All rights reserved.<BR/>
''' FUJITSU SYSTEMS WEST LIMITED CONFIDENTIAL<BR/>
''' </remarks>
''' ---------------------------------------------
Public Class clsXSI_BT4LKSDS1
	Inherits clsXSI_BT4

#Region "コンスタント"

	''' ---------------------------------------------
	''' <summary>
	''' 連携CSVレイアウト項目数
	''' </summary>
	''' ---------------------------------------------
	Private Enum ENUM_CSV_CNT As Integer
		V4 = 35
	End Enum

	Public Const CST_PRD_NM As String = "ｼｽﾃﾑ連携"					'プロダクト名
	Public Const CST_FNC_NM As String = "ｼｽﾃﾑ連携  貸出管理"		'ファンクション名

#End Region

#Region "変数"

	'CSVファイル
	Private csvFileNames() As String
	'貸出管理クラスインデックス
	Private Index As Integer
	'管理物マスタデータテーブル
	Private dtLTM_MNGITEM_ALL As DataTable
	'管理物管理状況クラス
	Private cliLTM_MNGITEMMNGSTATUS As clsLTM_MNGITEMMNGSTATUS
#End Region

#Region "コンストラクタ"

	''' ---------------------------------------------
	''' <summary>
	''' コンストラクタ
	''' </summary>
	''' <param name="cliXSI030F010">親フォーム</param>
	''' <param name="csvFileNames">連携CSVファイル</param>
	''' <param name="pIdx">管理物管理クラスインデックス</param>
	''' <param name="pdtLTM_MNGITEM_ALL">管理物マスタデータテーブル</param>
	''' <remarks>
	''' 2013/06/14 新規作成　ID)平井<BR/>
	''' </remarks>
	''' ---------------------------------------------
	Public Sub New(ByVal cliXSI030F010 As XSI030F010, ByVal csvFileNames() As String, ByVal pIdx As Integer, ByVal pdtLTM_MNGITEM_ALL As DataTable)
		MyBase.New(cliXSI030F010)
		Me.csvFileNames = csvFileNames
		Me.Index = pIdx
		Me.dtLTM_MNGITEM_ALL = pdtLTM_MNGITEM_ALL
	End Sub

#End Region

#Region "メソッド"

	''' ---------------------------------------------
	''' <summary>
	''' 【貸出予約情報】連携処理
	''' </summary>
	''' <returns></returns>
	''' <remarks>
	''' 2013/09/24 新規作成　ID)平井<BR/>
	''' </remarks>
	''' ---------------------------------------------
	Public Function runProc() As clsThread
		clsSysMst.logEx(clsSysMst.logLevel.DBG, "XSI", Me.GetType().Name, MethodBase.GetCurrentMethod().Name, CST_PRD_NM, CST_FNC_NM, "【貸出予約情報】連携処理 Start")
		Dim allCnt As Long							'全件数
		Dim okCnt As Long							'正常件数
		Dim errCnt As Long							'エラー件数
		Dim slightErrCnt As Long					'軽度エラー件数
		Dim row As Integer
		Dim rowData() As String
		Dim setCounter As XSI030F010.setCounter_Delegate
		Dim cliTh As clsThread

		'件数初期化
		allCnt = 0
		okCnt = 0
		errCnt = 0
		row = 0

		Try
			cliLTM_MNGITEMMNGSTATUS = New clsLTM_MNGITEMMNGSTATUS
			cliLTM_MNGITEMMNGSTATUS.getMngItemMngStatusAllList()
			'総件数設定
			allCnt = CInt(Me.cliXSI030F010.lbl075XSI030F010.Text)
			CST_MOD_CNT = getModCount(allCnt)
			setCounter = New XSI030F010.setCounter_Delegate(AddressOf Me.cliXSI030F010.setCounter)
			cliTh = New clsThread

			Using db As New clsDB(clsSysMst.ctlConfigData)
				Using cliOneCsvData As New clsXSI_LTT_IMP_LOG_LENDINFO()	'取込CSV内の１レコード(ログ登録)
					For Each filename As String In Me.csvFileNames
						Using cliCSV As New XSP.clsCSV(filename), tfpReader As FileIO.TextFieldParser = cliCSV.getCSV()
							'連携ファイル内を1件ずつ処理
							While Not (tfpReader.EndOfData)
								row += 1
								cliOneCsvData.clear()		'連携CSV１行データ格納クラスクリア

								Try
									rowData = tfpReader.ReadFields()
									'１行データを格納(V4のみ)
									Select Case rowData.Length
										Case ENUM_CSV_CNT.V4
											Me.setV4Cls(rowData, cliOneCsvData)
										Case Else
											'エラー情報セット
											cliOneCsvData.ERR_FLG = "1"
											cliOneCsvData.ERR_CD = "E0026"
											'ＣＳＶの個数が違います。
											cliOneCsvData.MESSAGE = Me.cliClsMsg.getMessage(cliOneCsvData.ERR_CD)
									End Select
								Catch ex As FileIO.MalformedLineException
									'エラー情報セット
									cliOneCsvData.ERR_FLG = "1"
									cliOneCsvData.ERR_CD = "E0035"
									'データの形式が不正です。
									cliOneCsvData.MESSAGE = Me.cliClsMsg.getMessage(cliOneCsvData.ERR_CD, New String() {"データの形式"})
								End Try

								cliOneCsvData.SERIAL_NO = row.ToString() '連番設定

								If cliOneCsvData.ERR_FLG = "1" Then
									'連携ファイルエラー
								ElseIf Me.chkCSV(cliOneCsvData, db) = False Then
									'連携ファイル内チェックエラー
								Else
									'データ種別がBの時
									If cliOneCsvData.DATATYPE = XSI030F010.CST_DATATYPE_OUT_HSP Then
										'貸出準備情報　登録
										Me.setData_B(db, cliOneCsvData)
									'データ種別がAの時
									ElseIf cliOneCsvData.DATATYPE = XSI030F010.CST_DATATYPE_HSP Then
										'貸出情報　登録
										Me.setData_A(db, cliOneCsvData)
									End If
								End If

								'件数カウント
								Select Case cliOneCsvData.ERR_FLG
									Case "0" 'OK
										okCnt += 1
									Case "1" 'エラー
										errCnt += 1
										cliOneCsvData.MODULE_CD = GetType(XSI030F010).Name
									Case "2" '軽度
										errCnt += 1
										slightErrCnt += 1
										cliOneCsvData.MODULE_CD = GetType(XSI030F010).Name
								End Select

								'ログ出力
								Me.setSqlParam_MTT_IMP_LOG(db, cliOneCsvData)
								'件数更新
								'CST_MOD_CNT毎または最終データの場合更新
								If row Mod CST_MOD_CNT = 0 OrElse row = allCnt Then
									Me.cliXSI030F010.BeginInvoke(setCounter, New Object() {Me.Index, allCnt, okCnt, errCnt, slightErrCnt, 0})
								End If
							End While
						End Using
					Next
					'ログ出力
					clsSysMst.logEx(clsSysMst.logLevel.NRM, "XSI", Me.GetType().Name, MethodBase.GetCurrentMethod().Name, CST_PRD_NM, CST_FNC_NM, String.Format("貸出予約情報，読込件数({0}) 正常件数({1}) ｴﾗｰ件数({2}) 軽度等({3}))", allCnt, okCnt, errCnt, slightErrCnt))
					' 処理件数設定
					cliTh.NormalCount = okCnt
					cliTh.ErrorCount = errCnt
					cliTh.SlightErrorCount = slightErrCnt
					cliTh.ProcessCount = row
				End Using
			End Using
			Return cliTh
		Catch ex As Exception
			Throw
		Finally
			rowData = Nothing
			setCounter = Nothing
			cliLTM_MNGITEMMNGSTATUS = Nothing
		End Try
	End Function

	''' ---------------------------------------------
	''' <summary>
	''' 【貸出予約情報】データ登録処理
	''' </summary>
	''' <param name="pDb">DBクラス</param>
	''' <param name="cliOneCsvData">連携ファイル1行データ</param>
	''' <remarks>
	''' 2013/09/25 新規作成　ID)平井<BR/>
	''' </remarks>
	''' ---------------------------------------------
	Private Sub setData_A(ByVal pDb As clsDB, ByVal cliOneCsvData As clsXSI_LTT_IMP_LOG_LENDINFO)
		clsSysMst.logEx(clsSysMst.logLevel.DBG, "XSI", Me.GetType().Name, MethodBase.GetCurrentMethod().Name, CST_PRD_NM, CST_FNC_NM, "【貸出予約情報】データ登録処理 Start")

		Dim datLTI_LENDINFO As datLTI_LENDINFO_OneRec = Nothing
		Dim strSql As String = String.Empty
		Try
			'データ登録
			Try

				' 管理物情報テーブルの取得 
				Dim dta As DataTable = Nothing
				Dim dtb As DataTable = Nothing
				dta = New DataTable

				'ＣＳＶファイルの患者番号、管理物コード、区分１、区分２より管理物情報LTI_MNGITEMINFO．連番を取得する。
				'区分１(存在する場合は条件に追加する)
				If Not String.IsNullOrEmpty(cliOneCsvData.DIV1_CD) Then
					strSql &= sqlXSI030F010.sqlSel_LTI_MNGITEMINFO_WHERE_DIV1_CD
				End If

				'区分２(存在する場合は条件に追加する)
				If Not String.IsNullOrEmpty(cliOneCsvData.DIV2_CD) Then
					strSql &= sqlXSI030F010.sqlSel_LTI_MNGITEMINFO_WHERE_DIV2_CD
				End If

				'分冊キー(存在する場合は条件に追加する)
				If Not String.IsNullOrEmpty(cliOneCsvData.VOLUMEKEY) Then
					strSql &= sqlXSI030F010.sqlSel_LTI_MNGITEMINFO_WHERE_VOLUMEKEY
				End If

				pDb.setSQLDa(sqlLTI_MNGITEMINFO.sqlSel_MngInfo_Serial & strSql)

				pDb.setParamDa(sqlXSI030F010.prmPATIENT_NO, clsDB.Enum_dbType.dbNVarChar)
				pDb.setParamDa(sqlXSI030F010.prmMNGITEM_CD, clsDB.Enum_dbType.dbNVarChar)
				pDb.setValDa(sqlXSI030F010.prmPATIENT_NO, cliOneCsvData.PATIENT_NO)
				pDb.setValDa(sqlXSI030F010.prmMNGITEM_CD, cliOneCsvData.MNGITEM_CD)

				'区分１
				If Not String.IsNullOrEmpty(cliOneCsvData.DIV1_CD) Then
					pDb.setParamDa(sqlXSI030F010.prmDIV1_CD, clsDB.Enum_dbType.dbNVarChar)
					pDb.setValDa(sqlXSI030F010.prmDIV1_CD, cliOneCsvData.DIV1_CD)
				End If

				'区分２
				If Not String.IsNullOrEmpty(cliOneCsvData.DIV2_CD) Then
					pDb.setParamDa(sqlXSI030F010.prmDIV2_CD, clsDB.Enum_dbType.dbNVarChar)
					pDb.setValDa(sqlXSI030F010.prmDIV2_CD, cliOneCsvData.DIV2_CD)
				End If

				'分冊キー
				If Not String.IsNullOrEmpty(cliOneCsvData.VOLUMEKEY) Then
					pDb.setParamDa(sqlXSI030F010.prmVOLUMEKEY, clsDB.Enum_dbType.dbNVarChar)
					pDb.setValDa(sqlXSI030F010.prmVOLUMEKEY, cliOneCsvData.VOLUMEKEY)
				End If

				pDb.execQueryDa(dta)
				If dta Is Nothing OrElse
					dta.Rows.Count <= 0 Then
					'データなし
					'連番が存在しない場合
					'エラー
					cliOneCsvData.ERR_FLG = "1"
					cliOneCsvData.ERR_CD = "E0015"
					'管理物情報が存在しません。
					cliOneCsvData.MESSAGE = Me.cliClsMsg.getMessage(cliOneCsvData.ERR_CD, New String() {"管理物情報"})
					Exit Sub
				End If

				dtb = New DataTable

				'貸出情報テーブルを取得する。
				pDb.setSQLDa(sqlLTI_LENDINFO.sqlLendInfo_LendItemChk)
				pDb.setParamDa(sqlLTI_LENDINFO.prmPATIENT_NO, clsDB.Enum_dbType.dbNVarChar)
				pDb.setParamDa(sqlLTI_LENDINFO.prmMNGITEM_CD, clsDB.Enum_dbType.dbNVarChar)
				pDb.setParamDa(sqlLTI_LENDINFO.prmSERIALNO, clsDB.Enum_dbType.dbNVarChar)
				pDb.setValDa(sqlLTI_LENDINFO.prmPATIENT_NO, cliOneCsvData.PATIENT_NO)
				pDb.setValDa(sqlLTI_LENDINFO.prmMNGITEM_CD, cliOneCsvData.MNGITEM_CD)
				pDb.setValDa(sqlLTI_LENDINFO.prmSERIALNO, dta.Rows(0).Item(sqlLTI_MNGITEMINFO.itmSERIAL_NO).ToString())
				pDb.execQueryDa(dtb)

				'返却日が未入力の場合
				If dtb Is Nothing OrElse
					dta.Rows.Count <= 0 Then
					If String.IsNullOrEmpty(dtb.Rows(0).Item(sqlXSI030F010.itmBACK_DT).ToString()) Then

						'エラー
						cliOneCsvData.ERR_FLG = "1"
						cliOneCsvData.ERR_CD = "E0034"
						'貸出中の為登録できません。
						cliOneCsvData.MESSAGE = Me.cliClsMsg.getMessage(cliOneCsvData.ERR_CD, New String() {"貸出中の為"})
						Exit Sub
					End If
				End If

				' 貸出情報の登録
				'トランザクション開始
				pDb.ctlTran(clsDB.Enum_TranMode.Begin)

				'SQL文設定
				pDb.setSQL(sqlXSI030F010.strSqlInsLend)

				' ■キー
				' 患者番号
				pDb.setParam(sqlXSI030F010.prmPATIENT_NO, clsDB.Enum_dbType.dbNVarChar)
				pDb.setVal(sqlXSI030F010.prmPATIENT_NO, cliOneCsvData.PATIENT_NO)
				' 管理物コード
				pDb.setParam(sqlXSI030F010.prmMNGITEM_CD, clsDB.Enum_dbType.dbNVarChar)
				pDb.setVal(sqlXSI030F010.prmMNGITEM_CD, cliOneCsvData.MNGITEM_CD)
				' 連番
				pDb.setParam(sqlXSI030F010.prmSERIAL_NO, clsDB.Enum_dbType.dbInt)
				pDb.setVal(sqlXSI030F010.prmSERIAL_NO, cliOneCsvData.SERIAL_NO)
				' ■データ
				' 貸出目的コード
				pDb.setParam(sqlXSI030F010.prmLENDAIM_CD, clsDB.Enum_dbType.dbNVarChar)
				pDb.setVal(sqlXSI030F010.prmLENDAIM_CD, cliOneCsvData.LENDAIM_CD)
				' 所在場所コード
				pDb.setParam(sqlXSI030F010.prmLCT_CD, clsDB.Enum_dbType.dbNVarChar)
				pDb.setVal(sqlXSI030F010.prmLCT_CD, cliOneCsvData.LCT_CD)

				' 貸出場所名
				pDb.setParam(sqlXSI030F010.prmLCT_NM, clsDB.Enum_dbType.dbNVarChar)
				pDb.setVal(sqlXSI030F010.prmLCT_NM, cliOneCsvData.LCT_NM)

				' 貸出日
				pDb.setParam(sqlXSI030F010.prmISSUE_DT, clsDB.Enum_dbType.dbDateTime)
				pDb.setVal(sqlXSI030F010.prmISSUE_DT, cliOneCsvData.ISSUE_DT)
				' 返却予定日
				pDb.setParam(sqlXSI030F010.prmEXPECTBACK_DT, clsDB.Enum_dbType.dbDateTime)
				pDb.setVal(sqlXSI030F010.prmEXPECTBACK_DT, cliOneCsvData.EXPECTBACK_DT)
				' 借用者コード
				pDb.setParam(sqlXSI030F010.prmBORROWER_CD, clsDB.Enum_dbType.dbNVarChar)
				pDb.setVal(sqlXSI030F010.prmBORROWER_CD, cliOneCsvData.BORROWER_CD)
				' 借用者名
				pDb.setParam(sqlXSI030F010.prmBORROWER_NM, clsDB.Enum_dbType.dbNVarChar)
				pDb.setVal(sqlXSI030F010.prmBORROWER_NM, cliOneCsvData.BORROWER_NM)
				' 帯出者コード
				pDb.setParam(sqlXSI030F010.prmTAKER_CD, clsDB.Enum_dbType.dbNVarChar)
				pDb.setVal(sqlXSI030F010.prmTAKER_CD, cliOneCsvData.TAKER_CD)
				' 帯出者名
				pDb.setParam(sqlXSI030F010.prmTAKER_NM, clsDB.Enum_dbType.dbNVarChar)
				pDb.setVal(sqlXSI030F010.prmTAKER_NM, cliOneCsvData.TAKER_NM)
				' 貸出取扱者コード
				pDb.setParam(sqlXSI030F010.prmLENDCLERK_CD, clsDB.Enum_dbType.dbNVarChar)
				pDb.setVal(sqlXSI030F010.prmLENDCLERK_CD, cliOneCsvData.LENDCLERK_CD)

				' 返却日
				pDb.setParam(sqlXSI030F010.prmBACK_DT, clsDB.Enum_dbType.dbNVarChar)
				pDb.setVal(sqlXSI030F010.prmBACK_DT, cliOneCsvData.BACK_DT)
				' 返却者コード
				pDb.setParam(sqlXSI030F010.prmPERSONOFBACK_CD, clsDB.Enum_dbType.dbNVarChar)
				pDb.setVal(sqlXSI030F010.prmPERSONOFBACK_CD, cliOneCsvData.PERSONOFBACK_CD)
				' 返却者名称
				pDb.setParam(sqlXSI030F010.prmPERSONOFBACK_NM, clsDB.Enum_dbType.dbNVarChar)
				pDb.setVal(sqlXSI030F010.prmPERSONOFBACK_NM, cliOneCsvData.PERSONOFBACK_NM)

				' 返却取扱者コード(返却者取扱者コードに値がセットされていないときは連携処理を行った使用者を設定)
				pDb.setParam(sqlXSI030F010.prmBACKCLERK_CD, clsDB.Enum_dbType.dbNVarChar)
				If cliOneCsvData.BACKCLERK_CD Is Nothing Then
					pDb.setVal(sqlXSI030F010.prmBACKCLERK_CD, cliXSI030F010._userID)
				Else
					pDb.setVal(sqlXSI030F010.prmBACKCLERK_CD, cliOneCsvData.BACKCLERK_CD)
				End If

				' 備考
				pDb.setParam(sqlXSI030F010.prmREMARKS, clsDB.Enum_dbType.dbNVarChar)
				pDb.setVal(sqlXSI030F010.prmREMARKS, cliOneCsvData.COMMENT)
				' 貸出コンボ１
				pDb.setParam(sqlXSI030F010.prmLENDCMB1, clsDB.Enum_dbType.dbNVarChar)
				pDb.setVal(sqlXSI030F010.prmLENDCMB1, cliOneCsvData.LENDCMB1)
				' 貸出コンボ２
				pDb.setParam(sqlXSI030F010.prmLENDCMB2, clsDB.Enum_dbType.dbNVarChar)
				pDb.setVal(sqlXSI030F010.prmLENDCMB2, cliOneCsvData.LENDCMB2)
				' 貸出テキスト１
				pDb.setParam(sqlXSI030F010.prmLENDTEXT1, clsDB.Enum_dbType.dbNVarChar)
				pDb.setVal(sqlXSI030F010.prmLENDTEXT1, cliOneCsvData.LENDTEXT1)
				' 貸出テキスト２
				pDb.setParam(sqlXSI030F010.prmLENDTEXT2, clsDB.Enum_dbType.dbNVarChar)
				pDb.setVal(sqlXSI030F010.prmLENDTEXT2, cliOneCsvData.LENDTEXT2)
				' 貸出チェック１
				pDb.setParam(sqlXSI030F010.prmLENDCHK1, clsDB.Enum_dbType.dbNVarChar)
				pDb.setVal(sqlXSI030F010.prmLENDCHK1, cliOneCsvData.LENDCHK1)
				' 貸出チェック２
				pDb.setParam(sqlXSI030F010.prmLENDCHK2, clsDB.Enum_dbType.dbNVarChar)
				pDb.setVal(sqlXSI030F010.prmLENDCHK2, cliOneCsvData.LENDCHK2)
				' 更新者コード
				pDb.setParam(sqlXSI030F010.prmLASTUPDUSER_CD, clsDB.Enum_dbType.dbNVarChar)
				pDb.setVal(sqlXSI030F010.prmLASTUPDUSER_CD, cliXSI030F010._userID)
				' 更新日
				pDb.setParam(sqlXSI030F010.prmLASTUPD_DT, clsDB.Enum_dbType.dbDateTime)
				pDb.setVal(sqlXSI030F010.prmLASTUPD_DT, DateTime.Now)


				'SQL実行
				pDb.execNonQuery(False)
				'トランザクション終了
				pDb.ctlTran(clsDB.Enum_TranMode.Commit)


			Catch ex As SqlClient.SqlException
				If pDb.statTran() Then pDb.ctlTran(clsDB.Enum_TranMode.RollBack)
				Call Me.cliXSI030F010.ErrorProc(ex)
				cliOneCsvData.ERR_FLG = "1"
			Catch ex As Exception
				If pDb.statTran() Then pDb.ctlTran(clsDB.Enum_TranMode.RollBack)
				Throw
			End Try
		Catch ex As Exception
			Throw
		End Try
	End Sub

	''' ---------------------------------------------
	''' <summary>
	''' 【貸出予約情報】データ登録処理
	''' </summary>
	''' <param name="pDb">DBクラス</param>
	''' <param name="cliOneCsvData">連携ファイル1行データ</param>
	''' <remarks>
	''' 2013/09/25 新規作成　ID)平井<BR/>
	''' </remarks>
	''' ---------------------------------------------
	Private Sub setData_B(ByVal pDb As clsDB, ByVal cliOneCsvData As clsXSI_LTT_IMP_LOG_LENDINFO)
		clsSysMst.logEx(clsSysMst.logLevel.DBG, "XSI", Me.GetType().Name, MethodBase.GetCurrentMethod().Name, CST_PRD_NM, CST_FNC_NM, "【貸出予約情報】データ登録処理 Start")

		Dim datLTI_LENDPREPARE As datLTI_LENDPREPARE = Nothing
		Dim datLTI_LENDPREPARE_DETAIL As datLTI_LENDPREPARE_DETAIL = Nothing
		Try
			'データ登録
			Try
				Dim retData As ArrayList = New ArrayList()
				'Dim iRet As Long

				Dim s_denpyo_no As String

				s_denpyo_no = Mid(cliOneCsvData.APPOINTMENT_DT, 4, 1) & Mid(cliOneCsvData.APPOINTMENT_DT, 6, 2) & Mid(cliOneCsvData.APPOINTMENT_DT, 9, 2) & String.Format("{0:000}", cliOneCsvData.LCT_CD)

				Dim dta As DataTable = Nothing
				dta = New DataTable

				pDb.setSQLDa(sqlLTI_LENDPREPARE.sqlLendPrepare)
				'患者番号
				pDb.setParamDa(sqlLTI_LENDPREPARE.prmSLIP_CD, clsDB.Enum_dbType.dbNVarChar)
				pDb.setValDa(sqlLTI_LENDPREPARE.prmSLIP_CD, s_denpyo_no)
				'データ取得
				pDb.execQueryDa(dta)
				If dta Is Nothing OrElse
					dta.Rows.Count <= 0 Then
					'データなし
					'トランザクション開始
					pDb.ctlTran(clsDB.Enum_TranMode.Begin)

					'SQL文設定
					pDb.setSQL(sqlXSI030F010.sqlIns_LTI_LENDPREPARE)
					'パラメータ設定
					pDb.setParam(sqlXSI030F010.prmSLIP_CD, clsDB.Enum_dbType.dbNVarChar)			'伝票コード
					pDb.setParam(sqlXSI030F010.prmRESULT_DT, clsDB.Enum_dbType.dbNVarChar)			'処理日
					pDb.setParam(sqlXSI030F010.prmRESULTUSER_CD, clsDB.Enum_dbType.dbNVarChar)		'処理者コード
					pDb.setParam(sqlXSI030F010.prmLASTUPDUSER_CD, clsDB.Enum_dbType.dbNVarChar)		'更新者コード
					pDb.setParam(sqlXSI030F010.prmLASTUPD_DT, clsDB.Enum_dbType.dbNVarChar)			'更新日
					'値設定
					pDb.setVal(sqlXSI030F010.prmSLIP_CD, s_denpyo_no)	 '伝票コード
					pDb.setVal(sqlXSI030F010.prmRESULT_DT, DateTime.Now)							'処理日
					pDb.setVal(sqlXSI030F010.prmRESULTUSER_CD, cliXSI030F010._userID)				'処理者コード
					pDb.setVal(sqlXSI030F010.prmLASTUPDUSER_CD, cliXSI030F010._userID)				'更新者コード
					pDb.setVal(sqlXSI030F010.prmLASTUPD_DT, DateTime.Now)							'更新日

					'SQL実行
					pDb.execNonQuery(False)

					'トランザクション終了
					pDb.ctlTran(clsDB.Enum_TranMode.Commit)

				End If

				dta = New DataTable
				pDb.setSQLDa(sqlLTI_LENDPREPARE_DETAIL.sqlLendPrepare_detail)
				'患者番号
				pDb.setParamDa(sqlXSI030F010.prmSLIP_CD, clsDB.Enum_dbType.dbNVarChar)
				pDb.setParamDa(sqlXSI030F010.prmPATIENT_NO, clsDB.Enum_dbType.dbNVarChar)
				pDb.setParamDa(sqlXSI030F010.prmMNGITEM_CD, clsDB.Enum_dbType.dbNVarChar)
				pDb.setParamDa(sqlXSI030F010.prmSERIAL_NO, clsDB.Enum_dbType.dbNVarChar)

				pDb.setValDa(sqlXSI030F010.prmSLIP_CD, s_denpyo_no)
				pDb.setValDa(sqlXSI030F010.prmPATIENT_NO, cliOneCsvData.PATIENT_NO)
				pDb.setValDa(sqlXSI030F010.prmMNGITEM_CD, cliOneCsvData.MNGITEM_CD)
				pDb.setValDa(sqlXSI030F010.prmSERIAL_NO, cliOneCsvData.SERIAL_NO)
				'データ取得
				pDb.execQueryDa(dta)
				If dta Is Nothing OrElse
					dta.Rows.Count <= 0 Then
					'データなし
					'SQL文設定（追加）
					pDb.setSQL(sqlXSI030F010.sqlIns_LTI_LENDPREPARE_DETAIL)
				Else
					'SQL文設定（更新）
					pDb.setSQL(sqlXSI030F010.sqlUpd_LTI_LENDPREPARE_DETAIL)
				End If

				'トランザクション開始
				pDb.ctlTran(clsDB.Enum_TranMode.Begin)

				'パラメータ設定
				pDb.setParam(sqlXSI030F010.prmSLIP_CD, clsDB.Enum_dbType.dbNVarChar)			'伝票コード
				pDb.setParam(sqlXSI030F010.prmPATIENT_NO, clsDB.Enum_dbType.dbNVarChar)			'患者番号
				pDb.setParam(sqlXSI030F010.prmMNGITEM_CD, clsDB.Enum_dbType.dbNVarChar)			'管理物コード
				pDb.setParam(sqlXSI030F010.prmSERIAL_NO, clsDB.Enum_dbType.dbNVarChar)			'連番
				pDb.setParam(sqlXSI030F010.prmLENDAIM_CD, clsDB.Enum_dbType.dbNVarChar)			'貸出目的コード
				pDb.setParam(sqlXSI030F010.prmLCT_CD, clsDB.Enum_dbType.dbNVarChar)				'所在場所コード
				pDb.setParam(sqlXSI030F010.prmLCT_NM, clsDB.Enum_dbType.dbNVarChar)				'貸出場所名称
				pDb.setParam(sqlXSI030F010.prmISSUE_DT, clsDB.Enum_dbType.dbNVarChar)			'貸出日
				pDb.setParam(sqlXSI030F010.prmEXPECTBACK_DT, clsDB.Enum_dbType.dbNVarChar)		'返却予定日
				pDb.setParam(sqlXSI030F010.prmBACK_DT, clsDB.Enum_dbType.dbNVarChar)			'返却日
				pDb.setParam(sqlXSI030F010.prmBORROWER_CD, clsDB.Enum_dbType.dbNVarChar)		'借用者コード
				pDb.setParam(sqlXSI030F010.prmBORROWER_NM, clsDB.Enum_dbType.dbNVarChar)		'借用者名
				pDb.setParam(sqlXSI030F010.prmTAKER_CD, clsDB.Enum_dbType.dbNVarChar)			'帯出者コード
				pDb.setParam(sqlXSI030F010.prmTAKER_NM, clsDB.Enum_dbType.dbNVarChar)			'帯出者名
				pDb.setParam(sqlXSI030F010.prmPERSONOFBACK_CD, clsDB.Enum_dbType.dbNVarChar)	'返却者コード
				pDb.setParam(sqlXSI030F010.prmPERSONOFBACK_NM, clsDB.Enum_dbType.dbNVarChar)	'返却者名称
				pDb.setParam(sqlXSI030F010.prmBACKCLERK_CD, clsDB.Enum_dbType.dbNVarChar)		'貸出取扱者コード
				pDb.setParam(sqlXSI030F010.prmREMARKS, clsDB.Enum_dbType.dbNVarChar)			'備考
				pDb.setParam(sqlXSI030F010.prmLENDCMB1, clsDB.Enum_dbType.dbNVarChar)			'貸出コンボ１
				pDb.setParam(sqlXSI030F010.prmLENDCMB2, clsDB.Enum_dbType.dbNVarChar)			'貸出コンボ２
				pDb.setParam(sqlXSI030F010.prmLENDTEXT1, clsDB.Enum_dbType.dbNVarChar)			'貸出テキスト１
				pDb.setParam(sqlXSI030F010.prmLENDTEXT2, clsDB.Enum_dbType.dbNVarChar)			'貸出テキスト２
				pDb.setParam(sqlXSI030F010.prmLENDCHK1, clsDB.Enum_dbType.dbNVarChar)			'貸出チェック１
				pDb.setParam(sqlXSI030F010.prmLENDCHK2, clsDB.Enum_dbType.dbNVarChar)			'貸出チェック２
				pDb.setParam(sqlXSI030F010.prmAPPOINTMENT_DT, clsDB.Enum_dbType.dbNVarChar)		'予約日
				pDb.setParam(sqlXSI030F010.prmAPPOINTMENT_TIME, clsDB.Enum_dbType.dbNVarChar)	'予約時間
				pDb.setParam(sqlXSI030F010.prmDEL_FLG, clsDB.Enum_dbType.dbNVarChar)			'削除フラグ
				pDb.setParam(sqlXSI030F010.prmLASTUPDUSER_CD, clsDB.Enum_dbType.dbNVarChar)		'更新者コード
				pDb.setParam(sqlXSI030F010.prmLASTUPD_DT, clsDB.Enum_dbType.dbNVarChar)			'更新日
				'値設定
				pDb.setVal(sqlXSI030F010.prmSLIP_CD, s_denpyo_no)								'伝票コード
				pDb.setVal(sqlXSI030F010.prmPATIENT_NO, cliOneCsvData.PATIENT_NO)				'患者番号
				pDb.setVal(sqlXSI030F010.prmMNGITEM_CD, cliOneCsvData.MNGITEM_CD)				'管理物コード
				pDb.setVal(sqlXSI030F010.prmSERIAL_NO, cliOneCsvData.SERIAL_NO)					'連番
				pDb.setVal(sqlXSI030F010.prmLENDAIM_CD, cliOneCsvData.LENDAIM_CD)				'貸出目的コード
				pDb.setVal(sqlXSI030F010.prmLCT_CD, cliOneCsvData.LCT_CD)						'所在場所コード
				pDb.setVal(sqlXSI030F010.prmLCT_NM, cliOneCsvData.LCT_NM)						'貸出場所名称
				pDb.setVal(sqlXSI030F010.prmISSUE_DT, cliOneCsvData.ISSUE_DT)					'貸出日

				'返却予定日がなかった場合、貸出目的コードが入力ありかつ、貸出日が入力ありの場合返却予定日の計算を行い設定する。
				If cliOneCsvData.EXPECTBACK_DT = Nothing Then
					pDb.setSQLDa(sqlLTM_LENDAIM.sqlSel_Lenddays)
					pDb.setParam(sqlLTM_LENDAIM.prmLENDAIM_CD, clsDB.Enum_dbType.dbNVarChar)
					pDb.setVal(sqlLTM_LENDAIM.prmLENDAIM_CD, cliOneCsvData.LENDAIM_CD)
					Using dt As New DataTable()
						pDb.execQueryDa(dt)
						If dt.Rows.Count > 0 Then
							'かつ貸出日が入力されている場合
							If cliOneCsvData.ISSUE_DT = Nothing Then
							Else
								'存在した場合は計算（貸出日＋LTM_貸出目的．貸出日数）
								cliOneCsvData.EXPECTBACK_DT = datLTI_LENDPREPARE_DETAIL.ISSUE_DT.AddDays((dt.Rows(0).Item(0).ToString))
							End If
						Else
							'存在しなかった場合はそのまま
							datLTI_LENDPREPARE_DETAIL.EXPECTBACK_DT = cliOneCsvData.EXPECTBACK_DT
						End If
					End Using
				End If
				pDb.setVal(sqlXSI030F010.prmEXPECTBACK_DT, cliOneCsvData.EXPECTBACK_DT)			'返却予定日
				pDb.setVal(sqlXSI030F010.prmBACK_DT, cliOneCsvData.BACK_DT)						'返却日
				pDb.setVal(sqlXSI030F010.prmBORROWER_CD, cliOneCsvData.BORROWER_CD)				'借用者コード
				pDb.setVal(sqlXSI030F010.prmBORROWER_NM, cliOneCsvData.BORROWER_NM)				'借用者名
				pDb.setVal(sqlXSI030F010.prmTAKER_CD, cliOneCsvData.TAKER_CD)					'帯出者コード
				pDb.setVal(sqlXSI030F010.prmTAKER_NM, cliOneCsvData.TAKER_NM)					'帯出者名
				pDb.setVal(sqlXSI030F010.prmPERSONOFBACK_CD, cliOneCsvData.PERSONOFBACK_CD)		'返却者コード
				pDb.setVal(sqlXSI030F010.prmPERSONOFBACK_NM, cliOneCsvData.PERSONOFBACK_NM)		'返却者名称
				pDb.setVal(sqlXSI030F010.prmBACKCLERK_CD, cliOneCsvData.BACKCLERK_CD)			'貸出取扱者コード
				pDb.setVal(sqlXSI030F010.prmREMARKS, cliOneCsvData.COMMENT)						'備考
				pDb.setVal(sqlXSI030F010.prmLENDCMB1, cliOneCsvData.LENDCMB1)					'貸出コンボ１
				pDb.setVal(sqlXSI030F010.prmLENDCMB2, cliOneCsvData.LENDCMB2)					'貸出コンボ２
				pDb.setVal(sqlXSI030F010.prmLENDTEXT1, cliOneCsvData.LENDTEXT1)					'貸出テキスト１
				pDb.setVal(sqlXSI030F010.prmLENDTEXT2, cliOneCsvData.LENDTEXT2)					'貸出テキスト２
				pDb.setVal(sqlXSI030F010.prmLENDCHK1, cliOneCsvData.LENDCHK1)					'貸出チェック１
				pDb.setVal(sqlXSI030F010.prmLENDCHK2, cliOneCsvData.LENDCHK2)					'貸出チェック２
				pDb.setVal(sqlXSI030F010.prmAPPOINTMENT_DT, cliOneCsvData.APPOINTMENT_DT)		'予約日
				pDb.setVal(sqlXSI030F010.prmAPPOINTMENT_TIME, cliOneCsvData.APPOINTMENT_TIME)	'予約時間
				pDb.setVal(sqlXSI030F010.prmDEL_FLG, "0")										'削除フラグ
				pDb.setVal(sqlXSI030F010.prmLASTUPDUSER_CD, cliXSI030F010._userID)				'更新者コード
				pDb.setVal(sqlXSI030F010.prmLASTUPD_DT, DateTime.Now)							'更新日

				'SQL実行
				pDb.execNonQuery(False)

				'トランザクション終了
				pDb.ctlTran(clsDB.Enum_TranMode.Commit)

			Catch ex As SqlClient.SqlException
				If pDb.statTran() Then pDb.ctlTran(clsDB.Enum_TranMode.RollBack)
				Call Me.cliXSI030F010.ErrorProc(ex)
				cliOneCsvData.ERR_FLG = "1"
			Catch ex As Exception
				If pDb.statTran() Then pDb.ctlTran(clsDB.Enum_TranMode.RollBack)
				Throw
			End Try
		Catch ex As Exception
			Throw
		End Try
	End Sub

	''' ---------------------------------------------
	''' <summary>
	''' 【貸出予約情報】V4レイアウト変換
	''' </summary>
	''' <param name="oneCsv">連携ファイル1行データ</param>
	''' <param name="cliOneCsvData">ログ書込データ</param>
	''' <remarks>
	''' 2013/09/24 新規作成　ID)平井<BR/>
	''' </remarks>
	''' ---------------------------------------------
	Private Sub setV4Cls(ByVal oneCsv() As String, ByVal cliOneCsvData As clsXSI_LTT_IMP_LOG_LENDINFO)
		clsSysMst.logEx(clsSysMst.logLevel.DBG, "XSI", Me.GetType().Name, MethodBase.GetCurrentMethod().Name, CST_PRD_NM, CST_FNC_NM, "【貸出予約情報】V4レイアウト変換 Start")
		Try
			'初期化
			cliOneCsvData.clear()
			cliOneCsvData.DATATYPE = oneCsv(0)			'データ種別
			cliOneCsvData.PATIENT_NO = oneCsv(1)		'患者番号
			cliOneCsvData.MNGITEM_CD = oneCsv(2)		'管理物コード
			cliOneCsvData.DIV1_CD = oneCsv(3)			'区分１
			cliOneCsvData.DIV2_CD = oneCsv(4)			'区分２
			cliOneCsvData.VOLUMEKEY = oneCsv(5)			'分冊連番
			cliOneCsvData.PREPARE_GRP_CD = oneCsv(6)	'貸出準備グループ
			cliOneCsvData.LENDAIM_CD = oneCsv(7)		'貸出目的コード
			cliOneCsvData.LCT_CD = oneCsv(8)			'所在場所コード
			cliOneCsvData.LCT_NM = oneCsv(9)			'貸出場所名称
			cliOneCsvData.ISSUE_DT = oneCsv(10)			'貸出日
			cliOneCsvData.EXPECTBACK_DT = oneCsv(11)	'返却予定日
			cliOneCsvData.BACK_DT = oneCsv(12)			'返却日
			cliOneCsvData.BORROWER_CD = oneCsv(13)		'借用者コード
			cliOneCsvData.BORROWER_NM = oneCsv(14)		'借用者名
			cliOneCsvData.TAKER_CD = oneCsv(15)			'帯出者コード
			cliOneCsvData.TAKER_NM = oneCsv(16)			'帯出者名
			cliOneCsvData.PERSONOFBACK_CD = oneCsv(17)	'返却者コード
			cliOneCsvData.PERSONOFBACK_NM = oneCsv(18)	'返却者名称
			cliOneCsvData.LENDCLERK_CD = oneCsv(19)		'貸出取扱者コード
			cliOneCsvData.BACKCLERK_CD = oneCsv(20)		'返却取扱者コード
			cliOneCsvData.LENDCMB1 = oneCsv(21)			'貸出コンボ１
			cliOneCsvData.LENDCMB2 = oneCsv(22)			'貸出コンボ２
			cliOneCsvData.LENDTEXT1 = oneCsv(23)		'貸出テキスト１
			cliOneCsvData.LENDTEXT2 = oneCsv(24)		'貸出テキスト２
			cliOneCsvData.LENDCHK1 = oneCsv(25)			'貸出チェック１
			cliOneCsvData.LENDCHK2 = oneCsv(26)			'貸出チェック２
			cliOneCsvData.COMMENT = oneCsv(27)			'コメント
			cliOneCsvData.APPOINTMENT_DT = oneCsv(28)	'予約日
			cliOneCsvData.APPOINTMENT_TIME = oneCsv(29)	'予約時間
			cliOneCsvData.YOBI1 = String.Empty			'予備１
			cliOneCsvData.YOBI2 = String.Empty			'予備２
			cliOneCsvData.YOBI3 = String.Empty			'予備３
			cliOneCsvData.YOBI4 = String.Empty			'予備４
			cliOneCsvData.YOBI5 = String.Empty			'予備５
		Catch ex As Exception
			Throw
		End Try
	End Sub

	''' ---------------------------------------------
	''' <summary>
	''' 【貸出予約情報】CSVチェック処理
	''' </summary>
	''' <param name="cliOneCsvData">連携ファイル1行データ</param>
	''' <param name="pDb">D/B</param>
	''' <returns>False:エラー</returns>
	''' <remarks>
	''' 2013/09/24 新規作成　ID)平井<BR/>
	''' </remarks>
	''' ---------------------------------------------
	Private Function chkCSV(ByVal cliOneCsvData As clsXSI_LTT_IMP_LOG_LENDINFO, ByVal pDb As clsDB) As Boolean
		clsSysMst.logEx(clsSysMst.logLevel.DBG, "XSI", Me.GetType().Name, MethodBase.GetCurrentMethod().Name, CST_PRD_NM, CST_FNC_NM, "【貸出予約情報】CSVチェック処理 Start")
		Dim disit As List(Of Integer) = Nothing
		Dim oneCsv As List(Of String) = Nothing
		Dim dataTypePattern() As Char						'データ種別パターン
		Dim iIdx As Integer = -1
		Try
			oneCsv = New List(Of String)
			'データ種別パターン
			dataTypePattern = New Char() {"A"c, "B"c}

			'取り込んだデータをワーカーに設定
			oneCsv.Add(cliOneCsvData.DATATYPE)			'データ種別
			oneCsv.Add(cliOneCsvData.PATIENT_NO)		'患者番号
			oneCsv.Add(cliOneCsvData.MNGITEM_CD)		'管理物コード
			oneCsv.Add(cliOneCsvData.DIV1_CD)			'区分１
			oneCsv.Add(cliOneCsvData.DIV2_CD)			'区分２
			oneCsv.Add(cliOneCsvData.VOLUMEKEY)			'分冊連番
			oneCsv.Add(cliOneCsvData.PREPARE_GRP_CD)	'貸出準備グループ
			oneCsv.Add(cliOneCsvData.LENDAIM_CD)		'貸出目的コード
			oneCsv.Add(cliOneCsvData.LCT_CD)			'所在場所コード
			oneCsv.Add(cliOneCsvData.LCT_NM)			'貸出場所名称
			oneCsv.Add(cliOneCsvData.ISSUE_DT)			'貸出日
			oneCsv.Add(cliOneCsvData.EXPECTBACK_DT)		'返却予定日
			oneCsv.Add(cliOneCsvData.BACK_DT)			'返却日
			oneCsv.Add(cliOneCsvData.BORROWER_CD)		'借用者コード
			oneCsv.Add(cliOneCsvData.BORROWER_NM)		'借用者名
			oneCsv.Add(cliOneCsvData.TAKER_CD)			'帯出者コード
			oneCsv.Add(cliOneCsvData.TAKER_NM)			'帯出者名
			oneCsv.Add(cliOneCsvData.LENDCLERK_CD)		'貸出取扱者コード
			oneCsv.Add(cliOneCsvData.PERSONOFBACK_CD)	'返却者コード
			oneCsv.Add(cliOneCsvData.PERSONOFBACK_NM)	'返却者名称
			oneCsv.Add(cliOneCsvData.BACKCLERK_CD)		'返却取扱者コード
			oneCsv.Add(cliOneCsvData.LENDCMB1)			'貸出コンボ１
			oneCsv.Add(cliOneCsvData.LENDCMB2)			'貸出コンボ２
			oneCsv.Add(cliOneCsvData.LENDTEXT1)			'貸出テキスト１
			oneCsv.Add(cliOneCsvData.LENDTEXT2)			'貸出テキスト２
			oneCsv.Add(cliOneCsvData.LENDCHK1)			'貸出チェック１
			oneCsv.Add(cliOneCsvData.LENDCHK2)			'貸出チェック２
			oneCsv.Add(cliOneCsvData.COMMENT)			'コメント
			oneCsv.Add(cliOneCsvData.APPOINTMENT_DT)	'予約日
			oneCsv.Add(cliOneCsvData.APPOINTMENT_TIME)	'予約時間

			'名称設定
			Dim IName As List(Of String) = Me.getItemName()
			'桁数チェック
			disit = Me.setInputDisit()
			If Me.chkCsvDisit(oneCsv, disit, cliOneCsvData.ERR_FLG, cliOneCsvData.ERR_CD, cliOneCsvData.MESSAGE, IName) = False Then
				Return False
			End If

			'CSV内チェック
			Dim bRequired As Boolean = False
			For idx As Integer = 0 To oneCsv.Count - 1
				bRequired = False
				'必須チェックが必要な項目か判断
				Select Case idx
					Case 0 To 2 : bRequired = True
					Case Else : bRequired = False
				End Select
				'必須チェック
				If bRequired = True AndAlso Me.chkCsvRequiredItem(oneCsv(idx), cliOneCsvData.ERR_FLG, cliOneCsvData.ERR_CD, cliOneCsvData.MESSAGE) = False Then
					Return False
				Else
					Select Case idx
						Case 0 'データ種別
							If Me.chkCsvDATA_TYPE(oneCsv(idx), dataTypePattern, cliOneCsvData.ERR_FLG, cliOneCsvData.ERR_CD, cliOneCsvData.MESSAGE) = False Then
								Return False
							End If
						Case 1 '患者番号
							If Me.chkCsvPATIENT_NO(oneCsv(idx), cliOneCsvData.ERR_FLG, cliOneCsvData.ERR_CD, cliOneCsvData.MESSAGE) = False Then
								Return False
							End If
						Case 2 '管理物コード（存在チェック）
							iIdx = Me.chkCsvMNGITEM_CD(dtLTM_MNGITEM_ALL, oneCsv(idx), cliOneCsvData.ERR_FLG, cliOneCsvData.ERR_CD, cliOneCsvData.MESSAGE)
							If iIdx = -1 Then
								Return False
							End If
						Case 10 To 12	  '日付チェック
							If Me.chkCsvDate(oneCsv(idx), cliOneCsvData.ERR_FLG, cliOneCsvData.ERR_CD, cliOneCsvData.MESSAGE) = False Then
								Return False
							End If
						Case 25 To 26		'フラグチェック
							Select Case oneCsv(idx)
								Case "0", "1"
								Case Else
									cliOneCsvData.ERR_FLG = "1"
									cliOneCsvData.ERR_CD = "E0030"
									'基本情報が存在しません。。
									cliOneCsvData.MESSAGE = Me.cliClsMsg.getMessage(cliOneCsvData.ERR_CD, New String() {"チェック項目", "対象外のデータ", Nothing}) & "[" & oneCsv(idx) & "]"
									Return False
							End Select
					End Select
				End If
			Next
			'患者番号チェック（10桁チェックと数値チェック）
			If cliOneCsvData.PATIENT_NO.Length <> 10 Then
				cliOneCsvData.ERR_FLG = "1"
				cliOneCsvData.ERR_CD = "E0035"
				'患者番号の桁数が不正です。
				cliOneCsvData.MESSAGE = Me.cliClsMsg.getMessage(cliOneCsvData.ERR_CD, New String() {"患者番号の桁数", Nothing})
				Return False
			End If
			If Me.chkCsvNum(cliOneCsvData.PATIENT_NO, cliOneCsvData.ERR_FLG, cliOneCsvData.ERR_CD, cliOneCsvData.MESSAGE) = False Then
				Return False
			End If

			'管理物マスタ必須チェック
			'管理物情報存在チェック（分冊親）
			If Not String.IsNullOrEmpty(cliOneCsvData.VOLUMEKEY) Then
				'分冊キー入力有り
				If Not existMngItemInfo_Vol_Null(pDb, cliOneCsvData.PATIENT_NO, cliOneCsvData.MNGITEM_CD, cliOneCsvData.DIV1_CD, cliOneCsvData.DIV2_CD) Then
					cliOneCsvData.ERR_FLG = "1"
					cliOneCsvData.ERR_CD = "E0015"
					'管理物情報に親データが存在しません。[データ内容]
					cliOneCsvData.MESSAGE = Me.cliClsMsg.getMessage(cliOneCsvData.ERR_CD, New String() {"管理物情報に親データ", Nothing}) & "[" & cliOneCsvData.VOLUMEKEY & "]"
					Return False
				End If
			End If
			'管理物情報存在チェック
			If existMngItemInfo(pDb, cliOneCsvData.PATIENT_NO, cliOneCsvData.MNGITEM_CD, cliOneCsvData.DIV1_CD, cliOneCsvData.DIV2_CD, cliOneCsvData.VOLUMEKEY) = False Then
				cliOneCsvData.ERR_FLG = "2"
				cliOneCsvData.ERR_CD = "E0004"
				'データは存在しません。
				cliOneCsvData.MESSAGE = Me.cliClsMsg.getMessage(cliOneCsvData.ERR_CD)
				Return False
			End If
			Return True
		Catch ex As Exception
			Throw
		Finally
			'解放
			If disit IsNot Nothing Then disit.Clear()
			disit = Nothing
			If oneCsv IsNot Nothing Then oneCsv.Clear()
			oneCsv = Nothing
			dataTypePattern = Nothing
		End Try
	End Function

	''' ---------------------------------------------
	''' <summary>
	''' 【貸出予約情報】桁数定義
	''' </summary>
	''' <returns>桁数リスト</returns>
	''' <remarks>
	''' 2013/09/24 新規作成　ID)平井<BR/>
	''' </remarks>
	''' ---------------------------------------------
	Private Function setInputDisit() As List(Of Integer)
		clsSysMst.logEx(clsSysMst.logLevel.DBG, "XSI", Me.GetType().Name, MethodBase.GetCurrentMethod().Name, CST_PRD_NM, CST_FNC_NM, "【貸出予約情報】桁数定義 Start")
		Dim disit As List(Of Integer) = Nothing
		Try
			disit = New List(Of Integer)
			disit.Add(1)		'データ種別
			disit.Add(10)		'患者番号
			disit.Add(3)		'管理物コード
			disit.Add(10)		'区分１
			disit.Add(10)		'区分２
			disit.Add(1)		'分冊連番
			disit.Add(15)		'貸出準備グループ
			disit.Add(2)		'貸出目的コード
			disit.Add(3)		'所在場所コード
			disit.Add(10)		'貸出場所名称
			disit.Add(10)		'貸出日
			disit.Add(10)		'返却予定日
			disit.Add(10)		'返却日
			disit.Add(8)		'借用者コード
			disit.Add(20)		'借用者名
			disit.Add(8)		'帯出者コード
			disit.Add(20)		'帯出者名
			disit.Add(8)		'返却者コード
			disit.Add(20)		'返却者名称
			disit.Add(8)		'貸出取扱者コード
			disit.Add(8)		'返却取扱者コード
			disit.Add(2)		'貸出コンボ１
			disit.Add(2)		'貸出コンボ２
			disit.Add(10)		'貸出テキスト１
			disit.Add(10)		'貸出テキスト２
			disit.Add(1)		'貸出チェック１
			disit.Add(1)		'貸出チェック２
			disit.Add(100)		'コメント
			disit.Add(10)		'予約日
			disit.Add(5)		'予約時間
			disit.Add(1)		'予備１
			disit.Add(1)		'予備２
			disit.Add(1)		'予備３
			disit.Add(1)		'予備４
			disit.Add(1)		'予備５

			Return disit
		Catch ex As Exception
			Throw
		End Try
	End Function

	''' ---------------------------------------------
	''' <summary>
	''' 【貸出予約情報】名称設定
	''' </summary>
	''' <returns>桁数リスト</returns>
	''' <remarks>
	''' 2013/09/24 新規作成　ID)平井<BR/>
	''' </remarks>
	''' ---------------------------------------------
	Private Function getItemName() As List(Of String)
		clsSysMst.logEx(clsSysMst.logLevel.DBG, "XSI", Me.GetType().Name, MethodBase.GetCurrentMethod().Name, CST_PRD_NM, CST_FNC_NM, "【貸出予約情報】名称設定 Start")
		Dim IName As New List(Of String)
		Try
			IName.Add("データ種別")
			IName.Add("患者番号")
			IName.Add("管理物コード")
			IName.Add("区分１")
			IName.Add("区分２")
			IName.Add("分冊連番")
			IName.Add("貸出準備グループ")
			IName.Add("貸出目的コード")
			IName.Add("所在場所コード")
			IName.Add("貸出場所名称")
			IName.Add("貸出日")
			IName.Add("返却予定日")
			IName.Add("返却日")
			IName.Add("借用者コード")
			IName.Add("借用者名")
			IName.Add("帯出者コード")
			IName.Add("帯出者名")
			IName.Add("返却者コード")
			IName.Add("返却者名称")
			IName.Add("貸出取扱者コード")
			IName.Add("返却取扱者コード")
			IName.Add("貸出コンボ１")
			IName.Add("貸出コンボ２")
			IName.Add("貸出テキスト１")
			IName.Add("貸出テキスト２")
			IName.Add("貸出チェック１")
			IName.Add("貸出チェック２")
			IName.Add("コメント")
			IName.Add("予約日")
			IName.Add("予約時間")

			Return IName
		Catch ex As Exception
			Throw
		End Try
	End Function

	''' ---------------------------------------------
	''' <summary>
	''' 【貸出予約情報】ログSQL登録
	''' </summary>
	''' <param name="pDb">DBクラス</param>
	''' <param name="cliOneCsvData">連携ファイル1行データ</param>
	''' <remarks>
	''' 2013/09/25 新規作成　ID)平井<BR/>
	''' </remarks>
	''' ---------------------------------------------
	Private Sub setSqlParam_MTT_IMP_LOG(ByVal pDb As clsDB, ByVal cliOneCsvData As clsXSI_LTT_IMP_LOG_LENDINFO)
		clsSysMst.logEx(clsSysMst.logLevel.DBG, "XSI", Me.GetType().Name, MethodBase.GetCurrentMethod().Name, CST_PRD_NM, CST_FNC_NM, "【貸出予約情報】ログ登録 Start")
		Try
			'SQL文設定
			pDb.setSQL(sqlXSI030F010.sqlIns_LTT_IMP_LOG_LENDINFO)
			'パラメータ設定
			pDb.setParam(sqlXSI030F010.prmREG_DT, clsDB.Enum_dbType.dbDateTime)				'登録日時
			pDb.setParam(sqlXSI030F010.prmSERIAL_NO, clsDB.Enum_dbType.dbInt)				'連番
			pDb.setParam(sqlXSI030F010.prmERR_FLG, clsDB.Enum_dbType.dbInt)					'エラーフラグ
			pDb.setParam(sqlXSI030F010.prmDATA_TYPE, clsDB.Enum_dbType.dbNVarChar)			'データ種別
			pDb.setParam(sqlXSI030F010.prmPATIENT_NO, clsDB.Enum_dbType.dbNVarChar)			'患者番号
			pDb.setParam(sqlXSI030F010.prmMNGITEM_CD, clsDB.Enum_dbType.dbNVarChar)			'管理物コード
			pDb.setParam(sqlXSI030F010.prmDIV1_CD, clsDB.Enum_dbType.dbNVarChar)			'区分１
			pDb.setParam(sqlXSI030F010.prmDIV2_CD, clsDB.Enum_dbType.dbNVarChar)			'区分２
			pDb.setParam(sqlXSI030F010.prmVOLUMEKEY, clsDB.Enum_dbType.dbNVarChar)			'分冊連番
			pDb.setParam(sqlXSI030F010.prmPREPARE_GRP_CD, clsDB.Enum_dbType.dbNVarChar)		'貸出準備グループ
			pDb.setParam(sqlXSI030F010.prmLENDAIM_CD, clsDB.Enum_dbType.dbNVarChar)			'貸出目的コード
			pDb.setParam(sqlXSI030F010.prmLCT_CD, clsDB.Enum_dbType.dbNVarChar)				'所在場所コード
			pDb.setParam(sqlXSI030F010.prmLCT_NM, clsDB.Enum_dbType.dbNVarChar)				'貸出場所名称
			pDb.setParam(sqlXSI030F010.prmISSUE_DT, clsDB.Enum_dbType.dbDateTime)			'貸出日
			pDb.setParam(sqlXSI030F010.prmEXPECTBACK_DT, clsDB.Enum_dbType.dbDateTime)		'返却予定日
			pDb.setParam(sqlXSI030F010.prmBACK_DT, clsDB.Enum_dbType.dbDateTime)			'返却日
			pDb.setParam(sqlXSI030F010.prmBORROWER_CD, clsDB.Enum_dbType.dbNVarChar)		'借用者コード
			pDb.setParam(sqlXSI030F010.prmBORROWER_NM, clsDB.Enum_dbType.dbNVarChar)		'借用者名
			pDb.setParam(sqlXSI030F010.prmTAKER_CD, clsDB.Enum_dbType.dbNVarChar)			'帯出者コード
			pDb.setParam(sqlXSI030F010.prmTAKER_NM, clsDB.Enum_dbType.dbNVarChar)			'帯出者名
			pDb.setParam(sqlXSI030F010.prmPERSONOFBACK_CD, clsDB.Enum_dbType.dbNVarChar)	'返却者コード
			pDb.setParam(sqlXSI030F010.prmPERSONOFBACK_NM, clsDB.Enum_dbType.dbNVarChar)	'返却者名称
			pDb.setParam(sqlXSI030F010.prmLENDCLERK_CD, clsDB.Enum_dbType.dbNVarChar)		'貸出取扱者コード
			pDb.setParam(sqlXSI030F010.prmBACKCLERK_CD, clsDB.Enum_dbType.dbNVarChar)		'返却取扱者コード
			pDb.setParam(sqlXSI030F010.prmLENDCMB1, clsDB.Enum_dbType.dbNVarChar)			'貸出コンボ１
			pDb.setParam(sqlXSI030F010.prmLENDCMB2, clsDB.Enum_dbType.dbNVarChar)			'貸出コンボ２
			pDb.setParam(sqlXSI030F010.prmLENDTEXT1, clsDB.Enum_dbType.dbNVarChar)			'貸出テキスト１
			pDb.setParam(sqlXSI030F010.prmLENDTEXT2, clsDB.Enum_dbType.dbNVarChar)			'貸出テキスト２
			pDb.setParam(sqlXSI030F010.prmLENDCHK1, clsDB.Enum_dbType.dbNVarChar)			'貸出チェック１
			pDb.setParam(sqlXSI030F010.prmLENDCHK2, clsDB.Enum_dbType.dbNVarChar)			'貸出チェック２
			pDb.setParam(sqlXSI030F010.prmCOMMENT, clsDB.Enum_dbType.dbNVarChar)			'コメント
			pDb.setParam(sqlXSI030F010.prmAPPOINTMENT_DT, clsDB.Enum_dbType.dbDateTime)		'予約日
			pDb.setParam(sqlXSI030F010.prmAPPOINTMENT_TIME, clsDB.Enum_dbType.dbNVarChar)	'予約時間
			pDb.setParam(sqlXSI030F010.prmSPARE01, clsDB.Enum_dbType.dbNVarChar)			'予備１
			pDb.setParam(sqlXSI030F010.prmSPARE02, clsDB.Enum_dbType.dbNVarChar)			'予備２
			pDb.setParam(sqlXSI030F010.prmSPARE03, clsDB.Enum_dbType.dbNVarChar)			'予備３
			pDb.setParam(sqlXSI030F010.prmSPARE04, clsDB.Enum_dbType.dbNVarChar)			'予備４
			pDb.setParam(sqlXSI030F010.prmSPARE05, clsDB.Enum_dbType.dbNVarChar)			'予備５
			pDb.setParam(sqlXSI030F010.prmMODULE_CD, clsDB.Enum_dbType.dbNVarChar)			'モジュールコード
			pDb.setParam(sqlXSI030F010.prmERR_CD, clsDB.Enum_dbType.dbNVarChar)				'エラーコード
			pDb.setParam(sqlXSI030F010.prmMESSAGE, clsDB.Enum_dbType.dbNVarChar)			'メッセージ
			pDb.setParam(sqlXSI030F010.prmLASTUPDUSER_CD, clsDB.Enum_dbType.dbNVarChar)		'更新者コード
			pDb.setParam(sqlXSI030F010.prmLASTUPD_DT, clsDB.Enum_dbType.dbDateTime)			'更新日
			'値設定
			pDb.setVal(sqlXSI030F010.prmREG_DT, DateTime.Now)								'登録日
			pDb.setVal(sqlXSI030F010.prmSERIAL_NO, cliOneCsvData.SERIAL_NO)					'連番
			pDb.setVal(sqlXSI030F010.prmERR_FLG, cliOneCsvData.ERR_FLG)						'エラーフラグ
			pDb.setVal(sqlXSI030F010.prmDATA_TYPE, cliOneCsvData.DATATYPE)					'データ種別
			pDb.setVal(sqlXSI030F010.prmPATIENT_NO, cliOneCsvData.PATIENT_NO)				'患者番号
			pDb.setVal(sqlXSI030F010.prmMNGITEM_CD, cliOneCsvData.MNGITEM_CD)				'管理物コード
			pDb.setVal(sqlXSI030F010.prmDIV1_CD, cliOneCsvData.DIV1_CD)						'区分１
			pDb.setVal(sqlXSI030F010.prmDIV2_CD, cliOneCsvData.DIV2_CD)						'区分２
			pDb.setVal(sqlXSI030F010.prmVOLUMEKEY, cliOneCsvData.VOLUMEKEY)					'分冊連番
			pDb.setVal(sqlXSI030F010.prmPREPARE_GRP_CD, cliOneCsvData.PREPARE_GRP_CD)		'貸出準備グループ
			pDb.setVal(sqlXSI030F010.prmLENDAIM_CD, cliOneCsvData.LENDAIM_CD)				'貸出目的コード
			pDb.setVal(sqlXSI030F010.prmLCT_CD, cliOneCsvData.LCT_CD)						'所在場所コード
			pDb.setVal(sqlXSI030F010.prmLCT_NM, cliOneCsvData.LCT_NM)						'貸出場所名称
			pDb.setVal(sqlXSI030F010.prmISSUE_DT, cliOneCsvData.ISSUE_DT)					'貸出日
			pDb.setVal(sqlXSI030F010.prmEXPECTBACK_DT, cliOneCsvData.EXPECTBACK_DT)			'返却予定日
			pDb.setVal(sqlXSI030F010.prmBACK_DT, cliOneCsvData.BACK_DT)						'返却日
			pDb.setVal(sqlXSI030F010.prmBORROWER_CD, cliOneCsvData.BORROWER_CD)				'借用者コード
			pDb.setVal(sqlXSI030F010.prmBORROWER_NM, cliOneCsvData.BORROWER_NM)				'借用者名
			pDb.setVal(sqlXSI030F010.prmTAKER_CD, cliOneCsvData.TAKER_CD)					'帯出者コード
			pDb.setVal(sqlXSI030F010.prmTAKER_NM, cliOneCsvData.TAKER_NM)					'帯出者名
			pDb.setVal(sqlXSI030F010.prmPERSONOFBACK_CD, cliOneCsvData.PERSONOFBACK_CD)		'返却者コード
			pDb.setVal(sqlXSI030F010.prmPERSONOFBACK_NM, cliOneCsvData.PERSONOFBACK_NM)		'返却者名称
			pDb.setVal(sqlXSI030F010.prmLENDCLERK_CD, cliOneCsvData.LENDCLERK_CD)			'貸出取扱者コード
			pDb.setVal(sqlXSI030F010.prmBACKCLERK_CD, cliOneCsvData.BACKCLERK_CD)			'返却取扱者コード
			pDb.setVal(sqlXSI030F010.prmLENDCMB1, cliOneCsvData.LENDCMB1)					'貸出コンボ１
			pDb.setVal(sqlXSI030F010.prmLENDCMB2, cliOneCsvData.LENDCMB2)					'貸出コンボ２
			pDb.setVal(sqlXSI030F010.prmLENDTEXT1, cliOneCsvData.LENDTEXT1)					'貸出テキスト１
			pDb.setVal(sqlXSI030F010.prmLENDTEXT2, cliOneCsvData.LENDTEXT2)					'貸出テキスト２
			pDb.setVal(sqlXSI030F010.prmLENDCHK1, cliOneCsvData.LENDCHK1)					'貸出チェック１
			pDb.setVal(sqlXSI030F010.prmLENDCHK2, cliOneCsvData.LENDCHK2)					'貸出チェック２
			pDb.setVal(sqlXSI030F010.prmCOMMENT, cliOneCsvData.COMMENT)						'コメント
			pDb.setVal(sqlXSI030F010.prmAPPOINTMENT_DT, cliOneCsvData.APPOINTMENT_DT)		'予約日
			pDb.setVal(sqlXSI030F010.prmAPPOINTMENT_TIME, cliOneCsvData.APPOINTMENT_TIME)	'予約時間
			pDb.setVal(sqlXSI030F010.prmSPARE01, cliOneCsvData.YOBI1)						'予備１
			pDb.setVal(sqlXSI030F010.prmSPARE02, cliOneCsvData.YOBI2)						'予備２
			pDb.setVal(sqlXSI030F010.prmSPARE03, cliOneCsvData.YOBI3)						'予備３
			pDb.setVal(sqlXSI030F010.prmSPARE04, cliOneCsvData.YOBI4)						'予備４
			pDb.setVal(sqlXSI030F010.prmSPARE05, cliOneCsvData.YOBI5)						'予備５
			pDb.setVal(sqlXSI030F010.prmMODULE_CD, cliOneCsvData.MODULE_CD)					'モジュールコード
			pDb.setVal(sqlXSI030F010.prmERR_CD, cliOneCsvData.ERR_CD)						'エラーコード
			pDb.setVal(sqlXSI030F010.prmMESSAGE, cliOneCsvData.MESSAGE)						'メッセージ
			pDb.setVal(sqlXSI030F010.prmLASTUPDUSER_CD, cliXSI030F010._userID)				'更新者コード
			pDb.setVal(sqlXSI030F010.prmLASTUPD_DT, DateTime.Now)							'更新日
			'SQL実行
			pDb.execNonQuery()
		Catch ex As Exception
			Throw
		End Try
	End Sub

	''' ---------------------------------------------
	''' <summary>
	''' 管理物情報存在チェック
	''' </summary>
	''' <param name="pDb"></param>
	''' <param name="strPatient_No"></param>
	''' <param name="strMngItem_Cd"></param>
	''' <param name="strDiv1_Cd"></param>
	''' <param name="strDiv2_Cd"></param>
	''' <param name="strVolumeKey"></param>
	''' <returns></returns>
	''' <remarks>
	''' 2013/06/18 新規作成　ID)平井<BR/>
	''' </remarks>
	''' ---------------------------------------------
	Public Function existMngItemInfo(ByVal pDb As clsDB, ByVal strPatient_No As String, ByVal strMngItem_Cd As String, ByVal strDiv1_Cd As String, ByVal strDiv2_Cd As String, ByVal strVolumeKey As String) As Boolean
		Dim dt As DataTable = Nothing
		Dim strSql As String = String.Empty
		Try
			'管理物情報取得
			dt = New DataTable
			strSql = sqlXSI030F010.sqlSel_LTI_MNGITEMINFO
			'区分１
			If Not String.IsNullOrEmpty(strDiv1_Cd) Then
				strSql &= sqlXSI030F010.sqlSel_LTI_MNGITEMINFO_WHERE_DIV1_CD
			End If
			'区分２
			If Not String.IsNullOrEmpty(strDiv2_Cd) Then
				strSql &= sqlXSI030F010.sqlSel_LTI_MNGITEMINFO_WHERE_DIV2_CD
			End If
			'分冊キー
			If Not String.IsNullOrEmpty(strVolumeKey) Then
				strSql &= sqlXSI030F010.sqlSel_LTI_MNGITEMINFO_WHERE_VOLUMEKEY
			End If
			pDb.setSQLDa(strSql)
			'患者番号
			pDb.setParamDa(sqlXSI030F010.prmPATIENT_NO, clsDB.Enum_dbType.dbNVarChar)
			pDb.setValDa(sqlXSI030F010.prmPATIENT_NO, strPatient_No)
			'管理物コード
			pDb.setParamDa(sqlXSI030F010.prmMNGITEM_CD, clsDB.Enum_dbType.dbNVarChar)
			pDb.setValDa(sqlXSI030F010.prmMNGITEM_CD, strMngItem_Cd)
			'区分１
			If Not String.IsNullOrEmpty(strDiv1_Cd) Then
				pDb.setParamDa(sqlXSI030F010.prmDIV1_CD, clsDB.Enum_dbType.dbNVarChar)
				pDb.setValDa(sqlXSI030F010.prmDIV1_CD, strDiv1_Cd)
			End If
			'区分２
			If Not String.IsNullOrEmpty(strDiv2_Cd) Then
				pDb.setParamDa(sqlXSI030F010.prmDIV2_CD, clsDB.Enum_dbType.dbNVarChar)
				pDb.setValDa(sqlXSI030F010.prmDIV2_CD, strDiv2_Cd)
			End If
			'分冊キー
			If Not String.IsNullOrEmpty(strVolumeKey) Then
				pDb.setParamDa(sqlXSI030F010.prmVOLUMEKEY, clsDB.Enum_dbType.dbNVarChar)
				pDb.setValDa(sqlXSI030F010.prmVOLUMEKEY, strVolumeKey)
			End If
			'データ取得
			pDb.execQueryDa(dt)
			If dt Is Nothing OrElse
				dt.Rows.Count <= 0 Then
				'データなし
				Return False
			End If
			'データ有り
			Return True
		Catch ex As Exception
			Throw
		Finally
			dt = Nothing
		End Try
	End Function

	''' ---------------------------------------------
	''' <summary>
	''' 管理物情報存在チェック（分冊キーNULL）
	''' </summary>
	''' <param name="pDb"></param>
	''' <param name="strPatient_No"></param>
	''' <param name="strMngItem_Cd"></param>
	''' <param name="strDiv1_Cd"></param>
	''' <param name="strDiv2_Cd"></param>
	''' <returns></returns>
	''' <remarks>
	''' 2013/06/18 新規作成　ID)平井<BR/>
	''' </remarks>
	''' ---------------------------------------------
	Public Function existMngItemInfo_Vol_Null(ByVal pDb As clsDB, ByVal strPatient_No As String, ByVal strMngItem_Cd As String, ByVal strDiv1_Cd As String, ByVal strDiv2_Cd As String) As Boolean
		Dim dt As DataTable = Nothing
		Dim strSql As String = String.Empty
		Try
			'管理物情報取得
			dt = New DataTable
			strSql = sqlXSI030F010.sqlSel_LTI_MNGITEMINFO
			'区分１
			If Not String.IsNullOrEmpty(strDiv1_Cd) Then
				strSql &= sqlXSI030F010.sqlSel_LTI_MNGITEMINFO_WHERE_DIV1_CD
			End If
			'区分２
			If Not String.IsNullOrEmpty(strDiv2_Cd) Then
				strSql &= sqlXSI030F010.sqlSel_LTI_MNGITEMINFO_WHERE_DIV2_CD
			End If
			'分冊キーNULL
			strSql &= sqlXSI030F010.sqlSel_LTI_MNGITEMINFO_WHERE_VOLUMEKEY_NULL
			pDb.setSQLDa(strSql)
			'患者番号
			pDb.setParamDa(sqlXSI030F010.prmPATIENT_NO, clsDB.Enum_dbType.dbNVarChar)
			pDb.setValDa(sqlXSI030F010.prmPATIENT_NO, strPatient_No)
			'管理物コード
			pDb.setParamDa(sqlXSI030F010.prmMNGITEM_CD, clsDB.Enum_dbType.dbNVarChar)
			pDb.setValDa(sqlXSI030F010.prmMNGITEM_CD, strMngItem_Cd)
			'区分１
			If Not String.IsNullOrEmpty(strDiv1_Cd) Then
				pDb.setParamDa(sqlXSI030F010.prmDIV1_CD, clsDB.Enum_dbType.dbNVarChar)
				pDb.setValDa(sqlXSI030F010.prmDIV1_CD, strDiv1_Cd)
			End If
			'区分２
			If Not String.IsNullOrEmpty(strDiv2_Cd) Then
				pDb.setParamDa(sqlXSI030F010.prmDIV2_CD, clsDB.Enum_dbType.dbNVarChar)
				pDb.setValDa(sqlXSI030F010.prmDIV2_CD, strDiv2_Cd)
			End If
			'分冊キーNULL
			strSql &= sqlXSI030F010.sqlSel_LTI_MNGITEMINFO_WHERE_VOLUMEKEY_NULL
			'データ取得
			pDb.execQueryDa(dt)
			If dt Is Nothing OrElse
				dt.Rows.Count <= 0 Then
				'データなし
				Return False
			End If
			'データ有り
			Return True
		Catch ex As Exception
			Throw
		Finally
			dt = Nothing
		End Try
	End Function

	''' ---------------------------------------------
	''' <summary>
	''' 貸出情報取得
	''' </summary>
	''' <param name="pDb"></param>
	''' <param name="cliOneCsvData"></param>
	''' <param name="cliLendPrepare_DB"></param>
	''' <remarks>
	''' 2013/09/27 新規作成　ID)平井<BR/>
	''' </remarks>
	''' ---------------------------------------------
	Private Sub getLendPrepare(ByVal pDb As clsDB, ByVal cliOneCsvData As clsXSI_LTT_IMP_LOG_LENDINFO, ByRef cliLendPrepare_DB As cliLTI_LENDPREPARE)
		Dim dt As DataTable = Nothing
		Try
			dt = New DataTable
			pDb.setSQLDa(sqlLTI_LENDPREPARE.sqlLendPrepare)
			'伝票番号 
			pDb.setParamDa(sqlLTI_LENDPREPARE.prmSLIP_CD, clsDB.Enum_dbType.dbNVarChar)
			pDb.setValDa(sqlLTI_LENDPREPARE.prmSLIP_CD, cliOneCsvData.LCT_CD)
			'データ取得
			pDb.execQueryDa(dt)
			If dt Is Nothing OrElse
				dt.Rows.Count <= 0 Then
				'データなし
				Return
			End If
			'データ有り
			cliLendPrepare_DB.SLIP_CD = dt.Rows(0).Item(sqlXSI030F010.itmSLIP_CD).ToString()					'伝票コード
			cliLendPrepare_DB.RESULT_DT = dt.Rows(0).Item(sqlXSI030F010.itmRESULT_DT).ToString()				'処理日
			cliLendPrepare_DB.RESULTUSER_CD = dt.Rows(0).Item(sqlXSI030F010.itmRESULTUSER_CD).ToString()		'処理者コード
			'cliLendPrepare_DB.PREPARE_GRP_CD = dt.Rows(0).Item(sqlXSI030F010.itmPREPARE_GRP_CD).ToString()		'準備グループコード

		Catch ex As Exception
			Throw
		Finally
			dt = Nothing
		End Try
	End Sub

#End Region

End Class
