﻿Imports XSP
Imports XCM
Imports System.Windows.Forms
Imports System.IO
Imports XSP.clsExcelFunc
Imports System.Runtime.ConstrainedExecution

''' ---------------------------------------------
''' <summary>
''' 共通_貸出伝票クラス
''' </summary>
''' <remarks>
''' Copyright 2010 FUJITSU SHIKOKU SYSTEMS LIMITED All rights reserved.<BR/>
''' FUJITSU SHIKOKU SYSTEMS LIMITED CONFIDENTIAL<BR/>
''' </remarks>
''' ---------------------------------------------
Public Class XSP080E010

#Region "解放処理"
	'確実な解放処理を実行するために指定
	Inherits CriticalFinalizerObject
	Implements IDisposable

	''' ---------------------------------------------
	''' <summary>
	''' Dispose（解放処理）※外からはよばない
	''' </summary>
	''' <param name="disposing"></param>
	''' <remarks>
	''' 2010/12/20 新規作成 CS)平井<BR/>
	''' </remarks>
	''' ---------------------------------------------
	Protected Overloads Sub Dispose(ByVal disposing As Boolean)
		If disposing Then
			'ここで変数のクリアを行う
			cliPrintSetting_Excel = Nothing
			cliCom = Nothing
			cliExcelFunc = Nothing
			parLendItem = Nothing
			cliMTM_LENDITEM = Nothing
		End If
	End Sub

	''' ---------------------------------------------
	''' <summary>
	''' Finalize（解放処理）
	''' </summary>
	''' <remarks>
	''' 2010/12/20 新規作成 CS)平井<BR/>
	''' </remarks>
	''' ---------------------------------------------
	Public Overloads Sub Dispose() Implements IDisposable.Dispose
		Dispose(True)
		MyBase.Finalize()
		GC.SuppressFinalize(Me)
	End Sub

	''' ---------------------------------------------
	''' <summary>
	''' Finalize（解放処理）※外からはよばない
	''' </summary>
	''' <remarks>
	''' 2010/12/20 新規作成 CS)平井<BR/>
	''' </remarks>
	''' ---------------------------------------------
	Protected Overrides Sub Finalize()
		Dispose(False)
		MyBase.Finalize()
	End Sub
#End Region

#Region "コンスタント"
	'パラメータ出力項目数
	Private Const CST_INTEXCEL_PARAMETERCNT As Integer = 12
	'データ出力項目数
	Private Const CST_INTEXCEL_DATACNT As Integer = 79
	' サマリ歴情報先頭
	Private Const C_SUMMARY_TOP As Integer = 59
	' ExcelFormatクラス（パラメータ）
	Private ReadOnly datParamExcelFormat() As datXSP080E010_ExcelFormat =
	{
	New datXSP080E010_ExcelFormat(sqlXSP080E010.itmSLIP_CD, clsExcel.CST_FORMAT_STRING, 1, 3),
	New datXSP080E010_ExcelFormat(sqlXSP080E010.itmLENDCLERK_NM, clsExcel.CST_FORMAT_STRING, 2, 3),
	New datXSP080E010_ExcelFormat(sqlXSP080E010.itmLENDAIM_NM, clsExcel.CST_FORMAT_STRING, 3, 3),
	New datXSP080E010_ExcelFormat(sqlXSP080E010.itmLCT_NM, clsExcel.CST_FORMAT_STRING, 4, 3),
	New datXSP080E010_ExcelFormat(sqlXSP080E010.itmISSUE_DT, clsExcel.CST_FORMAT_DATE, 5, 3),
	New datXSP080E010_ExcelFormat(sqlXSP080E010.itmEXPECTBACK_DT, clsExcel.CST_FORMAT_STRING, 6, 3),
	New datXSP080E010_ExcelFormat(sqlXSP080E010.itmBORROWERDIV_NM, clsExcel.CST_FORMAT_STRING, 7, 3),
	New datXSP080E010_ExcelFormat(sqlXSP080E010.itmBORROWER_NM, clsExcel.CST_FORMAT_STRING, 8, 3),
	New datXSP080E010_ExcelFormat(sqlXSP080E010.itmTAKERDIV_NM, clsExcel.CST_FORMAT_STRING, 9, 3),
	New datXSP080E010_ExcelFormat(sqlXSP080E010.itmTAKER_NM, clsExcel.CST_FORMAT_STRING, 10, 3),
	New datXSP080E010_ExcelFormat(sqlXSP080E010.itmLENDREMARKS, clsExcel.CST_FORMAT_STRING, 11, 3),
	New datXSP080E010_ExcelFormat(sqlXSP080E010.itmBYOREKI_NO_TITLE, clsExcel.CST_FORMAT_STRING, 12, 3)
	}
	' ExcelFormatクラス（データ）
	Private ReadOnly datExcelFormat() As datXSP080E010_ExcelFormat =
	{
	New datXSP080E010_ExcelFormat(sqlXSP080E010.itmPATIENT_NO, clsExcel.CST_FORMAT_STRING, 1, 2),
	New datXSP080E010_ExcelFormat(sqlXSP080E010.itmHSP_HISTORY_NO, clsExcel.CST_FORMAT_INTEGER, 2, 2),
	New datXSP080E010_ExcelFormat(sqlXSP080E010.itmCH_NO, clsExcel.CST_FORMAT_INTEGER, 3, 2),
	New datXSP080E010_ExcelFormat(sqlXSP080E010.itmBYOREKI_NO, clsExcel.CST_FORMAT_STRING, 4, 2),
	New datXSP080E010_ExcelFormat(sqlXSP080E010.itmPATIENT_NM, clsExcel.CST_FORMAT_STRING, 5, 2),
	New datXSP080E010_ExcelFormat(sqlXSP080E010.itmPATIENT_KNM, clsExcel.CST_FORMAT_STRING, 6, 2),
	New datXSP080E010_ExcelFormat(sqlXSP080E010.itmBIRTH_DT, clsExcel.CST_FORMAT_DATE, 7, 2),
	New datXSP080E010_ExcelFormat(sqlXSP080E010.itmGENDER_CD, clsExcel.CST_FORMAT_STRING, 8, 2),
	New datXSP080E010_ExcelFormat(sqlXSP080E010.itmGENDER_NM, clsExcel.CST_FORMAT_STRING, 9, 2),
	New datXSP080E010_ExcelFormat(sqlXSP080E010.itmDEPT_CD, clsExcel.CST_FORMAT_STRING, 10, 2),
	New datXSP080E010_ExcelFormat(sqlXSP080E010.itmDEPT_NM, clsExcel.CST_FORMAT_STRING, 11, 2),
	New datXSP080E010_ExcelFormat(sqlXSP080E010.itmDEPT_RNM, clsExcel.CST_FORMAT_STRING, 12, 2),
	New datXSP080E010_ExcelFormat(sqlXSP080E010.itmWARD_CD, clsExcel.CST_FORMAT_STRING, 13, 2),
	New datXSP080E010_ExcelFormat(sqlXSP080E010.itmWARD_NM, clsExcel.CST_FORMAT_STRING, 14, 2),
	New datXSP080E010_ExcelFormat(sqlXSP080E010.itmWARD_RNM, clsExcel.CST_FORMAT_STRING, 15, 2),
	New datXSP080E010_ExcelFormat(sqlXSP080E010.itmSTART_DT, clsExcel.CST_FORMAT_DATE, 16, 2),
	New datXSP080E010_ExcelFormat(sqlXSP080E010.itmEND_DT, clsExcel.CST_FORMAT_DATE, 17, 2),
	New datXSP080E010_ExcelFormat(sqlXSP080E010.itmSTART_CNL_CD, clsExcel.CST_FORMAT_STRING, 18, 2),
	New datXSP080E010_ExcelFormat(sqlXSP080E010.itmHSP_CNL_NM, clsExcel.CST_FORMAT_STRING, 19, 2),
	New datXSP080E010_ExcelFormat(sqlXSP080E010.itmHSP_CNL_RNM, clsExcel.CST_FORMAT_STRING, 20, 2),
	New datXSP080E010_ExcelFormat(sqlXSP080E010.itmEND_CNL_CD, clsExcel.CST_FORMAT_STRING, 21, 2),
	New datXSP080E010_ExcelFormat(sqlXSP080E010.itmOUT_HSP_CNL_NM, clsExcel.CST_FORMAT_STRING, 22, 2),
	New datXSP080E010_ExcelFormat(sqlXSP080E010.itmOUT_HSP_CNL_RNM, clsExcel.CST_FORMAT_STRING, 23, 2),
	New datXSP080E010_ExcelFormat(sqlXSP080E010.itmEND_OUTCOME_CD, clsExcel.CST_FORMAT_STRING, 24, 2),
	New datXSP080E010_ExcelFormat(sqlXSP080E010.itmOUT_HSP_OUTCOME_NM, clsExcel.CST_FORMAT_STRING, 25, 2),
	New datXSP080E010_ExcelFormat(sqlXSP080E010.itmOUT_HSP_OUTCOME_RNM, clsExcel.CST_FORMAT_STRING, 26, 2),
	New datXSP080E010_ExcelFormat(sqlXSP080E010.itmHSP_DAYS, clsExcel.CST_FORMAT_INTEGER, 27, 2),
	New datXSP080E010_ExcelFormat(sqlXSP080E010.itmDOCTOR_CD, clsExcel.CST_FORMAT_STRING, 28, 2),
	New datXSP080E010_ExcelFormat(sqlXSP080E010.itmDOCTOR_NM, clsExcel.CST_FORMAT_STRING, 29, 2),
	New datXSP080E010_ExcelFormat(sqlXSP080E010.itmLENDITEM_CD, clsExcel.CST_FORMAT_STRING, 30, 2),
	New datXSP080E010_ExcelFormat(sqlXSP080E010.itmLENDITEM_NM, clsExcel.CST_FORMAT_STRING, 31, 2),
	New datXSP080E010_ExcelFormat(sqlXSP080E010.itmKEEPLCT_CD, clsExcel.CST_FORMAT_STRING, 32, 2),
	New datXSP080E010_ExcelFormat(sqlXSP080E010.itmKEEPLCT_NM, clsExcel.CST_FORMAT_STRING, 33, 2),
	New datXSP080E010_ExcelFormat(sqlXSP080E010.itmERR_FLG, clsExcel.CST_FORMAT_INTEGER, 34, 2),
	New datXSP080E010_ExcelFormat(sqlXSP080E010.itmSEQ_NO, clsExcel.CST_FORMAT_INTEGER, 35, 2),
	New datXSP080E010_ExcelFormat(sqlXSP080E010.itmCOMMENT, clsExcel.CST_FORMAT_STRING, 36, 2),
	New datXSP080E010_ExcelFormat(sqlXSP080E010.itmRECEIPT_COUNT, clsExcel.CST_FORMAT_INTEGER, 37, 2),
	New datXSP080E010_ExcelFormat(sqlXSP080E010.itmMNGSTATUS_CD, clsExcel.CST_FORMAT_STRING, 38, 2),
	New datXSP080E010_ExcelFormat(sqlXSP080E010.itmSLIP_CD, clsExcel.CST_FORMAT_STRING, 39, 2),
	New datXSP080E010_ExcelFormat(sqlXSP080E010.itmDEPT_DSPORDER, clsExcel.CST_FORMAT_INTEGER, 40, 2),
	New datXSP080E010_ExcelFormat(sqlXSP080E010.itmWARD_DSPORDER, clsExcel.CST_FORMAT_INTEGER, 41, 2),
	New datXSP080E010_ExcelFormat(sqlXSP080E010.itmDOCTOR_DSPORDER, clsExcel.CST_FORMAT_INTEGER, 42, 2),
	New datXSP080E010_ExcelFormat(sqlXSP080E010.itmHSP_CNL_DSPORDER, clsExcel.CST_FORMAT_INTEGER, 43, 2),
	New datXSP080E010_ExcelFormat(sqlXSP080E010.itmOUT_HSP_CNL_DSPORDER, clsExcel.CST_FORMAT_INTEGER, 44, 2),
	New datXSP080E010_ExcelFormat(sqlXSP080E010.itmOUT_HSP_OUTCOME_DSPORDER, clsExcel.CST_FORMAT_INTEGER, 45, 2),
	New datXSP080E010_ExcelFormat(sqlXSP080E010.itmISSUE_DT, clsExcel.CST_FORMAT_DATE, 46, 2),
	New datXSP080E010_ExcelFormat(sqlXSP080E010.itmMNGSTATUS_DSPORDER, clsExcel.CST_FORMAT_INTEGER, 47, 2),
	New datXSP080E010_ExcelFormat(sqlXSP080E010.itmKEPPLCT_DSPORDER, clsExcel.CST_FORMAT_INTEGER, 48, 2),
	New datXSP080E010_ExcelFormat(sqlXSP080E010.itmLENDAIM_CD, clsExcel.CST_FORMAT_STRING, 49, 2),
	New datXSP080E010_ExcelFormat(sqlXSP080E010.itmLENDAIM_DSPORDER, clsExcel.CST_FORMAT_INTEGER, 50, 2),
	New datXSP080E010_ExcelFormat(sqlXSP080E010.itmBORROWER_DIV, clsExcel.CST_FORMAT_STRING, 51, 2),
	New datXSP080E010_ExcelFormat(sqlXSP080E010.itmBORROWER_DIV_DSPORDER, clsExcel.CST_FORMAT_INTEGER, 52, 2),
	New datXSP080E010_ExcelFormat(sqlXSP080E010.itmBORROWER_CD, clsExcel.CST_FORMAT_STRING, 53, 2),
	New datXSP080E010_ExcelFormat(sqlXSP080E010.itmBORROWER_DSPORDER, clsExcel.CST_FORMAT_INTEGER, 54, 2),
	New datXSP080E010_ExcelFormat(sqlXSP080E010.itmLCT_CD, clsExcel.CST_FORMAT_STRING, 55, 2),
	New datXSP080E010_ExcelFormat(sqlXSP080E010.itmLCT_DSPORDER, clsExcel.CST_FORMAT_INTEGER, 56, 2),
	New datXSP080E010_ExcelFormat(sqlXSP080E010.itmLENDCLERK_CD, clsExcel.CST_FORMAT_STRING, 57, 2),
	New datXSP080E010_ExcelFormat(sqlXSP080E010.itmLENDCLERK_DSPORDER, clsExcel.CST_FORMAT_INTEGER, 58, 2),
	New datXSP080E010_ExcelFormat(sqlXSP080E010.itmCH_HISTORY, clsExcel.CST_FORMAT_STRING, 59, 2),
	New datXSP080E010_ExcelFormat(sqlXSP080E010.itmSUMMARY_MNGSTATUS_CD_1, clsExcel.CST_FORMAT_STRING, 60, 2),
	New datXSP080E010_ExcelFormat(sqlXSP080E010.itmMNGSTATUS1_RNM_1, clsExcel.CST_FORMAT_STRING, 61, 2),
	New datXSP080E010_ExcelFormat(sqlXSP080E010.itmSUMMARY_MAKER_CD_1, clsExcel.CST_FORMAT_STRING, 62, 2),
	New datXSP080E010_ExcelFormat(sqlXSP080E010.itmSTAFF_NM_1, clsExcel.CST_FORMAT_STRING, 63, 2),
	New datXSP080E010_ExcelFormat(sqlXSP080E010.itmSUMMARY_MNGSTATUS_CD_2, clsExcel.CST_FORMAT_STRING, 64, 2),
	New datXSP080E010_ExcelFormat(sqlXSP080E010.itmMNGSTATUS1_RNM_2, clsExcel.CST_FORMAT_STRING, 65, 2),
	New datXSP080E010_ExcelFormat(sqlXSP080E010.itmSUMMARY_MAKER_CD_2, clsExcel.CST_FORMAT_STRING, 66, 2),
	New datXSP080E010_ExcelFormat(sqlXSP080E010.itmSTAFF_NM_2, clsExcel.CST_FORMAT_STRING, 67, 2),
	New datXSP080E010_ExcelFormat(sqlXSP080E010.itmSUMMARY_MNGSTATUS_CD_3, clsExcel.CST_FORMAT_STRING, 68, 2),
	New datXSP080E010_ExcelFormat(sqlXSP080E010.itmMNGSTATUS1_RNM_3, clsExcel.CST_FORMAT_STRING, 69, 2),
	New datXSP080E010_ExcelFormat(sqlXSP080E010.itmSUMMARY_MAKER_CD_3, clsExcel.CST_FORMAT_STRING, 70, 2),
	New datXSP080E010_ExcelFormat(sqlXSP080E010.itmSTAFF_NM_3, clsExcel.CST_FORMAT_STRING, 71, 2),
	New datXSP080E010_ExcelFormat(sqlXSP080E010.itmSUMMARY_MNGSTATUS_CD_4, clsExcel.CST_FORMAT_STRING, 72, 2),
	New datXSP080E010_ExcelFormat(sqlXSP080E010.itmMNGSTATUS1_RNM_4, clsExcel.CST_FORMAT_STRING, 73, 2),
	New datXSP080E010_ExcelFormat(sqlXSP080E010.itmSUMMARY_MAKER_CD_4, clsExcel.CST_FORMAT_STRING, 74, 2),
	New datXSP080E010_ExcelFormat(sqlXSP080E010.itmSTAFF_NM_4, clsExcel.CST_FORMAT_STRING, 75, 2),
	New datXSP080E010_ExcelFormat(sqlXSP080E010.itmSUMMARY_MNGSTATUS_CD_5, clsExcel.CST_FORMAT_STRING, 76, 2),
	New datXSP080E010_ExcelFormat(sqlXSP080E010.itmMNGSTATUS1_RNM_5, clsExcel.CST_FORMAT_STRING, 77, 2),
	New datXSP080E010_ExcelFormat(sqlXSP080E010.itmSUMMARY_MAKER_CD_5, clsExcel.CST_FORMAT_STRING, 78, 2),
	New datXSP080E010_ExcelFormat(sqlXSP080E010.itmSTAFF_NM_5, clsExcel.CST_FORMAT_STRING, 79, 2)
	}
	' 転科歴接続文字
	Private Const C_SPLITER As String = "-"
	' 並び順
	Private Const C_SORT_STRING As String = "PATIENT_NO, HSP_HISTORY_NO, CH_NO"
	' 病歴番号タイトル標準
	Private Const C_TITLE_BYOREKI_TITLE As String = "病歴番号"
#End Region

#Region "変数"
	Private pFrm As frmBase = Nothing									'フォーム
	Private blnNamePut As Boolean = True								'氏名出力フラグ
	Private cliPrintSetting_Excel As XSP.clsXTM_PRINTSETTING_EXCEL		'印刷設定EXCELクラス
	Private cliCom As clsCom											'共通クラス
	Private cliExcelFunc As clsExcelFunc								'Excel作業クラス
	Private parLendItem As ArrayList
	Private cliMTM_LENDITEM As clsMTM_LENDITEM

	''' ---------------------------------------------
	''' <summary>
	''' EXCEL出力用インデックス（パラメータシート）
	''' </summary>
	''' <remarks>
	''' 2010/12/20 新規作成　CS)平井<BR/>
	''' </remarks>
	''' ---------------------------------------------
	Private Enum Enum_PosParam
		Slip = 1
		LCreakNm = 2
		LAimNm = 3
		LLctNm = 4
		ISsueDt = 5
		ExpectDt = 6
		BorrDivNm = 7
		BorrNm = 8
		TakeDivNm = 9
		TakeNm = 10
		Remark = 11
	End Enum

	''' ---------------------------------------------
	''' <summary>
	''' 表示切替（０：表示しない、１：表示する）
	''' </summary>
	''' <remarks>
	''' 2010/12/21 新規作成　CS)平井<BR/>
	''' </remarks>
	''' ---------------------------------------------
	Private Enum Enum_Display As Integer
		NoneDisplay = 0
		Display = 1
	End Enum

#End Region

#Region "コンストラクタ"

	''' ---------------------------------------------
	''' <summary>
	''' コンストラクタ
	''' </summary>
	''' <param name="pForm">frmBase</param>
	''' <param name="pNamePutFlg">TRUE:出力 FALSE:マスク文字で出力</param>		
	''' <remarks>
	''' 2010/12/20 新規作成　CS)平井<BR/>
	''' </remarks>
	''' ---------------------------------------------
	Sub New(ByVal pForm As frmBase, ByVal pNamePutFlg As Boolean)
		pFrm = pForm
		blnNamePut = pNamePutFlg
	End Sub

#End Region

#Region "メソッド"

	''' ---------------------------------------------
	''' <summary>
	''' 印刷・プレビュー処理（貸出票）
	''' </summary>
	''' <param name="pPrintFlg">TRUE:印刷 FALSE:プレビュー</param>
	''' <param name="datIn">貸出票入力クラス</param>
	''' <param name="putmsg">完了メッセージを表示するか（TRUE：表示する　FALSE：表示しない）</param>
	''' <remarks>
	''' 2010/12/20 新規作成　CS)平井<BR/>
	''' </remarks>
	''' ---------------------------------------------
	Public Function exePrint_KashidashiHyo(ByVal datIn As List(Of datXSP080E010), ByVal pPrintFlg As Boolean, _
	 Optional ByVal putmsg As Boolean = True) As Boolean
		pFrm.log(clsSysMst.logLevel.DBG, "exePrint_KashidashiHyo", "印刷・プレビュー処理（貸出票） START")

		' １ページの基準となるホームポジションの初期値を、シートの左上に設定する。
		Dim m_posHome As clsExcel.PosInfo = New clsExcel.PosInfo(1, 1)

		' パラメータシートの出力位置を定義
		Dim p_PosInfo() As clsExcel.PosInfo

		' 出力位置（汎用）
		Dim strPos As String = Nothing
		Dim datPrintSetting As datXTM_PRINTSETTING_EXCEL_OneRec = Nothing	'印刷設定

		'該当データのチェック
		Dim FindFlg As Boolean = False
		Dim daRow() As DataRow
		Dim PutCnt As Integer = 0
		Dim TmpCnt As Integer = 0

		'汎用主キー変数
		Dim wPatientNo As String = Nothing
		Dim wMngitem As String = Nothing
		Dim wSerial As Integer = Nothing
		Dim wFilePath As String = Nothing
		Dim wCopyBusu As Integer = 1

		'管理物情報取得（Where句）
		Dim strWhere As String = Nothing
		Dim arParamPut As ArrayList
		Dim arPut As ArrayList
		Try
			' インスタンス生成
			cliPrintSetting_Excel = New XSP.clsXTM_PRINTSETTING_EXCEL	'印刷設定EXCELクラス
			cliCom = New clsCom											'共通クラス
			cliExcelFunc = New clsExcelFunc								'Excel作業クラス
			cliMTM_LENDITEM = New clsMTM_LENDITEM
			arParamPut = New ArrayList
			arPut = New ArrayList
			'EXCELシートの確認
			datPrintSetting = Me.cliPrintSetting_Excel.getChkExcelSettingOneRec(Me.pFrm.Name, Me.GetType.Name, wFilePath, cliExcelFunc)
			If datPrintSetting Is Nothing Then
				'エラーが発生したので終了
				Return False
			End If
			'印刷枚数設定
			If IsNumeric(datPrintSetting.NUMBERPRINTED) Then
				wCopyBusu = datPrintSetting.NUMBERPRINTED
			End If
			' 貸出物マスタ取得
			parLendItem = cliMTM_LENDITEM.getAll()
			If parLendItem Is Nothing OrElse parLendItem.Count <= 0 Then
				clsSysMst.showMsgEx("E0015", "貸出物マスタ", Nothing)
				Return False
			End If
			' 貸出票データ取得
			Dim dtLendList As DataTable = New DataTable
			dtLendList = getLendList(datIn)
			' 患者毎のデータを１件に
			dtLendList = updPatientTani(dtLendList)
			If clsSysMst.ctlEnvData.getEnv(datEnv.Enum_ENV.ENV_00049) = Enum_Display.Display Then
				' 転科歴取得処理
				dtLendList = setChange_Dept(dtLendList)
			End If
			If clsSysMst.ctlEnvData.getEnv(datEnv.Enum_ENV.ENV_00099) = Enum_Display.Display Then
				' サマリ履歴取得処理
				dtLendList = setSummaryInfo(dtLendList)
			End If
			If dtLendList Is Nothing OrElse
			 dtLendList.Rows.Count <= 0 Then
				'対象データが存在しない
				clsSysMst.showMsgEx("E0004")
				Return False
			End If
			'出力位置を定義
			''病院名
			'datHspName = Me.cliHspName.getHspName_OneRec_DataClass
			Using vLendList As DataView = New DataView(dtLendList)
				vLendList.Sort = C_SORT_STRING
				dtLendList = vLendList.ToTable
			End Using
			'＊＊＊＊＊＊＊＊＊＊＊＊＊＊＊＊＊＊＊＊＊＊＊＊＊＊＊＊＊＊＊＊＊＊＊＊＊＊＊＊＊＊＊＊＊
			For Each row As DataRow In dtLendList.Rows
				Dim strParamPut(CST_INTEXCEL_PARAMETERCNT, 0) As String
				Dim strPut(0, CST_INTEXCEL_DATACNT) As String
				Try
					'パラメータデータを出力
					For Idx As Integer = 0 To datParamExcelFormat.Length - 1
						'日付のみ変換を行う
						If datParamExcelFormat(Idx).ITEM_NAME = sqlXSP080E010.itmBYOREKI_NO_TITLE Then
							'病歴番号タイトル設定
							Dim strByorekiNo_Title As String = clsSysMst.ctlEnvData.getEnv(datEnv.Enum_ENV.ENV_00001)
							If String.IsNullOrEmpty(strByorekiNo_Title) Then
								strByorekiNo_Title = C_TITLE_BYOREKI_TITLE
							End If
							strParamPut(Idx, 0) = strByorekiNo_Title
						Else
							'病歴番号タイトル以外
							If datParamExcelFormat(Idx).ITEM_FORMAT = clsExcel.CST_FORMAT_DATE Then
								If Not String.IsNullOrEmpty(row(datParamExcelFormat(Idx).ITEM_NAME).ToString) AndAlso
								 IsDate(row(datParamExcelFormat(Idx).ITEM_NAME).ToString) Then
									strParamPut(Idx, 0) = CType(row(datParamExcelFormat(Idx).ITEM_NAME).ToString, Date).ToString(clsExcel.CST_FORMAT_DATE)
								End If
							Else
								'以外
								strParamPut(Idx, 0) = row(datParamExcelFormat(Idx).ITEM_NAME).ToString
							End If
						End If
					Next
					'出力データを保持
					arParamPut.Add(strParamPut)
					'データを出力
					For Idx As Integer = 0 To datExcelFormat.Length - 1
						If datExcelFormat(Idx).ITEM_NAME = sqlXSP080E010.itmPATIENT_NM Then
							'患者氏名
							If Me.blnNamePut Then
								strPut(0, Idx) = row(datExcelFormat(Idx).ITEM_NAME).ToString
							Else
								strPut(0, Idx) = CST_NAME_MASK
							End If
						ElseIf datExcelFormat(Idx).ITEM_NAME = sqlXSP080E010.itmPATIENT_KNM Then
							'氏名カナ
							If Me.blnNamePut Then
								strPut(0, Idx) = row(datExcelFormat(Idx).ITEM_NAME).ToString
							Else
								strPut(0, Idx) = CST_KNAME_MASK
							End If
						Else
							'日付のみ変換を行う
							If datExcelFormat(Idx).ITEM_FORMAT = clsExcel.CST_FORMAT_DATE Then
								If Not String.IsNullOrEmpty(row(datExcelFormat(Idx).ITEM_NAME).ToString) AndAlso
								 IsDate(row(datExcelFormat(Idx).ITEM_NAME).ToString) Then
									strPut(0, Idx) = CType(row(datExcelFormat(Idx).ITEM_NAME).ToString, Date).ToString(clsExcel.CST_FORMAT_DATE)
								End If
							Else
								'以外
								strPut(0, Idx) = row(datExcelFormat(Idx).ITEM_NAME).ToString
							End If
						End If
					Next
					'出力データを保持
					arPut.Add(strPut)
				Catch ex As Exception
					Throw
				Finally
					'解放
					If dtLendList IsNot Nothing Then dtLendList.Dispose()
					strPut = Nothing
				End Try
				TmpCnt += 1
			Next

			' オブジェクトのインスタンス作成
			Using xlApp As clsExcel = New clsExcel(pPrintFlg)

				' １ページの基準となるホームポジションの初期値を、シートの左上に設定する。
				Dim posHome As clsExcel.PosInfo = New clsExcel.PosInfo(1, 1)

				' Workbooks コレクション
				Using xlBooks As clsExcelBooks = New clsExcelBooks(xlApp, pPrintFlg)

					' 出力用 Workbook、ひな形 Workbook
'(M) STR V4-11020-000 005 20110812 FJSK)荒川 XXX号 病歴大将V4PKG問題点No103 EXCEL出力でテンプレートと同じファイル名で出力するとエラー対応
					'Using xlOBook As clsExcelBook = New clsExcelBook(xlBooks, pPrintFlg), _
					'   xlMBook As clsExcelBook = New clsExcelBook(xlBooks, wFilePath, True)
					Using xlOBook As clsExcelBook = New clsExcelBook(xlBooks, pPrintFlg)
'(M) END V4-11020-000 005 20110812
'(A) STR V4-14044-000 003 20130717 ID)鐘井 病歴大将のバージョン対応
                        Try
'(A) END V4-14044-000 003 20130717 ID)鐘井 病歴大将のバージョン対応
                        ' 出力用 Worksheets、ひな形 Worksheets
'(M) STR V4-11020-000 005 20110812 FJSK)荒川 XXX号 病歴大将V4PKG問題点No103 EXCEL出力でテンプレートと同じファイル名で出力するとエラー対応
                        'Using xlOSheets As clsExcelSheets = New clsExcelSheets(xlOBook), _
                        '   xlMSheets As clsExcelSheets = New clsExcelSheets(xlMBook)
                            Using xlOSheets As clsExcelSheets = New clsExcelSheets(xlOBook)
'(M) END V4-11020-000 005 20110812

                                ' 出力用 Worksheet
                                Using xlOSheet As clsExcelSheet = New clsExcelSheet
                                    ' 先頭をダミー用シートに設定
                                    If xlOSheets.Count = 0 Then
                                        ' シートがない場合は新しいシートを追加
                                        xlOSheets.Add()
                                    Else
                                        ' シートがある場合は１つだけ残し、以外を削除する
                                        For i As Integer = xlOSheets.Count To 2 Step -1
                                            xlOSheet.SetSheet(xlOSheets, i)
                                            xlOSheet.Delete()
                                        Next
                                    End If
                                    xlOSheet.SetSheet(xlOSheets, 1)
'(A) STR V4-11020-000 004 20110812 FJSK)荒川 XXX号 病歴大将V4PKG問題点No103 EXCEL出力でテンプレートと同じファイル名で出力するとエラー対応
                                    Using xlMBook As clsExcelBook = New clsExcelBook(xlBooks, wFilePath, True)
                                        Using xlMSheets As clsExcelSheets = New clsExcelSheets(xlMBook)
'(A) END V4-11020-000 004 20110812
                                        ' 出力用 Worksheets に、ひな形 Worksheets を追加
                                            xlMSheets.CopyAfterSheets(xlOSheet)
'(A) STR V4-11020-000 004 20110812 FJSK)荒川 XXX号 病歴大将V4PKG問題点No103 EXCEL出力でテンプレートと同じファイル名で出力するとエラー対応
                                        End Using
                                    End Using
'(A) END V4-11020-000 004 20110812

                                    ' 項目用 Range
                                    Using xlRange As clsExcelRange = New clsExcelRange, _
                                    xlRow As clsExcelRow = New clsExcelRow

                                        '■パラメータシートフォーマット設定
                                        xlOSheet.SetSheet(xlOSheets, CST_PARAM_SHEET)

                                        '書式設定
                                        '（件数、フッター付加文字列以外）パラメータシートのセルName取得
                                        strPos = xlApp.getMultiCellStyle(m_posHome, _
                                        New clsExcel.PosInfo(Enum_PosX.pC, 1), _
                                        New clsExcel.PosInfo(Enum_PosX.pC, 11))
                                        '（件数、フッター付加文字列以外）パラメータシート書式設定
                                        xlRange.SetMultiFormat(xlOSheet, strPos, clsExcel.CST_FORMAT_STRING)

                                        '■データシートにフォーマット設定
                                        xlOSheet.SetSheet(xlOSheets, CST_DATA_SHEET)
                                        strPos = xlApp.getMultiCellStyle(m_posHome, _
                                        New clsExcel.PosInfo(Enum_PosX.pA, 2), _
                                        New clsExcel.PosInfo(Enum_PosX.pCA, 2))
                                        xlRange.SetMultiFormat(xlOSheet, strPos, clsExcel.CST_FORMAT_STRING)
                                        For Each dat As datXSP080E010_ExcelFormat In datExcelFormat
                                            If dat.ITEM_FORMAT <> clsExcel.CST_FORMAT_STRING Then
                                                Call Me.SetFormat(xlApp, xlRange, xlOSheet, dat.ITEM_X, dat.ITEM_X, TmpCnt, dat.ITEM_FORMAT)
                                            End If
                                        Next
                                        ' ダミー用シートの削除
                                        xlOSheet.SetSheet(xlOSheets, 1)
                                        xlOSheet.Delete()
                                        '＊＊＊＊＊＊＊＊＊＊＊＊＊＊＊＊＊＊＊＊＊＊＊＊＊＊＊＊＊＊＊＊＊＊＊＊＊＊＊＊＊
                                        'データシートのデータ出力
                                        Dim putIdx As Integer = 0
                                        For i As Integer = 0 To arPut.Count - 1
                                            'パラメータシートデータ出力
                                            xlOSheet.SetSheet(xlOSheets, CST_PARAM_SHEET)
                                            xlRange.SetAreaValue(xlOSheet.Worksheet, Enum_PosX.pC, 1, Enum_PosX.pC, CST_INTEXCEL_PARAMETERCNT, arParamPut(i))

                                            'データシートデータ出力
                                            xlOSheet.SetSheet(xlOSheets, CST_DATA_SHEET)
                                            xlRange.SetAreaValue(xlOSheet.Worksheet, Enum_PosX.pA, 2, Enum_PosX.pCA, 2, arPut(i))

                                            '貸出票印刷Orﾌﾟﾚﾋﾞｭｰ
                                            xlOSheet.SetSheet(xlOSheets, datPrintSetting.SHEET_NM)
                                            xlOSheet.SheetSelect()

                                            '部署名表示
                                            xlOSheet.setRightFooter()

                                            If pPrintFlg Then
                                                '印刷
                                                xlOSheet.putPrintOut(wCopyBusu)
                                            Else
                                                'プレビュー
                                                xlApp.setVisible(True, pFrm)
                                                If putIdx = 0 Then
                                                    '１件しかプレビュー出力しない
                                                    Exit For
                                                End If
                                            End If
                                        Next
                                        '＊＊＊＊＊＊＊＊＊＊＊＊＊＊＊＊＊＊＊＊＊＊＊＊＊＊＊＊＊＊＊＊＊＊＊＊＊＊＊＊＊
                                    End Using
                                End Using
                            End Using
'(A) STR V4-14044-000 009 20130717 ID)鐘井 病歴大将のバージョン対応
                        Catch ex As Exception
                            'エラー発生のため、解放フラグを設定
                            xlApp.setError()
                            xlBooks.setError()
                            xlOBook.setError()
                            Throw
                        End Try
'(A) END V4-14044-000 009 20130717 ID)鐘井 病歴大将のバージョン対応
                    End Using
				End Using
			End Using
			'完了メッセージ（「完了メッセージを出力する」なら）
			If putmsg Then cliExcelFunc.putCompleateMsg(pPrintFlg)
			'正常処理
			Return True
		Catch ex As Exception
			Throw
		Finally
			'メモリ解放
			m_posHome = Nothing
			p_PosInfo = Nothing
			strPos = Nothing
			datPrintSetting = Nothing
			FindFlg = Nothing
			daRow = Nothing
			PutCnt = Nothing
			TmpCnt = Nothing
			wPatientNo = Nothing
			wMngitem = Nothing
			wSerial = Nothing
			wFilePath = Nothing
			wCopyBusu = Nothing
			strWhere = Nothing
			arParamPut = Nothing
			arPut = Nothing
			cliPrintSetting_Excel = Nothing
			cliCom = Nothing
			cliExcelFunc = Nothing
			cliMTM_LENDITEM = Nothing
		End Try
	End Function

	''' ---------------------------------------------
	''' <summary>
	''' 書式設定
	''' </summary>
	''' <param name="xlApp">clsExcelオブジェクト</param>
	''' <param name="xlOSheet">clsExcelSheetオブジェクト</param>
	''' <param name="xlRange">clsExcelRangeオブジェクト</param>
	''' <param name="Fromx">範囲指定での左端のインデックス</param>
	''' <param name="Tox">範囲指定での右端のインデックス</param>
	''' <param name="Toy">範囲指定でのEND行</param>
	''' <param name="strFormat">書式文字列</param>					
	''' <remarks>
	''' 2010/12/20 新規作成　CS)平井<BR/>
	''' </remarks>
	''' ---------------------------------------------
	Private Sub SetFormat(ByRef xlApp As clsExcel, _
	 ByRef xlRange As clsExcelRange, _
	 ByRef xlOSheet As clsExcelSheet, ByVal Fromx As Enum_PosX, ByVal Tox As Enum_PosX, ByVal Toy As Integer, ByVal strFormat As String)
		Me.pFrm.log(clsSysMst.logLevel.DBG, "SetFormat", "書式設定 START")
		Dim strPos As String
		Try
			'フォーマット設定
			strPos = xlApp.getMultiCellStyle(New clsExcel.PosInfo(1, 1), _
			  New clsExcel.PosInfo(Fromx, 2), _
			  New clsExcel.PosInfo(Tox, Toy + 2))
			xlRange.SetMultiFormat(xlOSheet, strPos, strFormat)
		Catch ex As Exception
			Throw
		Finally
			strPos = Nothing
		End Try
	End Sub

	''' ---------------------------------------------
	''' <summary>
	''' 貸出票データ取得
	''' </summary>
	''' <returns></returns>
	''' <remarks>
	''' 2010/12/20 新規作成　CS)平井<BR/>
	''' </remarks>
	''' ---------------------------------------------
	Private Function getLendList(ByVal datIn As List(Of datXSP080E010)) As DataTable
		pFrm.log(clsSysMst.logLevel.DBG, "getLendList", "貸出票データ取得 START")
		Try
			Dim dtRet As New DataTable
			For Each dat As datXSP080E010 In datIn
				Using db As clsDB = New clsDB(clsSysMst.ctlConfigData),
				 dt As New DataTable
					With db
						Dim strSql As String = sqlXSP080E010.sqlSelLendList
						Select Case dat.LENDITEM_CD
							Case CType(clsConst.Enum_Lenditem.MedicalRecord, String)
								' カルテ
								strSql &= sqlXSP080E010.sqlSelLendItm1
								' 入退院、科歴情報SQL取得
								strSql &= getSQLHspCh(clsConst.Enum_Lenditem.MedicalRecord)
							Case CType(clsConst.Enum_Lenditem.Summary, String)
								' サマリ
								strSql &= sqlXSP080E010.sqlSelLendItm2
								' 入退院、科歴情報SQL取得
								strSql &= getSQLHspCh(clsConst.Enum_Lenditem.Summary)
							Case CType(clsConst.Enum_Lenditem.LendItem3, String)
								' 他１
								strSql &= sqlXSP080E010.sqlSelLendItm3
								' 入退院、科歴情報SQL取得
								strSql &= getSQLHspCh(clsConst.Enum_Lenditem.LendItem3)
							Case CType(clsConst.Enum_Lenditem.LendItem4, String)
								' 他２
								strSql &= sqlXSP080E010.sqlSelLendItm4
								' 入退院、科歴情報SQL取得
								strSql &= getSQLHspCh(clsConst.Enum_Lenditem.LendItem4)
							Case CType(clsConst.Enum_Lenditem.LendItem5, String)
								' 他３
								strSql &= sqlXSP080E010.sqlSelLendItm5
								' 入退院、科歴情報SQL取得
								strSql &= getSQLHspCh(clsConst.Enum_Lenditem.LendItem5)
							Case Else
						End Select
						' SQL END設定
						strSql &= sqlXSP080E010.sqlSelEnd
						' マスタＳＱＬ文作成
						strSql &= sqlXSP080E010.sqlSel_Join
						' マスタWHERE文作成
						strSql &= sqlXSP080E010.sqlSel_Where

						.setSQLDa(strSql)
						' 患者番号
						.setParamDa(sqlXSP080E010.prmPATIENT_NO, clsDB.Enum_dbType.dbNVarChar)
						.setValDa(sqlXSP080E010.prmPATIENT_NO, dat.Patient_No)

						' 入退院歴番号
						.setParamDa(sqlXSP080E010.prmHSP_HISTORY_NO, clsDB.Enum_dbType.dbInt)
						.setValDa(sqlXSP080E010.prmHSP_HISTORY_NO, dat.HSP_HISTORY_NO.ToString)
						' 科歴番号
						.setParamDa(sqlXSP080E010.prmCH_NO, clsDB.Enum_dbType.dbInt)
						.setValDa(sqlXSP080E010.prmCH_NO, dat.CH_NO.ToString)
						Select Case dat.LENDITEM_CD
							Case CType(clsConst.Enum_Lenditem.MedicalRecord, String)
								' 貸出物コード1
								.setParamDa(sqlXSP080E010.prmLENDITEM_CD1, clsDB.Enum_dbType.dbNVarChar)
								.setValDa(sqlXSP080E010.prmLENDITEM_CD1, CType(clsConst.Enum_Lenditem.MedicalRecord, String))
							Case CType(clsConst.Enum_Lenditem.Summary, String)
								' 貸出物コード2
								.setParamDa(sqlXSP080E010.prmLENDITEM_CD2, clsDB.Enum_dbType.dbNVarChar)
								.setValDa(sqlXSP080E010.prmLENDITEM_CD2, CType(clsConst.Enum_Lenditem.Summary, String))
							Case CType(clsConst.Enum_Lenditem.LendItem3, String)
								' 貸出物コード3
								.setParamDa(sqlXSP080E010.prmLENDITEM_CD3, clsDB.Enum_dbType.dbNVarChar)
								.setValDa(sqlXSP080E010.prmLENDITEM_CD3, CType(clsConst.Enum_Lenditem.LendItem3, String))
							Case CType(clsConst.Enum_Lenditem.LendItem4, String)
								' 貸出物コード4
								.setParamDa(sqlXSP080E010.prmLENDITEM_CD4, clsDB.Enum_dbType.dbNVarChar)
								.setValDa(sqlXSP080E010.prmLENDITEM_CD4, CType(clsConst.Enum_Lenditem.LendItem4, String))
							Case CType(clsConst.Enum_Lenditem.LendItem5, String)
								' 貸出物コード5
								.setParamDa(sqlXSP080E010.prmLENDITEM_CD5, clsDB.Enum_dbType.dbNVarChar)
								.setValDa(sqlXSP080E010.prmLENDITEM_CD5, CType(clsConst.Enum_Lenditem.LendItem5, String))
							Case Else
						End Select
						' 貸出連番
						.setParamDa(sqlXSP080E010.prmLENDSERIAL_NO, clsDB.Enum_dbType.dbInt)
						.setValDa(sqlXSP080E010.prmLENDSERIAL_NO, CType(dat.LENDSERIAL_NO, String))
						' チェックボックスフラグON
						.setParamDa(sqlXSP080E010.prmCHECKBOX_FLG_ON, clsDB.Enum_dbType.dbInt)
						.setValDa(sqlXSP080E010.prmCHECKBOX_FLG_ON, CType(clsConst.Enum_CheckBox_Flg.CheckOn, String))

						.execQueryDa(dt)

					End With
					dtRet.Merge(dt)
				End Using
			Next
			Return dtRet
		Catch ex As Exception
			Throw
		End Try
	End Function

	''' ---------------------------------------------
	''' <summary>
	''' 転科歴情報設定処理
	''' </summary>
	''' <remarks>
	''' 2010/12/22 新規作成　CS)平井<BR/>
	''' </remarks>
	''' ---------------------------------------------
	Private Function setChange_Dept(ByVal dt As DataTable) As DataTable
		pFrm.log(clsSysMst.logLevel.DBG, "setChange_Dept", "転科歴情報設定処理")
		Try
			Using db As clsDB = New clsDB(clsSysMst.ctlConfigData)
				With db
					For Each row As DataRow In dt.Rows
						If CInt(row(sqlXSP080E010.itmHSP_HISTORY_NO).ToString) > 0 Then
							Using dtCh_History As New DataTable
								.setSQLDa(sqlXSP080E010.sqlSelChange_Dept)
								' 患者番号
								.setParamDa(sqlXSP080E010.prmPATIENT_NO, clsDB.Enum_dbType.dbNVarChar)
								.setValDa(sqlXSP080E010.prmPATIENT_NO, row(sqlXSP080E010.itmPATIENT_NO).ToString)
								' 入退院歴番号
								.setParamDa(sqlXSP080E010.prmHSP_HISTORY_NO, clsDB.Enum_dbType.dbInt)
								.setValDa(sqlXSP080E010.prmHSP_HISTORY_NO, row(sqlXSP080E010.itmHSP_HISTORY_NO).ToString)

								.execQueryDa(dtCh_History)
								Dim strChange_Dept As String = String.Empty
								Dim bFirst As Boolean = True
								For Each r As DataRow In dtCh_History.Rows
									' 転科歴情報設定
									If bFirst Then
										strChange_Dept &= r(sqlXSP080E010.itmDEPT_RNM).ToString
										bFirst = False
									Else
										strChange_Dept &= C_SPLITER & r(sqlXSP080E010.itmDEPT_RNM).ToString
									End If
								Next
								row(sqlXSP080E010.itmCH_HISTORY) = strChange_Dept
							End Using
						End If
					Next
				End With
				dt.AcceptChanges()
				Return dt
			End Using
		Catch ex As Exception
			Throw
		End Try

	End Function

	''' ---------------------------------------------
	''' <summary>
	''' サマリ歴設定処理
	''' </summary>
	''' <param name="dt"></param>
	''' <returns></returns>
	''' <remarks>
	''' 2010/12/22 新規作成　CS)平井<BR/>
	''' </remarks>
	''' ---------------------------------------------
	Private Function setSummaryInfo(ByVal dt As DataTable) As DataTable
		pFrm.log(clsSysMst.logLevel.DBG, "setSummaryInfo", "サマリ歴設定処理")
		Try
			Using db As clsDB = New clsDB(clsSysMst.ctlConfigData)
				With db
					For Each row As DataRow In dt.Rows
						If CInt(row(sqlXSP080E010.itmHSP_HISTORY_NO).ToString) > 0 Then
							Using dtSummary As New DataTable
								Dim strSQL As String = sqlXSP080E010.sqlSelSummaryInfo
								If clsSysMst.ctlEnvData.getEnv(datEnv.Enum_ENV.ENV_00027) = clsConst.Enum_SummaryMakeRetDt.MainDpmEnd Then
									' 主科/退院日の場合
									strSQL &= sqlXSP080E010.sqlSelSummaryInfo_CH
								End If
								strSQL &= sqlXSP080E010.sqlSelSummaryInfo_WHERE

								.setSQLDa(strSQL)
								' 患者番号
								.setParamDa(sqlXSP080E010.prmPATIENT_NO, clsDB.Enum_dbType.dbNVarChar)
								.setValDa(sqlXSP080E010.prmPATIENT_NO, row(sqlXSP080E010.itmPATIENT_NO).ToString)
								' 入退院歴番号
								.setParamDa(sqlXSP080E010.prmHSP_HISTORY_NO, clsDB.Enum_dbType.dbInt)
								.setValDa(sqlXSP080E010.prmHSP_HISTORY_NO, row(sqlXSP080E010.itmHSP_HISTORY_NO).ToString)
								' サマリ貸出物コード
								.setParamDa(sqlXSP080E010.prmLENDITEM_CD2, clsDB.Enum_dbType.dbNVarChar)
								.setValDa(sqlXSP080E010.prmLENDITEM_CD2, CType(clsConst.Enum_Lenditem.Summary, String))
								If clsSysMst.ctlEnvData.getEnv(datEnv.Enum_ENV.ENV_00027) = clsConst.Enum_SummaryMakeRetDt.MainDpmEnd Then
									' 主科/退院日の場合
									' チェックボックスフラグON
									.setParamDa(sqlXSP080E010.prmCHECKBOX_FLG_ON, clsDB.Enum_dbType.dbInt)
									.setValDa(sqlXSP080E010.prmCHECKBOX_FLG_ON, CType(clsConst.Enum_CheckBox_Flg.CheckOn, String))
								End If

								.execQueryDa(dtSummary)
								Dim strChange_Dept As String = String.Empty
								Dim iIdx As Integer = C_SUMMARY_TOP
								For Each r As DataRow In dtSummary.Rows
									If iIdx >= CST_INTEXCEL_DATACNT Then Exit For
									' サマリ歴設定
									row(iIdx) = r(sqlXSP080E010.itmSUMMARY_MNGSTATUS_CD).ToString
									row(iIdx + 1) = r(sqlXSP080E010.itmMNGSTATUS1_RNM).ToString
									row(iIdx + 2) = r(sqlXSP080E010.itmSUMMARY_MAKER_CD).ToString
									row(iIdx + 3) = r(sqlXSP080E010.itmSTAFF_NM).ToString
									iIdx += 4
								Next
							End Using
						End If
					Next
				End With
				dt.AcceptChanges()
				Return dt
			End Using
		Catch ex As Exception
			Throw
		End Try
	End Function

	''' ---------------------------------------------
	''' <summary>
	''' 入退院情報、科歴情報を単位判定より取得
	''' </summary>
	''' <param name="eLendItem_Cd"></param>
	''' <returns></returns>
	''' <remarks>
	''' 2010/12/20 新規作成　CS)平井<BR/>
	''' </remarks>
	''' ---------------------------------------------
	Private Function getSQLHspCh(ByVal eLendItem_Cd As clsConst.Enum_Lenditem) As String
		pFrm.log(clsSysMst.logLevel.DBG, "getSQLHspCh", "入退院情報、科歴情報を単位判定より取得")
		Try
			Dim strRet As String = String.Empty
			Dim dat As datMTM_LENDITEM = cliMTM_LENDITEM.getLendItem_Rec(parLendItem, eLendItem_Cd)
			Select Case dat.UNIT_CD
				Case CType(clsConst.Enum_LendUnit.Each_Dept, String)
					' 科歴毎
					strRet = sqlXSP080E010.sqlSel_CH
				Case CType(clsConst.Enum_LendUnit.Each_Hosp, String)
					' 入退院毎
					strRet = sqlXSP080E010.sqlSel_HSP
				Case CType(clsConst.Enum_LendUnit.Each_Patient, String)
					' 患者毎
					strRet = sqlXSP080E010.sqlSel_PATIENT
				Case Else
			End Select

			Return strRet

		Catch ex As Exception
			Throw
		End Try
	End Function

	''' ---------------------------------------------
	''' <summary>
	''' 患者単位のデータを１件にする。
	''' </summary>
	''' <param name="dt"></param>
	''' <returns></returns>
	''' <remarks>
	''' 2010/12/20 新規作成　CS)平井<BR/>
	''' </remarks>
	''' ---------------------------------------------
	Private Function updPatientTani(ByVal dt As DataTable) As DataTable
		pFrm.log(clsSysMst.logLevel.DBG, "updPatientTani", "患者単位のデータを１件にする。")
		Try
			' 患者単位のデータを１件にする。
			Dim strPatient_No As String = String.Empty
			' 患者単位の貸出物コード保存
			Dim arLendItem_Cd_Patient = New ArrayList
			For Each ar As datMTM_LENDITEM In parLendItem
				If ar.UNIT_CD = CType(clsConst.Enum_LendUnit.Each_Patient, String) Then
					arLendItem_Cd_Patient.Add(ar.LENDITEM_CD)
				End If
			Next
			' 患者単位
			For Each strLendItem_Cd As String In arLendItem_Cd_Patient
				dt.DefaultView.Sort = C_SORT_STRING
				dt = dt.DefaultView.ToTable
				Dim dr() As DataRow = dt.Select(sqlXSP080F010.itmLENDITEM_CD & " = '" & cliCom.getDtItmValue(strLendItem_Cd) & "'")
				Dim bFirst As Boolean = True
				Dim strKey As String = String.Empty
				For Each r As DataRow In dr
					If strKey <> r(sqlXSP080E010.itmPATIENT_NO).ToString Then
						strKey = r(sqlXSP080E010.itmPATIENT_NO).ToString
						bFirst = True
					End If
					If bFirst Then
						bFirst = False
					Else
						' 先頭以外のデータ削除
						r.Delete()
					End If
				Next
			Next
			dt.AcceptChanges()
			Return dt
		Catch ex As Exception
			Throw
		End Try
	End Function

#End Region

End Class
