﻿Imports XCM
Imports System.Windows.Forms

''' ---------------------------------------------
''' <summary>
''' 共通処理＿管理状況
''' </summary>
''' <remarks>
''' Copyright 2010 FUJITSU SHIKOKU SYSTEMS LIMITED All rights reserved.<BR/>
''' FUJITSU SHIKOKU SYSTEMS LIMITED CONFIDENTIAL<BR/>
''' </remarks>
''' ---------------------------------------------
Public Class XSP080F010

#Region "コンスタント"
'(A) STR V4-11043-000 004 20110905 FJSK)荒川 XXX号 病歴大将V4PKG問題点No155 展開した患者番号、入退院歴番号、患者番号をわかるようにログに出力する対応対応
	' 起動時ログ
	Private Const CST_LOAD_LOG As String = "患者番号：{0}　入退院歴番号：{1:0}　科歴番号：{2:0}"
'(A) END V4-11043-000 004 20110905
	' 管理単位の固定コード
	Private Const C_ITM_HSP_HISTORY_NO As String = "c10059XSP080F010"
	Private Const C_ITM_CH_NO As String = "c11059XSP080F010"
	Private Const C_ITM_LENDITEM_CD As String = "c12059XSP080F010"
	Private Const C_ITM_LENDSERIAL_NO As String = "c13059XSP080F010"
	' タイトル
	Private Const C_TITLE As String = "管理状況"
	' フォーム名
	Private Const C_XSP080F020_ID As String = "XSP080F020"
	Private Const C_XSP080F030_ID As String = "XSP080F030"
	Private Const C_XSP080F060_ID As String = "XSP080F060"
	' フォーカス設定配列
	Private ReadOnly C_BTN_CONTROLS() =
	{
	 "btn002XSP080F010", "btn003XSP080F010", "btn004XSP080F010", "btn016XSP080F010",
	 "btn017XSP080F010", "btn018XSP080F010", "btn028XSP080F010", "btn029XSP080F010",
	 "btn030XSP080F010", "btn036XSP080F010", "btn037XSP080F010", "btn038XSP080F010",
	 "btn044XSP080F010", "btn045XSP080F010", "btn046XSP080F010"
	}
#End Region

#Region "変数"
	' 排他制御
	Private pbExclusive As Boolean = False
	' 受渡しクラス
	' 貸出物情報クラス
	Private pclsLI As List(Of datLENDITM)
	' 貸出情報クラス
	Private pclsL As clsMTI_Lend
	' 共通クラス
	Private cliBmp As clsBmp
	Private cliMTM_LENDITEM As clsMTM_LENDITEM
	Private cliGridStyle As clsGridStyle
	Private cliMTI_Lend As clsMTI_LEND
	Private cliMTI_LendItm As clsMTI_LENDITM
	Private cliXTM_User As clsXTM_USER

	Private parLendItem As ArrayList
	Private parLendInfo As ArrayList
	Private pdtLending As DataTable
	' コンストラクタ保存
	Private penumUpdateMode As Enum_UpdateMode
	Private penumExecMode As Enum_ExecMode
	Private pstrPatient_No As String
	Private piHsp_History_No As Integer
	Private piCh_No As Integer

	''' <summary>
	''' 登録・参照モード（１：登録、２：参照）
	''' </summary>
	Public Enum Enum_UpdateMode As Integer
		''' <summary>登録</summary>
		UpdatableMode = 1
		''' <summary>参照</summary>
		ReadOnlyMode = 2
	End Enum

	''' <summary>
	''' 起動元モード（１：登録／参照、２：受領／貸出）
	''' </summary>
	Public Enum Enum_ExecMode As Integer
		''' <summary>登録／参照</summary>
		MENMode = 1
		''' <summary>受領／貸出</summary>
		MLNMode = 2
	End Enum

	''' <summary>
	''' 実行モード（１：受領、２：更新、３：貸出、４：返却、５：貸出更新、６：返却取消、７：返却日更新、８：貸出履歴削除）
	''' </summary>
	Public Enum Enum_Mode As Integer
		''' <summary>受領</summary>
		RECEIPT = 1
		''' <summary>更新</summary>
		UPDATE = 2
		''' <summary>貸出</summary>
		LEND = 3
		''' <summary>返却</summary>
		BACK = 4
		''' <summary>貸出更新</summary>
		LENDUPD = 5
		''' <summary>返却取消</summary>
		CANCELBACK = 6
		''' <summary>返却日更新</summary>
		BACKDTUPDATE = 7
		''' <summary>貸出履歴削除</summary>
		DELLENDHISTORY = 8
	End Enum

#End Region

#Region "コンストラクタ"
    Dim piupdatemode As Enum_UpdateMode

    ''' ---------------------------------------------
    ''' <summary>
    ''' コンストラクタ
    ''' </summary>
    ''' <param name="enumUpdateMode"></param>
    ''' <param name="enumExecMode"></param>
    ''' <param name="strPatient_No"></param>
    ''' <param name="iHsp_History_No"></param>
    ''' <param name="iCh_No"></param>
    ''' <remarks>
    ''' 2010/10/15 新規作成　CS)平井<BR/>
    ''' </remarks>
    ''' ---------------------------------------------
    Public Sub New(ByVal enumUpdateMode As Enum_UpdateMode,
                   ByVal enumExecMode As Enum_ExecMode,
                   ByVal strPatient_No As String,
                   ByVal iHsp_History_No As Integer,
                   ByVal iCh_No As Integer)
        ' この呼び出しはデザイナーで必要です。
        InitializeComponent()

        penumUpdateMode = enumUpdateMode
        penumExecMode = enumExecMode
        pstrPatient_No = strPatient_No
        piHsp_History_No = iHsp_History_No
        piCh_No = iCh_No
    End Sub

#End Region

#Region "イベント"

	''' ---------------------------------------------
	''' <summary>
	''' フォームが開くイベント
	''' </summary>
	''' <param name="sender"></param>
	''' <param name="e"></param>
	''' <remarks>
	''' 2010/10/14 新規作成　CS)平井<BR/>
	''' </remarks>
	''' ---------------------------------------------
	Private Sub XSP080F010_Load(ByVal sender As Object, ByVal e As System.EventArgs) Handles Me.Load
		log(clsSysMst.logLevel.NRM, "XSP080F010_Load", "フォームが開くイベント")
		Try
'(A) STR V4-11043-000 003 20110905 FJSK)荒川 XXX号 病歴大将V4PKG問題点No155 展開した患者番号、入退院歴番号、患者番号をわかるようにログに出力する対応対応
			log(clsSysMst.logLevel.NRM, System.Reflection.MethodBase.GetCurrentMethod.Name, String.Format(CST_LOAD_LOG, Me.pstrPatient_No, Me.piHsp_History_No, Me.piCh_No))
'(A) END V4-11043-000 003 20110905
			' インスタンス生成
			pclsLI = New List(Of datLENDITM)
			cliBmp = New clsBmp
			cliMTM_LENDITEM = New clsMTM_LENDITEM
			cliGridStyle = New clsGridStyle
			cliMTI_Lend = New clsMTI_LEND
			cliMTI_LendItm = New clsMTI_LENDITM
			cliXTM_User = New clsXTM_USER

			' 患者単位の排他制御登録
			If penumUpdateMode = Enum_UpdateMode.UpdatableMode AndAlso penumExecMode = Enum_ExecMode.MLNMode Then
				' 更新モード　かつ　受領・貸出、督促から起動
				If Not Me.setStartStatus(pstrPatient_No) Then
					CType(Me.Owner, frmBase).setCancelFlg(True)
					Call EndProc()
					Exit Sub
				End If
				pbExclusive = True
			End If
			' 患者情報設定
			Dim dt As DataTable = Me.getPatientInfo(pstrPatient_No, piHsp_History_No, piCh_No)
			Me.DataSource = dt
			If Me.DataSource Is Nothing OrElse Me.DataSource.Rows.Count <= 0 Then
				' データなし
				Me.Enabled = False
				showMsg("E0004")
				CType(Me.Owner, frmBase).setCancelFlg(True)
				EndProc()
				Exit Sub
			End If

			' アイコン設定
			Me.btn053XSP080F010.Image = cliBmp.getBmp(clsBmp.Enum_BmpType.PrintPreview)
			Me.btn054XSP080F010.Image = cliBmp.getBmp(clsBmp.Enum_BmpType.Print)

			' 貸出物マスタ取得
			parLendItem = cliMTM_LENDITEM.getAll()

			' 貸出物情報取得
			parLendInfo = cliMTI_LendItm.getLendItem(pstrPatient_No, piHsp_History_No, piCh_No, parLendItem)

			' コントロール設定
			setControl()

			' 受渡しクラス初期化
			pclsLI.Clear()
			pclsL = New clsMTI_LEND
			' グリッド設定
			cliGridStyle.setGridHeight(Me.dgv059XSP080F010)
		Catch ex As Exception
			ErrorProc(ex)
			CType(Me.Owner, frmBase).setCancelFlg(True)
			EndProc()
		End Try
	End Sub

	''' ---------------------------------------------
	''' <summary>
	''' フォームが開いたイベント
	''' </summary>
	''' <param name="sender"></param>
	''' <param name="e"></param>
	''' <remarks>
	''' 2010/11/15 新規作成　CS)平井<BR/>
	''' </remarks>
	''' ---------------------------------------------
	Private Sub XSP080F010_Shown(ByVal sender As Object, ByVal e As System.EventArgs) Handles Me.Shown
		log(clsSysMst.logLevel.NRM, "XSP080F010_Shown", "フォームが開いたイベント")
		Try
			' フォーカス設定
			For Each strCtl As String In C_BTN_CONTROLS
				Dim ctl() As Control = Me.Controls.Find(strCtl, True)
				If ctl.Length > 0 Then
					If ctl(0).Visible AndAlso
					 ((TypeOf ctl(0) Is BT_Button AndAlso
					 CType(ctl(0), BT_Button).CanInput) OrElse
					 TypeOf ctl(0) Is Button) Then
						ctl(0).Focus()
						Exit For
					End If
				End If
			Next
		Catch ex As Exception
			ErrorProc(ex)
			EndProc()
		End Try
	End Sub

	''' ---------------------------------------------
	''' <summary>
	''' フォームが閉じるイベント
	''' </summary>
	''' <param name="sender"></param>
	''' <param name="e"></param>
	''' <remarks>
	''' 2010/10/15 新規作成　CS)平井<BR/>
	''' </remarks>
	''' ---------------------------------------------
	Private Sub XSP080F010_FormClosing(ByVal sender As Object, ByVal e As System.Windows.Forms.FormClosingEventArgs) Handles Me.FormClosing
		log(clsSysMst.logLevel.NRM, "XSP080F010_FormClosing", "フォームが閉じるイベント")
		Try
			Dim bError As Boolean = False
			Try
				'排他解除
				If pbExclusive Then
					Me.delStartStatus(pstrPatient_No)
				End If
				Me.setCloseFlg()
				' DataTable解放
				Me.dgv059XSP080F010.DataSource = Nothing
				If pdtLending IsNot Nothing Then
					pdtLending.Dispose()
				End If
			Catch ex As Exception
				ErrorProc(ex)
				bError = True
			Finally
				If pclsLI IsNot Nothing AndAlso pclsLI.Count > 0 Then
					CType(Me.Owner, frmBase).backForm(False, Enum_FormReturn.OK, New DictionaryEntry(Me.Name, pclsLI))
				Else
					CType(Me.Owner, frmBase).backForm(False, Enum_FormReturn.CANSEL, New DictionaryEntry(Me.Name, Nothing))
				End If
			End Try
		Catch ex As Exception
			ErrorProc(ex)
		Finally
			CType(Me.Owner, frmBase).Select()
			cliBmp = Nothing
			cliMTM_LENDITEM = Nothing
			cliMTI_Lend = Nothing
			parLendItem = Nothing
			parLendInfo = Nothing
			pdtLending = Nothing
			pclsLI = Nothing
			pclsL = Nothing
			cliGridStyle = Nothing
			cliXTM_User = Nothing
		End Try
	End Sub

	''' ---------------------------------------------
	''' <summary>
	''' 閉じるボタンクリックイベント
	''' </summary>
	''' <param name="sender"></param>
	''' <param name="e"></param>
	''' <remarks>
	''' 2010/10/15 新規作成　CS)平井<BR/>
	''' </remarks>
	''' ---------------------------------------------
	Private Sub btn005XSP000F020_Click(ByVal sender As System.Object, ByVal e As System.EventArgs) Handles btn005XSP000F020.Click
		log(clsSysMst.logLevel.NRM, "btn005XSP000F020_Click", "閉じるボタンクリックイベント")
		Try
			EndProc()
		Catch ex As Exception
			ErrorProc(ex)
		End Try
	End Sub

	''' ---------------------------------------------
	''' <summary>
	''' 貸出票プレビューボタンクリックイベント
	''' </summary>
	''' <param name="sender"></param>
	''' <param name="e"></param>
	''' <remarks>
	''' 2010/11/22 新規作成　CS)平井<BR/>
	''' </remarks>
	''' ---------------------------------------------
	Private Sub btn053XSP080F010_Click(ByVal sender As System.Object, ByVal e As System.EventArgs) Handles btn053XSP080F010.Click
		log(clsSysMst.logLevel.NRM, "btn053XSP080F010_Click", "貸出票プレビューボタンクリックイベント")
		Try
			'印刷処理
			Me.Cursor = Cursors.WaitCursor
			Using eXSP080E010 As New XSP080E010(Me, True)
				'貸出票出力
				If Me.dgv059XSP080F010.CurrentRow IsNot Nothing Then
					Dim row As DataRow = CType(Me.dgv059XSP080F010.Rows(Me.dgv059XSP080F010.CurrentRow.Index).DataBoundItem, DataRowView).Row
					Dim dat As New List(Of datXSP080E010)
					dat.Add(New datXSP080E010(pstrPatient_No,
					row(sqlXSP080F010.itmHSP_HISTORY_NO).ToString,
					row(sqlXSP080F010.itmCH_NO).ToString,
					row(sqlXSP080F010.itmLENDITEM_CD).ToString,
					row(sqlXSP080F010.itmLENDSERIAL_NO).ToString))
					eXSP080E010.exePrint_KashidashiHyo(dat, False, True)
				End If
			End Using
		Catch ex As Exception
			ErrorProc(ex)
		Finally
			Me.Cursor = Cursors.Default
		End Try
	End Sub

	''' ---------------------------------------------
	''' <summary>
	''' 貸出票印刷ボタンクリックイベント
	''' </summary>
	''' <param name="sender"></param>
	''' <param name="e"></param>
	''' <remarks>
	''' 2010/11/22 新規作成　CS)平井<BR/>
	''' </remarks>
	''' ---------------------------------------------
	Private Sub btn054XSP080F010_Click(ByVal sender As System.Object, ByVal e As System.EventArgs) Handles btn054XSP080F010.Click
		log(clsSysMst.logLevel.NRM, "btn053XSP080F010_Click", "貸出票プレビューボタンクリックイベント")
		Try
			'印刷処理
			Me.Cursor = Cursors.WaitCursor
			Using eXSP080E010 As New XSP080E010(Me, True)
				'貸出票出力
				If Me.dgv059XSP080F010.CurrentRow IsNot Nothing Then
					Dim row As DataRow = CType(Me.dgv059XSP080F010.Rows(Me.dgv059XSP080F010.CurrentRow.Index).DataBoundItem, DataRowView).Row
					Dim dat As New List(Of datXSP080E010)
					dat.Add(New datXSP080E010(pstrPatient_No,
					row(sqlXSP080F010.itmHSP_HISTORY_NO).ToString,
					row(sqlXSP080F010.itmCH_NO).ToString,
					row(sqlXSP080F010.itmLENDITEM_CD).ToString,
					row(sqlXSP080F010.itmLENDSERIAL_NO).ToString))
					eXSP080E010.exePrint_KashidashiHyo(dat, True, True)
				End If
			End Using
		Catch ex As Exception
			ErrorProc(ex)
		Finally
			Me.Cursor = Cursors.Default
		End Try
	End Sub

	''' ---------------------------------------------
	''' <summary>
	''' 貸出更新処理起動
	''' </summary>
	''' <param name="sender"></param>
	''' <param name="e"></param>
	''' <remarks>
	''' 2010/10/20 新規作成　CS)平井<BR/>
	''' </remarks>
	''' ---------------------------------------------
	Private Sub btn055XSP080F010_Click(ByVal sender As System.Object, ByVal e As System.EventArgs) Handles btn055XSP080F010.Click
		log(clsSysMst.logLevel.NRM, "btn055XSP080F010_Click", "貸出更新処理起動")
		Try
			If Me.dgv059XSP080F010.CurrentRow Is Nothing Then Exit Sub
			Me.Cursor = Cursors.WaitCursor
			Me.nextForm(New XSP080F030(penumUpdateMode,
			 Enum_Mode.LENDUPD,
			 pstrPatient_No,
			 Me.dgv059XSP080F010.CurrentRow.Cells(C_ITM_HSP_HISTORY_NO).Value,
			 Me.dgv059XSP080F010.CurrentRow.Cells(C_ITM_CH_NO).Value,
			 Me.dgv059XSP080F010.CurrentRow.Cells(C_ITM_LENDITEM_CD).Value,
			 Me.dgv059XSP080F010.CurrentRow.Cells(C_ITM_LENDSERIAL_NO).Value))
		Catch ex As Exception
			ErrorProc(ex)
		Finally
			Me.Cursor = Cursors.Default
		End Try
	End Sub

	''' ---------------------------------------------
	''' <summary>
	''' 返却処理起動
	''' </summary>
	''' <param name="sender"></param>
	''' <param name="e"></param>
	''' <remarks>
	''' 2010/10/20 新規作成　CS)平井<BR/>
	''' </remarks>
	''' ---------------------------------------------
	Private Sub btn056XSP080F010_Click(ByVal sender As System.Object, ByVal e As System.EventArgs) Handles btn056XSP080F010.Click
		log(clsSysMst.logLevel.NRM, "btn056XSP080F010_Click", "返却処理起動")
		Try
			If Me.dgv059XSP080F010.CurrentRow Is Nothing Then Exit Sub
			Me.Cursor = Cursors.WaitCursor
			Me.nextForm(New XSP080F030(penumUpdateMode,
			 Enum_Mode.BACK,
			 pstrPatient_No,
			 Me.dgv059XSP080F010.CurrentRow.Cells(C_ITM_HSP_HISTORY_NO).Value,
			 Me.dgv059XSP080F010.CurrentRow.Cells(C_ITM_CH_NO).Value,
			 Me.dgv059XSP080F010.CurrentRow.Cells(C_ITM_LENDITEM_CD).Value,
			 Me.dgv059XSP080F010.CurrentRow.Cells(C_ITM_LENDSERIAL_NO).Value))
		Catch ex As Exception
			ErrorProc(ex)
		Finally
			Me.Cursor = Cursors.Default
		End Try
	End Sub

	''' ---------------------------------------------
	''' <summary>
	''' 貸出履歴処理起動
	''' </summary>
	''' <param name="sender"></param>
	''' <param name="e"></param>
	''' <remarks>
	''' 2010/10/20 新規作成　CS)平井<BR/>
	''' </remarks>
	''' ---------------------------------------------
	Private Sub btn057XSP080F010_Click(ByVal sender As System.Object, ByVal e As System.EventArgs) Handles btn057XSP080F010.Click
		log(clsSysMst.logLevel.NRM, "btn057XSP080F010_Click", "貸出履歴処理起動")
		Try
			Me.Cursor = Cursors.WaitCursor
			Me.nextForm(New XSP080F060(penumUpdateMode,
			 pstrPatient_No,
			 piHsp_History_No,
			 piCh_No))
		Catch ex As Exception
			ErrorProc(ex)
		Finally
			Me.Cursor = Cursors.Default
		End Try
	End Sub

	''' ---------------------------------------------
	''' <summary>
	''' 受領処理起動（カルテ）
	''' </summary>
	''' <param name="sender"></param>
	''' <param name="e"></param>
	''' <remarks>
	''' 2010/10/19 新規作成　CS)平井<BR/>
	''' </remarks>
	''' ---------------------------------------------
	Private Sub btn002XSP080F010_Click(ByVal sender As System.Object, ByVal e As System.EventArgs) Handles btn002XSP080F010.Click
		log(clsSysMst.logLevel.NRM, "btn002XSP080F010_Click", "受領処理起動（カルテ）")
		Try
			Me.Cursor = Cursors.WaitCursor
			Me.nextForm(New XSP080F020(penumUpdateMode,
			 Enum_Mode.RECEIPT,
			 pstrPatient_No,
			 cliMTM_LENDITEM.getHsp_History_No(parLendItem, clsConst.Enum_Lenditem.MedicalRecord, piHsp_History_No),
			 cliMTM_LENDITEM.getCh_No(parLendItem, clsConst.Enum_Lenditem.MedicalRecord, piCh_No),
			 clsConst.Enum_Lenditem.MedicalRecord,
			 Me.btn003XSP080F010.ButtonText))
		Catch ex As Exception
			ErrorProc(ex)
		Finally
			Me.Cursor = Cursors.Default
		End Try
	End Sub

	''' ---------------------------------------------
	''' <summary>
	''' 貸出処理起動（カルテ）
	''' </summary>
	''' <param name="sender"></param>
	''' <param name="e"></param>
	''' <remarks>
	''' 2010/10/19 新規作成　CS)平井<BR/>
	''' </remarks>
	''' ---------------------------------------------
	Private Sub btn003XSP080F010_Click(ByVal sender As System.Object, ByVal e As System.EventArgs) Handles btn003XSP080F010.Click
		log(clsSysMst.logLevel.NRM, "btn003XSP080F010_Click", "貸出処理起動（カルテ）")
		Try
			Me.Cursor = Cursors.WaitCursor
			Me.nextForm(New XSP080F030(penumUpdateMode,
			 Enum_Mode.LEND,
			 pstrPatient_No,
			 cliMTM_LENDITEM.getHsp_History_No(parLendItem, clsConst.Enum_Lenditem.MedicalRecord, piHsp_History_No),
			 cliMTM_LENDITEM.getCh_No(parLendItem, clsConst.Enum_Lenditem.MedicalRecord, piCh_No),
			 clsConst.Enum_Lenditem.MedicalRecord))
		Catch ex As Exception
			ErrorProc(ex)
		Finally
			Me.Cursor = Cursors.Default
		End Try
	End Sub

	''' ---------------------------------------------
	''' <summary>
	''' 更新処理起動（カルテ）
	''' </summary>
	''' <param name="sender"></param>
	''' <param name="e"></param>
	''' <remarks>
	''' 2010/10/19 新規作成　CS)平井<BR/>
	''' </remarks>
	''' ---------------------------------------------
	Private Sub btn004XSP080F010_Click(ByVal sender As System.Object, ByVal e As System.EventArgs) Handles btn004XSP080F010.Click
		log(clsSysMst.logLevel.NRM, "btn004XSP080F010_Click", "更新処理起動（カルテ）")
		Try
			Me.Cursor = Cursors.WaitCursor
			Me.nextForm(New XSP080F020(penumUpdateMode,
			 Enum_Mode.UPDATE,
			 pstrPatient_No,
			 cliMTM_LENDITEM.getHsp_History_No(parLendItem, clsConst.Enum_Lenditem.MedicalRecord, piHsp_History_No),
			 cliMTM_LENDITEM.getCh_No(parLendItem, clsConst.Enum_Lenditem.MedicalRecord, piCh_No),
			 clsConst.Enum_Lenditem.MedicalRecord,
			 Me.btn003XSP080F010.ButtonText))
		Catch ex As Exception
			ErrorProc(ex)
		Finally
			Me.Cursor = Cursors.Default
		End Try
	End Sub

	''' ---------------------------------------------
	''' <summary>
	''' 受領処理起動（サマリ）
	''' </summary>
	''' <param name="sender"></param>
	''' <param name="e"></param>
	''' <remarks>
	''' 2010/10/20 新規作成　CS)平井<BR/>
	''' </remarks>
	''' ---------------------------------------------
	Private Sub btn016XSP080F010_Click(ByVal sender As System.Object, ByVal e As System.EventArgs) Handles btn016XSP080F010.Click
		log(clsSysMst.logLevel.NRM, "btn016XSP080F010_Click", "受領処理起動（サマリ）")
		Try
			Me.Cursor = Cursors.WaitCursor
			Me.nextForm(New XSP080F020(penumUpdateMode,
			 Enum_Mode.RECEIPT,
			 pstrPatient_No,
			 cliMTM_LENDITEM.getHsp_History_No(parLendItem, clsConst.Enum_Lenditem.Summary, piHsp_History_No),
			 cliMTM_LENDITEM.getCh_No(parLendItem, clsConst.Enum_Lenditem.Summary, piCh_No),
			 clsConst.Enum_Lenditem.Summary,
			 Me.btn017XSP080F010.ButtonText,
			 getLendItm_Info_Rec(clsConst.Enum_Lenditem.Summary).SUMMARY_MAKER_CD,
			 getLendItm_Info_Rec(clsConst.Enum_Lenditem.Summary).SUMMARY_APPROVAL_DT))
		Catch ex As Exception
			ErrorProc(ex)
		Finally
			Me.Cursor = Cursors.Default
		End Try
	End Sub

	''' ---------------------------------------------
	''' <summary>
	''' 貸出処理起動（サマリ）
	''' </summary>
	''' <param name="sender"></param>
	''' <param name="e"></param>
	''' <remarks>
	''' 2010/10/20 新規作成　CS)平井<BR/>
	''' </remarks>
	''' ---------------------------------------------
	Private Sub btn017XSP080F010_Click(ByVal sender As System.Object, ByVal e As System.EventArgs) Handles btn017XSP080F010.Click
		log(clsSysMst.logLevel.NRM, "btn017XSP080F010_Click", "貸出処理起動（サマリ）")
		Try
			Me.Cursor = Cursors.WaitCursor
			Me.nextForm(New XSP080F030(penumUpdateMode,
			 Enum_Mode.LEND,
			 pstrPatient_No,
			 cliMTM_LENDITEM.getHsp_History_No(parLendItem, clsConst.Enum_Lenditem.Summary, piHsp_History_No),
			 cliMTM_LENDITEM.getCh_No(parLendItem, clsConst.Enum_Lenditem.Summary, piCh_No),
			 clsConst.Enum_Lenditem.Summary))
		Catch ex As Exception
			ErrorProc(ex)
		Finally
			Me.Cursor = Cursors.Default
		End Try
	End Sub

	''' ---------------------------------------------
	''' <summary>
	''' 更新処理起動（サマリ）
	''' </summary>
	''' <param name="sender"></param>
	''' <param name="e"></param>
	''' <remarks>
	''' 2010/10/20 新規作成　CS)平井<BR/>
	''' </remarks>
	''' ---------------------------------------------
	Private Sub btn018XSP080F010_Click(ByVal sender As System.Object, ByVal e As System.EventArgs) Handles btn018XSP080F010.Click
		log(clsSysMst.logLevel.NRM, "btn018XSP080F010_Click", "更新処理起動（サマリ）")
		Try
			Me.Cursor = Cursors.WaitCursor
			Me.nextForm(New XSP080F020(penumUpdateMode,
			 Enum_Mode.UPDATE,
			 pstrPatient_No,
			 cliMTM_LENDITEM.getHsp_History_No(parLendItem, clsConst.Enum_Lenditem.Summary, piHsp_History_No),
			 cliMTM_LENDITEM.getCh_No(parLendItem, clsConst.Enum_Lenditem.Summary, piCh_No),
			 clsConst.Enum_Lenditem.Summary,
			Me.btn017XSP080F010.ButtonText))
		Catch ex As Exception
			ErrorProc(ex)
		Finally
			Me.Cursor = Cursors.Default
		End Try
	End Sub

	''' ---------------------------------------------
	''' <summary>
	''' 受領処理起動（他１）
	''' </summary>
	''' <param name="sender"></param>
	''' <param name="e"></param>
	''' <remarks>
	''' 2010/10/20 新規作成　CS)平井<BR/>
	''' </remarks>
	''' ---------------------------------------------
	Private Sub btn028XSP080F010_Click(ByVal sender As System.Object, ByVal e As System.EventArgs) Handles btn028XSP080F010.Click
		log(clsSysMst.logLevel.NRM, "btn028XSP080F010_Click", "受領処理起動（他１）")
		Try
			Me.Cursor = Cursors.WaitCursor
			Me.nextForm(New XSP080F020(penumUpdateMode,
			 Enum_Mode.RECEIPT,
			 pstrPatient_No,
			 cliMTM_LENDITEM.getHsp_History_No(parLendItem, clsConst.Enum_Lenditem.LendItem3, piHsp_History_No),
			 cliMTM_LENDITEM.getCh_No(parLendItem, clsConst.Enum_Lenditem.LendItem3, piCh_No),
			 clsConst.Enum_Lenditem.LendItem3,
			 Me.btn029XSP080F010.ButtonText))
		Catch ex As Exception
			ErrorProc(ex)
		Finally
			Me.Cursor = Cursors.Default
		End Try
	End Sub

	''' ---------------------------------------------
	''' <summary>
	''' 貸出処理起動（他１）
	''' </summary>
	''' <param name="sender"></param>
	''' <param name="e"></param>
	''' <remarks>
	''' 2010/10/20 新規作成　CS)平井<BR/>
	''' </remarks>
	''' ---------------------------------------------
	Private Sub btn029XSP080F010_Click(ByVal sender As System.Object, ByVal e As System.EventArgs) Handles btn029XSP080F010.Click
		log(clsSysMst.logLevel.NRM, "btn029XSP080F010_Click", "貸出処理起動（他１）")
		Try
			Me.Cursor = Cursors.WaitCursor
			Me.nextForm(New XSP080F030(penumUpdateMode,
			 Enum_Mode.LEND,
			 pstrPatient_No,
			 cliMTM_LENDITEM.getHsp_History_No(parLendItem, clsConst.Enum_Lenditem.LendItem3, piHsp_History_No),
			 cliMTM_LENDITEM.getCh_No(parLendItem, clsConst.Enum_Lenditem.LendItem3, piCh_No),
			 clsConst.Enum_Lenditem.LendItem3))
		Catch ex As Exception
			ErrorProc(ex)
		Finally
			Me.Cursor = Cursors.Default
		End Try
	End Sub

	''' ---------------------------------------------
	''' <summary>
	''' 更新処理起動（他１）
	''' </summary>
	''' <param name="sender"></param>
	''' <param name="e"></param>
	''' <remarks>
	''' 2010/10/20 新規作成　CS)平井<BR/>
	''' </remarks>
	''' ---------------------------------------------
	Private Sub btn030XSP080F010_Click(ByVal sender As System.Object, ByVal e As System.EventArgs) Handles btn030XSP080F010.Click
		log(clsSysMst.logLevel.NRM, "btn030XSP080F010_Click", "更新処理起動（他１）")
		Try
			Me.Cursor = Cursors.WaitCursor
			Me.nextForm(New XSP080F020(penumUpdateMode,
			 Enum_Mode.UPDATE,
			 pstrPatient_No,
			 cliMTM_LENDITEM.getHsp_History_No(parLendItem, clsConst.Enum_Lenditem.LendItem3, piHsp_History_No),
			 cliMTM_LENDITEM.getCh_No(parLendItem, clsConst.Enum_Lenditem.LendItem3, piCh_No),
			 clsConst.Enum_Lenditem.LendItem3,
			 Me.btn029XSP080F010.ButtonText))
		Catch ex As Exception
			ErrorProc(ex)
		Finally
			Me.Cursor = Cursors.Default
		End Try
	End Sub

	''' ---------------------------------------------
	''' <summary>
	''' 受領処理起動（他２）
	''' </summary>
	''' <param name="sender"></param>
	''' <param name="e"></param>
	''' <remarks>
	''' 2010/10/20 新規作成　CS)平井<BR/>
	''' </remarks>
	''' ---------------------------------------------
	Private Sub btn036XSP080F010_Click(ByVal sender As System.Object, ByVal e As System.EventArgs) Handles btn036XSP080F010.Click
		log(clsSysMst.logLevel.NRM, "btn036XSP080F010_Click", "受領処理起動（他２）")
		Try
			Me.Cursor = Cursors.WaitCursor
			Me.nextForm(New XSP080F020(penumUpdateMode,
			 Enum_Mode.RECEIPT,
			 pstrPatient_No,
			 cliMTM_LENDITEM.getHsp_History_No(parLendItem, clsConst.Enum_Lenditem.LendItem4, piHsp_History_No),
			 cliMTM_LENDITEM.getCh_No(parLendItem, clsConst.Enum_Lenditem.LendItem4, piCh_No),
			 clsConst.Enum_Lenditem.LendItem4,
			Me.btn037XSP080F010.ButtonText))
		Catch ex As Exception
			ErrorProc(ex)
		Finally
			Me.Cursor = Cursors.Default
		End Try
	End Sub

	''' ---------------------------------------------
	''' <summary>
	''' 貸出処理起動（他２）
	''' </summary>
	''' <param name="sender"></param>
	''' <param name="e"></param>
	''' <remarks>
	''' 2010/10/20 新規作成　CS)平井<BR/>
	''' </remarks>
	''' ---------------------------------------------
	Private Sub btn037XSP080F010_Click(ByVal sender As System.Object, ByVal e As System.EventArgs) Handles btn037XSP080F010.Click
		log(clsSysMst.logLevel.NRM, "btn037XSP080F010_Click", "貸出処理起動（他２）")
		Try
			Me.Cursor = Cursors.WaitCursor
			Me.nextForm(New XSP080F030(penumUpdateMode,
			 Enum_Mode.LEND,
			 pstrPatient_No,
			 cliMTM_LENDITEM.getHsp_History_No(parLendItem, clsConst.Enum_Lenditem.LendItem4, piHsp_History_No),
			 cliMTM_LENDITEM.getCh_No(parLendItem, clsConst.Enum_Lenditem.LendItem4, piCh_No),
			 clsConst.Enum_Lenditem.LendItem4))
		Catch ex As Exception
			ErrorProc(ex)
		Finally
			Me.Cursor = Cursors.Default
		End Try
	End Sub

	''' ---------------------------------------------
	''' <summary>
	''' 更新処理起動（他２）
	''' </summary>
	''' <param name="sender"></param>
	''' <param name="e"></param>
	''' <remarks>
	''' 2010/10/20 新規作成　CS)平井<BR/>
	''' </remarks>
	''' ---------------------------------------------
	Private Sub btn038XSP080F010_Click(ByVal sender As System.Object, ByVal e As System.EventArgs) Handles btn038XSP080F010.Click
		log(clsSysMst.logLevel.NRM, "btn038XSP080F010_Click", "更新処理起動（他２）")
		Try
			Me.Cursor = Cursors.WaitCursor
			Me.nextForm(New XSP080F020(penumUpdateMode,
			 Enum_Mode.UPDATE,
			 pstrPatient_No,
			 cliMTM_LENDITEM.getHsp_History_No(parLendItem, clsConst.Enum_Lenditem.LendItem4, piHsp_History_No),
			 cliMTM_LENDITEM.getCh_No(parLendItem, clsConst.Enum_Lenditem.LendItem4, piCh_No),
			 clsConst.Enum_Lenditem.LendItem4,
			  Me.btn037XSP080F010.ButtonText))
		Catch ex As Exception
			ErrorProc(ex)
		Finally
			Me.Cursor = Cursors.Default
		End Try
	End Sub

	''' ---------------------------------------------
	''' <summary>
	''' 受領処理起動（他３）
	''' </summary>
	''' <param name="sender"></param>
	''' <param name="e"></param>
	''' <remarks>
	''' 2010/10/20 新規作成　CS)平井<BR/>
	''' </remarks>
	''' ---------------------------------------------
	Private Sub btn044XSP080F010_Click(ByVal sender As System.Object, ByVal e As System.EventArgs) Handles btn044XSP080F010.Click
		log(clsSysMst.logLevel.NRM, "btn044XSP080F010_Click", "受領処理起動（他３）")
		Try
			Me.Cursor = Cursors.WaitCursor
			Me.nextForm(New XSP080F020(penumUpdateMode,
			 Enum_Mode.RECEIPT,
			 pstrPatient_No,
			 cliMTM_LENDITEM.getHsp_History_No(parLendItem, clsConst.Enum_Lenditem.LendItem5, piHsp_History_No),
			 cliMTM_LENDITEM.getCh_No(parLendItem, clsConst.Enum_Lenditem.LendItem5, piCh_No),
			 clsConst.Enum_Lenditem.LendItem5,
		   Me.btn045XSP080F010.ButtonText))
		Catch ex As Exception
			ErrorProc(ex)
		Finally
			Me.Cursor = Cursors.Default
		End Try
	End Sub

	''' ---------------------------------------------
	''' <summary>
	''' 貸出処理起動（他３）
	''' </summary>
	''' <param name="sender"></param>
	''' <param name="e"></param>
	''' <remarks>
	''' 2010/10/20 新規作成　CS)平井<BR/>
	''' </remarks>
	''' ---------------------------------------------
	Private Sub btn045XSP080F010_Click(ByVal sender As System.Object, ByVal e As System.EventArgs) Handles btn045XSP080F010.Click
		log(clsSysMst.logLevel.NRM, "btn045XSP080F010_Click", "貸出処理起動（他３）")
		Try
			Me.Cursor = Cursors.WaitCursor
			Me.nextForm(New XSP080F030(penumUpdateMode,
			 Enum_Mode.LEND,
			 pstrPatient_No,
			 cliMTM_LENDITEM.getHsp_History_No(parLendItem, clsConst.Enum_Lenditem.LendItem5, piHsp_History_No),
			 cliMTM_LENDITEM.getCh_No(parLendItem, clsConst.Enum_Lenditem.LendItem5, piCh_No),
			 clsConst.Enum_Lenditem.LendItem5))
		Catch ex As Exception
			ErrorProc(ex)
		Finally
			Me.Cursor = Cursors.Default
		End Try
	End Sub

	''' ---------------------------------------------
	''' <summary>
	''' 更新処理起動（他３）
	''' </summary>
	''' <param name="sender"></param>
	''' <param name="e"></param>
	''' <remarks>
	''' 2010/10/20 新規作成　CS)平井<BR/>
	''' </remarks>
	''' ---------------------------------------------
	Private Sub btn046XSP080F010_Click(ByVal sender As System.Object, ByVal e As System.EventArgs) Handles btn046XSP080F010.Click
		log(clsSysMst.logLevel.NRM, "btn046XSP080F010_Click", "更新処理起動（他３）")
		Try
			Me.Cursor = Cursors.WaitCursor
			Me.nextForm(New XSP080F020(penumUpdateMode,
			 Enum_Mode.UPDATE,
			 pstrPatient_No,
			 cliMTM_LENDITEM.getHsp_History_No(parLendItem, clsConst.Enum_Lenditem.LendItem5, piHsp_History_No),
			 cliMTM_LENDITEM.getCh_No(parLendItem, clsConst.Enum_Lenditem.LendItem5, piCh_No),
			 clsConst.Enum_Lenditem.LendItem5,
			Me.btn045XSP080F010.ButtonText))
		Catch ex As Exception
			ErrorProc(ex)
		Finally
			Me.Cursor = Cursors.Default
		End Try
	End Sub
#End Region

#Region "メソッド"

	''' ---------------------------------------------
	''' <summary>
	''' 貸出物情報レコード取得処理
	''' </summary>
	''' <param name="enumLendItem_Cd"></param>
	''' <returns></returns>
	''' <remarks>
	''' 2010/10/18 新規作成　CS)平井<BR/>
	''' </remarks>
	''' ---------------------------------------------
	Private Function getLendItm_Info_Rec(ByVal enumLendItem_Cd As clsConst.Enum_Lenditem) As datLENDITM_INFO
		log(clsSysMst.logLevel.DBG, "getLendItm_Info_Rec", "貸出物情報レコード取得処理")
		Try
			For Each dt As datLENDITM_INFO In parLendInfo
				If dt.LENDITEM_CD = CType(enumLendItem_Cd, String) Then
					Return dt
					Exit For
				End If
			Next

			Return Nothing

		Catch ex As Exception
			Throw
		End Try
	End Function

	''' ---------------------------------------------
	''' <summary>
	''' 貸出情報取得設定処理
	''' </summary>
	''' <remarks>
	''' 2010/10/18 新規作成　CS)平井<BR/>
	''' </remarks>
	''' ---------------------------------------------
	Private Sub setLending()
		log(clsSysMst.logLevel.DBG, "setLending", "貸出情報取得設定処理")
		Try
			pdtLending = New DataTable
			Using db As clsDB = New clsDB(clsSysMst.ctlConfigData)
				With db
					.setSQLDa(sqlXSP080F010.sqlSelLending)
					' 患者番号
					.setParamDa(sqlXSP080F010.prmPATIENT_NO, clsDB.Enum_dbType.dbNVarChar)
					.setValDa(sqlXSP080F010.prmPATIENT_NO, pstrPatient_No)

					' 入退院歴番号1
					.setParamDa(sqlXSP080F010.prmHSP_HISTORY_NO1, clsDB.Enum_dbType.dbInt)
					.setValDa(sqlXSP080F010.prmHSP_HISTORY_NO1, cliMTM_LENDITEM.getHsp_History_No(parLendItem, clsConst.Enum_Lenditem.MedicalRecord, piHsp_History_No).ToString)
					' 科歴番号1
					.setParamDa(sqlXSP080F010.prmCH_NO1, clsDB.Enum_dbType.dbInt)
					.setValDa(sqlXSP080F010.prmCH_NO1, cliMTM_LENDITEM.getCh_No(parLendItem, clsConst.Enum_Lenditem.MedicalRecord, piCh_No).ToString)
					' 貸出物コード1
					.setParamDa(sqlXSP080F010.prmLENDITEM_CD1, clsDB.Enum_dbType.dbNVarChar)
					.setValDa(sqlXSP080F010.prmLENDITEM_CD1, CType(clsConst.Enum_Lenditem.MedicalRecord, String))

					' 入退院歴番号2
					.setParamDa(sqlXSP080F010.prmHSP_HISTORY_NO2, clsDB.Enum_dbType.dbInt)
					.setValDa(sqlXSP080F010.prmHSP_HISTORY_NO2, cliMTM_LENDITEM.getHsp_History_No(parLendItem, clsConst.Enum_Lenditem.Summary, piHsp_History_No).ToString)
					' 科歴番号2
					.setParamDa(sqlXSP080F010.prmCH_NO2, clsDB.Enum_dbType.dbInt)
					.setValDa(sqlXSP080F010.prmCH_NO2, cliMTM_LENDITEM.getCh_No(parLendItem, clsConst.Enum_Lenditem.Summary, piCh_No).ToString)
					' 貸出物コード2
					.setParamDa(sqlXSP080F010.prmLENDITEM_CD2, clsDB.Enum_dbType.dbNVarChar)
					.setValDa(sqlXSP080F010.prmLENDITEM_CD2, CType(clsConst.Enum_Lenditem.Summary, String))

					' 入退院歴番号3
					.setParamDa(sqlXSP080F010.prmHSP_HISTORY_NO3, clsDB.Enum_dbType.dbInt)
					.setValDa(sqlXSP080F010.prmHSP_HISTORY_NO3, cliMTM_LENDITEM.getHsp_History_No(parLendItem, clsConst.Enum_Lenditem.LendItem3, piHsp_History_No).ToString)
					' 科歴番号3
					.setParamDa(sqlXSP080F010.prmCH_NO3, clsDB.Enum_dbType.dbInt)
					.setValDa(sqlXSP080F010.prmCH_NO3, cliMTM_LENDITEM.getCh_No(parLendItem, clsConst.Enum_Lenditem.LendItem3, piCh_No).ToString)
					' 貸出物コード3
					.setParamDa(sqlXSP080F010.prmLENDITEM_CD3, clsDB.Enum_dbType.dbNVarChar)
					.setValDa(sqlXSP080F010.prmLENDITEM_CD3, CType(clsConst.Enum_Lenditem.LendItem3, String))

					' 入退院歴番号4
					.setParamDa(sqlXSP080F010.prmHSP_HISTORY_NO4, clsDB.Enum_dbType.dbInt)
					.setValDa(sqlXSP080F010.prmHSP_HISTORY_NO4, cliMTM_LENDITEM.getHsp_History_No(parLendItem, clsConst.Enum_Lenditem.LendItem4, piHsp_History_No).ToString)
					' 科歴番号4
					.setParamDa(sqlXSP080F010.prmCH_NO4, clsDB.Enum_dbType.dbInt)
					.setValDa(sqlXSP080F010.prmCH_NO4, cliMTM_LENDITEM.getCh_No(parLendItem, clsConst.Enum_Lenditem.LendItem4, piCh_No).ToString)
					' 貸出物コード4
					.setParamDa(sqlXSP080F010.prmLENDITEM_CD4, clsDB.Enum_dbType.dbNVarChar)
					.setValDa(sqlXSP080F010.prmLENDITEM_CD4, CType(clsConst.Enum_Lenditem.LendItem4, String))

					' 入退院歴番号5
					.setParamDa(sqlXSP080F010.prmHSP_HISTORY_NO5, clsDB.Enum_dbType.dbInt)
					.setValDa(sqlXSP080F010.prmHSP_HISTORY_NO5, cliMTM_LENDITEM.getHsp_History_No(parLendItem, clsConst.Enum_Lenditem.LendItem5, piHsp_History_No).ToString)
					' 科歴番号5
					.setParamDa(sqlXSP080F010.prmCH_NO5, clsDB.Enum_dbType.dbInt)
					.setValDa(sqlXSP080F010.prmCH_NO5, cliMTM_LENDITEM.getCh_No(parLendItem, clsConst.Enum_Lenditem.LendItem5, piCh_No).ToString)
					' 貸出物コード5
					.setParamDa(sqlXSP080F010.prmLENDITEM_CD5, clsDB.Enum_dbType.dbNVarChar)
					.setValDa(sqlXSP080F010.prmLENDITEM_CD5, CType(clsConst.Enum_Lenditem.LendItem5, String))

					.execQueryDa(pdtLending)

				End With
			End Using

			Me.dgv059XSP080F010.DataSource = pdtLending

		Catch ex As Exception
			Throw
		End Try

	End Sub

	''' ---------------------------------------------
	''' <summary>
	''' 返却済貸出情報存在チェック
	''' </summary>
	''' <returns></returns>
	''' <remarks>
	''' 2010/10/19 新規作成　CS)平井<BR/>
	''' </remarks>
	''' ---------------------------------------------
	Private Function chkBacked() As Boolean
		log(clsSysMst.logLevel.DBG, "chkBacked", "返却済貸出情報存在チェック")
		Try
			Using dtData As New DataTable
				Using db As clsDB = New clsDB(clsSysMst.ctlConfigData)
					With db
						.setSQLDa(sqlXSP080F010.sqlSelBacked)
						' 患者番号
						.setParamDa(sqlXSP080F010.prmPATIENT_NO, clsDB.Enum_dbType.dbNVarChar)
						.setValDa(sqlXSP080F010.prmPATIENT_NO, pstrPatient_No)

						' 入退院歴番号1
						.setParamDa(sqlXSP080F010.prmHSP_HISTORY_NO1, clsDB.Enum_dbType.dbInt)
						.setValDa(sqlXSP080F010.prmHSP_HISTORY_NO1, cliMTM_LENDITEM.getHsp_History_No(parLendItem, clsConst.Enum_Lenditem.MedicalRecord, piHsp_History_No).ToString)
						' 科歴番号1
						.setParamDa(sqlXSP080F010.prmCH_NO1, clsDB.Enum_dbType.dbInt)
						.setValDa(sqlXSP080F010.prmCH_NO1, cliMTM_LENDITEM.getCh_No(parLendItem, clsConst.Enum_Lenditem.MedicalRecord, piCh_No).ToString)
						' 貸出物コード1
						.setParamDa(sqlXSP080F010.prmLENDITEM_CD1, clsDB.Enum_dbType.dbNVarChar)
						.setValDa(sqlXSP080F010.prmLENDITEM_CD1, CType(clsConst.Enum_Lenditem.MedicalRecord, String))

						' 入退院歴番号2
						.setParamDa(sqlXSP080F010.prmHSP_HISTORY_NO2, clsDB.Enum_dbType.dbInt)
						.setValDa(sqlXSP080F010.prmHSP_HISTORY_NO2, cliMTM_LENDITEM.getHsp_History_No(parLendItem, clsConst.Enum_Lenditem.Summary, piHsp_History_No).ToString)
						' 科歴番号2
						.setParamDa(sqlXSP080F010.prmCH_NO2, clsDB.Enum_dbType.dbInt)
						.setValDa(sqlXSP080F010.prmCH_NO2, cliMTM_LENDITEM.getCh_No(parLendItem, clsConst.Enum_Lenditem.Summary, piCh_No).ToString)
						' 貸出物コード2
						.setParamDa(sqlXSP080F010.prmLENDITEM_CD2, clsDB.Enum_dbType.dbNVarChar)
						.setValDa(sqlXSP080F010.prmLENDITEM_CD2, CType(clsConst.Enum_Lenditem.Summary, String))

						' 入退院歴番号3
						.setParamDa(sqlXSP080F010.prmHSP_HISTORY_NO3, clsDB.Enum_dbType.dbInt)
						.setValDa(sqlXSP080F010.prmHSP_HISTORY_NO3, cliMTM_LENDITEM.getHsp_History_No(parLendItem, clsConst.Enum_Lenditem.LendItem3, piHsp_History_No).ToString)
						' 科歴番号3
						.setParamDa(sqlXSP080F010.prmCH_NO3, clsDB.Enum_dbType.dbInt)
						.setValDa(sqlXSP080F010.prmCH_NO3, cliMTM_LENDITEM.getCh_No(parLendItem, clsConst.Enum_Lenditem.LendItem3, piCh_No).ToString)
						' 貸出物コード3
						.setParamDa(sqlXSP080F010.prmLENDITEM_CD3, clsDB.Enum_dbType.dbNVarChar)
						.setValDa(sqlXSP080F010.prmLENDITEM_CD3, CType(clsConst.Enum_Lenditem.LendItem3, String))

						' 入退院歴番号4
						.setParamDa(sqlXSP080F010.prmHSP_HISTORY_NO4, clsDB.Enum_dbType.dbInt)
						.setValDa(sqlXSP080F010.prmHSP_HISTORY_NO4, cliMTM_LENDITEM.getHsp_History_No(parLendItem, clsConst.Enum_Lenditem.LendItem4, piHsp_History_No).ToString)
						' 科歴番号4
						.setParamDa(sqlXSP080F010.prmCH_NO4, clsDB.Enum_dbType.dbInt)
						.setValDa(sqlXSP080F010.prmCH_NO4, cliMTM_LENDITEM.getCh_No(parLendItem, clsConst.Enum_Lenditem.LendItem3, piCh_No).ToString)
						' 貸出物コード4
						.setParamDa(sqlXSP080F010.prmLENDITEM_CD4, clsDB.Enum_dbType.dbNVarChar)
						.setValDa(sqlXSP080F010.prmLENDITEM_CD4, CType(clsConst.Enum_Lenditem.LendItem4, String))

						' 入退院歴番号5
						.setParamDa(sqlXSP080F010.prmHSP_HISTORY_NO5, clsDB.Enum_dbType.dbInt)
						.setValDa(sqlXSP080F010.prmHSP_HISTORY_NO5, cliMTM_LENDITEM.getHsp_History_No(parLendItem, clsConst.Enum_Lenditem.LendItem5, piHsp_History_No).ToString)
						' 科歴番号5
						.setParamDa(sqlXSP080F010.prmCH_NO5, clsDB.Enum_dbType.dbInt)
						.setValDa(sqlXSP080F010.prmCH_NO5, cliMTM_LENDITEM.getCh_No(parLendItem, clsConst.Enum_Lenditem.LendItem5, piCh_No).ToString)
						' 貸出物コード5
						.setParamDa(sqlXSP080F010.prmLENDITEM_CD5, clsDB.Enum_dbType.dbNVarChar)
						.setValDa(sqlXSP080F010.prmLENDITEM_CD5, CType(clsConst.Enum_Lenditem.LendItem5, String))

						.execQueryDa(dtData)

					End With
				End Using
				If dtData Is Nothing OrElse dtData.Rows.Count <= 0 Then
					Return False
				Else
					Return True
				End If
			End Using

		Catch ex As Exception
			Throw
		End Try

	End Function

	''' ---------------------------------------------
	''' <summary>
	''' コントロール設定処理
	''' </summary>
	''' <remarks>
	''' 2010/10/15 新規作成　CS)平井<BR/>
	''' </remarks>
	''' ---------------------------------------------
	Private Sub setControl()
		log(clsSysMst.logLevel.DBG, "setControl", "コントロール設定処理")
		Try
			Me.dgv059XSP080F010.AutoGenerateColumns = False
			' ■表示・非表示　切替
			Me.pnl027XSP080F010.Visible = False
			Me.pnl035XSP080F010.Visible = False
			Me.pnl043XSP080F010.Visible = False
			' カルテ
			Dim datLIM As datMTM_LENDITEM = cliMTM_LENDITEM.getLendItem_Rec(parLendItem, clsConst.Enum_Lenditem.MedicalRecord)
			If datLIM IsNot Nothing Then
				If String.IsNullOrEmpty(datLIM.LENDITEM_NM) Then
					Me.btn002XSP080F010.Visible = False
					Me.btn003XSP080F010.Visible = False
					Me.btn004XSP080F010.Visible = False
				Else
					Me.btn002XSP080F010.Visible = True
					Me.btn003XSP080F010.Visible = True
					Me.btn004XSP080F010.Visible = True
				End If
			End If
			' サマリ
			datLIM = cliMTM_LENDITEM.getLendItem_Rec(parLendItem, clsConst.Enum_Lenditem.Summary)
			If datLIM IsNot Nothing Then
				If String.IsNullOrEmpty(datLIM.LENDITEM_NM) Then
					Me.btn016XSP080F010.Visible = False
					Me.btn017XSP080F010.Visible = False
					Me.btn018XSP080F010.Visible = False
				Else
					Me.btn016XSP080F010.Visible = True
					Me.btn017XSP080F010.Visible = True
					Me.btn018XSP080F010.Visible = True
				End If
			End If
			' 他１
			datLIM = cliMTM_LENDITEM.getLendItem_Rec(parLendItem, clsConst.Enum_Lenditem.LendItem3)
			If datLIM IsNot Nothing Then
				If Not String.IsNullOrEmpty(datLIM.LENDITEM_NM) Then
					Me.pnl027XSP080F010.Visible = True
				Else
					Me.pnl027XSP080F010.Visible = False
				End If
			End If
			' 他２
			datLIM = cliMTM_LENDITEM.getLendItem_Rec(parLendItem, clsConst.Enum_Lenditem.LendItem4)
			If datLIM IsNot Nothing Then
				If Not String.IsNullOrEmpty(datLIM.LENDITEM_NM) Then
					Me.pnl035XSP080F010.Visible = True
				Else
					Me.pnl035XSP080F010.Visible = False
				End If
			End If
			' 他３
			datLIM = cliMTM_LENDITEM.getLendItem_Rec(parLendItem, clsConst.Enum_Lenditem.LendItem5)
			If datLIM IsNot Nothing Then
				If Not String.IsNullOrEmpty(datLIM.LENDITEM_NM) Then
					Me.pnl043XSP080F010.Visible = True
				Else
					Me.pnl043XSP080F010.Visible = False
				End If
			End If
			' ■貸出物情報設定
			setLendItem()
			' ■貸出中一覧設定
			setLending()
			' ボタン制御
			If Me.dgv059XSP080F010.Rows Is Nothing OrElse Me.dgv059XSP080F010.Rows.Count <= 0 Then
				Me.btn053XSP080F010.Enabled = False
				Me.btn054XSP080F010.Enabled = False
				Me.btn055XSP080F010.Enabled = False
				Me.btn056XSP080F010.Enabled = False
			Else
				Me.btn053XSP080F010.Enabled = True
				Me.btn054XSP080F010.Enabled = True
				Me.btn055XSP080F010.Enabled = True
				Me.btn056XSP080F010.Enabled = True
			End If
			' 貸出履歴
			If chkBacked() Then
				Me.btn057XSP080F010.Enabled = True
			Else
				Me.btn057XSP080F010.Enabled = False
			End If
			' 参照モード
			If penumUpdateMode = XSP080F010.Enum_UpdateMode.ReadOnlyMode Then
				Me.btn003XSP080F010.CanInput = False
				Me.btn004XSP080F010.Visible = False
				Me.btn017XSP080F010.CanInput = False
				Me.btn018XSP080F010.Visible = False
				Me.btn029XSP080F010.CanInput = False
				Me.btn030XSP080F010.Visible = False
				Me.btn037XSP080F010.CanInput = False
				Me.btn038XSP080F010.Visible = False
				Me.btn045XSP080F010.CanInput = False
				Me.btn046XSP080F010.Visible = False
			End If
			' 使用者権限（参照モード　かつ　貸出関連更新可能以外のユーザ）
			If penumUpdateMode = XSP080F010.Enum_UpdateMode.ReadOnlyMode AndAlso _
			 cliXTM_User.getAuthority(clsXTM_USER.Enum_Authority.DETI_SansyouKousinKa) = CType(clsConst.Enum_Chk.ChkOff, String) Then
				Me.Text = "【参照】" & C_TITLE
				' 参照モード
				' カルテ
				Me.btn002XSP080F010.Visible = False
				Me.btn003XSP080F010.CanInput = False
				Me.btn004XSP080F010.Visible = False
				' サマリ
				Me.btn016XSP080F010.Visible = False
				Me.btn017XSP080F010.CanInput = False
				Me.btn018XSP080F010.Visible = False
				' 他１
				Me.btn028XSP080F010.Visible = False
				Me.btn029XSP080F010.CanInput = False
				Me.btn030XSP080F010.Visible = False
				' 他２
				Me.btn036XSP080F010.Visible = False
				Me.btn037XSP080F010.CanInput = False
				Me.btn038XSP080F010.Visible = False
				' 他３
				Me.btn044XSP080F010.Visible = False
				Me.btn045XSP080F010.CanInput = False
				Me.btn046XSP080F010.Visible = False
				' 貸出票
				Me.pnl062XSP080F010.Visible = False
				Me.pnl051XSP080F010.Visible = False
				' 貸出更新、返却、貸出履歴
				Me.btn055XSP080F010.Visible = True
				Me.btn056XSP080F010.Visible = False
				Me.btn057XSP080F010.Visible = True
			End If
		Catch ex As Exception
			Throw
		End Try
	End Sub

	''' ---------------------------------------------
	''' <summary>
	''' 貸出情報設定処理
	''' </summary>
	''' <remarks>
	''' 2010/10/18 新規作成　CS)平井<BR/>
	''' </remarks>
	''' ---------------------------------------------
	Private Sub setLendItem()
		log(clsSysMst.logLevel.DBG, "setLendItem", "貸出情報設定処理")
		Try
			' カルテ
			Dim datLI As datLENDITM_INFO = getLendItm_Info_Rec(clsConst.Enum_Lenditem.MedicalRecord)
			If datLI IsNot Nothing AndAlso Not chkUnMatch(datLI.UNIT_CD, datLI.HSP_HISTORY_NO, datLI.CH_NO) Then
				' 受領
				If String.IsNullOrEmpty(datLI.RECEIPT_DT) AndAlso
				 penumUpdateMode = Enum_UpdateMode.UpdatableMode Then
					Me.btn002XSP080F010.Visible = True
				Else
					Me.btn002XSP080F010.Visible = False
				End If
				' 貸出
				If penumExecMode = Enum_ExecMode.MENMode Then
					If Not String.IsNullOrEmpty(datLI.RECEIPT_DT) AndAlso
					 datLI.FIXED_CD2 <> CType(clsConst.Enum_LendStat_Fix2.NotLendable, String) Then
						If cliMTI_Lend.chkLending(pstrPatient_No,
						 cliMTM_LENDITEM.getHsp_History_No(parLendItem, clsConst.Enum_Lenditem.MedicalRecord, piHsp_History_No),
						 cliMTM_LENDITEM.getCh_No(parLendItem, clsConst.Enum_Lenditem.MedicalRecord, piCh_No),
						 clsConst.Enum_Lenditem.MedicalRecord) Then
							Me.btn003XSP080F010.CanInput = False
						Else
							Me.btn003XSP080F010.CanInput = True
						End If
					Else
						Me.btn003XSP080F010.CanInput = False
					End If
				Else
					Me.btn003XSP080F010.CanInput = False
				End If
				Me.btn003XSP080F010.ForeColor = cliMTM_LENDITEM.getUNITColor(datLI.UNIT_CD)
				Me.btn003XSP080F010.ButtonText = datLI.LENDITEM_RNM

				Me.lbl006XSP080F010.Text = datLI.RECEIPT_DT
				Me.lbl007XSP080F010.Text = datLI.CNT
				Me.lbl009XSP080F010.Text = datLI.MNGSTATUS_NM
				Me.lbl011XSP080F010.Text = datLI.KEEPLCT_NM
				Me.lbl013XSP080F010.Text = datLI.ARG_STATUS_NM
				Me.lbl015XSP080F010.Text = datLI.RECIPIENT_NM
			Else
				Me.pnl060XSP080F010.Visible = False
				'Me.btn002XSP080F010.Visible = False
				'Me.btn003XSP080F010.Visible = False
				'Me.btn004XSP080F010.Visible = False
				'Me.lbl006XSP080F010.Visible = False
				'Me.lbl007XSP080F010.Visible = False
				'Me.lbl009XSP080F010.Visible = False
				'Me.lbl011XSP080F010.Visible = False
				'Me.lbl013XSP080F010.Visible = False
				'Me.lbl015XSP080F010.Visible = False
			End If
			' サマリ
			datLI = getLendItm_Info_Rec(clsConst.Enum_Lenditem.Summary)
			If datLI IsNot Nothing AndAlso Not chkUnMatch(datLI.UNIT_CD, datLI.HSP_HISTORY_NO, datLI.CH_NO) Then
				' 受領
				If String.IsNullOrEmpty(datLI.RECEIPT_DT) AndAlso
				 penumUpdateMode = Enum_UpdateMode.UpdatableMode Then
					Me.btn016XSP080F010.Visible = True
				Else
					Me.btn016XSP080F010.Visible = False
				End If
				' 貸出
				If penumExecMode = Enum_ExecMode.MENMode Then
					If Not String.IsNullOrEmpty(datLI.RECEIPT_DT) AndAlso
					 datLI.FIXED_CD2 <> CType(clsConst.Enum_LendStat_Fix2.NotLendable, String) Then
						If cliMTI_Lend.chkLending(pstrPatient_No,
						 cliMTM_LENDITEM.getHsp_History_No(parLendItem, clsConst.Enum_Lenditem.Summary, piHsp_History_No),
						 cliMTM_LENDITEM.getCh_No(parLendItem, clsConst.Enum_Lenditem.Summary, piCh_No),
						 clsConst.Enum_Lenditem.Summary) Then
							Me.btn017XSP080F010.CanInput = False
						Else
							Me.btn017XSP080F010.CanInput = True
						End If
					Else
						Me.btn017XSP080F010.CanInput = False
					End If
				Else
					Me.btn017XSP080F010.CanInput = False
				End If
				Me.btn017XSP080F010.ForeColor = cliMTM_LENDITEM.getUNITColor(datLI.UNIT_CD)
				Me.btn017XSP080F010.ButtonText = datLI.LENDITEM_RNM

				Me.lbl019XSP080F010.Text = datLI.RECEIPT_DT
				Me.lbl020XSP080F010.Text = datLI.CNT
				Me.lbl021XSP080F010.Text = datLI.MNGSTATUS_NM
				Me.lbl022XSP080F010.Text = datLI.KEEPLCT_NM
				Me.lbl024XSP080F010.Text = datLI.SUMMARY_MAKER_NM
				Me.lbl026XSP080F010.Text = datLI.SUMMARY_APPROVAL_DT
			Else
				Me.pnl061XSP080F010.Visible = False
				'Me.btn016XSP080F010.Visible = False
				'Me.btn017XSP080F010.Visible = False
				'Me.btn018XSP080F010.Visible = False
				'Me.lbl019XSP080F010.Visible = False
				'Me.lbl020XSP080F010.Visible = False
				'Me.lbl021XSP080F010.Visible = False
				'Me.lbl022XSP080F010.Visible = False
				'Me.lbl024XSP080F010.Visible = False
				'Me.lbl026XSP080F010.Visible = False
			End If
			' 他１
			datLI = getLendItm_Info_Rec(clsConst.Enum_Lenditem.LendItem3)
			If datLI IsNot Nothing AndAlso Not chkUnMatch(datLI.UNIT_CD, datLI.HSP_HISTORY_NO, datLI.CH_NO) Then
				' 受領
				If String.IsNullOrEmpty(datLI.RECEIPT_DT) AndAlso
				 penumUpdateMode = Enum_UpdateMode.UpdatableMode Then
					Me.btn028XSP080F010.Visible = True
				Else
					Me.btn028XSP080F010.Visible = False
				End If
				' 貸出
				If penumExecMode = Enum_ExecMode.MENMode Then
					If Not String.IsNullOrEmpty(datLI.RECEIPT_DT) AndAlso
					 datLI.FIXED_CD2 <> CType(clsConst.Enum_LendStat_Fix2.NotLendable, String) Then
						If cliMTI_Lend.chkLending(pstrPatient_No,
						 cliMTM_LENDITEM.getHsp_History_No(parLendItem, clsConst.Enum_Lenditem.LendItem3, piHsp_History_No),
						 cliMTM_LENDITEM.getCh_No(parLendItem, clsConst.Enum_Lenditem.LendItem3, piCh_No),
						 clsConst.Enum_Lenditem.LendItem3) Then
							Me.btn029XSP080F010.CanInput = False
						Else
							Me.btn029XSP080F010.CanInput = True
						End If
					Else
						Me.btn029XSP080F010.CanInput = False
					End If
				Else
					Me.btn029XSP080F010.CanInput = False
				End If
				Me.btn029XSP080F010.ForeColor = cliMTM_LENDITEM.getUNITColor(datLI.UNIT_CD)
				Me.btn029XSP080F010.ButtonText = datLI.LENDITEM_RNM

				Me.lbl031XSP080F010.Text = datLI.RECEIPT_DT
				Me.lbl032XSP080F010.Text = datLI.CNT
				Me.lbl033XSP080F010.Text = datLI.MNGSTATUS_NM
				Me.lbl034XSP080F010.Text = datLI.KEEPLCT_NM
			Else
				Me.pnl027XSP080F010.Visible = False
				Me.btn028XSP080F010.Visible = False
				Me.btn029XSP080F010.Visible = False
				Me.btn030XSP080F010.Visible = False
				Me.lbl031XSP080F010.Text = Nothing
				Me.lbl032XSP080F010.Text = Nothing
				Me.lbl033XSP080F010.Text = Nothing
				Me.lbl034XSP080F010.Text = Nothing
			End If
			' 他２
			datLI = getLendItm_Info_Rec(clsConst.Enum_Lenditem.LendItem4)
			If datLI IsNot Nothing AndAlso Not chkUnMatch(datLI.UNIT_CD, datLI.HSP_HISTORY_NO, datLI.CH_NO) Then
				' 受領
				If String.IsNullOrEmpty(datLI.RECEIPT_DT) AndAlso
				 penumUpdateMode = Enum_UpdateMode.UpdatableMode Then
					Me.btn036XSP080F010.Visible = True
				Else
					Me.btn036XSP080F010.Visible = False
				End If
				' 貸出
				If penumExecMode = Enum_ExecMode.MENMode Then
					If Not String.IsNullOrEmpty(datLI.RECEIPT_DT) AndAlso
					 datLI.FIXED_CD2 <> CType(clsConst.Enum_LendStat_Fix2.NotLendable, String) Then
						If cliMTI_Lend.chkLending(pstrPatient_No,
						 cliMTM_LENDITEM.getHsp_History_No(parLendItem, clsConst.Enum_Lenditem.LendItem4, piHsp_History_No),
						 cliMTM_LENDITEM.getCh_No(parLendItem, clsConst.Enum_Lenditem.LendItem4, piCh_No),
						 clsConst.Enum_Lenditem.LendItem4) Then
							Me.btn037XSP080F010.CanInput = False
						Else
							Me.btn037XSP080F010.CanInput = True
						End If
					Else
						Me.btn037XSP080F010.CanInput = False
					End If
				Else
					Me.btn037XSP080F010.CanInput = False
				End If
				Me.btn037XSP080F010.ForeColor = cliMTM_LENDITEM.getUNITColor(datLI.UNIT_CD)
				Me.btn037XSP080F010.ButtonText = datLI.LENDITEM_RNM

				Me.lbl039XSP080F010.Text = datLI.RECEIPT_DT
				Me.lbl040XSP080F010.Text = datLI.CNT
				Me.lbl041XSP080F010.Text = datLI.MNGSTATUS_NM
				Me.lbl042XSP080F010.Text = datLI.KEEPLCT_NM
			Else
				Me.pnl035XSP080F010.Visible = False
				Me.btn036XSP080F010.Visible = False
				Me.btn037XSP080F010.Visible = False
				Me.btn038XSP080F010.Visible = False
				Me.lbl039XSP080F010.Text = Nothing
				Me.lbl040XSP080F010.Text = Nothing
				Me.lbl041XSP080F010.Text = Nothing
				Me.lbl042XSP080F010.Text = Nothing
			End If
			' 他３
			datLI = getLendItm_Info_Rec(clsConst.Enum_Lenditem.LendItem5)
			If datLI IsNot Nothing AndAlso Not chkUnMatch(datLI.UNIT_CD, datLI.HSP_HISTORY_NO, datLI.CH_NO) Then
				' 受領
				If String.IsNullOrEmpty(datLI.RECEIPT_DT) AndAlso
				 penumUpdateMode = Enum_UpdateMode.UpdatableMode Then
					Me.btn044XSP080F010.Visible = True
				Else
					Me.btn044XSP080F010.Visible = False
				End If
				' 貸出
				If penumExecMode = Enum_ExecMode.MENMode Then
					If Not String.IsNullOrEmpty(datLI.RECEIPT_DT) AndAlso
					 datLI.FIXED_CD2 <> CType(clsConst.Enum_LendStat_Fix2.NotLendable, String) Then
						If cliMTI_Lend.chkLending(pstrPatient_No,
						 cliMTM_LENDITEM.getHsp_History_No(parLendItem, clsConst.Enum_Lenditem.LendItem5, piHsp_History_No),
						 cliMTM_LENDITEM.getCh_No(parLendItem, clsConst.Enum_Lenditem.LendItem5, piCh_No),
						 clsConst.Enum_Lenditem.LendItem5) Then
							Me.btn045XSP080F010.CanInput = False
						Else
							Me.btn045XSP080F010.CanInput = True
						End If
					Else
						Me.btn045XSP080F010.CanInput = False
					End If
				Else
					Me.btn045XSP080F010.CanInput = False
				End If
				Me.btn045XSP080F010.ForeColor = cliMTM_LENDITEM.getUNITColor(datLI.UNIT_CD)
				Me.btn045XSP080F010.ButtonText = datLI.LENDITEM_RNM

				Me.lbl047XSP080F010.Text = datLI.RECEIPT_DT
				Me.lbl048XSP080F010.Text = datLI.CNT
				Me.lbl049XSP080F010.Text = datLI.MNGSTATUS_NM
				Me.lbl050XSP080F010.Text = datLI.KEEPLCT_NM
			Else
				Me.pnl043XSP080F010.Visible = False
				Me.btn044XSP080F010.Visible = False
				Me.btn045XSP080F010.Visible = False
				Me.btn046XSP080F010.Visible = False
				Me.lbl047XSP080F010.Text = Nothing
				Me.lbl048XSP080F010.Text = Nothing
				Me.lbl049XSP080F010.Text = Nothing
				Me.lbl050XSP080F010.Text = Nothing
			End If

		Catch ex As Exception
			Throw
		End Try
	End Sub

	''' ---------------------------------------------
	''' <summary>
	''' データ整合性チェック処理
	''' </summary>
	''' <param name="strUnit_Cd"></param>
	''' <param name="iHsp_History_No"></param>
	''' <param name="iCh_No"></param>
	''' <returns></returns>
	''' <remarks>
	''' 2010/11/09 新規作成　CS)平井<BR/>
	''' </remarks>
	''' ---------------------------------------------
	Private Function chkUnMatch(ByVal strUnit_Cd As String, ByVal iHsp_History_No As Integer, ByVal iCh_No As Integer) As Boolean
		log(clsSysMst.logLevel.DBG, "chkUnMatch", "データ整合性チェック処理")
		Try
			If strUnit_Cd = CType(clsConst.Enum_LendUnit.Each_Dept, String) Then
				' 科歴単位
				If iCh_No = 0 Then
					Return True
				End If
			ElseIf strUnit_Cd = CType(clsConst.Enum_LendUnit.Each_Hosp, String) Then
				' 入退院歴単位
				If iHsp_History_No = 0 Then
					Return True
				End If
			End If
			' 以外
			Return False
		Catch ex As Exception
			Throw
		End Try
	End Function
#End Region

#Region "オーバーライドメソッド"

    ''' ---------------------------------------------
    ''' <summary>
    ''' 子画面処理後の処理
    ''' </summary>
    ''' <param name="ret"></param>
    ''' <param name="de"></param>
    ''' <remarks>
    ''' 2009/11/11 新規作成　CS)平井<BR/>
    ''' </remarks>
    ''' ---------------------------------------------
    Public Overrides Sub rcvData(ByVal ret As XCM.frmBase.Enum_FormReturn, ByVal de As System.Collections.DictionaryEntry)
        log(clsSysMst.logLevel.DBG, "rcvData", "子画面処理後の処理")
        Try
            Select Case de.Key.ToString
                Case C_XSP080F020_ID
                    ' 受領・更新
                    If ret = Enum_FormReturn.OK Then
                        If de.Value IsNot Nothing  Then
							pclsLI.Add(CType(de.Value, datLENDITM))
                        End If
                    End If
                    ' 患者情報設定
                    Dim dt As DataTable = Me.getPatientInfo(pstrPatient_No, piHsp_History_No, piCh_No)
                    Me.DataSource = dt
                    ' 貸出物情報取得
					parLendInfo = cliMTI_LendItm.getLendItem(pstrPatient_No, piHsp_History_No, piCh_No, parLendItem)
					' コントロール設定
					setControl()
                Case C_XSP080F030_ID
                    ' 貸出・返却・貸出更新
                    If ret = Enum_FormReturn.OK Then
                        If de.Value IsNot Nothing Then
							pclsLI.Add(CType(de.Value, datLENDITM))
                        End If
					End If
					' 貸出物情報取得
					parLendInfo = cliMTI_LendItm.getLendItem(pstrPatient_No, piHsp_History_No, piCh_No, parLendItem)
					' コントロール設定
					setControl()
				Case C_XSP080F060_ID
					' 貸出履歴
					If ret = Enum_FormReturn.OK Then
						If de.Value IsNot Nothing AndAlso
						 CType(de.Value, List(Of datLENDITM)).Count > 0 Then
							pclsLI.AddRange(CType(de.Value, List(Of datLENDITM)))
						End If
					End If
					' 貸出物情報取得
					parLendInfo = cliMTI_LendItm.getLendItem(pstrPatient_No, piHsp_History_No, piCh_No, parLendItem)
					' コントロール設定
					setControl()
				Case Else
			End Select
        Catch ex As Exception
			ErrorProc(ex)
        Finally
            Me.Cursor = Cursors.Default
        End Try
    End Sub

    ''' ---------------------------------------------
    ''' <summary>
    ''' F12キー処理
    ''' </summary>
    ''' <returns></returns>
    ''' <remarks>
    ''' 2010/10/15 新規作成　CS)平井<BR/>
    ''' </remarks>
    ''' ---------------------------------------------
    Public Overrides Function F12KeyProc() As Boolean
        log(clsSysMst.logLevel.NRM, "F12KeyProc", "F12キー処理")
        Try
			EndProc()
        Catch ex As Exception
            Throw
        End Try
        Return False
    End Function

#End Region

End Class