﻿Imports XCM
Imports XSP

''' ---------------------------------------------
''' <summary>
''' 共通_貸出中一覧
''' </summary>
''' <remarks>
''' Copyright 2010 FUJITSU SHIKOKU SYSTEMS LIMITED All rights reserved.<BR/>
''' FUJITSU SHIKOKU SYSTEMS LIMITED CONFIDENTIAL<BR/>
''' </remarks>
''' ---------------------------------------------
Public Class XSP080F070

#Region "コンスタント"
	' カラム名
	Private Const C_COL_BYOREKI_NO As String = "c09001XSP080F070"
	Private Const C_COL_BORROWER_NM As String = "c05001XSP080F070"
	Private Const C_COL_END_DT As String = "c11001XSP080F070"
	' タイトル
	Private Const C_TITLE_OUT_HSP_DT As String = "退院(終了)日"
	Private Const C_TITLE_END_DT As String = "終了日"
	' 反転カラム名
	Private ReadOnly C_GRID_NAME_COL() As String =
	 {
	 "c01001XSP080F070", "c02001XSP080F070", "c03001XSP080F070", "c04001XSP080F070",
	 "c05001XSP080F070", "c06001XSP080F070"
	 }
	' 反転色
	Private ReadOnly C_REVERSE_BACKCOLOR As Color = Color.Green
	Private ReadOnly C_REVERSE_FORECOLOR As Color = Color.White
	' 標準の前景色
	Private ReadOnly CR_DEFAULTFORECOLOR As Color = SystemColors.ControlText
	' 並び順
	Private Const C_SORT_STRING_PATIENT As String = "PATIENT_NO, HSP_HISTORY_NO, CH_NO"
	Private Const C_SORT_STRING As String = "ISSUE_DT, LENDITEM_CD, PATIENT_NO, HSP_HISTORY_NO, CH_NO"
	' デッドロックNumber
	Public C_DEADLOCK_NUMBER As Integer = 1205
	' デッドロックリトライカウント
	Public C_DEADLOCK_RETRY As Integer = 3

#End Region

#Region "変数"
	' 引数保存
	Private pstrBorrower_Cd As String
	Private pstrBorrower_Nm As String
	Private pstrBorrower_Div_Cd As String
	' DataTable
	Private pdtLend As DataTable
	' クラス
	Private cliGridStyle As clsGridStyle
	Private cliMTM_LendItem As clsMTM_LENDITEM
	Private cliCom As clsCom
	' 貸出物マスタ
	Private parLendItem As ArrayList
	' グリッドスタイル配列
	Private csRowIndex As ArrayList
	Private csLendItemStyle As ArrayList
	' 終了日タイトル
	Public pstrEnd_Dt_Title As String
#End Region

#Region "コンストラクタ"

	''' ---------------------------------------------
	''' <summary>
	''' コンストラクタ
	''' </summary>
	''' <param name="strBorrower_Cd">借用者コード</param>
	''' <param name="strBorrower_Nm">借用者名</param>
	''' <param name="strBorrower_Div_Cd">借用者部門コード</param>
	''' <remarks>
	''' 2010/10/27 新規作成　CS)平井<BR/>
	''' </remarks>
	''' ---------------------------------------------
	Public Sub New(ByVal strBorrower_Cd As String, ByVal strBorrower_Nm As String, ByVal strBorrower_Div_Cd As String)

		' この呼び出しはデザイナーで必要です。
		InitializeComponent()
		' 引数保存
		pstrBorrower_Cd = strBorrower_Cd
		pstrBorrower_Nm = strBorrower_Nm
		pstrBorrower_Div_Cd = strBorrower_Div_Cd
	End Sub
#End Region

#Region "イベント"

	''' ---------------------------------------------
	''' <summary>
	''' フォームを開く時のイベント
	''' </summary>
	''' <param name="sender"></param>
	''' <param name="e"></param>
	''' <remarks>
	''' 2010/12/15 新規作成　CS)平井<BR/>
	''' </remarks>
	''' ---------------------------------------------
	Private Sub XSP080F070_Load(ByVal sender As Object, ByVal e As System.EventArgs) Handles Me.Load
		log(clsSysMst.logLevel.NRM, "XSP080F070_Load", "フォームを開く時のイベント")
		Try
			' インスタンス生成
			cliGridStyle = New clsGridStyle
			cliMTM_LendItem = New clsMTM_LENDITEM
			cliCom = New clsCom
			csRowIndex = New ArrayList
			csLendItemStyle = New ArrayList
			' DataGridView設定処理
			Me.dgv001XSP080F070.ReadOnly = True
			Me.dgv001XSP080F070.AutoGenerateColumns = False
			' グリッドカラムヘッダ反転表示設定
			For Each strCol As String In C_GRID_NAME_COL
				With Me.dgv001XSP080F070.Columns(strCol).HeaderCell.Style
					.BackColor = C_REVERSE_BACKCOLOR
					.ForeColor = C_REVERSE_FORECOLOR
				End With
			Next
			cliGridStyle.setGridHeight(Me.dgv001XSP080F070)
			' 貸出物マスタ取得
			parLendItem = cliMTM_LendItem.getAll()
			If parLendItem Is Nothing OrElse parLendItem.Count <= 0 Then
				showMsg("E0015", "貸出物マスタ", Nothing)
				' 貸出物マスタなし
				CType(Me.Owner, frmBase).setCancelFlg(True)
				EndProc()
				Exit Sub
			End If
			' 貸出情報取得
			pdtLend = getLend()
			If pdtLend Is Nothing OrElse pdtLend.Rows.Count <= 0 Then
				showMsg("E0004")
				CType(Me.Owner, frmBase).setCancelFlg(True)
				EndProc()
				Exit Sub
			End If
			' 患者単位のデータを１件にマージ
			pdtLend = updPatientTani(pdtLend)
			Me.dgv001XSP080F070.DataSource = pdtLend
			' 病歴番号タイトル編集
			Me.dgv001XSP080F070.Columns(C_COL_BYOREKI_NO).HeaderText = clsSysMst.ctlEnvData.getEnv(datEnv.Enum_ENV.ENV_00001)
			' 混在チェックより終了日タイトル編集
			If chkKonzai() Then
				pstrEnd_Dt_Title = C_TITLE_OUT_HSP_DT
			Else
				pstrEnd_Dt_Title = C_TITLE_END_DT
			End If
			Me.dgv001XSP080F070.Columns(C_COL_END_DT).HeaderText = pstrEnd_Dt_Title
			' グリッドスタイル設定
			setGridStyle()
		Catch ex As Exception
			ErrorProc(ex)
			CType(Me.Owner, frmBase).setCancelFlg(True)
			EndProc()
		End Try
	End Sub

	''' ---------------------------------------------
	''' <summary>
	''' フォームを閉じる時のイベント
	''' </summary>
	''' <param name="sender"></param>
	''' <param name="e"></param>
	''' <remarks>
	''' 2010/12/15 新規作成　CS)平井<BR/>
	''' </remarks>
	''' ---------------------------------------------
	Private Sub XSP080F070_FormClosing(ByVal sender As Object, ByVal e As System.Windows.Forms.FormClosingEventArgs) Handles Me.FormClosing
		log(clsSysMst.logLevel.NRM, "XSP080F070_FormClosing", "フォームを閉じる時のイベント")
		Try
			' 全画面に制御を戻す。
			CType(Me.Owner, frmBase).backForm(False, Enum_FormReturn.CANSEL, New DictionaryEntry(Me.Name, Nothing))
			' DataTable解放
			If pdtLend IsNot Nothing Then pdtLend.Dispose()
		Catch ex As Exception
			ErrorProc(ex)
		Finally
			' DataTable解放
			pdtLend = Nothing
			' クラス解放
			cliGridStyle = Nothing
			cliMTM_LendItem = Nothing
			cliCom = Nothing
			' 貸出物マスタ
			parLendItem = Nothing
			csLendItemStyle = Nothing
			csRowIndex = Nothing
		End Try
	End Sub

	''' ---------------------------------------------
	''' <summary>
	''' 印刷ボタンクリックイベント
	''' </summary>
	''' <param name="sender"></param>
	''' <param name="e"></param>
	''' <remarks>
	''' 2010/12/15 新規作成　CS)平井<BR/>
	''' </remarks>
	''' ---------------------------------------------
	Private Sub btn004XSP000F010_Click(ByVal sender As System.Object, ByVal e As System.EventArgs) Handles btn004XSP000F010.Click
		log(clsSysMst.logLevel.NRM, "btn004XSP000F010_Click", "印刷ボタンクリックイベント")
		Try
			Me.Cursor = Cursors.WaitCursor
			If Me.dgv001XSP080F070 IsNot Nothing AndAlso
			 Me.dgv001XSP080F070.Rows.Count > 0 Then
				'印刷処理
				Using eXSP080R070 As New XSP080R070(Me)
					'印刷処理（貸出中一覧）
					Dim strBorrowerName As String = Nothing
					If Not String.IsNullOrEmpty(pstrBorrower_Cd) OrElse
					 Not String.IsNullOrEmpty(pstrBorrower_Nm) Then
						strBorrowerName = Me.dgv001XSP080F070.Rows(0).Cells(C_COL_BORROWER_NM).Value.ToString
					End If
					eXSP080R070.Prn_Lending_List(Me.dgv001XSP080F070, strBorrowerName, True)
				End Using
			End If
		Catch ex As Exception
			ErrorProc(ex)
		Finally
			Me.Cursor = Cursors.Default
		End Try
	End Sub

	''' ---------------------------------------------
	''' <summary>
	''' 終了ボタンクリックイベント
	''' </summary>
	''' <param name="sender"></param>
	''' <param name="e"></param>
	''' <remarks>
	''' 2010/12/15 新規作成　CS)平井<BR/>
	''' </remarks>
	''' ---------------------------------------------
	Private Sub btn005XSP000F010_Click(ByVal sender As System.Object, ByVal e As System.EventArgs) Handles btn005XSP000F010.Click
		log(clsSysMst.logLevel.NRM, "btn005XSP000F010_Click", "終了ボタンクリックイベント")
		Try
			' 終了
			EndProc()
		Catch ex As Exception
			ErrorProc(ex)
		End Try
	End Sub

#End Region

#Region "メソッド"

	''' ---------------------------------------------
	''' <summary>
	''' 貸出情報取得処理
	''' </summary>
	''' <returns></returns>
	''' <remarks>
	''' 2010/12/14 新規作成　CS)平井<BR/>
	''' </remarks>
	''' ---------------------------------------------
	Public Function getLend() As DataTable
		log(clsSysMst.logLevel.DBG, "getLend", "貸出情報取得処理")
		Try
			Dim dt As New DataTable

			Dim bDeadLock As Boolean = False
			Dim iRetryCount As Integer = 0
			Do
				Try
					Using db As clsDB = New clsDB(clsSysMst.ctlConfigData)
						With db
							' ■SQL文作成
							Dim bUnionFirst As Boolean = True
							' 取得SQL
							Dim strSql As String = sqlXSP080F070.sqlSelLend
							' カルテ
							strSql &= sqlXSP080F070.sqlSelLendItm1
							' 入退院、科歴情報SQL取得
							strSql &= getSQLHspCh(clsConst.Enum_Lenditem.MedicalRecord)
							bUnionFirst = False

							' サマリ
							If Not bUnionFirst Then strSql &= sqlXSP080F070.sqlSelUnion_All
							strSql &= sqlXSP080F070.sqlSelLendItm2
							' 入退院、科歴情報SQL取得
							strSql &= getSQLHspCh(clsConst.Enum_Lenditem.Summary)
							bUnionFirst = False

							' 他１
							If Not bUnionFirst Then strSql &= sqlXSP080F070.sqlSelUnion_All
							strSql &= sqlXSP080F070.sqlSelLendItm3
							' 入退院、科歴情報SQL取得
							strSql &= getSQLHspCh(clsConst.Enum_Lenditem.LendItem3)
							bUnionFirst = False

							' 他２
							If Not bUnionFirst Then strSql &= sqlXSP080F070.sqlSelUnion_All
							strSql &= sqlXSP080F070.sqlSelLendItm4
							' 入退院、科歴情報SQL取得
							strSql &= getSQLHspCh(clsConst.Enum_Lenditem.LendItem4)
							bUnionFirst = False

							' 他３
							If Not bUnionFirst Then strSql &= sqlXSP080F070.sqlSelUnion_All
							strSql &= sqlXSP080F070.sqlSelLendItm5
							' 入退院、科歴情報SQL取得
							strSql &= getSQLHspCh(clsConst.Enum_Lenditem.LendItem5)
							bUnionFirst = False

							' SQL END設定
							strSql &= sqlXSP080F070.sqlSelEnd
							' マスタ取得SQL
							strSql &= sqlXSP080F070.sqlSelLend_Join

							' WHERE文設定
							If Not String.IsNullOrEmpty(pstrBorrower_Cd) Then
								' 借用者コード
								strSql &= sqlXSP080F070.sqlSelWhere_Borrower_Cd
							ElseIf Not String.IsNullOrEmpty(pstrBorrower_Nm) Then
								' 借用者部門コード ＆ 借用者名
								strSql &= sqlXSP080F070.sqlSelWhere_Borrower_Div_Name
							Else
								' 借用者部門コード
								strSql &= sqlXSP080F070.sqlSelWhere_Borrower_Div
							End If
							' ORDER文
							strSql &= sqlXSP080F070.sqlSelOrder

							.setSQLDa(strSql)

							If Not String.IsNullOrEmpty(pstrBorrower_Cd) Then
								' 借用者コード
								.setParamDa(sqlXSP080F070.prmBORROWER_CD, clsDB.Enum_dbType.dbNVarChar)
								.setValDa(sqlXSP080F070.prmBORROWER_CD, pstrBorrower_Cd)
							ElseIf Not String.IsNullOrEmpty(pstrBorrower_Nm) Then
								' 借用者部門コード
								.setParamDa(sqlXSP080F070.prmBORROWER_DIV, clsDB.Enum_dbType.dbNVarChar)
								.setValDa(sqlXSP080F070.prmBORROWER_DIV, pstrBorrower_Div_Cd)
								' 借用者名
								.setParamDa(sqlXSP080F070.prmBORROWER_NM, clsDB.Enum_dbType.dbNVarChar)
								.setValDa(sqlXSP080F070.prmBORROWER_NM, pstrBorrower_Nm)
							Else
								' 借用者部門コード
								.setParamDa(sqlXSP080F070.prmBORROWER_DIV, clsDB.Enum_dbType.dbNVarChar)
								.setValDa(sqlXSP080F070.prmBORROWER_DIV, pstrBorrower_Div_Cd)
							End If
							' カルテ
							' 貸出物コード
							.setParamDa(sqlMTI_LENDITM.prmLENDITEM_CD1, clsDB.Enum_dbType.dbNVarChar)
							.setValDa(sqlMTI_LENDITM.prmLENDITEM_CD1, clsConst.Enum_Lenditem.MedicalRecord)
							' サマリ
							' 貸出物コード
							.setParamDa(sqlMTI_LENDITM.prmLENDITEM_CD2, clsDB.Enum_dbType.dbNVarChar)
							.setValDa(sqlMTI_LENDITM.prmLENDITEM_CD2, clsConst.Enum_Lenditem.Summary)
							' 他１
							' 貸出物コード
							.setParamDa(sqlMTI_LENDITM.prmLENDITEM_CD3, clsDB.Enum_dbType.dbNVarChar)
							.setValDa(sqlMTI_LENDITM.prmLENDITEM_CD3, clsConst.Enum_Lenditem.LendItem3)
							' 他２
							' 貸出物コード
							.setParamDa(sqlMTI_LENDITM.prmLENDITEM_CD4, clsDB.Enum_dbType.dbNVarChar)
							.setValDa(sqlMTI_LENDITM.prmLENDITEM_CD4, clsConst.Enum_Lenditem.LendItem4)
							' 他３
							' 貸出物コード
							.setParamDa(sqlMTI_LENDITM.prmLENDITEM_CD5, clsDB.Enum_dbType.dbNVarChar)
							.setValDa(sqlMTI_LENDITM.prmLENDITEM_CD5, clsConst.Enum_Lenditem.LendItem5)

							.execQueryDa(dt)

						End With
					End Using
					bDeadLock = False
				Catch ex As SqlClient.SqlException
					If ex.Number <> C_DEADLOCK_NUMBER Then
						' デッドロック以外
						bDeadLock = False
						Throw
					Else
						' デッドロック時
						If iRetryCount >= C_DEADLOCK_RETRY Then
							' リトライオーバー
							Throw
						End If
						iRetryCount += 1
						bDeadLock = True
					End If
				End Try
			Loop Until Not bDeadLock

			Return dt

		Catch ex As Exception
			Throw
		End Try

	End Function

	''' ---------------------------------------------
	''' <summary>
	''' 入退院情報、科歴情報を単位判定より取得
	''' </summary>
	''' <param name="eLendItem_Cd"></param>
	''' <returns></returns>
	''' <remarks>
	''' 2010/12/15 新規作成　CS)平井<BR/>
	''' </remarks>
	''' ---------------------------------------------
	Private Function getSQLHspCh(ByVal eLendItem_Cd As clsConst.Enum_Lenditem) As String
		log(clsSysMst.logLevel.DBG, "getSQLHspCh", "入退院情報、科歴情報を単位判定より取得")
		Try
			Dim strRet As String = String.Empty
			Dim dat As datMTM_LENDITEM = cliMTM_LendItem.getLendItem_Rec(parLendItem, eLendItem_Cd)
			Select Case dat.UNIT_CD
				Case CType(clsConst.Enum_LendUnit.Each_Dept, String)
					' 科歴毎
					strRet = sqlXSP080F070.sqlSel_CH
				Case CType(clsConst.Enum_LendUnit.Each_Hosp, String)
					' 入退院毎
					strRet = sqlXSP080F070.sqlSel_HSP
				Case CType(clsConst.Enum_LendUnit.Each_Patient, String)
					' 患者毎
					strRet = sqlXSP080F070.sqlSel_PATIENT
				Case Else
			End Select

			Return strRet

		Catch ex As Exception
			Throw
		End Try
	End Function

	''' ---------------------------------------------
	''' <summary>
	''' 貸出物の管理単位混在チェック処理
	''' </summary>
	''' <returns></returns>
	''' <remarks>
	''' 2010/12/15 新規作成　CS)平井<BR/>
	''' </remarks>
	''' ---------------------------------------------
	Private Function chkKonzai() As Boolean
		log(clsSysMst.logLevel.DBG, "chkKonzai", "貸出物の管理単位混在チェック処理")
		Try
			If parLendItem Is Nothing Then Return True

			Dim strUNIT_CD As String = String.Empty
			Dim iCount As Integer = 0

			For Each dt As datMTM_LENDITEM In parLendItem
				If Not String.IsNullOrEmpty(dt.LENDITEM_NM) Then
					If dt.UNIT_CD <> strUNIT_CD Then
						strUNIT_CD = dt.UNIT_CD
						iCount += 1
					End If
				End If
			Next
			If iCount > 1 Then
				' 混在
				Return True
			Else
				If strUNIT_CD = CType(clsConst.Enum_LendUnit.Each_Dept, String) Then
					' 科歴単位のみ
					Return False
				Else
					' 入退院歴単位のみ
					Return True
				End If
			End If

		Catch ex As Exception
			Throw
		End Try
	End Function

	''' ---------------------------------------------
	''' <summary>
	''' 患者単位のデータを１件にする。
	''' </summary>
	''' <param name="dt"></param>
	''' <returns></returns>
	''' <remarks>
	''' 2010/12/15 新規作成　CS)平井<BR/>
	''' </remarks>
	''' ---------------------------------------------
	Private Function updPatientTani(ByVal dt As DataTable) As DataTable
		log(clsSysMst.logLevel.DBG, "updPatientTani", "患者単位のデータを１件にする。")
		Try
			' 患者単位のデータを１件にする。
			Dim strPatient_No As String = String.Empty
			' 患者単位の貸出物コード保存
			Dim arLendItem_Cd_Patient = New ArrayList
			For Each ar As datMTM_LENDITEM In parLendItem
				If ar.UNIT_CD = CType(clsConst.Enum_LendUnit.Each_Patient, String) Then
					arLendItem_Cd_Patient.Add(ar.LENDITEM_CD)
				End If
			Next
			' 患者単位
			For Each strLendItem_Cd As String In arLendItem_Cd_Patient
				dt.DefaultView.Sort = C_SORT_STRING_PATIENT
				dt = dt.DefaultView.ToTable
				Dim dr() As DataRow = dt.Select(sqlXSP080F010.itmLENDITEM_CD & " = '" & cliCom.getDtItmValue(strLendItem_Cd) & "'")
				Dim bFirst As Boolean = True
				Dim strKey As String = String.Empty
				For Each r As DataRow In dr
					If strKey <> r(sqlXSP080E010.itmPATIENT_NO).ToString Then
						strKey = r(sqlXSP080E010.itmPATIENT_NO).ToString
						bFirst = True
					End If
					If bFirst Then
						bFirst = False
					Else
						' 先頭以外のデータ削除
						r.Delete()
					End If
				Next
			Next
			dt.AcceptChanges()
			dt.DefaultView.Sort = C_SORT_STRING
			dt = dt.DefaultView.ToTable
			Return dt
		Catch ex As Exception
			Throw
		End Try
	End Function

	''' ---------------------------------------------
	''' <summary>
	''' グリッドの書式設定
	''' </summary>
	''' <remarks>
	''' 2010/12/14 新規作成　CS)平井<BR/>
	''' </remarks>
	''' ---------------------------------------------
	Private Sub setGridStyle()
		log(clsSysMst.logLevel.DBG, "setGridStyle", "グリッドの書式設定")
		Try
			Dim iRowIndex As Integer = 0
			Dim iMngStatusIndex As Integer = 0
			' スタイル配列作成
			createCellStyles()
			' スタイル設定
			For Each row As DataGridViewRow In Me.dgv001XSP080F070.Rows
				' 管理物単位にスタイル設定
				iRowIndex = getRowIndex(getRowData(row, sqlXSP080F070.itmLENDITEM_CD).ToString)
				If iRowIndex > -1 Then
					row.DefaultCellStyle = csLendItemStyle(iRowIndex)
				End If
			Next
			Me.dgv001XSP080F070.ClearSelection()
		Catch ex As Exception
			Throw
		End Try
	End Sub

	''' ---------------------------------------------
	''' <summary>
	''' データグリッドビューロウより値取得処理
	''' </summary>
	''' <param name="row"></param>
	''' <param name="strItemName"></param>
	''' <returns></returns>
	''' <remarks>
	''' 2010/12/14 新規作成　CS)平井<BR/>
	''' </remarks>
	''' ---------------------------------------------
	Private Function getRowData(ByVal row As DataGridViewRow, ByVal strItemName As String) As Object
		log(clsSysMst.logLevel.DBG, "getRowData", "データグリッドビューロウより値取得処理")
		Try
			If row IsNot Nothing Then
				Return CType(row.DataBoundItem, DataRowView).Row(strItemName)
			Else
				Return Nothing
			End If
		Catch ex As Exception
			Throw
		End Try
	End Function

	''' ---------------------------------------------
	''' <summary>
	''' セルスタイル作成
	''' </summary>
	''' <remarks>
	''' 2010/12/15 新規作成　CS)平井<BR/>
	''' </remarks>
	''' ---------------------------------------------
	Private Sub createCellStyles()
		log(clsSysMst.logLevel.DBG, "createCellStyles", "セルスタイル作成")
		Dim iRed As Integer = 0
		Dim iGreen As Integer = 0
		Dim iBlue As Integer = 0
		Dim iRowIndex As Integer = 0
		Dim crBackColor As Color
		Try
			' 貸出物毎のセルスタイル作成
			csRowIndex.Clear()
			csLendItemStyle.Clear()
			For i As Integer = 0 To parLendItem.Count - 1
				Dim li As datMTM_LENDITEM = parLendItem(i)
				If IsNumeric(li.COLOR_CD_R) Then
					iRed = li.COLOR_CD_R
				Else
					iRed = 0
				End If
				If IsNumeric(li.COLOR_CD_G) Then
					iGreen = li.COLOR_CD_G
				Else
					iGreen = 0
				End If
				If IsNumeric(li.COLOR_CD_B) Then
					iBlue = li.COLOR_CD_B
				Else
					iBlue = 0
				End If
				crBackColor = ColorTranslator.FromWin32(Microsoft.VisualBasic.RGB(iRed, iGreen, iBlue))
				' インデックス作成
				csRowIndex.Add(li.LENDITEM_CD)
				' セルスタイル作成
				Dim csRE = New DataGridViewCellStyle
				csRE.ForeColor = CR_DEFAULTFORECOLOR
				csRE.BackColor = crBackColor
				csRE.SelectionForeColor = csRE.ForeColor
				csRE.SelectionBackColor = crBackColor
				csLendItemStyle.Add(csRE)
			Next
		Catch ex As Exception
			Throw
		End Try
	End Sub

	''' ---------------------------------------------
	''' <summary>
	''' データグリッドビュー行スタイルインデックス取得
	''' </summary>
	''' <param name="strMngItem_Cd"></param>
	''' <returns></returns>
	''' <remarks>
	''' 2010/12/14 新規作成　CS)平井<BR/>
	''' </remarks>
	''' ---------------------------------------------
	Private Function getRowIndex(ByVal strMngItem_Cd As String) As Integer
		log(clsSysMst.logLevel.DBG, "getRowIndex", "データグリッドビュー行スタイルインデックス取得")
		Try
			For i As Integer = 0 To csRowIndex.Count - 1
				If csRowIndex(i) = strMngItem_Cd Then
					Return i
				End If
			Next
			Return -1

		Catch ex As Exception
			Throw
		End Try
	End Function

#End Region

#Region "オーバーライダブルメソッド"

	''' ---------------------------------------------
	''' <summary>
	''' F12キー処理
	''' </summary>
	''' <returns></returns>
	''' <remarks>
	''' 2010/12/15 新規作成　CS)平井<BR/>
	''' </remarks>
	''' ---------------------------------------------
	Public Overrides Function F12KeyProc() As Boolean
		log(clsSysMst.logLevel.NRM, "F12KeyProc", "F12キー処理")
		Try
			EndProc()
		Catch ex As Exception
			Throw
		End Try
		Return False
	End Function

#End Region

End Class
