﻿Imports System.Windows.Forms
Imports System.ComponentModel
Imports System.IO
Imports XCM
Imports XSP

'''---------------------------------------------
''' <summary>
''' 手術名検索画面処理
''' </summary>
''' <remarks>
''' Copyright 2010 FUJITSU SHIKOKU SYSTEMS LIMITED All rights reserved.<BR/>
''' FUJITSU SHIKOKU SYSTEMS LIMITED CONFIDENTIAL<BR/>
''' </remarks>
'''---------------------------------------------
Public Class XSP140F010

#Region "コンスタント"

	Private Const WILDCARDCHAR As String = "%"		'ワイルドカード文字
	Private Const ANDENZAN As String = " AND "		'論理演算子
	Private Const ORENZAN As String = " OR "		'論理演算子
	Private Const C_L_GRP_CD As String = "c01037XSP140F010"
	Private Const C_M_GRP_CD As String = "c01038XSP140F010"
	Private Const C_MNG_NO As String = "c04051XSP140F010"
	Private Const STARTSQL As String = "( "
	Private Const ENDSQL As String = " )"
	Private Const DSP_GRP1_FLG As String = "DSP_GRP1_FLG <> 0"
	Private Const DSP_GRP2_FLG As String = "DSP_GRP2_FLG <> 0"
	Private Const DSP_GRP3_FLG As String = "DSP_GRP3_FLG <> 0"
	Private Const DSP_GRP4_FLG As String = "DSP_GRP4_FLG <> 0"
	Private Const DSP_GRP5_FLG As String = "DSP_GRP5_FLG <> 0"
	Private Const NONDSP_FLG As String = "NONDSP_FLG = 0"
	Private Const MNG_DIV_F As String = "MNG_DIV = 'F'"
	Private Const MNG_DIV_U As String = "MNG_DIV = 'U'"
	Private Const ICD9CM1_CD As String = " ICD9CM1_CD LIKE "
	Private Const OPE_KNM As String = " OPE_KNM LIKE "
	Private Const OPE_KANJI As String = " OPE_KANJI LIKE "
	Private Const SOCIETY_ENGLISH_NM As String = " SOCIETY_ENGLISH_NM LIKE "
	Private Const MNG_NO As String = " MNG_NO_STR LIKE "
	Private Const RECEIPT_CD As String = " RECEIPT_CD LIKE "
	Private Const K_CD As String = " K_CD LIKE "
	Private Const ORDER_ICD9CM1_CD As String = " ICD9CM1_CD "
	Private Const ORDER_OPE_KNM As String = " OPE_KNM "
	Private Const ORDER_OPE_KANJI As String = " OPE_KANJI "
	Private Const ORDER_SOCIETY_ENGLISH_NM As String = " SOCIETY_ENGLISH_NM "
	Private Const ORDER_MNG_NO As String = " MNG_NO "
	Private Const ORDER_RECEIPT_CD As String = " RECEIPT_CD "
	Private Const ORDER_K_CD As String = " K_CD "
	Private Const CST_MSG_EXEC_CSV As String = "CSV出力実行中です。"

#End Region

#Region "変数"

	' 重複起動
	Private pbExclusive As Boolean = True

	Private Const CST_INT_ZERO As Integer = 0
	Private Const CST_STR_COMMA As String = ","
	Private Const CST_STR_UNDERBAR As String = "_"

	'フォルダ指定ダイアログ用
	Private Const CST_CSV_TITLE_DATA As String = "手術名マスタ(手術名検索)" & clsCSV.CST_CSV_EXTENTION
	Private Const CST_CSV_HEADER As String = _
	  "管理記号" & CST_STR_COMMA & _
	  "管理番号" & CST_STR_COMMA & _
	  "ICD9CM" & CST_STR_COMMA & _
	  "手術等漢字" & CST_STR_COMMA & _
	  "手術等カナ" & CST_STR_COMMA & _
	  "大分類コード" & CST_STR_COMMA & _
	  "中分類コード" & CST_STR_COMMA & _
	  "３桁分類コード" & CST_STR_COMMA & _
	  "レセ電算コード" & CST_STR_COMMA & _
	  "Ｋコード" & CST_STR_COMMA & _
	  "非表示フラグ" & CST_STR_COMMA & _
	  "表示分類フラグ１" & CST_STR_COMMA & _
	  "表示分類フラグ２" & CST_STR_COMMA & _
	  "表示分類フラグ３" & CST_STR_COMMA & _
	  "表示分類フラグ４" & CST_STR_COMMA & _
	  "表示分類フラグ５"

	'CSV出力項目（共通）
	Private csvItemCommon() As String = _
	   { _
	   sqlXSP140F010.itmMNG_DIV, _
	   sqlXSP140F010.itmMNG_NO, _
	   sqlXSP140F010.itmICD9CM1_CD, _
	   sqlXSP140F010.itmOPE_KANJI, _
	   sqlXSP140F010.itmOPE_KNM, _
	   sqlXSP140F010.itmL_GRP_CD, _
	   sqlXSP140F010.itmM_GRP_CD, _
	   sqlXSP140F010.itmDIGS3_GRP_CD, _
	   sqlXSP140F010.itmRECEIPT_CD, _
	   sqlXSP140F010.itmK_CD, _
	   sqlXSP140F010.itmNONDSP_FLG, _
	   sqlXSP140F010.itmDSP_GRP1_FLG, _
	   sqlXSP140F010.itmDSP_GRP2_FLG, _
	   sqlXSP140F010.itmDSP_GRP3_FLG, _
	   sqlXSP140F010.itmDSP_GRP4_FLG, _
	   sqlXSP140F010.itmDSP_GRP5_FLG _
	   }

	Private _MNG_DIV As String									'管理記号
	Private _MNG_NO As Integer									'管理番号
	Private _MTM_OPE_NMOneRec As DictionaryEntry				'手術名基本情報１レコード
	Private _OwnerCtl As String = Nothing						'親画面の項目
	Private _PGender As String									'性別コード
	Private iGender As Integer = 0								'受け取り性別コード
	Private _PJapanese As clsConst.Enum_OverWrite				'親画面の日本語名選択
	Private _PPoint_code As clsConst.Enum_OverWrite				'親画面のポイントコード選択
	Private _POpe_kanji As String = Nothing						'親画面の手術等漢字
	Private fret As Enum_FormReturn = Enum_FormReturn.CANSEL	'画面戻り値
	Private OwnerForm As frmBase								'OwnerFormを取得
	Private cliGridSort As clsGridSort							'グリッド独自ソートクラス
	Private cliGridStyle As clsGridStyle						'グリッドスタイルクラス
	Private cliBmp As clsBmp									'画像クラス
	Private DataMTM_OPE_NM As DataTable							'手術名マスタ検索結果テーブル(全件用)
	Private DataMTM_OPE_NM_SE As DataTable						'手術名マスタ検索結果テーブル(検索タブ再検査用)
	Private DataMTM_OPE_NM_CH As DataTable						'手術名マスタ検索結果テーブル(変更保存用)
	Private DataMTM_OPE_NM_M_GRP As DataTable					'手術名中分類マスタ検索結果テーブル
	Private DataMTM_OPE_NM_DIV_DSP_ITM As DataTable				'手術名分類表示項目マスタ検索結果テーブル
	Private SearchMode As Enum_Mode								'画面モード
	Private Returnsar As ArrayList								'戻り値用リスト
	Private cliCom As clsCom									'共通メソッド
	Private Shown_Flg As Boolean = False						'初期値表示完了フラグ
	Private pbGrpSelected As Boolean = False					'大分類選択済みフラグ

	''' ---------------------------------------------
	''' <summary>
	''' 検索モード（0:抽出モード,1:通常検索モード,2:漢字検索モード,3:追加モード）
	''' </summary>
	''' <remarks>
	''' 2010/11/12 新規作成　CS)森田<BR/>
	''' </remarks>
	''' ---------------------------------------------
	Private Enum Enum_Mode As Integer
		''' ---------------------------------------------
		''' <summary>抽出モード</summary>
		''' ---------------------------------------------
		EXTRACTION = 0
		''' ---------------------------------------------
		''' <summary>通常検索モード</summary>
		''' ---------------------------------------------
		NORMAL = 1
		''' ---------------------------------------------
		''' <summary>漢字検索モード</summary>
		''' ---------------------------------------------
		KANZI_SEARCH = 2
		''' ---------------------------------------------
		''' <summary>追加モード</summary>
		''' ---------------------------------------------
		ADDITION = 3
	End Enum

#End Region

#Region "コンストラクタ"

	'''---------------------------------------------
	''' <summary>
	''' コンストラクタ(抽出モード)
	''' </summary>
	''' <remarks>
	''' 2010/11/02 新規作成　CS)森田<BR/>
	''' </remarks>
	'''---------------------------------------------
	Sub New()

		' この呼び出しは、Windows フォーム デザイナで必要です。
		InitializeComponent()

		' InitializeComponent() 呼び出しの後で初期化を追加します。
		_PJapanese = Nothing
		_PPoint_code = Nothing
		SearchMode = XSP140F010.Enum_Mode.EXTRACTION

	End Sub

	'''---------------------------------------------
	''' <summary>
	''' コンストラクタ(追加モード)
	''' </summary>
	''' <param name="ownerctl">親画面の項目</param>
	''' <param name="PGender">性別コード</param>
	''' <remarks>
	''' 2010/11/02 新規作成　CS)森田<BR/>
	''' </remarks>
	'''---------------------------------------------
	Sub New(ByVal ownerctl As String, ByVal PGender As String)

		' この呼び出しは、Windows フォーム デザイナで必要です。
		InitializeComponent()

		' InitializeComponent() 呼び出しの後で初期化を追加しま。

		_OwnerCtl = ownerctl					'親画面の項目
		_PGender = PGender						'性別
		SearchMode = XSP140F010.Enum_Mode.ADDITION

	End Sub

	'''---------------------------------------------
	''' <summary>
	''' コンストラクタ（通常検索モード）
	''' </summary>
	''' <param name="ownerctl">親画面の項目</param>
	''' <param name="PJapanese_OverWrite">日本語名の上書き可否</param>
	''' <param name="PPoint_code_OverWrite">点数表コードの上書き可否</param>
	''' <param name="PGender">性別コード</param>
	''' <remarks>
	''' 2010/11/02 新規作成　CS)森田<BR/>
	''' </remarks>
	'''---------------------------------------------
	Sub New(ByVal ownerctl As String, ByVal PJapanese_OverWrite As clsConst.Enum_OverWrite, ByVal PPoint_code_OverWrite As clsConst.Enum_OverWrite, ByVal PGender As String)

		' この呼び出しは、Windows フォーム デザイナで必要です。
		InitializeComponent()

		' InitializeComponent() 呼び出しの後で初期化を追加します。

		_OwnerCtl = ownerctl					'親画面の項目
		_PGender = PGender						'性別
		_PJapanese = PJapanese_OverWrite		'日本語名の上書き可否
		_PPoint_code = PPoint_code_OverWrite	'点数表コードの上書き可否
		SearchMode = XSP140F010.Enum_Mode.NORMAL

	End Sub

	'''---------------------------------------------
	''' <summary>
	''' コンストラクタ（通常検索モード）
	''' </summary>
	''' <param name="ownerctl">親画面の項目</param>
	''' <param name="PJapanese_OverWrite">日本語名の上書き可否</param>
	''' <param name="PPoint_code_OverWrite">点数表コードの上書き可否</param>
	''' <param name="PGender">性別コード</param>
	''' <param name="PIcd9">ICD9コード</param>
	''' <remarks></remarks>
	'''---------------------------------------------
	Sub New(ByVal ownerctl As String, ByVal PJapanese_OverWrite As clsConst.Enum_OverWrite, ByVal PPoint_code_OverWrite As clsConst.Enum_OverWrite, ByVal PGender As String, ByVal PIcd9 As String)

		' この呼び出しは、Windows フォーム デザイナで必要です。
		InitializeComponent()

		' InitializeComponent() 呼び出しの後で初期化を追加します。

		_OwnerCtl = ownerctl					'親画面の項目
		_PGender = PGender						'性別
		_PJapanese = PJapanese_OverWrite		'日本語名の上書き可否
		_PPoint_code = PPoint_code_OverWrite	'点数表コードの上書き
		SearchMode = XSP140F010.Enum_Mode.NORMAL

	End Sub

	'''---------------------------------------------
	''' <summary>
	''' コンストラクタ（通常検索モード,値入力検索モード）
	''' </summary>
	''' <param name="ownerctl">親画面の項目</param>
	''' <param name="PJapanese_OverWrite">日本語名の上書き可否</param>
	''' <param name="PPoint_code_OverWrite">点数表コードの上書き可否</param>
	''' <param name="PGender">性別コード</param>
	''' <param name="PIcd9">ICD9コード</param>
	''' <param name="POpe_kanji">手術名表記</param>
	''' <remarks></remarks>
	'''---------------------------------------------
	Sub New(ByVal ownerctl As String, ByVal PJapanese_OverWrite As clsConst.Enum_OverWrite, ByVal PPoint_code_OverWrite As clsConst.Enum_OverWrite, ByVal PGender As String, ByVal PIcd9 As String, ByVal POpe_kanji As String)

		' この呼び出しは、Windows フォーム デザイナで必要です。
		InitializeComponent()

		' InitializeComponent() 呼び出しの後で初期化を追加します。

		_POpe_kanji = POpe_kanji				'手術名表記
		_OwnerCtl = ownerctl					'親画面の項目
		_PGender = PGender						'性別
		_PJapanese = PJapanese_OverWrite		'日本語名の上書き可否
		_PPoint_code = PPoint_code_OverWrite	'点数表コードの上書き
		If String.IsNullOrEmpty(_POpe_kanji) Then
			SearchMode = XSP140F010.Enum_Mode.NORMAL
		Else
			SearchMode = XSP140F010.Enum_Mode.KANZI_SEARCH
		End If
	End Sub

#End Region

#Region "イベント"

	'''---------------------------------------------
	''' <summary>
	''' 手術名検索画面＿初期表示
	''' </summary>
	''' <param name="sender"></param>
	''' <param name="e"></param>
	''' <remarks>
	''' 2010/11/02 新規作成　CS)森田<BR/>
	''' </remarks>
	'''---------------------------------------------
	Private Sub XSP140F010_Load(ByVal sender As System.Object, ByVal e As System.EventArgs) Handles MyBase.Load
		log(clsSysMst.logLevel.NRM, "XSP140F010_Load", "手術名検索画面＿初期表示 Start")
		Try
			cliCom = New clsCom
			cliGridSort = New clsGridSort
			cliGridStyle = New clsGridStyle
			_MTM_OPE_NMOneRec = New DictionaryEntry
			_MTM_OPE_NMOneRec.Key = _OwnerCtl
			cliBmp = New clsBmp
			Returnsar = New ArrayList
			OwnerForm = Me.Owner		'OwnerFormを取得
			If String.IsNullOrEmpty(_PGender) Then
				DataMTM_OPE_NM = getMTM_OPE_NM_ALL()
			Else
				If Integer.TryParse(_PGender, iGender) Then
					Select Case iGender
						Case clsConst.Enum_Gender.Man		'男
							DataMTM_OPE_NM = getMTM_OPE_NM_ALL_GE()
						Case clsConst.Enum_Gender.Woman		'女
							DataMTM_OPE_NM = getMTM_OPE_NM_ALL_GE()
						Case Else
							DataMTM_OPE_NM = getMTM_OPE_NM_ALL()
					End Select
				Else
					DataMTM_OPE_NM = getMTM_OPE_NM_ALL()
				End If
			End If
			DataMTM_OPE_NM_M_GRP = getMTM_OPE_MGRP()
			DataMTM_OPE_NM_DIV_DSP_ITM = getMTM_OPE_NM_DIV_DSP_ITM()

			' メニュー起動時
			If SearchMode = XSP140F010.Enum_Mode.EXTRACTION Then
				' 排他制御登録
				If Not Me.setStartStatus(True) Then
					' 画面終了
					Me.EndProc()
					Exit Sub
				End If
				Me.pbExclusive = False
			End If

			If Integer.TryParse(_PGender, iGender) Then
			End If

			Me.btn005XSP140F010.Image = cliBmp.getBmp(clsBmp.Enum_BmpType.PrintPreview)
			Me.btn006XSP140F010.Image = cliBmp.getBmp(clsBmp.Enum_BmpType.Print)

			cliGridStyle.setGridHeight(Me.dgv037XSP140F010)		'グリッド１行の高さを設定
			cliGridStyle.setGridHeight(Me.dgv038XSP140F010)		'グリッド１行の高さを設定
			cliGridStyle.setGridHeight(Me.dgv051XSP140F010)		'グリッド１行の高さを設定

			Me.cmb002XSP140F010.DataSource = clsConst.getOverWrite
			Me.cmb004XSP140F010.DataSource = clsConst.getOverWrite

			' 手術名検索一覧Grid設定
			Me.dgv051XSP140F010.AutoGenerateColumns = False
			Me.tab020XSP140F010.SelectedIndex = 0
			Me.lik034XSP140F010.MatchingCriteria = BT_Like.Enum_MatchingCriteria.PrefixMatch
			Me.rdo023XSP140F010.Checked = True
			Me.rdo012XSP140F010.Checked = True
			Me.rdo041XSP140F010.Checked = True
			Me.rdo047XSP140F010.Checked = True
		Catch ex As Exception
			ErrorProc(ex)						'エラー処理
			If SearchMode <> XSP140F010.Enum_Mode.EXTRACTION Then
				Me.OwnerForm.setCancelFlg(True)		'Load時に強制的に画面を閉じる場合に必要
			End If
			EndProc()							'終了処理
		End Try
	End Sub

	'''---------------------------------------------
	''' <summary>
	''' 手術名検索画面＿初期値表示
	''' </summary>
	''' <param name="sender"></param>
	''' <param name="e"></param>
	''' <remarks>
	''' 2010/11/02 新規作成　CS)森田<BR/>
	''' </remarks>
	'''---------------------------------------------
	Private Sub XSP140F010_Shown(ByVal sender As System.Object, ByVal e As System.EventArgs) Handles MyBase.Shown
		log(clsSysMst.logLevel.NRM, "XSP140F010_Shown", "手術名検索画面＿初期値表示 Start")
		Dim SpecialItems As ArrayList
		Try
			SpecialItems = New ArrayList
			Dim count As Integer = DataMTM_OPE_NM_DIV_DSP_ITM.Rows.Count

			Dim Rowscounter As Long

			chk014XSP140F010.Visible = False
			chk015XSP140F010.Visible = False
			chk016XSP140F010.Visible = False
			chk017XSP140F010.Visible = False
			chk018XSP140F010.Visible = False

			If count <> 0 Then
				For Rowscounter = 0 To count - 1
					Select Case True
						Case Rowscounter = 0
							chk014XSP140F010.Visible = True
							chk014XSP140F010.Text = DataMTM_OPE_NM_DIV_DSP_ITM.Rows(Rowscounter).Item(1).ToString
						Case Rowscounter = 1
							chk015XSP140F010.Visible = True
							chk015XSP140F010.Text = DataMTM_OPE_NM_DIV_DSP_ITM.Rows(Rowscounter).Item(1).ToString
						Case Rowscounter = 2
							chk016XSP140F010.Visible = True
							chk016XSP140F010.Text = DataMTM_OPE_NM_DIV_DSP_ITM.Rows(Rowscounter).Item(1).ToString
						Case Rowscounter = 3
							chk017XSP140F010.Visible = True
							chk017XSP140F010.Text = DataMTM_OPE_NM_DIV_DSP_ITM.Rows(Rowscounter).Item(1).ToString
						Case Rowscounter = 4
							chk018XSP140F010.Visible = True
							chk018XSP140F010.Text = DataMTM_OPE_NM_DIV_DSP_ITM.Rows(Rowscounter).Item(1).ToString
						Case Else
					End Select
				Next Rowscounter
			End If
			SpecialItems.Add(New DictionaryEntry(clsConst.CST_MNGSIGN_F, Me.rdo010XSP140F010.Name))		'手術名検索画面-管理記号（F)
			SpecialItems.Add(New DictionaryEntry(clsConst.CST_MNGSIGN_U, Me.rdo011XSP140F010.Name))		'手術名検索画面-管理記号（U)
			SpecialItems.Add(New DictionaryEntry(clsConst.CST_MNGSIGN_A, Me.rdo012XSP140F010.Name))		'手術名検索画面-すべて
			SpecialItems.Add(New DictionaryEntry(clsConst.CST_DSP_GRP1_FLG, Me.chk014XSP140F010.Name))	'手術名検索画面-表示分類１
			SpecialItems.Add(New DictionaryEntry(clsConst.CST_DSP_GRP2_FLG, Me.chk015XSP140F010.Name))	'手術名検索画面-表示分類２
			SpecialItems.Add(New DictionaryEntry(clsConst.CST_DSP_GRP3_FLG, Me.chk016XSP140F010.Name))	'手術名検索画面-表示分類３
			SpecialItems.Add(New DictionaryEntry(clsConst.CST_DSP_GRP4_FLG, Me.chk017XSP140F010.Name))	'手術名検索画面-表示分類４
			SpecialItems.Add(New DictionaryEntry(clsConst.CST_DSP_GRP5_FLG, Me.chk018XSP140F010.Name))	'手術名検索画面-表示分類５
			SpecialItems.Add(New DictionaryEntry(Me.cmb002XSP140F010.Name, Me.cmb002XSP140F010.Name))	'手術名検索画面-通常項目
			SpecialItems.Add(New DictionaryEntry(Me.cmb004XSP140F010.Name, Me.cmb004XSP140F010.Name))	'手術名検索画面-通常項目
			SpecialItems.Add(New DictionaryEntry(Me.chk019XSP140F010.Name, Me.chk019XSP140F010.Name))	'手術名検索画面-通常項目
			SpecialItems.Add(New DictionaryEntry(Me.tab020XSP140F010.Name, Me.tab020XSP140F010.Name))	'手術名検索画面-通常項目
			SpecialItems.Add(New DictionaryEntry(Me.rdo023XSP140F010.Name, Me.rdo023XSP140F010.Name))	'手術名検索画面-通常項目
			SpecialItems.Add(New DictionaryEntry(Me.rdo024XSP140F010.Name, Me.rdo024XSP140F010.Name))	'手術名検索画面-通常項目
			SpecialItems.Add(New DictionaryEntry(Me.rdo025XSP140F010.Name, Me.rdo025XSP140F010.Name))	'手術名検索画面-通常項目
			SpecialItems.Add(New DictionaryEntry(Me.rdo026XSP140F010.Name, Me.rdo026XSP140F010.Name))	'手術名検索画面-通常項目
			SpecialItems.Add(New DictionaryEntry(Me.rdo027XSP140F010.Name, Me.rdo027XSP140F010.Name))	'手術名検索画面-通常項目
			SpecialItems.Add(New DictionaryEntry(Me.rdo028XSP140F010.Name, Me.rdo028XSP140F010.Name))	'手術名検索画面-通常項目
			SpecialItems.Add(New DictionaryEntry(Me.rdo029XSP140F010.Name, Me.rdo029XSP140F010.Name))	'手術名検索画面-通常項目
			SpecialItems.Add(New DictionaryEntry(Me.lik034XSP140F010.Name, Me.lik034XSP140F010.Name))	'手術名検索画面-通常項目
			SpecialItems.Add(New DictionaryEntry(Me.rdo041XSP140F010.Name, Me.rdo041XSP140F010.Name))	'手術名検索画面-通常項目
			SpecialItems.Add(New DictionaryEntry(Me.rdo042XSP140F010.Name, Me.rdo042XSP140F010.Name))	'手術名検索画面-通常項目
			SpecialItems.Add(New DictionaryEntry(Me.rdo043XSP140F010.Name, Me.rdo043XSP140F010.Name))	'手術名検索画面-通常項目
			SpecialItems.Add(New DictionaryEntry(Me.rdo047XSP140F010.Name, Me.rdo047XSP140F010.Name))	'手術名検索画面-通常項目
			SpecialItems.Add(New DictionaryEntry(Me.rdo048XSP140F010.Name, Me.rdo048XSP140F010.Name))	'手術名検索画面-通常項目

			' 前回値取得
			If SearchMode = XSP140F010.Enum_Mode.KANZI_SEARCH Then
'(A) STR V4-13003-000 003 20130222 ID)平井(名称検索時の前回値保存)
				LoadLastValue(SpecialItems, Nothing)
'(A) END V4-13003-000 003 20130222
			Else
				LoadLastValue(SpecialItems, _OwnerCtl)
			End If

			Select Case True
				Case SearchMode = XSP140F010.Enum_Mode.NORMAL
					btn005XSP140F010.Visible = False
					btn006XSP140F010.Visible = False
					btn007XSP140F010.Visible = False
					btn008XSP140F010.Visible = False
					lbl052XSP140F010.Visible = False
					If String.IsNullOrEmpty(_PJapanese) Then
					Else
						Select Case True
							Case _PJapanese = clsConst.Enum_OverWrite.OverWrite
								Me.cmb002XSP140F010.SelectedIndex = 0
							Case _PJapanese = clsConst.Enum_OverWrite.NonOverWrite
								Me.cmb002XSP140F010.SelectedIndex = 1
						End Select
					End If
					If String.IsNullOrEmpty(_PPoint_code) Then
					Else
						Select Case True
							Case _PPoint_code = clsConst.Enum_OverWrite.OverWrite
								Me.cmb004XSP140F010.SelectedIndex = 0
							Case _PPoint_code = clsConst.Enum_OverWrite.NonOverWrite
								Me.cmb004XSP140F010.SelectedIndex = 1
						End Select
					End If
				Case SearchMode = XSP140F010.Enum_Mode.KANZI_SEARCH
					tab020XSP140F010.SelectedIndex = 0
					rdo025XSP140F010.Checked = True
					txt031XSP140F010.Text = _POpe_kanji
'(D) STR V4-13003-000 003 20130222 ID)平井(名称検索時の前回値保存)
'					lik034XSP140F010.MatchingCriteria = BT_Like.Enum_MatchingCriteria.PrefixMatch
'(D) END V4-13003-000 003 20130222
					btn005XSP140F010.Visible = False
					btn006XSP140F010.Visible = False
					btn007XSP140F010.Visible = False
					btn008XSP140F010.Visible = False
					lbl052XSP140F010.Visible = False
					If String.IsNullOrEmpty(_PJapanese) Then
					Else
						Select Case True
							Case _PJapanese = clsConst.Enum_OverWrite.OverWrite
								Me.cmb002XSP140F010.SelectedIndex = 0
							Case _PJapanese = clsConst.Enum_OverWrite.NonOverWrite
								Me.cmb002XSP140F010.SelectedIndex = 1
						End Select
					End If
					If String.IsNullOrEmpty(_PPoint_code) Then
					Else
						Select Case True
							Case _PPoint_code = clsConst.Enum_OverWrite.OverWrite
								Me.cmb004XSP140F010.SelectedIndex = 0
							Case _PPoint_code = clsConst.Enum_OverWrite.NonOverWrite
								Me.cmb004XSP140F010.SelectedIndex = 1
						End Select
					End If
				Case SearchMode = XSP140F010.Enum_Mode.ADDITION
					btn005XSP140F010.Visible = False
					btn006XSP140F010.Visible = False
					btn007XSP140F010.Visible = False
					lbl001XSP140F010.Visible = False
					cmb002XSP140F010.Visible = False
					lbl003XSP140F010.Visible = False
					cmb004XSP140F010.Visible = False
					btn004XSP000F010.Visible = False
				Case SearchMode = XSP140F010.Enum_Mode.EXTRACTION
					btn004XSP000F010.Visible = False
					btn008XSP140F010.Visible = False
					lbl001XSP140F010.Visible = False
					cmb002XSP140F010.Visible = False
					lbl003XSP140F010.Visible = False
					cmb004XSP140F010.Visible = False
					lbl052XSP140F010.Visible = False
					btn005XSP000F010.Text = "終了" & Chr(13) & Chr(10) & "(F12)"
				Case Else
			End Select

			Me.lbl053XSP140F010.Text = Nothing					'件数クリア
			Me.dgv037XSP140F010.DataSource = getMTM_OPE_LGRP()
			Me.dgv037XSP140F010.ClearSelection()

			' フォーカス初期設定
			SetFocus()
			Shown_Flg = True
		Catch ex As Exception
			ErrorProc(ex)						'エラー処理	
			EndProc()							'終了処理	
		End Try
	End Sub

	'''---------------------------------------------
	''' <summary>
	''' 手術名検索画面＿終了処理
	''' </summary>
	''' <param name="sender"></param>
	''' <param name="e"></param>
	''' <remarks>
	''' 2010/11/02 新規作成　CS)森田<BR/>
	''' </remarks>
	'''---------------------------------------------
	Private Sub XSP140F010_FormClosing(ByVal sender As System.Object, ByVal e As System.Windows.Forms.FormClosingEventArgs) Handles MyBase.FormClosing
		log(clsSysMst.logLevel.NRM, "XSP140F010_FormClosing", "手術名検索画面＿終了処理 Start")
		Dim SpecialItems As ArrayList = Nothing
		Dim ReturnValue As ArrayList = Nothing
		Dim FirstException As Exception = Nothing
		Try
			SpecialItems = New ArrayList
			SpecialItems.Add(New DictionaryEntry(clsConst.CST_MNGSIGN_F, Me.rdo010XSP140F010.Name))		'手術名検索画面-管理記号（F)
			SpecialItems.Add(New DictionaryEntry(clsConst.CST_MNGSIGN_U, Me.rdo011XSP140F010.Name))		'手術名検索画面-管理記号（U)
			SpecialItems.Add(New DictionaryEntry(clsConst.CST_MNGSIGN_A, Me.rdo012XSP140F010.Name))		'手術名検索画面-すべて
			SpecialItems.Add(New DictionaryEntry(clsConst.CST_DSP_GRP1_FLG, Me.chk014XSP140F010.Name))	'手術名検索画面-表示分類１
			SpecialItems.Add(New DictionaryEntry(clsConst.CST_DSP_GRP2_FLG, Me.chk015XSP140F010.Name))	'手術名検索画面-表示分類２
			SpecialItems.Add(New DictionaryEntry(clsConst.CST_DSP_GRP3_FLG, Me.chk016XSP140F010.Name))	'手術名検索画面-表示分類３
			SpecialItems.Add(New DictionaryEntry(clsConst.CST_DSP_GRP4_FLG, Me.chk017XSP140F010.Name))	'手術名検索画面-表示分類４
			SpecialItems.Add(New DictionaryEntry(clsConst.CST_DSP_GRP5_FLG, Me.chk018XSP140F010.Name))	'手術名検索画面-表示分類５
			SpecialItems.Add(New DictionaryEntry(Me.cmb002XSP140F010.Name, Me.cmb002XSP140F010.Name))	'手術名検索画面-通常項目
			SpecialItems.Add(New DictionaryEntry(Me.cmb004XSP140F010.Name, Me.cmb004XSP140F010.Name))	'手術名検索画面-通常項目
			SpecialItems.Add(New DictionaryEntry(Me.chk019XSP140F010.Name, Me.chk019XSP140F010.Name))	'手術名検索画面-通常項目
			SpecialItems.Add(New DictionaryEntry(Me.tab020XSP140F010.Name, Me.tab020XSP140F010.Name))	'手術名検索画面-通常項目
			SpecialItems.Add(New DictionaryEntry(Me.rdo023XSP140F010.Name, Me.rdo023XSP140F010.Name))	'手術名検索画面-通常項目
			SpecialItems.Add(New DictionaryEntry(Me.rdo024XSP140F010.Name, Me.rdo024XSP140F010.Name))	'手術名検索画面-通常項目
			SpecialItems.Add(New DictionaryEntry(Me.rdo025XSP140F010.Name, Me.rdo025XSP140F010.Name))	'手術名検索画面-通常項目
			SpecialItems.Add(New DictionaryEntry(Me.rdo026XSP140F010.Name, Me.rdo026XSP140F010.Name))	'手術名検索画面-通常項目
			SpecialItems.Add(New DictionaryEntry(Me.rdo027XSP140F010.Name, Me.rdo027XSP140F010.Name))	'手術名検索画面-通常項目
			SpecialItems.Add(New DictionaryEntry(Me.rdo028XSP140F010.Name, Me.rdo028XSP140F010.Name))	'手術名検索画面-通常項目
			SpecialItems.Add(New DictionaryEntry(Me.rdo029XSP140F010.Name, Me.rdo029XSP140F010.Name))	'手術名検索画面-通常項目
			SpecialItems.Add(New DictionaryEntry(Me.lik034XSP140F010.Name, Me.lik034XSP140F010.Name))	'手術名検索画面-通常項目
			SpecialItems.Add(New DictionaryEntry(Me.rdo041XSP140F010.Name, Me.rdo041XSP140F010.Name))	'手術名検索画面-通常項目
			SpecialItems.Add(New DictionaryEntry(Me.rdo042XSP140F010.Name, Me.rdo042XSP140F010.Name))	'手術名検索画面-通常項目
			SpecialItems.Add(New DictionaryEntry(Me.rdo043XSP140F010.Name, Me.rdo043XSP140F010.Name))	'手術名検索画面-通常項目
			SpecialItems.Add(New DictionaryEntry(Me.rdo047XSP140F010.Name, Me.rdo047XSP140F010.Name))	'手術名検索画面-通常項目
			SpecialItems.Add(New DictionaryEntry(Me.rdo048XSP140F010.Name, Me.rdo048XSP140F010.Name))	'手術名検索画面-通常項目

			If Shown_Flg Then
				Try
					' 前回値保存
					If SearchMode = XSP140F010.Enum_Mode.KANZI_SEARCH Then
'(A) STR V4-13003-000 003 20130207 ID)平井(名称検索時の前回値保存)
						SaveLastValue(SpecialItems, Nothing)
'(A) END V4-13003-000 003 20130207
					Else
						SaveLastValue(SpecialItems, _OwnerCtl)
					End If
				Catch ex As Exception
					' エラー処理は１回のみ
					FirstException = ex
				End Try

				If SearchMode <> XSP140F010.Enum_Mode.EXTRACTION Then
					' エラー時は画面にとどまる
					If FirstException IsNot Nothing Then
						e.Cancel = True
						Exit Sub
					End If

					Try
						' 戻り値の作成
						ReturnValue = New ArrayList
						ReturnValue.Add(Me.cmb002XSP140F010.SelectedValue)
						ReturnValue.Add(Me.cmb004XSP140F010.SelectedValue)
						If Returnsar IsNot Nothing AndAlso Returnsar.Count > 0 Then
							For Each obj As Object In Returnsar
								ReturnValue.Add(obj)
							Next
						End If
						_MTM_OPE_NMOneRec.Value = ReturnValue
						fret = Enum_FormReturn.OK
						OwnerForm.backForm(False, fret, _MTM_OPE_NMOneRec)
						setCloseFlg()	'Close許可
					Catch ex As Exception
						' エラー時は画面にとどまる
						e.Cancel = True
						Throw
					End Try
				Else
					setCloseFlg()	'Close許可
					If FirstException Is Nothing Then
						' 排他制御削除
						If Not pbExclusive Then
							Me.delStartStatus()
						End If
					End If
				End If
			Else
				setCloseFlg()	'Close許可
				If SearchMode <> XSP140F010.Enum_Mode.EXTRACTION Then
					OwnerForm.setCancelFlg(True)
					OwnerForm.backForm(False)
				Else
					' 排他制御削除
					If Not pbExclusive Then
						Me.delStartStatus()
					End If
				End If
			End If

			Me.dgv037XSP140F010.DataSource = Nothing
			Me.dgv038XSP140F010.DataSource = Nothing
			Me.dgv051XSP140F010.DataSource = Nothing

			If DataMTM_OPE_NM IsNot Nothing Then DataMTM_OPE_NM.Dispose()
			If DataMTM_OPE_NM_SE IsNot Nothing Then DataMTM_OPE_NM_SE.Dispose()
			If DataMTM_OPE_NM_CH IsNot Nothing Then DataMTM_OPE_NM_CH.Dispose()
			If DataMTM_OPE_NM_M_GRP IsNot Nothing Then DataMTM_OPE_NM_M_GRP.Dispose()
			If DataMTM_OPE_NM_DIV_DSP_ITM IsNot Nothing Then DataMTM_OPE_NM_DIV_DSP_ITM.Dispose()
		Catch ex As Exception
			' エラー処理は１回のみ
			FirstException = ex
		Finally
			If FirstException IsNot Nothing Then
				' エラー処理
				ErrorProc(FirstException)
			End If
			SpecialItems = Nothing
			ReturnValue = Nothing
			FirstException = Nothing
			If Not e.Cancel Then
				DataMTM_OPE_NM = Nothing
				DataMTM_OPE_NM_SE = Nothing
				DataMTM_OPE_NM_CH = Nothing
				DataMTM_OPE_NM_M_GRP = Nothing
				DataMTM_OPE_NM_DIV_DSP_ITM = Nothing
				cliGridSort = Nothing
				cliGridStyle = Nothing
				Returnsar = Nothing
				cliCom = Nothing
				OwnerForm = Nothing
			End If
		End Try
	End Sub

	'''---------------------------------------------
	''' <summary>
	''' 確定ボタンクリック
	''' </summary>
	''' <param name="sender"></param>
	''' <param name="e"></param>
	''' <remarks>
	''' 2010/11/02 新規作成　CS)森田<BR/>
	''' </remarks>
	'''---------------------------------------------
	Private Sub btn004XSP000F010_Click(ByVal sender As System.Object, ByVal e As System.EventArgs) Handles btn004XSP000F010.Click
		log(clsSysMst.logLevel.NRM, "btn004XSP000F010_Click", "確定ボタンクリック Start")
		Try
			' マウスカーソルを砂時計に変更
			Me.Cursor = Cursors.WaitCursor
			' 確定処理
			UpdProc()
		Catch ex As Exception
			ErrorProc(ex)
		Finally
			' マウスカーソルを標準に戻す
			Me.Cursor = Cursors.Default
		End Try
	End Sub

	'''---------------------------------------------
	''' <summary>
	''' 閉じるボタンクリック
	''' </summary>
	''' <param name="sender"></param>
	''' <param name="e"></param>
	''' <remarks>
	''' 2010/11/02 新規作成　CS)森田<BR/>
	''' </remarks>
	'''---------------------------------------------
	Private Sub btn005XSP000F010_Click(ByVal sender As System.Object, ByVal e As System.EventArgs) Handles btn005XSP000F010.Click
		log(clsSysMst.logLevel.NRM, "btn005XSP000F010_Click", "閉じるボタンクリック Start")
		Try
			' マウスカーソルを砂時計に変更
			Me.Cursor = Cursors.WaitCursor
			' 終了処理
			EndProc()
		Catch ex As Exception
			ErrorProc(ex)
		Finally
			' マウスカーソルを標準に戻す
			Me.Cursor = Cursors.Default
		End Try
	End Sub

	'''---------------------------------------------
	''' <summary>
	''' 追加ボタンクリック
	''' </summary>
	''' <param name="sender"></param>
	''' <param name="e"></param>
	''' <remarks>
	''' 2010/11/02 新規作成　CS)森田<BR/>
	''' </remarks>
	'''---------------------------------------------
	Private Sub btn008XSP140F010_Click(ByVal sender As System.Object, ByVal e As System.EventArgs) Handles btn008XSP140F010.Click
		log(clsSysMst.logLevel.NRM, "btn008XSP140F010_Click", "追加ボタンクリック Start")
		Try
			' マウスカーソルを砂時計に変更
			Me.Cursor = Cursors.WaitCursor
			' 追加処理
			AddProc()
'(M) STR V4-12037-000 004 2012/07/16 FWEST)H.Y がん登録Ｖ２対応(病名検索、手術検索)
'			SetFocus()
			SetFocus(True)
'(M) END V4-12037-000 004 2012/07/16 FWEST)H.Y がん登録Ｖ２対応(病名検索、手術検索)
		Catch ex As Exception
			ErrorProc(ex)
		Finally
			' マウスカーソルを標準に戻す
			Me.Cursor = Cursors.Default
		End Try
	End Sub

	'''---------------------------------------------
	''' <summary>
	''' 印刷ボタンクリック
	''' </summary>
	''' <param name="sender"></param>
	''' <param name="e"></param>
	''' <remarks>
	''' 2010/11/02 新規作成　CS)森田<BR/>
	''' </remarks>
	'''---------------------------------------------
	Private Sub btn006XSP140F010_Click(ByVal sender As System.Object, ByVal e As System.EventArgs) Handles btn006XSP140F010.Click
		log(clsSysMst.logLevel.NRM, "btn006XSP140F010_Click", "印刷ボタンクリック Start")
		Try
			If Me.dgv051XSP140F010.CurrentCell Is Nothing OrElse Me.dgv051XSP140F010.CurrentCell.ColumnIndex < 0 Then
				showMsg("E0010")		'検索条件に対する該当データが存在しません。
			Else
				' 印刷処理
				Using eXSP140R010 As XSP140R010 = New XSP140R010(Me)
					' 印刷・プレビュー処理（手術名検索）
					eXSP140R010.Prn_OPE_NM_search(Me.dgv051XSP140F010, True)
				End Using
			End If
			SetFocus()
		Catch ex As Exception
			ErrorProc(ex)
		End Try
	End Sub

	'''---------------------------------------------
	''' <summary>
	''' プレビューボタンクリック
	''' </summary>
	''' <param name="sender"></param>
	''' <param name="e"></param>
	''' <remarks>
	''' 2010/11/02 新規作成　CS)森田<BR/>
	''' </remarks>
	'''---------------------------------------------
	Private Sub btn005XSP140F010_Click(ByVal sender As System.Object, ByVal e As System.EventArgs) Handles btn005XSP140F010.Click
		log(clsSysMst.logLevel.NRM, "btn005XSP140F010_Click", "プレビューボタンクリック Start")
		Try
			If Me.dgv051XSP140F010.CurrentCell Is Nothing OrElse Me.dgv051XSP140F010.CurrentCell.ColumnIndex < 0 Then
				showMsg("E0010")		'検索条件に対する該当データが存在しません。
			Else
				' プレビュー処理
				Using eXSP140R010 As XSP140R010 = New XSP140R010(Me)
					' 印刷・プレビュー処理（手術名検索）
					eXSP140R010.Prn_OPE_NM_search(Me.dgv051XSP140F010, False)
				End Using
			End If
			SetFocus()
		Catch ex As Exception
			ErrorProc(ex)
		End Try
	End Sub

	'''---------------------------------------------
	''' <summary>
	''' CSV出力ボタンクリック
	''' </summary>
	''' <param name="sender"></param>
	''' <param name="e"></param>
	''' <remarks>
	''' 2010/11/02 新規作成　CS)森田<BR/>
	''' </remarks>
	'''---------------------------------------------
	Private Sub btn007XSP140F010_Click(ByVal sender As System.Object, ByVal e As System.EventArgs) Handles btn007XSP140F010.Click
		log(clsSysMst.logLevel.NRM, "btn007XSP140F010_Click", "CSV出力ボタンクリック Start")
		Dim sCsvFileNm As String = Nothing
		Dim sCsvPath As String = Nothing
		Dim retSaveDialog As String = Nothing
		Try
			' マウスカーソルを砂時計に変更
			Me.Cursor = Cursors.WaitCursor

			' チェック
			If Not ChkPrintCondition() Then
				showMsg("E0010")		'該当するデータはありませんでした
				Exit Sub
			End If

			' 実行中メッセージ表示
			Me.tsl002frmBase.Text = CST_MSG_EXEC_CSV

			' 保存ダイアログを表示
			retSaveDialog = cliCom.setSaveFileDialog(CST_CSV_TITLE_DATA, clsCSV.getCSVPath, clsCom.Enum_FileDialogType.eCSV)
			If String.IsNullOrEmpty(retSaveDialog) Then
				showMsg("I0011", "データ抽出", Nothing)		'データ抽出をキャンセルします。
				Exit Sub
			End If

			' 出力先フォルダの取得
			sCsvFileNm = FileIO.FileSystem.GetName(retSaveDialog)
			sCsvPath = Path.GetDirectoryName(retSaveDialog)

			' CSV出力
			PutCSV(sCsvPath, sCsvFileNm, DataMTM_OPE_NM_SE)
			SetFocus()
		Catch ex As IOException
			showMsg("E0013", "CSV出力", ex.Message)
		Catch ex As Exception
			ErrorProc(ex)
		Finally
			Me.tsl002frmBase.Text = String.Empty
			' マウスカーソルを標準に戻す
			Me.Cursor = Cursors.Default
		End Try
	End Sub

	'''---------------------------------------------
	''' <summary>
	''' 検索タブ検索ボタンクリック
	''' </summary>
	''' <param name="sender"></param>
	''' <param name="e"></param>
	''' <remarks>
	''' 2010/11/02 新規作成　CS)森田<BR/>
	''' </remarks>
	'''---------------------------------------------
	Private Sub btn035XSP140F010_Click(ByVal sender As System.Object, ByVal e As System.EventArgs) Handles btn035XSP140F010.Click
		log(clsSysMst.logLevel.NRM, "btn035XSP140F010_Click", "検索タブ検索ボタンクリック Start")
		Try
			SearchProc()
		Catch ex As Exception
			ErrorProc(ex)
		End Try
	End Sub

	'''---------------------------------------------
	''' <summary>
	''' 検索タブ検索種類変更
	''' </summary>
	''' <param name="sender"></param>
	''' <param name="e"></param>
	''' <remarks>
	''' 2010/11/02 新規作成　CS)森田<BR/>
	''' </remarks>
	'''---------------------------------------------
	Private Sub rdo023XSP140F010_CheckedChanged(ByVal sender As System.Object, ByVal e As System.EventArgs) Handles rdo023XSP140F010.CheckedChanged, rdo029XSP140F010.CheckedChanged, rdo028XSP140F010.CheckedChanged, rdo027XSP140F010.CheckedChanged, rdo026XSP140F010.CheckedChanged, rdo025XSP140F010.CheckedChanged, rdo024XSP140F010.CheckedChanged
		log(clsSysMst.logLevel.NRM, "rdo023XSP140F010_CheckedChanged", "検索タブ検索種類変更 Start")
		Try
			If CType(sender, BT_RadioButton).Checked Then
'(M) STR V4-13013-000 004 20130213 ID)荒川 病歴大将V4PKG問題点No238 検索画面でのフォーカス制御対応（病名検索、手術検索）
				'Me.txt031XSP140F010.Focus()
				SetFocus()
'(M) END V4-13013-000 004 20130213 ID)荒川 病歴大将V4PKG問題点No238 検索画面でのフォーカス制御対応（病名検索、手術検索）
				Select Case True
					Case rdo023XSP140F010.Checked = True
						txt031XSP140F010.ImeMode = Windows.Forms.ImeMode.Off
					Case rdo024XSP140F010.Checked = True
						txt031XSP140F010.ImeMode = Windows.Forms.ImeMode.Katakana
					Case rdo025XSP140F010.Checked = True
						txt031XSP140F010.ImeMode = Windows.Forms.ImeMode.On
					Case rdo026XSP140F010.Checked = True
						txt031XSP140F010.ImeMode = Windows.Forms.ImeMode.Off
					Case rdo027XSP140F010.Checked = True
						txt031XSP140F010.ImeMode = Windows.Forms.ImeMode.Off
					Case rdo028XSP140F010.Checked = True
						txt031XSP140F010.ImeMode = Windows.Forms.ImeMode.Off
					Case rdo029XSP140F010.Checked = True
						txt031XSP140F010.ImeMode = Windows.Forms.ImeMode.Off
				End Select
			End If
		Catch ex As Exception
			ErrorProc(ex)
		End Try
	End Sub

	'''---------------------------------------------
	''' <summary>
	''' 分類検索手術名大分類一覧グリッド内容変更
	''' </summary>
	''' <param name="sender"></param>
	''' <param name="e"></param>
	''' <remarks>
	''' 2010/11/02 新規作成　CS)森田<BR/>
	''' </remarks>
	'''---------------------------------------------
	Private Sub dgv037XSP140F010_SelectionChanged(ByVal sender As System.Object, ByVal e As System.EventArgs) Handles dgv037XSP140F010.SelectionChanged
		log(clsSysMst.logLevel.NRM, "dgv037XSP140F010_SelectionChanged", "分類検索手術名大分類一覧グリッド内容変更 Start")
		Try
			If dgv037XSP140F010.CurrentRow Is Nothing OrElse dgv037XSP140F010.CurrentRow.Index < 0 Then Exit Sub
			Dim drL_GRP_CD() As DataRow = DataMTM_OPE_NM_M_GRP.Select(sqlXSP140F010.itmL_GRP_CD & " = '" & cliCom.getDtItmValue(Me.dgv037XSP140F010.Rows(Me.dgv037XSP140F010.CurrentRow.Index).Cells(C_L_GRP_CD).Value.ToString) & "'")
			If dgv037XSP140F010.SelectedRows Is Nothing OrElse dgv037XSP140F010.SelectedRows.Count = 0 Then
				Me.dgv038XSP140F010.DataSource = DataMTM_OPE_NM_M_GRP.Clone
			Else
				Me.dgv038XSP140F010.DataSource = cliCom.getTableFromRows(DataMTM_OPE_NM_M_GRP, drL_GRP_CD)
			End If
			Me.dgv038XSP140F010.ClearSelection()
		Catch ex As Exception
			ErrorProc(ex)
		End Try
	End Sub

	'''---------------------------------------------
	''' <summary>
	''' 分類検索手術名中分類一覧グリッド内容変更
	''' </summary>
	''' <param name="sender"></param>
	''' <param name="e"></param>
	''' <remarks>
	''' 2010/11/02 新規作成　CS)森田<BR/>
	''' </remarks>
	'''---------------------------------------------
	Private Sub dgv038XSP140F010_SelectionChanged(ByVal sender As System.Object, ByVal e As System.EventArgs) Handles dgv038XSP140F010.SelectionChanged
		log(clsSysMst.logLevel.NRM, "dgv038XSP140F010_SelectionChanged", "分類検索手術名中分類一覧グリッド内容変更 Start")
		Try
			Me.lbl053XSP140F010.Text = Nothing
			If dgv038XSP140F010.CurrentRow Is Nothing OrElse dgv038XSP140F010.CurrentRow.Index < 0 Then Exit Sub
			If dgv037XSP140F010.CurrentRow Is Nothing OrElse dgv037XSP140F010.CurrentRow.Index < 0 Then Exit Sub
			Dim drM_GRP_CD() As DataRow = DataMTM_OPE_NM_CH.Select((sqlXSP140F010.itmL_GRP_CD & " = '" & cliCom.getDtItmValue(Me.dgv037XSP140F010.Rows(Me.dgv037XSP140F010.CurrentRow.Index).Cells(C_L_GRP_CD).Value.ToString) & "'") & " And " & (sqlXSP140F010.itmM_GRP_CD & " = '" & cliCom.getDtItmValue(Me.dgv038XSP140F010.Rows(Me.dgv038XSP140F010.CurrentRow.Index).Cells(C_M_GRP_CD).Value.ToString) & "'"))
			If dgv038XSP140F010.SelectedRows Is Nothing OrElse dgv038XSP140F010.SelectedRows.Count = 0 Then
				Me.dgv051XSP140F010.DataSource = DataMTM_OPE_NM_SE.Clone
			Else
				DataMTM_OPE_NM_SE = cliCom.getTableFromRows(DataMTM_OPE_NM_CH, drM_GRP_CD)
				Me.dgv051XSP140F010.DataSource = DataMTM_OPE_NM_SE
			End If
			Me.dgv051XSP140F010.ClearSelection()
			Me.lbl053XSP140F010.Text = CType(Me.dgv051XSP140F010.DataSource, DataTable).Rows.Count.ToString(clsConst.CST_KENSU_FORMAT)	'件数セット
			If CType(Me.dgv051XSP140F010.DataSource, DataTable).Rows.Count = 0 Then
				Me.lbl055XSP140F010.Text = Nothing
				Me.lbl056XSP140F010.Text = Nothing
				Me.lbl057XSP140F010.Text = Nothing
			End If
		Catch ex As Exception
			ErrorProc(ex)
		End Try
	End Sub

	'''---------------------------------------------
	''' <summary>
	''' 複数文字列検索ボタンクリック
	''' </summary>
	''' <param name="sender"></param>
	''' <param name="e"></param>
	''' <remarks>
	''' 2010/11/02 新規作成　CS)森田<BR/>
	''' </remarks>
	'''---------------------------------------------
	Private Sub btn049XSP140F010_Click(ByVal sender As System.Object, ByVal e As System.EventArgs) Handles btn049XSP140F010.Click
		log(clsSysMst.logLevel.NRM, "btn049XSP140F010_Click", "複数文字列検索ボタンクリック Start")
		Try
			SearchProc1()
		Catch ex As Exception
			ErrorProc(ex)
		End Try
	End Sub

	'''---------------------------------------------
	''' <summary>
	''' 複数文字列検索タブ検索種類変更
	''' </summary>
	''' <param name="sender"></param>
	''' <param name="e"></param>
	''' <remarks>
	''' 2010/11/02 新規作成　CS)森田<BR/>
	''' </remarks>
	'''---------------------------------------------
	Private Sub rdo041XSP140F010_CheckedChanged(ByVal sender As System.Object, ByVal e As System.EventArgs) Handles rdo041XSP140F010.CheckedChanged, rdo043XSP140F010.CheckedChanged, rdo042XSP140F010.CheckedChanged
		log(clsSysMst.logLevel.NRM, "rdo041XSP140F010_CheckedChanged", "複数文字列検索タブ検索種類変更 Start")
		Try
			If CType(sender, BT_RadioButton).Checked Then
'(M) STR V4-13013-000 004 20130213 ID)荒川 病歴大将V4PKG問題点No238 検索画面でのフォーカス制御対応（病名検索、手術検索）
				'txt045XSP140F010.Focus()
				SetFocus()
'(M) END V4-13013-000 004 20130213 ID)荒川 病歴大将V4PKG問題点No238 検索画面でのフォーカス制御対応（病名検索、手術検索）
				Select Case True
					Case rdo041XSP140F010.Checked = True
						txt045XSP140F010.ImeMode = Windows.Forms.ImeMode.Katakana
					Case rdo042XSP140F010.Checked = True
						txt045XSP140F010.ImeMode = Windows.Forms.ImeMode.On
					Case rdo043XSP140F010.Checked = True
						txt045XSP140F010.ImeMode = Windows.Forms.ImeMode.Off
				End Select
			End If
		Catch ex As Exception
			ErrorProc(ex)
		End Try
	End Sub

	'''---------------------------------------------
	''' <summary>
	''' 複数文字列検索タブ検索方法変更
	''' </summary>
	''' <param name="sender"></param>
	''' <param name="e"></param>
	''' <remarks>
	''' 2010/11/02 新規作成　CS)森田<BR/>
	''' </remarks>
	'''---------------------------------------------
	Private Sub rdo047XSP140F010_CheckedChanged(ByVal sender As System.Object, ByVal e As System.EventArgs) Handles rdo047XSP140F010.CheckedChanged, rdo048XSP140F010.CheckedChanged
		log(clsSysMst.logLevel.NRM, "rdo047XSP140F010_CheckedChanged", "複数文字列検索タブ検索方法変更 Start")
		Try
			If CType(sender, BT_RadioButton).Checked Then
'(M) STR V4-13013-000 004 20130213 ID)荒川 病歴大将V4PKG問題点No238 検索画面でのフォーカス制御対応（病名検索、手術検索）
				'txt045XSP140F010.Focus()
				SetFocus()
'(M) END V4-13013-000 004 20130213 ID)荒川 病歴大将V4PKG問題点No238 検索画面でのフォーカス制御対応（病名検索、手術検索）
			End If
			Me.rdo047XSP140F010.TabStop = False
			Me.rdo048XSP140F010.TabStop = False
		Catch ex As Exception
			ErrorProc(ex)
		End Try
	End Sub

	'''---------------------------------------------
	''' <summary>
	''' 検索結果グリッド内容変更
	''' </summary>
	''' <param name="sender"></param>
	''' <param name="e"></param>
	''' <remarks>
	''' 2010/11/02 新規作成　CS)森田<BR/>
	''' </remarks>
	'''---------------------------------------------
	Private Sub dgv051XSP140F010_SelectionChanged(ByVal sender As System.Object, ByVal e As System.EventArgs) Handles dgv051XSP140F010.SelectionChanged
		log(clsSysMst.logLevel.NRM, "dgv051XSP140F010_SelectionChanged", "検索結果グリッド内容変更 Start")
		Try
			If dgv051XSP140F010.CurrentRow Is Nothing OrElse dgv051XSP140F010.CurrentRow.Index < 0 Then Exit Sub
			If dgv051XSP140F010.SelectedRows Is Nothing OrElse dgv051XSP140F010.SelectedRows.Count = 0 Then
				'選択なし時、クリア
				lbl055XSP140F010.Text = Nothing
				lbl056XSP140F010.Text = Nothing
				lbl057XSP140F010.Text = Nothing
			Else
				If Me.dgv051XSP140F010.Rows(Me.dgv051XSP140F010.CurrentRow.Index).Cells(2).Value IsNot Nothing Then
					lbl055XSP140F010.Text = Me.dgv051XSP140F010.Rows(Me.dgv051XSP140F010.CurrentRow.Index).Cells(2).Value.ToString()
				End If
				If Me.dgv051XSP140F010.Rows(Me.dgv051XSP140F010.CurrentRow.Index).Cells(3).Value IsNot Nothing Then
					lbl056XSP140F010.Text = Me.dgv051XSP140F010.Rows(Me.dgv051XSP140F010.CurrentRow.Index).Cells(3).Value.ToString()
				End If
				If Me.dgv051XSP140F010.Rows(Me.dgv051XSP140F010.CurrentRow.Index).Cells(6).Value IsNot Nothing Then
					lbl057XSP140F010.Text = Me.dgv051XSP140F010.Rows(Me.dgv051XSP140F010.CurrentRow.Index).Cells(6).Value.ToString()
				End If

				If Me.lbl052XSP140F010.Visible = True Then
					' メッセージ欄をクリア
					Me.lbl052XSP140F010.Text = Nothing
				End If
			End If
		Catch ex As Exception
			ErrorProc(ex)
		End Try
	End Sub

	'''---------------------------------------------
	''' <summary>
	''' 検索結果グリッドボタンクリック
	''' </summary>
	''' <param name="sender"></param>
	''' <param name="e"></param>
	''' <remarks>
	''' 2010/11/02 新規作成　CS)森田<BR/>
	''' </remarks>
	'''---------------------------------------------
	Private Sub dgv051XSP140F010_CellClick(ByVal sender As System.Object, ByVal e As System.Windows.Forms.DataGridViewCellEventArgs) Handles dgv051XSP140F010.CellClick
		log(clsSysMst.logLevel.NRM, "dgv051XSP140F010_CellClick", "検索結果グリッドボタンクリック Start")
		Try
			Dim dgv As DataGridView = CType(sender, DataGridView)
			' "Button"列ならば、ボタンがクリックされた

			If dgv.Columns(e.ColumnIndex).Name = C_MNG_NO AndAlso e.RowIndex > -1 Then
				Dim MNG_DIV As String
				Dim MNG_NO As String

				MNG_DIV = Me.dgv051XSP140F010.Rows(Me.dgv051XSP140F010.CurrentRow.Index).Cells(2).Value.ToString()
				MNG_NO = Me.dgv051XSP140F010.Rows(Me.dgv051XSP140F010.CurrentRow.Index).Cells(3).Value

				nextForm(New XSP.XSP140F020(MNG_DIV, MNG_NO, clsConst.Enum_NonPrt_Flg.Prt))			'手術名マスタ参照
			End If
		Catch ex As Exception
			ErrorProc(ex)
		End Try
	End Sub

	'''---------------------------------------------
	''' <summary>
	''' 検索結果グリッドダブルクリック
	''' </summary>
	''' <param name="sender"></param>
	''' <param name="e"></param>
	''' <remarks>
	''' 2010/11/02 新規作成　CS)森田<BR/>
	''' </remarks>
	'''---------------------------------------------
	Private Sub dgv051XSP140F010_CellMouseDoubleClick(ByVal sender As System.Object, ByVal e As System.Windows.Forms.DataGridViewCellMouseEventArgs) Handles dgv051XSP140F010.CellMouseDoubleClick
		log(clsSysMst.logLevel.NRM, "dgv051XSP140F010_CellMouseDoubleClick", "検索結果グリッドダブルクリック Start")
		Try
			Select Case True
				Case SearchMode = XSP140F010.Enum_Mode.NORMAL
					UpdProc()
				Case SearchMode = XSP140F010.Enum_Mode.KANZI_SEARCH
					UpdProc()
				Case SearchMode = XSP140F010.Enum_Mode.ADDITION
					AddProc()
				Case SearchMode = XSP140F010.Enum_Mode.EXTRACTION
				Case Else
			End Select
'(M) STR V4-13013-000 004 20130213 ID)荒川 病歴大将V4PKG問題点No238 検索画面でのフォーカス制御対応（病名検索、手術検索）
'			SetFocus()
			SetFocus(True)
'(M) END V4-13013-000 004 20130213 ID)荒川 病歴大将V4PKG問題点No238 検索画面でのフォーカス制御対応（病名検索、手術検索）
		Catch ex As Exception
			ErrorProc(ex)
		End Try
	End Sub

	'''---------------------------------------------
	''' <summary>
	''' 管理記号標準選択変更
	''' </summary>
	''' <param name="sender"></param>
	''' <param name="e"></param>
	''' <remarks>
	''' 2010/11/02 新規作成　CS)森田<BR/>
	''' </remarks>
	'''---------------------------------------------
	Private Sub rdo010XSP140F010_CheckedChanged(ByVal sender As System.Object, ByVal e As System.EventArgs) Handles rdo010XSP140F010.CheckedChanged
		log(clsSysMst.logLevel.NRM, "rdo010XSP140F010_CheckedChanged", "管理記号標準選択変更 Start")
		Try
			If CType(sender, BT_RadioButton).Checked Then
				ChangedDataMTM_OPE_NM()
			End If
		Catch ex As Exception
			ErrorProc(ex)
		End Try
	End Sub

	'''---------------------------------------------
	''' <summary>
	''' 管理記号ユーザ作成選択変更
	''' </summary>
	''' <param name="sender"></param>
	''' <param name="e"></param>
	''' <remarks>
	''' 2010/11/02 新規作成　CS)森田<BR/>
	''' </remarks>
	'''---------------------------------------------
	Private Sub rdo011XSP140F010_CheckedChanged(ByVal sender As System.Object, ByVal e As System.EventArgs) Handles rdo011XSP140F010.CheckedChanged
		log(clsSysMst.logLevel.NRM, "rdo011XSP140F010_CheckedChanged", "管理記号ユーザ作成選択変更 Start")
		Try
			If CType(sender, BT_RadioButton).Checked Then
				ChangedDataMTM_OPE_NM()
			End If
		Catch ex As Exception
			ErrorProc(ex)
		End Try
	End Sub

	'''---------------------------------------------
	''' <summary>
	''' 管理記号すべて選択変更
	''' </summary>
	''' <param name="sender"></param>
	''' <param name="e"></param>
	''' <remarks>
	''' 2010/11/02 新規作成　CS)森田<BR/>
	''' </remarks>
	'''---------------------------------------------
	Private Sub rdo012XSP140F010_CheckedChanged(ByVal sender As System.Object, ByVal e As System.EventArgs) Handles rdo012XSP140F010.CheckedChanged
		log(clsSysMst.logLevel.NRM, "rdo012XSP140F010_CheckedChanged", "管理記号すべて選択変更 Start")
		Try
			If CType(sender, BT_RadioButton).Checked Then
				ChangedDataMTM_OPE_NM()
			End If
		Catch ex As Exception
			ErrorProc(ex)
		End Try
	End Sub

	'''---------------------------------------------
	''' <summary>
	''' 表示分類項目１選択変更
	''' </summary>
	''' <param name="sender"></param>
	''' <param name="e"></param>
	''' <remarks>
	''' 2010/11/02 新規作成　CS)森田<BR/>
	''' </remarks>
	'''---------------------------------------------
	Private Sub chk014XSP140F010_CheckedChanged(ByVal sender As System.Object, ByVal e As System.EventArgs) Handles chk014XSP140F010.CheckedChanged
		log(clsSysMst.logLevel.NRM, "chk014XSP140F010_CheckedChanged", "表示分類項目１選択変更 Start")
		Try
			ChangedDataMTM_OPE_NM()
		Catch ex As Exception
			ErrorProc(ex)
		End Try
	End Sub

	'''---------------------------------------------
	''' <summary>
	''' 表示分類項目２選択変更
	''' </summary>
	''' <param name="sender"></param>
	''' <param name="e"></param>
	''' <remarks>
	''' 2010/11/02 新規作成　CS)森田<BR/>
	''' </remarks>
	'''---------------------------------------------
	Private Sub chk015XSP140F010_CheckedChanged(ByVal sender As System.Object, ByVal e As System.EventArgs) Handles chk015XSP140F010.CheckedChanged
		log(clsSysMst.logLevel.NRM, "chk015XSP140F010_CheckedChanged", "表示分類項目２選択変更 Start")
		Try
			ChangedDataMTM_OPE_NM()
		Catch ex As Exception
			ErrorProc(ex)
		End Try
	End Sub

	'''---------------------------------------------
	''' <summary>
	''' 表示分類項目３選択変更
	''' </summary>
	''' <param name="sender"></param>
	''' <param name="e"></param>
	''' <remarks>
	''' 2010/11/02 新規作成　CS)森田<BR/>
	''' </remarks>
	'''---------------------------------------------
	Private Sub chk016XSP140F010_CheckedChanged(ByVal sender As System.Object, ByVal e As System.EventArgs) Handles chk016XSP140F010.CheckedChanged
		log(clsSysMst.logLevel.NRM, "chk016XSP140F010_CheckedChanged", "表示分類項目３選択変更 Start")
		Try
			ChangedDataMTM_OPE_NM()
		Catch ex As Exception
			ErrorProc(ex)
		End Try
	End Sub

	'''---------------------------------------------
	''' <summary>
	''' 表示分類項目４選択変更
	''' </summary>
	''' <param name="sender"></param>
	''' <param name="e"></param>
	''' <remarks>
	''' 2010/11/02 新規作成　CS)森田<BR/>
	''' </remarks>
	'''---------------------------------------------
	Private Sub chk017XSP140F010_CheckedChanged(ByVal sender As System.Object, ByVal e As System.EventArgs) Handles chk017XSP140F010.CheckedChanged
		log(clsSysMst.logLevel.NRM, "chk017XSP140F010_CheckedChanged", "表示分類項目４選択変更 Start")
		Try
			ChangedDataMTM_OPE_NM()
		Catch ex As Exception
			ErrorProc(ex)
		End Try
	End Sub

	'''---------------------------------------------
	''' <summary>
	''' 表示分類項目５選択変更
	''' </summary>
	''' <param name="sender"></param>
	''' <param name="e"></param>
	''' <remarks>
	''' 2010/11/02 新規作成　CS)森田<BR/>
	''' </remarks>
	'''---------------------------------------------
	Private Sub chk018XSP140F010_CheckedChanged(ByVal sender As System.Object, ByVal e As System.EventArgs) Handles chk018XSP140F010.CheckedChanged
		log(clsSysMst.logLevel.NRM, "chk018XSP140F010_CheckedChanged", "表示分類項目５選択変更 Start")
		Try
			ChangedDataMTM_OPE_NM()
		Catch ex As Exception
			ErrorProc(ex)
		End Try
	End Sub

	'''---------------------------------------------
	''' <summary>
	''' 非表示を表示選択変更
	''' </summary>
	''' <param name="sender"></param>
	''' <param name="e"></param>
	''' <remarks>
	''' 2010/11/02 新規作成　CS)森田<BR/>
	''' </remarks>
	'''---------------------------------------------
	Private Sub chk019XSP140F010_CheckedChanged(ByVal sender As System.Object, ByVal e As System.EventArgs) Handles chk019XSP140F010.CheckedChanged
		log(clsSysMst.logLevel.NRM, "chk019XSP140F010_CheckedChanged", "非表示を表示選択変更 Start")
		Try
			ChangedDataMTM_OPE_NM()
		Catch ex As Exception
			ErrorProc(ex)
		End Try
	End Sub

	''' ---------------------------------------------
	''' <summary>
	''' 検索タブ変更
	''' </summary>
	''' <param name="sender"></param>
	''' <param name="e"></param>
	''' <remarks>
	''' 2010/11/02 新規作成　CS)森田<BR/>
	''' </remarks>
	''' ---------------------------------------------
	Private Sub tab020XSP140F010_SelectedIndexChanged(ByVal sender As Object, ByVal e As System.EventArgs) Handles tab020XSP140F010.SelectedIndexChanged
		log(clsSysMst.logLevel.NRM, "tab020XSP140F010_SelectedIndexChanged", "検索タブ変更 Start")
		Try
			SetFocus()
		Catch ex As Exception
			ErrorProc(ex)
		End Try
	End Sub

#End Region

#Region "メソッド"

	'''---------------------------------------------
	''' <summary>
	''' 手術名マスタ一覧データ取得
	''' </summary>
	''' <returns></returns>
	''' <remarks>
	''' 2010/11/02 新規作成　CS)森田<BR/>
	''' </remarks>
	'''---------------------------------------------
	Private Function getMTM_OPE_NM() As DataTable
		log(clsSysMst.logLevel.DBG, "getMTM_DISEASE", "手術名マスタ一覧データ取得 Start")
		Dim dtData As DataTable
		Try
			dtData = New DataTable
			Dim txtlong As String = Nothing
			Dim txtorder As String = Nothing
			Dim counter As Integer = 0
			Dim returnValue As DataRow()
			Dim NmBackwardChar As String = Nothing
			Dim NmFowardChar As String = Nothing
			Select Case True
				Case rdo023XSP140F010.Checked = True
					txtlong = ICD9CM1_CD
					txtorder = ORDER_ICD9CM1_CD
				Case rdo024XSP140F010.Checked = True
					txtlong = OPE_KNM
					txtorder = ORDER_OPE_KNM
				Case rdo025XSP140F010.Checked = True
					txtlong = OPE_KANJI
					txtorder = ORDER_OPE_KANJI
				Case rdo026XSP140F010.Checked = True
					txtlong = SOCIETY_ENGLISH_NM
					txtorder = ORDER_SOCIETY_ENGLISH_NM
				Case rdo027XSP140F010.Checked = True
					txtlong = MNG_NO
					txtorder = ORDER_MNG_NO
				Case rdo028XSP140F010.Checked = True
					txtlong = RECEIPT_CD
					txtorder = ORDER_RECEIPT_CD
				Case rdo029XSP140F010.Checked = True
					txtlong = K_CD
					txtorder = ORDER_K_CD
				Case Else
			End Select
			Select Case True
				Case Me.lik034XSP140F010.MatchingCriteria = BT_Like.Enum_MatchingCriteria.PrefixMatch
					NmBackwardChar = WILDCARDCHAR
				Case Me.lik034XSP140F010.MatchingCriteria = BT_Like.Enum_MatchingCriteria.BackwardMatch
					NmFowardChar = WILDCARDCHAR
				Case Me.lik034XSP140F010.MatchingCriteria = BT_Like.Enum_MatchingCriteria.BroadMatch
					NmFowardChar = WILDCARDCHAR
					NmBackwardChar = WILDCARDCHAR
				Case Me.lik034XSP140F010.MatchingCriteria = BT_Like.Enum_MatchingCriteria.ExactMatch
				Case Else
			End Select

			txtlong = txtlong & "'" & NmFowardChar & cliCom.getDtItmLike(txt031XSP140F010.Text) & NmBackwardChar & "'"
			returnValue = DataMTM_OPE_NM_CH.Select(txtlong)
			dtData = cliCom.getTableFromRows(DataMTM_OPE_NM_CH, returnValue)
			Using dvData As DataView = New DataView(dtData)
				dvData.Sort = txtorder
				dtData = dvData.ToTable
			End Using
		Catch ex As Exception
			Throw
		End Try
		Return dtData
	End Function

	'''---------------------------------------------
	''' <summary>
	''' 手術名マスタ一覧データ再検索
	''' </summary>
	''' <returns></returns>
	''' <remarks>
	''' 2010/11/02 新規作成　CS)森田<BR/>
	''' </remarks>
	'''---------------------------------------------
	Private Function setMTM_OPE_NM() As DataTable
		log(clsSysMst.logLevel.DBG, "setMTM_OPE_NM", "手術名マスタ一覧データ再検索 Start")
		Dim dtData As DataTable
		Try
			dtData = New DataTable
			Dim txtlong As String = Nothing
			Dim txtorder As String = Nothing
			Dim counter As Integer = 0
			Dim returnValue As DataRow()
			Dim NmBackwardChar As String = Nothing
			Dim NmFowardChar As String = Nothing
			Select Case True
				Case rdo023XSP140F010.Checked = True
					txtlong = ICD9CM1_CD
					txtorder = ORDER_ICD9CM1_CD
				Case rdo024XSP140F010.Checked = True
					txtlong = OPE_KNM
					txtorder = ORDER_OPE_KNM
				Case rdo025XSP140F010.Checked = True
					txtlong = OPE_KANJI
					txtorder = ORDER_OPE_KANJI
				Case rdo026XSP140F010.Checked = True
					txtlong = SOCIETY_ENGLISH_NM
					txtorder = ORDER_SOCIETY_ENGLISH_NM
				Case rdo027XSP140F010.Checked = True
					txtlong = MNG_NO
					txtorder = ORDER_MNG_NO
				Case rdo028XSP140F010.Checked = True
					txtlong = RECEIPT_CD
					txtorder = ORDER_RECEIPT_CD
				Case rdo029XSP140F010.Checked = True
					txtlong = K_CD
					txtorder = ORDER_K_CD
				Case Else
			End Select
			Select Case True
				Case Me.lik034XSP140F010.MatchingCriteria = BT_Like.Enum_MatchingCriteria.PrefixMatch
					NmBackwardChar = WILDCARDCHAR
				Case Me.lik034XSP140F010.MatchingCriteria = BT_Like.Enum_MatchingCriteria.BackwardMatch
					NmFowardChar = WILDCARDCHAR
				Case Me.lik034XSP140F010.MatchingCriteria = BT_Like.Enum_MatchingCriteria.BroadMatch
					NmFowardChar = WILDCARDCHAR
					NmBackwardChar = WILDCARDCHAR
				Case Me.lik034XSP140F010.MatchingCriteria = BT_Like.Enum_MatchingCriteria.ExactMatch
				Case Else
			End Select
			If String.IsNullOrEmpty(Me.txt031XSP140F010.Text) Then
				txtlong = Nothing
			Else
				txtlong = txtlong & "'" & NmFowardChar & cliCom.getDtItmLike(txt031XSP140F010.Text) & NmBackwardChar & "'"
			End If

			Select Case True
				Case rdo010XSP140F010.Checked = True
					If String.IsNullOrEmpty(txtlong) Then
						txtlong = MNG_DIV_F
					Else
						txtlong = txtlong & ANDENZAN & MNG_DIV_F
					End If
				Case rdo011XSP140F010.Checked = True
					If String.IsNullOrEmpty(txtlong) Then
						txtlong = MNG_DIV_U
					Else
						txtlong = txtlong & ANDENZAN & MNG_DIV_U
					End If
				Case rdo012XSP140F010.Checked = True
				Case Else
			End Select

			If chk014XSP140F010.Visible = True Then
				If chk014XSP140F010.Checked = True Then
					counter = counter + 1
					If String.IsNullOrEmpty(txtlong) Then
						txtlong = STARTSQL & DSP_GRP1_FLG
					Else
						txtlong = txtlong & ANDENZAN & STARTSQL & DSP_GRP1_FLG
					End If
				End If
			End If
			If chk015XSP140F010.Visible = True Then
				If chk015XSP140F010.Checked = True Then
					If counter <> 0 Then
						txtlong = txtlong & ORENZAN & DSP_GRP2_FLG
					Else
						counter = counter + 1
						If String.IsNullOrEmpty(txtlong) Then
							txtlong = STARTSQL & DSP_GRP2_FLG
						Else
							txtlong = txtlong & ANDENZAN & STARTSQL & DSP_GRP2_FLG
						End If
					End If
				End If
			End If
			If chk016XSP140F010.Visible = True Then
				If chk016XSP140F010.Checked = True Then
					If counter <> 0 Then
						txtlong = txtlong & ORENZAN & DSP_GRP3_FLG
					Else
						counter = counter + 1
						If String.IsNullOrEmpty(txtlong) Then
							txtlong = STARTSQL & DSP_GRP3_FLG
						Else
							txtlong = txtlong & ANDENZAN & STARTSQL & DSP_GRP3_FLG
						End If
					End If
				End If
			End If
			If chk017XSP140F010.Visible = True Then
				If chk017XSP140F010.Checked = True Then
					If counter <> 0 Then
						txtlong = txtlong & ORENZAN & DSP_GRP4_FLG
					Else
						counter = counter + 1
						If String.IsNullOrEmpty(txtlong) Then
							txtlong = STARTSQL & DSP_GRP4_FLG
						Else
							txtlong = txtlong & ANDENZAN & STARTSQL & DSP_GRP4_FLG
						End If
					End If
				End If
			End If
			If chk018XSP140F010.Visible = True Then
				If chk018XSP140F010.Checked = True Then
					If counter <> 0 Then
						txtlong = txtlong & ORENZAN & DSP_GRP5_FLG
					Else
						counter = counter + 1
						If String.IsNullOrEmpty(txtlong) Then
							txtlong = STARTSQL & DSP_GRP5_FLG
						Else
							txtlong = txtlong & ANDENZAN & STARTSQL & DSP_GRP5_FLG
						End If
					End If
				End If
			End If
			If counter <> 0 Then
				txtlong = txtlong & ENDSQL
			End If

			If chk019XSP140F010.Checked = False Then
				If String.IsNullOrEmpty(txtlong) Then
					txtlong = NONDSP_FLG
				Else
					txtlong = txtlong & ANDENZAN & NONDSP_FLG
				End If
			End If

			If String.IsNullOrEmpty(txtlong) Then
				returnValue = DataMTM_OPE_NM_SE.Select()
			Else
				returnValue = DataMTM_OPE_NM_SE.Select(txtlong)
			End If
			dtData = cliCom.getTableFromRows(DataMTM_OPE_NM_SE, returnValue)
			Using dvData As DataView = New DataView(dtData)
				dvData.Sort = txtorder
				dtData = dvData.ToTable
			End Using
		Catch ex As Exception
			Throw
		End Try
		Return dtData
	End Function

	'''---------------------------------------------
	''' <summary>
	''' 手術名マスタ一覧データ全件取得(性別あり)
	''' </summary>
	''' <returns></returns>
	''' <remarks>
	''' 2010/11/02 新規作成　CS)森田<BR/>
	''' </remarks>
	'''---------------------------------------------
	Private Function getMTM_OPE_NM_ALL_GE() As DataTable
		log(clsSysMst.logLevel.DBG, "getMTM_OPE_NM_ALL_GE", "手術名マスタ一覧データ全件取得(性別あり) Start")
		Dim dtData As DataTable
		Try
			dtData = New DataTable
			Using db As clsDB = New clsDB(clsSysMst.ctlConfigData)
				db.setSQLDa(sqlXSP140F010.sqlMTM_OPE_NM_ALL_GE)
				setSqlPara(db)							'SQLパラメータセット
				db.execQueryDa(dtData)
			End Using
		Catch ex As Exception
			Throw
		End Try
		Return dtData
	End Function

	'''---------------------------------------------
	''' <summary>
	''' 手術名マスタ一覧データ全件取得(性別なし)
	''' </summary>
	''' <returns></returns>
	''' <remarks>
	''' 2010/11/02 新規作成　CS)森田<BR/>
	''' </remarks>
	'''---------------------------------------------
	Private Function getMTM_OPE_NM_ALL() As DataTable
		log(clsSysMst.logLevel.DBG, "getMTM_OPE_NM_ALL", "手術名マスタ一覧データ全件取得(性別なし) Start")
		Dim dtData As DataTable
		Try
			dtData = New DataTable
			Using db As clsDB = New clsDB(clsSysMst.ctlConfigData)
				db.setSQLDa(sqlXSP140F010.sqlMTM_OPE_NM_ALL)
				db.execQueryDa(dtData)
			End Using
		Catch ex As Exception
			Throw
		End Try
		Return dtData
	End Function

	'''---------------------------------------------
	''' <summary>
	''' 手術名マスタ(複数文字列)一覧データ取得
	''' </summary>
	''' <returns></returns>
	''' <remarks>
	''' 2010/11/02 新規作成　CS)森田<BR/>
	''' </remarks>
	'''---------------------------------------------
	Private Function getMTM_OPE_NM_Plurals() As DataTable
		log(clsSysMst.logLevel.DBG, "getMTM_OPE_NM_Plurals", "手術名マスタ(複数文字列)一覧データ取得 Start")
		Dim dtData As DataTable
		Try
			dtData = New DataTable
			Dim iMode As Integer = -1
			Using db As clsDB = New clsDB(clsSysMst.ctlConfigData)
				Dim txtsp As String = Me.txt045XSP140F010.Text
				Dim txt As String()
				Dim txtlong As String = Nothing
				Dim counter As Long = 0
				Dim returnValue As DataRow()
				Dim NmFowardChar As String = Nothing
				Dim NmBackwardChar As String = Nothing
				Dim NmConnectionChar As String = Nothing
				Dim NmTable As String = Nothing
				txtsp = Replace(txtsp, "　", " ")
				txt = txtsp.Split(" ")
				Dim count As Integer = txt.Length
				' ワイルドカード文字設定
				NmBackwardChar = WILDCARDCHAR
				NmFowardChar = WILDCARDCHAR
				Select Case True
					Case Me.rdo041XSP140F010.Checked
						NmTable = OPE_KNM
					Case Me.rdo042XSP140F010.Checked
						NmTable = OPE_KANJI
					Case Me.rdo043XSP140F010.Checked
						NmTable = SOCIETY_ENGLISH_NM
					Case Else
				End Select
				Select Case True
					Case Me.rdo047XSP140F010.Checked
						NmConnectionChar = ANDENZAN
					Case Me.rdo048XSP140F010.Checked
						NmConnectionChar = ORENZAN
					Case Else
				End Select
				For counter = 0 To count - 1
					If counter = 0 Then
						txtlong = NmTable & "'" & NmFowardChar & cliCom.getDtItmLike(txt(0)) & NmBackwardChar & "'"
					Else
						txtlong = txtlong & NmConnectionChar & NmTable & "'" & NmFowardChar & cliCom.getDtItmLike(txt(counter)) & NmBackwardChar & "'"
					End If
				Next counter
				txtlong = Replace(txtlong, "　", " ")

				returnValue = DataMTM_OPE_NM_CH.Select(txtlong)
				dtData = cliCom.getTableFromRows(DataMTM_OPE_NM_CH, returnValue)
			End Using
		Catch ex As Exception
			Throw
		End Try
		Return dtData
	End Function

	'''---------------------------------------------
	''' <summary>
	''' 手術名大分類マスタ一覧データ取得
	''' </summary>
	''' <returns></returns>
	''' <remarks>
	''' 2010/11/02 新規作成　CS)森田<BR/>
	''' </remarks>
	'''---------------------------------------------
	Private Function getMTM_OPE_LGRP() As DataTable
		log(clsSysMst.logLevel.DBG, "getMTM_OPE_LGRP", "手術名大分類マスタ一覧データ取得 Start")
		Dim dtData As DataTable
		Try
			dtData = New DataTable
			Using db As clsDB = New clsDB(clsSysMst.ctlConfigData)
				db.setSQLDa(sqlXSP140F010.sqlMTM_OPE_LGRP)
				db.execQueryDa(dtData)
			End Using
		Catch ex As Exception
			Throw
		End Try
		Return dtData
	End Function

	'''---------------------------------------------
	''' <summary>
	''' 手術名中分類マスタ一覧データ取得
	''' </summary>
	''' <returns></returns>
	''' <remarks>
	''' 2010/11/02 新規作成　CS)森田<BR/>
	''' </remarks>
	'''---------------------------------------------
	Private Function getMTM_OPE_MGRP() As DataTable
		log(clsSysMst.logLevel.DBG, "getMTM_OPE_MGRP", "手術名中分類マスタ一覧データ取得 Start")
		Dim dtData As DataTable
		Try
			dtData = New DataTable
			Using db As clsDB = New clsDB(clsSysMst.ctlConfigData)
				db.setSQLDa(sqlXSP140F010.sqlMTM_OPE_MGRP)
				db.execQueryDa(dtData)
			End Using
		Catch ex As Exception
			Throw
		End Try
		Return dtData
	End Function

	'''---------------------------------------------
	''' <summary>
	''' 手術名分類表示項目マスタ一覧データ取得
	''' </summary>
	''' <returns></returns>
	''' <remarks>
	''' 2010/11/02 新規作成　CS)森田<BR/>
	''' </remarks>
	'''---------------------------------------------
	Private Function getMTM_OPE_NM_DIV_DSP_ITM() As DataTable
		log(clsSysMst.logLevel.DBG, "getMTM_OPE_NM_DIV_DSP_ITM", "手術名分類表示項目マスタ一覧データ取得 Start")
		Dim dtData As DataTable
		Try
			dtData = New DataTable
			Using db As clsDB = New clsDB(clsSysMst.ctlConfigData)
				db.setSQLDa(sqlXSP140F010.sqlMTM_OPE_NM_DIV_DSP_ITM)
				db.execQueryDa(dtData)
			End Using
		Catch ex As Exception
			Throw
		End Try
		Return dtData
	End Function

	'''---------------------------------------------
	''' <summary>
	''' 全件検索用SQLパラメータをセットする
	''' </summary>
	''' <param name="db"></param>
	''' <remarks>
	''' 2010/11/02 新規作成　CS)森田<BR/>
	''' </remarks>
	'''---------------------------------------------
	Private Sub setSqlPara(ByVal db As clsDB)
		log(clsSysMst.logLevel.DBG, "setSqlPara1", "全件検索用SQLパラメータをセットする Start")
		Try
			' パラメータ文字列設定
			db.setParamDa(sqlXSP140F010.prmGENDER_NM, clsDB.Enum_dbType.dbNVarChar)

			Dim Gender_code As String = Nothing

			Select Case iGender
				Case clsConst.Enum_Gender.Man		'男
					Gender_code = "M"
				Case clsConst.Enum_Gender.Woman		'女
					Gender_code = "F"
			End Select

			' 検索値設定
			db.setValDa(sqlXSP140F010.prmGENDER_NM, Gender_code, String.IsNullOrEmpty(_PGender))
		Catch ex As Exception
			Throw
		End Try
	End Sub

	'''---------------------------------------------
	''' <summary>
	''' 検索タブ検索処理
	''' </summary>
	''' <remarks>
	''' 2010/11/02 新規作成　CS)森田<BR/>
	''' </remarks>
	'''---------------------------------------------
	Private Sub SearchProc()
		log(clsSysMst.logLevel.DBG, "SearchProc", "検索タブ検索処理 Start")
		Try
			' マウスカーソルを砂時計に変更
			Me.Cursor = Cursors.WaitCursor
			' 日付・コンボの入力チェック
			If Me.ValidateChildren() Then
				Me.lbl053XSP140F010.Text = Nothing					'件数クリア

				' 検索結果を手術名一覧DataGridに設定
				If chk032XSP140F010.Checked = True Then
					If DataMTM_OPE_NM_SE Is Nothing Then Exit Sub
					DataMTM_OPE_NM_SE = setMTM_OPE_NM()
					Me.dgv051XSP140F010.DataSource = DataMTM_OPE_NM_SE
				Else
					Select Case True									'検索結果を手術名一覧DataGridに設定
						Case String.IsNullOrEmpty(Me.txt031XSP140F010.Text)
							DataMTM_OPE_NM_SE = DataMTM_OPE_NM_CH
							Me.dgv051XSP140F010.DataSource = DataMTM_OPE_NM_SE
						Case Else
							DataMTM_OPE_NM_SE = getMTM_OPE_NM()
							Me.dgv051XSP140F010.DataSource = DataMTM_OPE_NM_SE
					End Select
				End If

				Me.lbl053XSP140F010.Text = CType(Me.dgv051XSP140F010.DataSource, DataTable).Rows.Count.ToString(clsConst.CST_KENSU_FORMAT)	'件数セット

				If SearchMode = XSP140F010.Enum_Mode.ADDITION Then
					Me.lbl052XSP140F010.Text = Nothing
				End If
				Me.dgv051XSP140F010.Focus()
				If CType(Me.dgv051XSP140F010.DataSource, DataTable).Rows.Count = 0 Then
					Me.lbl055XSP140F010.Text = Nothing
					Me.lbl056XSP140F010.Text = Nothing
					Me.lbl057XSP140F010.Text = Nothing
					showMsg("E0010")		'検索条件に対する該当データが存在しません。
'(M) STR V4-13013-000 004 20130213 ID)荒川 病歴大将V4PKG問題点No238 検索画面でのフォーカス制御対応（病名検索、手術検索）
'					Me.txt031XSP140F010.Focus()
					SetFocus(True)
'(M) END V4-13013-000 004 20130213 ID)荒川 病歴大将V4PKG問題点No238 検索画面でのフォーカス制御対応（病名検索、手術検索）
				End If
			End If
		Catch ex As Exception
			Throw
		Finally
			' マウスカーソルを標準に戻す
			Me.Cursor = Cursors.Default
		End Try
	End Sub

	'''---------------------------------------------
	''' <summary>
	''' 複数文字列検索タブ検索処理
	''' </summary>
	''' <remarks>
	''' 2010/11/02 新規作成　CS)森田<BR/>
	''' </remarks>
	'''---------------------------------------------
	Private Sub SearchProc1()
		log(clsSysMst.logLevel.DBG, "SearchProc1", "複数文字列検索タブ検索処理 Start")
		Try
			' マウスカーソルを砂時計に変更
			Me.Cursor = Cursors.WaitCursor
			' 日付・コンボの入力チェック
			If Me.ValidateChildren() Then
				Me.lbl053XSP140F010.Text = Nothing					'件数クリア

				Select Case True									'検索結果を手術名一覧DataGridに設定
					Case String.IsNullOrEmpty(Me.txt045XSP140F010.Text)
						DataMTM_OPE_NM_SE = DataMTM_OPE_NM_CH
						Me.dgv051XSP140F010.DataSource = DataMTM_OPE_NM_SE
					Case Else
						DataMTM_OPE_NM_SE = getMTM_OPE_NM_Plurals()
						Me.dgv051XSP140F010.DataSource = DataMTM_OPE_NM_SE
				End Select

				Me.lbl053XSP140F010.Text = CType(Me.dgv051XSP140F010.DataSource, DataTable).Rows.Count.ToString(clsConst.CST_KENSU_FORMAT)	'件数セット

				If SearchMode = XSP140F010.Enum_Mode.ADDITION Then
					Me.lbl052XSP140F010.Text = Nothing
				End If
				Me.dgv051XSP140F010.Focus()
				If CType(Me.dgv051XSP140F010.DataSource, DataTable).Rows.Count = 0 Then
					Me.lbl055XSP140F010.Text = Nothing
					Me.lbl056XSP140F010.Text = Nothing
					Me.lbl057XSP140F010.Text = Nothing
					showMsg("E0010")		'検索条件に対する該当データが存在しません。
'(M) STR V4-13013-000 004 20130213 ID)荒川 病歴大将V4PKG問題点No238 検索画面でのフォーカス制御対応（病名検索、手術検索）
'					Me.txt045XSP140F010.Focus()
					SetFocus(True)
'(M) END V4-13013-000 004 20130213 ID)荒川 病歴大将V4PKG問題点No238 検索画面でのフォーカス制御対応（病名検索、手術検索）
				End If
			End If
		Catch ex As Exception
			Throw
		Finally
			' マウスカーソルを標準に戻す
			Me.Cursor = Cursors.Default
		End Try
	End Sub

	'''---------------------------------------------
	''' <summary>
	''' 確定処理
	''' </summary>
	''' <remarks>
	''' 2010/11/02 新規作成　CS)森田<BR/>
	''' </remarks>
	'''---------------------------------------------
	Private Sub UpdProc()
		log(clsSysMst.logLevel.DBG, "UpdProc", "確定処理 Start")
		Try
			If Me.ValidateChildren() Then		'日付・コンボの入力チェック
				If Me.dgv051XSP140F010.CurrentCell Is Nothing OrElse Me.dgv051XSP140F010.CurrentCell.ColumnIndex < 0 Then
					fret = Enum_FormReturn.NONE
					showMsg("E0005")		'対象データが選択されていません。
				Else
					fret = Enum_FormReturn.OK
					getReturnOPE_NM()
					Me.Close()
				End If
			End If
		Catch ex As Exception
			Throw
		End Try
	End Sub

	'''---------------------------------------------
	''' <summary>
	''' 追加処理
	''' </summary>
	''' <remarks>
	''' 2010/11/02 新規作成　CS)森田<BR/>
	''' </remarks>
	'''---------------------------------------------
	Private Sub AddProc()
		log(clsSysMst.logLevel.DBG, "AddProc", "追加処理 Start")
		Try
			If Me.dgv051XSP140F010.CurrentCell Is Nothing OrElse Me.dgv051XSP140F010.CurrentCell.ColumnIndex < 0 Then
				fret = Enum_FormReturn.NONE
				showMsg("E0005")		'対象データが選択されていません。
				' メッセージ欄をクリア
				Me.lbl052XSP140F010.Text = Nothing
			Else
				fret = Enum_FormReturn.OK
				' 戻り値に追加
				AddReturnOPE_NM()
				' メッセージ欄を出力
				Me.lbl052XSP140F010.Text = "追加しました。"
			End If
		Catch ex As Exception
			Throw
		End Try
	End Sub

	'''---------------------------------------------
	''' <summary>
	''' フォーカス処理
	''' </summary>
	''' <param name="pTextSelectAll">True:テキストを選択状態にする,False:テキスト選択状態変更なし</param>
	''' <remarks>
	''' 2010/11/02 新規作成　CS)森田<BR/>
	''' 2012/07/16 修正　　　FWEST)柳原 がん登録Ｖ２対応のためパラメータ(pTextSelectAll)追加<BR/>
	''' </remarks>
	'''---------------------------------------------
	Private Sub SetFocus(Optional ByVal pTextSelectAll = False)
		log(clsSysMst.logLevel.DBG, "SetFocus", "フォーカス処理 Start")
		Try
			Select Case True
				Case Me.tab020XSP140F010.SelectedIndex = 0
					Me.txt031XSP140F010.Focus()
'(A) STR V4-12037-000 003 2012/07/16 FWEST)H.Y がん登録Ｖ２対応(病名検索、手術検索)
					If pTextSelectAll Then Me.txt031XSP140F010.SelectAll()
'(A) END V4-12037-000 003 2012/07/16 FWEST)H.Y がん登録Ｖ２対応(病名検索、手術検索)
				Case Me.tab020XSP140F010.SelectedIndex = 1
					Me.dgv037XSP140F010.Focus()
					If Not pbGrpSelected Then
						Me.dgv037XSP140F010.ClearSelection()
						pbGrpSelected = True
					End If
				Case Me.tab020XSP140F010.SelectedIndex = 2
					Me.txt045XSP140F010.Focus()
'(A) STR V4-12037-000 003 2012/07/16 FWEST)H.Y がん登録Ｖ２対応(病名検索、手術検索)
					If pTextSelectAll Then Me.txt045XSP140F010.SelectAll()
'(A) END V4-12037-000 003 2012/07/16 FWEST)H.Y がん登録Ｖ２対応(病名検索、手術検索)
			End Select
		Catch ex As Exception
			Throw
		End Try
	End Sub

	'''---------------------------------------------
	''' <summary>
	''' データテーブル変更
	''' </summary>
	''' <remarks>
	''' 2010/11/02 新規作成　CS)森田<BR/>
	''' </remarks>
	'''---------------------------------------------
	Private Sub ChangedDataMTM_OPE_NM()
		log(clsSysMst.logLevel.DBG, "ChangedDataMTM_OPE_NM", "データテーブル変更 Start")
		Try
			Dim txtlong As String = Nothing
			Dim counter As Integer = 0
			Dim returnValue As DataRow()
			Select Case True
				Case rdo010XSP140F010.Checked = True
					returnValue = DataMTM_OPE_NM.Select(MNG_DIV_F)
					DataMTM_OPE_NM_CH = cliCom.getTableFromRows(DataMTM_OPE_NM, returnValue)
				Case rdo011XSP140F010.Checked = True
					returnValue = DataMTM_OPE_NM.Select(MNG_DIV_U)
					DataMTM_OPE_NM_CH = cliCom.getTableFromRows(DataMTM_OPE_NM, returnValue)
				Case rdo012XSP140F010.Checked = True
					DataMTM_OPE_NM_CH = DataMTM_OPE_NM
				Case Else
					DataMTM_OPE_NM_CH = DataMTM_OPE_NM
			End Select
			If DataMTM_OPE_NM_CH.Rows.Count = 0 Then Exit Sub

			If chk014XSP140F010.Visible = True Then
				If chk014XSP140F010.Checked = True Then
					counter = counter + 1
					txtlong = STARTSQL & DSP_GRP1_FLG
				End If
			End If
			If chk015XSP140F010.Visible = True Then
				If chk015XSP140F010.Checked = True Then
					If counter <> 0 Then
						txtlong = txtlong & ORENZAN & DSP_GRP2_FLG
					Else
						counter = counter + 1
						txtlong = STARTSQL & DSP_GRP2_FLG
					End If
				End If
			End If
			If chk016XSP140F010.Visible = True Then
				If chk016XSP140F010.Checked = True Then
					If counter <> 0 Then
						txtlong = txtlong & ORENZAN & DSP_GRP3_FLG
					Else
						counter = counter + 1
						txtlong = STARTSQL & DSP_GRP3_FLG
					End If
				End If
			End If
			If chk017XSP140F010.Visible = True Then
				If chk017XSP140F010.Checked = True Then
					If counter <> 0 Then
						txtlong = txtlong & ORENZAN & DSP_GRP4_FLG
					Else
						counter = counter + 1
						txtlong = STARTSQL & DSP_GRP4_FLG
					End If
				End If
			End If
			If chk018XSP140F010.Visible = True Then
				If chk018XSP140F010.Checked = True Then
					If counter <> 0 Then
						txtlong = txtlong & ORENZAN & DSP_GRP5_FLG
					Else
						counter = counter + 1
						txtlong = STARTSQL & DSP_GRP5_FLG
					End If
				End If
			End If
			If counter <> 0 Then
				txtlong = txtlong & ENDSQL
			End If

			If chk019XSP140F010.Checked = False Then
				If String.IsNullOrEmpty(txtlong) Then
					txtlong = NONDSP_FLG
				Else
					txtlong = txtlong & ANDENZAN & NONDSP_FLG
				End If
			End If

			If Not String.IsNullOrEmpty(txtlong) Then
				returnValue = DataMTM_OPE_NM_CH.Select(txtlong)
				DataMTM_OPE_NM_CH = cliCom.getTableFromRows(DataMTM_OPE_NM_CH, returnValue)
			End If
		Catch ex As Exception
			Throw
		End Try
	End Sub

	'''---------------------------------------------
	''' <summary>
	''' 戻り値用手術名マスタ情報取得
	''' </summary>
	''' <remarks>
	''' 2010/11/02 新規作成　CS)森田<BR/>
	''' </remarks>
	'''---------------------------------------------
	Private Sub getReturnOPE_NM()
		log(clsSysMst.logLevel.DBG, "getReturnDISEASE", "戻り値用手術名マスタ情報取得 Start")
		Dim ret As datMTM_OPE_NM_OneRec = Nothing
		Dim clsMTM_OPE_NM As clsMTM_OPE_NM
		Try
			If Me.dgv051XSP140F010.CurrentCell Is Nothing OrElse Me.dgv051XSP140F010.CurrentCell.ColumnIndex < 0 Then Exit Sub
			For Each col As DataGridViewColumn In Me.dgv051XSP140F010.Columns
				If col.DataPropertyName = sqlXSP140F010.itmMNG_DIV Then
					_MNG_DIV = Me.dgv051XSP140F010.Rows(Me.dgv051XSP140F010.CurrentRow.Index).Cells(col.Index).Value
				End If
			Next
			For Each col As DataGridViewColumn In Me.dgv051XSP140F010.Columns
				If col.DataPropertyName = sqlXSP140F010.itmMNG_NO Then
					_MNG_NO = Me.dgv051XSP140F010.Rows(Me.dgv051XSP140F010.CurrentRow.Index).Cells(col.Index).Value
					clsMTM_OPE_NM = New clsMTM_OPE_NM
					ret = clsMTM_OPE_NM.getMTM_OPE_NM_OneRec(_MNG_DIV, _MNG_NO)
					Returnsar.Add(ret)
					Exit For
				End If
			Next
		Catch ex As Exception
			Throw
		Finally
			clsMTM_OPE_NM = Nothing
		End Try
	End Sub

	'''---------------------------------------------
	''' <summary>
	''' 戻り値用手術名マスタ情報追加
	''' </summary>
	''' <remarks>
	''' 2010/11/02 新規作成　CS)森田<BR/>
	''' </remarks>
	'''---------------------------------------------
	Private Sub AddReturnOPE_NM()
		log(clsSysMst.logLevel.DBG, "AddReturnDISEASE", "戻り値用手術名マスタ情報追加 Start")
		Dim ret As datMTM_OPE_NM_OneRec = Nothing
		Dim clsMTM_OPE_NM As clsMTM_OPE_NM
		Dim ar As ArrayList
		Try
			ar = New ArrayList
			If Me.dgv051XSP140F010.CurrentCell Is Nothing OrElse Me.dgv051XSP140F010.CurrentCell.ColumnIndex < 0 Then Exit Sub
			For Each col As DataGridViewColumn In Me.dgv051XSP140F010.Columns
				If col.DataPropertyName = sqlXSP140F010.itmMNG_DIV Then
					_MNG_DIV = Me.dgv051XSP140F010.Rows(Me.dgv051XSP140F010.CurrentRow.Index).Cells(col.Index).Value
				End If
			Next
			For Each col As DataGridViewColumn In Me.dgv051XSP140F010.Columns
				If col.DataPropertyName = sqlXSP140F010.itmMNG_NO Then
					_MNG_NO = Me.dgv051XSP140F010.Rows(Me.dgv051XSP140F010.CurrentRow.Index).Cells(col.Index).Value
					clsMTM_OPE_NM = New clsMTM_OPE_NM
					ret = clsMTM_OPE_NM.getMTM_OPE_NM_OneRec(_MNG_DIV, _MNG_NO)
					Returnsar.Add(ret)
					Exit For
				End If
			Next
		Catch ex As Exception
			Throw
		Finally
			clsMTM_OPE_NM = Nothing
		End Try
	End Sub

	''' ---------------------------------------------
	''' <summary>
	''' 出力条件のチェック
	''' </summary>
	''' <returns>チェック結果（True:OK、False:NG）</returns>
	''' <remarks>
	''' 2010/11/02 新規作成　CS)森田<BR/>
	''' </remarks>
	''' ---------------------------------------------
	Private Function ChkPrintCondition() As Boolean
		log(clsSysMst.logLevel.DBG, "ChkPrintCondition", "出力条件のチェック")
		Dim bResult As Boolean = False
		Try
			' 手術名情報の有無のチェック
			If DataMTM_OPE_NM_SE IsNot Nothing Then
				If DataMTM_OPE_NM_SE.Rows.Count = 0 Then
					bResult = False
				Else
					bResult = True
				End If
			Else
				bResult = False
			End If
		Catch ex As Exception
			Throw
		End Try
		Return bResult
	End Function

	''' ---------------------------------------------
	''' <summary>
	''' CSV出力
	''' </summary>
	''' <param name="pFilePath">出力ディレクトリ</param>
	''' <param name="pFileNm">出力ファイル名</param>
	''' <param name="dtCsvData">CSV出力用データ</param>
	''' <returns>結果</returns>
	''' <remarks>
	'''2010/11/02 新規作成　CS)森田<BR/>
	''' </remarks>
	''' ---------------------------------------------
	Private Function PutCSV(ByVal pFilePath As String, ByVal pFileNm As String, ByVal dtCsvData As DataTable) As Boolean
		log(clsSysMst.logLevel.DBG, "PutCSV", "CSV出力")
		Dim bResult As Boolean = False
		Dim arData As ArrayList = Nothing
		Dim arDataDetails As ArrayList = Nothing
		Try
			arData = New ArrayList
			' 出力パスと出力ファイル名を定義して、CSVクラスをインスタンス化
			Using cliCSV As clsCSV = New clsCSV(pFileNm, pFilePath)
				If cliCSV.chkFileFind Then
					' 結果ファイル削除
'(M) STR V4-12053-000 004 2012/12/14 ID)荒川 病歴大将V4PKG 管理No.49 確認メッセージ「OK/キャンセル」→「はい/いいえ」に修正
					'If confMsg("Q0001", "同じ名前のファイルが存在します。置き換えますが", Nothing) = MsgBoxResult.Ok Then  '%0%よろしいですか。
					If confMsg("Q0001", "同じ名前のファイルが存在します。置き換えますが", Nothing) = MsgBoxResult.Yes Then	 '%0%よろしいですか。
'(M) END V4-12053-000 004 2012/12/14
						If cliCSV.chkFileFind Then cliCSV.delFile()
					Else
						bResult = True
						Exit Try
					End If
				End If
				Application.DoEvents()
				' ヘッダ出力
				cliCSV.putCSV(Split(CST_CSV_HEADER, CST_STR_COMMA))

				' データ部出力
				For Each pRow As DataRow In dtCsvData.Rows
					' 明細インスタンス化
					arDataDetails = New ArrayList
					' 明細部出力
					SetDetailToArray(pRow, arDataDetails)
					' メインにAdd
					arData.Add(arDataDetails.Clone)
					' 解放
					arDataDetails.Clear()
					arDataDetails = Nothing
				Next
				' 明細出力
				cliCSV.putCSV_Array(arData)

				' 完了メッセージ
				showMsg("I0006", "データ抽出", Nothing)

				bResult = True
			End Using
		Catch ex As Exception
			Throw
		Finally
			If arData IsNot Nothing Then arData.Clear()
			If arDataDetails IsNot Nothing Then arDataDetails.Clear()
			arData = Nothing
			arDataDetails = Nothing
		End Try
		Return bResult
	End Function

	''' ---------------------------------------------
	''' <summary>
	''' 明細を配列に設定
	''' </summary>
	''' <param name="pDataRow">明細行データ</param>
	''' <param name="pArData">配列</param>
	''' <remarks>
	'''2010/11/02 新規作成　CS)森田<BR/>
	''' </remarks>
	''' ---------------------------------------------
	Private Sub SetDetailToArray(ByVal pDataRow As DataRow, ByRef pArData As ArrayList)
		log(clsSysMst.logLevel.DBG, "SetDetailToArray", "明細を配列に設定")
		Try
			' 出力項目をADDする
			With pDataRow
				' 共通項目
				For idx As Integer = 0 To csvItemCommon.Length - 1
					pArData.Add(ConvComma(.Item(csvItemCommon(idx)).ToString))
				Next
			End With
		Catch ex As Exception
			Throw
		End Try
	End Sub

	''' ---------------------------------------------
	''' <summary>
	''' カンマをアンダーバーに変更
	''' </summary>
	''' <param name="pPrevString">変換前文字列</param>
	''' <remarks>
	'''2010/11/02 新規作成　CS)森田<BR/>
	''' </remarks>
	''' ---------------------------------------------
	Private Function ConvComma(ByVal pPrevString As String) As String
		log(clsSysMst.logLevel.DBG, "ConvComma", "カンマをアンダーバーに変更")
		Dim retString As String = String.Empty
		Try
			retString = pPrevString.Replace(CST_STR_COMMA, CST_STR_UNDERBAR)
		Catch ex As Exception
			Throw
		End Try
		Return retString
	End Function
#End Region

#Region "オーバーライドメソッド"

	''' ---------------------------------------------
	''' <summary>
	''' Ｆ３キー押下による追加
	''' </summary>
	''' <remarks>
	''' 2010/10/20 新規作成　CS)森田<BR/>
	''' </remarks>
	''' ---------------------------------------------
	Public Overrides Function F3KeyProc() As Boolean
		' 非表示時は処理スキップ
		If Not Me.btn008XSP140F010.Visible Then Return False
		log(clsSysMst.logLevel.NRM, "F3KeyProc", "Ｆ３キー押下 Start")
		Try
			MyBase.F3KeyProc()
			AddProc()	'追加処理
'(A) STR V4-12037-000 003 2012/07/16 FWEST)H.Y がん登録Ｖ２対応(病名検索、手術検索)
			SetFocus(True)
'(A) END V4-12037-000 003 2012/07/16 FWEST)H.Y がん登録Ｖ２対応(病名検索、手術検索)
		Catch ex As Exception
			Throw
		End Try
		Return True
	End Function

	'''---------------------------------------------
	''' <summary>
	''' Ｆ７キー押下による確定
	''' </summary>
	''' <remarks>
	''' 2010/11/02 新規作成　CS)森田<BR/>
	''' </remarks>
	'''---------------------------------------------
	Public Overrides Function F7KeyProc() As Boolean
		' 非表示時は処理スキップ
		If Not Me.btn004XSP000F010.Visible Then Return False
		log(clsSysMst.logLevel.NRM, "F7KeyProc", "Ｆ７キー押下 Start")
		Try
			MyBase.F7KeyProc()
			UpdProc()	'確定処理
		Catch ex As Exception
			Throw
		End Try
		Return True
	End Function

	'''---------------------------------------------
	''' <summary>
	''' Ｆ１０キー押下によるタブ遷移
	''' </summary>
	''' <remarks>
	''' 2010/11/02 新規作成　CS)森田<BR/>
	''' </remarks>
	'''---------------------------------------------
	Public Overrides Function F10KeyProc() As Boolean
		log(clsSysMst.logLevel.NRM, "F10KeyProc", "Ｆ１０キー押下 Start")
		Try
			MyBase.F10KeyProc()
			Select Case True
				Case Me.tab020XSP140F010.SelectedIndex = 0
					Me.tab020XSP140F010.SelectedIndex = 1
				Case Me.tab020XSP140F010.SelectedIndex = 1
					Me.tab020XSP140F010.SelectedIndex = 2
				Case Me.tab020XSP140F010.SelectedIndex = 2
					Me.tab020XSP140F010.SelectedIndex = 0
			End Select
			SetFocus()
		Catch ex As Exception
			Throw
		End Try
		Return True
	End Function

	'''---------------------------------------------
	''' <summary>
	''' Ｆ１２キー押下による終了
	''' </summary>
	''' <remarks>
	''' 2010/11/02 新規作成　CS)森田<BR/>
	''' </remarks>
	'''---------------------------------------------
	Public Overrides Function F12KeyProc() As Boolean
		log(clsSysMst.logLevel.NRM, "F12KeyProc", "Ｆ１２キー押下 Start")
		Try
			MyBase.F12KeyProc()
			Me.AutoValidate = Windows.Forms.AutoValidate.Disable
			EndProc()	'終了処理
		Catch ex As Exception
			Throw
		End Try
		Return True
	End Function

	'''---------------------------------------------
	''' <summary>
	''' Ｆ１１キー押下による検索
	''' </summary>
	''' <remarks>
	''' 2010/11/02 新規作成　CS)森田<BR/>
	''' </remarks>
	'''---------------------------------------------
	Public Overrides Function F11KeyProc() As Boolean
		log(clsSysMst.logLevel.NRM, "F11KeyProc", "Ｆ１１キー押下 Start")
		Try
			MyBase.F11KeyProc()
			Select Case True
				Case Me.tab020XSP140F010.SelectedIndex = 0
					SearchProc()	'検索タブ検索処理
				Case Me.tab020XSP140F010.SelectedIndex = 1
				Case Me.tab020XSP140F010.SelectedIndex = 2
					SearchProc1()	'複数文字列検索タブ検索処理
			End Select
		Catch ex As Exception
			Throw
		End Try
		Return True
	End Function

	'''---------------------------------------------
	''' <summary>
	''' ＥＮＴＥＲキーによる処理
	''' </summary>
	''' <returns></returns>
	''' <remarks>
	''' 2010/11/02 新規作成　CS)森田<BR/>
	''' </remarks>
	'''---------------------------------------------
	Public Overrides Function EnterProc() As Boolean
		log(clsSysMst.logLevel.NRM, "EnterProc", "ＥＮＴＥＲキー押下 Start")
		Try
			Select Case True
				Case Me.ActiveControl.Name = Me.dgv037XSP140F010.Name
					If Me.dgv038XSP140F010.CurrentRow IsNot Nothing Then
						Me.dgv038XSP140F010.Focus()
						Me.dgv038XSP140F010.CurrentRow.Selected = True
					End If
				Case Me.ActiveControl.Name = Me.dgv038XSP140F010.Name
					If Me.dgv051XSP140F010.CurrentRow IsNot Nothing Then
						Me.dgv051XSP140F010.Focus()
						Me.dgv051XSP140F010.CurrentRow.Selected = True
					End If
				Case Me.ActiveControl.Name = Me.dgv051XSP140F010.Name
					If Me.dgv051XSP140F010.CurrentCell Is Nothing OrElse Me.dgv051XSP140F010.CurrentCell.ColumnIndex < 0 Then
						Return MyBase.EnterProc()
					Else
						Select Case True
							Case SearchMode = XSP140F010.Enum_Mode.NORMAL
								UpdProc()
							Case SearchMode = XSP140F010.Enum_Mode.KANZI_SEARCH
								UpdProc()
							Case SearchMode = XSP140F010.Enum_Mode.ADDITION
								AddProc()
							Case SearchMode = XSP140F010.Enum_Mode.EXTRACTION
							Case Else
						End Select
'(M) STR V4-13013-000 004 20130213 ID)荒川 病歴大将V4PKG問題点No238 検索画面でのフォーカス制御対応（病名検索、手術検索）
'						SetFocus()
						SetFocus(True)
'(M) END V4-13013-000 004 20130213 ID)荒川 病歴大将V4PKG問題点No238 検索画面でのフォーカス制御対応（病名検索、手術検索）
						Return True
					End If
				Case Else
					Return MyBase.EnterProc()
			End Select
		Catch ex As Exception
			Throw
		End Try
	End Function
#End Region

End Class