﻿Imports System.Windows.Forms
Imports System.ComponentModel
Imports XCM
Imports XSP

'''---------------------------------------------
''' <summary>
''' 修飾語検索画面処理
''' </summary>
''' <remarks>
''' Copyright 2010 FUJITSU SHIKOKU SYSTEMS LIMITED All rights reserved.<BR/>
''' FUJITSU SHIKOKU SYSTEMS LIMITED CONFIDENTIAL<BR/>
''' </remarks>
'''---------------------------------------------
Public Class XSP190F010

#Region "コンスタント"

	Private Const WILDCARDCHAR As String = "%"	'ワイルドカード文字

#End Region

#Region "変数"

	Private _MDFRNo As String								'修飾語番号
	Private _MDFROneRec As DictionaryEntry					'修飾語基本情報１レコード
	Private _OwnerCtl As String = Nothing					'親画面の項目
	Private fret As Enum_FormReturn = Enum_FormReturn.NONE	'画面戻り値
	Private OwnerForm As frmBase							'OwnerFormを取得
	Private cliGridSort As clsGridSort						'グリッド独自ソートクラス
	Private cliGridStyle As clsGridStyle					'グリッドスタイルクラス
	Private cliBmp As clsBmp								'画像クラス
	Private DataMTM_DISEASE_MDFR_HEAD As DataTable			'修飾語追加結果テーブル(接頭語用)
	Private DataMTM_DISEASE_MDFR_TAIL As DataTable			'修飾語追加結果テーブル(接尾語用)
	Private cliCom As clsCom								'共通メソッド
	Private key1 As String = Nothing						'ボタン1接続位置区分
	Private key2 As String = Nothing						'ボタン2接続位置区分
	Private key3 As String = Nothing						'ボタン3接続位置区分
	Private key4 As String = Nothing						'ボタン4接続位置区分
	Private key5 As String = Nothing						'ボタン5接続位置区分
	Private key6 As String = Nothing						'ボタン6接続位置区分
	Private key7 As String = Nothing						'ボタン7接続位置区分
	Private key8 As String = Nothing						'ボタン8接続位置区分
	Private Shown_Flg As Boolean = False					'初期値表示完了フラグ

#End Region

#Region "コンストラクタ"

	''' ---------------------------------------------
	''' <summary>
	''' コンストラクタ
	''' </summary>
	''' <remarks>
	''' 2010/11/08 新規作成　CS)森田<BR/>
	''' </remarks>
	''' ---------------------------------------------
	Sub New(ByVal ownerctl As String)

		' この呼び出しは、Windows フォーム デザイナで必要です。
		InitializeComponent()

		' InitializeComponent() 呼び出しの後で初期化を追加します。

		_OwnerCtl = ownerctl

	End Sub

#End Region

#Region "イベント"

	''' ---------------------------------------------
	''' <summary>
	''' 修飾語検索画面＿初期表示
	''' </summary>
	''' <param name="sender"></param>
	''' <param name="e"></param>
	''' <remarks>
	''' 2010/11/08 新規作成　CS)森田<BR/>
	''' </remarks>
	''' ---------------------------------------------
	Private Sub XSP190F010_Load(ByVal sender As System.Object, ByVal e As System.EventArgs) Handles MyBase.Load
		log(clsSysMst.logLevel.NRM, "XSP190F010_Load", "修飾語検索画面＿初期表示 Start")
		Try
			cliCom = New clsCom
			cliGridSort = New clsGridSort
			cliGridStyle = New clsGridStyle
			cliBmp = New clsBmp
			DataMTM_DISEASE_MDFR_HEAD = New DataTable
			DataMTM_DISEASE_MDFR_TAIL = New DataTable
			OwnerForm = Me.Owner		'OwnerFormを取得

			cliGridStyle.setGridHeight(Me.dgv027XSP190F010)		'グリッド１行の高さを設定
			cliGridStyle.setGridHeight(Me.dgv029XSP190F010)		'グリッド１行の高さを設定
			cliGridStyle.setGridHeight(Me.dgv037XSP190F010)		'グリッド１行の高さを設定

			Me.btn002XSP190F010.Image = cliBmp.getBmp(clsBmp.Enum_BmpType.Delete)
			Me.btn004XSP190F010.Image = cliBmp.getBmp(clsBmp.Enum_BmpType.Delete)
			Me.btn006XSP190F010.Image = cliBmp.getBmp(clsBmp.Enum_BmpType.Delete)
			Me.btn008XSP190F010.Image = cliBmp.getBmp(clsBmp.Enum_BmpType.Delete)
			Me.btn010XSP190F010.Image = cliBmp.getBmp(clsBmp.Enum_BmpType.Delete)
			Me.btn012XSP190F010.Image = cliBmp.getBmp(clsBmp.Enum_BmpType.Delete)
			Me.btn014XSP190F010.Image = cliBmp.getBmp(clsBmp.Enum_BmpType.Delete)
			Me.btn016XSP190F010.Image = cliBmp.getBmp(clsBmp.Enum_BmpType.Delete)
			Me.btn032XSP190F010.Image = cliBmp.getBmp(clsBmp.Enum_BmpType.Delete)
			Me.btn040XSP190F010.Image = cliBmp.getBmp(clsBmp.Enum_BmpType.Delete)

			'修飾語追加結果テーブル(接頭語用)設定
			DataMTM_DISEASE_MDFR_HEAD.Columns.Add(sqlXSP190F010.itmMDFR_CD)
			DataMTM_DISEASE_MDFR_HEAD.Columns.Add(sqlXSP190F010.itmMDFR_NM)
			DataMTM_DISEASE_MDFR_HEAD.Columns.Add(sqlXSP190F010.itmMNG_DIV)
			DataMTM_DISEASE_MDFR_HEAD.Columns.Add(sqlXSP190F010.itmMNG_NO)
			DataMTM_DISEASE_MDFR_HEAD.Columns.Add(sqlXSP190F010.itmEXCLUSIVE_GRP_CD)
			DataMTM_DISEASE_MDFR_HEAD.Columns.Add(sqlXSP190F010.itmCONNECT_POSITION_DIV)
			DataMTM_DISEASE_MDFR_HEAD.Columns.Add(sqlXSP190F010.itmSEQ_NO)

			'修飾語追加結果テーブル(接尾語用)設定
			DataMTM_DISEASE_MDFR_TAIL.Columns.Add(sqlXSP190F010.itmMDFR_CD)
			DataMTM_DISEASE_MDFR_TAIL.Columns.Add(sqlXSP190F010.itmMDFR_NM)
			DataMTM_DISEASE_MDFR_TAIL.Columns.Add(sqlXSP190F010.itmMNG_DIV)
			DataMTM_DISEASE_MDFR_TAIL.Columns.Add(sqlXSP190F010.itmMNG_NO)
			DataMTM_DISEASE_MDFR_TAIL.Columns.Add(sqlXSP190F010.itmEXCLUSIVE_GRP_CD)
			DataMTM_DISEASE_MDFR_TAIL.Columns.Add(sqlXSP190F010.itmCONNECT_POSITION_DIV)
			DataMTM_DISEASE_MDFR_TAIL.Columns.Add(sqlXSP190F010.itmSEQ_NO)

			rdo018XSP190F010.Checked = True
		Catch ex As Exception
			ErrorProc(ex)						'エラー処理
			Me.OwnerForm.setCancelFlg(True)		'Load時に強制的に画面を閉じる場合に必要
			EndProc()							'終了処理
		End Try
	End Sub

	''' ---------------------------------------------
	''' <summary>
	''' 修飾語検索画面＿初期値表示
	''' </summary>
	''' <param name="sender"></param>
	''' <param name="e"></param>
	''' <remarks>
	''' 2010/11/08 新規作成　CS)森田<BR/>
	''' </remarks>
	''' ---------------------------------------------
	Private Sub XSP190F010_Shown(ByVal sender As System.Object, ByVal e As System.EventArgs) Handles MyBase.Shown
		log(clsSysMst.logLevel.NRM, "XSP190F010_Shown", "修飾語検索画面＿初期値表示 Start")
		Dim SpecialItems As ArrayList
		Dim retHash As Hashtable
		Dim strValue As String
		Try
			SpecialItems = New ArrayList
			SpecialItems.Add(New DictionaryEntry(clsConst.CST_MDFR1_BTN, Me.btn001XSP190F010.Text))		'修飾語検索画面-ボタン１
			SpecialItems.Add(New DictionaryEntry(clsConst.CST_MDFR2_BTN, Me.btn003XSP190F010.Text))		'修飾語検索画面-ボタン２
			SpecialItems.Add(New DictionaryEntry(clsConst.CST_MDFR3_BTN, Me.btn005XSP190F010.Text))		'修飾語検索画面-ボタン３
			SpecialItems.Add(New DictionaryEntry(clsConst.CST_MDFR4_BTN, Me.btn007XSP190F010.Text))		'修飾語検索画面-ボタン４
			SpecialItems.Add(New DictionaryEntry(clsConst.CST_MDFR5_BTN, Me.btn009XSP190F010.Text))		'修飾語検索画面-ボタン５
			SpecialItems.Add(New DictionaryEntry(clsConst.CST_MDFR6_BTN, Me.btn011XSP190F010.Text))		'修飾語検索画面-ボタン６
			SpecialItems.Add(New DictionaryEntry(clsConst.CST_MDFR7_BTN, Me.btn013XSP190F010.Text))		'修飾語検索画面-ボタン７
			SpecialItems.Add(New DictionaryEntry(clsConst.CST_MDFR8_BTN, Me.btn015XSP190F010.Text))		'修飾語検索画面-ボタン８
			SpecialItems.Add(New DictionaryEntry(clsConst.CST_MDFR1_CONPOSIDIV, key1))					'修飾語接続位置区分＿修飾語１
			SpecialItems.Add(New DictionaryEntry(clsConst.CST_MDFR2_CONPOSIDIV, key2))					'修飾語接続位置区分＿修飾語２
			SpecialItems.Add(New DictionaryEntry(clsConst.CST_MDFR3_CONPOSIDIV, key3))					'修飾語接続位置区分＿修飾語３
			SpecialItems.Add(New DictionaryEntry(clsConst.CST_MDFR4_CONPOSIDIV, key4))					'修飾語接続位置区分＿修飾語４
			SpecialItems.Add(New DictionaryEntry(clsConst.CST_MDFR5_CONPOSIDIV, key5))					'修飾語接続位置区分＿修飾語５
			SpecialItems.Add(New DictionaryEntry(clsConst.CST_MDFR6_CONPOSIDIV, key6))					'修飾語接続位置区分＿修飾語６
			SpecialItems.Add(New DictionaryEntry(clsConst.CST_MDFR7_CONPOSIDIV, key7))					'修飾語接続位置区分＿修飾語７
			SpecialItems.Add(New DictionaryEntry(clsConst.CST_MDFR8_CONPOSIDIV, key8))					'修飾語接続位置区分＿修飾語８
			SpecialItems.Add(New DictionaryEntry(Me.rdo018XSP190F010.Name, Me.rdo018XSP190F010.Name))	'修飾語検索画面-通常項目
			SpecialItems.Add(New DictionaryEntry(Me.rdo019XSP190F010.Name, Me.rdo019XSP190F010.Name))	'修飾語検索画面-通常項目
			SpecialItems.Add(New DictionaryEntry(Me.rdo020XSP190F010.Name, Me.rdo020XSP190F010.Name))	'修飾語検索画面-通常項目
			SpecialItems.Add(New DictionaryEntry(Me.rdo021XSP190F010.Name, Me.rdo021XSP190F010.Name))	'修飾語検索画面-通常項目
			SpecialItems.Add(New DictionaryEntry(Me.lik025XSP190F010.Name, Me.lik025XSP190F010.Name))	'修飾語検索画面-通常項目
			retHash = Me.getLoadLastValue(SpecialItems, Me.Name)
			If Not String.IsNullOrEmpty(retHash(Me.rdo018XSP190F010.Name.ToString)) Then
				rdo018XSP190F010.Checked = IIf(retHash(Me.rdo018XSP190F010.Name.ToString).ToString = clsConst.Enum_CheckBox_Flg.CheckOn, True, False)
			End If
			If Not String.IsNullOrEmpty(retHash(Me.rdo019XSP190F010.Name.ToString)) Then
				rdo019XSP190F010.Checked = IIf(retHash(Me.rdo019XSP190F010.Name.ToString).ToString = clsConst.Enum_CheckBox_Flg.CheckOn, True, False)
			End If
			If Not String.IsNullOrEmpty(retHash(Me.rdo020XSP190F010.Name.ToString)) Then
				rdo020XSP190F010.Checked = IIf(retHash(Me.rdo020XSP190F010.Name.ToString).ToString = clsConst.Enum_CheckBox_Flg.CheckOn, True, False)
			End If
			If Not String.IsNullOrEmpty(retHash(Me.rdo021XSP190F010.Name.ToString)) Then
				rdo021XSP190F010.Checked = IIf(retHash(Me.rdo021XSP190F010.Name.ToString).ToString = clsConst.Enum_CheckBox_Flg.CheckOn, True, False)
			End If

			strValue = retHash(Me.lik025XSP190F010.Name.ToString)
			Select Case strValue
				Case CStr(BT_Like.Enum_MatchingCriteria.PrefixMatch), _
				  CStr(BT_Like.Enum_MatchingCriteria.BackwardMatch), _
				  CStr(BT_Like.Enum_MatchingCriteria.BroadMatch), _
				  CStr(BT_Like.Enum_MatchingCriteria.ExactMatch)
					lik025XSP190F010.MatchingCriteria = CInt(strValue)
				Case Else
					lik025XSP190F010.MatchingCriteria = BT_Like.Enum_MatchingCriteria.PrefixMatch
			End Select

			Me.btn001XSP190F010.Text = retHash(clsConst.CST_MDFR1_BTN.ToString)
			Me.btn003XSP190F010.Text = retHash(clsConst.CST_MDFR2_BTN.ToString)
			Me.btn005XSP190F010.Text = retHash(clsConst.CST_MDFR3_BTN.ToString)
			Me.btn007XSP190F010.Text = retHash(clsConst.CST_MDFR4_BTN.ToString)
			Me.btn009XSP190F010.Text = retHash(clsConst.CST_MDFR5_BTN.ToString)
			Me.btn011XSP190F010.Text = retHash(clsConst.CST_MDFR6_BTN.ToString)
			Me.btn013XSP190F010.Text = retHash(clsConst.CST_MDFR7_BTN.ToString)
			Me.btn015XSP190F010.Text = retHash(clsConst.CST_MDFR8_BTN.ToString)

			If Not String.IsNullOrEmpty(retHash(clsConst.CST_MDFR1_CONPOSIDIV.ToString)) Then
				key1 = retHash(clsConst.CST_MDFR1_CONPOSIDIV.ToString)
			Else
				key1 = String.Empty
			End If
			If Not String.IsNullOrEmpty(retHash(clsConst.CST_MDFR2_CONPOSIDIV.ToString)) Then
				key2 = retHash(clsConst.CST_MDFR2_CONPOSIDIV.ToString)
			Else
				key2 = String.Empty
			End If
			If Not String.IsNullOrEmpty(retHash(clsConst.CST_MDFR3_CONPOSIDIV.ToString)) Then
				key3 = retHash(clsConst.CST_MDFR3_CONPOSIDIV.ToString)
			Else
				key3 = String.Empty
			End If
			If Not String.IsNullOrEmpty(retHash(clsConst.CST_MDFR4_CONPOSIDIV.ToString)) Then
				key4 = retHash(clsConst.CST_MDFR4_CONPOSIDIV.ToString)
			Else
				key4 = String.Empty
			End If
			If Not String.IsNullOrEmpty(retHash(clsConst.CST_MDFR5_CONPOSIDIV.ToString)) Then
				key5 = retHash(clsConst.CST_MDFR5_CONPOSIDIV.ToString)
			Else
				key5 = String.Empty
			End If
			If Not String.IsNullOrEmpty(retHash(clsConst.CST_MDFR6_CONPOSIDIV.ToString)) Then
				key6 = retHash(clsConst.CST_MDFR6_CONPOSIDIV.ToString)
			Else
				key6 = String.Empty
			End If
			If Not String.IsNullOrEmpty(retHash(clsConst.CST_MDFR7_CONPOSIDIV.ToString)) Then
				key7 = retHash(clsConst.CST_MDFR7_CONPOSIDIV.ToString)
			Else
				key7 = String.Empty
			End If
			If Not String.IsNullOrEmpty(retHash(clsConst.CST_MDFR8_CONPOSIDIV.ToString)) Then
				key8 = retHash(clsConst.CST_MDFR8_CONPOSIDIV.ToString)
			Else
				key8 = String.Empty
			End If

			'フォーカス初期設定
			Me.txt023XSP190F010.Focus()
			Shown_Flg = True
			_MDFROneRec.Key = _OwnerCtl
			fret = Enum_FormReturn.CANSEL
		Catch ex As Exception
			ErrorProc(ex)						'エラー処理
			EndProc()							'終了処理
		Finally
			SpecialItems = Nothing
			retHash = Nothing
		End Try
	End Sub

	''' ---------------------------------------------
	''' <summary>
	''' 修飾語検索画面＿終了処理
	''' </summary>
	''' <param name="sender"></param>
	''' <param name="e"></param>
	''' <remarks>
	''' 2010/11/08 新規作成　CS)森田<BR/>
	''' </remarks>
	''' ---------------------------------------------
	Private Sub XSP190F010_FormClosing(ByVal sender As System.Object, ByVal e As System.Windows.Forms.FormClosingEventArgs) Handles MyBase.FormClosing
		log(clsSysMst.logLevel.NRM, "XSP190F010_FormClosing", "修飾語検索画面＿終了処理 Start")
		Dim SpecialItems As ArrayList
		Dim strValue As String
		Dim FirstException As Exception = Nothing
		Try
			SpecialItems = New ArrayList
			SpecialItems.Add(New DictionaryEntry(clsConst.CST_MDFR1_BTN, Me.btn001XSP190F010.Text))		'修飾語検索画面-ボタン１
			SpecialItems.Add(New DictionaryEntry(clsConst.CST_MDFR2_BTN, Me.btn003XSP190F010.Text))		'修飾語検索画面-ボタン２
			SpecialItems.Add(New DictionaryEntry(clsConst.CST_MDFR3_BTN, Me.btn005XSP190F010.Text))		'修飾語検索画面-ボタン３
			SpecialItems.Add(New DictionaryEntry(clsConst.CST_MDFR4_BTN, Me.btn007XSP190F010.Text))		'修飾語検索画面-ボタン４
			SpecialItems.Add(New DictionaryEntry(clsConst.CST_MDFR5_BTN, Me.btn009XSP190F010.Text))		'修飾語検索画面-ボタン５
			SpecialItems.Add(New DictionaryEntry(clsConst.CST_MDFR6_BTN, Me.btn011XSP190F010.Text))		'修飾語検索画面-ボタン６
			SpecialItems.Add(New DictionaryEntry(clsConst.CST_MDFR7_BTN, Me.btn013XSP190F010.Text))		'修飾語検索画面-ボタン７
			SpecialItems.Add(New DictionaryEntry(clsConst.CST_MDFR8_BTN, Me.btn015XSP190F010.Text))		'修飾語検索画面-ボタン８
			SpecialItems.Add(New DictionaryEntry(clsConst.CST_MDFR1_CONPOSIDIV, key1))					'修飾語接続位置区分＿修飾語１
			SpecialItems.Add(New DictionaryEntry(clsConst.CST_MDFR2_CONPOSIDIV, key2))					'修飾語接続位置区分＿修飾語２
			SpecialItems.Add(New DictionaryEntry(clsConst.CST_MDFR3_CONPOSIDIV, key3))					'修飾語接続位置区分＿修飾語３
			SpecialItems.Add(New DictionaryEntry(clsConst.CST_MDFR4_CONPOSIDIV, key4))					'修飾語接続位置区分＿修飾語４
			SpecialItems.Add(New DictionaryEntry(clsConst.CST_MDFR5_CONPOSIDIV, key5))					'修飾語接続位置区分＿修飾語５
			SpecialItems.Add(New DictionaryEntry(clsConst.CST_MDFR6_CONPOSIDIV, key6))					'修飾語接続位置区分＿修飾語６
			SpecialItems.Add(New DictionaryEntry(clsConst.CST_MDFR7_CONPOSIDIV, key7))					'修飾語接続位置区分＿修飾語７
			SpecialItems.Add(New DictionaryEntry(clsConst.CST_MDFR8_CONPOSIDIV, key8))					'修飾語接続位置区分＿修飾語８
			strValue = IIf(Me.rdo018XSP190F010.Checked, clsConst.Enum_CheckBox_Flg.CheckOn, clsConst.Enum_CheckBox_Flg.CheckOff)
			SpecialItems.Add(New DictionaryEntry(Me.rdo018XSP190F010.Name, strValue.ToString))			'修飾語検索画面-通常項目
			strValue = IIf(Me.rdo019XSP190F010.Checked, clsConst.Enum_CheckBox_Flg.CheckOn, clsConst.Enum_CheckBox_Flg.CheckOff)
			SpecialItems.Add(New DictionaryEntry(Me.rdo019XSP190F010.Name, strValue.ToString))			'修飾語検索画面-通常項目
			strValue = IIf(Me.rdo020XSP190F010.Checked, clsConst.Enum_CheckBox_Flg.CheckOn, clsConst.Enum_CheckBox_Flg.CheckOff)
			SpecialItems.Add(New DictionaryEntry(Me.rdo020XSP190F010.Name, strValue.ToString))			'修飾語検索画面-通常項目
			strValue = IIf(Me.rdo021XSP190F010.Checked, clsConst.Enum_CheckBox_Flg.CheckOn, clsConst.Enum_CheckBox_Flg.CheckOff)
			SpecialItems.Add(New DictionaryEntry(Me.rdo021XSP190F010.Name, strValue.ToString))			'修飾語検索画面-通常項目
			strValue = CType(Me.lik025XSP190F010, BT_Like).MatchingCriteria()
			SpecialItems.Add(New DictionaryEntry(Me.lik025XSP190F010.Name, strValue.ToString))			'修飾語検索画面-通常項目

			If Shown_Flg Then
				Try
					SaveLastValue(SpecialItems, Me.Name, True)
				Catch ex As Exception
					' エラー処理は１回のみ
					FirstException = ex
				End Try

				' エラー時は画面にとどまる
				If FirstException IsNot Nothing Then
					e.Cancel = True
					Exit Sub
				End If
				Try
					OwnerForm.backForm(False, fret, _MDFROneRec)
					setCloseFlg()							'Close許可
				Catch ex As Exception
					' エラー時は画面にとどまる
					e.Cancel = True
					Throw
				End Try
			Else
				setCloseFlg()	'Close許可
				OwnerForm.setCancelFlg(True)
				OwnerForm.backForm(False)
			End If

			Me.dgv027XSP190F010.DataSource = Nothing
			Me.dgv029XSP190F010.DataSource = Nothing
			Me.dgv037XSP190F010.DataSource = Nothing
			If DataMTM_DISEASE_MDFR_HEAD IsNot Nothing Then DataMTM_DISEASE_MDFR_HEAD.Dispose()
			If DataMTM_DISEASE_MDFR_TAIL IsNot Nothing Then DataMTM_DISEASE_MDFR_TAIL.Dispose()
		Catch ex As Exception
			' エラー処理は１回のみ
			FirstException = ex
		Finally
			If FirstException IsNot Nothing Then
				' エラー処理
				ErrorProc(FirstException)
			End If
			SpecialItems = Nothing
			FirstException = Nothing
			If Not e.Cancel Then
				DataMTM_DISEASE_MDFR_HEAD = Nothing
				DataMTM_DISEASE_MDFR_TAIL = Nothing
				cliGridSort = Nothing
				cliGridStyle = Nothing
				cliBmp = Nothing
				cliCom = Nothing
				OwnerForm = Nothing
			End If
		End Try
	End Sub

	''' ---------------------------------------------
	''' <summary>
	''' 確定ボタンクリック
	''' </summary>
	''' <param name="sender"></param>
	''' <param name="e"></param>
	''' <remarks>
	''' 2010/11/08 新規作成　CS)森田<BR/>
	''' </remarks>
	''' ---------------------------------------------
	Private Sub btn004XSP000F010_Click(ByVal sender As System.Object, ByVal e As System.EventArgs) Handles btn004XSP000F010.Click
		log(clsSysMst.logLevel.NRM, "btn004XSP000F010_Click", "確定ボタンクリック Start")
		Try
			UpdProc()
		Catch ex As Exception
			ErrorProc(ex)
		End Try
	End Sub

	''' ---------------------------------------------
	''' <summary>
	''' 閉じるボタンクリック
	''' </summary>
	''' <param name="sender"></param>
	''' <param name="e"></param>
	''' <remarks>
	''' 2010/11/08 新規作成　CS)森田<BR/>
	''' </remarks>
	''' ---------------------------------------------
	Private Sub btn005XSP000F010_Click(ByVal sender As System.Object, ByVal e As System.EventArgs) Handles btn005XSP000F010.Click
		log(clsSysMst.logLevel.NRM, "btn005XSP000F010_Click", "閉じるボタンクリック Start")
		Try
			EndProc()
		Catch ex As Exception
			ErrorProc(ex)
		End Try
	End Sub

	''' ---------------------------------------------
	''' <summary>
	''' 検索ボタンクリック
	''' </summary>
	''' <param name="sender"></param>
	''' <param name="e"></param>
	''' <remarks>
	''' 2010/11/08 新規作成　CS)森田<BR/>
	''' </remarks>
	''' ---------------------------------------------
	Private Sub btn026XSP190F010_Click(ByVal sender As System.Object, ByVal e As System.EventArgs) Handles btn026XSP190F010.Click
		log(clsSysMst.logLevel.NRM, "btn026XSP190F010_Click", "検索ボタンクリック Start")
		Try
			SearchProc()
		Catch ex As Exception
			ErrorProc(ex)
		End Try
	End Sub

	''' ---------------------------------------------
	''' <summary>
	''' 追加ボタンクリック
	''' </summary>
	''' <param name="sender"></param>
	''' <param name="e"></param>
	''' <remarks>
	''' 2010/11/08 新規作成　CS)森田<BR/>
	''' </remarks>
	''' ---------------------------------------------
	Private Sub btn033XSP190F010_Click(ByVal sender As System.Object, ByVal e As System.EventArgs) Handles btn033XSP190F010.Click
		log(clsSysMst.logLevel.NRM, "btn033XSP190F010_Click", "追加ボタンクリック Start")
		Try
			If dgv027XSP190F010.CurrentRow Is Nothing OrElse dgv027XSP190F010.CurrentRow.Index < 0 Then Exit Sub
			System.Windows.Forms.Cursor.Current = Cursors.WaitCursor	'カーソル砂時計
			AddProc()
		Catch ex As Exception
			ErrorProc(ex)
		Finally
			System.Windows.Forms.Cursor.Current = Cursors.Default	'カーソルデフォルト
		End Try
	End Sub

	''' ---------------------------------------------
	''' <summary>
	''' 内容１ボタンクリック
	''' </summary>
	''' <param name="sender"></param>
	''' <param name="e"></param>
	''' <remarks>
	''' 2010/11/08 新規作成　CS)森田<BR/>
	''' </remarks>
	''' ---------------------------------------------
	Private Sub btn001XSP190F010_Click(ByVal sender As System.Object, ByVal e As System.EventArgs) Handles btn001XSP190F010.Click
		log(clsSysMst.logLevel.NRM, "btn001XSP190F010_Click", "内容１ボタンクリック Start")
		Try
			If dgv027XSP190F010.CurrentRow Is Nothing OrElse dgv027XSP190F010.CurrentRow.Index < 0 Then Exit Sub
			btn001XSP190F010.Text = Me.dgv027XSP190F010.Rows(Me.dgv027XSP190F010.CurrentRow.Index).Cells(1).Value.ToString()
			Dim CONNECT_NO As String = Me.dgv027XSP190F010.Rows(Me.dgv027XSP190F010.CurrentRow.Index).Cells(5).Value.ToString()
			If CONNECT_NO < 10 Then
				key1 = clsConst.Enum_MdfrInsItemJudg.Suffix
			Else
				key1 = clsConst.Enum_MdfrInsItemJudg.Prefix
			End If
		Catch ex As Exception
			ErrorProc(ex)
		End Try
	End Sub

	''' ---------------------------------------------
	''' <summary>
	''' 内容１削除ボタンクリック
	''' </summary>
	''' <param name="sender"></param>
	''' <param name="e"></param>
	''' <remarks>
	''' 2010/11/08 新規作成　CS)森田<BR/>
	''' </remarks>
	''' ---------------------------------------------
	Private Sub btn002XSP190F010_Click(ByVal sender As System.Object, ByVal e As System.EventArgs) Handles btn002XSP190F010.Click
		log(clsSysMst.logLevel.NRM, "btn002XSP190F010_Click", "内容１削除ボタンクリック Start")
		Try
			If String.IsNullOrEmpty(btn001XSP190F010.Text) Then Exit Sub
			btn001XSP190F010.Text = String.Empty
			key1 = String.Empty
		Catch ex As Exception
			ErrorProc(ex)
		End Try
	End Sub

	''' ---------------------------------------------
	''' <summary>
	''' 内容２ボタンクリック
	''' </summary>
	''' <param name="sender"></param>
	''' <param name="e"></param>
	''' <remarks>
	''' 2010/11/08 新規作成　CS)森田<BR/>
	''' </remarks>
	''' ---------------------------------------------
	Private Sub btn003XSP190F010_Click(ByVal sender As System.Object, ByVal e As System.EventArgs) Handles btn003XSP190F010.Click
		log(clsSysMst.logLevel.NRM, "btn003XSP190F010_Click", "内容２ボタンクリック Start")
		Try
			If dgv027XSP190F010.CurrentRow Is Nothing OrElse dgv027XSP190F010.CurrentRow.Index < 0 Then Exit Sub
			btn003XSP190F010.Text = Me.dgv027XSP190F010.Rows(Me.dgv027XSP190F010.CurrentRow.Index).Cells(1).Value.ToString()
			Dim CONNECT_NO As String = Me.dgv027XSP190F010.Rows(Me.dgv027XSP190F010.CurrentRow.Index).Cells(5).Value.ToString()
			If CONNECT_NO < 10 Then
				key2 = clsConst.Enum_MdfrInsItemJudg.Suffix
			Else
				key2 = clsConst.Enum_MdfrInsItemJudg.Prefix
			End If
		Catch ex As Exception
			ErrorProc(ex)
		End Try
	End Sub

	''' ---------------------------------------------
	''' <summary>
	''' 内容２削除ボタンクリック
	''' </summary>
	''' <param name="sender"></param>
	''' <param name="e"></param>
	''' <remarks>
	''' 2010/11/08 新規作成　CS)森田<BR/>
	''' </remarks>
	''' ---------------------------------------------
	Private Sub btn004XSP190F010_Click(ByVal sender As System.Object, ByVal e As System.EventArgs) Handles btn004XSP190F010.Click
		log(clsSysMst.logLevel.NRM, "btn004XSP190F010_Click", "内容２削除ボタンクリック Start")
		Try
			If String.IsNullOrEmpty(btn003XSP190F010.Text) Then Exit Sub
			btn003XSP190F010.Text = String.Empty
			key2 = String.Empty
		Catch ex As Exception
			ErrorProc(ex)
		End Try
	End Sub

	''' ---------------------------------------------
	''' <summary>
	''' 内容３ボタンクリック
	''' </summary>
	''' <param name="sender"></param>
	''' <param name="e"></param>
	''' <remarks>
	''' 2010/11/08 新規作成　CS)森田<BR/>
	''' </remarks>
	''' ---------------------------------------------
	Private Sub btn005XSP190F010_Click(ByVal sender As System.Object, ByVal e As System.EventArgs) Handles btn005XSP190F010.Click
		log(clsSysMst.logLevel.NRM, "btn005XSP190F010_Click", "内容３ボタンクリック Start")
		Try
			If dgv027XSP190F010.CurrentRow Is Nothing OrElse dgv027XSP190F010.CurrentRow.Index < 0 Then Exit Sub
			btn005XSP190F010.Text = Me.dgv027XSP190F010.Rows(Me.dgv027XSP190F010.CurrentRow.Index).Cells(1).Value.ToString()
			Dim CONNECT_NO As String = Me.dgv027XSP190F010.Rows(Me.dgv027XSP190F010.CurrentRow.Index).Cells(5).Value.ToString()
			If CONNECT_NO < 10 Then
				key3 = clsConst.Enum_MdfrInsItemJudg.Suffix
			Else
				key3 = clsConst.Enum_MdfrInsItemJudg.Prefix
			End If
		Catch ex As Exception
			ErrorProc(ex)
		End Try
	End Sub

	''' ---------------------------------------------
	''' <summary>
	''' 内容３削除ボタンクリック
	''' </summary>
	''' <param name="sender"></param>
	''' <param name="e"></param>
	''' <remarks>
	''' 2010/11/08 新規作成　CS)森田<BR/>
	''' </remarks>
	''' ---------------------------------------------
	Private Sub btn006XSP190F010_Click(ByVal sender As System.Object, ByVal e As System.EventArgs) Handles btn006XSP190F010.Click
		log(clsSysMst.logLevel.NRM, "btn006XSP190F010_Click", "内容３削除ボタンクリック Start")
		Try
			If String.IsNullOrEmpty(btn005XSP190F010.Text) Then Exit Sub
			btn005XSP190F010.Text = String.Empty
			key3 = String.Empty
		Catch ex As Exception
			ErrorProc(ex)
		End Try
	End Sub

	''' ---------------------------------------------
	''' <summary>
	''' 内容４ボタンクリック
	''' </summary>
	''' <param name="sender"></param>
	''' <param name="e"></param>
	''' <remarks>
	''' 2010/11/08 新規作成　CS)森田<BR/>
	''' </remarks>
	''' ---------------------------------------------
	Private Sub btn007XSP190F010_Click(ByVal sender As System.Object, ByVal e As System.EventArgs) Handles btn007XSP190F010.Click
		log(clsSysMst.logLevel.NRM, "btn007XSP190F010_Click", "内容４ボタンクリック Start")
		Try
			If dgv027XSP190F010.CurrentRow Is Nothing OrElse dgv027XSP190F010.CurrentRow.Index < 0 Then Exit Sub
			btn007XSP190F010.Text = Me.dgv027XSP190F010.Rows(Me.dgv027XSP190F010.CurrentRow.Index).Cells(1).Value.ToString()
			Dim CONNECT_NO As String = Me.dgv027XSP190F010.Rows(Me.dgv027XSP190F010.CurrentRow.Index).Cells(5).Value.ToString()
			If CONNECT_NO < 10 Then
				key4 = clsConst.Enum_MdfrInsItemJudg.Suffix
			Else
				key4 = clsConst.Enum_MdfrInsItemJudg.Prefix
			End If
		Catch ex As Exception
			ErrorProc(ex)
		End Try
	End Sub

	''' ---------------------------------------------
	''' <summary>
	''' 内容４削除ボタンクリック
	''' </summary>
	''' <param name="sender"></param>
	''' <param name="e"></param>
	''' <remarks>
	''' 2010/11/08 新規作成　CS)森田<BR/>
	''' </remarks>
	''' ---------------------------------------------
	Private Sub btn008XSP190F010_Click(ByVal sender As System.Object, ByVal e As System.EventArgs) Handles btn008XSP190F010.Click
		log(clsSysMst.logLevel.NRM, "btn008XSP190F010_Click", "内容４削除ボタンクリック Start")
		Try
			If String.IsNullOrEmpty(btn007XSP190F010.Text) Then Exit Sub
			btn007XSP190F010.Text = String.Empty
			key4 = String.Empty
		Catch ex As Exception
			ErrorProc(ex)
		End Try
	End Sub

	''' ---------------------------------------------
	''' <summary>
	''' 内容５ボタンクリック
	''' </summary>
	''' <param name="sender"></param>
	''' <param name="e"></param>
	''' <remarks>
	''' 2010/11/08 新規作成　CS)森田<BR/>
	''' </remarks>
	''' ---------------------------------------------
	Private Sub btn009XSP190F010_Click(ByVal sender As System.Object, ByVal e As System.EventArgs) Handles btn009XSP190F010.Click
		log(clsSysMst.logLevel.NRM, "btn009XSP190F010_Click", "内容５ボタンクリック Start")
		Try
			If dgv027XSP190F010.CurrentRow Is Nothing OrElse dgv027XSP190F010.CurrentRow.Index < 0 Then Exit Sub
			btn009XSP190F010.Text = Me.dgv027XSP190F010.Rows(Me.dgv027XSP190F010.CurrentRow.Index).Cells(1).Value.ToString()
			Dim CONNECT_NO As String = Me.dgv027XSP190F010.Rows(Me.dgv027XSP190F010.CurrentRow.Index).Cells(5).Value.ToString()
			If CONNECT_NO < 10 Then
				key5 = clsConst.Enum_MdfrInsItemJudg.Suffix
			Else
				key5 = clsConst.Enum_MdfrInsItemJudg.Prefix
			End If
		Catch ex As Exception
			ErrorProc(ex)
		End Try
	End Sub

	''' ---------------------------------------------
	''' <summary>
	''' 内容５削除ボタンクリック
	''' </summary>
	''' <param name="sender"></param>
	''' <param name="e"></param>
	''' <remarks>
	''' 2010/11/08 新規作成　CS)森田<BR/>
	''' </remarks>
	''' ---------------------------------------------
	Private Sub btn010XSP190F010_Click(ByVal sender As System.Object, ByVal e As System.EventArgs) Handles btn010XSP190F010.Click
		log(clsSysMst.logLevel.NRM, "btn010XSP190F010_Click", "内容５削除ボタンクリック Start")
		Try
			If String.IsNullOrEmpty(btn009XSP190F010.Text) Then Exit Sub
			btn009XSP190F010.Text = String.Empty
			key5 = String.Empty
		Catch ex As Exception
			ErrorProc(ex)
		End Try
	End Sub

	''' ---------------------------------------------
	''' <summary>
	''' 内容６ボタンクリック
	''' </summary>
	''' <param name="sender"></param>
	''' <param name="e"></param>
	''' <remarks>
	''' 2010/11/08 新規作成　CS)森田<BR/>
	''' </remarks>
	''' ---------------------------------------------
	Private Sub btn011XSP190F010_Click(ByVal sender As System.Object, ByVal e As System.EventArgs) Handles btn011XSP190F010.Click
		log(clsSysMst.logLevel.NRM, "btn011XSP190F010_Click", "内容６ボタンクリック Start")
		Try
			If dgv027XSP190F010.CurrentRow Is Nothing OrElse dgv027XSP190F010.CurrentRow.Index < 0 Then Exit Sub
			btn011XSP190F010.Text = Me.dgv027XSP190F010.Rows(Me.dgv027XSP190F010.CurrentRow.Index).Cells(1).Value.ToString()
			Dim CONNECT_NO As String = Me.dgv027XSP190F010.Rows(Me.dgv027XSP190F010.CurrentRow.Index).Cells(5).Value.ToString()
			If CONNECT_NO < 10 Then
				key6 = clsConst.Enum_MdfrInsItemJudg.Suffix
			Else
				key6 = clsConst.Enum_MdfrInsItemJudg.Prefix
			End If
		Catch ex As Exception
			ErrorProc(ex)
		End Try
	End Sub

	''' ---------------------------------------------
	''' <summary>
	''' 内容６削除ボタンクリック
	''' </summary>
	''' <param name="sender"></param>
	''' <param name="e"></param>
	''' <remarks>
	''' 2010/11/08 新規作成　CS)森田<BR/>
	''' </remarks>
	''' ---------------------------------------------
	Private Sub btn012XSP190F010_Click(ByVal sender As System.Object, ByVal e As System.EventArgs) Handles btn012XSP190F010.Click
		log(clsSysMst.logLevel.NRM, "btn012XSP190F010_Click", "内容６削除ボタンクリック Start")
		Try
			If String.IsNullOrEmpty(btn011XSP190F010.Text) Then Exit Sub
			btn011XSP190F010.Text = String.Empty
			key6 = String.Empty
		Catch ex As Exception
			ErrorProc(ex)
		End Try
	End Sub

	''' ---------------------------------------------
	''' <summary>
	''' 内容７ボタンクリック
	''' </summary>
	''' <param name="sender"></param>
	''' <param name="e"></param>
	''' <remarks>
	''' 2010/11/08 新規作成　CS)森田<BR/>
	''' </remarks>
	''' ---------------------------------------------
	Private Sub btn013XSP190F010_Click(ByVal sender As System.Object, ByVal e As System.EventArgs) Handles btn013XSP190F010.Click
		log(clsSysMst.logLevel.NRM, "btn013XSP190F010_Click", "内容７ボタンクリック Start")
		Try
			If dgv027XSP190F010.CurrentRow Is Nothing OrElse dgv027XSP190F010.CurrentRow.Index < 0 Then Exit Sub
			btn013XSP190F010.Text = Me.dgv027XSP190F010.Rows(Me.dgv027XSP190F010.CurrentRow.Index).Cells(1).Value.ToString()
			Dim CONNECT_NO As String = Me.dgv027XSP190F010.Rows(Me.dgv027XSP190F010.CurrentRow.Index).Cells(5).Value.ToString()
			If CONNECT_NO < 10 Then
				key7 = clsConst.Enum_MdfrInsItemJudg.Suffix
			Else
				key7 = clsConst.Enum_MdfrInsItemJudg.Prefix
			End If
		Catch ex As Exception
			ErrorProc(ex)
		End Try
	End Sub

	''' ---------------------------------------------
	''' <summary>
	''' 内容７削除ボタンクリック
	''' </summary>
	''' <param name="sender"></param>
	''' <param name="e"></param>
	''' <remarks>
	''' 2010/11/08 新規作成　CS)森田<BR/>
	''' </remarks>
	''' ---------------------------------------------
	Private Sub btn014XSP190F010_Click(ByVal sender As System.Object, ByVal e As System.EventArgs) Handles btn014XSP190F010.Click
		log(clsSysMst.logLevel.NRM, "btn014XSP190F010_Click", "内容７削除ボタンクリック Start")
		Try
			If String.IsNullOrEmpty(btn013XSP190F010.Text) Then Exit Sub
			btn013XSP190F010.Text = String.Empty
			key7 = String.Empty
		Catch ex As Exception
			ErrorProc(ex)
		End Try
	End Sub

	''' ---------------------------------------------
	''' <summary>
	''' 内容８ボタンクリック
	''' </summary>
	''' <param name="sender"></param>
	''' <param name="e"></param>
	''' <remarks>
	''' 2010/11/08 新規作成　CS)森田<BR/>
	''' </remarks>
	''' ---------------------------------------------
	Private Sub btn015XSP190F010_Click(ByVal sender As System.Object, ByVal e As System.EventArgs) Handles btn015XSP190F010.Click
		log(clsSysMst.logLevel.NRM, "btn015XSP190F010_Click", "内容８ボタンクリック Start")
		Try
			If dgv027XSP190F010.CurrentRow Is Nothing OrElse dgv027XSP190F010.CurrentRow.Index < 0 Then Exit Sub
			btn015XSP190F010.Text = Me.dgv027XSP190F010.Rows(Me.dgv027XSP190F010.CurrentRow.Index).Cells(1).Value.ToString()
			Dim CONNECT_NO As String = Me.dgv027XSP190F010.Rows(Me.dgv027XSP190F010.CurrentRow.Index).Cells(5).Value.ToString()
			If CONNECT_NO < 10 Then
				key8 = clsConst.Enum_MdfrInsItemJudg.Suffix
			Else
				key8 = clsConst.Enum_MdfrInsItemJudg.Prefix
			End If
		Catch ex As Exception
			ErrorProc(ex)
		End Try
	End Sub

	''' ---------------------------------------------
	''' <summary>
	''' 内容８削除ボタンクリック
	''' </summary>
	''' <param name="sender"></param>
	''' <param name="e"></param>
	''' <remarks>
	''' 2010/11/08 新規作成　CS)森田<BR/>
	''' </remarks>
	''' ---------------------------------------------
	Private Sub btn016XSP190F010_Click(ByVal sender As System.Object, ByVal e As System.EventArgs) Handles btn016XSP190F010.Click
		log(clsSysMst.logLevel.NRM, "btn014XSP190F010_Click", "内容８削除ボタンクリック Start")
		Try
			If String.IsNullOrEmpty(btn015XSP190F010.Text) Then Exit Sub
			btn015XSP190F010.Text = String.Empty
			key8 = String.Empty
		Catch ex As Exception
			ErrorProc(ex)
		End Try
	End Sub

	''' ---------------------------------------------
	''' <summary>
	''' 接頭語上矢印ボタンクリック
	''' </summary>
	''' <param name="sender"></param>
	''' <param name="e"></param>
	''' <remarks>
	''' 2010/11/08 新規作成　CS)森田<BR/>
	''' </remarks>
	''' ---------------------------------------------
	Private Sub btn030XSP190F010_Click(ByVal sender As System.Object, ByVal e As System.EventArgs) Handles btn030XSP190F010.Click
		log(clsSysMst.logLevel.NRM, "btn030XSP190F010_Click", "接頭語上矢印ボタンクリック Start")
		Dim selectindex As Integer
		Dim big As String
		Dim sml As String
		Dim foundRows() As DataRow
		Try
			'選択チェック
			If dgv029XSP190F010.CurrentRow Is Nothing OrElse dgv029XSP190F010.CurrentRow.Index < 0 Then Exit Sub
			'複数行チェック
			If dgv029XSP190F010.RowCount < 2 Then Exit Sub
			'先頭チェック
			If dgv029XSP190F010.CurrentRow.Index = 0 Then
				showMsg("E0013", "移動", Nothing)
				Exit Sub
			End If
			'入れ替えたデータテーブルを作成
			selectindex = dgv029XSP190F010.CurrentRow.Index
			big = DataMTM_DISEASE_MDFR_HEAD.Rows(selectindex).Item(6)
			sml = DataMTM_DISEASE_MDFR_HEAD.Rows(selectindex - 1).Item(6)
			DataMTM_DISEASE_MDFR_HEAD.Rows(selectindex).Item(6) = sml
			DataMTM_DISEASE_MDFR_HEAD.Rows(selectindex - 1).Item(6) = big
			foundRows = DataMTM_DISEASE_MDFR_HEAD.Select("", sqlXSP190F010.itmSEQ_NO)
			DataMTM_DISEASE_MDFR_HEAD = cliCom.getTableFromRows(DataMTM_DISEASE_MDFR_HEAD, foundRows)
			dgv029XSP190F010.DataSource = DataMTM_DISEASE_MDFR_HEAD
			If Me.dgv029XSP190F010.CurrentRow IsNot Nothing Then
				Me.dgv029XSP190F010.CurrentRow.Selected = False
			End If
		Catch ex As Exception
			ErrorProc(ex)
		End Try
	End Sub

	''' ---------------------------------------------
	''' <summary>
	''' 接頭語下矢印ボタンクリック
	''' </summary>
	''' <param name="sender"></param>
	''' <param name="e"></param>
	''' <remarks>
	''' 2010/11/08 新規作成　CS)森田<BR/>
	''' </remarks>
	''' ---------------------------------------------
	Private Sub btn031XSP190F010_Click(ByVal sender As System.Object, ByVal e As System.EventArgs) Handles btn031XSP190F010.Click
		log(clsSysMst.logLevel.NRM, "btn031XSP190F010_Click", "接頭語下矢印ボタンクリック Start")
		Dim max As Integer
		Dim selectindex As Integer
		Dim big As String
		Dim sml As String
		Dim foundRows() As DataRow
		Try
			'選択チェック
			If dgv029XSP190F010.CurrentRow Is Nothing OrElse dgv029XSP190F010.CurrentRow.Index < 0 Then Exit Sub
			'複数行チェック
			If dgv029XSP190F010.RowCount < 2 Then Exit Sub
			max = dgv029XSP190F010.Rows.Count
			'最終行チェック
			If dgv029XSP190F010.CurrentRow.Index = max - 1 Then
				showMsg("E0013", "移動", Nothing)
				Exit Sub
			End If
			'入れ替えたデータテーブルを作成
			selectindex = dgv029XSP190F010.CurrentRow.Index
			big = DataMTM_DISEASE_MDFR_HEAD.Rows(selectindex + 1).Item(6)
			sml = DataMTM_DISEASE_MDFR_HEAD.Rows(selectindex).Item(6)
			DataMTM_DISEASE_MDFR_HEAD.Rows(selectindex + 1).Item(6) = sml
			DataMTM_DISEASE_MDFR_HEAD.Rows(selectindex).Item(6) = big
			foundRows = DataMTM_DISEASE_MDFR_HEAD.Select("", sqlXSP190F010.itmSEQ_NO)
			DataMTM_DISEASE_MDFR_HEAD = cliCom.getTableFromRows(DataMTM_DISEASE_MDFR_HEAD, foundRows)
			dgv029XSP190F010.DataSource = DataMTM_DISEASE_MDFR_HEAD
			If Me.dgv029XSP190F010.CurrentRow IsNot Nothing Then
				Me.dgv029XSP190F010.CurrentRow.Selected = False
			End If
		Catch ex As Exception
			ErrorProc(ex)
		End Try
	End Sub

	''' ---------------------------------------------
	''' <summary>
	''' 接頭語削除ボタンクリック
	''' </summary>
	''' <param name="sender"></param>
	''' <param name="e"></param>
	''' <remarks>
	''' 2010/11/08 新規作成　CS)森田<BR/>
	''' </remarks>
	''' ---------------------------------------------
	Private Sub btn032XSP190F010_Click(ByVal sender As System.Object, ByVal e As System.EventArgs) Handles btn032XSP190F010.Click
		log(clsSysMst.logLevel.NRM, "btn032XSP190F010_Click", "接頭語削除ボタンクリック Start")
		Try
			If dgv029XSP190F010.CurrentRow Is Nothing OrElse dgv029XSP190F010.CurrentRow.Index < 0 Then Exit Sub
			DataMTM_DISEASE_MDFR_HEAD.Rows(dgv029XSP190F010.CurrentRow.Index).Delete()
			dgv029XSP190F010.DataSource = DataMTM_DISEASE_MDFR_HEAD
		Catch ex As Exception
			ErrorProc(ex)
		End Try
	End Sub

	''' ---------------------------------------------
	''' <summary>
	''' 接尾語上矢印ボタンクリック
	''' </summary>
	''' <param name="sender"></param>
	''' <param name="e"></param>
	''' <remarks>
	''' 2010/11/08 新規作成　CS)森田<BR/>
	''' </remarks>
	''' ---------------------------------------------
	Private Sub btn038XSP190F010_Click(ByVal sender As System.Object, ByVal e As System.EventArgs) Handles btn038XSP190F010.Click
		log(clsSysMst.logLevel.NRM, "btn038XSP190F010_Click", "接尾語上矢印ボタンクリック Start")
		Dim selectindex As Integer
		Dim big As String
		Dim sml As String
		Dim foundRows() As DataRow
		Try
			'選択チェック
			If dgv037XSP190F010.CurrentRow Is Nothing OrElse dgv037XSP190F010.CurrentRow.Index < 0 Then Exit Sub
			'複数行チェック
			If dgv037XSP190F010.RowCount < 2 Then Exit Sub
			'先頭チェック
			If dgv037XSP190F010.CurrentRow.Index = 0 Then
				showMsg("E0013", "移動", Nothing)
				Exit Sub
			End If
			'入れ替えたデータテーブルを作成
			selectindex = dgv037XSP190F010.CurrentRow.Index
			big = DataMTM_DISEASE_MDFR_TAIL.Rows(selectindex).Item(6)
			sml = DataMTM_DISEASE_MDFR_TAIL.Rows(selectindex - 1).Item(6)
			DataMTM_DISEASE_MDFR_TAIL.Rows(selectindex).Item(6) = sml
			DataMTM_DISEASE_MDFR_TAIL.Rows(selectindex - 1).Item(6) = big
			foundRows = DataMTM_DISEASE_MDFR_TAIL.Select("", sqlXSP190F010.itmSEQ_NO)
			DataMTM_DISEASE_MDFR_TAIL = cliCom.getTableFromRows(DataMTM_DISEASE_MDFR_TAIL, foundRows)
			dgv037XSP190F010.DataSource = DataMTM_DISEASE_MDFR_TAIL
			If Me.dgv037XSP190F010.CurrentRow IsNot Nothing Then
				Me.dgv037XSP190F010.CurrentRow.Selected = False
			End If
		Catch ex As Exception
			ErrorProc(ex)
		End Try
	End Sub

	''' ---------------------------------------------
	''' <summary>
	''' 接尾語下矢印ボタンクリック
	''' </summary>
	''' <param name="sender"></param>
	''' <param name="e"></param>
	''' <remarks>
	''' 2010/11/08 新規作成　CS)森田<BR/>
	''' </remarks>
	''' ---------------------------------------------
	Private Sub btn039XSP190F010_Click(ByVal sender As System.Object, ByVal e As System.EventArgs) Handles btn039XSP190F010.Click
		log(clsSysMst.logLevel.NRM, "btn039XSP190F010_Click", "接尾語下矢印ボタンクリック Start")
		Dim max As Integer
		Dim selectindex As Integer
		Dim big As String
		Dim sml As String
		Dim foundRows() As DataRow
		Try
			'選択チェック
			If dgv037XSP190F010.CurrentRow Is Nothing OrElse dgv037XSP190F010.CurrentRow.Index < 0 Then Exit Sub
			'複数行チェック
			If dgv037XSP190F010.RowCount < 2 Then Exit Sub
			max = dgv037XSP190F010.Rows.Count
			'最終行チェック
			If dgv037XSP190F010.CurrentRow.Index = max - 1 Then
				showMsg("E0013", "移動", Nothing)
				Exit Sub
			End If
			'入れ替えたデータテーブルを作成
			selectindex = dgv037XSP190F010.CurrentRow.Index
			big = DataMTM_DISEASE_MDFR_TAIL.Rows(selectindex + 1).Item(6)
			sml = DataMTM_DISEASE_MDFR_TAIL.Rows(selectindex).Item(6)
			DataMTM_DISEASE_MDFR_TAIL.Rows(selectindex + 1).Item(6) = sml
			DataMTM_DISEASE_MDFR_TAIL.Rows(selectindex).Item(6) = big
			foundRows = DataMTM_DISEASE_MDFR_TAIL.Select("", sqlXSP190F010.itmSEQ_NO)
			DataMTM_DISEASE_MDFR_TAIL = cliCom.getTableFromRows(DataMTM_DISEASE_MDFR_TAIL, foundRows)
			dgv037XSP190F010.DataSource = DataMTM_DISEASE_MDFR_TAIL
			If Me.dgv037XSP190F010.CurrentRow IsNot Nothing Then
				Me.dgv037XSP190F010.CurrentRow.Selected = False
			End If
		Catch ex As Exception
			ErrorProc(ex)
		End Try
	End Sub

	''' ---------------------------------------------
	''' <summary>
	''' 接尾語削除ボタンクリック
	''' </summary>
	''' <param name="sender"></param>
	''' <param name="e"></param>
	''' <remarks>
	''' 2010/11/08 新規作成　CS)森田<BR/>
	''' </remarks>
	''' ---------------------------------------------
	Private Sub btn040XSP190F010_Click(ByVal sender As System.Object, ByVal e As System.EventArgs) Handles btn040XSP190F010.Click
		log(clsSysMst.logLevel.NRM, "btn040XSP190F010_Click", "接尾語削除ボタンクリック Start")
		Try
			If dgv037XSP190F010.CurrentRow Is Nothing OrElse dgv037XSP190F010.CurrentRow.Index < 0 Then Exit Sub
			DataMTM_DISEASE_MDFR_TAIL.Rows(dgv037XSP190F010.CurrentRow.Index).Delete()
			dgv037XSP190F010.DataSource = DataMTM_DISEASE_MDFR_TAIL
		Catch ex As Exception
			ErrorProc(ex)
		End Try
	End Sub

	''' ---------------------------------------------
	''' <summary>
	''' 右矢印ボタンクリック
	''' </summary>
	''' <param name="sender"></param>
	''' <param name="e"></param>
	''' <remarks>
	''' 2010/11/08 新規作成　CS)森田<BR/>
	''' </remarks>
	''' ---------------------------------------------
	Private Sub btn034XSP190F010_Click(ByVal sender As System.Object, ByVal e As System.EventArgs) Handles btn034XSP190F010.Click
		log(clsSysMst.logLevel.NRM, "btn034XSP190F010_Click", "右矢印ボタンクリック Start")
		Dim count_head As Integer
		Dim count_tail As Integer
		Dim Rowscounter As Long
		Try
			'選択チェック
			If dgv029XSP190F010.CurrentRow Is Nothing OrElse dgv029XSP190F010.CurrentRow.Index < 0 Then Exit Sub
			count_tail = DataMTM_DISEASE_MDFR_TAIL.Rows.Count
			'追加処理
			Dim row As DataRow = DataMTM_DISEASE_MDFR_TAIL.NewRow
			row(sqlXSP190F010.itmMDFR_CD) = DataMTM_DISEASE_MDFR_HEAD.Rows(dgv029XSP190F010.CurrentRow.Index).Item(0).ToString()
			row(sqlXSP190F010.itmMDFR_NM) = DataMTM_DISEASE_MDFR_HEAD.Rows(dgv029XSP190F010.CurrentRow.Index).Item(1).ToString()
			row(sqlXSP190F010.itmMNG_DIV) = DataMTM_DISEASE_MDFR_HEAD.Rows(dgv029XSP190F010.CurrentRow.Index).Item(2).ToString()
			row(sqlXSP190F010.itmMNG_NO) = DataMTM_DISEASE_MDFR_HEAD.Rows(dgv029XSP190F010.CurrentRow.Index).Item(3).ToString()
			row(sqlXSP190F010.itmEXCLUSIVE_GRP_CD) = DataMTM_DISEASE_MDFR_HEAD.Rows(dgv029XSP190F010.CurrentRow.Index).Item(4).ToString()
			row(sqlXSP190F010.itmCONNECT_POSITION_DIV) = DataMTM_DISEASE_MDFR_HEAD.Rows(dgv029XSP190F010.CurrentRow.Index).Item(5).ToString()
			row(sqlXSP190F010.itmSEQ_NO) = count_tail + 1
			DataMTM_DISEASE_MDFR_TAIL.Rows.Add(row)
			'連番振り直し（接尾）
			count_tail = DataMTM_DISEASE_MDFR_TAIL.Rows.Count
			For Rowscounter = 0 To count_tail - 1
				DataMTM_DISEASE_MDFR_TAIL.Rows(Rowscounter).Item(6) = Rowscounter + 1
			Next
			dgv037XSP190F010.DataSource = DataMTM_DISEASE_MDFR_TAIL
			'行削除
			DataMTM_DISEASE_MDFR_HEAD.Rows(dgv029XSP190F010.CurrentRow.Index).Delete()
			'連番振り直し（接頭）
			count_head = DataMTM_DISEASE_MDFR_HEAD.Rows.Count
			For Rowscounter = 0 To count_head - 1
				DataMTM_DISEASE_MDFR_HEAD.Rows(Rowscounter).Item(6) = Rowscounter + 1
			Next
			dgv029XSP190F010.DataSource = DataMTM_DISEASE_MDFR_HEAD
		Catch ex As Exception
			ErrorProc(ex)
		End Try
	End Sub

	''' ---------------------------------------------
	''' <summary>
	''' 左矢印ボタンクリック
	''' </summary>
	''' <param name="sender"></param>
	''' <param name="e"></param>
	''' <remarks>
	''' 2010/11/08 新規作成　CS)森田<BR/>
	''' </remarks>
	''' ---------------------------------------------
	Private Sub btn035XSP190F010_Click(ByVal sender As System.Object, ByVal e As System.EventArgs) Handles btn035XSP190F010.Click
		log(clsSysMst.logLevel.NRM, "btn035XSP190F010_Click", "左矢印ボタンクリック Start")
		Dim count_head As Integer
		Dim count_tail As Integer
		Dim Rowscounter As Long
		Try
			'選択チェック
			If dgv037XSP190F010.CurrentRow Is Nothing OrElse dgv037XSP190F010.CurrentRow.Index < 0 Then Exit Sub
			count_head = DataMTM_DISEASE_MDFR_HEAD.Rows.Count
			'追加処理
			Dim row As DataRow = DataMTM_DISEASE_MDFR_HEAD.NewRow
			row(sqlXSP190F010.itmMDFR_CD) = DataMTM_DISEASE_MDFR_TAIL.Rows(dgv037XSP190F010.CurrentRow.Index).Item(0).ToString()
			row(sqlXSP190F010.itmMDFR_NM) = DataMTM_DISEASE_MDFR_TAIL.Rows(dgv037XSP190F010.CurrentRow.Index).Item(1).ToString()
			row(sqlXSP190F010.itmMNG_DIV) = DataMTM_DISEASE_MDFR_TAIL.Rows(dgv037XSP190F010.CurrentRow.Index).Item(2).ToString()
			row(sqlXSP190F010.itmMNG_NO) = DataMTM_DISEASE_MDFR_TAIL.Rows(dgv037XSP190F010.CurrentRow.Index).Item(3).ToString()
			row(sqlXSP190F010.itmEXCLUSIVE_GRP_CD) = DataMTM_DISEASE_MDFR_TAIL.Rows(dgv037XSP190F010.CurrentRow.Index).Item(4).ToString()
			row(sqlXSP190F010.itmCONNECT_POSITION_DIV) = DataMTM_DISEASE_MDFR_TAIL.Rows(dgv037XSP190F010.CurrentRow.Index).Item(5).ToString()
			row(sqlXSP190F010.itmSEQ_NO) = count_head + 1
			DataMTM_DISEASE_MDFR_HEAD.Rows.Add(row)
			dgv029XSP190F010.DataSource = DataMTM_DISEASE_MDFR_HEAD
			'連番振り直し（接頭）
			count_head = DataMTM_DISEASE_MDFR_HEAD.Rows.Count
			For Rowscounter = 0 To count_head - 1
				DataMTM_DISEASE_MDFR_HEAD.Rows(Rowscounter).Item(6) = Rowscounter + 1
			Next
			'行削除
			DataMTM_DISEASE_MDFR_TAIL.Rows(dgv037XSP190F010.CurrentRow.Index).Delete()
			'連番振り直し（接尾）
			count_tail = DataMTM_DISEASE_MDFR_TAIL.Rows.Count
			For Rowscounter = 0 To count_tail - 1
				DataMTM_DISEASE_MDFR_TAIL.Rows(Rowscounter).Item(6) = Rowscounter + 1
			Next
			dgv037XSP190F010.DataSource = DataMTM_DISEASE_MDFR_TAIL
		Catch ex As Exception
			ErrorProc(ex)
		End Try
	End Sub

	''' ---------------------------------------------
	''' <summary>
	''' 検索種類変更
	''' </summary>
	''' <param name="sender"></param>
	''' <param name="e"></param>
	''' <remarks>
	''' 2010/11/08 新規作成　CS)森田<BR/>
	''' </remarks>
	''' ---------------------------------------------
	Private Sub rdo018XSP190F010_CheckedChanged(ByVal sender As System.Object, ByVal e As System.EventArgs) Handles rdo018XSP190F010.CheckedChanged, rdo019XSP190F010.CheckedChanged, rdo020XSP190F010.CheckedChanged, rdo021XSP190F010.CheckedChanged
		log(clsSysMst.logLevel.NRM, "rdoXSP120F010_CheckedChanged", "検索種類変更 Start")
		Try
			If CType(sender, BT_RadioButton).Checked Then
				Me.txt023XSP190F010.Focus()
				Select Case True
					Case rdo018XSP190F010.Checked = True
						txt023XSP190F010.ImeMode = Windows.Forms.ImeMode.Katakana
					Case rdo019XSP190F010.Checked = True
						txt023XSP190F010.ImeMode = Windows.Forms.ImeMode.On
					Case rdo020XSP190F010.Checked = True
						txt023XSP190F010.ImeMode = Windows.Forms.ImeMode.Off
					Case rdo021XSP190F010.Checked = True
						txt023XSP190F010.ImeMode = Windows.Forms.ImeMode.Off
				End Select
			End If
		Catch ex As Exception
			ErrorProc(ex)
		End Try
	End Sub

	''' ---------------------------------------------
	''' <summary>
	''' 検索結果ダブルクリック
	''' </summary>
	''' <param name="sender"></param>
	''' <param name="e"></param>
	''' <remarks>
	''' 2010/11/08 新規作成　CS)森田<BR/>
	''' </remarks>
	''' ---------------------------------------------
	Private Sub dgv027XSP190F010_CellDoubleClick(ByVal sender As System.Object, ByVal e As System.Windows.Forms.DataGridViewCellEventArgs) Handles dgv027XSP190F010.CellDoubleClick
		log(clsSysMst.logLevel.NRM, "dgv027XSP190F010_CellDoubleClick", "検索結果ダブルクリック Start")
		Try
			If dgv027XSP190F010.CurrentRow Is Nothing OrElse dgv027XSP190F010.CurrentRow.Index < 0 Then Exit Sub
			If e.RowIndex > -1 Then
				System.Windows.Forms.Cursor.Current = Cursors.WaitCursor	'カーソル砂時計
				AddProc()
			End If
		Catch ex As Exception
			ErrorProc(ex)
		Finally
			System.Windows.Forms.Cursor.Current = Cursors.Default	'カーソルデフォルト
		End Try
	End Sub
#End Region

#Region "メソッド"

	'''---------------------------------------------
	''' <summary>
	''' 修飾語マスタ一覧データ取得
	''' </summary>
	''' <returns></returns>
	''' <remarks>
	''' 2010/11/02 新規作成　CS)森田<BR/>
	''' </remarks>
	'''---------------------------------------------
	Private Function getMTM_DISEASE_MDFR() As DataTable
		log(clsSysMst.logLevel.DBG, "getMTM_DISEASE_MDFR", "修飾語マスタ一覧データ取得 Start")
		Dim dtData As DataTable
		Try
			dtData = New DataTable
			Using db As clsDB = New clsDB(clsSysMst.ctlConfigData)
				Select Case True
					Case rdo018XSP190F010.Checked = True
						db.setSQLDa(sqlXSP190F010.sqlMTM_DISEASE_MDFR_MDFR_KNM)
					Case rdo019XSP190F010.Checked = True
						db.setSQLDa(sqlXSP190F010.sqlMTM_DISEASE_MDFR_MDFR_NM)
					Case rdo020XSP190F010.Checked = True
						db.setSQLDa(sqlXSP190F010.sqlMTM_DISEASE_MDFR_RECEIPT_MDFR_CD)
					Case rdo021XSP190F010.Checked = True
						db.setSQLDa(sqlXSP190F010.sqlMTM_DISEASE_MDFR_MDFR_CD)
				End Select
				setSqlPara(db)							'SQLパラメータセット
				db.execQueryDa(dtData)
			End Using
		Catch ex As Exception
			Throw
		End Try
		Return dtData
	End Function

	'''---------------------------------------------
	''' <summary>
	''' 修飾語マスタ一覧データ全件取得
	''' </summary>
	''' <returns></returns>
	''' <remarks>
	''' 2010/11/02 新規作成　CS)森田<BR/>
	''' </remarks>
	'''---------------------------------------------
	Private Function getMTM_DISEASE_MDFR_ALL() As DataTable
		log(clsSysMst.logLevel.DBG, "getMTM_DISEASE_MDFR_ALL", "修飾語マスタ一覧データ全件取得 Start")
		Dim dtData As DataTable
		Try
			dtData = New DataTable
			Using db As clsDB = New clsDB(clsSysMst.ctlConfigData)
				db.setSQLDa(sqlXSP190F010.sqlMTM_DISEASE_MDFR_ALL)
				db.execQueryDa(dtData)
			End Using
		Catch ex As Exception
			Throw
		End Try
		Return dtData
	End Function

	''' ---------------------------------------------
	''' <summary>
	''' SQLパラメータをセットする
	''' </summary>
	''' <param name="db"></param>
	''' <remarks>
	''' 2010/11/08 新規作成　CS)森田<BR/>
	''' </remarks>
	''' ---------------------------------------------
	Private Sub setSqlPara(ByVal db As clsDB)
		log(clsSysMst.logLevel.DBG, "setSqlPara", "SQLパラメータをセットする Start")
		Dim NmFowardChar As String = Nothing
		Dim NmBackwardChar As String = Nothing

		Try
			'パラメータ文字列設定
			db.setParamDa(sqlXSP190F010.prmSEARCH_CD, clsDB.Enum_dbType.dbNVarChar)

			'ワイルドカード文字設定
			Select Case True
				Case Me.lik025XSP190F010.MatchingCriteria = BT_Like.Enum_MatchingCriteria.PrefixMatch
					NmBackwardChar = WILDCARDCHAR
				Case Me.lik025XSP190F010.MatchingCriteria = BT_Like.Enum_MatchingCriteria.BackwardMatch
					NmFowardChar = WILDCARDCHAR
				Case Me.lik025XSP190F010.MatchingCriteria = BT_Like.Enum_MatchingCriteria.BroadMatch
					NmFowardChar = WILDCARDCHAR
					NmBackwardChar = WILDCARDCHAR
				Case Me.lik025XSP190F010.MatchingCriteria = BT_Like.Enum_MatchingCriteria.ExactMatch
				Case Else
			End Select

			'検索値設定
			db.setValDa(sqlXSP190F010.prmSEARCH_CD, NmFowardChar & Me.txt023XSP190F010.Text & NmBackwardChar, String.IsNullOrEmpty(Me.txt023XSP190F010.Text))

		Catch ex As Exception
			Throw
		End Try
	End Sub

	''' ---------------------------------------------
	''' <summary>
	''' 確定処理
	''' </summary>
	''' <remarks>
	''' 2010/11/08 新規作成　CS)森田<BR/>
	''' </remarks>
	''' ---------------------------------------------
	Private Sub UpdProc()
		log(clsSysMst.logLevel.DBG, "UpdProc", "確定処理 Start")
		Dim ret As datMTM_DISEASE_MDFR_OneRecAdd
		Dim ar As ArrayList
		Dim count_tail As Integer
		Dim count_head As Integer
		Dim Rowscounter As Long
		Try
			ar = New ArrayList
			If Me.ValidateChildren() Then		'日付・コンボの入力チェック
				'検索グリッド選択チェック
				If dgv027XSP190F010.CurrentRow Is Nothing OrElse dgv027XSP190F010.CurrentRow.Index < 0 Then
					fret = Enum_FormReturn.CANSEL
					Me.Close()
				Else
					'接頭データ処理
					If Not DataMTM_DISEASE_MDFR_HEAD Is Nothing Then
						count_head = DataMTM_DISEASE_MDFR_HEAD.Rows.Count
						For Rowscounter = 0 To count_head - 1
							ret = New datMTM_DISEASE_MDFR_OneRecAdd
							ret.MDFR_NM = DataMTM_DISEASE_MDFR_HEAD.Rows(Rowscounter).Item(1).ToString()
							ret.CONNECT_POSITION_DIV = clsConst.Enum_MdfrInsItemJudg.Prefix
							ret.SEQ_NO = DataMTM_DISEASE_MDFR_HEAD.Rows(Rowscounter).Item(6).ToString()
							ar.Add(ret)
						Next
					End If
					'接尾データ処理
					If Not DataMTM_DISEASE_MDFR_TAIL Is Nothing Then
						count_tail = DataMTM_DISEASE_MDFR_TAIL.Rows.Count
						For Rowscounter = 0 To count_tail - 1
							ret = New datMTM_DISEASE_MDFR_OneRecAdd
							ret.MDFR_NM = DataMTM_DISEASE_MDFR_TAIL.Rows(Rowscounter).Item(1).ToString()
							ret.CONNECT_POSITION_DIV = clsConst.Enum_MdfrInsItemJudg.Suffix
							ret.SEQ_NO = DataMTM_DISEASE_MDFR_TAIL.Rows(Rowscounter).Item(6).ToString()
							ar.Add(ret)
						Next
					End If
					fret = Enum_FormReturn.OK
					_MDFROneRec.Value = ar
					Me.Close()
				End If
			End If
		Catch ex As Exception
			Throw
		End Try
	End Sub

	'''---------------------------------------------
	''' <summary>
	''' 検索処理
	''' </summary>
	''' <remarks>
	''' 2010/11/02 新規作成　CS)森田<BR/>
	''' </remarks>
	'''---------------------------------------------
	Private Sub SearchProc()
		log(clsSysMst.logLevel.DBG, "SearchProc", "検索処理 Start")
		Try
			If Me.ValidateChildren() Then		'日付・コンボの入力チェック
				System.Windows.Forms.Cursor.Current = Cursors.WaitCursor	'カーソル砂時計
				'検索結果を修飾語一覧DataGridに設定
				If String.IsNullOrEmpty(Me.txt023XSP190F010.Text) Then
					Me.dgv027XSP190F010.DataSource = getMTM_DISEASE_MDFR_ALL()
				Else
					Me.dgv027XSP190F010.DataSource = getMTM_DISEASE_MDFR()
				End If

				If CType(Me.dgv027XSP190F010.DataSource, DataTable).Rows.Count = 0 Then
					showMsg("E0010")		'検索条件に対する該当データが存在しません。
				Else
					Me.dgv027XSP190F010.Focus()
				End If
			End If
		Catch ex As Exception
			Throw
		Finally
			System.Windows.Forms.Cursor.Current = Cursors.Default	'カーソルデフォルト
		End Try
	End Sub

	''' ---------------------------------------------
	''' <summary>
	''' 追加処理
	''' </summary>
	''' <remarks>
	''' 2010/11/08 新規作成　CS)森田<BR/>
	''' </remarks>
	''' ---------------------------------------------
	Private Sub AddProc()
		log(clsSysMst.logLevel.DBG, "AddProc", "追加処理 Start")
		Try
			Dim CONNECT_NO As String
			Dim count_tail As Integer
			Dim count_head As Integer
			Dim EXCLUSIVE_GRP_CD As String	'排他コード
			Dim MDFR_NM As String			'管理番号

			'接尾行カウント
			If DataMTM_DISEASE_MDFR_TAIL Is Nothing Then
				count_tail = 0
			Else
				count_tail = DataMTM_DISEASE_MDFR_TAIL.Rows.Count
			End If
			'接頭行カウント
			If DataMTM_DISEASE_MDFR_HEAD Is Nothing Then
				count_head = 0
			Else
				count_head = DataMTM_DISEASE_MDFR_HEAD.Rows.Count
			End If
			'検索結果グリッドチェック
			If dgv027XSP190F010.CurrentRow Is Nothing OrElse dgv027XSP190F010.CurrentRow.Index < 0 Then Exit Sub
			'接続位置区分取得
			If Me.dgv027XSP190F010.Rows(Me.dgv027XSP190F010.CurrentRow.Index).Cells(5).Value IsNot Nothing Then
				CONNECT_NO = Me.dgv027XSP190F010.Rows(Me.dgv027XSP190F010.CurrentRow.Index).Cells(5).Value.ToString()
			Else
				CONNECT_NO = "0"
			End If
			Dim Rowscounter As Long
			If Me.dgv027XSP190F010.Rows(Me.dgv027XSP190F010.CurrentRow.Index).Cells(7).Value IsNot Nothing Then
				'排他グループコード取得
				EXCLUSIVE_GRP_CD = Me.dgv027XSP190F010.Rows(Me.dgv027XSP190F010.CurrentRow.Index).Cells(7).Value.ToString()
				'管理番号取得
				MDFR_NM = Me.dgv027XSP190F010.Rows(Me.dgv027XSP190F010.CurrentRow.Index).Cells(4).Value.ToString()
				If count_tail <> 0 Then
					For Rowscounter = 0 To count_tail - 1
						'管理番号チェック
						If MDFR_NM = DataMTM_DISEASE_MDFR_TAIL.Rows(Rowscounter).Item(3).ToString() Then
							showMsg("E0012", "同じ修飾語が入力", Nothing)
							Exit Try
						End If
						'排他グループコードチェック（空白を除く）
						If String.IsNullOrEmpty(EXCLUSIVE_GRP_CD) Then
						Else
							If EXCLUSIVE_GRP_CD = DataMTM_DISEASE_MDFR_TAIL.Rows(Rowscounter).Item(4).ToString() Then
								showMsg("E0012", "同類の修飾語が選択", Nothing)
								Exit Try
							End If
						End If
					Next
				End If
				If count_head <> 0 Then
					For Rowscounter = 0 To count_head - 1
						'管理番号チェック
						If MDFR_NM = DataMTM_DISEASE_MDFR_HEAD.Rows(Rowscounter).Item(3).ToString() Then
							showMsg("E0012", "同じ修飾語が入力", Nothing)
							Exit Try
						End If
						'排他グループコードチェック（空白を除く）
						If String.IsNullOrEmpty(EXCLUSIVE_GRP_CD) Then
						Else
							If EXCLUSIVE_GRP_CD = DataMTM_DISEASE_MDFR_HEAD.Rows(Rowscounter).Item(4).ToString() Then
								showMsg("E0012", "同類の修飾語が選択", Nothing)
								Exit Try
							End If
						End If
					Next
				End If
			End If
			'行カウントチェック
			If count_tail + count_head >= 4 Then
				showMsg("E0012", "修飾語は４つ入力", Nothing)
				Exit Try
			End If

			If CONNECT_NO < 10 Then
				'接尾語テーブル追加処理
				Dim row As DataRow = DataMTM_DISEASE_MDFR_TAIL.NewRow
				row(sqlXSP190F010.itmMDFR_CD) = Me.dgv027XSP190F010.Rows(Me.dgv027XSP190F010.CurrentRow.Index).Cells(0).Value.ToString()
				row(sqlXSP190F010.itmMDFR_NM) = Me.dgv027XSP190F010.Rows(Me.dgv027XSP190F010.CurrentRow.Index).Cells(1).Value.ToString()
				row(sqlXSP190F010.itmMNG_DIV) = Me.dgv027XSP190F010.Rows(Me.dgv027XSP190F010.CurrentRow.Index).Cells(3).Value.ToString()
				row(sqlXSP190F010.itmMNG_NO) = Me.dgv027XSP190F010.Rows(Me.dgv027XSP190F010.CurrentRow.Index).Cells(4).Value.ToString()
				row(sqlXSP190F010.itmEXCLUSIVE_GRP_CD) = Me.dgv027XSP190F010.Rows(Me.dgv027XSP190F010.CurrentRow.Index).Cells(7).Value.ToString()
				row(sqlXSP190F010.itmCONNECT_POSITION_DIV) = Me.dgv027XSP190F010.Rows(Me.dgv027XSP190F010.CurrentRow.Index).Cells(5).Value.ToString()
				row(sqlXSP190F010.itmSEQ_NO) = count_tail + 1
				DataMTM_DISEASE_MDFR_TAIL.Rows.Add(row)
				'接尾語ソート
				Using dvData As DataView = New DataView(DataMTM_DISEASE_MDFR_TAIL)
					dvData.Sort = sqlXSP190F010.itmCONNECT_POSITION_DIV & "," & sqlXSP190F010.itmMDFR_CD
					DataMTM_DISEASE_MDFR_TAIL = dvData.ToTable
				End Using
				'接尾語追加処理
				dgv037XSP190F010.DataSource = DataMTM_DISEASE_MDFR_TAIL
			Else
				'接頭語テーブル追加処理
				Dim row As DataRow = DataMTM_DISEASE_MDFR_HEAD.NewRow
				row(sqlXSP190F010.itmMDFR_CD) = Me.dgv027XSP190F010.Rows(Me.dgv027XSP190F010.CurrentRow.Index).Cells(0).Value.ToString()
				row(sqlXSP190F010.itmMDFR_NM) = Me.dgv027XSP190F010.Rows(Me.dgv027XSP190F010.CurrentRow.Index).Cells(1).Value.ToString()
				row(sqlXSP190F010.itmMNG_DIV) = Me.dgv027XSP190F010.Rows(Me.dgv027XSP190F010.CurrentRow.Index).Cells(3).Value.ToString()
				row(sqlXSP190F010.itmMNG_NO) = Me.dgv027XSP190F010.Rows(Me.dgv027XSP190F010.CurrentRow.Index).Cells(4).Value.ToString()
				row(sqlXSP190F010.itmEXCLUSIVE_GRP_CD) = Me.dgv027XSP190F010.Rows(Me.dgv027XSP190F010.CurrentRow.Index).Cells(7).Value.ToString()
				row(sqlXSP190F010.itmCONNECT_POSITION_DIV) = Me.dgv027XSP190F010.Rows(Me.dgv027XSP190F010.CurrentRow.Index).Cells(5).Value.ToString()
				row(sqlXSP190F010.itmSEQ_NO) = count_head + 1
				DataMTM_DISEASE_MDFR_HEAD.Rows.Add(row)
				'接頭語ソート
				Using dvData As DataView = New DataView(DataMTM_DISEASE_MDFR_HEAD)
					dvData.Sort = sqlXSP190F010.itmCONNECT_POSITION_DIV & "," & sqlXSP190F010.itmMDFR_CD
					DataMTM_DISEASE_MDFR_HEAD = dvData.ToTable
				End Using
				'接頭語追加処理
				dgv029XSP190F010.DataSource = DataMTM_DISEASE_MDFR_HEAD
			End If
		Catch ex As Exception
			Throw
		End Try
	End Sub

#End Region

#Region "オーバーライドメソッド"

	''' ---------------------------------------------
	''' <summary>
	''' Ｆ３キー押下による追加
	''' </summary>
	''' <remarks>
	''' 2010/11/08 新規作成　CS)森田<BR/>
	''' </remarks>
	''' ---------------------------------------------
	Public Overrides Function F3KeyProc() As Boolean
		log(clsSysMst.logLevel.NRM, "F3KeyProc", "Ｆ３キー押下 Start")
		Try
			MyBase.F3KeyProc()
			log(clsSysMst.logLevel.NRM, "btn033XSP190F010_Click", "追加ボタンクリック Start")
			If dgv027XSP190F010.CurrentRow Is Nothing OrElse dgv027XSP190F010.CurrentRow.Index < 0 Then Exit Function
			System.Windows.Forms.Cursor.Current = Cursors.WaitCursor	'カーソル砂時計
			AddProc()	'追加処理
		Catch ex As Exception
			Throw
		Finally
			System.Windows.Forms.Cursor.Current = Cursors.Default	'カーソルデフォルト
		End Try
		Return True
	End Function

	''' ---------------------------------------------
	''' <summary>
	''' Ｆ７キー押下による確定
	''' </summary>
	''' <remarks>
	''' 2010/11/08 新規作成　CS)森田<BR/>
	''' </remarks>
	''' ---------------------------------------------
	Public Overrides Function F7KeyProc() As Boolean
		log(clsSysMst.logLevel.NRM, "F7KeyProc", "Ｆ７キー押下 Start")
		Try
			MyBase.F7KeyProc()
			UpdProc()	'確定処理
		Catch ex As Exception
			Throw
		End Try
		Return True
	End Function

	''' ---------------------------------------------
	''' <summary>
	''' Ｆ１２キー押下による終了
	''' </summary>
	''' <remarks>
	''' 2010/11/08 新規作成　CS)森田<BR/>
	''' </remarks>
	''' ---------------------------------------------
	Public Overrides Function F12KeyProc() As Boolean
		log(clsSysMst.logLevel.NRM, "F12KeyProc", "Ｆ１２キー押下 Start")
		Try
			MyBase.F12KeyProc()
			Me.AutoValidate = Windows.Forms.AutoValidate.Disable
			EndProc()	'終了処理
		Catch ex As Exception
			Throw
		End Try
		Return True
	End Function

	''' ---------------------------------------------
	''' <summary>
	''' Ｆ１１キー押下による検索
	''' </summary>
	''' <remarks>
	''' 2010/11/08 新規作成　CS)森田<BR/>
	''' </remarks>
	''' ---------------------------------------------
	Public Overrides Function F11KeyProc() As Boolean
		log(clsSysMst.logLevel.NRM, "F11KeyProc", "Ｆ１１キー押下 Start")
		Try
			MyBase.F11KeyProc()
			SearchProc()	'検索処理
		Catch ex As Exception
			Throw
		End Try
		Return True
	End Function

	''' ---------------------------------------------
	''' <summary>
	''' ＥＮＴＥＲキーによる処理
	''' </summary>
	''' <returns></returns>
	''' <remarks>
	''' 2010/11/08 新規作成　CS)森田<BR/>
	''' </remarks>
	''' ---------------------------------------------
	Public Overrides Function EnterProc() As Boolean
		log(clsSysMst.logLevel.NRM, "EnterProc", "ＥＮＴＥＲキー押下 Start")
		Try
			If Me.ActiveControl.Name = Me.dgv027XSP190F010.Name Then
				System.Windows.Forms.Cursor.Current = Cursors.WaitCursor	'カーソル砂時計
				If Me.dgv027XSP190F010.CurrentCell Is Nothing OrElse Me.dgv027XSP190F010.CurrentCell.ColumnIndex < 0 OrElse Me.dgv027XSP190F010.CurrentCell.RowIndex < 0 Then
					Return MyBase.EnterProc()
				Else
					AddProc()	'追加処理
					Return True
				End If
			Else
				Return MyBase.EnterProc()
			End If
		Catch ex As Exception
			Throw
		Finally
			System.Windows.Forms.Cursor.Current = Cursors.Default	'カーソルデフォルト
		End Try
	End Function
#End Region

End Class