﻿Imports XCM
Imports System.Reflection
''' ---------------------------------------------
''' <summary>
''' 共通処理_貸出物保管場所マスタクラス
''' </summary>
''' <remarks>
''' Copyright 2010 FUJITSU SHIKOKU SYSTEMS LIMITED All rights reserved.<BR/>
''' FUJITSU SHIKOKU SYSTEMS LIMITED CONFIDENTIAL<BR/>
''' </remarks>
''' ---------------------------------------------
Public NotInheritable Class clsMTM_LENDITEM_KEEPLCT
	Implements IDisposable

#Region "解放処理"

    '解放処理時使用＊＊
    Protected disposed As Boolean = False

    ''' ---------------------------------------------
    ''' <summary>
    ''' Dispose（解放処理）※外からはよばない
    ''' </summary>
    ''' <param name="disposing"></param>
    ''' <remarks>
    ''' 2009/11/12 新規作成 CS)荒川<BR/>
    ''' </remarks>
    ''' ---------------------------------------------
    Protected Overloads Sub Dispose(ByVal disposing As Boolean)
        If Not Me.disposed Then
            'ここで変数のクリアを行う
        End If
        Me.disposed = True
    End Sub

    ''' ---------------------------------------------
    ''' <summary>
    ''' Finalize（解放処理）
    ''' </summary>
    ''' <remarks>
    ''' 2009/11/12 新規作成 CS)荒川<BR/>
    ''' </remarks>
    ''' ---------------------------------------------
    Public Overloads Sub Dispose() Implements IDisposable.Dispose
        Dispose(True)
        GC.SuppressFinalize(Me)
    End Sub

    ''' ---------------------------------------------
    ''' <summary>
    ''' Finalize（解放処理）※外からはよばない
    ''' </summary>
    ''' <remarks>
    ''' 2009/11/12 新規作成 CS)荒川<BR/>
    ''' </remarks>
    ''' ---------------------------------------------
    Protected Overrides Sub Finalize()
        Dispose(False)
        MyBase.Finalize()
    End Sub
#End Region

#Region "メソッド"

	''' ---------------------------------------------
	''' <summary>
	''' 貸出物保管場所マスタを全件取得します。
	''' </summary>
	''' <returns></returns>
	''' <remarks>
	''' 2010/10/21 新規作成　CS)平井<BR/>
	''' </remarks>
	''' ---------------------------------------------
	Public Function getAll() As DataTable
		Try
			Dim dtData As New DataTable
			Using db As clsDB = New clsDB(clsSysMst.ctlConfigData)
				db.setSQLDa(XSP.sqlMTM_LENDITEM_KEEPLCT.sqlSelAll)	  'SELECT文設定
				db.execQueryDa(dtData)									'値取得
			End Using

			Return dtData

		Catch ex As Exception
			Throw
		End Try
	End Function

	''' ---------------------------------------------
	''' <summary>
	''' 保管場所コードの初期値を取得する。
	''' </summary>
	''' <param name="eLendItem">貸出物コード</param>
	''' <param name="eFix">固定コード</param>
	''' <returns></returns>
	''' <remarks>
	''' 2010/10/21 新規作成　CS)平井<BR/>
	''' </remarks>
	''' ---------------------------------------------
	Public Function getDefaultCdFromFix(ByVal eLendItem As clsConst.Enum_Lenditem,
	   ByVal eFix As clsConst.Enum_LendItemKeepLct_Fix1,
	   Optional ByVal dtFrom As DataTable = Nothing) As String
        Dim cliCom As clsCom
        Try
            cliCom = New clsCom
            Dim dt As DataTable
            If dtFrom Is Nothing Then
                dt = getAll()
            Else
                dt = dtFrom
            End If
            If dt IsNot Nothing Then
                Dim dr() As DataRow = dt.Select(sqlMTM_LENDITEM_KEEPLCT.itmLENDITEM_CD & " = '" & cliCom.getDtItmValue(CType(eLendItem, String)) & "'" &
                  " AND " & sqlMTM_LENDITEM_KEEPLCT.itmFIXED_CD & " = '" & cliCom.getDtItmValue(CType(eFix, String)) & "'")
                Dim dtw As DataTable = cliCom.getTableFromRows(dt, dr)
                If dtw IsNot Nothing AndAlso
                 dtw.Rows.Count > 0 Then
                    Return dtw.Rows(0)(sqlMTM_LENDITEM_KEEPLCT.itmKEEPLCT_CD).ToString
                Else
                    Return Nothing
                End If
            Else
                Return Nothing
            End If
        Catch ex As Exception
            Throw
        Finally
            cliCom = Nothing
        End Try
	End Function

	''' ---------------------------------------------
	''' <summary>
	''' 保管場所コードの初期値をデータロウで取得する。
	''' </summary>
	''' <param name="eLendItem">貸出物コード</param>
	''' <param name="eFix">固定コード</param>
	''' <returns></returns>
	''' <remarks>
	''' 2010/10/21 新規作成　CS)平井<BR/>
	''' </remarks>
	''' ---------------------------------------------
	Public Function getDefaultDataRowFromFix(ByVal eLendItem As clsConst.Enum_Lenditem,
	 ByVal eFix As clsConst.Enum_LendItemKeepLct_Fix1,
	 Optional ByVal dtFrom As DataTable = Nothing) As DataRow
        Dim cliCom As clsCom
        Try
            cliCom = New clsCom
            Dim dt As DataTable
            If dtFrom Is Nothing Then
                dt = getAll()
            Else
                dt = dtFrom
            End If
            If dt IsNot Nothing Then
                Dim dr() As DataRow = dt.Select(sqlMTM_LENDITEM_KEEPLCT.itmLENDITEM_CD & " = '" & cliCom.getDtItmValue(CType(eLendItem, String)) & "'" &
                  " AND " & sqlMTM_LENDITEM_KEEPLCT.itmFIXED_CD & " = '" & cliCom.getDtItmValue(CType(eFix, String)) & "'")
                Dim dtw As DataTable = cliCom.getTableFromRows(dt, dr)
                If dtw IsNot Nothing AndAlso
                 dtw.Rows.Count > 0 Then
                    Return dtw.Rows(0)
                Else
                    Return Nothing
                End If
            Else
                Return Nothing
            End If
        Catch ex As Exception
            Throw
        Finally
            cliCom = Nothing
        End Try
	End Function

	''' <summary>
	''' 保管場所コードのデータロウを取得する。
	''' </summary>
	''' <param name="eLendItem">貸出物コード</param>
	''' <param name="strKeepLct_Cd">保管場所コード</param>
	''' <returns></returns>
	''' <remarks>
	''' 2010/10/21 新規作成　CS)平井<BR/>
	''' </remarks>
	''' ---------------------------------------------
	Public Function getDataRow(ByVal eLendItem As clsConst.Enum_Lenditem,
	 ByVal strKeepLct_Cd As String,
	 Optional ByVal dtFrom As DataTable = Nothing) As DataRow
        Dim cliCom As clsCom
        Try
            cliCom = New clsCom
            Dim dt As DataTable
            If dtFrom Is Nothing Then
                dt = getAll()
            Else
                dt = dtFrom
            End If
            If dt IsNot Nothing Then
                Dim dr() As DataRow = dt.Select(sqlMTM_LENDITEM_KEEPLCT.itmLENDITEM_CD & " = '" & cliCom.getDtItmValue(CType(eLendItem, String)) & "'" &
                  " AND " & sqlMTM_LENDITEM_KEEPLCT.itmKEEPLCT_CD & " = '" & cliCom.getDtItmValue(strKeepLct_Cd) & "'")
                Dim dtw As DataTable = cliCom.getTableFromRows(dt, dr)
                If dtw IsNot Nothing AndAlso
                 dtw.Rows.Count > 0 Then
                    Return dtw.Rows(0)
                Else
                    Return Nothing
                End If
            Else
                Return Nothing
            End If
        Catch ex As Exception
            Throw
        Finally
            cliCom = Nothing
        End Try
	End Function

#End Region

End Class
