﻿Imports XCM
Imports System.Reflection

''' ---------------------------------------------
''' <summary>
''' 医療費項目マスタアクセスクラス
''' </summary>
''' <remarks>
''' Copyright 2010 FUJITSU SHIKOKU SYSTEMS LIMITED All rights reserved.<BR/>
''' FUJITSU SHIKOKU SYSTEMS LIMITED CONFIDENTIAL<BR/>
''' </remarks>
''' ---------------------------------------------
Public NotInheritable Class clsMTM_MED_COST_ITM
	Implements IDisposable

#Region "解放処理"

	'解放処理時使用＊＊
	Protected disposed As Boolean = False

	''' ---------------------------------------------	
	''' <summary>
	''' Dispose（解放処理）※外からはよばない
	''' </summary>
	''' <param name="disposing"></param>
	''' <remarks>
	''' 2010/12/10 新規作成 CS)中岡<BR/>
	''' </remarks>
	''' ---------------------------------------------
	Protected Overloads Sub Dispose(ByVal disposing As Boolean)
		If Not Me.disposed Then
		End If
		Me.disposed = True
	End Sub

	''' ---------------------------------------------	
	''' <summary>
	''' Finalize（解放処理）
	''' </summary>
	''' <remarks>
	''' 2010/12/10 新規作成 CS)中岡<BR/>
	''' </remarks>
	''' ---------------------------------------------
	Public Overloads Sub Dispose() Implements IDisposable.Dispose
		Dispose(True)
		GC.SuppressFinalize(Me)
	End Sub

	''' ---------------------------------------------	
	''' <summary>
	''' Finalize（解放処理）※外からはよばない
	''' </summary>
	''' <remarks>
	''' 2010/12/10 新規作成 CS)中岡<BR/>
	''' </remarks>
	''' ---------------------------------------------
	Protected Overrides Sub Finalize()
		Dispose(False)
		MyBase.Finalize()
	End Sub
#End Region

	''' ---------------------------------------------
	''' <summary>
	''' コンストラクタ
	''' </summary>
	''' <remarks>
	''' 2010/12/10 新規作成 CS)中岡<BR/>
	''' </remarks>
	''' ---------------------------------------------
	Sub New()
	End Sub

	''' ---------------------------------------------
	''' <summary>
	''' 医療費項目マスタの取得
	''' </summary>
	''' <returns>医療費項目マスタ</returns>
	''' <remarks>
	''' 2010/12/02 新規作成　CS)中岡<BR/>
	''' </remarks>
	''' ---------------------------------------------
	Public Function getMedCostItmInfo() As ArrayList
		Try
			Using db As clsDB = New clsDB(clsSysMst.ctlConfigData)
				Return getMedCostItmInfo(db)
			End Using
		Catch ex As Exception
			Throw
		End Try
	End Function

	''' ---------------------------------------------
	''' <summary>
	''' 医療費項目マスタの取得
	''' </summary>
	''' <param name="db">ＤＢクラス</param>
	''' <returns>医療費項目マスタ</returns>
	''' <remarks>
	''' 2010/12/07 新規作成　CS)溝渕<BR/>
	''' </remarks>
	''' ---------------------------------------------
	Public Function getMedCostItmInfo(ByVal db As clsDB) As ArrayList
        Dim retData As ArrayList
		Dim iRet As Integer
        Try
            retData = New ArrayList()
            db.setSQL(sqlMTM_MED_COST_ITM.sqlSelMedCostItm)
            'SQL実行
            iRet = db.execQuery(GetType(datMTM_MED_COST_ITM), retData)
        Catch ex As Exception
            Throw
        End Try
		Return retData
	End Function

End Class
