﻿Imports XCM

'''---------------------------------------------
''' <summary>
''' 使用者マスタアクセスクラス
''' </summary>
''' <remarks>
''' Copyright 2010 FUJITSU SHIKOKU SYSTEMS LIMITED All rights reserved.<BR/>
''' FUJITSU SHIKOKU SYSTEMS LIMITED CONFIDENTIAL<BR/>
''' </remarks>
'''---------------------------------------------
Public Class clsXTM_LEDGERSHEET_TITLE

#Region "変数"

	'''---------------------------------------------
	''' <summary>
	''' SQLパラメータインデックス
	''' </summary>
	''' <remarks>
	''' 2010/03/16 新規作成 CS)荒川<BR/>
	''' </remarks>
	'''---------------------------------------------
	Private Enum Enum_SqlParam
		eSqlSel = 0			'通常取得SQL
		eSqlLockSel = 1		'レコードロック取得SQL
		eSqlIns = 2			'レコード追加SQL
		eSqlUpd = 3			'レコード更新SQL
		eSqlDel = 4			'レコード削除SQL
		eSqlMaxSel = 5		'MAX連番取得SQL
	End Enum

#End Region

	'''---------------------------------------------
	''' <summary>
	''' タイトルコンボ取得（DataTable型）
	''' </summary>
	''' <returns>取得データテーブル</returns>
	''' <remarks>
	''' 2010/03/16 新規作成 CS)荒川<BR/>
	''' </remarks>
	'''---------------------------------------------
	Public Function getTitle(ByVal pScreenCd As String) As DataTable
		Dim dtData As DataTable = Nothing
		Try
			dtData = New DataTable
			Using db As clsDB = New clsDB(clsSysMst.ctlConfigData)
				db.setSQLDa(sqlXTM_LEDGERSHEET_TITLE.sqlSelTitle)		'SQLセット
				Me.setSqlParam(db, Enum_SqlParam.eSqlSel, pScreenCd)	'パラメータセット
				db.execQueryDa(dtData)									'実行
			End Using
		Catch ex As Exception
			Throw
		End Try
		Return dtData
	End Function

	'''---------------------------------------------
	''' <summary>
	''' SQLパラメータセット
	''' </summary>
	''' <remarks>
	''' 2010/03/16 新規作成 CS)荒川<BR/>
	''' </remarks>
	'''---------------------------------------------
	Private Sub setSqlParam(ByVal db As clsDB, ByVal pPrmIdx As Enum_SqlParam, _
	Optional ByVal pScreenCd As String = Nothing, Optional ByVal pTitleNo As Integer = Nothing, Optional ByVal pTitle As String = Nothing)
		Try
			With db
				If pPrmIdx = Enum_SqlParam.eSqlSel OrElse pPrmIdx = Enum_SqlParam.eSqlMaxSel Then
					'タイトルコンボ取得
					.setParamDa(sqlXTM_LEDGERSHEET_TITLE.prmSCREEN_CD, clsDB.Enum_dbType.dbNVarChar)
					.setValDa(sqlXTM_LEDGERSHEET_TITLE.prmSCREEN_CD, pScreenCd)
				End If

				If pPrmIdx = Enum_SqlParam.eSqlLockSel OrElse pPrmIdx = Enum_SqlParam.eSqlIns _
				OrElse pPrmIdx = Enum_SqlParam.eSqlUpd OrElse pPrmIdx = Enum_SqlParam.eSqlDel Then
					'レコードロック、レコード追加、レコード更新、レコード削除
					.setParam(sqlXTM_LEDGERSHEET_TITLE.prmSCREEN_CD, clsDB.Enum_dbType.dbNVarChar)
					.setParam(sqlXTM_LEDGERSHEET_TITLE.prmTITLESERIAL_NO, clsDB.Enum_dbType.dbInt)
					.setVal(sqlXTM_LEDGERSHEET_TITLE.prmSCREEN_CD, pScreenCd)
					.setVal(sqlXTM_LEDGERSHEET_TITLE.prmTITLESERIAL_NO, pTitleNo, False)
				End If

				If pPrmIdx = Enum_SqlParam.eSqlIns OrElse pPrmIdx = Enum_SqlParam.eSqlUpd Then
					'レコード追加、レコード更新
					.setParam(sqlXTM_LEDGERSHEET_TITLE.prmTITLE, clsDB.Enum_dbType.dbNVarChar)
					.setParam(sqlXTM_LEDGERSHEET_TITLE.prmLASTUPDUSER_CD, clsDB.Enum_dbType.dbNVarChar)
					.setParam(sqlXTM_LEDGERSHEET_TITLE.prmLASTUPD_DT, clsDB.Enum_dbType.dbDateTime)
					.setVal(sqlXTM_LEDGERSHEET_TITLE.prmTITLE, pTitle)
					.setVal(sqlXTM_LEDGERSHEET_TITLE.prmLASTUPDUSER_CD, clsSysMst.getLoginId)
					.setVal(sqlXTM_LEDGERSHEET_TITLE.prmLASTUPD_DT, Now())
				End If
			End With
		Catch ex As Exception
			Throw
		End Try
	End Sub

	'''---------------------------------------------
	''' <summary>
	''' MAXタイトルNo取得
	''' </summary>
	''' <param name="pScreenCd">画面コード</param>
	''' <returns>MAXタイトルNo</returns>
	''' <remarks>
	''' 2010/03/16 新規作成 CS)荒川<BR/>
	''' </remarks>
	'''---------------------------------------------
    Public Function getMaxTitleNo(ByVal pScreenCd As String) As Integer
		Dim datRet As DataTable = Nothing
		Try
			datRet = New DataTable
			Using cliDb As New clsDB(clsSysMst.ctlConfigData)
				With cliDb
					.setSQLDa(sqlXTM_LEDGERSHEET_TITLE.sqlSelTitleMaxNo)
					Me.setSqlParam(cliDb, Enum_SqlParam.eSqlMaxSel, pScreenCd)
					.execQueryDa(datRet)
					If datRet IsNot Nothing AndAlso datRet.Rows.Count > 0 AndAlso _
					 Not String.IsNullOrEmpty(datRet.Rows(0).Item(sqlXTM_LEDGERSHEET_TITLE.itmTITLESERIAL_NO).ToString) Then
						'戻り値があり、行数が１以上、項目がNULL以外の場合は＋１してタイトル連番を返す
						If CInt(datRet.Rows(0).Item(sqlXTM_LEDGERSHEET_TITLE.itmTITLESERIAL_NO).ToString) = Integer.MaxValue Then
							Return -1
						End If
						Return CInt(datRet.Rows(0).Item(sqlXTM_LEDGERSHEET_TITLE.itmTITLESERIAL_NO).ToString) + 1
					End If
					Return 1
				End With
			End Using
		Catch ex As Exception
			Throw
		Finally
			If datRet IsNot Nothing Then datRet.Dispose()
			datRet = Nothing
		End Try
    End Function

	'''---------------------------------------------
	''' <summary>
	''' タイトル追加
	''' </summary>
	''' <param name="pScreenCd">画面コード</param>
	''' <param name="pTitleNo">タイトルNo</param>
	''' <param name="pTitle">タイトル</param>
	''' <remarks>
	''' 2010/03/16 新規作成 CS)荒川<BR/>
	''' </remarks>
	'''---------------------------------------------
	Public Sub exeInsTitle(ByVal pScreenCd As String, ByVal pTitleNo As Integer, ByVal pTitle As String)
		Try
			Using db As New clsDB(clsSysMst.ctlConfigData)
				With db
					'トランザクション開始
					.ctlTran(clsDB.Enum_TranMode.Begin)
					Try
						.setSQL(sqlXTM_LEDGERSHEET_TITLE.sqlInsTitle)								'SQLセット
						Me.setSqlParam(db, Enum_SqlParam.eSqlIns, pScreenCd, pTitleNo, pTitle)	'パラメータセット
						.execNonQuery(False)														'実行

						'正常終了コミット
						.ctlTran(clsDB.Enum_TranMode.Commit)
					Catch ex As Exception
						'エラーなのでロールバック
						.ctlTran(clsDB.Enum_TranMode.RollBack)
						Throw
					End Try
				End With
			End Using
		Catch ex As Exception
			Throw
		End Try
	End Sub

	'''---------------------------------------------
	''' <summary>
	''' タイトル更新
	''' </summary>
	''' <param name="pScreenCd">画面コード</param>
	''' <param name="pTitleNo">タイトルNo</param>
	''' <param name="pTitle">タイトル</param>
	''' <returns>TRUE:正常処理 FALSE:レコードが削除されていた</returns>
	''' <remarks>
	''' 2010/03/16 新規作成 CS)荒川<BR/>
	''' </remarks>
	'''---------------------------------------------
	Public Function exeUpdTitle(ByVal pScreenCd As String, ByVal pTitleNo As Integer, ByVal pTitle As String) As Boolean
		Dim ArData As ArrayList = Nothing
        Dim iRet As Integer = Nothing
		Dim dbData As DataTable = Nothing
		Try
			ArData = New ArrayList
			dbData = New DataTable
			'排他確認
			Using db As New clsDB(clsSysMst.ctlConfigData)
				With db
					Try
						'レコードロック（forUpdateを使用しているため明示的なトランザクション開始は不要）
						.setSQL(sqlXTM_LEDGERSHEET_TITLE.sqlSelLockTitle)								'SQLセット
						Me.setSqlParam(db, Enum_SqlParam.eSqlLockSel, pScreenCd, pTitleNo)		   'パラメータセット
						iRet = .execQuery(GetType(datXTM_LEDGERSHEET_TITLE), ArData)					'実行

						If iRet > 0 Then
							'更新
							'SQLセット
							.setSQL(sqlXTM_LEDGERSHEET_TITLE.sqlUpdTitle)								'SQLセット
							Me.setSqlParam(db, Enum_SqlParam.eSqlUpd, pScreenCd, pTitleNo, pTitle) 'パラメータセット
							.execNonQuery(False)														'実行
						Else
							'更新対象のレコードがない
							If .statTran Then .ctlTran(clsDB.Enum_TranMode.RollBack)
							Return False
						End If

						'正常終了コミット
						.ctlTran(clsDB.Enum_TranMode.Commit)
						Return True
					Catch ex As Exception
						'エラーなのでロールバック
						If .statTran Then .ctlTran(clsDB.Enum_TranMode.RollBack)
						Throw
					End Try
				End With
			End Using
		Catch ex As Exception
			Throw
		Finally
			If dbData IsNot Nothing Then dbData.Dispose()
			If ArData IsNot Nothing Then ArData.Clear()
			dbData = Nothing
			ArData = Nothing
			iRet = Nothing
		End Try
	End Function

	'''---------------------------------------------
	''' <summary>
	''' タイトル削除
	''' </summary>
	''' <param name="pScreenCd">画面コード</param>
	''' <param name="pTitleNo">タイトルNo</param>
	''' <remarks>
	''' 2010/03/16 新規作成 CS)荒川<BR/>
	''' </remarks>
	'''---------------------------------------------
	Public Sub exeDelTitle(ByVal pScreenCd As String, ByVal pTitleNo As Integer)
		Dim ArData As ArrayList = Nothing
		Dim iRet As Integer = Nothing
		Try
			ArData = New ArrayList
			Using db As New clsDB(clsSysMst.ctlConfigData)
				With db

					Try
						'レコードロック（forUpdateを使用しているため明示的なトランザクション開始は不要）
						.setSQL(sqlXTM_LEDGERSHEET_TITLE.sqlSelLockTitle)							'SQLセット
						Me.setSqlParam(db, Enum_SqlParam.eSqlLockSel, pScreenCd, pTitleNo)		'パラメータセット
						iRet = .execQuery(GetType(datXTM_LEDGERSHEET_TITLE), ArData)				'実行

						'削除処理
						.setSQL(sqlXTM_LEDGERSHEET_TITLE.sqlDelTitle)							'SQLセット
						Me.setSqlParam(db, Enum_SqlParam.eSqlDel, pScreenCd, pTitleNo)		'パラメータセット
						.execNonQuery(False)													'実行

						'正常終了コミット
						If .statTran() Then .ctlTran(clsDB.Enum_TranMode.Commit)
					Catch ex As Exception
						'エラーなのでロールバック
						If .statTran() Then .ctlTran(clsDB.Enum_TranMode.RollBack)
						Throw
					End Try
				End With
			End Using
		Catch ex As Exception
			Throw
		Finally
			If ArData IsNot Nothing Then ArData.Clear()
			ArData = Nothing
			iRet = Nothing
		End Try
	End Sub
End Class
