﻿Imports XCM
Imports System.Reflection

''' ---------------------------------------------
''' <summary>
''' 共通処理_代表医師データクラス
''' </summary>
''' <remarks>
''' Copyright 2010 FUJITSU SHIKOKU SYSTEMS LIMITED All rights reserved.<BR/>
''' FUJITSU SHIKOKU SYSTEMS LIMITED CONFIDENTIAL<BR/>
''' </remarks>
''' --------------------------------------------
Public NotInheritable Class datDOCTOR
    Public DOCTOR_CD As String = Nothing                                '医師コード
End Class

''' ---------------------------------------------
''' <summary>
''' 共通処理_主科フラグデータクラス
''' </summary>
''' <remarks>
''' Copyright 2010 FUJITSU SHIKOKU SYSTEMS LIMITED All rights reserved.<BR/>
''' FUJITSU SHIKOKU SYSTEMS LIMITED CONFIDENTIAL<BR/>
''' </remarks>
''' --------------------------------------------
Public NotInheritable Class datDOCTOR_MAIN_DPM_FLG
    Public MAIN_DPM_FLG As Integer = Nothing                            '主科フラグ
End Class

''' ---------------------------------------------
''' <summary>
''' 共通処理_医師区分データクラス
''' </summary>
''' <remarks>
''' Copyright 2010 FUJITSU SHIKOKU SYSTEMS LIMITED All rights reserved.<BR/>
''' FUJITSU SHIKOKU SYSTEMS LIMITED CONFIDENTIAL<BR/>
''' </remarks>
''' ---------------------------------------------
Public NotInheritable Class datDOCTOR_DIV
    Public DOCTOR_DIV_CD As String = Nothing                            '医師区分コード
End Class

''' ---------------------------------------------
''' <summary>
''' 共通処理_代表医師登録ＳＱＬクラス
''' </summary>
''' <remarks>
''' Copyright 2010 FUJITSU SHIKOKU SYSTEMS LIMITED All rights reserved.<BR/>
''' FUJITSU SHIKOKU SYSTEMS LIMITED CONFIDENTIAL<BR/>
''' </remarks>
''' ---------------------------------------------
Public NotInheritable Class sqlMAIN_DOCTOR

#Region "コンスタント"
    Public Const C_TO_MAIN_DOCTOR As String = "代表医師へ"
    Public Const C_FROM_MAIN_DOCTOR As String = "代表医師より"
    Public Const C_FIX_0 As Integer = 0
    Public Const C_FIX_MIN_NO As Integer = 1
	Public Const C_FIX_MAIN_DOCTOR_CD As String = "-1"
	Public Const C_FIX_MAIN_DPM_FLG As String = "-1"
#End Region

    ' パラメータ
    Public Const prmPATIENT_NO As String = "@PATIENT_NO"                    '患者番号
    Public Const prmHSP_HISTORY_NO As String = "@HSP_HISTORY_NO"            '入退院歴番号
    Public Const prmCH_NO As String = "@CH_NO"                              '科歴番号

    Public Const prmDOCTOR_SERIAL_NO As String = "@DOCTOR_SERIAL_NO"        '医師連番
    Public Const prmMAIN_DOCTOR_FLG As String = "@MAIN_DOCTOR_FLG"          '主治医フラグ
    Public Const prmDOCTOR_DIV As String = "@DOCTOR_DIV"                    '医師区分コード
    Public Const prmDOCTOR_CD As String = "@DOCTOR_CD"                      '医師コード
    Public Const prmATTEND_START_DT As String = "@ATTEND_START_DT"          '担当開始日
    Public Const prmATTEND_END_DT As String = "@ATTEND_END_DT"              '担当終了日
    Public Const prmLASTUPDUSER_CD As String = "@LASTUPDUSER_CD"            '更新者コード
    Public Const prmLASTUPD_DT As String = "@LASTUPD_DT"                    '最終更新日

    ' MTI_入退院情報医師コード取得
    Public Const sqlSelHsp As String = _
        "SELECT" _
        & "  DOCTOR_CD" _
        & " FROM MTI_HSP" _
        & " WHERE PATIENT_NO = " & prmPATIENT_NO _
        & "   AND HSP_HISTORY_NO = " & prmHSP_HISTORY_NO

    ' MTI_科歴情報医師コード取得
    Public Const sqlSelCh As String = _
        "SELECT" _
        & "  DOCTOR_CD" _
        & " FROM MTI_CH" _
        & " WHERE PATIENT_NO = " & prmPATIENT_NO _
        & "   AND HSP_HISTORY_NO = " & prmHSP_HISTORY_NO _
        & "   AND CH_NO = " & prmCH_NO

    ' MTI_科歴情報主科フラグ取得
    Public Const sqlSelCh_MAIN_DPM_FLG As String = _
        "SELECT" _
        & "  MAIN_DPM_FLG" _
        & " FROM MTI_CH" _
        & " WHERE PATIENT_NO = " & prmPATIENT_NO _
        & "   AND HSP_HISTORY_NO = " & prmHSP_HISTORY_NO _
        & "   AND CH_NO = " & prmCH_NO

    ' MTM_医師区分マスタ取得
    Public Const sqlSelMin_Doctor_Div_Cd As String = _
        "SELECT" _
        & "  MIN(DOCTOR_DIV_CD) AS DOCTOR_DIV_CD" _
        & " FROM MTM_DOCTOR_DIV"

    ' MTI_医師情報削除
    Public Const sqlDelDoctor As String = _
        "DELETE" _
        & " FROM MTI_DOCTOR" _
        & " WHERE PATIENT_NO = " & prmPATIENT_NO _
        & "   AND HSP_HISTORY_NO = " & prmHSP_HISTORY_NO _
        & "   AND CH_NO = " & prmCH_NO

    ' MTI_医師情報削除
    Public Const sqlInsDoctor As String = _
        "INSERT INTO MTI_DOCTOR" _
        & " (" _
        & "  PATIENT_NO," _
        & "  HSP_HISTORY_NO," _
        & "  CH_NO," _
        & "  DOCTOR_SERIAL_NO," _
        & "  MAIN_DOCTOR_FLG," _
        & "  DOCTOR_DIV," _
        & "  DOCTOR_CD," _
        & "  LASTUPDUSER_CD," _
        & "  LASTUPD_DT" _
        & " )" _
        & " VALUES" _
        & " (" _
        & "  " & prmPATIENT_NO & "," _
        & "  " & prmHSP_HISTORY_NO & "," _
        & "  " & prmCH_NO & "," _
        & "  " & prmDOCTOR_SERIAL_NO & "," _
        & "  " & prmMAIN_DOCTOR_FLG & "," _
        & "  " & prmDOCTOR_DIV & "," _
        & "  " & prmDOCTOR_CD & "," _
        & "  " & prmLASTUPDUSER_CD & "," _
        & "  " & prmLASTUPD_DT _
        & " )"

    ' MTI_科歴情報医師コード更新
    Public Const sqlUpd_Ch_Doctor_Cd As String = _
        "UPDATE MTI_CH" _
        & " SET" _
        & "  DOCTOR_CD = " & prmDOCTOR_CD & "," _
        & "  LASTUPDUSER_CD = " & prmLASTUPDUSER_CD & "," _
        & "  LASTUPD_DT = " & prmLASTUPD_DT _
        & " WHERE PATIENT_NO = " & prmPATIENT_NO _
        & "   AND HSP_HISTORY_NO = " & prmHSP_HISTORY_NO _
        & "   AND CH_NO = " & prmCH_NO

    ' MTI_入退院情報医師コード更新
    Public Const sqlUpd_Hsp_Doctor_Cd As String = _
        "UPDATE MTI_HSP" _
        & " SET" _
        & "  DOCTOR_CD = " & prmDOCTOR_CD & "," _
        & "  LASTUPDUSER_CD = " & prmLASTUPDUSER_CD & "," _
        & "  LASTUPD_DT = " & prmLASTUPD_DT _
        & " WHERE PATIENT_NO = " & prmPATIENT_NO _
        & "   AND HSP_HISTORY_NO = " & prmHSP_HISTORY_NO

End Class
