﻿''' ---------------------------------------------
''' <summary>
''' 共通処理_分娩子情報＿データクラス
''' </summary>
''' <remarks>
''' Copyright 2010 FUJITSU SHIKOKU SYSTEMS LIMITED All rights reserved.<BR/>
''' FUJITSU SHIKOKU SYSTEMS LIMITED CONFIDENTIAL<BR/>
''' </remarks>
''' ---------------------------------------------
Public NotInheritable Class datMTI_CB_CHILD_OneRec
	Public PATIENT_NO As String = Nothing						'患者番号
	Public HSP_HISTORY_NO As Integer = Nothing					'入退院歴番号
	Public CH_NO As Integer = Nothing							'科歴番号
	Public CB_SERIAL_NO As Integer = Nothing					'分娩子連番
	Public GENDER_CD As String = Nothing						'性別コード
	Public NEWBORN_STATURE As Nullable(Of Double) = Nothing		'新生児身長
	Public NEWBORN_WEIGHT As Nullable(Of Integer) = Nothing		'新生児体重
	Public APGARSCORE_1MIN As String = Nothing					'アプガー指数１分
	Public APGARSCORE_5MIN As String = Nothing					'アプガー指数５分
	Public IMMATURE As Integer = Nothing						'未熟
	Public DEFORMITY As Integer = Nothing						'奇形
	Public STILLBIRTH As Integer = Nothing						'流死産
	Public CB_PTN1 As String = Nothing							'分娩様式コード１
	Public CB_PTN2 As String = Nothing							'分娩様式コード２
	Public CB_PTN3 As String = Nothing							'分娩様式コード３
	Public CB_PTN4 As String = Nothing							'分娩様式コード４
	Public NEWBORN_NO As String = Nothing						'新生児番号
	Public CHD_CB_DT As Date = Nothing							'子分娩日
	Public CHD_CB_TIME As String = Nothing						'子分娩時刻
	Public CHD_BLOODTYPE_CD As String = Nothing					'子血液型コード
	Public CHD_RH_CD As String = Nothing						'子Ｒｈコード
	Public CHD_PATIENT_NO As String = Nothing					'子患者番号
	Public CHD_REMARKS As String = Nothing						'子備考
	Public CHD_CB_CHK1 As Integer = Nothing						'子分娩チェック項目１
	Public CHD_CB_CHK2 As Integer = Nothing						'子分娩チェック項目２
	Public CHD_CB_CHK3 As Integer = Nothing						'子分娩チェック項目３
	Public CHD_CB_CHK4 As Integer = Nothing						'子分娩チェック項目４
	Public CHD_CB_CHK5 As Integer = Nothing						'子分娩チェック項目５
	Public LASTUPDUSER_CD As String = Nothing					'更新者コード
	Public LASTUPD_DT As Date = Nothing							'最終更新日

	''' ----------------------------------------
	''' <summary>
	''' オブジェクトコピー
	''' </summary>
	''' <returns>datMTI_CB_CHILD_OneRec(分娩子情報１レコード）</returns>
	''' <remarks>
	''' 2010/12/07 新規作成 CS)溝渕<BR/>
	''' </remarks>
	''' ----------------------------------------
	Public Function Copy() As datMTI_CB_CHILD_OneRec
		Dim ret As datMTI_CB_CHILD_OneRec = New datMTI_CB_CHILD_OneRec
		With ret
			.PATIENT_NO = Me.PATIENT_NO
			.HSP_HISTORY_NO = Me.HSP_HISTORY_NO
			.CH_NO = Me.CH_NO
			.CB_SERIAL_NO = Me.CB_SERIAL_NO
			.GENDER_CD = Me.GENDER_CD
			.NEWBORN_STATURE = Me.NEWBORN_STATURE
			.NEWBORN_WEIGHT = Me.NEWBORN_WEIGHT
			.APGARSCORE_1MIN = Me.APGARSCORE_1MIN
			.APGARSCORE_5MIN = Me.APGARSCORE_5MIN
			.IMMATURE = Me.IMMATURE
			.DEFORMITY = Me.DEFORMITY
			.STILLBIRTH = Me.STILLBIRTH
			.CB_PTN1 = Me.CB_PTN1
			.CB_PTN2 = Me.CB_PTN2
			.CB_PTN3 = Me.CB_PTN3
			.CB_PTN4 = Me.CB_PTN4
			.NEWBORN_NO = Me.NEWBORN_NO
			.CHD_CB_DT = Me.CHD_CB_DT
			.CHD_CB_TIME = Me.CHD_CB_TIME
			.CHD_BLOODTYPE_CD = Me.CHD_BLOODTYPE_CD
			.CHD_RH_CD = Me.CHD_RH_CD
			.CHD_PATIENT_NO = Me.CHD_PATIENT_NO
			.CHD_REMARKS = Me.CHD_REMARKS
			.CHD_CB_CHK1 = Me.CHD_CB_CHK1
			.CHD_CB_CHK2 = Me.CHD_CB_CHK2
			.CHD_CB_CHK3 = Me.CHD_CB_CHK3
			.CHD_CB_CHK4 = Me.CHD_CB_CHK4
			.CHD_CB_CHK5 = Me.CHD_CB_CHK5
			.LASTUPDUSER_CD = Me.LASTUPDUSER_CD
			.LASTUPD_DT = Me.LASTUPD_DT
		End With
		Return ret
	End Function
End Class

''' ---------------------------------------------
''' <summary>
''' 共通処理_分娩子情報＋名称＿データクラス
''' </summary>
''' ---------------------------------------------
Public NotInheritable Class datMTI_CB_CHILD_PLUS_OneRec
	' 分娩子情報
	Public PATIENT_NO As String = Nothing						'患者番号
	Public HSP_HISTORY_NO As Integer = Nothing					'入退院歴番号
	Public CH_NO As Integer = Nothing							'科歴番号
	Public CB_SERIAL_NO As Integer = Nothing					'分娩子連番
	Public GENDER_CD As String = Nothing						'性別コード
	Public NEWBORN_STATURE As Nullable(Of Double) = Nothing		'新生児身長
	Public NEWBORN_WEIGHT As Nullable(Of Integer) = Nothing		'新生児体重
	Public APGARSCORE_1MIN As String = Nothing					'アプガー指数１分
	Public APGARSCORE_5MIN As String = Nothing					'アプガー指数５分
	Public IMMATURE As Integer = Nothing						'未熟
	Public DEFORMITY As Integer = Nothing						'奇形
	Public STILLBIRTH As Integer = Nothing						'流死産
	Public CB_PTN1 As String = Nothing							'分娩様式コード１
	Public CB_PTN2 As String = Nothing							'分娩様式コード２
	Public CB_PTN3 As String = Nothing							'分娩様式コード３
	Public CB_PTN4 As String = Nothing							'分娩様式コード４
	Public NEWBORN_NO As String = Nothing						'新生児番号
	Public CHD_CB_DT As Date = Nothing							'子分娩日
	Public CHD_CB_TIME As String = Nothing						'子分娩時刻
	Public CHD_BLOODTYPE_CD As String = Nothing					'子血液型コード
	Public CHD_RH_CD As String = Nothing						'子Ｒｈコード
	Public CHD_PATIENT_NO As String = Nothing					'子患者番号
	Public CHD_REMARKS As String = Nothing						'子備考
	Public CHD_CB_CHK1 As Integer = Nothing						'子分娩チェック項目１
	Public CHD_CB_CHK2 As Integer = Nothing						'子分娩チェック項目２
	Public CHD_CB_CHK3 As Integer = Nothing						'子分娩チェック項目３
	Public CHD_CB_CHK4 As Integer = Nothing						'子分娩チェック項目４
	Public CHD_CB_CHK5 As Integer = Nothing						'子分娩チェック項目５
	Public LASTUPDUSER_CD As String = Nothing					'更新者コード
	Public LASTUPD_DT As Date = Nothing							'最終更新日
	' 分娩用性別マスタ
	Public GENDER_NM As String = Nothing						'性別名称
	' 分娩アプガー指数マスタ
	Public APGARSCORE1 As String = Nothing						'アプガー指数１
	Public APGARSCORE5 As String = Nothing						'アプガー指数５
	' 分娩区分内容マスタ
	Public CB_PTN_NM1 As String = Nothing						'分娩様式内容１
	Public CB_PTN_NM2 As String = Nothing						'分娩様式内容２
	Public CB_PTN_NM3 As String = Nothing						'分娩様式内容３
	Public CB_PTN_NM4 As String = Nothing						'分娩様式内容４
	' 血液型マスタ
	Public CHD_BLOODTYPE_NM As String = Nothing					'子血液型
	' Ｒｈマスタ
	Public CHD_RH_NM As String = Nothing						'子Ｒｈ
	' チェックボックス表示
	Public IMMATURE_DSP As String = Nothing						'未熟
	Public DEFORMITY_DSP As String = Nothing					'奇形
	Public STILLBIRTH_DSP As String = Nothing					'流死産
	Public CHD_CB_CHK1_DSP As String = Nothing					'子分娩チェック項目１
	Public CHD_CB_CHK2_DSP As String = Nothing					'子分娩チェック項目２
	Public CHD_CB_CHK3_DSP As String = Nothing					'子分娩チェック項目３
	Public CHD_CB_CHK4_DSP As String = Nothing					'子分娩チェック項目４
	Public CHD_CB_CHK5_DSP As String = Nothing					'子分娩チェック項目５

	''' ----------------------------------------
	''' <summary>
	''' オブジェクトコピー
	''' </summary>
	''' <returns>datMTI_CB_CHILD_OneRec(分娩子情報＋名称１レコード）</returns>
	''' <remarks>
	''' 2010/12/07 新規作成 CS)溝渕<BR/>
	''' </remarks>
	''' ----------------------------------------
	Public Function Copy() As datMTI_CB_CHILD_PLUS_OneRec
		Dim ret As datMTI_CB_CHILD_PLUS_OneRec = New datMTI_CB_CHILD_PLUS_OneRec
		With ret
			.PATIENT_NO = Me.PATIENT_NO
			.HSP_HISTORY_NO = Me.HSP_HISTORY_NO
			.CH_NO = Me.CH_NO
			.CB_SERIAL_NO = Me.CB_SERIAL_NO
			.GENDER_CD = Me.GENDER_CD
			.NEWBORN_STATURE = Me.NEWBORN_STATURE
			.NEWBORN_WEIGHT = Me.NEWBORN_WEIGHT
			.APGARSCORE_1MIN = Me.APGARSCORE_1MIN
			.APGARSCORE_5MIN = Me.APGARSCORE_5MIN
			.IMMATURE = Me.IMMATURE
			.DEFORMITY = Me.DEFORMITY
			.STILLBIRTH = Me.STILLBIRTH
			.CB_PTN1 = Me.CB_PTN1
			.CB_PTN2 = Me.CB_PTN2
			.CB_PTN3 = Me.CB_PTN3
			.CB_PTN4 = Me.CB_PTN4
			.NEWBORN_NO = Me.NEWBORN_NO
			.CHD_CB_DT = Me.CHD_CB_DT
			.CHD_CB_TIME = Me.CHD_CB_TIME
			.CHD_BLOODTYPE_CD = Me.CHD_BLOODTYPE_CD
			.CHD_RH_CD = Me.CHD_RH_CD
			.CHD_PATIENT_NO = Me.CHD_PATIENT_NO
			.CHD_REMARKS = Me.CHD_REMARKS
			.CHD_CB_CHK1 = Me.CHD_CB_CHK1
			.CHD_CB_CHK2 = Me.CHD_CB_CHK2
			.CHD_CB_CHK3 = Me.CHD_CB_CHK3
			.CHD_CB_CHK4 = Me.CHD_CB_CHK4
			.CHD_CB_CHK5 = Me.CHD_CB_CHK5
			.LASTUPDUSER_CD = Me.LASTUPDUSER_CD
			.LASTUPD_DT = Me.LASTUPD_DT

			.GENDER_NM = Me.GENDER_NM
			.APGARSCORE1 = Me.APGARSCORE1
			.APGARSCORE5 = Me.APGARSCORE5
			.CB_PTN_NM1 = Me.CB_PTN_NM1
			.CB_PTN_NM2 = Me.CB_PTN_NM2
			.CB_PTN_NM3 = Me.CB_PTN_NM3
			.CB_PTN_NM4 = Me.CB_PTN_NM4
			.CHD_BLOODTYPE_NM = Me.CHD_BLOODTYPE_NM
			.CHD_RH_NM = Me.CHD_RH_NM
			.IMMATURE_DSP = Me.IMMATURE_DSP
			.DEFORMITY_DSP = Me.DEFORMITY_DSP
			.STILLBIRTH_DSP = Me.STILLBIRTH_DSP
		End With
		Return ret
	End Function

	''' ----------------------------------------
	''' <summary>
	''' オブジェクトコピー（分娩子情報）
	''' </summary>
	''' <returns>datMTI_CB_CHILD_OneRec(分娩子情報１レコード）</returns>
	''' <remarks>
	''' 2010/12/07 新規作成 CS)溝渕<BR/>
	''' </remarks>
	''' ----------------------------------------
	Public Function OrgCopy() As datMTI_CB_CHILD_OneRec
		Dim ret As datMTI_CB_CHILD_OneRec = New datMTI_CB_CHILD_OneRec
		With ret
			.PATIENT_NO = Me.PATIENT_NO
			.HSP_HISTORY_NO = Me.HSP_HISTORY_NO
			.CH_NO = Me.CH_NO
			.CB_SERIAL_NO = Me.CB_SERIAL_NO
			.GENDER_CD = Me.GENDER_CD
			.NEWBORN_STATURE = Me.NEWBORN_STATURE
			.NEWBORN_WEIGHT = Me.NEWBORN_WEIGHT
			.APGARSCORE_1MIN = Me.APGARSCORE_1MIN
			.APGARSCORE_5MIN = Me.APGARSCORE_5MIN
			.IMMATURE = Me.IMMATURE
			.DEFORMITY = Me.DEFORMITY
			.STILLBIRTH = Me.STILLBIRTH
			.CB_PTN1 = Me.CB_PTN1
			.CB_PTN2 = Me.CB_PTN2
			.CB_PTN3 = Me.CB_PTN3
			.CB_PTN4 = Me.CB_PTN4
			.NEWBORN_NO = Me.NEWBORN_NO
			.CHD_CB_DT = Me.CHD_CB_DT
			.CHD_CB_TIME = Me.CHD_CB_TIME
			.CHD_BLOODTYPE_CD = Me.CHD_BLOODTYPE_CD
			.CHD_RH_CD = Me.CHD_RH_CD
			.CHD_PATIENT_NO = Me.CHD_PATIENT_NO
			.CHD_REMARKS = Me.CHD_REMARKS
			.CHD_CB_CHK1 = Me.CHD_CB_CHK1
			.CHD_CB_CHK2 = Me.CHD_CB_CHK2
			.CHD_CB_CHK3 = Me.CHD_CB_CHK3
			.CHD_CB_CHK4 = Me.CHD_CB_CHK4
			.CHD_CB_CHK5 = Me.CHD_CB_CHK5
			.LASTUPDUSER_CD = Me.LASTUPDUSER_CD
			.LASTUPD_DT = Me.LASTUPD_DT
		End With
		Return ret
	End Function
End Class

''' ---------------------------------------------
''' <summary>
''' 分娩子情報取得SQLクラス（共通クラス）
''' </summary>
''' ---------------------------------------------
Public Class sqlMTI_CB_CHILD
	Public Const prmPATIENT_NO As String = "@PATIENT_NO"				'患者番号
	Public Const prmHSP_HISTORY_NO As String = "@HSP_HISTORY_NO"		'入退院歴番号
	Public Const prmCH_NO As String = "@CH_NO"							'科歴番号
	Public Const prmCB_SERIAL_NO As String = "@CB_SERIAL_NO"			'分娩子連番
	Public Const prmGENDER_CD As String = "@GENDER_CD"					'性別コード
	Public Const prmNEWBORN_STATURE As String = "@NEWBORN_STATURE"		'新生児身長
	Public Const prmNEWBORN_WEIGHT As String = "@NEWBORN_WEIGHT"		'新生児体重
	Public Const prmAPGARSCORE_1MIN As String = "@APGARSCORE_1MIN"		'アプガー指数１分
	Public Const prmAPGARSCORE_5MIN As String = "@APGARSCORE_5MIN"		'アプガー指数５分
	Public Const prmIMMATURE As String = "@IMMATURE"					'未熟
	Public Const prmDEFORMITY As String = "@DEFORMITY"					'奇形
	Public Const prmSTILLBIRTH As String = "@STILLBIRTH"				'流死産
	Public Const prmCB_PTN1 As String = "@CB_PTN1"						'分娩様式コード１
	Public Const prmCB_PTN2 As String = "@CB_PTN2"						'分娩様式コード２
	Public Const prmCB_PTN3 As String = "@CB_PTN3"						'分娩様式コード３
	Public Const prmCB_PTN4 As String = "@CB_PTN4"						'分娩様式コード４
	Public Const prmNEWBORN_NO As String = "@NEWBORN_NO"				'新生児番号
	Public Const prmCHD_CB_DT As String = "@CHD_CB_DT"					'子分娩日
	Public Const prmCHD_CB_TIME As String = "@CHD_CB_TIME"				'子分娩時刻
	Public Const prmCHD_BLOODTYPE_CD As String = "@CHD_BLOODTYPE_CD"	'子血液型コード
	Public Const prmCHD_RH_CD As String = "@CHD_RH_CD"					'子Ｒｈコード
	Public Const prmCHD_PATIENT_NO As String = "@CHD_PATIENT_NO"		'子患者番号
	Public Const prmCHD_REMARKS As String = "@CHD_REMARKS"				'子備考
	Public Const prmCHD_CB_CHK1 As String = "@CHD_CB_CHK1"				'子分娩チェック項目１
	Public Const prmCHD_CB_CHK2 As String = "@CHD_CB_CHK2"				'子分娩チェック項目２
	Public Const prmCHD_CB_CHK3 As String = "@CHD_CB_CHK3"				'子分娩チェック項目３
	Public Const prmCHD_CB_CHK4 As String = "@CHD_CB_CHK4"				'子分娩チェック項目４
	Public Const prmCHD_CB_CHK5 As String = "@CHD_CB_CHK5"				'子分娩チェック項目５
	Public Const prmLASTUPDUSER_CD As String = "@LASTUPDUSER_CD"		'更新者コード
	Public Const prmLASTUPD_DT As String = "@LASTUPD_DT"				'最終更新日

	Public Const prmITEM_CD1 As String = "@ITEM_CD1"					'項目コード１
	Public Const prmITEM_CD2 As String = "@ITEM_CD2"					'項目コード２
	Public Const prmITEM_CD3 As String = "@ITEM_CD3"					'項目コード３
	Public Const prmITEM_CD4 As String = "@ITEM_CD4"					'項目コード４

	Public Const prmCheckOn As String = "@CheckOn"
	Public Const prmCheckOff As String = "@CheckOff"
	Public Const prmCheckOnDisp As String = "@CheckOnDisp"
	Public Const prmCheckOffDisp As String = "@CheckOffDisp"

	Public Const itmPATIENT_NO As String = "PATIENT_NO"					'患者番号
	Public Const itmHSP_HISTORY_NO As String = "HSP_HISTORY_NO"			'入退院歴番号
	Public Const itmCH_NO As String = "CH_NO"							'科歴番号
	Public Const itmCB_SERIAL_NO As String = "CB_SERIAL_NO"				'分娩子連番
	Public Const itmGENDER_CD As String = "GENDER_CD"					'性別コード
	Public Const itmNEWBORN_STATURE As String = "NEWBORN_STATURE"		'新生児身長
	Public Const itmNEWBORN_WEIGHT As String = "NEWBORN_WEIGHT"			'新生児体重
	Public Const itmAPGARSCORE_1MIN As String = "APGARSCORE_1MIN"		'アプガー指数１分
	Public Const itmAPGARSCORE_5MIN As String = "APGARSCORE_5MIN"		'アプガー指数５分
	Public Const itmIMMATURE As String = "IMMATURE"						'未熟
	Public Const itmDEFORMITY As String = "DEFORMITY"					'奇形
	Public Const itmSTILLBIRTH As String = "STILLBIRTH"					'流死産
	Public Const itmCB_PTN1 As String = "CB_PTN1"						'分娩様式コード１
	Public Const itmCB_PTN2 As String = "CB_PTN2"						'分娩様式コード２
	Public Const itmCB_PTN3 As String = "CB_PTN3"						'分娩様式コード３
	Public Const itmCB_PTN4 As String = "CB_PTN4"						'分娩様式コード４
	Public Const itmNEWBORN_NO As String = "NEWBORN_NO"					'新生児番号
	Public Const itmCHD_CB_DT As String = "CHD_CB_DT"					'子分娩日
	Public Const itmCHD_CB_TIME As String = "CHD_CB_TIME"				'子分娩時刻
	Public Const itmCHD_BLOODTYPE_CD As String = "CHD_BLOODTYPE_CD"		'子血液型コード
	Public Const itmCHD_RH_CD As String = "CHD_RH_CD"					'子Ｒｈコード
	Public Const itmCHD_PATIENT_NO As String = "CHD_PATIENT_NO"			'子患者番号
	Public Const itmCHD_REMARKS As String = "CHD_REMARKS"				'子備考
	Public Const itmCHD_CB_CHK1 As String = "CHD_CB_CHK1"				'子分娩チェック項目１
	Public Const itmCHD_CB_CHK2 As String = "CHD_CB_CHK2"				'子分娩チェック項目２
	Public Const itmCHD_CB_CHK3 As String = "CHD_CB_CHK3"				'子分娩チェック項目３
	Public Const itmCHD_CB_CHK4 As String = "CHD_CB_CHK4"				'子分娩チェック項目４
	Public Const itmCHD_CB_CHK5 As String = "CHD_CB_CHK5"				'子分娩チェック項目５
	Public Const itmLASTUPDUSER_CD As String = "LASTUPDUSER_CD"			'更新者コード
	Public Const itmLASTUPD_DT As String = "LASTUPD_DT"					'最終更新日

	Public Const itmGENDER_NM As String = "GENDER_NM"					'性別名称
	Public Const itmAPGARSCORE1 As String = "APGARSCORE1"				'アプガー指数１
	Public Const itmAPGARSCORE5 As String = "APGARSCORE5"				'アプガー指数５
	Public Const itmCB_PTN_NM1 As String = "CB_PTN_NM1"					'分娩様式内容１
	Public Const itmCB_PTN_NM2 As String = "CB_PTN_NM2"					'分娩様式内容２
	Public Const itmCB_PTN_NM3 As String = "CB_PTN_NM3"					'分娩様式内容３
	Public Const itmCB_PTN_NM4 As String = "CB_PTN_NM4"					'分娩様式内容４
	Public Const itmCHD_BLOODTYPE_NM As String = "CHD_BLOODTYPE_NM"		'子血液型
	Public Const itmCHD_RH_NM As String = "CHD_RH_NM"					'子Ｒｈ
	Public Const itmIMMATURE_DSP As String = "IMMATURE_DSP"				'未熟
	Public Const itmDEFORMITY_DSP As String = "DEFORMITY_DSP"			'奇形
	Public Const itmSTILLBIRTH_DSP As String = "STILLBIRTH_DSP"			'流死産
	Public Const itmCHD_CB_CHK1_DSP As String = "CHD_CB_CHK1_DSP"		'子分娩チェック項目１
	Public Const itmCHD_CB_CHK2_DSP As String = "CHD_CB_CHK2_DSP"		'子分娩チェック項目２
	Public Const itmCHD_CB_CHK3_DSP As String = "CHD_CB_CHK3_DSP"		'子分娩チェック項目３
	Public Const itmCHD_CB_CHK4_DSP As String = "CHD_CB_CHK4_DSP"		'子分娩チェック項目４
	Public Const itmCHD_CB_CHK5_DSP As String = "CHD_CB_CHK5_DSP"		'子分娩チェック項目５

	' 分娩子情報取得用SQLのSELECT句
	Private Const sqlSelect_Cb_Child As String = _
	 "SELECT" _
	  & " PATIENT_NO, HSP_HISTORY_NO, CH_NO, CB_SERIAL_NO," _
	  & " GENDER_CD, NEWBORN_STATURE, NEWBORN_WEIGHT, APGARSCORE_1MIN, APGARSCORE_5MIN," _
	  & " IMMATURE, DEFORMITY, STILLBIRTH, CB_PTN1, CB_PTN2, CB_PTN3, CB_PTN4," _
	  & " NEWBORN_NO, CHD_CB_DT, CHD_CB_TIME, CHD_BLOODTYPE_CD, CHD_RH_CD, CHD_PATIENT_NO, CHD_REMARKS," _
	  & " CHD_CB_CHK1, CHD_CB_CHK2, CHD_CB_CHK3, CHD_CB_CHK4, CHD_CB_CHK5," _
	  & " LASTUPDUSER_CD, LASTUPD_DT" _
	  & " FROM MTI_CB_CHILD"

	' 分娩子情報＋名称取得用SQLのSELECT句
	Public Const sqlSelect_Cb_Child_Plus As String = _
	 "SELECT" _
	  & " A.PATIENT_NO, A.HSP_HISTORY_NO, A.CH_NO, A.CB_SERIAL_NO," _
	  & " A.GENDER_CD, A.NEWBORN_STATURE, A.NEWBORN_WEIGHT, A.APGARSCORE_1MIN, A.APGARSCORE_5MIN," _
	  & " A.IMMATURE, A.DEFORMITY, A.STILLBIRTH, A.CB_PTN1, A.CB_PTN2, A.CB_PTN3, A.CB_PTN4," _
	  & " A.NEWBORN_NO, A.CHD_CB_DT, A.CHD_CB_TIME, A.CHD_BLOODTYPE_CD, A.CHD_RH_CD, A.CHD_PATIENT_NO, A.CHD_REMARKS," _
	  & " A.CHD_CB_CHK1, A.CHD_CB_CHK2, A.CHD_CB_CHK3, A.CHD_CB_CHK4, A.CHD_CB_CHK5," _
	  & " A.LASTUPDUSER_CD, A.LASTUPD_DT," _
	  & " B.GENDER_NM," _
	  & " C.APGARSCORE AS APGARSCORE1," _
	  & " D.APGARSCORE AS APGARSCORE5," _
	  & " E.CNT_NM AS CB_PTN_NM1," _
	  & " F.CNT_NM AS CB_PTN_NM2," _
	  & " G.CNT_NM AS CB_PTN_NM3," _
	  & " H.CNT_NM AS CB_PTN_NM4," _
	  & " I.BLOODTYPE_NM AS CHD_BLOODTYPE_NM," _
	  & " J.RH_NM AS CHD_RH_NM," _
	  & " CASE ISNULL(A.IMMATURE, " & prmCheckOff & ") WHEN " & prmCheckOn & " THEN " & prmCheckOnDisp & " ELSE " & prmCheckOffDisp & " END AS IMMATURE_DSP," _
	  & " CASE ISNULL(A.DEFORMITY, " & prmCheckOff & ") WHEN " & prmCheckOn & " THEN " & prmCheckOnDisp & " ELSE " & prmCheckOffDisp & " END AS DEFORMITY_DSP," _
	  & " CASE ISNULL(A.STILLBIRTH, " & prmCheckOff & ") WHEN " & prmCheckOn & " THEN " & prmCheckOnDisp & " ELSE " & prmCheckOffDisp & " END AS STILLBIRTH_DSP," _
	  & " CASE ISNULL(A.CHD_CB_CHK1, " & prmCheckOff & ") WHEN " & prmCheckOn & " THEN " & prmCheckOnDisp & " ELSE " & prmCheckOffDisp & " END AS CHD_CB_CHK1_DSP," _
	  & " CASE ISNULL(A.CHD_CB_CHK2, " & prmCheckOff & ") WHEN " & prmCheckOn & " THEN " & prmCheckOnDisp & " ELSE " & prmCheckOffDisp & " END AS CHD_CB_CHK2_DSP," _
	  & " CASE ISNULL(A.CHD_CB_CHK3, " & prmCheckOff & ") WHEN " & prmCheckOn & " THEN " & prmCheckOnDisp & " ELSE " & prmCheckOffDisp & " END AS CHD_CB_CHK3_DSP," _
	  & " CASE ISNULL(A.CHD_CB_CHK4, " & prmCheckOff & ") WHEN " & prmCheckOn & " THEN " & prmCheckOnDisp & " ELSE " & prmCheckOffDisp & " END AS CHD_CB_CHK4_DSP," _
	  & " CASE ISNULL(A.CHD_CB_CHK5, " & prmCheckOff & ") WHEN " & prmCheckOn & " THEN " & prmCheckOnDisp & " ELSE " & prmCheckOffDisp & " END AS CHD_CB_CHK5_DSP" _
	  & " FROM MTI_CB_CHILD AS A" _
	  & " LEFT JOIN MTM_CB_GENDER AS B ON A.GENDER_CD = B.GENDER_CD" _
	  & " LEFT JOIN MTM_CB_APGARSCORE AS C ON A.APGARSCORE_1MIN = C.APGARSCORE_CD" _
	  & " LEFT JOIN MTM_CB_APGARSCORE AS D ON A.APGARSCORE_5MIN = D.APGARSCORE_CD" _
	  & " LEFT JOIN MTM_CB_DIV_CNT AS E ON " & prmITEM_CD1 & " = E.ITEM_CD AND A.CB_PTN1 = E.CNT_CD" _
	  & " LEFT JOIN MTM_CB_DIV_CNT AS F ON " & prmITEM_CD2 & " = F.ITEM_CD AND A.CB_PTN2 = F.CNT_CD" _
	  & " LEFT JOIN MTM_CB_DIV_CNT AS G ON " & prmITEM_CD3 & " = G.ITEM_CD AND A.CB_PTN3 = G.CNT_CD" _
	  & " LEFT JOIN MTM_CB_DIV_CNT AS H ON " & prmITEM_CD4 & " = H.ITEM_CD AND A.CB_PTN4 = H.CNT_CD" _
	  & " LEFT JOIN MTM_BLOODTYPE AS I ON A.CHD_BLOODTYPE_CD = I.BLOODTYPE_CD" _
	  & " LEFT JOIN MTM_RH AS J ON A.CHD_RH_CD = J.RH_CD"

	' １科歴分の分娩子情報を取得
	Public Const sqlSelCbChild_Ch As String = sqlSelect_Cb_Child _
	  & " WHERE PATIENT_NO = " & prmPATIENT_NO _
	  & " AND HSP_HISTORY_NO = " & prmHSP_HISTORY_NO _
	  & " AND CH_NO = " & prmCH_NO _
	  & " ORDER BY CB_SERIAL_NO"

	' 分娩子情報１データを取得
	Public Const sqlSelCbChild_OneRec As String = sqlSelect_Cb_Child _
	  & " WHERE PATIENT_NO = " & prmPATIENT_NO _
	  & " AND HSP_HISTORY_NO = " & prmHSP_HISTORY_NO _
	  & " AND CH_NO = " & prmCH_NO _
	  & " AND CB_SERIAL_NO = " & prmCB_SERIAL_NO

	' １科歴分の分娩子情報＋名称を取得
	Public Const sqlSelCbChild_Plus_Ch As String = sqlSelect_Cb_Child_Plus _
	  & " WHERE A.PATIENT_NO = " & prmPATIENT_NO _
	  & " AND A.HSP_HISTORY_NO = " & prmHSP_HISTORY_NO _
	  & " AND A.CH_NO = " & prmCH_NO _
	  & " ORDER BY A.CB_SERIAL_NO"

	' 分娩子情報＋名称１データを取得
	Public Const sqlSelCbChild_Plus_OneRec As String = sqlSelect_Cb_Child_Plus _
	  & " WHERE A.PATIENT_NO = " & prmPATIENT_NO _
	  & " AND A.HSP_HISTORY_NO = " & prmHSP_HISTORY_NO _
	  & " AND A.CH_NO = " & prmCH_NO _
	  & " AND A.CB_SERIAL_NO = " & prmCB_SERIAL_NO

	' １患者分の分娩子情報を削除
	Public Const sqlDelCbChild_Patient As String = _
	 "DELETE FROM MTI_CB_CHILD" _
	  & " WHERE PATIENT_NO = " & prmPATIENT_NO

	' １入退院分の分娩子情報を削除
	Public Const sqlDelCbChild_Hsp As String = _
	 "DELETE FROM MTI_CB_CHILD" _
	  & " WHERE PATIENT_NO = " & prmPATIENT_NO _
	  & " AND HSP_HISTORY_NO = " & prmHSP_HISTORY_NO

	' １科歴分の分娩子情報を削除
	Public Const sqlDelCbChild_Ch As String = _
	 "DELETE FROM MTI_CB_CHILD" _
	  & " WHERE PATIENT_NO = " & prmPATIENT_NO _
	  & " AND HSP_HISTORY_NO = " & prmHSP_HISTORY_NO _
	  & " AND CH_NO = " & prmCH_NO

	' 分娩子情報１データを削除
	Public Const sqlDelCbChild_OneRec As String = _
	 "DELETE FROM MTI_CB_CHILD" _
	  & " WHERE PATIENT_NO = " & prmPATIENT_NO _
	  & " AND HSP_HISTORY_NO = " & prmHSP_HISTORY_NO _
	  & " AND CH_NO = " & prmCH_NO _
	  & " AND CB_SERIAL_NO = " & prmCB_SERIAL_NO

	' 分娩子情報１データを追加
	Public Const sqlInsCbChild_OneRec As String = _
	 "INSERT INTO MTI_CB_CHILD (" _
	  & " PATIENT_NO, HSP_HISTORY_NO, CH_NO, CB_SERIAL_NO," _
	  & " GENDER_CD, NEWBORN_STATURE, NEWBORN_WEIGHT, APGARSCORE_1MIN, APGARSCORE_5MIN," _
	  & " IMMATURE, DEFORMITY, STILLBIRTH, CB_PTN1, CB_PTN2, CB_PTN3, CB_PTN4," _
	  & " NEWBORN_NO, CHD_CB_DT, CHD_CB_TIME, CHD_BLOODTYPE_CD, CHD_RH_CD, CHD_PATIENT_NO, CHD_REMARKS," _
	  & " CHD_CB_CHK1, CHD_CB_CHK2, CHD_CB_CHK3, CHD_CB_CHK4, CHD_CB_CHK5," _
	  & " LASTUPDUSER_CD, LASTUPD_DT" _
	  & ") VALUES (" _
	  & prmPATIENT_NO & "," _
	  & prmHSP_HISTORY_NO & "," _
	  & prmCH_NO & "," _
	  & prmCB_SERIAL_NO & "," _
	  & prmGENDER_CD & "," _
	  & prmNEWBORN_STATURE & "," _
	  & prmNEWBORN_WEIGHT & "," _
	  & prmAPGARSCORE_1MIN & "," _
	  & prmAPGARSCORE_5MIN & "," _
	  & prmIMMATURE & "," _
	  & prmDEFORMITY & "," _
	  & prmSTILLBIRTH & "," _
	  & prmCB_PTN1 & "," _
	  & prmCB_PTN2 & "," _
	  & prmCB_PTN3 & "," _
	  & prmCB_PTN4 & "," _
	  & prmNEWBORN_NO & "," _
	  & prmCHD_CB_DT & "," _
	  & prmCHD_CB_TIME & "," _
	  & prmCHD_BLOODTYPE_CD & "," _
	  & prmCHD_RH_CD & "," _
	  & prmCHD_PATIENT_NO & "," _
	  & prmCHD_REMARKS & "," _
	  & prmCHD_CB_CHK1 & "," _
	  & prmCHD_CB_CHK2 & "," _
	  & prmCHD_CB_CHK3 & "," _
	  & prmCHD_CB_CHK4 & "," _
	  & prmCHD_CB_CHK5 & "," _
	  & prmLASTUPDUSER_CD & "," _
	  & prmLASTUPD_DT & ")"

End Class
