﻿''' ---------------------------------------------
''' <summary>
''' 共通処理_手術情報＿データクラス
''' </summary>
''' <remarks>
''' Copyright 2010 FUJITSU SHIKOKU SYSTEMS LIMITED All rights reserved.<BR/>
''' FUJITSU SHIKOKU SYSTEMS LIMITED CONFIDENTIAL<BR/>
''' </remarks>
''' ---------------------------------------------
Public NotInheritable Class datMTI_OPE_OneRec
	Public PATIENT_NO As String = Nothing						'患者番号
	Public HSP_HISTORY_NO As Integer = Nothing					'入退院歴番号
	Public CH_NO As Integer = Nothing							'科歴番号
	Public OPE_SERIAL_NO As Integer = Nothing					'手術連番
	Public OPE_DIV As String = Nothing							'手術区分コード
	Public OPE_NM As String = Nothing							'手術名
	Public OPE_DT As Date = Nothing								'実施日
	Public OPE_TIME As String = Nothing							'実施時刻
	Public OPE_REQUIRED_TIME As String = Nothing				'手術所要時間
	Public OPE_AGE As Integer = Nothing							'手術時年齢
	Public OPE_MONTH_AGE As Integer = Nothing					'手術時月齢
	Public OPE_DAY_AGE As Integer = Nothing						'手術時日齢
	Public ANESTHESIA_DIV1 As String = Nothing					'麻酔区分コード１
	Public ANESTHESIA_TIME As String = Nothing					'全身麻酔時間
	Public ANESTHESIA_DIV2 As String = Nothing					'麻酔区分コード２
	Public ASST_DIV1 As String = Nothing						'補助区分コード１
	Public ASST_DIV2 As String = Nothing						'補助区分コード２
	Public REMARKS1 As String = Nothing							'備考１
	Public REMARKS2 As Nullable(Of Double) = Nothing			'備考２
	Public SPT_DISEASE_SERIAL_NO As Integer = Nothing			'対応病名連番
	Public ICD9CM_CD As String = Nothing						'ＩＣＤ９ＣＭコード
	Public L_GRP_CD As String = Nothing							'大分類コード
	Public M_GRP_CD As String = Nothing							'中分類コード
	Public DIGS3_GRP_CD As String = Nothing						'３桁分類コード
	Public MNG_DIV As String = Nothing							'管理記号
	Public MNG_NO As Integer = Nothing							'管理番号
	Public OPE_COUNT_CD As String = Nothing						'手術回数コード
	Public OPE_PART_CD As String = Nothing						'手術側数コード
	Public END_DT As Date = Nothing								'終了日
	Public END_TIME As String = Nothing							'終了時刻
	Public SPT_DISEASE_NM As String = Nothing					'病名
	Public SPT_DISEASE_ICD10_CD As String = Nothing				'ＩＣＤ１０コード
	Public SPT_DISEASE_OUTCOME_CD As String = Nothing			'病名転帰コード
	Public SPT_DISEASE_MNG_DIV1 As String = Nothing				'病名管理記号
	Public SPT_DISEASE_MNG_NO As Integer = Nothing				'病名管理番号
	Public SCORE_CD As String = Nothing							'点数表コード
	Public AFTER_OPE_DAYS As Integer = Nothing					'術後日数
	Public AFTER_OPE_CMPC_CHK As String = Nothing				'術後合併症有無コード
	Public HSP_OPE_CD As String = Nothing						'院内手術コード
	Public PRE_OPE_DAYS As Integer = Nothing					'術前日数
	Public PLAN_EMERGENCY_CD As String = Nothing				'緊急区分コード
	Public ASA_PS_GRP_CD As String = Nothing					'ＡＳＡ＿ＰＳコード
	Public TIME_OUT_FLG As Integer = Nothing					'時間外フラグ
	Public BLEEDING_VOLUME As Nullable(Of Integer) = Nothing	'出血量
	Public BLOOD_TRAN_VOLUME As Nullable(Of Integer) = Nothing	'輸血量
	Public DATA_CAPTURE_DT As Date = Nothing					'データ取込日
	Public NEW_REG_DT As Date = Nothing							'新規登録日
	Public LASTUPDUSER_CD As String = Nothing					'更新者コード
	Public LASTUPD_DT As Date = Nothing							'最終更新日

	''' ----------------------------------------
	''' <summary>
	''' オブジェクトコピー
	''' </summary>
	''' <returns>datMTI_OPE_OneRec(手術情報１レコード）</returns>
	''' <remarks>
	''' 2010/11/29 新規作成 CS)中岡<BR/>
	''' </remarks>
	''' ----------------------------------------
	Public Function Copy() As datMTI_OPE_OneRec
		Dim ret As datMTI_OPE_OneRec = New datMTI_OPE_OneRec
		With ret
			.PATIENT_NO = Me.PATIENT_NO
			.HSP_HISTORY_NO = Me.HSP_HISTORY_NO
			.CH_NO = Me.CH_NO
			.OPE_SERIAL_NO = Me.OPE_SERIAL_NO
			.OPE_DIV = Me.OPE_DIV
			.OPE_NM = Me.OPE_NM
			.OPE_DT = Me.OPE_DT
			.OPE_TIME = Me.OPE_TIME
			.OPE_REQUIRED_TIME = Me.OPE_REQUIRED_TIME
			.OPE_AGE = Me.OPE_AGE
			.OPE_MONTH_AGE = Me.OPE_MONTH_AGE
			.OPE_DAY_AGE = Me.OPE_DAY_AGE
			.ANESTHESIA_DIV1 = Me.ANESTHESIA_DIV1
			.ANESTHESIA_TIME = Me.ANESTHESIA_TIME
			.ANESTHESIA_DIV2 = Me.ANESTHESIA_DIV2
			.ASST_DIV1 = Me.ASST_DIV1
			.ASST_DIV2 = Me.ASST_DIV2
			.REMARKS1 = Me.REMARKS1
			.REMARKS2 = Me.REMARKS2
			.SPT_DISEASE_SERIAL_NO = Me.SPT_DISEASE_SERIAL_NO
			.ICD9CM_CD = Me.ICD9CM_CD
			.L_GRP_CD = Me.L_GRP_CD
			.M_GRP_CD = Me.M_GRP_CD
			.DIGS3_GRP_CD = Me.DIGS3_GRP_CD
			.MNG_DIV = Me.MNG_DIV
			.MNG_NO = Me.MNG_NO
			.OPE_COUNT_CD = Me.OPE_COUNT_CD
			.OPE_PART_CD = Me.OPE_PART_CD
			.END_DT = Me.END_DT
			.END_TIME = Me.END_TIME
			.SPT_DISEASE_NM = Me.SPT_DISEASE_NM
			.SPT_DISEASE_ICD10_CD = Me.SPT_DISEASE_ICD10_CD
			.SPT_DISEASE_OUTCOME_CD = Me.SPT_DISEASE_OUTCOME_CD
			.SPT_DISEASE_MNG_DIV1 = Me.SPT_DISEASE_MNG_DIV1
			.SPT_DISEASE_MNG_NO = Me.SPT_DISEASE_MNG_NO
			.SCORE_CD = Me.SCORE_CD
			.AFTER_OPE_DAYS = Me.AFTER_OPE_DAYS
			.AFTER_OPE_CMPC_CHK = Me.AFTER_OPE_CMPC_CHK
			.HSP_OPE_CD = Me.HSP_OPE_CD
			.PRE_OPE_DAYS = Me.PRE_OPE_DAYS
			.PLAN_EMERGENCY_CD = Me.PLAN_EMERGENCY_CD
			.ASA_PS_GRP_CD = Me.ASA_PS_GRP_CD
			.TIME_OUT_FLG = Me.TIME_OUT_FLG
			.BLEEDING_VOLUME = Me.BLEEDING_VOLUME
			.BLOOD_TRAN_VOLUME = Me.BLOOD_TRAN_VOLUME
			.DATA_CAPTURE_DT = Me.DATA_CAPTURE_DT
			.NEW_REG_DT = Me.NEW_REG_DT
			.LASTUPDUSER_CD = Me.LASTUPDUSER_CD
			.LASTUPD_DT = Me.LASTUPD_DT
		End With
		Return ret
	End Function
End Class

''' ---------------------------------------------
''' <summary>
''' 共通処理_手術情報＋名称＿データクラス
''' </summary>
''' ---------------------------------------------
Public NotInheritable Class datMTI_OPE_PLUS_OneRec
	' 手術情報
	Public PATIENT_NO As String = Nothing						'患者番号
	Public HSP_HISTORY_NO As Integer = Nothing					'入退院歴番号
	Public CH_NO As Integer = Nothing							'科歴番号
	Public OPE_SERIAL_NO As Integer = Nothing					'手術連番
	Public OPE_DIV As String = Nothing							'手術区分コード
	Public OPE_NM As String = Nothing							'手術名
	Public OPE_DT As Date = Nothing								'実施日
	Public OPE_TIME As String = Nothing							'実施時刻
	Public OPE_REQUIRED_TIME As String = Nothing				'手術所要時間
	Public OPE_AGE As Integer = Nothing							'手術時年齢
	Public OPE_MONTH_AGE As Integer = Nothing					'手術時月齢
	Public OPE_DAY_AGE As Integer = Nothing						'手術時日齢
	Public ANESTHESIA_DIV1 As String = Nothing					'麻酔区分コード１
	Public ANESTHESIA_TIME As String = Nothing					'全身麻酔時間
	Public ANESTHESIA_DIV2 As String = Nothing					'麻酔区分コード２
	Public ASST_DIV1 As String = Nothing						'補助区分コード１
	Public ASST_DIV2 As String = Nothing						'補助区分コード２
	Public REMARKS1 As String = Nothing							'備考１
	Public REMARKS2 As Nullable(Of Double) = Nothing			'備考２
	Public SPT_DISEASE_SERIAL_NO As Integer = Nothing			'対応病名連番
	Public ICD9CM_CD As String = Nothing						'ＩＣＤ９ＣＭコード
	Public L_GRP_CD As String = Nothing							'大分類コード
	Public M_GRP_CD As String = Nothing							'中分類コード
	Public DIGS3_GRP_CD As String = Nothing						'３桁分類コード
	Public MNG_DIV As String = Nothing							'管理記号
	Public MNG_NO As Integer = Nothing							'管理番号
	Public OPE_COUNT_CD As String = Nothing						'手術回数コード
	Public OPE_PART_CD As String = Nothing						'手術側数コード
	Public END_DT As Date = Nothing								'終了日
	Public END_TIME As String = Nothing							'終了時刻
	Public SPT_DISEASE_NM As String = Nothing					'病名
	Public SPT_DISEASE_ICD10_CD As String = Nothing				'ＩＣＤ１０コード
	Public SPT_DISEASE_OUTCOME_CD As String = Nothing			'病名転帰コード
	Public SPT_DISEASE_MNG_DIV1 As String = Nothing				'病名管理記号
	Public SPT_DISEASE_MNG_NO As Integer = Nothing				'病名管理番号
	Public SCORE_CD As String = Nothing							'点数表コード
	Public AFTER_OPE_DAYS As Integer = Nothing					'術後日数
	Public AFTER_OPE_CMPC_CHK As String = Nothing				'術後合併症有無コード
	Public HSP_OPE_CD As String = Nothing						'院内手術コード
	Public PRE_OPE_DAYS As Integer = Nothing					'術前日数
	Public PLAN_EMERGENCY_CD As String = Nothing				'緊急区分コード
	Public ASA_PS_GRP_CD As String = Nothing					'ＡＳＡ＿ＰＳコード
	Public TIME_OUT_FLG As Integer = Nothing					'時間外フラグ
	Public BLEEDING_VOLUME As Nullable(Of Integer) = Nothing	'出血量
	Public BLOOD_TRAN_VOLUME As Nullable(Of Integer) = Nothing	'輸血量
	Public DATA_CAPTURE_DT As Date = Nothing					'データ取込日
	Public NEW_REG_DT As Date = Nothing							'新規登録日
	Public LASTUPDUSER_CD As String = Nothing					'更新者コード
	Public LASTUPD_DT As Date = Nothing							'最終更新日
	' 手術区分マスタ
	Public OPE_DIV_NM As String = Nothing						'手術区分名
	Public OPE_DIV_RNM As String = Nothing						'手術区分略称名
	Public OPE_DIV_FIXED_CD As String = Nothing					'固定コード
	Public OPE_DIV_DSPORDER As Nullable(Of Integer) = Nothing	'表示順
	' 麻酔マスタ
	Public ANESTHESIA_NM As String = Nothing					'麻酔名
	Public ANESTHESIA_RNM As String = Nothing					'麻酔略称名
	' 麻酔マスタ
	Public ANESTHESIA_NM2 As String = Nothing					'麻酔名２
	Public ANESTHESIA_RNM2 As String = Nothing					'麻酔略称名２
	' 手術回数マスタ
	Public OPE_COUNT As String = Nothing						'手術回数
	' 手術側数マスタ
	Public OPE_PART As String = Nothing							'手術側数

	''' ----------------------------------------
	''' <summary>
	''' オブジェクトコピー
	''' </summary>
	''' <returns>datMTI_OPE_PLUS_OneRec(手術情報＋名称１レコード）</returns>
	''' <remarks>
	''' 2010/12/24 新規作成 CS)溝渕<BR/>
	''' </remarks>
	''' ----------------------------------------
	Public Function Copy() As datMTI_OPE_PLUS_OneRec
		Dim ret As datMTI_OPE_PLUS_OneRec = New datMTI_OPE_PLUS_OneRec
		With ret
			.PATIENT_NO = Me.PATIENT_NO
			.HSP_HISTORY_NO = Me.HSP_HISTORY_NO
			.CH_NO = Me.CH_NO
			.OPE_SERIAL_NO = Me.OPE_SERIAL_NO
			.OPE_DIV = Me.OPE_DIV
			.OPE_NM = Me.OPE_NM
			.OPE_DT = Me.OPE_DT
			.OPE_TIME = Me.OPE_TIME
			.OPE_REQUIRED_TIME = Me.OPE_REQUIRED_TIME
			.OPE_AGE = Me.OPE_AGE
			.OPE_MONTH_AGE = Me.OPE_MONTH_AGE
			.OPE_DAY_AGE = Me.OPE_DAY_AGE
			.ANESTHESIA_DIV1 = Me.ANESTHESIA_DIV1
			.ANESTHESIA_TIME = Me.ANESTHESIA_TIME
			.ANESTHESIA_DIV2 = Me.ANESTHESIA_DIV2
			.ASST_DIV1 = Me.ASST_DIV1
			.ASST_DIV2 = Me.ASST_DIV2
			.REMARKS1 = Me.REMARKS1
			.REMARKS2 = Me.REMARKS2
			.SPT_DISEASE_SERIAL_NO = Me.SPT_DISEASE_SERIAL_NO
			.ICD9CM_CD = Me.ICD9CM_CD
			.L_GRP_CD = Me.L_GRP_CD
			.M_GRP_CD = Me.M_GRP_CD
			.DIGS3_GRP_CD = Me.DIGS3_GRP_CD
			.MNG_DIV = Me.MNG_DIV
			.MNG_NO = Me.MNG_NO
			.OPE_COUNT_CD = Me.OPE_COUNT_CD
			.OPE_PART_CD = Me.OPE_PART_CD
			.END_DT = Me.END_DT
			.END_TIME = Me.END_TIME
			.SPT_DISEASE_NM = Me.SPT_DISEASE_NM
			.SPT_DISEASE_ICD10_CD = Me.SPT_DISEASE_ICD10_CD
			.SPT_DISEASE_OUTCOME_CD = Me.SPT_DISEASE_OUTCOME_CD
			.SPT_DISEASE_MNG_DIV1 = Me.SPT_DISEASE_MNG_DIV1
			.SPT_DISEASE_MNG_NO = Me.SPT_DISEASE_MNG_NO
			.SCORE_CD = Me.SCORE_CD
			.AFTER_OPE_DAYS = Me.AFTER_OPE_DAYS
			.AFTER_OPE_CMPC_CHK = Me.AFTER_OPE_CMPC_CHK
			.HSP_OPE_CD = Me.HSP_OPE_CD
			.PRE_OPE_DAYS = Me.PRE_OPE_DAYS
			.PLAN_EMERGENCY_CD = Me.PLAN_EMERGENCY_CD
			.ASA_PS_GRP_CD = Me.ASA_PS_GRP_CD
			.TIME_OUT_FLG = Me.TIME_OUT_FLG
			.BLEEDING_VOLUME = Me.BLEEDING_VOLUME
			.BLOOD_TRAN_VOLUME = Me.BLOOD_TRAN_VOLUME
			.DATA_CAPTURE_DT = Me.DATA_CAPTURE_DT
			.NEW_REG_DT = Me.NEW_REG_DT
			.LASTUPDUSER_CD = Me.LASTUPDUSER_CD
			.LASTUPD_DT = Me.LASTUPD_DT

			.OPE_DIV_NM = Me.OPE_DIV_NM
			.OPE_DIV_RNM = Me.OPE_DIV_RNM
			.OPE_DIV_FIXED_CD = Me.OPE_DIV_FIXED_CD
			.OPE_DIV_DSPORDER = Me.OPE_DIV_DSPORDER
			.ANESTHESIA_NM = Me.ANESTHESIA_NM
			.ANESTHESIA_RNM = Me.ANESTHESIA_RNM
			.ANESTHESIA_NM2 = Me.ANESTHESIA_NM2
			.ANESTHESIA_RNM2 = Me.ANESTHESIA_RNM2
			.OPE_COUNT = Me.OPE_COUNT
			.OPE_PART = Me.OPE_PART
		End With
		Return ret
	End Function

	''' ----------------------------------------
	''' <summary>
	''' オブジェクトコピー（手術情報）
	''' </summary>
	''' <returns>datMTI_OPE_OneRec(手術情報１レコード）</returns>
	''' <remarks>
	''' 2010/12/24 新規作成 CS)溝渕<BR/>
	''' </remarks>
	''' ----------------------------------------
	Public Function OrgCopy() As datMTI_OPE_OneRec
		Dim ret As datMTI_OPE_OneRec = New datMTI_OPE_OneRec
		With ret
			.PATIENT_NO = Me.PATIENT_NO
			.HSP_HISTORY_NO = Me.HSP_HISTORY_NO
			.CH_NO = Me.CH_NO
			.OPE_SERIAL_NO = Me.OPE_SERIAL_NO
			.OPE_DIV = Me.OPE_DIV
			.OPE_NM = Me.OPE_NM
			.OPE_DT = Me.OPE_DT
			.OPE_TIME = Me.OPE_TIME
			.OPE_REQUIRED_TIME = Me.OPE_REQUIRED_TIME
			.OPE_AGE = Me.OPE_AGE
			.OPE_MONTH_AGE = Me.OPE_MONTH_AGE
			.OPE_DAY_AGE = Me.OPE_DAY_AGE
			.ANESTHESIA_DIV1 = Me.ANESTHESIA_DIV1
			.ANESTHESIA_TIME = Me.ANESTHESIA_TIME
			.ANESTHESIA_DIV2 = Me.ANESTHESIA_DIV2
			.ASST_DIV1 = Me.ASST_DIV1
			.ASST_DIV2 = Me.ASST_DIV2
			.REMARKS1 = Me.REMARKS1
			.REMARKS2 = Me.REMARKS2
			.SPT_DISEASE_SERIAL_NO = Me.SPT_DISEASE_SERIAL_NO
			.ICD9CM_CD = Me.ICD9CM_CD
			.L_GRP_CD = Me.L_GRP_CD
			.M_GRP_CD = Me.M_GRP_CD
			.DIGS3_GRP_CD = Me.DIGS3_GRP_CD
			.MNG_DIV = Me.MNG_DIV
			.MNG_NO = Me.MNG_NO
			.OPE_COUNT_CD = Me.OPE_COUNT_CD
			.OPE_PART_CD = Me.OPE_PART_CD
			.END_DT = Me.END_DT
			.END_TIME = Me.END_TIME
			.SPT_DISEASE_NM = Me.SPT_DISEASE_NM
			.SPT_DISEASE_ICD10_CD = Me.SPT_DISEASE_ICD10_CD
			.SPT_DISEASE_OUTCOME_CD = Me.SPT_DISEASE_OUTCOME_CD
			.SPT_DISEASE_MNG_DIV1 = Me.SPT_DISEASE_MNG_DIV1
			.SPT_DISEASE_MNG_NO = Me.SPT_DISEASE_MNG_NO
			.SCORE_CD = Me.SCORE_CD
			.AFTER_OPE_DAYS = Me.AFTER_OPE_DAYS
			.AFTER_OPE_CMPC_CHK = Me.AFTER_OPE_CMPC_CHK
			.HSP_OPE_CD = Me.HSP_OPE_CD
			.PRE_OPE_DAYS = Me.PRE_OPE_DAYS
			.PLAN_EMERGENCY_CD = Me.PLAN_EMERGENCY_CD
			.ASA_PS_GRP_CD = Me.ASA_PS_GRP_CD
			.TIME_OUT_FLG = Me.TIME_OUT_FLG
			.BLEEDING_VOLUME = Me.BLEEDING_VOLUME
			.BLOOD_TRAN_VOLUME = Me.BLOOD_TRAN_VOLUME
			.DATA_CAPTURE_DT = Me.DATA_CAPTURE_DT
			.NEW_REG_DT = Me.NEW_REG_DT
			.LASTUPDUSER_CD = Me.LASTUPDUSER_CD
			.LASTUPD_DT = Me.LASTUPD_DT
		End With
		Return ret
	End Function
End Class

'''---------------------------------------------
''' <summary>
''' 手術情報＿戻り値クラス
''' </summary>
'''---------------------------------------------
Public NotInheritable Class datMTI_OPE_Return
	Public OpePlusRec As datMTI_OPE_PLUS_OneRec				'手術情報＋名称
	Public OpeDoctorArray As ArrayList						'手術医師情報

	''' ---------------------------------------------
	''' <summary>
	''' コンストラクタ
	''' </summary>
	''' <remarks>
	''' 2010/12/13 新規作成　CS)溝渕<BR/>
	''' </remarks>
	''' ---------------------------------------------
	Public Sub New()
		OpePlusRec = New datMTI_OPE_PLUS_OneRec
		OpeDoctorArray = New ArrayList
	End Sub
End Class

''' ---------------------------------------------
''' <summary>
''' 手術情報取得SQLクラス（共通クラス）
''' </summary>
''' ---------------------------------------------
Public Class sqlMTI_OPE
	Public Const prmPATIENT_NO As String = "@PATIENT_NO"							'患者番号
	Public Const prmHSP_HISTORY_NO As String = "@HSP_HISTORY_NO"					'入退院歴番号
	Public Const prmCH_NO As String = "@CH_NO"										'科歴番号
	Public Const prmOPE_SERIAL_NO As String = "@OPE_SERIAL_NO"						'手術連番
	Public Const prmOPE_DIV As String = "@OPE_DIV"									'手術区分コード
	Public Const prmOPE_NM As String = "@OPE_NM"									'手術名
	Public Const prmOPE_DT As String = "@OPE_DT"									'実施日
	Public Const prmOPE_TIME As String = "@OPE_TIME"								'実施時刻
	Public Const prmOPE_REQUIRED_TIME As String = "@OPE_REQUIRED_TIME"				'手術所要時間
	Public Const prmOPE_AGE As String = "@OPE_AGE"									'手術時年齢
	Public Const prmOPE_MONTH_AGE As String = "@OPE_MONTH_AGE"						'手術時月齢
	Public Const prmOPE_DAY_AGE As String = "@OPE_DAY_AGE"							'手術時日齢
	Public Const prmANESTHESIA_DIV1 As String = "@ANESTHESIA_DIV1"					'麻酔区分コード１
	Public Const prmANESTHESIA_TIME As String = "@ANESTHESIA_TIME"					'全身麻酔時間
	Public Const prmANESTHESIA_DIV2 As String = "@ANESTHESIA_DIV2"					'麻酔区分コード２
	Public Const prmASST_DIV1 As String = "@ASST_DIV1"								'補助区分コード１
	Public Const prmASST_DIV2 As String = "@ASST_DIV2"								'補助区分コード２
	Public Const prmREMARKS1 As String = "@REMARKS1"								'備考１
	Public Const prmREMARKS2 As String = "@REMARKS2"								'備考２
	Public Const prmSPT_DISEASE_SERIAL_NO As String = "@SPT_DISEASE_SERIAL_NO"		'対応病名連番
	Public Const prmICD9CM_CD As String = "@ICD9CM_CD"								'ＩＣＤ９ＣＭコード
	Public Const prmL_GRP_CD As String = "@L_GRP_CD"								'大分類コード
	Public Const prmM_GRP_CD As String = "@M_GRP_CD"								'中分類コード
	Public Const prmDIGS3_GRP_CD As String = "@DIGS3_GRP_CD"						'３桁分類コード
	Public Const prmMNG_DIV As String = "@MNG_DIV"									'管理記号
	Public Const prmMNG_NO As String = "@MNG_NO"									'管理番号
	Public Const prmOPE_COUNT_CD As String = "@OPE_COUNT_CD"						'手術回数コード
	Public Const prmOPE_PART_CD As String = "@OPE_PART_CD"							'手術側数コード
	Public Const prmEND_DT As String = "@END_DT"									'終了日
	Public Const prmEND_TIME As String = "@END_TIME"								'終了時刻
	Public Const prmSPT_DISEASE_NM As String = "@SPT_DISEASE_NM"					'病名
	Public Const prmSPT_DISEASE_ICD10_CD As String = "@SPT_DISEASE_ICD10_CD"		'ＩＣＤ１０コード
	Public Const prmSPT_DISEASE_OUTCOME_CD As String = "@SPT_DISEASE_OUTCOME_CD"	'病名転帰コード
	Public Const prmSPT_DISEASE_MNG_DIV1 As String = "@SPT_DISEASE_MNG_DIV1"		'病名管理記号
	Public Const prmSPT_DISEASE_MNG_NO As String = "@SPT_DISEASE_MNG_NO"			'病名管理番号
	Public Const prmSCORE_CD As String = "@SCORE_CD"								'点数表コード
	Public Const prmAFTER_OPE_DAYS As String = "@AFTER_OPE_DAYS"					'術後日数
	Public Const prmAFTER_OPE_CMPC_CHK As String = "@AFTER_OPE_CMPC_CHK"			'術後合併症有無コード
	Public Const prmHSP_OPE_CD As String = "@HSP_OPE_CD"							'院内手術コード
	Public Const prmPRE_OPE_DAYS As String = "@PRE_OPE_DAYS"						'術前日数
	Public Const prmPLAN_EMERGENCY_CD As String = "@PLAN_EMERGENCY_CD"				'緊急区分コード
	Public Const prmASA_PS_GRP_CD As String = "@ASA_PS_GRP_CD"						'ＡＳＡ＿ＰＳコード
	Public Const prmTIME_OUT_FLG As String = "@TIME_OUT_FLG"						'時間外フラグ
	Public Const prmBLEEDING_VOLUME As String = "@BLEEDING_VOLUME"					'出血量
	Public Const prmBLOOD_TRAN_VOLUME As String = "@BLOOD_TRAN_VOLUME"				'輸血量
	Public Const prmDATA_CAPTURE_DT As String = "@DATA_CAPTURE_DT"					'データ取込日
	Public Const prmNEW_REG_DT As String = "@NEW_REG_DT"							'新規登録日
	Public Const prmLASTUPDUSER_CD As String = "@LASTUPDUSER_CD"					'更新者コード
	Public Const prmLASTUPD_DT As String = "@LASTUPD_DT"							'最終更新日

	Public Const itmPATIENT_NO As String = "PATIENT_NO"								'患者番号
	Public Const itmHSP_HISTORY_NO As String = "HSP_HISTORY_NO"						'入退院歴番号
	Public Const itmCH_NO As String = "CH_NO"										'科歴番号
	Public Const itmOPE_SERIAL_NO As String = "OPE_SERIAL_NO"						'手術連番
	Public Const itmOPE_DIV As String = "OPE_DIV"									'手術区分コード
	Public Const itmOPE_NM As String = "OPE_NM"										'手術名
	Public Const itmOPE_DT As String = "OPE_DT"										'実施日
	Public Const itmOPE_TIME As String = "OPE_TIME"									'実施時刻
	Public Const itmOPE_REQUIRED_TIME As String = "OPE_REQUIRED_TIME"				'手術所要時間
	Public Const itmOPE_AGE As String = "OPE_AGE"									'手術時年齢
	Public Const itmOPE_MONTH_AGE As String = "OPE_MONTH_AGE"						'手術時月齢
	Public Const itmOPE_DAY_AGE As String = "OPE_DAY_AGE"							'手術時日齢
	Public Const itmANESTHESIA_DIV1 As String = "ANESTHESIA_DIV1"					'麻酔区分コード１
	Public Const itmANESTHESIA_TIME As String = "ANESTHESIA_TIME"					'全身麻酔時間
	Public Const itmANESTHESIA_DIV2 As String = "ANESTHESIA_DIV2"					'麻酔区分コード２
	Public Const itmASST_DIV1 As String = "ASST_DIV1"								'補助区分コード１
	Public Const itmASST_DIV2 As String = "ASST_DIV2"								'補助区分コード２
	Public Const itmREMARKS1 As String = "REMARKS1"									'備考１
	Public Const itmREMARKS2 As String = "REMARKS2"									'備考２
	Public Const itmSPT_DISEASE_SERIAL_NO As String = "SPT_DISEASE_SERIAL_NO"		'対応病名連番
	Public Const itmICD9CM_CD As String = "ICD9CM_CD"								'ＩＣＤ９ＣＭコード
	Public Const itmL_GRP_CD As String = "L_GRP_CD"									'大分類コード
	Public Const itmM_GRP_CD As String = "M_GRP_CD"									'中分類コード
	Public Const itmDIGS3_GRP_CD As String = "DIGS3_GRP_CD"							'３桁分類コード
	Public Const itmMNG_DIV As String = "MNG_DIV"									'管理記号
	Public Const itmMNG_NO As String = "MNG_NO"										'管理番号
	Public Const itmOPE_COUNT_CD As String = "OPE_COUNT_CD"							'手術回数コード
	Public Const itmOPE_PART_CD As String = "OPE_PART_CD"							'手術側数コード
	Public Const itmEND_DT As String = "END_DT"										'終了日
	Public Const itmEND_TIME As String = "END_TIME"									'終了時刻
	Public Const itmSPT_DISEASE_NM As String = "SPT_DISEASE_NM"						'病名
	Public Const itmSPT_DISEASE_ICD10_CD As String = "SPT_DISEASE_ICD10_CD"			'ＩＣＤ１０コード
	Public Const itmSPT_DISEASE_OUTCOME_CD As String = "SPT_DISEASE_OUTCOME_CD"		'病名転帰コード
	Public Const itmSPT_DISEASE_MNG_DIV1 As String = "SPT_DISEASE_MNG_DIV1"			'病名管理記号
	Public Const itmSPT_DISEASE_MNG_NO As String = "SPT_DISEASE_MNG_NO"				'病名管理番号
	Public Const itmSCORE_CD As String = "SCORE_CD"									'点数表コード
	Public Const itmAFTER_OPE_DAYS As String = "AFTER_OPE_DAYS"						'術後日数
	Public Const itmAFTER_OPE_CMPC_CHK As String = "AFTER_OPE_CMPC_CHK"				'術後合併症有無コード
	Public Const itmHSP_OPE_CD As String = "HSP_OPE_CD"								'院内手術コード
	Public Const itmPRE_OPE_DAYS As String = "PRE_OPE_DAYS"							'術前日数
	Public Const itmPLAN_EMERGENCY_CD As String = "PLAN_EMERGENCY_CD"				'緊急区分コード
	Public Const itmASA_PS_GRP_CD As String = "ASA_PS_GRP_CD"						'ＡＳＡ＿ＰＳコード
	Public Const itmTIME_OUT_FLG As String = "TIME_OUT_FLG"							'時間外フラグ
	Public Const itmBLEEDING_VOLUME As String = "BLEEDING_VOLUME"					'出血量
	Public Const itmBLOOD_TRAN_VOLUME As String = "BLOOD_TRAN_VOLUME"				'輸血量
	Public Const itmDATA_CAPTURE_DT As String = "DATA_CAPTURE_DT"					'データ取込日
	Public Const itmNEW_REG_DT As String = "NEW_REG_DT"								'新規登録日
	Public Const itmLASTUPDUSER_CD As String = "LASTUPDUSER_CD"						'更新者コード
	Public Const itmLASTUPD_DT As String = "LASTUPD_DT"								'最終更新日

	Public Const itmOPE_DIV_NM As String = "OPE_DIV_NM"								'手術区分名
	Public Const itmOPE_DIV_RNM As String = "OPE_DIV_RNM"							'手術区分略称名
	Public Const itmOPE_DIV_FIXED_CD As String = "OPE_DIV_FIXED_CD"					'固定コード
	Public Const itmOPE_DIV_DSPORDER As String = "OPE_DIV_DSPORDER"					'表示順
	Public Const itmANESTHESIA_NM As String = "ANESTHESIA_NM"						'麻酔名
	Public Const itmANESTHESIA_RNM As String = "ANESTHESIA_RNM"						'麻酔略称名
	Public Const itmANESTHESIA_NM2 As String = "ANESTHESIA_NM2"						'麻酔名２
	Public Const itmANESTHESIA_RNM2 As String = "ANESTHESIA_RNM2"					'麻酔略称名２
	Public Const itmOPE_COUNT As String = "OPE_COUNT"								'手術回数
	Public Const itmOPE_PART As String = "OPE_PART"									'手術側数

	' 追加条件
	Public Const strORDER_BY As String = "/* ORDER_BY */"		'追加ORDER BY句の文字列

	' 標準のORDER BY句
	Public Const sqlOrder_By_Default As String = _
	 "A.OPE_SERIAL_NO"

	' ソートなしのORDER BY句
	Public Const sqlOrder_By_NoSort As String = _
	 "A.OPE_SERIAL_NO"

	' ソートありのORDER BY句（実施日順・区分順）
	Public Const sqlOrder_By_Sort As String = _
	 "A.OPE_DT, B.DSPORDER, A.OPE_DIV, A.OPE_SERIAL_NO"

	' ソートありのORDER BY句（区分順・実施日順）
	Public Const sqlOrder_By_SortDivDt As String = _
	 "B.DSPORDER, A.OPE_DIV, A.OPE_DT, A.OPE_SERIAL_NO"

	' 手術情報取得用SQLのSELECT句
	Public Const sqlSelect_Ope As String = _
	 "SELECT" _
	  & " A.PATIENT_NO, A.HSP_HISTORY_NO, A.CH_NO, A.OPE_SERIAL_NO," _
	  & " A.OPE_DIV, A.OPE_NM, A.OPE_DT, A.OPE_TIME, A.OPE_REQUIRED_TIME, A.OPE_AGE, A.OPE_MONTH_AGE, A.OPE_DAY_AGE," _
	  & " A.ANESTHESIA_DIV1, A.ANESTHESIA_TIME, A.ANESTHESIA_DIV2, A.ASST_DIV1, A.ASST_DIV2, A.REMARKS1, A.REMARKS2," _
	  & " A.SPT_DISEASE_SERIAL_NO, A.ICD9CM_CD, A.L_GRP_CD, A.M_GRP_CD, A.DIGS3_GRP_CD, A.MNG_DIV, A.MNG_NO," _
	  & " A.OPE_COUNT_CD, A.OPE_PART_CD, A.END_DT, A.END_TIME," _
	  & " A.SPT_DISEASE_NM, A.SPT_DISEASE_ICD10_CD, A.SPT_DISEASE_OUTCOME_CD, A.SPT_DISEASE_MNG_DIV1, A.SPT_DISEASE_MNG_NO," _
	  & " A.SCORE_CD, A.AFTER_OPE_DAYS, A.AFTER_OPE_CMPC_CHK, A.HSP_OPE_CD, A.PRE_OPE_DAYS, A.PLAN_EMERGENCY_CD," _
	  & " A.ASA_PS_GRP_CD, A.TIME_OUT_FLG, A.BLEEDING_VOLUME, A.BLOOD_TRAN_VOLUME," _
	  & " A.DATA_CAPTURE_DT, A.NEW_REG_DT, A.LASTUPDUSER_CD, A.LASTUPD_DT" _
	  & " FROM MTI_OPE AS A" _
	  & " LEFT JOIN MTM_OPE_DIV AS B ON A.OPE_DIV = B.OPE_DIV_CD"

	' 手術情報＋名称取得用SQLのSELECT句
	Public Const sqlSelect_Ope_Plus As String = _
	 "SELECT" _
	  & " A.PATIENT_NO, A.HSP_HISTORY_NO, A.CH_NO, A.OPE_SERIAL_NO," _
	  & " A.OPE_DIV, A.OPE_NM, A.OPE_DT, A.OPE_TIME, A.OPE_REQUIRED_TIME, A.OPE_AGE, A.OPE_MONTH_AGE, A.OPE_DAY_AGE," _
	  & " A.ANESTHESIA_DIV1, A.ANESTHESIA_TIME, A.ANESTHESIA_DIV2, A.ASST_DIV1, A.ASST_DIV2, A.REMARKS1, A.REMARKS2," _
	  & " A.SPT_DISEASE_SERIAL_NO, A.ICD9CM_CD, A.L_GRP_CD, A.M_GRP_CD, A.DIGS3_GRP_CD, A.MNG_DIV, A.MNG_NO," _
	  & " A.OPE_COUNT_CD, A.OPE_PART_CD, A.END_DT, A.END_TIME," _
	  & " A.SPT_DISEASE_NM, A.SPT_DISEASE_ICD10_CD, A.SPT_DISEASE_OUTCOME_CD, A.SPT_DISEASE_MNG_DIV1, A.SPT_DISEASE_MNG_NO," _
	  & " A.SCORE_CD, A.AFTER_OPE_DAYS, A.AFTER_OPE_CMPC_CHK, A.HSP_OPE_CD, A.PRE_OPE_DAYS, A.PLAN_EMERGENCY_CD," _
	  & " A.ASA_PS_GRP_CD, A.TIME_OUT_FLG, A.BLEEDING_VOLUME, A.BLOOD_TRAN_VOLUME," _
	  & " A.DATA_CAPTURE_DT, A.NEW_REG_DT, A.LASTUPDUSER_CD, A.LASTUPD_DT," _
	  & " B.OPE_DIV_NM, B.OPE_DIV_RNM, B.FIXED_CD AS OPE_DIV_FIXED_CD, B.DSPORDER AS OPE_DIV_DSPORDER," _
	  & " C.ANESTHESIA_NM, C.ANESTHESIA_RNM," _
	  & " D.ANESTHESIA_NM AS ANESTHESIA_NM2, D.ANESTHESIA_RNM AS ANESTHESIA_RNM2," _
	  & " E.OPE_COUNT," _
	  & " F.OPE_PART" _
	  & " FROM MTI_OPE AS A" _
	  & " LEFT JOIN MTM_OPE_DIV AS B ON A.OPE_DIV = B.OPE_DIV_CD" _
	  & " LEFT JOIN MTM_ANESTHESIA AS C ON A.ANESTHESIA_DIV1 = C.ANESTHESIA_CD" _
	  & " LEFT JOIN MTM_ANESTHESIA AS D ON A.ANESTHESIA_DIV2 = D.ANESTHESIA_CD" _
	  & " LEFT JOIN MTM_OPE_CNT AS E ON A.OPE_COUNT_CD = E.OPE_COUNT_CD" _
	  & " LEFT JOIN MTM_OPE_PART_CNT AS F ON A.OPE_PART_CD = F.OPE_PART_CD"

	' １患者分の手術情報を取得
	Public Const sqlSelOpe_Patient As String = sqlSelect_Ope _
	  & " WHERE A.PATIENT_NO = " & prmPATIENT_NO _
	  & " ORDER BY A.HSP_HISTORY_NO DESC, A.CH_NO DESC, " & strORDER_BY

	' １入退院分の手術情報を取得
	Public Const sqlSelOpe_Hsp As String = sqlSelect_Ope _
	  & " WHERE A.PATIENT_NO = " & prmPATIENT_NO _
	  & " AND A.HSP_HISTORY_NO = " & prmHSP_HISTORY_NO _
	  & " ORDER BY A.CH_NO DESC, " & strORDER_BY

	' １科歴分の手術情報を取得
	Public Const sqlSelOpe_Ch As String = sqlSelect_Ope _
	  & " WHERE A.PATIENT_NO = " & prmPATIENT_NO _
	  & " AND A.HSP_HISTORY_NO = " & prmHSP_HISTORY_NO _
	  & " AND A.CH_NO = " & prmCH_NO _
	  & " ORDER BY " & strORDER_BY

	' 手術情報１データを取得
	Public Const sqlSelOpe_OneRec As String = sqlSelect_Ope _
	  & " WHERE A.PATIENT_NO = " & prmPATIENT_NO _
	  & " AND A.HSP_HISTORY_NO = " & prmHSP_HISTORY_NO _
	  & " AND A.CH_NO = " & prmCH_NO _
	  & " AND A.OPE_SERIAL_NO = " & prmOPE_SERIAL_NO

	'１患者分の手術情報＋名称を取得
	Public Const sqlSelOpe_Plus_Patient As String = sqlSelect_Ope_Plus _
	  & " WHERE A.PATIENT_NO = " & prmPATIENT_NO _
	  & " ORDER BY A.HSP_HISTORY_NO DESC, A.CH_NO DESC, " & strORDER_BY

	' １入退院分の手術情報＋名称を取得
	Public Const sqlSelOpe_Plus_Hsp As String = sqlSelect_Ope_Plus _
	  & " WHERE A.PATIENT_NO = " & prmPATIENT_NO _
	  & " AND A.HSP_HISTORY_NO = " & prmHSP_HISTORY_NO _
	  & " ORDER BY A.CH_NO DESC, " & strORDER_BY

	' １科歴分の手術情報＋名称を取得
	Public Const sqlSelOpe_Plus_Ch As String = sqlSelect_Ope_Plus _
	  & " WHERE A.PATIENT_NO = " & prmPATIENT_NO _
	  & " AND A.HSP_HISTORY_NO = " & prmHSP_HISTORY_NO _
	  & " AND A.CH_NO = " & prmCH_NO _
	  & " ORDER BY " & strORDER_BY

	' 手術情報＋名称１データを取得
	Public Const sqlSelOpe_Plus_OneRec As String = sqlSelect_Ope_Plus _
	  & " WHERE A.PATIENT_NO = " & prmPATIENT_NO _
	  & " AND A.HSP_HISTORY_NO = " & prmHSP_HISTORY_NO _
	  & " AND A.CH_NO = " & prmCH_NO _
	  & " AND A.OPE_SERIAL_NO = " & prmOPE_SERIAL_NO

	' １患者分の手術情報を削除
	Public Const sqlDelOpe_Patient As String = _
	 "DELETE FROM MTI_OPE" _
	  & " WHERE PATIENT_NO = " & prmPATIENT_NO

	'１入退院分の手術情報を削除
	Public Const sqlDelOpe_Hsp As String = _
	 "DELETE FROM MTI_OPE" _
	  & " WHERE PATIENT_NO = " & prmPATIENT_NO _
	  & " AND HSP_HISTORY_NO = " & prmHSP_HISTORY_NO

	' １科歴分の手術情報を削除
	Public Const sqlDelOpe_Ch As String = _
	 "DELETE FROM MTI_OPE" _
	  & " WHERE PATIENT_NO = " & prmPATIENT_NO _
	  & " AND HSP_HISTORY_NO = " & prmHSP_HISTORY_NO _
	  & " AND CH_NO = " & prmCH_NO

	' 手術情報１データを削除
	Public Const sqlDelOpe_OneRec As String = _
	 "DELETE FROM MTI_OPE" _
	  & " WHERE PATIENT_NO = " & prmPATIENT_NO _
	  & " AND HSP_HISTORY_NO = " & prmHSP_HISTORY_NO _
	  & " AND CH_NO = " & prmCH_NO _
	  & " AND OPE_SERIAL_NO = " & prmOPE_SERIAL_NO

	' 手術情報１データを追加
	Public Const sqlInsOpe_OneRec As String = _
	 "INSERT INTO MTI_OPE (" _
	  & " PATIENT_NO, HSP_HISTORY_NO, CH_NO, OPE_SERIAL_NO," _
	  & " OPE_DIV, OPE_NM, OPE_DT, OPE_TIME, OPE_REQUIRED_TIME, OPE_AGE, OPE_MONTH_AGE, OPE_DAY_AGE," _
	  & " ANESTHESIA_DIV1, ANESTHESIA_TIME, ANESTHESIA_DIV2, ASST_DIV1, ASST_DIV2, REMARKS1, REMARKS2," _
	  & " SPT_DISEASE_SERIAL_NO, ICD9CM_CD, L_GRP_CD, M_GRP_CD, DIGS3_GRP_CD, MNG_DIV, MNG_NO," _
	  & " OPE_COUNT_CD, OPE_PART_CD, END_DT, END_TIME," _
	  & " SPT_DISEASE_NM, SPT_DISEASE_ICD10_CD, SPT_DISEASE_OUTCOME_CD, SPT_DISEASE_MNG_DIV1, SPT_DISEASE_MNG_NO," _
	  & " SCORE_CD, AFTER_OPE_DAYS, AFTER_OPE_CMPC_CHK, HSP_OPE_CD, PRE_OPE_DAYS, PLAN_EMERGENCY_CD," _
	  & " ASA_PS_GRP_CD, TIME_OUT_FLG, BLEEDING_VOLUME, BLOOD_TRAN_VOLUME," _
	  & " DATA_CAPTURE_DT, NEW_REG_DT, LASTUPDUSER_CD, LASTUPD_DT" _
	  & ") VALUES (" _
	  & prmPATIENT_NO & "," _
	  & prmHSP_HISTORY_NO & "," _
	  & prmCH_NO & "," _
	  & prmOPE_SERIAL_NO & "," _
	  & prmOPE_DIV & "," _
	  & prmOPE_NM & "," _
	  & prmOPE_DT & "," _
	  & prmOPE_TIME & "," _
	  & prmOPE_REQUIRED_TIME & "," _
	  & prmOPE_AGE & "," _
	  & prmOPE_MONTH_AGE & "," _
	  & prmOPE_DAY_AGE & "," _
	  & prmANESTHESIA_DIV1 & "," _
	  & prmANESTHESIA_TIME & "," _
	  & prmANESTHESIA_DIV2 & "," _
	  & prmASST_DIV1 & "," _
	  & prmASST_DIV2 & "," _
	  & prmREMARKS1 & "," _
	  & prmREMARKS2 & "," _
	  & prmSPT_DISEASE_SERIAL_NO & "," _
	  & prmICD9CM_CD & "," _
	  & prmL_GRP_CD & "," _
	  & prmM_GRP_CD & "," _
	  & prmDIGS3_GRP_CD & "," _
	  & prmMNG_DIV & "," _
	  & prmMNG_NO & "," _
	  & prmOPE_COUNT_CD & "," _
	  & prmOPE_PART_CD & "," _
	  & prmEND_DT & "," _
	  & prmEND_TIME & "," _
	  & prmSPT_DISEASE_NM & "," _
	  & prmSPT_DISEASE_ICD10_CD & "," _
	  & prmSPT_DISEASE_OUTCOME_CD & "," _
	  & prmSPT_DISEASE_MNG_DIV1 & "," _
	  & prmSPT_DISEASE_MNG_NO & "," _
	  & prmSCORE_CD & "," _
	  & prmAFTER_OPE_DAYS & "," _
	  & prmAFTER_OPE_CMPC_CHK & "," _
	  & prmHSP_OPE_CD & "," _
	  & prmPRE_OPE_DAYS & "," _
	  & prmPLAN_EMERGENCY_CD & "," _
	  & prmASA_PS_GRP_CD & "," _
	  & prmTIME_OUT_FLG & "," _
	  & prmBLEEDING_VOLUME & "," _
	  & prmBLOOD_TRAN_VOLUME & "," _
	  & prmDATA_CAPTURE_DT & "," _
	  & prmNEW_REG_DT & "," _
	  & prmLASTUPDUSER_CD & "," _
	  & prmLASTUPD_DT & ")"

End Class
