﻿''' ---------------------------------------------
''' <summary>
''' 共通処理_手術医師情報＿データクラス
''' </summary>
''' <remarks>
''' Copyright 2010 FUJITSU SHIKOKU SYSTEMS LIMITED All rights reserved.<BR/>
''' FUJITSU SHIKOKU SYSTEMS LIMITED CONFIDENTIAL<BR/>
''' </remarks>
''' ---------------------------------------------
Public NotInheritable Class datMTI_OPE_DOCTOR_OneRec
	Public PATIENT_NO As String = Nothing				'患者番号
	Public HSP_HISTORY_NO As Integer = Nothing			'入退院歴番号
	Public CH_NO As Integer = Nothing					'科歴番号
	Public OPE_SERIAL_NO As Integer = Nothing			'手術連番
	Public OPE_DOCTOR_SERIAL_NO As Integer = Nothing	'手術医師連番
	Public OPE_DOCTOR_DIV As String = Nothing			'手術医師区分コード
	Public DOCTOR_CD As String = Nothing				'医師コード
	Public LASTUPDUSER_CD As String = Nothing			'更新者コード
	Public LASTUPD_DT As Date = Nothing					'最終更新日

	''' ----------------------------------------
	''' <summary>
	''' オブジェクトコピー
	''' </summary>
	''' <returns>datMTI_OPE_DOCTOR_OneRec(手術医師情報１レコード）</returns>
	''' <remarks>
	''' 2010/11/29 新規作成 CS)中岡<BR/>
	''' </remarks>
	''' ----------------------------------------
	Public Function Copy() As datMTI_OPE_DOCTOR_OneRec
		Dim ret As datMTI_OPE_DOCTOR_OneRec = New datMTI_OPE_DOCTOR_OneRec
		With ret
			.PATIENT_NO = Me.PATIENT_NO
			.HSP_HISTORY_NO = Me.HSP_HISTORY_NO
			.CH_NO = Me.CH_NO
			.OPE_SERIAL_NO = Me.OPE_SERIAL_NO
			.OPE_DOCTOR_SERIAL_NO = Me.OPE_DOCTOR_SERIAL_NO
			.OPE_DOCTOR_DIV = Me.OPE_DOCTOR_DIV
			.DOCTOR_CD = Me.DOCTOR_CD
			.LASTUPDUSER_CD = Me.LASTUPDUSER_CD
			.LASTUPD_DT = Me.LASTUPD_DT
		End With
		Return ret
	End Function
End Class

''' ---------------------------------------------
''' <summary>
''' 共通処理_手術医師情報＋名称＿データクラス
''' </summary>
''' ---------------------------------------------
Public NotInheritable Class datMTI_OPE_DOCTOR_PLUS_OneRec
	' 手術医師情報
	Public PATIENT_NO As String = Nothing				'患者番号
	Public HSP_HISTORY_NO As Integer = Nothing			'入退院歴番号
	Public CH_NO As Integer = Nothing					'科歴番号
	Public OPE_SERIAL_NO As Integer = Nothing			'手術連番
	Public OPE_DOCTOR_SERIAL_NO As Integer = Nothing	'手術医師連番
	Public OPE_DOCTOR_DIV As String = Nothing			'手術医師区分コード
	Public DOCTOR_CD As String = Nothing				'医師コード
	Public LASTUPDUSER_CD As String = Nothing			'更新者コード
	Public LASTUPD_DT As Date = Nothing					'最終更新日
	' 職員マスタ
	Public DOCTOR_NM As String = Nothing				'医師名

	''' ----------------------------------------
	''' <summary>
	''' オブジェクトコピー
	''' </summary>
	''' <returns>datMTI_OPE_DOCTOR_PLUS_OneRec(手術医師情報＋名称１レコード）</returns>
	''' <remarks>
	''' 2010/11/29 新規作成 CS)中岡<BR/>
	''' </remarks>
	''' ----------------------------------------
	Public Function Copy() As datMTI_OPE_DOCTOR_PLUS_OneRec
		Dim ret As datMTI_OPE_DOCTOR_PLUS_OneRec = New datMTI_OPE_DOCTOR_PLUS_OneRec
		With ret
			.PATIENT_NO = Me.PATIENT_NO
			.HSP_HISTORY_NO = Me.HSP_HISTORY_NO
			.CH_NO = Me.CH_NO
			.OPE_SERIAL_NO = Me.OPE_SERIAL_NO
			.OPE_DOCTOR_SERIAL_NO = Me.OPE_DOCTOR_SERIAL_NO
			.OPE_DOCTOR_DIV = Me.OPE_DOCTOR_DIV
			.DOCTOR_CD = Me.DOCTOR_CD
			.LASTUPDUSER_CD = Me.LASTUPDUSER_CD
			.LASTUPD_DT = Me.LASTUPD_DT

			.DOCTOR_NM = Me.DOCTOR_NM
		End With
		Return ret
	End Function

	''' ----------------------------------------
	''' <summary>
	''' オブジェクトコピー（手術医師情報）
	''' </summary>
	''' <returns>datMTI_OPE_DOCTOR_OneRec(手術医師情報１レコード）</returns>
	''' <remarks>
	''' 2010/11/29 新規作成 CS)中岡<BR/>
	''' </remarks>
	''' ----------------------------------------
	Public Function OrgCopy() As datMTI_OPE_DOCTOR_OneRec
		Dim ret As datMTI_OPE_DOCTOR_OneRec = New datMTI_OPE_DOCTOR_OneRec
		With ret
			.PATIENT_NO = Me.PATIENT_NO
			.HSP_HISTORY_NO = Me.HSP_HISTORY_NO
			.CH_NO = Me.CH_NO
			.OPE_SERIAL_NO = Me.OPE_SERIAL_NO
			.OPE_DOCTOR_SERIAL_NO = Me.OPE_DOCTOR_SERIAL_NO
			.OPE_DOCTOR_DIV = Me.OPE_DOCTOR_DIV
			.DOCTOR_CD = Me.DOCTOR_CD
			.LASTUPDUSER_CD = Me.LASTUPDUSER_CD
			.LASTUPD_DT = Me.LASTUPD_DT
		End With
		Return ret
	End Function
End Class

''' ---------------------------------------------
''' <summary>
''' 手術医師情報取得SQLクラス（共通クラス）
''' </summary>
''' ---------------------------------------------
Public Class sqlMTI_OPE_DOCTOR
	Public Const prmPATIENT_NO As String = "@PATIENT_NO"						'患者番号
	Public Const prmHSP_HISTORY_NO As String = "@HSP_HISTORY_NO"				'入退院歴番号
	Public Const prmCH_NO As String = "@CH_NO"									'科歴番号
	Public Const prmOPE_SERIAL_NO As String = "@OPE_SERIAL_NO"					'手術連番
	Public Const prmOPE_DOCTOR_SERIAL_NO As String = "@OPE_DOCTOR_SERIAL_NO"	'手術医師連番
	Public Const prmOPE_DOCTOR_DIV As String = "@OPE_DOCTOR_DIV"				'手術医師区分コード
	Public Const prmDOCTOR_CD As String = "@DOCTOR_CD"							'医師コード
	Public Const prmLASTUPDUSER_CD As String = "@LASTUPDUSER_CD"				'更新者コード
	Public Const prmLASTUPD_DT As String = "@LASTUPD_DT"						'最終更新日

	Public Const itmPATIENT_NO As String = "PATIENT_NO"							'患者番号
	Public Const itmHSP_HISTORY_NO As String = "HSP_HISTORY_NO"					'入退院歴番号
	Public Const itmCH_NO As String = "CH_NO"									'科歴番号
	Public Const itmOPE_SERIAL_NO As String = "OPE_SERIAL_NO"					'手術連番
	Public Const itmOPE_DOCTOR_SERIAL_NO As String = "OPE_DOCTOR_SERIAL_NO"		'手術医師連番
	Public Const itmOPE_DOCTOR_DIV As String = "OPE_DOCTOR_DIV"					'手術医師区分コード
	Public Const itmDOCTOR_CD As String = "DOCTOR_CD"							'医師コード
	Public Const itmLASTUPDUSER_CD As String = "LASTUPDUSER_CD"					'更新者コード
	Public Const itmLASTUPD_DT As String = "LASTUPD_DT"							'最終更新日

	Public Const itmDOCTOR_NM As String = "DOCTOR_NM"							'医師名

	' 手術医師情報取得用SQLのSELECT句
	Public Const sqlSelect_OpeDoctor As String = _
	 "SELECT" _
	  & " PATIENT_NO, HSP_HISTORY_NO, CH_NO, OPE_SERIAL_NO, OPE_DOCTOR_SERIAL_NO," _
	  & " OPE_DOCTOR_DIV, DOCTOR_CD," _
	  & " LASTUPDUSER_CD, LASTUPD_DT" _
	  & " FROM MTI_OPE_DOCTOR"

	' 手術医師情報＋名称取得用SQLのSELECT句
	Public Const sqlSelect_OpeDoctor_Plus As String = _
	 "SELECT" _
	  & " A.PATIENT_NO, A.HSP_HISTORY_NO, A.CH_NO, A.OPE_SERIAL_NO, A.OPE_DOCTOR_SERIAL_NO," _
	  & " A.OPE_DOCTOR_DIV, A.DOCTOR_CD," _
	  & " A.LASTUPDUSER_CD, A.LASTUPD_DT," _
	  & " B.STAFF_NM AS DOCTOR_NM" _
	  & " FROM MTI_OPE_DOCTOR AS A" _
	  & " LEFT JOIN XTM_STAFF AS B ON A.DOCTOR_CD = B.STAFF_CD"

	' １科歴分の手術医師情報を取得
	Public Const sqlSelOpeDoctor_Ch As String = sqlSelect_OpeDoctor _
	  & " WHERE PATIENT_NO = " & prmPATIENT_NO _
	  & " AND HSP_HISTORY_NO = " & prmHSP_HISTORY_NO _
	  & " AND CH_NO = " & prmCH_NO _
	  & " ORDER BY OPE_SERIAL_NO, OPE_DOCTOR_SERIAL_NO"

	' １手術分の手術医師情報を取得
	Public Const sqlSelOpeDoctor_Serial As String = sqlSelect_OpeDoctor _
	  & " WHERE PATIENT_NO = " & prmPATIENT_NO _
	  & " AND HSP_HISTORY_NO = " & prmHSP_HISTORY_NO _
	  & " AND CH_NO = " & prmCH_NO _
	  & " AND OPE_SERIAL_NO = " & prmOPE_SERIAL_NO _
	  & " ORDER BY OPE_DOCTOR_SERIAL_NO"

	' 手術医師情報１データを取得
	Public Const sqlSelOpeDoctor_OneRec As String = sqlSelect_OpeDoctor _
	  & " WHERE PATIENT_NO = " & prmPATIENT_NO _
	  & " AND HSP_HISTORY_NO = " & prmHSP_HISTORY_NO _
	  & " AND CH_NO = " & prmCH_NO _
	  & " AND OPE_SERIAL_NO = " & prmOPE_SERIAL_NO _
	  & " AND OPE_DOCTOR_SERIAL_NO = " & prmOPE_DOCTOR_SERIAL_NO

	' １科歴分の手術医師情報＋名称を取得
	Public Const sqlSelOpeDoctor_Plus_Ch As String = sqlSelect_OpeDoctor_Plus _
	  & " WHERE A.PATIENT_NO = " & prmPATIENT_NO _
	  & " AND A.HSP_HISTORY_NO = " & prmHSP_HISTORY_NO _
	  & " AND A.CH_NO = " & prmCH_NO _
	  & " ORDER BY A.OPE_SERIAL_NO, A.OPE_DOCTOR_SERIAL_NO"

	' １手術分の手術医師情報＋名称を取得
	Public Const sqlSelOpeDoctor_Plus_Serial As String = sqlSelect_OpeDoctor_Plus _
	  & " WHERE A.PATIENT_NO = " & prmPATIENT_NO _
	  & " AND A.HSP_HISTORY_NO = " & prmHSP_HISTORY_NO _
	  & " AND A.CH_NO = " & prmCH_NO _
	  & " AND A.OPE_SERIAL_NO = " & prmOPE_SERIAL_NO _
	  & " ORDER BY A.OPE_DOCTOR_SERIAL_NO"

	' 手術医師情報＋名称１データを取得
	Public Const sqlSelOpeDoctor_Plus_OneRec As String = sqlSelect_OpeDoctor_Plus _
	  & " WHERE A.PATIENT_NO = " & prmPATIENT_NO _
	  & " AND A.HSP_HISTORY_NO = " & prmHSP_HISTORY_NO _
	  & " AND A.CH_NO = " & prmCH_NO _
	  & " AND A.OPE_SERIAL_NO = " & prmOPE_SERIAL_NO _
	  & " AND A.OPE_DOCTOR_SERIAL_NO = " & prmOPE_DOCTOR_SERIAL_NO

	' １患者分の手術医師情報を削除
	Public Const sqlDelOpeDoctor_Patient As String = _
	 "DELETE FROM MTI_OPE_DOCTOR" _
	  & " WHERE PATIENT_NO = " & prmPATIENT_NO

	' １入退院分の手術医師情報を削除
	Public Const sqlDelOpeDoctor_Hsp As String = _
	 "DELETE FROM MTI_OPE_DOCTOR" _
	  & " WHERE PATIENT_NO = " & prmPATIENT_NO _
	  & " AND HSP_HISTORY_NO = " & prmHSP_HISTORY_NO

	' １科歴分の手術医師情報を削除
	Public Const sqlDelOpeDoctor_Ch As String = _
	 "DELETE FROM MTI_OPE_DOCTOR" _
	  & " WHERE PATIENT_NO = " & prmPATIENT_NO _
	  & " AND HSP_HISTORY_NO = " & prmHSP_HISTORY_NO _
	  & " AND CH_NO = " & prmCH_NO

	' １手術分の手術医師情報を削除
	Public Const sqlDelOpeDoctor_Serial As String = _
	 "DELETE FROM MTI_OPE_DOCTOR" _
	  & " WHERE PATIENT_NO = " & prmPATIENT_NO _
	  & " AND HSP_HISTORY_NO = " & prmHSP_HISTORY_NO _
	  & " AND CH_NO = " & prmCH_NO _
	  & " AND OPE_SERIAL_NO = " & prmOPE_SERIAL_NO

	' 手術医師情報１データを削除
	Public Const sqlDelOpeDoctor_OneRec As String = _
	 "DELETE FROM MTI_OPE_DOCTOR" _
	  & " WHERE PATIENT_NO = " & prmPATIENT_NO _
	  & " AND HSP_HISTORY_NO = " & prmHSP_HISTORY_NO _
	  & " AND CH_NO = " & prmCH_NO _
	  & " AND OPE_SERIAL_NO = " & prmOPE_SERIAL_NO _
	  & " AND OPE_DOCTOR_SERIAL_NO = " & prmOPE_DOCTOR_SERIAL_NO

	' 手術医師情報１データを追加
	Public Const sqlInsOpeDoctor_OneRec As String = _
	 "INSERT INTO MTI_OPE_DOCTOR (" _
	  & " PATIENT_NO, HSP_HISTORY_NO, CH_NO, OPE_SERIAL_NO, OPE_DOCTOR_SERIAL_NO," _
	  & " OPE_DOCTOR_DIV, DOCTOR_CD," _
	  & " LASTUPDUSER_CD, LASTUPD_DT" _
	  & ") VALUES (" _
	  & prmPATIENT_NO & "," _
	  & prmHSP_HISTORY_NO & "," _
	  & prmCH_NO & "," _
	  & prmOPE_SERIAL_NO & "," _
	  & prmOPE_DOCTOR_SERIAL_NO & "," _
	  & prmOPE_DOCTOR_DIV & "," _
	  & prmDOCTOR_CD & "," _
	  & prmLASTUPDUSER_CD & "," _
	  & prmLASTUPD_DT & ")"

End Class
