﻿''' ---------------------------------------------
''' <summary>
''' 共通処理_病棟情報＿データクラス
''' </summary>
''' <remarks>
''' Copyright 2010 FUJITSU SHIKOKU SYSTEMS LIMITED All rights reserved.<BR/>
''' FUJITSU SHIKOKU SYSTEMS LIMITED CONFIDENTIAL<BR/>
''' </remarks>
''' ---------------------------------------------
Public NotInheritable Class datMTI_WARD_OneRec
	Public PATIENT_NO As String = Nothing						'患者番号
	Public HSP_HISTORY_NO As Integer = Nothing					'入退院歴番号
	Public CH_NO As Integer = Nothing							'科歴番号
	Public WARD_SERIAL_NO As Integer = Nothing					'病棟連番
	Public MAIN_WARD_FLG As Integer = Nothing					'主病棟フラグ
	Public WARD_CD As String = Nothing							'病棟コード
	Public WARD_START_DT As Date = Nothing						'病棟開始日
	Public WARD_END_DT As Date = Nothing						'病棟終了日
	Public WARD_DAYS As Integer = Nothing						'病棟日数
	Public LASTUPDUSER_CD As String = Nothing					'更新者コード
	Public LASTUPD_DT As Date = Nothing							'最終更新日

	''' ----------------------------------------
	''' <summary>
	''' オブジェクトコピー
	''' </summary>
	''' <returns>datMTI_WARD_OneRec(病棟情報１レコード）</returns>
	''' <remarks>
	''' 2010/12/07 新規作成 CS)溝渕<BR/>
	''' </remarks>
	''' ----------------------------------------
	Public Function Copy() As datMTI_WARD_OneRec
		Dim ret As datMTI_WARD_OneRec = New datMTI_WARD_OneRec
		With ret
			.PATIENT_NO = Me.PATIENT_NO
			.HSP_HISTORY_NO = Me.HSP_HISTORY_NO
			.CH_NO = Me.CH_NO
			.WARD_SERIAL_NO = Me.WARD_SERIAL_NO
			.MAIN_WARD_FLG = Me.MAIN_WARD_FLG
			.WARD_CD = Me.WARD_CD
			.WARD_START_DT = Me.WARD_START_DT
			.WARD_END_DT = Me.WARD_END_DT
			.WARD_DAYS = Me.WARD_DAYS
			.LASTUPDUSER_CD = Me.LASTUPDUSER_CD
			.LASTUPD_DT = Me.LASTUPD_DT
		End With
		Return ret
	End Function
End Class

''' ---------------------------------------------
''' <summary>
''' 共通処理_病棟情報＋名称＿データクラス
''' </summary>
''' ---------------------------------------------
Public NotInheritable Class datMTI_WARD_PLUS_OneRec
	' 病棟情報
	Public PATIENT_NO As String = Nothing						'患者番号
	Public HSP_HISTORY_NO As Integer = Nothing					'入退院歴番号
	Public CH_NO As Integer = Nothing							'科歴番号
	Public WARD_SERIAL_NO As Integer = Nothing					'病棟連番
	Public MAIN_WARD_FLG As Integer = Nothing					'主病棟フラグ
	Public WARD_CD As String = Nothing							'病棟コード
	Public WARD_START_DT As Date = Nothing						'病棟開始日
	Public WARD_END_DT As Date = Nothing						'病棟終了日
	Public WARD_DAYS As Integer = Nothing						'病棟日数
	Public LASTUPDUSER_CD As String = Nothing					'更新者コード
	Public LASTUPD_DT As Date = Nothing							'最終更新日
	' 病棟マスタ
	Public WARD_NM As String = Nothing							'病棟名
	Public WARD_RNM As String = Nothing							'病棟略称名
	Public WARD_GRP_CD As String = Nothing						'病棟グループコード
	Public SEVERE_DIV As String = Nothing						'重症区分コード
	Public WARD_DSPORDER As Nullable(Of Integer) = Nothing		'表示順
	' 病棟グループマスタ
	Public WARD_GRP_NM As String = Nothing						'病棟グループ名
	Public WARD_GRP_FIXED_CD As String = Nothing				'固定コード
	Public WARD_GRP_DSPORDER As Nullable(Of Integer) = Nothing	'表示順

	''' ----------------------------------------
	''' <summary>
	''' オブジェクトコピー
	''' </summary>
	''' <returns>datMTI_WARD_PLUS_OneRec(病棟情報＋名称１レコード）</returns>
	''' <remarks>
	''' 2010/12/07 新規作成 CS)溝渕<BR/>
	''' </remarks>
	''' ----------------------------------------
	Public Function Copy() As datMTI_WARD_PLUS_OneRec
		Dim ret As datMTI_WARD_PLUS_OneRec = New datMTI_WARD_PLUS_OneRec
		With ret
			.PATIENT_NO = Me.PATIENT_NO
			.HSP_HISTORY_NO = Me.HSP_HISTORY_NO
			.CH_NO = Me.CH_NO
			.WARD_SERIAL_NO = Me.WARD_SERIAL_NO
			.MAIN_WARD_FLG = Me.MAIN_WARD_FLG
			.WARD_CD = Me.WARD_CD
			.WARD_START_DT = Me.WARD_START_DT
			.WARD_END_DT = Me.WARD_END_DT
			.WARD_DAYS = Me.WARD_DAYS
			.LASTUPDUSER_CD = Me.LASTUPDUSER_CD
			.LASTUPD_DT = Me.LASTUPD_DT

			.WARD_NM = Me.WARD_NM
			.WARD_RNM = Me.WARD_RNM
			.WARD_GRP_CD = Me.WARD_GRP_CD
			.SEVERE_DIV = Me.SEVERE_DIV
			.WARD_DSPORDER = Me.WARD_DSPORDER
			.WARD_GRP_NM = Me.WARD_GRP_NM
			.WARD_GRP_FIXED_CD = Me.WARD_GRP_FIXED_CD
			.WARD_GRP_DSPORDER = Me.WARD_GRP_DSPORDER
		End With
		Return ret
	End Function

	''' ----------------------------------------
	''' <summary>
	''' オブジェクトコピー（病棟情報）
	''' </summary>
	''' <returns>datMTI_WARD_OneRec(病棟情報１レコード）</returns>
	''' <remarks>
	''' 2010/12/07 新規作成 CS)溝渕<BR/>
	''' </remarks>
	''' ----------------------------------------
	Public Function OrgCopy() As datMTI_WARD_OneRec
		Dim ret As datMTI_WARD_OneRec = New datMTI_WARD_OneRec
		With ret
			.PATIENT_NO = Me.PATIENT_NO
			.HSP_HISTORY_NO = Me.HSP_HISTORY_NO
			.CH_NO = Me.CH_NO
			.WARD_SERIAL_NO = Me.WARD_SERIAL_NO
			.MAIN_WARD_FLG = Me.MAIN_WARD_FLG
			.WARD_CD = Me.WARD_CD
			.WARD_START_DT = Me.WARD_START_DT
			.WARD_END_DT = Me.WARD_END_DT
			.WARD_DAYS = Me.WARD_DAYS
			.LASTUPDUSER_CD = Me.LASTUPDUSER_CD
			.LASTUPD_DT = Me.LASTUPD_DT
		End With
		Return ret
	End Function
End Class

''' ---------------------------------------------
''' <summary>
''' 病棟情報取得SQLクラス（共通クラス）
''' </summary>
''' ---------------------------------------------
Public Class sqlMTI_WARD
	Public Const prmPATIENT_NO As String = "@PATIENT_NO"				'患者番号
	Public Const prmHSP_HISTORY_NO As String = "@HSP_HISTORY_NO"		'入退院歴番号
	Public Const prmCH_NO As String = "@CH_NO"							'科歴番号
	Public Const prmWARD_SERIAL_NO As String = "@WARD_SERIAL_NO"		'病棟連番
	Public Const prmMAIN_WARD_FLG As String = "@MAIN_WARD_FLG"			'主病棟フラグ
	Public Const prmWARD_CD As String = "@WARD_CD"						'病棟コード
	Public Const prmWARD_START_DT As String = "@WARD_START_DT"			'病棟開始日
	Public Const prmWARD_END_DT As String = "@WARD_END_DT"				'病棟終了日
	Public Const prmWARD_DAYS As String = "@WARD_DAYS"					'病棟日数
	Public Const prmLASTUPDUSER_CD As String = "@LASTUPDUSER_CD"		'更新者コード
	Public Const prmLASTUPD_DT As String = "@LASTUPD_DT"				'最終更新日

	Public Const itmPATIENT_NO As String = "PATIENT_NO"					'患者番号
	Public Const itmHSP_HISTORY_NO As String = "HSP_HISTORY_NO"			'入退院歴番号
	Public Const itmCH_NO As String = "CH_NO"							'科歴番号
	Public Const itmWARD_SERIAL_NO As String = "WARD_SERIAL_NO"			'病棟連番
	Public Const itmMAIN_WARD_FLG As String = "MAIN_WARD_FLG"			'主病棟フラグ
	Public Const itmWARD_CD As String = "WARD_CD"						'病棟コード
	Public Const itmWARD_START_DT As String = "WARD_START_DT"			'病棟開始日
	Public Const itmWARD_END_DT As String = "WARD_END_DT"				'病棟終了日
	Public Const itmWARD_DAYS As String = "WARD_DAYS"					'病棟日数
	Public Const itmLASTUPDUSER_CD As String = "LASTUPDUSER_CD"			'更新者コード
	Public Const itmLASTUPD_DT As String = "LASTUPD_DT"					'最終更新日

	Public Const itmWARD_NM As String = "WARD_NM"						'病棟名
	Public Const itmWARD_RNM As String = "WARD_RNM"						'病棟略称名
	Public Const itmWARD_GRP_CD As String = "WARD_GRP_CD"				'病棟グループコード
	Public Const itmSEVERE_DIV As String = "SEVERE_DIV"					'重症区分コード
	Public Const itmWARD_DSPORDER As String = "WARD_DSPORDER"			'表示順
	Public Const itmWARD_GRP_NM As String = "WARD_GRP_NM"				'病棟グループ名
	Public Const itmWARD_GRP_FIXED_CD As String = "WARD_GRP_FIXED_CD"	'固定コード
	Public Const itmWARD_GRP_DSPORDER As String = "WARD_GRP_DSPORDER"	'表示順

	' 病棟情報取得用SQLのSELECT句
	Private Const sqlSelect_Ward As String = _
	 "SELECT" _
	  & " PATIENT_NO, HSP_HISTORY_NO, CH_NO, WARD_SERIAL_NO," _
	  & " MAIN_WARD_FLG, WARD_CD, WARD_START_DT, WARD_END_DT, WARD_DAYS," _
	  & " LASTUPDUSER_CD, LASTUPD_DT" _
	  & " FROM MTI_WARD"

	' 病棟情報＋名称取得用SQLのSELECT句
	Private Const sqlSelect_Ward_Plus As String = _
	 "SELECT" _
	  & " A.PATIENT_NO, A.HSP_HISTORY_NO, A.CH_NO, A.WARD_SERIAL_NO," _
	  & " A.MAIN_WARD_FLG, A.WARD_CD, A.WARD_START_DT, A.WARD_END_DT, A.WARD_DAYS," _
	  & " A.LASTUPDUSER_CD, A.LASTUPD_DT," _
	  & " B.WARD_NM, B.WARD_RNM, B.WARD_GRP_CD, B.SEVERE_DIV, B.DSPORDER AS WARD_DSPORDER," _
	  & " C.WARD_GRP_NM, C.FIXED_CD AS WARD_GRP_FIXED_CD, C.DSPORDER AS WARD_GRP_DSPORDER" _
	  & " FROM MTI_WARD AS A" _
	  & " LEFT JOIN MTM_WARD AS B ON A.WARD_CD = B.WARD_CD" _
	  & " LEFT JOIN MTM_WARD_GRP AS C ON B.WARD_GRP_CD = C.WARD_GRP_CD"

	' １入退院分の病棟情報を取得
	Public Const sqlSelWard_Hsp As String = sqlSelect_Ward _
	  & " WHERE PATIENT_NO = " & prmPATIENT_NO _
	  & " AND HSP_HISTORY_NO = " & prmHSP_HISTORY_NO _
	  & " ORDER BY CH_NO, WARD_SERIAL_NO"

	' １科歴分の病棟情報を取得
	Public Const sqlSelWard_Ch As String = sqlSelect_Ward _
	  & " WHERE PATIENT_NO = " & prmPATIENT_NO _
	  & " AND HSP_HISTORY_NO = " & prmHSP_HISTORY_NO _
	  & " AND CH_NO = " & prmCH_NO _
	  & " ORDER BY WARD_SERIAL_NO"

	' 病棟情報１データを取得
	Public Const sqlSelWard_OneRec As String = sqlSelect_Ward _
	  & " WHERE PATIENT_NO = " & prmPATIENT_NO _
	  & " AND HSP_HISTORY_NO = " & prmHSP_HISTORY_NO _
	  & " AND CH_NO = " & prmCH_NO _
	  & " AND WARD_SERIAL_NO = " & prmWARD_SERIAL_NO

	' １入退院分の病棟情報＋名称を取得
	Public Const sqlSelWard_Plus_Hsp As String = sqlSelect_Ward_Plus _
	  & " WHERE A.PATIENT_NO = " & prmPATIENT_NO _
	  & " AND A.HSP_HISTORY_NO = " & prmHSP_HISTORY_NO _
	  & " ORDER BY A.CH_NO, A.WARD_SERIAL_NO"

	' １科歴分の病棟情報＋名称を取得
	Public Const sqlSelWard_Plus_Ch As String = sqlSelect_Ward_Plus _
	  & " WHERE A.PATIENT_NO = " & prmPATIENT_NO _
	  & " AND A.HSP_HISTORY_NO = " & prmHSP_HISTORY_NO _
	  & " AND A.CH_NO = " & prmCH_NO _
	  & " ORDER BY A.WARD_SERIAL_NO"

	' 病棟情報＋名称１データを取得
	Public Const sqlSelWard_Plus_OneRec As String = sqlSelect_Ward_Plus _
	  & " WHERE A.PATIENT_NO = " & prmPATIENT_NO _
	  & " AND A.HSP_HISTORY_NO = " & prmHSP_HISTORY_NO _
	  & " AND A.CH_NO = " & prmCH_NO _
	  & " AND A.WARD_SERIAL_NO = " & prmWARD_SERIAL_NO

	' １患者分の病棟情報を削除
	Public Const sqlDelWard_Patient As String = _
	 "DELETE FROM MTI_WARD" _
	  & " WHERE PATIENT_NO = " & prmPATIENT_NO

	' １入退院分の病棟情報を削除
	Public Const sqlDelWard_Hsp As String = _
	 "DELETE FROM MTI_WARD" _
	  & " WHERE PATIENT_NO = " & prmPATIENT_NO _
	  & " AND HSP_HISTORY_NO = " & prmHSP_HISTORY_NO

	' １科歴分の病棟情報を削除
	Public Const sqlDelWard_Ch As String = _
	 "DELETE FROM MTI_WARD" _
	  & " WHERE PATIENT_NO = " & prmPATIENT_NO _
	  & " AND HSP_HISTORY_NO = " & prmHSP_HISTORY_NO _
	  & " AND CH_NO = " & prmCH_NO

	' 病棟情報１データを削除
	Public Const sqlDelWard_OneRec As String = _
	 "DELETE FROM MTI_WARD" _
	  & " WHERE PATIENT_NO = " & prmPATIENT_NO _
	  & " AND HSP_HISTORY_NO = " & prmHSP_HISTORY_NO _
	  & " AND CH_NO = " & prmCH_NO _
	  & " AND WARD_SERIAL_NO = " & prmWARD_SERIAL_NO

	' 病棟情報１データを追加
	Public Const sqlInsWard_OneRec As String = _
	 "INSERT INTO MTI_WARD (" _
	  & " PATIENT_NO, HSP_HISTORY_NO, CH_NO, WARD_SERIAL_NO," _
	  & " MAIN_WARD_FLG, WARD_CD, WARD_START_DT, WARD_END_DT, WARD_DAYS," _
	  & " LASTUPDUSER_CD, LASTUPD_DT" _
	  & ") VALUES (" _
	  & prmPATIENT_NO & "," _
	  & prmHSP_HISTORY_NO & "," _
	  & prmCH_NO & "," _
	  & prmWARD_SERIAL_NO & "," _
	  & prmMAIN_WARD_FLG & "," _
	  & prmWARD_CD & "," _
	  & prmWARD_START_DT & "," _
	  & prmWARD_END_DT & "," _
	  & prmWARD_DAYS & "," _
	  & prmLASTUPDUSER_CD & "," _
	  & prmLASTUPD_DT & ")"

End Class
