﻿Imports XCM
''' ---------------------------------------------
''' <summary>
''' 共通_貸出一覧SQLクラス
''' </summary>
''' <remarks>
''' Copyright 2010 FUJITSU SHIKOKU SYSTEMS LIMITED All rights reserved.<BR/>
''' FUJITSU SHIKOKU SYSTEMS LIMITED CONFIDENTIAL<BR/>
''' </remarks>
''' ---------------------------------------------
Public NotInheritable Class sqlXSP080F070
	' 項目
	Public Const itmLENDITEM_CD As String = "LENDITEM_CD"					'貸出物コード
	Public Const itmBORROWER_CD As String = "BORROWER_CD"					'借用者コード
	Public Const itmBORROWER_NM As String = "BORROWER_NM"					'借用者名
	Public Const itmBORROWER_DIV As String = "BORROWER_DIV"					'借用者部門コード
	' パラメータ
	Public Const prmBORROWER_CD As String = "@BORROWER_CD"					'借用者コード
	Public Const prmBORROWER_NM As String = "@BORROWER_NM"					'借用者名
	Public Const prmBORROWER_DIV As String = "@BORROWER_DIV"				'借用者部門コード
	Public Const prmLENDITEM_CD1 As String = "@LENDITEM_CD1"				'貸出物コード1
	Public Const prmLENDITEM_CD2 As String = "@LENDITEM_CD2"				'貸出物コード2
	Public Const prmLENDITEM_CD3 As String = "@LENDITEM_CD3"				'貸出物コード3
	Public Const prmLENDITEM_CD4 As String = "@LENDITEM_CD4"				'貸出物コード4
	Public Const prmLENDITEM_CD5 As String = "@LENDITEM_CD5"				'貸出物コード5

	' ■貸出情報■
	Public Const sqlSelLend As String = _
	"SELECT" _
	& "  L.LENDAIM_CD," _
	& "  LA.LENDAIM_RNM," _
	& "  CASE WHEN L.ISSUE_DT IS NULL" _
	& "   THEN ''" _
	& "   ELSE CONVERT(varchar, L.ISSUE_DT, 111)" _
	& "  END AS ISSUE_DT," _
	& "  CASE WHEN L.EXPECTBACK_DT IS NULL" _
	& "   THEN ''" _
	& "   ELSE CONVERT(varchar, L.EXPECTBACK_DT, 111)" _
	& "  END AS EXPECTBACK_DT," _
	& "  L.BORROWER_DIV," _
	& "  STD.STAFFDIV_RNM AS BORROWER_DIV_RNM," _
	& "  L.BORROWER_CD," _
	& "  L.BORROWER_NM," _
	& "  LI.LENDITEM_CD," _
	& "  LIM.LENDITEM_RNM," _
	& "  LI.PATIENT_NO," _
	& "  CONVERT(varchar, LI.HSP_HISTORY_NO) + ' - ' + CONVERT(varchar, LI.CH_NO) AS HISTORY_NO," _
	& "  LI.BYOREKI_NO," _
	& "  LI.DEPT_CD," _
	& "  DEP.DEPT_RNM," _
	& "  LI.START_DT," _
	& "  LI.END_DT," _
	& "  LI.HSP_HISTORY_NO," _
	& "  LI.CH_NO," _
	& "  L.LENDSERIAL_NO," _
	& "  L.TAKER_DIV," _
	& "  L.TAKER_CD," _
	& "  L.TAKER_NM," _
	& "  L.SLIP_CD," _
	& "  LI.WARD_CD," _
	& "  LI.DOCTOR_CD," _
	& "  L.LCT_CD," _
	& "  CASE WHEN L.BACK_DT IS NULL" _
	& "   THEN ''" _
	& "   ELSE CONVERT(varchar, L.BACK_DT, 111)" _
	& "  END AS BACK_DT," _
	& "  CASE WHEN L.URGEDBACK_DT IS NULL" _
	& "   THEN ''" _
	& "   ELSE CONVERT(varchar, L.URGEDBACK_DT, 111)" _
	& "  END AS URGEDBACK_DT," _
	& "  L.LENDCLERK_CD," _
	& "  L.BACKCLERK_CD" _
	& " FROM" _
	& " ("

	' 貸出情報JOIN
	Public Const sqlSelLend_Join As String = "" _
	 & " INNER JOIN MTI_LEND L" _
	 & "  ON  LI.PATIENT_NO = L.PATIENT_NO" _
	 & "  AND LI.HSP_HISTORY_NO = L.HSP_HISTORY_NO" _
	 & "  AND LI.CH_NO = L.CH_NO" _
	 & "  AND LI.LENDITEM_CD = L.LENDITEM_CD" _
	 & " INNER JOIN" _
	 & " (" _
	 & "  SELECT" _
	 & "  PATIENT_NO," _
	 & "  HSP_HISTORY_NO," _
	 & "  CH_NO," _
	 & "  LENDITEM_CD," _
	 & "  MAX(LENDSERIAL_NO) AS LENDSERIAL_NO" _
	 & "  FROM MTI_LEND" _
	 & "  GROUP BY PATIENT_NO, HSP_HISTORY_NO, CH_NO, LENDITEM_CD" _
	 & " ) LS" _
	 & "  ON  L.PATIENT_NO = LS.PATIENT_NO" _
	 & "  AND L.HSP_HISTORY_NO = LS.HSP_HISTORY_NO" _
	 & "  AND L.CH_NO = LS.CH_NO" _
	 & "  AND L.LENDITEM_CD = LS.LENDITEM_CD" _
	 & "  AND L.LENDSERIAL_NO = LS.LENDSERIAL_NO" _
	 & " LEFT JOIN MTM_LENDITEM LIM" _
	 & "  ON  L.LENDITEM_CD = LIM.LENDITEM_CD" _
	 & " LEFT JOIN MTM_LENDAIM LA" _
	 & "  ON  L.LENDAIM_CD = LA.LENDAIM_CD" _
	 & " LEFT JOIN MTM_LENDITEM_LCT LIL" _
	 & "  ON  L.LCT_CD = LIL.LCT_CD" _
	 & " LEFT JOIN XTM_STAFFDIV STD" _
	 & "  ON  L.BORROWER_DIV = STD.STAFFDIV_CD" _
	 & " LEFT JOIN MTM_DEPT DEP" _
	 & "  ON  LI.DEPT_CD = DEP.DEPT_CD" _
	 & " WHERE L.BACK_DT IS NULL"

	' ■WHERE文
	' 借用者コード
	Public Const sqlSelWhere_Borrower_Cd As String = "" _
	& "   AND L.BORROWER_CD = " & prmBORROWER_CD
	' 借用者部門コード
	Public Const sqlSelWhere_Borrower_Div As String = "" _
	& "   AND L.BORROWER_DIV = " & prmBORROWER_DIV
	' 借用者部門コード＆借用者名
	Public Const sqlSelWhere_Borrower_Div_Name As String = "" _
	& "   AND L.BORROWER_DIV = " & prmBORROWER_DIV _
	& "   AND L.BORROWER_NM = " & prmBORROWER_NM

	' ■Order文
	Public Const sqlSelOrder As String = _
	" ORDER BY L.ISSUE_DT, LI.LENDITEM_CD, LI.PATIENT_NO, LI.HSP_HISTORY_NO, LI.CH_NO"

	' ■共通■
	' カルテ
	Public Const sqlSelLendItm1 As String = _
	"SELECT" _
	& "  LIS.PATIENT_NO," _
	& "  LIS.HSP_HISTORY_NO," _
	& "  LIS.CH_NO," _
	& "  " & prmLENDITEM_CD1 & " AS LENDITEM_CD," _
	& "  TR.BYOREKI_NO," _
	& "  TR.DEPT_CD," _
	& "  TR.WARD_CD," _
	& "  CASE WHEN TR.START_DT IS NULL" _
	& "   THEN ''" _
	& "   ELSE CONVERT(varchar, TR.START_DT, 111)" _
	& "  END AS START_DT," _
	& "  CASE WHEN TR.END_DT IS NULL" _
	& "   THEN ''" _
	& "   ELSE CONVERT(varchar, TR.END_DT, 111)" _
	& "  END AS END_DT," _
	& "  TR.DOCTOR_CD" _
	& " FROM MTI_LENDITM LIS"

	' サマリ
	Public Const sqlSelLendItm2 As String = _
	"SELECT" _
	& "  LIS.PATIENT_NO," _
	& "  LIS.HSP_HISTORY_NO," _
	& "  LIS.CH_NO," _
	& "  " & prmLENDITEM_CD2 & " AS LENDITEM_CD," _
	& "  TR.BYOREKI_NO," _
	& "  TR.DEPT_CD," _
	& "  TR.WARD_CD," _
	& "  CASE WHEN TR.START_DT IS NULL" _
	& "   THEN ''" _
	& "   ELSE CONVERT(varchar, TR.START_DT, 111)" _
	& "  END AS START_DT," _
	& "  CASE WHEN TR.END_DT IS NULL" _
	& "   THEN ''" _
	& "   ELSE CONVERT(varchar, TR.END_DT, 111)" _
	& "  END AS END_DT," _
	& "  TR.DOCTOR_CD" _
	& "  FROM MTI_LENDITM LIS"

	' 他１
	Public Const sqlSelLendItm3 As String = _
	"SELECT" _
	& "  LIS.PATIENT_NO," _
	& "  LIS.HSP_HISTORY_NO," _
	& "  LIS.CH_NO," _
	& "  " & prmLENDITEM_CD3 & " AS LENDITEM_CD," _
	& "  TR.BYOREKI_NO," _
	& "  TR.DEPT_CD," _
	& "  TR.WARD_CD," _
	& "  CASE WHEN TR.START_DT IS NULL" _
	& "   THEN ''" _
	& "   ELSE CONVERT(varchar, TR.START_DT, 111)" _
	& "  END AS START_DT," _
	& "  CASE WHEN TR.END_DT IS NULL" _
	& "   THEN ''" _
	& "   ELSE CONVERT(varchar, TR.END_DT, 111)" _
	& "  END AS END_DT," _
	& "  TR.DOCTOR_CD" _
	& " FROM MTI_LENDITM LIS"

	' 他２
	Public Const sqlSelLendItm4 As String = _
	"SELECT" _
	& "  LIS.PATIENT_NO," _
	& "  LIS.HSP_HISTORY_NO," _
	& "  LIS.CH_NO," _
	& "  " & prmLENDITEM_CD4 & " AS LENDITEM_CD," _
	& "  TR.BYOREKI_NO," _
	& "  TR.DEPT_CD," _
	& "  TR.WARD_CD," _
	& "  CASE WHEN TR.START_DT IS NULL" _
	& "   THEN ''" _
	& "   ELSE CONVERT(varchar, TR.START_DT, 111)" _
	& "  END AS START_DT," _
	& "  CASE WHEN TR.END_DT IS NULL" _
	& "   THEN ''" _
	& "   ELSE CONVERT(varchar, TR.END_DT, 111)" _
	& "  END AS END_DT," _
	& "  TR.DOCTOR_CD" _
	& " FROM MTI_LENDITM LIS"

	' 他３
	Public Const sqlSelLendItm5 As String = _
	"SELECT" _
	& "  LIS.PATIENT_NO," _
	& "  LIS.HSP_HISTORY_NO," _
	& "  LIS.CH_NO," _
	& "  " & prmLENDITEM_CD5 & " AS LENDITEM_CD," _
	& "  TR.BYOREKI_NO," _
	& "  TR.DEPT_CD," _
	& "  TR.WARD_CD," _
	& "  CASE WHEN TR.START_DT IS NULL" _
	& "   THEN ''" _
	& "   ELSE CONVERT(varchar, TR.START_DT, 111)" _
	& "  END AS START_DT," _
	& "  CASE WHEN TR.END_DT IS NULL" _
	& "   THEN ''" _
	& "   ELSE CONVERT(varchar, TR.END_DT, 111)" _
	& "  END AS END_DT," _
	& "  TR.DOCTOR_CD" _
	& " FROM MTI_LENDITM LIS"

	' UNION ALL
	Public Const sqlSelUnion_All As String = " UNION ALL "

	' 入退院歴情報（患者単位）
	Public Const sqlSel_PATIENT As String = _
	" LEFT JOIN" _
	& " (" _
	& "  SELECT" _
	& "    PATIENT_NO," _
	& "    '' AS BYOREKI_NO," _
	& "    '' AS DEPT_CD," _
	& "    '' AS WARD_CD," _
	& "    '' AS START_DT," _
	& "    '' AS END_DT," _
	& "    '' AS DOCTOR_CD," _
	& "    HSP_HISTORY_NO," _
	& "    0 AS CH_NO" _
	& "  FROM MTI_HSP" _
	& " ) TR" _
	& "  ON  LIS.PATIENT_NO = TR.PATIENT_NO" _
	& " WHERE LIS.HSP_HISTORY_NO = 0" _
	& "   AND LIS.CH_NO = 0" _
	& "   AND TR.HSP_HISTORY_NO > 0" _
	& "   AND TR.CH_NO = 0"

	' 入退院歴情報（入退院単位）
	Public Const sqlSel_HSP As String = _
	" LEFT JOIN" _
	& " (" _
	& "  SELECT" _
	& "    PATIENT_NO," _
	& "    BYOREKI_NO," _
	& "    DEPT_CD," _
	& "    WARD_CD," _
	& "    HSP_DT AS START_DT," _
	& "    OUT_HSP_DT AS END_DT," _
	& "    DOCTOR_CD," _
	& "    HSP_HISTORY_NO," _
	& "    0 AS CH_NO" _
	& "  FROM MTI_HSP" _
	& " ) TR" _
	& "  ON  LIS.PATIENT_NO = TR.PATIENT_NO" _
	& "  AND LIS.HSP_HISTORY_NO = TR.HSP_HISTORY_NO" _
	& " WHERE LIS.HSP_HISTORY_NO > 0" _
	& "   AND LIS.CH_NO = 0" _
	& "   AND TR.HSP_HISTORY_NO > 0" _
	& "   AND TR.CH_NO = 0"

	' 科歴情報（科歴単位）
	Public Const sqlSel_CH As String = _
	" LEFT JOIN" _
	& " (" _
	& "  SELECT" _
	& "    PATIENT_NO," _
	& "    BYOREKI_NO," _
	& "    DEPT_CD," _
	& "    WARD_CD," _
	& "    START_DT," _
	& "    END_DT," _
	& "    DOCTOR_CD," _
	& "    HSP_HISTORY_NO," _
	& "    CH_NO" _
	& "  FROM MTI_CH" _
	& " ) TR" _
	& "  ON  LIS.PATIENT_NO = TR.PATIENT_NO" _
	& "  AND LIS.HSP_HISTORY_NO = TR.HSP_HISTORY_NO" _
	& "  AND LIS.CH_NO = TR.CH_NO" _
	& " WHERE LIS.HSP_HISTORY_NO > 0" _
	& "   AND LIS.CH_NO > 0" _
	& "   AND TR.HSP_HISTORY_NO > 0" _
	& "   AND TR.CH_NO > 0"

	' End
	Public Const sqlSelEnd As String = " ) LI"

End Class
