﻿''' ---------------------------------------------
''' <summary>
''' パスマスタ
''' </summary>
''' <remarks>
''' Copyright 2010 FUJITSU SHIKOKU SYSTEMS LIMITED All rights reserved.<BR/>
''' FUJITSU SHIKOKU SYSTEMS LIMITED CONFIDENTIAL<BR/>
''' </remarks>
''' ---------------------------------------------
Public Class sqlXSP200F010
	'パスコード
	Public Const itmPATH_CD As String = "PATH_CD"
	' パス名
	Public Const itmPATH_NM As String = "PATH_NM"
	' パス分類コード
	Public Const itmPATH_GRP_CD As String = "PATH_GRP_CD"
	' 診療科コード
	Public Const itmDEPT_CD As String = "DEPT_CD"
	' コメント
	Public Const itmREMARKS As String = "REMARKS"
	' 非表示フラグ
	Public Const itmNONDSP_FLG As String = "NONDSP_FLG"

	'パスコードパラメタ
	Public Const prmPATH_CD As String = "@PATH_CD"
	' パス名パラメタ
	Public Const prmPATH_NM As String = "@PATH_NM"
	' パス分類コードパラメタ
	Public Const prmPATH_GRP_CD As String = "@PATH_GRP_CD"
	' 診療科コードパラメタ
	Public Const prmDEPT_CD As String = "@DEPT_CD"
	'パスコードチェックボックス(ON:1,OFF:Nothing)
	Public Const prmPATH_CD_CHK As String = "@PATH_CD_CHK"
	'パス名チェックボックス(ON:1,OFF:Nothing)
	Public Const prmPATH_NM_CHK As String = "@PATH_NM_CHK"
	'パス分類チェックボックス(ON:1,OFF:Nothing)
	Public Const prmPATH_GRP_CD_CHK As String = "@PATH_GRP_CD_CHK"
	' 診療科チェックボックス(ON:1,OFF:Nothing)
	Public Const prmDEPT_CD_CHK As String = "@DEPT_CD_CHK"

	'パスマスタリスト取得SQL
	Public Const sqlPathALLList As String = _
	 " SELECT PATH_CD, PATH_NM, PATH_GRP_CD, DEPT_CD, REMARKS, NONDSP_FLG, DSPORDER, LASTUPDUSER_CD, LASTUPD_DT FROM MTM_PATH " _
	 & " WHERE NONDSP_FLG = 0" _
	 & " ORDER BY DSPORDER"

	Public Const sqlPathList As String = _
	"SELECT MTM_PATH.PATH_CD, MTM_PATH.PATH_NM, MTM_PATH.PATH_GRP_CD, MTM_PATH.DEPT_CD, MTM_PATH.REMARKS, MTM_PATH.NONDSP_FLG, MTM_PATH.DSPORDER, MTM_PATH.LASTUPDUSER_CD, MTM_PATH.LASTUPD_DT " _
	& ", MTM_PATH_GRP.PATH_GRP_NM, MTM_DEPT.DEPT_NM" _
	& " FROM MTM_PATH " _
	& " LEFT OUTER JOIN MTM_PATH_GRP ON (MTM_PATH_GRP.PATH_GRP_CD = MTM_PATH.PATH_GRP_CD) " _
	& " LEFT OUTER JOIN MTM_DEPT ON (MTM_DEPT.DEPT_CD = MTM_PATH.DEPT_CD) " _
	& " WHERE ( " & prmPATH_CD_CHK & "   IS NULL OR MTM_PATH.PATH_CD LIKE  " & prmPATH_CD & " )" _
	& " AND ( " & prmPATH_NM_CHK & "     IS NULL OR MTM_PATH.PATH_NM LIKE  " & prmPATH_NM & " )" _
	& " AND ( " & prmPATH_GRP_CD_CHK & " IS NULL OR MTM_PATH.PATH_GRP_CD = " & prmPATH_GRP_CD & " )" _
	& " AND ( " & prmDEPT_CD_CHK & "     IS NULL OR MTM_PATH.DEPT_CD     = " & prmDEPT_CD & " )" _
	& " ORDER BY MTM_PATH.DSPORDER"

End Class

''' ---------------------------------------------
''' <summary>
''' パスマスタ構造体
''' </summary>
''' ---------------------------------------------
Public NotInheritable Class datMtmPath
	Public PATH_CD As String = Nothing			' パスコード
	Public PATH_NM As String = Nothing			' パス名
	Public PATH_GRP_CD As String = Nothing		' パス分類コード
	Public DEPT_CD As String = Nothing			' 診療科コード
	Public REMARKS As String = Nothing			' コメント
End Class
