﻿Imports System.Reflection

''' ---------------------------------------------
''' <summary>
''' 科別受診情報取得SQLクラス
''' </summary>
''' <remarks>
''' Copyright 2010 FUJITSU SHIKOKU SYSTEMS LIMITED All rights reserved.<BR/>
''' FUJITSU SHIKOKU SYSTEMS LIMITED CONFIDENTIAL<BR/>
''' </remarks>
''' ---------------------------------------------
Public NotInheritable Class sqlXTM_SUBJECT_CONSULTATION
	''' ----------------------------------------
	''' <summary>
	''' 科別受診情報取得SQLパターン
	''' </summary>
	''' <remarks>
	''' 2013/09/06 新規作成 ID)平井<BR/>
	''' </remarks>
	''' ----------------------------------------

	Public Const itmPATIENT_NO As String = "PATIENT_NO"											'患者番号
	Public Const itmDEPT_CD As String = "DEPT_CD"												'診療科コード
	Public Const itmFIRSTHSPVST_DT As String = "FIRSTHSPVST_DT"									'初回来院日
	Public Const itmSECOND_LASTHSPVST_DT As String = "SECOND_LASTHSPVST_DT"						'前々回来院日
	Public Const itmFINALHSPVST_DT As String = "FINALHSPVST_DT"									'最終来院日
	Public Const itmLASTUPDUSER_CD As String = "LASTUPDUSER_CD"									'更新者コード
	Public Const itmLASTUPD_DT As String = "LASTUPD_DT"											'最終更新日


	Public Const prmPATIENT_NO As String = "@PATIENT_NO"										'患者番号
	Public Const prmDEPT_CD As String = "@DEPT_CD"												'診療科コード
	Public Const prmFIRSTHSPVST_DT As String = "@FIRSTHSPVST_DT"								'初回来院日
	Public Const prmSECOND_LASTHSPVST_DT As String = "@SECOND_LASTHSPVST_DT"					'前々回来院日
	Public Const prmFINALHSPVST_DT As String = "@FINALHSPVST_DT"								'最終来院日
	Public Const prmLASTUPDUSER_CD As String = "@LASTUPDUSER_CD"								'更新者コード
	Public Const prmLASTUPD_DT As String = "@LASTUPD_DT"										'最終更新日

	' 科別受診情報データを取得 (患者番号のみで検索)
	Public Const sqlSelSubject_Consultation As String = _
	 "SELECT " _
	  & " PATIENT_NO," _
	  & " DEPT_CD," _
	  & " (SELECT DEPT_NM FROM MTM_DEPT WHERE DEPT_CD = XTM_SUBJECT_CONSULTATION.DEPT_CD) AS DEPT_NM," _
	  & " FIRSTHSPVST_DT," _
	  & " SECOND_LASTHSPVST_DT," _
	  & " FINALHSPVST_DT," _
	  & " LASTUPDUSER_CD, LASTUPD_DT" _
	  & " FROM XTM_SUBJECT_CONSULTATION" _
	  & " WHERE PATIENT_NO = " & prmPATIENT_NO _
	  & " ORDER BY FINALHSPVST_DT DESC, DEPT_CD ASC"

	' 科別受診情報データを取得 (患者番号のみで検索)
	Public Const sqlSelSubject_Consultation_grid As String = _
	 "SELECT" _
	  & " PATIENT_NO," _
	  & " DEPT_CD," _
	  & " FIRSTHSPVST_DT," _
	  & " SECOND_LASTHSPVST_DT," _
	  & " FINALHSPVST_DT," _
	  & " LASTUPDUSER_CD, LASTUPD_DT" _
	  & " FROM XTM_SUBJECT_CONSULTATION" _
	  & " WHERE PATIENT_NO = " & prmPATIENT_NO

End Class
