﻿Imports XCM
Imports System.Reflection

''' ---------------------------------------------
''' <summary>
''' 診療情報管理 システム連携 システム連携_補足項目
''' </summary>
''' <remarks>
''' Copyright 2010 FUJITSU SHIKOKU SYSTEMS LIMITED All rights reserved.<BR/>
''' FUJITSU SHIKOKU SYSTEMS LIMITED CONFIDENTIAL<BR/>
''' </remarks>
''' ---------------------------------------------
Public Class clsXSI_BT4HSK
	Inherits clsXSI_BT4

#Region "コンスタント"

	''' ---------------------------------------------
	''' <summary>
	''' 連携CSVレイアウト項目数
	''' </summary>
	''' ---------------------------------------------
	Private Enum ENUM_CSV_CNT As Integer
		V323 = 55
		V3 = 116
		V4 = 115
	End Enum

	Private Const ASST1_NONINPUT As String = "9"	'補足項目１未入力値
	Private Const ASST2_NONINPUT As String = "--"	'補足項目２未入力値

#End Region

#Region "コンストラクタ"

	''' ---------------------------------------------
	''' <summary>
	''' コンストラクタ
	''' </summary>
	''' <param name="cliXSI010F010">親フォーム</param>
	''' <param name="csvFileName">連携CSVファイル</param>
	''' <remarks>
	''' 2010/10/29 新規作成 ACS)牟禮<BR/>
	''' </remarks>
	''' ---------------------------------------------
	Public Sub New(ByVal cliXSI010F010 As XSI010F010, ByVal csvFileName As String)
		MyBase.New(cliXSI010F010, csvFileName)
	End Sub

#End Region

#Region "メソッド"

'(M) STR V4-14019-000 021 20130418 ID)平井(取込処理をサブスレッド化する。)
	' ''' ---------------------------------------------
	' ''' <summary>
	' ''' 【補足項目】連携処理
	' ''' </summary>
	' ''' <remarks>
	' ''' 2010/10/12 新規作成 ACS)牟禮<BR/>
	' ''' </remarks>
	' ''' ---------------------------------------------
	'Public Sub runProc()
	''' ---------------------------------------------
	''' <summary>
	''' 【補足項目】連携処理
	''' </summary>
	''' <returns></returns>
	''' <remarks>
	''' 2010/10/12 新規作成 ACS)牟禮<BR/>
	''' </remarks>
	''' ---------------------------------------------
	Public Function runProc() As clsThread
'(M) END V4-14019-000 021 20130418
		clsSysMst.logEx(clsSysMst.logLevel.DBG, "XSI", Me.GetType().Name, MethodBase.GetCurrentMethod().Name, "システム連携", "補足項目連携", "【補足項目】連携処理 Start")
		Dim allCnt As Long						'全件数
		Dim okCnt As Long						'正常件数
		Dim errCnt As Long						'エラー件数
		Dim asst1Upd As Boolean = False			'補足項目１更新フラグ
		Dim asst2Upd As Boolean = False			'補足項目１更新フラグ
		Dim row As Integer
		Dim rowData() As String
'(A) STR V4-14019-000 004 20130418 ID)平井(取込処理をサブスレッド化する。)
		Dim CntSet As XSI010F010.CntSet_Delegate
		Dim cliTh As clsThread
'(A) END V4-14019-000 004 20130418

		'件数初期化
		allCnt = 0
		okCnt = 0
		errCnt = 0
		row = 0

		Try
			'総件数設定
			allCnt = CInt(Me.cliXSI010F010.lbl063XSI010F010.Text)
'(A) STR V4-14019-000 005 20130418 ID)平井(取込処理をサブスレッド化する。)
			CST_MOD_CNT = getModCount(allCnt)
			CntSet = New XSI010F010.CntSet_Delegate(AddressOf Me.cliXSI010F010.CntSet)
			cliTh = New clsThread
'(A) END V4-14019-000 005 20130418

			Using db As New clsDB(clsSysMst.ctlConfigData)
				Using cliOneCsvData As New clsXSI_MTT_IMP_LOG_ASST(), cliMTI_ASST1 As New clsXSI_MTI_ASST1(), cliMTI_ASST2 As New clsXSI_MTI_ASST2() '取込CSV内の１レコード(ログ登録),補足情報１・２データクラス
					Using cliCSV As New XSP.clsCSV(Me.csvFileName), tfpReader As FileIO.TextFieldParser = cliCSV.getCSV()
						'連携ファイル内を1件ずつ処理
						While Not (tfpReader.EndOfData)
							row += 1
							cliOneCsvData.clear()	'連携CSV１行データクラス
							cliMTI_ASST1.clear()	'補足項目１データクラス
							cliMTI_ASST2.clear()	'補足項目２データクラス
							asst1Upd = False		'補足項目１更新フラグ
							asst2Upd = False		'補足項目１更新フラグ

							Try
								rowData = tfpReader.ReadFields()
								'１行データを格納(V3,V4の違いを吸収)
								Select Case rowData.Length
									Case ENUM_CSV_CNT.V3, ENUM_CSV_CNT.V323
										Me.setV3Cls(rowData, cliOneCsvData)
									Case ENUM_CSV_CNT.V4
										Me.setV4Cls(rowData, cliOneCsvData)
									Case Else
										'エラー情報セット
										cliOneCsvData.ERR_FLG = "1"
										cliOneCsvData.ERR_CD = "E0026"
										'ＣＳＶの個数が違います。
										cliOneCsvData.MESSAGE = Me.cliClsMsg.getMessage(cliOneCsvData.ERR_CD)
								End Select
							Catch ex As FileIO.MalformedLineException
								'エラー情報セット
								cliOneCsvData.ERR_FLG = "1"
								cliOneCsvData.ERR_CD = "E0035"
								'データの形式が不正です。
								cliOneCsvData.MESSAGE = Me.cliClsMsg.getMessage(cliOneCsvData.ERR_CD, New String() {"データの形式"})
							End Try

							cliOneCsvData.SERIAL_NO = row.ToString() '連番設定

							If cliOneCsvData.ERR_FLG = "1" Then
								'連携ファイルエラー
							ElseIf Me.chkCSV(cliOneCsvData, asst1Upd, asst2Upd) = False Then
								'連携ファイル内チェックエラー
							ElseIf Me.setData(db, cliOneCsvData, cliMTI_ASST1, cliMTI_ASST2, asst1Upd, asst2Upd) = False Then
								'整合性チェック+更新用領域に格納エラー
							ElseIf Me.exeSQL(db, cliMTI_ASST1, cliMTI_ASST2, asst1Upd, asst2Upd) <> Enum_ExeReturnFlg.eExecute Then
								'登録/更新エラー
								cliOneCsvData.ERR_FLG = "1"
							End If

							'件数カウント
							If cliOneCsvData.ERR_FLG = "0" Then
								okCnt += 1
							Else
								errCnt += 1
								cliOneCsvData.MODULE_CD = GetType(XSI010F010).Name
							End If

							'ログ出力
							Me.setSqlParam_MTT_IMP_LOG(db, cliOneCsvData)

							'件数更新
							'CST_MOD_CNT毎または最終データの場合更新
							If row Mod CST_MOD_CNT = 0 OrElse row = allCnt Then
'(M) STR V4-13008-000 004 2013/02/08 ID)荒川 病歴大将V4PKG 管理No.204 正常に処理されているのに件数のカウンターが途中でとまる
								'Me.cliXSI010F010.CntSet(XSI010F010.Enum_RENKEI_SYORI.eASST, True, allCnt, okCnt, errCnt)
'(M) STR V4-14019-000 004 20130418 ID)平井(取込処理をサブスレッド化する。)
'								Me.cliXSI010F010.CntSet(XSI010F010.Enum_RENKEI_SYORI.eASST, True, allCnt, okCnt, errCnt, 0)
								Me.cliXSI010F010.BeginInvoke(CntSet, New Object() {XSI010F010.Enum_RENKEI_SYORI.eASST, False, allCnt, okCnt, errCnt, row})
'(M) END V4-14019-000 004 20130418
'(M) END V4-13008-000 004 2013/02/08
							End If
						End While
'(A) STR V4-14005-000 003 20130410 ID)平井(システムログに件数出力)
						clsSysMst.logEx(clsSysMst.logLevel.NRM, "XSI", Me.GetType().Name, MethodBase.GetCurrentMethod().Name, "ｼｽﾃﾑ管理", "ｼｽﾃﾑ連携", String.Format("補足項目，読込件数({0}) 正常件数({1}) ｴﾗｰ件数({2})", allCnt, okCnt, errCnt))
'(A) END V4-14005-000 003 20130410
'(A) STR V4-14019-000 006 20130418 ID)平井(取込処理をサブスレッド化する。)
							' 処理件数設定
							cliTh.NormalCount = okCnt
							cliTh.ErrorCount = errCnt
							cliTh.ProcessCount = row
'(A) END V4-14019-000 006 20130418
					End Using
				End Using
			End Using
'(A) STR V4-14019-000 003 20130418 ID)平井(取込処理をサブスレッド化する。)
			Return cliTh
'(A) END V4-14019-000 003 20130418
		Catch ex As Exception
			Throw
		Finally
			'解放
			rowData = Nothing
'(A) STR V4-14019-000 003 20130418 ID)平井(取込処理をサブスレッド化する。)
			CntSet = Nothing
'(A) END V4-14019-000 003 20130418
		End Try
	End Function

	''' ---------------------------------------------
	''' <summary>
	''' 【補足項目】DB内データと整合性チェック + 更新用領域にセット
	''' </summary>
	''' <param name="pDb">DBクラス</param>
	''' <param name="cliOneCsvData">連携ファイル1行データ</param>
	''' <param name="cliMTI_ASST1">補足項目１データクラス</param>
	''' <param name="cliMTI_ASST2">補足項目２データクラス</param>
	''' <param name="asst1Upd">補足項目１更新フラグ</param>
	''' <param name="asst2Upd">補足項目２更新フラグ</param>
	''' <returns></returns>
	''' <remarks>
	''' 2010/10/12 新規作成 ACS)牟禮<BR/>
	''' </remarks>
	''' ---------------------------------------------
	Private Function setData(ByVal pDb As clsDB, ByVal cliOneCsvData As clsXSI_MTT_IMP_LOG_ASST, _
							 ByVal cliMTI_ASST1 As clsXSI_MTI_ASST1, ByVal cliMTI_ASST2 As clsXSI_MTI_ASST2, _
							 ByVal asst1Upd As Boolean, ByVal asst2Upd As Boolean) As Boolean

		clsSysMst.logEx(clsSysMst.logLevel.DBG, "XSI", Me.GetType().Name, MethodBase.GetCurrentMethod().Name, "システム連携", "補足項目連携", "【補足項目】DB内データと整合性チェック + 更新用領域にセット Start")
		Dim hspHistoryNo As String = String.Empty  '入退院歴番号
		Dim chNo As String = String.Empty		   '科歴番号
		Try
			If asst1Upd = True OrElse asst2Upd = True Then
				'連携１行データの情報から科歴情報を取得する
				Using dtNew As DataTable = Me.getSqlParam_MTI_CH(pDb, cliOneCsvData.PATIENT_NO, cliOneCsvData.DEPT_CD, cliOneCsvData.HSP_DT, )
					If dtNew.Rows.Count = 0 Then
						'該当データが存在しない
						cliOneCsvData.ERR_FLG = "1"
						cliOneCsvData.ERR_CD = "E0015"
						'対象の科歴情報が存在しません。
						cliOneCsvData.MESSAGE = Me.cliClsMsg.getMessage(cliOneCsvData.ERR_CD, New String() {"対象の科歴情報", Nothing})
						Return False
					End If

					'登録状況チェック
					If Me.cliXSI010F010.fixCodeContainsCode(XSI010F010.Enum_CODE.regStatusImpNonUpd_ALL, dtNew.Rows(0).Item(sqlXSI010F010.itmREG_STATUS_CD).ToString()) = True Then
						cliOneCsvData.ERR_FLG = "1"
						cliOneCsvData.ERR_CD = "E0003"
						'登録状況が「完成」のため、更新できません。
						cliOneCsvData.MESSAGE = Me.cliClsMsg.getMessage(cliOneCsvData.ERR_CD, New String() {"登録状況が「完成」の", "更新", Nothing})
						Return False
					End If

					hspHistoryNo = dtNew.Rows(0).Item(sqlXSI010F010.itmHSP_HISTORY_NO).ToString()	'入退院歴番号
					chNo = dtNew.Rows(0).Item(sqlXSI010F010.itmCH_NO).ToString()					'科歴番号
				End Using
			End If

			'補足項目１(登録/更新する場合のみ更新用領域にセット)
			If asst1Upd = True Then
				cliMTI_ASST1.PATIENT_NO = cliOneCsvData.PATIENT_NO	'患者番号
				cliMTI_ASST1.HSP_HISTORY_NO = hspHistoryNo			'入退院歴番号
				cliMTI_ASST1.CH_NO = chNo							'科歴番号

				'補足項目１～６４
				cliMTI_ASST1.ASST_ITM001 = cliOneCsvData.ASST1_INFO.Chars(0)
				cliMTI_ASST1.ASST_ITM002 = cliOneCsvData.ASST1_INFO.Chars(1)
				cliMTI_ASST1.ASST_ITM003 = cliOneCsvData.ASST1_INFO.Chars(2)
				cliMTI_ASST1.ASST_ITM004 = cliOneCsvData.ASST1_INFO.Chars(3)
				cliMTI_ASST1.ASST_ITM005 = cliOneCsvData.ASST1_INFO.Chars(4)
				cliMTI_ASST1.ASST_ITM006 = cliOneCsvData.ASST1_INFO.Chars(5)
				cliMTI_ASST1.ASST_ITM007 = cliOneCsvData.ASST1_INFO.Chars(6)
				cliMTI_ASST1.ASST_ITM008 = cliOneCsvData.ASST1_INFO.Chars(7)
				cliMTI_ASST1.ASST_ITM009 = cliOneCsvData.ASST1_INFO.Chars(8)
				cliMTI_ASST1.ASST_ITM010 = cliOneCsvData.ASST1_INFO.Chars(9)
				cliMTI_ASST1.ASST_ITM011 = cliOneCsvData.ASST1_INFO.Chars(10)
				cliMTI_ASST1.ASST_ITM012 = cliOneCsvData.ASST1_INFO.Chars(11)
				cliMTI_ASST1.ASST_ITM013 = cliOneCsvData.ASST1_INFO.Chars(12)
				cliMTI_ASST1.ASST_ITM014 = cliOneCsvData.ASST1_INFO.Chars(13)
				cliMTI_ASST1.ASST_ITM015 = cliOneCsvData.ASST1_INFO.Chars(14)
				cliMTI_ASST1.ASST_ITM016 = cliOneCsvData.ASST1_INFO.Chars(15)
				cliMTI_ASST1.ASST_ITM017 = cliOneCsvData.ASST1_INFO.Chars(16)
				cliMTI_ASST1.ASST_ITM018 = cliOneCsvData.ASST1_INFO.Chars(17)
				cliMTI_ASST1.ASST_ITM019 = cliOneCsvData.ASST1_INFO.Chars(18)
				cliMTI_ASST1.ASST_ITM020 = cliOneCsvData.ASST1_INFO.Chars(19)
				cliMTI_ASST1.ASST_ITM021 = cliOneCsvData.ASST1_INFO.Chars(20)
				cliMTI_ASST1.ASST_ITM022 = cliOneCsvData.ASST1_INFO.Chars(21)
				cliMTI_ASST1.ASST_ITM023 = cliOneCsvData.ASST1_INFO.Chars(22)
				cliMTI_ASST1.ASST_ITM024 = cliOneCsvData.ASST1_INFO.Chars(23)
				cliMTI_ASST1.ASST_ITM025 = cliOneCsvData.ASST1_INFO.Chars(24)
				cliMTI_ASST1.ASST_ITM026 = cliOneCsvData.ASST1_INFO.Chars(25)
				cliMTI_ASST1.ASST_ITM027 = cliOneCsvData.ASST1_INFO.Chars(26)
				cliMTI_ASST1.ASST_ITM028 = cliOneCsvData.ASST1_INFO.Chars(27)
				cliMTI_ASST1.ASST_ITM029 = cliOneCsvData.ASST1_INFO.Chars(28)
				cliMTI_ASST1.ASST_ITM030 = cliOneCsvData.ASST1_INFO.Chars(29)
				cliMTI_ASST1.ASST_ITM031 = cliOneCsvData.ASST1_INFO.Chars(30)
				cliMTI_ASST1.ASST_ITM032 = cliOneCsvData.ASST1_INFO.Chars(31)
				cliMTI_ASST1.ASST_ITM033 = cliOneCsvData.ASST1_INFO.Chars(32)
				cliMTI_ASST1.ASST_ITM034 = cliOneCsvData.ASST1_INFO.Chars(33)
				cliMTI_ASST1.ASST_ITM035 = cliOneCsvData.ASST1_INFO.Chars(34)
				cliMTI_ASST1.ASST_ITM036 = cliOneCsvData.ASST1_INFO.Chars(35)
				cliMTI_ASST1.ASST_ITM037 = cliOneCsvData.ASST1_INFO.Chars(36)
				cliMTI_ASST1.ASST_ITM038 = cliOneCsvData.ASST1_INFO.Chars(37)
				cliMTI_ASST1.ASST_ITM039 = cliOneCsvData.ASST1_INFO.Chars(38)
				cliMTI_ASST1.ASST_ITM040 = cliOneCsvData.ASST1_INFO.Chars(39)
				cliMTI_ASST1.ASST_ITM041 = cliOneCsvData.ASST1_INFO.Chars(40)
				cliMTI_ASST1.ASST_ITM042 = cliOneCsvData.ASST1_INFO.Chars(41)
				cliMTI_ASST1.ASST_ITM043 = cliOneCsvData.ASST1_INFO.Chars(42)
				cliMTI_ASST1.ASST_ITM044 = cliOneCsvData.ASST1_INFO.Chars(43)
				cliMTI_ASST1.ASST_ITM045 = cliOneCsvData.ASST1_INFO.Chars(44)
				cliMTI_ASST1.ASST_ITM046 = cliOneCsvData.ASST1_INFO.Chars(45)
				cliMTI_ASST1.ASST_ITM047 = cliOneCsvData.ASST1_INFO.Chars(46)
				cliMTI_ASST1.ASST_ITM048 = cliOneCsvData.ASST1_INFO.Chars(47)
				cliMTI_ASST1.ASST_ITM049 = cliOneCsvData.ASST1_INFO.Chars(48)
				cliMTI_ASST1.ASST_ITM050 = cliOneCsvData.ASST1_INFO.Chars(49)
				cliMTI_ASST1.ASST_ITM051 = cliOneCsvData.ASST1_INFO.Chars(50)
				cliMTI_ASST1.ASST_ITM052 = cliOneCsvData.ASST1_INFO.Chars(51)
				cliMTI_ASST1.ASST_ITM053 = cliOneCsvData.ASST1_INFO.Chars(52)
				cliMTI_ASST1.ASST_ITM054 = cliOneCsvData.ASST1_INFO.Chars(53)
				cliMTI_ASST1.ASST_ITM055 = cliOneCsvData.ASST1_INFO.Chars(54)
				cliMTI_ASST1.ASST_ITM056 = cliOneCsvData.ASST1_INFO.Chars(55)
				cliMTI_ASST1.ASST_ITM057 = cliOneCsvData.ASST1_INFO.Chars(56)
				cliMTI_ASST1.ASST_ITM058 = cliOneCsvData.ASST1_INFO.Chars(57)
				cliMTI_ASST1.ASST_ITM059 = cliOneCsvData.ASST1_INFO.Chars(58)
				cliMTI_ASST1.ASST_ITM060 = cliOneCsvData.ASST1_INFO.Chars(59)
				cliMTI_ASST1.ASST_ITM061 = cliOneCsvData.ASST1_INFO.Chars(60)
				cliMTI_ASST1.ASST_ITM062 = cliOneCsvData.ASST1_INFO.Chars(61)
				cliMTI_ASST1.ASST_ITM063 = cliOneCsvData.ASST1_INFO.Chars(62)
				cliMTI_ASST1.ASST_ITM064 = cliOneCsvData.ASST1_INFO.Chars(63)

				'補足項目６５～１３２
				cliMTI_ASST1.ASST_ITM065 = cliOneCsvData.ASST1_INFO2.Chars(0)
				cliMTI_ASST1.ASST_ITM066 = cliOneCsvData.ASST1_INFO2.Chars(1)
				cliMTI_ASST1.ASST_ITM067 = cliOneCsvData.ASST1_INFO2.Chars(2)
				cliMTI_ASST1.ASST_ITM068 = cliOneCsvData.ASST1_INFO2.Chars(3)
				cliMTI_ASST1.ASST_ITM069 = cliOneCsvData.ASST1_INFO2.Chars(4)
				cliMTI_ASST1.ASST_ITM070 = cliOneCsvData.ASST1_INFO2.Chars(5)
				cliMTI_ASST1.ASST_ITM071 = cliOneCsvData.ASST1_INFO2.Chars(6)
				cliMTI_ASST1.ASST_ITM072 = cliOneCsvData.ASST1_INFO2.Chars(7)
				cliMTI_ASST1.ASST_ITM073 = cliOneCsvData.ASST1_INFO2.Chars(8)
				cliMTI_ASST1.ASST_ITM074 = cliOneCsvData.ASST1_INFO2.Chars(9)
				cliMTI_ASST1.ASST_ITM075 = cliOneCsvData.ASST1_INFO2.Chars(10)
				cliMTI_ASST1.ASST_ITM076 = cliOneCsvData.ASST1_INFO2.Chars(11)
				cliMTI_ASST1.ASST_ITM077 = cliOneCsvData.ASST1_INFO2.Chars(12)
				cliMTI_ASST1.ASST_ITM078 = cliOneCsvData.ASST1_INFO2.Chars(13)
				cliMTI_ASST1.ASST_ITM079 = cliOneCsvData.ASST1_INFO2.Chars(14)
				cliMTI_ASST1.ASST_ITM080 = cliOneCsvData.ASST1_INFO2.Chars(15)
				cliMTI_ASST1.ASST_ITM081 = cliOneCsvData.ASST1_INFO2.Chars(16)
				cliMTI_ASST1.ASST_ITM082 = cliOneCsvData.ASST1_INFO2.Chars(17)
				cliMTI_ASST1.ASST_ITM083 = cliOneCsvData.ASST1_INFO2.Chars(18)
				cliMTI_ASST1.ASST_ITM084 = cliOneCsvData.ASST1_INFO2.Chars(19)
				cliMTI_ASST1.ASST_ITM085 = cliOneCsvData.ASST1_INFO2.Chars(20)
				cliMTI_ASST1.ASST_ITM086 = cliOneCsvData.ASST1_INFO2.Chars(21)
				cliMTI_ASST1.ASST_ITM087 = cliOneCsvData.ASST1_INFO2.Chars(22)
				cliMTI_ASST1.ASST_ITM088 = cliOneCsvData.ASST1_INFO2.Chars(23)
				cliMTI_ASST1.ASST_ITM089 = cliOneCsvData.ASST1_INFO2.Chars(24)
				cliMTI_ASST1.ASST_ITM090 = cliOneCsvData.ASST1_INFO2.Chars(25)
				cliMTI_ASST1.ASST_ITM091 = cliOneCsvData.ASST1_INFO2.Chars(26)
				cliMTI_ASST1.ASST_ITM092 = cliOneCsvData.ASST1_INFO2.Chars(27)
				cliMTI_ASST1.ASST_ITM093 = cliOneCsvData.ASST1_INFO2.Chars(28)
				cliMTI_ASST1.ASST_ITM094 = cliOneCsvData.ASST1_INFO2.Chars(29)
				cliMTI_ASST1.ASST_ITM095 = cliOneCsvData.ASST1_INFO2.Chars(30)
				cliMTI_ASST1.ASST_ITM096 = cliOneCsvData.ASST1_INFO2.Chars(31)
				cliMTI_ASST1.ASST_ITM097 = cliOneCsvData.ASST1_INFO2.Chars(32)
				cliMTI_ASST1.ASST_ITM098 = cliOneCsvData.ASST1_INFO2.Chars(33)
				cliMTI_ASST1.ASST_ITM099 = cliOneCsvData.ASST1_INFO2.Chars(34)
				cliMTI_ASST1.ASST_ITM100 = cliOneCsvData.ASST1_INFO2.Chars(35)
				cliMTI_ASST1.ASST_ITM101 = cliOneCsvData.ASST1_INFO2.Chars(36)
				cliMTI_ASST1.ASST_ITM102 = cliOneCsvData.ASST1_INFO2.Chars(37)
				cliMTI_ASST1.ASST_ITM103 = cliOneCsvData.ASST1_INFO2.Chars(38)
				cliMTI_ASST1.ASST_ITM104 = cliOneCsvData.ASST1_INFO2.Chars(39)
				cliMTI_ASST1.ASST_ITM105 = cliOneCsvData.ASST1_INFO2.Chars(40)
				cliMTI_ASST1.ASST_ITM106 = cliOneCsvData.ASST1_INFO2.Chars(41)
				cliMTI_ASST1.ASST_ITM107 = cliOneCsvData.ASST1_INFO2.Chars(42)
				cliMTI_ASST1.ASST_ITM108 = cliOneCsvData.ASST1_INFO2.Chars(43)
				cliMTI_ASST1.ASST_ITM109 = cliOneCsvData.ASST1_INFO2.Chars(44)
				cliMTI_ASST1.ASST_ITM110 = cliOneCsvData.ASST1_INFO2.Chars(45)
				cliMTI_ASST1.ASST_ITM111 = cliOneCsvData.ASST1_INFO2.Chars(46)
				cliMTI_ASST1.ASST_ITM112 = cliOneCsvData.ASST1_INFO2.Chars(47)
				cliMTI_ASST1.ASST_ITM113 = cliOneCsvData.ASST1_INFO2.Chars(48)
				cliMTI_ASST1.ASST_ITM114 = cliOneCsvData.ASST1_INFO2.Chars(49)
				cliMTI_ASST1.ASST_ITM115 = cliOneCsvData.ASST1_INFO2.Chars(50)
				cliMTI_ASST1.ASST_ITM116 = cliOneCsvData.ASST1_INFO2.Chars(51)
				cliMTI_ASST1.ASST_ITM117 = cliOneCsvData.ASST1_INFO2.Chars(52)
				cliMTI_ASST1.ASST_ITM118 = cliOneCsvData.ASST1_INFO2.Chars(53)
				cliMTI_ASST1.ASST_ITM119 = cliOneCsvData.ASST1_INFO2.Chars(54)
				cliMTI_ASST1.ASST_ITM120 = cliOneCsvData.ASST1_INFO2.Chars(55)
				cliMTI_ASST1.ASST_ITM121 = cliOneCsvData.ASST1_INFO2.Chars(56)
				cliMTI_ASST1.ASST_ITM122 = cliOneCsvData.ASST1_INFO2.Chars(57)
				cliMTI_ASST1.ASST_ITM123 = cliOneCsvData.ASST1_INFO2.Chars(58)
				cliMTI_ASST1.ASST_ITM124 = cliOneCsvData.ASST1_INFO2.Chars(59)
				cliMTI_ASST1.ASST_ITM125 = cliOneCsvData.ASST1_INFO2.Chars(60)
				cliMTI_ASST1.ASST_ITM126 = cliOneCsvData.ASST1_INFO2.Chars(61)
				cliMTI_ASST1.ASST_ITM127 = cliOneCsvData.ASST1_INFO2.Chars(62)
				cliMTI_ASST1.ASST_ITM128 = cliOneCsvData.ASST1_INFO2.Chars(63)
				cliMTI_ASST1.ASST_ITM129 = cliOneCsvData.ASST1_INFO2.Chars(64)
				cliMTI_ASST1.ASST_ITM130 = cliOneCsvData.ASST1_INFO2.Chars(65)
				cliMTI_ASST1.ASST_ITM131 = cliOneCsvData.ASST1_INFO2.Chars(66)
				cliMTI_ASST1.ASST_ITM132 = cliOneCsvData.ASST1_INFO2.Chars(67)
			End If

			'補足項目２(登録/更新する場合のみ更新用領域にセット)
			If asst2Upd = True Then
				cliMTI_ASST2.PATIENT_NO = cliOneCsvData.PATIENT_NO	'患者番号
				cliMTI_ASST2.HSP_HISTORY_NO = hspHistoryNo			'入退院歴番号
				cliMTI_ASST2.CH_NO = chNo							'科歴番号
				cliMTI_ASST2.TEXT1 = cliOneCsvData.TEXT1			'テキスト１
				cliMTI_ASST2.TEXT2 = cliOneCsvData.TEXT2			'テキスト２
				cliMTI_ASST2.TEXT3 = cliOneCsvData.TEXT3			'テキスト３
				cliMTI_ASST2.TEXT4 = cliOneCsvData.TEXT4			'テキスト４
				cliMTI_ASST2.TEXT5 = cliOneCsvData.TEXT5			'テキスト５
				cliMTI_ASST2.TEXT6 = cliOneCsvData.TEXT6			'テキスト６
				cliMTI_ASST2.TEXT7 = cliOneCsvData.TEXT7			'テキスト７
				cliMTI_ASST2.TEXT8 = cliOneCsvData.TEXT8			'テキスト８
				cliMTI_ASST2.TEXT9 = cliOneCsvData.TEXT9			'テキスト９
				cliMTI_ASST2.TEXT10 = cliOneCsvData.TEXT10			'テキスト１０
				cliMTI_ASST2.TEXT11 = cliOneCsvData.TEXT11			'テキスト１１
				cliMTI_ASST2.TEXT12 = cliOneCsvData.TEXT12			'テキスト１２
				cliMTI_ASST2.NUMBER1 = cliOneCsvData.NUMBER1		'数字１
				cliMTI_ASST2.NUMBER2 = cliOneCsvData.NUMBER2		'数字２
				cliMTI_ASST2.NUMBER3 = cliOneCsvData.NUMBER3		'数字３
				cliMTI_ASST2.NUMBER4 = cliOneCsvData.NUMBER4		'数字４
				cliMTI_ASST2.NUMBER5 = cliOneCsvData.NUMBER5		'数字５
				cliMTI_ASST2.NUMBER6 = cliOneCsvData.NUMBER6		'数字６
				cliMTI_ASST2.NUMBER7 = cliOneCsvData.NUMBER7		'数字７
				cliMTI_ASST2.NUMBER8 = cliOneCsvData.NUMBER8		'数字８
				cliMTI_ASST2.NUMBER9 = cliOneCsvData.NUMBER9		'数字９
				cliMTI_ASST2.NUMBER10 = cliOneCsvData.NUMBER10		'数字１０
				cliMTI_ASST2.NUMBER11 = cliOneCsvData.NUMBER11		'数字１１
				cliMTI_ASST2.NUMBER12 = cliOneCsvData.NUMBER12		'数字１２
				cliMTI_ASST2.DATE1 = cliOneCsvData.DATE1			'日付１
				cliMTI_ASST2.DATE2 = cliOneCsvData.DATE2			'日付２
				cliMTI_ASST2.DATE3 = cliOneCsvData.DATE3			'日付３
				cliMTI_ASST2.DATE4 = cliOneCsvData.DATE4			'日付４
				cliMTI_ASST2.DATE5 = cliOneCsvData.DATE5			'日付５
				cliMTI_ASST2.DATE6 = cliOneCsvData.DATE6			'日付６
				cliMTI_ASST2.DATE7 = cliOneCsvData.DATE7			'日付７
				cliMTI_ASST2.DATE8 = cliOneCsvData.DATE8			'日付８
				cliMTI_ASST2.DATE9 = cliOneCsvData.DATE9			'日付９
				cliMTI_ASST2.DATE10 = cliOneCsvData.DATE10			'日付１０
				cliMTI_ASST2.DATE11 = cliOneCsvData.DATE11			'日付１１
				cliMTI_ASST2.DATE12 = cliOneCsvData.DATE12			'日付１２
				cliMTI_ASST2.COMBO1 = cliOneCsvData.COMBO1			'コンボ１
				cliMTI_ASST2.COMBO2 = cliOneCsvData.COMBO2			'コンボ２
				cliMTI_ASST2.COMBO3 = cliOneCsvData.COMBO3			'コンボ３
				cliMTI_ASST2.COMBO4 = cliOneCsvData.COMBO4			'コンボ４
				cliMTI_ASST2.COMBO5 = cliOneCsvData.COMBO5			'コンボ５
				cliMTI_ASST2.COMBO6 = cliOneCsvData.COMBO6			'コンボ６
				cliMTI_ASST2.COMBO7 = cliOneCsvData.COMBO7			'コンボ７
				cliMTI_ASST2.COMBO8 = cliOneCsvData.COMBO8			'コンボ８
				cliMTI_ASST2.COMBO9 = cliOneCsvData.COMBO9			'コンボ９
				cliMTI_ASST2.COMBO10 = cliOneCsvData.COMBO10		'コンボ１０
				cliMTI_ASST2.COMBO11 = cliOneCsvData.COMBO11		'コンボ１１
				cliMTI_ASST2.COMBO12 = cliOneCsvData.COMBO12		'コンボ１２
				cliMTI_ASST2.TEXT13 = cliOneCsvData.TEXT13			'テキスト１３
				cliMTI_ASST2.TEXT14 = cliOneCsvData.TEXT14			'テキスト１４
				cliMTI_ASST2.TEXT15 = cliOneCsvData.TEXT15			'テキスト１５
				cliMTI_ASST2.TEXT16 = cliOneCsvData.TEXT16			'テキスト１６
				cliMTI_ASST2.TEXT17 = cliOneCsvData.TEXT17			'テキスト１７
				cliMTI_ASST2.TEXT18 = cliOneCsvData.TEXT18			'テキスト１８
				cliMTI_ASST2.TEXT19 = cliOneCsvData.TEXT19			'テキスト１９
				cliMTI_ASST2.TEXT20 = cliOneCsvData.TEXT20			'テキスト２０
				cliMTI_ASST2.TEXT21 = cliOneCsvData.TEXT21			'テキスト２１
				cliMTI_ASST2.TEXT22 = cliOneCsvData.TEXT22			'テキスト２２
				cliMTI_ASST2.TEXT23 = cliOneCsvData.TEXT23			'テキスト２３
				cliMTI_ASST2.TEXT24 = cliOneCsvData.TEXT24			'テキスト２４
				cliMTI_ASST2.TEXT25 = cliOneCsvData.TEXT25			'テキスト２５
				cliMTI_ASST2.TEXT26 = cliOneCsvData.TEXT26			'テキスト２６
				cliMTI_ASST2.TEXT27 = cliOneCsvData.TEXT27			'テキスト２７
				cliMTI_ASST2.TEXT28 = cliOneCsvData.TEXT28			'テキスト２８
				cliMTI_ASST2.TEXT29 = cliOneCsvData.TEXT29			'テキスト２９
				cliMTI_ASST2.TEXT30 = cliOneCsvData.TEXT30			'テキスト３０
				cliMTI_ASST2.NUMBER13 = cliOneCsvData.NUMBER13		'数字１３
				cliMTI_ASST2.NUMBER14 = cliOneCsvData.NUMBER14		'数字１４
				cliMTI_ASST2.NUMBER15 = cliOneCsvData.NUMBER15		'数字１５
				cliMTI_ASST2.NUMBER16 = cliOneCsvData.NUMBER16		'数字１６
				cliMTI_ASST2.NUMBER17 = cliOneCsvData.NUMBER17		'数字１７
				cliMTI_ASST2.NUMBER18 = cliOneCsvData.NUMBER18		'数字１８
				cliMTI_ASST2.NUMBER19 = cliOneCsvData.NUMBER19		'数字１９
				cliMTI_ASST2.NUMBER20 = cliOneCsvData.NUMBER20		'数字２０
				cliMTI_ASST2.NUMBER21 = cliOneCsvData.NUMBER21		'数字２１
				cliMTI_ASST2.NUMBER22 = cliOneCsvData.NUMBER22		'数字２２
				cliMTI_ASST2.NUMBER23 = cliOneCsvData.NUMBER23		'数字２３
				cliMTI_ASST2.NUMBER24 = cliOneCsvData.NUMBER24		'数字２４
				cliMTI_ASST2.NUMBER25 = cliOneCsvData.NUMBER25		'数字２５
				cliMTI_ASST2.NUMBER26 = cliOneCsvData.NUMBER26		'数字２６
				cliMTI_ASST2.NUMBER27 = cliOneCsvData.NUMBER27		'数字２７
				cliMTI_ASST2.NUMBER28 = cliOneCsvData.NUMBER28		'数字２８
				cliMTI_ASST2.NUMBER29 = cliOneCsvData.NUMBER29		'数字２９
				cliMTI_ASST2.NUMBER30 = cliOneCsvData.NUMBER30		'数字３０
				cliMTI_ASST2.COMBO13 = cliOneCsvData.COMBO13		'コンボ１３
				cliMTI_ASST2.COMBO14 = cliOneCsvData.COMBO14		'コンボ１４
				cliMTI_ASST2.COMBO15 = cliOneCsvData.COMBO15		'コンボ１５
				cliMTI_ASST2.COMBO16 = cliOneCsvData.COMBO16		'コンボ１６
				cliMTI_ASST2.COMBO17 = cliOneCsvData.COMBO17		'コンボ１７
				cliMTI_ASST2.COMBO18 = cliOneCsvData.COMBO18		'コンボ１８
				cliMTI_ASST2.COMBO19 = cliOneCsvData.COMBO19		'コンボ１９
				cliMTI_ASST2.COMBO20 = cliOneCsvData.COMBO20		'コンボ２０
				cliMTI_ASST2.COMBO21 = cliOneCsvData.COMBO21		'コンボ２１
				cliMTI_ASST2.COMBO22 = cliOneCsvData.COMBO22		'コンボ２２
				cliMTI_ASST2.COMBO23 = cliOneCsvData.COMBO23		'コンボ２３
				cliMTI_ASST2.COMBO24 = cliOneCsvData.COMBO24		'コンボ２４
				cliMTI_ASST2.COMBO25 = cliOneCsvData.COMBO25		'コンボ２５
				cliMTI_ASST2.COMBO26 = cliOneCsvData.COMBO26		'コンボ２６
				cliMTI_ASST2.COMBO27 = cliOneCsvData.COMBO27		'コンボ２７
				cliMTI_ASST2.COMBO28 = cliOneCsvData.COMBO28		'コンボ２８
				cliMTI_ASST2.COMBO29 = cliOneCsvData.COMBO29		'コンボ２９
				cliMTI_ASST2.COMBO30 = cliOneCsvData.COMBO30		'コンボ３０
				cliMTI_ASST2.COMBO31 = cliOneCsvData.COMBO31		'コンボ３１
				cliMTI_ASST2.COMBO32 = cliOneCsvData.COMBO32		'コンボ３２
				cliMTI_ASST2.COMBO33 = cliOneCsvData.COMBO33		'コンボ３３
				cliMTI_ASST2.COMBO34 = cliOneCsvData.COMBO34		'コンボ３４
				cliMTI_ASST2.COMBO35 = cliOneCsvData.COMBO35		'コンボ３５
				cliMTI_ASST2.COMBO36 = cliOneCsvData.COMBO36		'コンボ３６
			End If

			Return True
		Catch ex As Exception
			Throw
		Finally
			'解放
			hspHistoryNo = Nothing
			chNo = Nothing
		End Try
	End Function

	''' ---------------------------------------------
	''' <summary>
	''' 【補足項目】CSVチェック処理
	''' </summary>
	''' <param name="cliOneCsvData">連携ファイル1行データ</param>
	''' <param name="retAsst1Upd">補足項目１更新フラグ格納</param>
	''' <param name="retAsst2Upd">補足項目２更新フラグ格納</param>
	''' <returns>False:エラー</returns>
	''' <remarks>
	''' 2010/10/28 新規作成　ACS)牟禮<BR/>
	''' </remarks>
	''' ---------------------------------------------
	Private Function chkCSV(ByVal cliOneCsvData As clsXSI_MTT_IMP_LOG_ASST, ByRef retAsst1Upd As Boolean, ByRef retAsst2Upd As Boolean) As Boolean
		clsSysMst.logEx(clsSysMst.logLevel.DBG, "XSI", Me.GetType().Name, MethodBase.GetCurrentMethod().Name, "システム連携", "補足項目連携", "【補足項目】CSVチェック処理 Start")
		Dim disit As List(Of Integer) = Nothing
		Dim oneCsv As List(Of String) = Nothing
		Dim dataTypePattern() As Char							'データ種別パターン
		Dim asst1Info1 As Boolean = False						'補足１情報更新フラグ
		Dim asst1Info2 As Boolean = False						'補足１情報２更新チェック
		Try
			oneCsv = New List(Of String)
			'データ種別パターン
			dataTypePattern = New Char() {"A"c}
			'取り込んだデータをワーカーに設定
			oneCsv.Add(cliOneCsvData.DATA_TYPE)	   'データ種別
			oneCsv.Add(cliOneCsvData.PATIENT_NO)   '患者番号
			oneCsv.Add(cliOneCsvData.DEPT_CD)	   '診療科コード
			oneCsv.Add(cliOneCsvData.HSP_DT)	   '入院日（開始日）
			oneCsv.Add(cliOneCsvData.ASST1_INFO)   '補足項目１情報
			oneCsv.Add(cliOneCsvData.ASST1_INFO2)  '補足項目１情報２
			oneCsv.Add(cliOneCsvData.TEXT1)		   'テキスト１
			oneCsv.Add(cliOneCsvData.TEXT2)		   'テキスト２
			oneCsv.Add(cliOneCsvData.TEXT3)		   'テキスト３
			oneCsv.Add(cliOneCsvData.TEXT4)		   'テキスト４
			oneCsv.Add(cliOneCsvData.TEXT5)		   'テキスト５
			oneCsv.Add(cliOneCsvData.TEXT6)		   'テキスト６
			oneCsv.Add(cliOneCsvData.TEXT7)		   'テキスト７
			oneCsv.Add(cliOneCsvData.TEXT8)		   'テキスト８
			oneCsv.Add(cliOneCsvData.TEXT9)		   'テキスト９
			oneCsv.Add(cliOneCsvData.TEXT10)	   'テキスト１０
			oneCsv.Add(cliOneCsvData.TEXT11)	   'テキスト１１
			oneCsv.Add(cliOneCsvData.TEXT12)	   'テキスト１２
			oneCsv.Add(cliOneCsvData.TEXT13)	   'テキスト１３
			oneCsv.Add(cliOneCsvData.TEXT14)	   'テキスト１４
			oneCsv.Add(cliOneCsvData.TEXT15)	   'テキスト１５
			oneCsv.Add(cliOneCsvData.TEXT16)	   'テキスト１６
			oneCsv.Add(cliOneCsvData.TEXT17)	   'テキスト１７
			oneCsv.Add(cliOneCsvData.TEXT18)	   'テキスト１８
			oneCsv.Add(cliOneCsvData.TEXT19)	   'テキスト１９
			oneCsv.Add(cliOneCsvData.TEXT20)	   'テキスト２０
			oneCsv.Add(cliOneCsvData.TEXT21)	   'テキスト２１
			oneCsv.Add(cliOneCsvData.TEXT22)	   'テキスト２２
			oneCsv.Add(cliOneCsvData.TEXT23)	   'テキスト２３
			oneCsv.Add(cliOneCsvData.TEXT24)	   'テキスト２４
			oneCsv.Add(cliOneCsvData.TEXT25)	   'テキスト２５
			oneCsv.Add(cliOneCsvData.TEXT26)	   'テキスト２６
			oneCsv.Add(cliOneCsvData.TEXT27)	   'テキスト２７
			oneCsv.Add(cliOneCsvData.TEXT28)	   'テキスト２８
			oneCsv.Add(cliOneCsvData.TEXT29)	   'テキスト２９
			oneCsv.Add(cliOneCsvData.TEXT30)	   'テキスト３０
			oneCsv.Add(cliOneCsvData.NUMBER1)	   '数字１
			oneCsv.Add(cliOneCsvData.NUMBER2)	   '数字２
			oneCsv.Add(cliOneCsvData.NUMBER3)	   '数字３
			oneCsv.Add(cliOneCsvData.NUMBER4)	   '数字４
			oneCsv.Add(cliOneCsvData.NUMBER5)	   '数字５
			oneCsv.Add(cliOneCsvData.NUMBER6)	   '数字６
			oneCsv.Add(cliOneCsvData.NUMBER7)	   '数字７
			oneCsv.Add(cliOneCsvData.NUMBER8)	   '数字８
			oneCsv.Add(cliOneCsvData.NUMBER9)	   '数字９
			oneCsv.Add(cliOneCsvData.NUMBER10)	   '数字１０
			oneCsv.Add(cliOneCsvData.NUMBER11)	   '数字１１
			oneCsv.Add(cliOneCsvData.NUMBER12)	   '数字１２
			oneCsv.Add(cliOneCsvData.NUMBER13)	   '数字１３
			oneCsv.Add(cliOneCsvData.NUMBER14)	   '数字１４
			oneCsv.Add(cliOneCsvData.NUMBER15)	   '数字１５
			oneCsv.Add(cliOneCsvData.NUMBER16)	   '数字１６
			oneCsv.Add(cliOneCsvData.NUMBER17)	   '数字１７
			oneCsv.Add(cliOneCsvData.NUMBER18)	   '数字１８
			oneCsv.Add(cliOneCsvData.NUMBER19)	   '数字１９
			oneCsv.Add(cliOneCsvData.NUMBER20)	   '数字２０
			oneCsv.Add(cliOneCsvData.NUMBER21)	   '数字２１
			oneCsv.Add(cliOneCsvData.NUMBER22)	   '数字２２
			oneCsv.Add(cliOneCsvData.NUMBER23)	   '数字２３
			oneCsv.Add(cliOneCsvData.NUMBER24)	   '数字２４
			oneCsv.Add(cliOneCsvData.NUMBER25)	   '数字２５
			oneCsv.Add(cliOneCsvData.NUMBER26)	   '数字２６
			oneCsv.Add(cliOneCsvData.NUMBER27)	   '数字２７
			oneCsv.Add(cliOneCsvData.NUMBER28)	   '数字２８
			oneCsv.Add(cliOneCsvData.NUMBER29)	   '数字２９
			oneCsv.Add(cliOneCsvData.NUMBER30)	   '数字３０
			oneCsv.Add(cliOneCsvData.DATE1)		   '日付１
			oneCsv.Add(cliOneCsvData.DATE2)		   '日付２
			oneCsv.Add(cliOneCsvData.DATE3)		   '日付３
			oneCsv.Add(cliOneCsvData.DATE4)		   '日付４
			oneCsv.Add(cliOneCsvData.DATE5)		   '日付５
			oneCsv.Add(cliOneCsvData.DATE6)		   '日付６
			oneCsv.Add(cliOneCsvData.DATE7)		   '日付７
			oneCsv.Add(cliOneCsvData.DATE8)		   '日付８
			oneCsv.Add(cliOneCsvData.DATE9)		   '日付９
			oneCsv.Add(cliOneCsvData.DATE10)	   '日付１０
			oneCsv.Add(cliOneCsvData.DATE11)	   '日付１１
			oneCsv.Add(cliOneCsvData.DATE12)	   '日付１２
			oneCsv.Add(cliOneCsvData.COMBO1)	   'コンボ１
			oneCsv.Add(cliOneCsvData.COMBO2)	   'コンボ２
			oneCsv.Add(cliOneCsvData.COMBO3)	   'コンボ３
			oneCsv.Add(cliOneCsvData.COMBO4)	   'コンボ４
			oneCsv.Add(cliOneCsvData.COMBO5)	   'コンボ５
			oneCsv.Add(cliOneCsvData.COMBO6)	   'コンボ６
			oneCsv.Add(cliOneCsvData.COMBO7)	   'コンボ７
			oneCsv.Add(cliOneCsvData.COMBO8)	   'コンボ８
			oneCsv.Add(cliOneCsvData.COMBO9)	   'コンボ９
			oneCsv.Add(cliOneCsvData.COMBO10)	   'コンボ１０
			oneCsv.Add(cliOneCsvData.COMBO11)	   'コンボ１１
			oneCsv.Add(cliOneCsvData.COMBO12)	   'コンボ１２
			oneCsv.Add(cliOneCsvData.COMBO13)	   'コンボ１３
			oneCsv.Add(cliOneCsvData.COMBO14)	   'コンボ１４
			oneCsv.Add(cliOneCsvData.COMBO15)	   'コンボ１５
			oneCsv.Add(cliOneCsvData.COMBO16)	   'コンボ１６
			oneCsv.Add(cliOneCsvData.COMBO17)	   'コンボ１７
			oneCsv.Add(cliOneCsvData.COMBO18)	   'コンボ１８
			oneCsv.Add(cliOneCsvData.COMBO19)	   'コンボ１９
			oneCsv.Add(cliOneCsvData.COMBO20)	   'コンボ２０
			oneCsv.Add(cliOneCsvData.COMBO21)	   'コンボ２１
			oneCsv.Add(cliOneCsvData.COMBO22)	   'コンボ２２
			oneCsv.Add(cliOneCsvData.COMBO23)	   'コンボ２３
			oneCsv.Add(cliOneCsvData.COMBO24)	   'コンボ２４
			oneCsv.Add(cliOneCsvData.COMBO25)	   'コンボ２５
			oneCsv.Add(cliOneCsvData.COMBO26)	   'コンボ２６
			oneCsv.Add(cliOneCsvData.COMBO27)	   'コンボ２７
			oneCsv.Add(cliOneCsvData.COMBO28)	   'コンボ２８
			oneCsv.Add(cliOneCsvData.COMBO29)	   'コンボ２９
			oneCsv.Add(cliOneCsvData.COMBO30)	   'コンボ３０
			oneCsv.Add(cliOneCsvData.COMBO31)	   'コンボ３１
			oneCsv.Add(cliOneCsvData.COMBO32)	   'コンボ３２
			oneCsv.Add(cliOneCsvData.COMBO33)	   'コンボ３３
			oneCsv.Add(cliOneCsvData.COMBO34)	   'コンボ３４
			oneCsv.Add(cliOneCsvData.COMBO35)	   'コンボ３５
			oneCsv.Add(cliOneCsvData.COMBO36)	   'コンボ３６


			'桁数チェック
			disit = Me.setInputDisit()
			If Me.chkCsvDisit(oneCsv, disit, cliOneCsvData.ERR_FLG, cliOneCsvData.ERR_CD, cliOneCsvData.MESSAGE) = False Then
				Return False
			End If

			'CSV内チェック
			Dim bRequired As Boolean = False
			For idx As Integer = 0 To oneCsv.Count - 1
				bRequired = False
				'必須チェックが必要な項目か判断
				Select Case idx
					Case 0, 1 : bRequired = True
					Case Else : bRequired = False
				End Select
				'必須チェック
				If bRequired = True AndAlso Me.chkCsvRequiredItem(oneCsv(idx), cliOneCsvData.ERR_FLG, cliOneCsvData.ERR_CD, cliOneCsvData.MESSAGE) = False Then
					Return False
				Else
					Select Case idx
						Case 0 'データ種別
							If Me.chkCsvDATA_TYPE(oneCsv(idx), dataTypePattern, cliOneCsvData.ERR_FLG, cliOneCsvData.ERR_CD, cliOneCsvData.MESSAGE) = False Then
								Return False
							End If

						Case 1 '患者番号
							If Me.chkCsvPATIENT_NO(oneCsv(idx), cliOneCsvData.ERR_FLG, cliOneCsvData.ERR_CD, cliOneCsvData.MESSAGE) = False Then
								Return False
							End If

						Case 3 '日付チェック
							If Me.chkCsvDate(oneCsv(idx), cliOneCsvData.ERR_FLG, cliOneCsvData.ERR_CD, cliOneCsvData.MESSAGE) = False Then
								Return False
							End If

						Case 4 '補足項目１情報
							If oneCsv(idx).Length = 0 Then
							ElseIf oneCsv(idx).Length <> 64 Then
								cliOneCsvData.ERR_FLG = "1"
								cliOneCsvData.ERR_CD = "E0035"
								'補足項目１情報の桁数が不正です。
								cliOneCsvData.MESSAGE = Me.cliClsMsg.getMessage(cliOneCsvData.ERR_CD, New String() {"補足項目１情報の桁数", Nothing})
								Return False
							End If
							'補足項目１情報　更新チェック
							For Each asst1 As Char In oneCsv(idx)
								'すべて無視対象の場合更新しない
								If asst1 <> ASST1_NONINPUT Then
									asst1Info1 = True
									Exit For
								End If
							Next

						Case 5 '補足項目１情報２
							If oneCsv(idx).Length = 0 Then
							ElseIf oneCsv(idx).Length <> 68 Then
								cliOneCsvData.ERR_FLG = "1"
								cliOneCsvData.ERR_CD = "E0035"
								'補足項目１情報２の桁数が不正です。
								cliOneCsvData.MESSAGE = Me.cliClsMsg.getMessage(cliOneCsvData.ERR_CD, New String() {"補足項目１情報２の桁数", Nothing})
								Return False
							End If
							'補足項目１情報２　更新チェック
							For Each asst2 As Char In oneCsv(idx)
								'すべて無視対象の場合更新しない
								If asst2 <> ASST1_NONINPUT Then
									asst1Info2 = True
									Exit For
								End If
							Next

						Case 6 To 113 '補足項目２情報
							If oneCsv(idx) <> ASST2_NONINPUT Then '無視対象
								retAsst2Upd = True '更新フラグON

								Select Case idx
									Case 36 To 65 '数値チェック
										If Me.chkCsvNum(oneCsv(idx), cliOneCsvData.ERR_FLG, cliOneCsvData.ERR_CD, cliOneCsvData.MESSAGE) = False Then
											Return False
										End If

									Case 66 To 77 '日付チェック
										If Me.chkCsvDate(oneCsv(idx), cliOneCsvData.ERR_FLG, cliOneCsvData.ERR_CD, cliOneCsvData.MESSAGE) = False Then
											Return False
										End If
								End Select
							End If

					End Select
				End If
			Next

			'すべて無視対象の場合更新しない
			If asst1Info1 = True OrElse asst1Info2 = True Then
				retAsst1Upd = True
			End If

			Return True
		Catch ex As Exception
			Throw
		Finally
			'解放
			If disit IsNot Nothing Then disit.Clear()
			disit = Nothing
			If oneCsv IsNot Nothing Then oneCsv.Clear()
			oneCsv = Nothing
			dataTypePattern = Nothing
		End Try
	End Function

	''' ---------------------------------------------
	''' <summary>
	''' 【補足項目】桁数定義
	''' </summary>
	''' <returns>桁数リスト</returns>
	''' <remarks>
	''' 2010/10/28 新規作成 ACS)牟禮<BR/>
	''' </remarks>
	''' ---------------------------------------------
	Private Function setInputDisit() As List(Of Integer)
		clsSysMst.logEx(clsSysMst.logLevel.DBG, "XSI", Me.GetType().Name, MethodBase.GetCurrentMethod().Name, "システム連携", "補足項目連携", "【補足項目】桁数定義 Start")
		Dim disit As List(Of Integer) = Nothing
		Try
			disit = New List(Of Integer)

			disit.Add(1)   'データ種別
			disit.Add(10)  '患者番号
			disit.Add(2)   '診療科コード
			disit.Add(10)  '入院日（開始日）
			disit.Add(64)  '補足項目１情報
			disit.Add(68)  '補足項目１情報２
			disit.Add(30)  'テキスト１
			disit.Add(30)  'テキスト２
			disit.Add(30)  'テキスト３
			disit.Add(30)  'テキスト４
			disit.Add(30)  'テキスト５
			disit.Add(30)  'テキスト６
			disit.Add(30)  'テキスト７
			disit.Add(30)  'テキスト８
			disit.Add(30)  'テキスト９
			disit.Add(30)  'テキスト１０
			disit.Add(30)  'テキスト１１
			disit.Add(30)  'テキスト１２
			disit.Add(30)  'テキスト１３
			disit.Add(30)  'テキスト１４
			disit.Add(30)  'テキスト１５
			disit.Add(30)  'テキスト１６
			disit.Add(30)  'テキスト１７
			disit.Add(30)  'テキスト１８
			disit.Add(30)  'テキスト１９
			disit.Add(30)  'テキスト２０
			disit.Add(30)  'テキスト２１
			disit.Add(30)  'テキスト２２
			disit.Add(30)  'テキスト２３
			disit.Add(30)  'テキスト２４
			disit.Add(30)  'テキスト２５
			disit.Add(30)  'テキスト２６
			disit.Add(30)  'テキスト２７
			disit.Add(30)  'テキスト２８
			disit.Add(30)  'テキスト２９
			disit.Add(30)  'テキスト３０
			disit.Add(10)  '数字１(整数)
			disit.Add(10)  '数字２(整数)
			disit.Add(10)  '数字３(整数)
			disit.Add(10)  '数字４(整数)
			disit.Add(10)  '数字５(整数)
			disit.Add(10)  '数字６(整数)
			disit.Add(10)  '数字７(小数)
			disit.Add(10)  '数字８(小数)
			disit.Add(10)  '数字９(小数)
			disit.Add(10)  '数字１０(小数)
			disit.Add(10)  '数字１１(小数)
			disit.Add(10)  '数字１２(小数)
			disit.Add(10)  '数字１３(整数)
			disit.Add(10)  '数字１４(整数)
			disit.Add(10)  '数字１５(整数)
			disit.Add(10)  '数字１６(整数)
			disit.Add(10)  '数字１７(整数)
			disit.Add(10)  '数字１８(整数)
			disit.Add(10)  '数字１９(整数)
			disit.Add(10)  '数字２０(整数)
			disit.Add(10)  '数字２１(整数)
			disit.Add(10)  '数字２２(小数)
			disit.Add(10)  '数字２３(小数)
			disit.Add(10)  '数字２４(小数)
			disit.Add(10)  '数字２５(小数)
			disit.Add(10)  '数字２６(小数)
			disit.Add(10)  '数字２７(小数)
			disit.Add(10)  '数字２８(小数)
			disit.Add(10)  '数字２９(小数)
			disit.Add(10)  '数字３０(小数)
			disit.Add(10)  '日付１
			disit.Add(10)  '日付２
			disit.Add(10)  '日付３
			disit.Add(10)  '日付４
			disit.Add(10)  '日付５
			disit.Add(10)  '日付６
			disit.Add(10)  '日付７
			disit.Add(10)  '日付８
			disit.Add(10)  '日付９
			disit.Add(10)  '日付１０
			disit.Add(10)  '日付１１
			disit.Add(10)  '日付１２
			disit.Add(5)   'コンボ１
			disit.Add(5)   'コンボ２
			disit.Add(5)   'コンボ３
			disit.Add(5)   'コンボ４
			disit.Add(5)   'コンボ５
			disit.Add(5)   'コンボ６
			disit.Add(5)   'コンボ７
			disit.Add(5)   'コンボ８
			disit.Add(5)   'コンボ９
			disit.Add(5)   'コンボ１０
			disit.Add(5)   'コンボ１１
			disit.Add(5)   'コンボ１２
			disit.Add(5)   'コンボ１３
			disit.Add(5)   'コンボ１４
			disit.Add(5)   'コンボ１５
			disit.Add(5)   'コンボ１６
			disit.Add(5)   'コンボ１７
			disit.Add(5)   'コンボ１８
			disit.Add(5)   'コンボ１９
			disit.Add(5)   'コンボ２０
			disit.Add(5)   'コンボ２１
			disit.Add(5)   'コンボ２２
			disit.Add(5)   'コンボ２３
			disit.Add(5)   'コンボ２４
			disit.Add(5)   'コンボ２５
			disit.Add(5)   'コンボ２６
			disit.Add(5)   'コンボ２７
			disit.Add(5)   'コンボ２８
			disit.Add(5)   'コンボ２９
			disit.Add(5)   'コンボ３０
			disit.Add(5)   'コンボ３１
			disit.Add(5)   'コンボ３２
			disit.Add(5)   'コンボ３３
			disit.Add(5)   'コンボ３４
			disit.Add(5)   'コンボ３５
			disit.Add(5)   'コンボ３６
			disit.Add(1)   '　―――
			disit.Add(1)   '　―――

			Return disit
		Catch ex As Exception
			Throw
		End Try
	End Function

	''' ---------------------------------------------
	''' <summary>
	''' 【補足項目】V3レイアウト変換
	''' </summary>
	''' <param name="oneCsv">連携ファイル1行データ</param>
	''' <param name="cliOneCsvData">ログ書込データ</param>
	''' <remarks>
	''' 2010/10/28 新規作成 ACS)牟禮<BR/>
	''' </remarks>
	''' ---------------------------------------------
	Private Sub setV3Cls(ByVal oneCsv() As String, ByVal cliOneCsvData As clsXSI_MTT_IMP_LOG_ASST)
		clsSysMst.logEx(clsSysMst.logLevel.DBG, "XSI", Me.GetType().Name, MethodBase.GetCurrentMethod().Name, "システム連携", "補足項目連携", "【補足項目】V3レイアウト変換 Start")
		Try
			'初期化
			cliOneCsvData.clear()

			cliOneCsvData.DATA_TYPE = oneCsv(0)			'データ種別
			cliOneCsvData.PATIENT_NO = oneCsv(1)		'患者番号
			cliOneCsvData.DEPT_CD = oneCsv(2)			'診療科コード
			cliOneCsvData.HSP_DT = oneCsv(3)			'入院日（開始日）
			cliOneCsvData.TEXT1 = oneCsv(4)				'テキスト１
			cliOneCsvData.TEXT2 = oneCsv(5)				'テキスト２
			cliOneCsvData.TEXT3 = oneCsv(6)				'テキスト３
			cliOneCsvData.TEXT4 = oneCsv(7)				'テキスト４
			cliOneCsvData.TEXT5 = oneCsv(8)				'テキスト５
			cliOneCsvData.TEXT6 = oneCsv(9)				'テキスト６
			cliOneCsvData.TEXT7 = oneCsv(10)			'テキスト７
			cliOneCsvData.TEXT8 = oneCsv(11)			'テキスト８
			cliOneCsvData.TEXT9 = oneCsv(12)			'テキスト９
			cliOneCsvData.TEXT10 = oneCsv(13)			'テキスト１０
			cliOneCsvData.TEXT11 = oneCsv(14)			'テキスト１１
			cliOneCsvData.TEXT12 = oneCsv(15)			'テキスト１２
			cliOneCsvData.NUMBER1 = oneCsv(16)			'数字１
			cliOneCsvData.NUMBER2 = oneCsv(17)			'数字２
			cliOneCsvData.NUMBER3 = oneCsv(18)			'数字３
			cliOneCsvData.NUMBER4 = oneCsv(19)			'数字４
			cliOneCsvData.NUMBER5 = oneCsv(20)			'数字５
			cliOneCsvData.NUMBER6 = oneCsv(21)			'数字６
			cliOneCsvData.NUMBER7 = oneCsv(22)			'数字７
			cliOneCsvData.NUMBER8 = oneCsv(23)			'数字８
			cliOneCsvData.NUMBER9 = oneCsv(24)			'数字９
			cliOneCsvData.NUMBER10 = oneCsv(25)			'数字１０
			cliOneCsvData.NUMBER11 = oneCsv(26)			'数字１１
			cliOneCsvData.NUMBER12 = oneCsv(27)			'数字１２
			cliOneCsvData.DATE1 = oneCsv(28)			'日付１
			cliOneCsvData.DATE2 = oneCsv(29)			'日付２
			cliOneCsvData.DATE3 = oneCsv(30)			'日付３
			cliOneCsvData.DATE4 = oneCsv(31)			'日付４
			cliOneCsvData.DATE5 = oneCsv(32)			'日付５
			cliOneCsvData.DATE6 = oneCsv(33)			'日付６
			cliOneCsvData.DATE7 = oneCsv(34)			'日付７
			cliOneCsvData.DATE8 = oneCsv(35)			'日付８
			cliOneCsvData.DATE9 = oneCsv(36)			'日付９
			cliOneCsvData.DATE10 = oneCsv(37)			'日付１０
			cliOneCsvData.DATE11 = oneCsv(38)			'日付１１
			cliOneCsvData.DATE12 = oneCsv(39)			'日付１２
			cliOneCsvData.COMBO1 = oneCsv(40)			'コンボ１
			cliOneCsvData.COMBO2 = oneCsv(41)			'コンボ２
			cliOneCsvData.COMBO3 = oneCsv(42)			'コンボ３
			cliOneCsvData.COMBO4 = oneCsv(43)			'コンボ４
			cliOneCsvData.COMBO5 = oneCsv(44)			'コンボ５
			cliOneCsvData.COMBO6 = oneCsv(45)			'コンボ６
			cliOneCsvData.COMBO7 = oneCsv(46)			'コンボ７
			cliOneCsvData.COMBO8 = oneCsv(47)			'コンボ８
			cliOneCsvData.COMBO9 = oneCsv(48)			'コンボ９
			cliOneCsvData.COMBO10 = oneCsv(49)			'コンボ１０
			cliOneCsvData.COMBO11 = oneCsv(50)			'コンボ１１
			cliOneCsvData.COMBO12 = oneCsv(51)			'コンボ１２
			cliOneCsvData.ASST1_INFO = oneCsv(52)		'補足項目１情報

			Select Case oneCsv.Length
				Case ENUM_CSV_CNT.V3
					cliOneCsvData.ASST1_INFO2 = oneCsv(53)		'補足項目１情報２
					cliOneCsvData.TEXT13 = oneCsv(54)			'テキスト１３
					cliOneCsvData.TEXT14 = oneCsv(55)			'テキスト１４
					cliOneCsvData.TEXT15 = oneCsv(56)			'テキスト１５
					cliOneCsvData.TEXT16 = oneCsv(57)			'テキスト１６
					cliOneCsvData.TEXT17 = oneCsv(58)			'テキスト１７
					cliOneCsvData.TEXT18 = oneCsv(59)			'テキスト１８
					cliOneCsvData.TEXT19 = oneCsv(60)			'テキスト１９
					cliOneCsvData.TEXT20 = oneCsv(61)			'テキスト２０
					cliOneCsvData.TEXT21 = oneCsv(62)			'テキスト２１
					cliOneCsvData.TEXT22 = oneCsv(63)			'テキスト２２
					cliOneCsvData.TEXT23 = oneCsv(64)			'テキスト２３
					cliOneCsvData.TEXT24 = oneCsv(65)			'テキスト２４
					cliOneCsvData.TEXT25 = oneCsv(66)			'テキスト２５
					cliOneCsvData.TEXT26 = oneCsv(67)			'テキスト２６
					cliOneCsvData.TEXT27 = oneCsv(68)			'テキスト２７
					cliOneCsvData.TEXT28 = oneCsv(69)			'テキスト２８
					cliOneCsvData.TEXT29 = oneCsv(70)			'テキスト２９
					cliOneCsvData.TEXT30 = oneCsv(71)			'テキスト３０
					cliOneCsvData.NUMBER13 = oneCsv(72)			'数字１３
					cliOneCsvData.NUMBER14 = oneCsv(73)			'数字１４
					cliOneCsvData.NUMBER15 = oneCsv(74)			'数字１５
					cliOneCsvData.NUMBER16 = oneCsv(75)			'数字１６
					cliOneCsvData.NUMBER17 = oneCsv(76)			'数字１７
					cliOneCsvData.NUMBER18 = oneCsv(77)			'数字１８
					cliOneCsvData.NUMBER19 = oneCsv(78)			'数字１９
					cliOneCsvData.NUMBER20 = oneCsv(79)			'数字２０
					cliOneCsvData.NUMBER21 = oneCsv(80)			'数字２１
					cliOneCsvData.NUMBER22 = oneCsv(81)			'数字２２
					cliOneCsvData.NUMBER23 = oneCsv(82)			'数字２３
					cliOneCsvData.NUMBER24 = oneCsv(83)			'数字２４
					cliOneCsvData.NUMBER25 = oneCsv(84)			'数字２５
					cliOneCsvData.NUMBER26 = oneCsv(85)			'数字２６
					cliOneCsvData.NUMBER27 = oneCsv(86)			'数字２７
					cliOneCsvData.NUMBER28 = oneCsv(87)			'数字２８
					cliOneCsvData.NUMBER29 = oneCsv(88)			'数字２９
					cliOneCsvData.NUMBER30 = oneCsv(89)			'数字３０
					cliOneCsvData.COMBO13 = oneCsv(90)			'コンボ１３
					cliOneCsvData.COMBO14 = oneCsv(91)			'コンボ１４
					cliOneCsvData.COMBO15 = oneCsv(92)			'コンボ１５
					cliOneCsvData.COMBO16 = oneCsv(93)			'コンボ１６
					cliOneCsvData.COMBO17 = oneCsv(94)			'コンボ１７
					cliOneCsvData.COMBO18 = oneCsv(95)			'コンボ１８
					cliOneCsvData.COMBO19 = oneCsv(96)			'コンボ１９
					cliOneCsvData.COMBO20 = oneCsv(97)			'コンボ２０
					cliOneCsvData.COMBO21 = oneCsv(98)			'コンボ２１
					cliOneCsvData.COMBO22 = oneCsv(99)			'コンボ２２
					cliOneCsvData.COMBO23 = oneCsv(100)			'コンボ２３
					cliOneCsvData.COMBO24 = oneCsv(101)			'コンボ２４
					cliOneCsvData.COMBO25 = oneCsv(102)			'コンボ２５
					cliOneCsvData.COMBO26 = oneCsv(103)			'コンボ２６
					cliOneCsvData.COMBO27 = oneCsv(104)			'コンボ２７
					cliOneCsvData.COMBO28 = oneCsv(105)			'コンボ２８
					cliOneCsvData.COMBO29 = oneCsv(106)			'コンボ２９
					cliOneCsvData.COMBO30 = oneCsv(107)			'コンボ３０
					cliOneCsvData.COMBO31 = oneCsv(108)			'コンボ３１
					cliOneCsvData.COMBO32 = oneCsv(109)			'コンボ３２
					cliOneCsvData.COMBO33 = oneCsv(110)			'コンボ３３
					cliOneCsvData.COMBO34 = oneCsv(111)			'コンボ３４
					cliOneCsvData.COMBO35 = oneCsv(112)			'コンボ３５
					cliOneCsvData.COMBO36 = oneCsv(113)			'コンボ３６
					'cliOneCsvData.SPARE01 = oneCsv(114)         '　―――
					'cliOneCsvData.SPARE02 = oneCsv(115)         '　―――

				Case ENUM_CSV_CNT.V323
					cliOneCsvData.ASST1_INFO2 = New String(ASST1_NONINPUT, 68)
					cliOneCsvData.TEXT13 = ASST2_NONINPUT		'テキスト１３
					cliOneCsvData.TEXT14 = ASST2_NONINPUT		'テキスト１４
					cliOneCsvData.TEXT15 = ASST2_NONINPUT		'テキスト１５
					cliOneCsvData.TEXT16 = ASST2_NONINPUT		'テキスト１６
					cliOneCsvData.TEXT17 = ASST2_NONINPUT		'テキスト１７
					cliOneCsvData.TEXT18 = ASST2_NONINPUT		'テキスト１８
					cliOneCsvData.TEXT19 = ASST2_NONINPUT		'テキスト１９
					cliOneCsvData.TEXT20 = ASST2_NONINPUT		'テキスト２０
					cliOneCsvData.TEXT21 = ASST2_NONINPUT		'テキスト２１
					cliOneCsvData.TEXT22 = ASST2_NONINPUT		'テキスト２２
					cliOneCsvData.TEXT23 = ASST2_NONINPUT		'テキスト２３
					cliOneCsvData.TEXT24 = ASST2_NONINPUT		'テキスト２４
					cliOneCsvData.TEXT25 = ASST2_NONINPUT		'テキスト２５
					cliOneCsvData.TEXT26 = ASST2_NONINPUT		'テキスト２６
					cliOneCsvData.TEXT27 = ASST2_NONINPUT		'テキスト２７
					cliOneCsvData.TEXT28 = ASST2_NONINPUT		'テキスト２８
					cliOneCsvData.TEXT29 = ASST2_NONINPUT		'テキスト２９
					cliOneCsvData.TEXT30 = ASST2_NONINPUT		'テキスト３０
					cliOneCsvData.NUMBER13 = ASST2_NONINPUT		'数字１３
					cliOneCsvData.NUMBER14 = ASST2_NONINPUT		'数字１４
					cliOneCsvData.NUMBER15 = ASST2_NONINPUT		'数字１５
					cliOneCsvData.NUMBER16 = ASST2_NONINPUT		'数字１６
					cliOneCsvData.NUMBER17 = ASST2_NONINPUT		'数字１７
					cliOneCsvData.NUMBER18 = ASST2_NONINPUT		'数字１８
					cliOneCsvData.NUMBER19 = ASST2_NONINPUT		'数字１９
					cliOneCsvData.NUMBER20 = ASST2_NONINPUT		'数字２０
					cliOneCsvData.NUMBER21 = ASST2_NONINPUT		'数字２１
					cliOneCsvData.NUMBER22 = ASST2_NONINPUT		'数字２２
					cliOneCsvData.NUMBER23 = ASST2_NONINPUT		'数字２３
					cliOneCsvData.NUMBER24 = ASST2_NONINPUT		'数字２４
					cliOneCsvData.NUMBER25 = ASST2_NONINPUT		'数字２５
					cliOneCsvData.NUMBER26 = ASST2_NONINPUT		'数字２６
					cliOneCsvData.NUMBER27 = ASST2_NONINPUT		'数字２７
					cliOneCsvData.NUMBER28 = ASST2_NONINPUT		'数字２８
					cliOneCsvData.NUMBER29 = ASST2_NONINPUT		'数字２９
					cliOneCsvData.NUMBER30 = ASST2_NONINPUT		'数字３０
					cliOneCsvData.COMBO13 = ASST2_NONINPUT		'コンボ１３
					cliOneCsvData.COMBO14 = ASST2_NONINPUT		'コンボ１４
					cliOneCsvData.COMBO15 = ASST2_NONINPUT		'コンボ１５
					cliOneCsvData.COMBO16 = ASST2_NONINPUT		'コンボ１６
					cliOneCsvData.COMBO17 = ASST2_NONINPUT		'コンボ１７
					cliOneCsvData.COMBO18 = ASST2_NONINPUT		'コンボ１８
					cliOneCsvData.COMBO19 = ASST2_NONINPUT		'コンボ１９
					cliOneCsvData.COMBO20 = ASST2_NONINPUT		'コンボ２０
					cliOneCsvData.COMBO21 = ASST2_NONINPUT		'コンボ２１
					cliOneCsvData.COMBO22 = ASST2_NONINPUT		'コンボ２２
					cliOneCsvData.COMBO23 = ASST2_NONINPUT		'コンボ２３
					cliOneCsvData.COMBO24 = ASST2_NONINPUT		'コンボ２４
					cliOneCsvData.COMBO25 = ASST2_NONINPUT		'コンボ２５
					cliOneCsvData.COMBO26 = ASST2_NONINPUT		'コンボ２６
					cliOneCsvData.COMBO27 = ASST2_NONINPUT		'コンボ２７
					cliOneCsvData.COMBO28 = ASST2_NONINPUT		'コンボ２８
					cliOneCsvData.COMBO29 = ASST2_NONINPUT		'コンボ２９
					cliOneCsvData.COMBO30 = ASST2_NONINPUT		'コンボ３０
					cliOneCsvData.COMBO31 = ASST2_NONINPUT		'コンボ３１
					cliOneCsvData.COMBO32 = ASST2_NONINPUT		'コンボ３２
					cliOneCsvData.COMBO33 = ASST2_NONINPUT		'コンボ３３
					cliOneCsvData.COMBO34 = ASST2_NONINPUT		'コンボ３４
					cliOneCsvData.COMBO35 = ASST2_NONINPUT		'コンボ３５
					cliOneCsvData.COMBO36 = ASST2_NONINPUT		'コンボ３６
			End Select
		Catch ex As Exception
			Throw
		End Try
	End Sub

	''' ---------------------------------------------
	''' <summary>
	''' 【補足項目】V4レイアウト変換
	''' </summary>
	''' <param name="oneCsv">連携ファイル1行データ</param>
	''' <param name="cliOneCsvData">ログ書込データ</param>
	''' <remarks>
	''' 2010/10/28 新規作成 ACS)牟禮<BR/>
	''' </remarks>
	''' ---------------------------------------------
	Private Sub setV4Cls(ByVal oneCsv() As String, ByVal cliOneCsvData As clsXSI_MTT_IMP_LOG_ASST)
		clsSysMst.logEx(clsSysMst.logLevel.DBG, "XSI", Me.GetType().Name, MethodBase.GetCurrentMethod().Name, "システム連携", "補足項目連携", "【補足項目】V4レイアウト変換 Start")
		Try
			'初期化
			cliOneCsvData.clear()

			cliOneCsvData.DATA_TYPE = oneCsv(0)	   'データ種別
			cliOneCsvData.PATIENT_NO = oneCsv(1)   '患者番号
			cliOneCsvData.DEPT_CD = oneCsv(2)	   '診療科コード
			cliOneCsvData.HSP_DT = oneCsv(3)	   '入院日（開始日）
			cliOneCsvData.ASST1_INFO = oneCsv(4)   '補足項目１情報
			cliOneCsvData.ASST1_INFO2 = oneCsv(5)  '補足項目１情報２
			cliOneCsvData.TEXT1 = oneCsv(6)		   'テキスト１
			cliOneCsvData.TEXT2 = oneCsv(7)		   'テキスト２
			cliOneCsvData.TEXT3 = oneCsv(8)		   'テキスト３
			cliOneCsvData.TEXT4 = oneCsv(9)		   'テキスト４
			cliOneCsvData.TEXT5 = oneCsv(10)	   'テキスト５
			cliOneCsvData.TEXT6 = oneCsv(11)	   'テキスト６
			cliOneCsvData.TEXT7 = oneCsv(12)	   'テキスト７
			cliOneCsvData.TEXT8 = oneCsv(13)	   'テキスト８
			cliOneCsvData.TEXT9 = oneCsv(14)	   'テキスト９
			cliOneCsvData.TEXT10 = oneCsv(15)	   'テキスト１０
			cliOneCsvData.TEXT11 = oneCsv(16)	   'テキスト１１
			cliOneCsvData.TEXT12 = oneCsv(17)	   'テキスト１２
			cliOneCsvData.TEXT13 = oneCsv(18)	   'テキスト１３
			cliOneCsvData.TEXT14 = oneCsv(19)	   'テキスト１４
			cliOneCsvData.TEXT15 = oneCsv(20)	   'テキスト１５
			cliOneCsvData.TEXT16 = oneCsv(21)	   'テキスト１６
			cliOneCsvData.TEXT17 = oneCsv(22)	   'テキスト１７
			cliOneCsvData.TEXT18 = oneCsv(23)	   'テキスト１８
			cliOneCsvData.TEXT19 = oneCsv(24)	   'テキスト１９
			cliOneCsvData.TEXT20 = oneCsv(25)	   'テキスト２０
			cliOneCsvData.TEXT21 = oneCsv(26)	   'テキスト２１
			cliOneCsvData.TEXT22 = oneCsv(27)	   'テキスト２２
			cliOneCsvData.TEXT23 = oneCsv(28)	   'テキスト２３
			cliOneCsvData.TEXT24 = oneCsv(29)	   'テキスト２４
			cliOneCsvData.TEXT25 = oneCsv(30)	   'テキスト２５
			cliOneCsvData.TEXT26 = oneCsv(31)	   'テキスト２６
			cliOneCsvData.TEXT27 = oneCsv(32)	   'テキスト２７
			cliOneCsvData.TEXT28 = oneCsv(33)	   'テキスト２８
			cliOneCsvData.TEXT29 = oneCsv(34)	   'テキスト２９
			cliOneCsvData.TEXT30 = oneCsv(35)	   'テキスト３０
			cliOneCsvData.NUMBER1 = oneCsv(36)	   '数字１
			cliOneCsvData.NUMBER2 = oneCsv(37)	   '数字２
			cliOneCsvData.NUMBER3 = oneCsv(38)	   '数字３
			cliOneCsvData.NUMBER4 = oneCsv(39)	   '数字４
			cliOneCsvData.NUMBER5 = oneCsv(40)	   '数字５
			cliOneCsvData.NUMBER6 = oneCsv(41)	   '数字６
			cliOneCsvData.NUMBER7 = oneCsv(42)	   '数字７
			cliOneCsvData.NUMBER8 = oneCsv(43)	   '数字８
			cliOneCsvData.NUMBER9 = oneCsv(44)	   '数字９
			cliOneCsvData.NUMBER10 = oneCsv(45)	   '数字１０
			cliOneCsvData.NUMBER11 = oneCsv(46)	   '数字１１
			cliOneCsvData.NUMBER12 = oneCsv(47)	   '数字１２
			cliOneCsvData.NUMBER13 = oneCsv(48)	   '数字１３
			cliOneCsvData.NUMBER14 = oneCsv(49)	   '数字１４
			cliOneCsvData.NUMBER15 = oneCsv(50)	   '数字１５
			cliOneCsvData.NUMBER16 = oneCsv(51)	   '数字１６
			cliOneCsvData.NUMBER17 = oneCsv(52)	   '数字１７
			cliOneCsvData.NUMBER18 = oneCsv(53)	   '数字１８
			cliOneCsvData.NUMBER19 = oneCsv(54)	   '数字１９
			cliOneCsvData.NUMBER20 = oneCsv(55)	   '数字２０
			cliOneCsvData.NUMBER21 = oneCsv(56)	   '数字２１
			cliOneCsvData.NUMBER22 = oneCsv(57)	   '数字２２
			cliOneCsvData.NUMBER23 = oneCsv(58)	   '数字２３
			cliOneCsvData.NUMBER24 = oneCsv(59)	   '数字２４
			cliOneCsvData.NUMBER25 = oneCsv(60)	   '数字２５
			cliOneCsvData.NUMBER26 = oneCsv(61)	   '数字２６
			cliOneCsvData.NUMBER27 = oneCsv(62)	   '数字２７
			cliOneCsvData.NUMBER28 = oneCsv(63)	   '数字２８
			cliOneCsvData.NUMBER29 = oneCsv(64)	   '数字２９
			cliOneCsvData.NUMBER30 = oneCsv(65)	   '数字３０
			cliOneCsvData.DATE1 = oneCsv(66)	   '日付１
			cliOneCsvData.DATE2 = oneCsv(67)	   '日付２
			cliOneCsvData.DATE3 = oneCsv(68)	   '日付３
			cliOneCsvData.DATE4 = oneCsv(69)	   '日付４
			cliOneCsvData.DATE5 = oneCsv(70)	   '日付５
			cliOneCsvData.DATE6 = oneCsv(71)	   '日付６
			cliOneCsvData.DATE7 = oneCsv(72)	   '日付７
			cliOneCsvData.DATE8 = oneCsv(73)	   '日付８
			cliOneCsvData.DATE9 = oneCsv(74)	   '日付９
			cliOneCsvData.DATE10 = oneCsv(75)	   '日付１０
			cliOneCsvData.DATE11 = oneCsv(76)	   '日付１１
			cliOneCsvData.DATE12 = oneCsv(77)	   '日付１２
			cliOneCsvData.COMBO1 = oneCsv(78)	   'コンボ１
			cliOneCsvData.COMBO2 = oneCsv(79)	   'コンボ２
			cliOneCsvData.COMBO3 = oneCsv(80)	   'コンボ３
			cliOneCsvData.COMBO4 = oneCsv(81)	   'コンボ４
			cliOneCsvData.COMBO5 = oneCsv(82)	   'コンボ５
			cliOneCsvData.COMBO6 = oneCsv(83)	   'コンボ６
			cliOneCsvData.COMBO7 = oneCsv(84)	   'コンボ７
			cliOneCsvData.COMBO8 = oneCsv(85)	   'コンボ８
			cliOneCsvData.COMBO9 = oneCsv(86)	   'コンボ９
			cliOneCsvData.COMBO10 = oneCsv(87)	   'コンボ１０
			cliOneCsvData.COMBO11 = oneCsv(88)	   'コンボ１１
			cliOneCsvData.COMBO12 = oneCsv(89)	   'コンボ１２
			cliOneCsvData.COMBO13 = oneCsv(90)	   'コンボ１３
			cliOneCsvData.COMBO14 = oneCsv(91)	   'コンボ１４
			cliOneCsvData.COMBO15 = oneCsv(92)	   'コンボ１５
			cliOneCsvData.COMBO16 = oneCsv(93)	   'コンボ１６
			cliOneCsvData.COMBO17 = oneCsv(94)	   'コンボ１７
			cliOneCsvData.COMBO18 = oneCsv(95)	   'コンボ１８
			cliOneCsvData.COMBO19 = oneCsv(96)	   'コンボ１９
			cliOneCsvData.COMBO20 = oneCsv(97)	   'コンボ２０
			cliOneCsvData.COMBO21 = oneCsv(98)	   'コンボ２１
			cliOneCsvData.COMBO22 = oneCsv(99)	   'コンボ２２
			cliOneCsvData.COMBO23 = oneCsv(100)	   'コンボ２３
			cliOneCsvData.COMBO24 = oneCsv(101)	   'コンボ２４
			cliOneCsvData.COMBO25 = oneCsv(102)	   'コンボ２５
			cliOneCsvData.COMBO26 = oneCsv(103)	   'コンボ２６
			cliOneCsvData.COMBO27 = oneCsv(104)	   'コンボ２７
			cliOneCsvData.COMBO28 = oneCsv(105)	   'コンボ２８
			cliOneCsvData.COMBO29 = oneCsv(106)	   'コンボ２９
			cliOneCsvData.COMBO30 = oneCsv(107)	   'コンボ３０
			cliOneCsvData.COMBO31 = oneCsv(108)	   'コンボ３１
			cliOneCsvData.COMBO32 = oneCsv(109)	   'コンボ３２
			cliOneCsvData.COMBO33 = oneCsv(110)	   'コンボ３３
			cliOneCsvData.COMBO34 = oneCsv(111)	   'コンボ３４
			cliOneCsvData.COMBO35 = oneCsv(112)	   'コンボ３５
			cliOneCsvData.COMBO36 = oneCsv(113)	   'コンボ３６
			'cliOneCsvData.SPARE01 = oneCsv(114)    '　―――

		Catch ex As Exception
			Throw
		End Try
	End Sub

	''' ---------------------------------------------
	''' <summary>
	''' 【補足項目】登録/更新
	''' </summary>
	''' <param name="pDb">DBクラス</param>
	''' <param name="cliMTI_ASST1">補足項目１データクラス</param>
	''' <param name="cliMTI_ASST2">補足項目２データクラス</param>
	''' <param name="asst1Upd">補足項目１更新フラグ</param>
	''' <param name="asst2Upd">補足項目２更新フラグ</param>
	''' <returns>DB登録/更新結果</returns>
	''' <remarks>
	''' 2010/10/28 新規作成 ACS)牟禮<BR/>
	''' </remarks>
	''' ---------------------------------------------
	Private Function exeSQL(ByVal pDb As clsDB, ByVal cliMTI_ASST1 As clsXSI_MTI_ASST1, ByVal cliMTI_ASST2 As clsXSI_MTI_ASST2, _
																						ByVal asst1Upd As Boolean, ByVal asst2Upd As Boolean) As Enum_ExeReturnFlg
		clsSysMst.logEx(clsSysMst.logLevel.DBG, "XSI", Me.GetType().Name, MethodBase.GetCurrentMethod().Name, "システム連携", "補足項目連携", "【補足項目】登録/更新 Start")
		Try
			'補足項目１
			If asst1Upd = True Then
				'トランザクション開始
				pDb.ctlTran(clsDB.Enum_TranMode.Begin)

				'補足項目１が存在するか
				Dim arr As ArrayList = Nothing
				Try
					arr = Me.getMTI_ASST1(cliMTI_ASST1.PATIENT_NO, cliMTI_ASST1.HSP_HISTORY_NO, cliMTI_ASST1.CH_NO, pDb)
					If arr.Count = 0 Then
						Me.setSqlParam_MTI_ASST1(pDb, False, Enum_SqlIdx.eIns, cliMTI_ASST1) '登録
					Else
						Me.setSqlParam_MTI_ASST1(pDb, False, Enum_SqlIdx.eUpd, cliMTI_ASST1) '更新
					End If
				Finally
					If arr IsNot Nothing Then arr.Clear()
					arr = Nothing
				End Try

				'補足項目１すべてOFFならレコード削除
				Try
					arr = Me.getMTI_ASST1ASSTOFF(cliMTI_ASST1.PATIENT_NO, cliMTI_ASST1.HSP_HISTORY_NO, cliMTI_ASST1.CH_NO, pDb)
					If arr.Count > 0 Then
						'補足情報すべてOFFのため削除
						Me.setSqlParam_MTI_ASST1(pDb, False, Enum_SqlIdx.eDel, cliMTI_ASST1)
					End If

					'科歴情報更新
					Using cliCH As New clsXSI_MTI_CH()
						cliCH.PATIENT_NO = cliMTI_ASST1.PATIENT_NO
						cliCH.HSP_HISTORY_NO = cliMTI_ASST1.HSP_HISTORY_NO
						cliCH.CH_NO = cliMTI_ASST1.CH_NO
						'削除していれば補足項目１数を[0]で更新
						If arr.Count = 0 Then
							cliCH.ASST_ITM1_COUNT = "1"
						Else
							cliCH.ASST_ITM1_COUNT = "0"
						End If
						'更新
						Me.setUpdSql_MTI_CH(pDb, False, Enum_Upd.eChange, cliCH, False)

					End Using

				Finally
					If arr IsNot Nothing Then arr.Clear()
					arr = Nothing
				End Try
				'コミット
				pDb.ctlTran(clsDB.Enum_TranMode.Commit)
			End If

			'補足項目２
			If asst2Upd = True Then
				'トランザクション開始
				pDb.ctlTran(clsDB.Enum_TranMode.Begin)

				'補足項目２が存在するか確認
				Dim arr As ArrayList = Nothing
				Try
					arr = Me.getMTI_ASST2(cliMTI_ASST2.PATIENT_NO, cliMTI_ASST2.HSP_HISTORY_NO, cliMTI_ASST2.CH_NO, pDb)
					If arr.Count = 0 Then
						Me.setSqlParam_MTI_ASST2(pDb, False, Enum_SqlIdx.eIns, cliMTI_ASST2) '登録
					Else
						Me.setSqlParam_MTI_ASST2(pDb, False, Enum_SqlIdx.eUpd, cliMTI_ASST2) '更新
					End If
				Finally
					If arr IsNot Nothing Then arr.Clear()
					arr = Nothing
				End Try

				'科歴情報更新
				Using cliCH As New clsXSI_MTI_CH()
					cliCH.PATIENT_NO = cliMTI_ASST2.PATIENT_NO
					cliCH.HSP_HISTORY_NO = cliMTI_ASST2.HSP_HISTORY_NO
					cliCH.CH_NO = cliMTI_ASST2.CH_NO
					cliCH.ASST_ITM2_COUNT = "1"
					'SQL実行
					Me.setUpdSql_MTI_CH(pDb, False, Enum_Upd.eChange, cliCH, False)
				End Using
				'コミット
				pDb.ctlTran(clsDB.Enum_TranMode.Commit)
			End If

			Return Enum_ExeReturnFlg.eExecute
		Catch ex As SqlClient.SqlException
			If pDb.statTran() Then pDb.ctlTran(clsDB.Enum_TranMode.RollBack)
			Call Me.cliXSI010F010.ErrorProc(ex)
			If ex.Number = clsSysMst.sqlErrCode.KeyDuplicate Then
				Return Enum_ExeReturnFlg.eSqlError
			Else
				Return Enum_ExeReturnFlg.eError
			End If
		Catch ex As Exception
			If pDb.statTran() Then pDb.ctlTran(clsDB.Enum_TranMode.RollBack)
			Throw
		End Try
	End Function

	''' ---------------------------------------------
	''' <summary>
	''' 【補足項目】SQLパラメータ設定[補足項目１]
	''' </summary>
	''' <param name="pDb">DBクラス</param>
	''' <param name="tran">トランザクション制御</param>
	''' <param name="sqlIdx">SQL区分</param>
	''' <param name="cliMTI_ASST1">補足項目１データクラス</param>
	''' <remarks>
	''' 2010/10/29 新規作成 ACS)牟禮<BR/>
	''' </remarks>
	''' ---------------------------------------------
	Private Sub setSqlParam_MTI_ASST1(ByVal pDb As clsDB, ByVal tran As Boolean, ByVal sqlIdx As Enum_SqlIdx, ByVal cliMTI_ASST1 As clsXSI_MTI_ASST1)
		clsSysMst.logEx(clsSysMst.logLevel.DBG, "XSI", Me.GetType().Name, MethodBase.GetCurrentMethod().Name, "システム連携", "補足項目連携", "【補足項目】SQLパラメータ設定[補足項目１] Start")
		Try
			Select Case sqlIdx
				Case Enum_SqlIdx.eIns, Enum_SqlIdx.eUpd	'登録、更新
					'SQL文設定
					If sqlIdx = Enum_SqlIdx.eIns Then
						pDb.setSQL(sqlXSI010F010.sqlIns_MTI_ASST1) '登録
					Else
						pDb.setSQL(sqlXSI010F010.sqlUpd_MTI_ASST1) '更新
					End If

					'パラメータ設定
					pDb.setParam(sqlXSI010F010.prmPATIENT_NO, clsDB.Enum_dbType.dbNVarChar)			 '患者番号
					pDb.setParam(sqlXSI010F010.prmHSP_HISTORY_NO, clsDB.Enum_dbType.dbInt)		   '入退院歴番号
					pDb.setParam(sqlXSI010F010.prmCH_NO, clsDB.Enum_dbType.dbInt)				   '科歴番号
					'補足項目０１～１３２
					pDb.setParam(sqlXSI010F010.prmASST_ITM001, clsDB.Enum_dbType.dbInt)
					pDb.setParam(sqlXSI010F010.prmASST_ITM002, clsDB.Enum_dbType.dbInt)
					pDb.setParam(sqlXSI010F010.prmASST_ITM003, clsDB.Enum_dbType.dbInt)
					pDb.setParam(sqlXSI010F010.prmASST_ITM004, clsDB.Enum_dbType.dbInt)
					pDb.setParam(sqlXSI010F010.prmASST_ITM005, clsDB.Enum_dbType.dbInt)
					pDb.setParam(sqlXSI010F010.prmASST_ITM006, clsDB.Enum_dbType.dbInt)
					pDb.setParam(sqlXSI010F010.prmASST_ITM007, clsDB.Enum_dbType.dbInt)
					pDb.setParam(sqlXSI010F010.prmASST_ITM008, clsDB.Enum_dbType.dbInt)
					pDb.setParam(sqlXSI010F010.prmASST_ITM009, clsDB.Enum_dbType.dbInt)
					pDb.setParam(sqlXSI010F010.prmASST_ITM010, clsDB.Enum_dbType.dbInt)
					pDb.setParam(sqlXSI010F010.prmASST_ITM011, clsDB.Enum_dbType.dbInt)
					pDb.setParam(sqlXSI010F010.prmASST_ITM012, clsDB.Enum_dbType.dbInt)
					pDb.setParam(sqlXSI010F010.prmASST_ITM013, clsDB.Enum_dbType.dbInt)
					pDb.setParam(sqlXSI010F010.prmASST_ITM014, clsDB.Enum_dbType.dbInt)
					pDb.setParam(sqlXSI010F010.prmASST_ITM015, clsDB.Enum_dbType.dbInt)
					pDb.setParam(sqlXSI010F010.prmASST_ITM016, clsDB.Enum_dbType.dbInt)
					pDb.setParam(sqlXSI010F010.prmASST_ITM017, clsDB.Enum_dbType.dbInt)
					pDb.setParam(sqlXSI010F010.prmASST_ITM018, clsDB.Enum_dbType.dbInt)
					pDb.setParam(sqlXSI010F010.prmASST_ITM019, clsDB.Enum_dbType.dbInt)
					pDb.setParam(sqlXSI010F010.prmASST_ITM020, clsDB.Enum_dbType.dbInt)
					pDb.setParam(sqlXSI010F010.prmASST_ITM021, clsDB.Enum_dbType.dbInt)
					pDb.setParam(sqlXSI010F010.prmASST_ITM022, clsDB.Enum_dbType.dbInt)
					pDb.setParam(sqlXSI010F010.prmASST_ITM023, clsDB.Enum_dbType.dbInt)
					pDb.setParam(sqlXSI010F010.prmASST_ITM024, clsDB.Enum_dbType.dbInt)
					pDb.setParam(sqlXSI010F010.prmASST_ITM025, clsDB.Enum_dbType.dbInt)
					pDb.setParam(sqlXSI010F010.prmASST_ITM026, clsDB.Enum_dbType.dbInt)
					pDb.setParam(sqlXSI010F010.prmASST_ITM027, clsDB.Enum_dbType.dbInt)
					pDb.setParam(sqlXSI010F010.prmASST_ITM028, clsDB.Enum_dbType.dbInt)
					pDb.setParam(sqlXSI010F010.prmASST_ITM029, clsDB.Enum_dbType.dbInt)
					pDb.setParam(sqlXSI010F010.prmASST_ITM030, clsDB.Enum_dbType.dbInt)
					pDb.setParam(sqlXSI010F010.prmASST_ITM031, clsDB.Enum_dbType.dbInt)
					pDb.setParam(sqlXSI010F010.prmASST_ITM032, clsDB.Enum_dbType.dbInt)
					pDb.setParam(sqlXSI010F010.prmASST_ITM033, clsDB.Enum_dbType.dbInt)
					pDb.setParam(sqlXSI010F010.prmASST_ITM034, clsDB.Enum_dbType.dbInt)
					pDb.setParam(sqlXSI010F010.prmASST_ITM035, clsDB.Enum_dbType.dbInt)
					pDb.setParam(sqlXSI010F010.prmASST_ITM036, clsDB.Enum_dbType.dbInt)
					pDb.setParam(sqlXSI010F010.prmASST_ITM037, clsDB.Enum_dbType.dbInt)
					pDb.setParam(sqlXSI010F010.prmASST_ITM038, clsDB.Enum_dbType.dbInt)
					pDb.setParam(sqlXSI010F010.prmASST_ITM039, clsDB.Enum_dbType.dbInt)
					pDb.setParam(sqlXSI010F010.prmASST_ITM040, clsDB.Enum_dbType.dbInt)
					pDb.setParam(sqlXSI010F010.prmASST_ITM041, clsDB.Enum_dbType.dbInt)
					pDb.setParam(sqlXSI010F010.prmASST_ITM042, clsDB.Enum_dbType.dbInt)
					pDb.setParam(sqlXSI010F010.prmASST_ITM043, clsDB.Enum_dbType.dbInt)
					pDb.setParam(sqlXSI010F010.prmASST_ITM044, clsDB.Enum_dbType.dbInt)
					pDb.setParam(sqlXSI010F010.prmASST_ITM045, clsDB.Enum_dbType.dbInt)
					pDb.setParam(sqlXSI010F010.prmASST_ITM046, clsDB.Enum_dbType.dbInt)
					pDb.setParam(sqlXSI010F010.prmASST_ITM047, clsDB.Enum_dbType.dbInt)
					pDb.setParam(sqlXSI010F010.prmASST_ITM048, clsDB.Enum_dbType.dbInt)
					pDb.setParam(sqlXSI010F010.prmASST_ITM049, clsDB.Enum_dbType.dbInt)
					pDb.setParam(sqlXSI010F010.prmASST_ITM050, clsDB.Enum_dbType.dbInt)
					pDb.setParam(sqlXSI010F010.prmASST_ITM051, clsDB.Enum_dbType.dbInt)
					pDb.setParam(sqlXSI010F010.prmASST_ITM052, clsDB.Enum_dbType.dbInt)
					pDb.setParam(sqlXSI010F010.prmASST_ITM053, clsDB.Enum_dbType.dbInt)
					pDb.setParam(sqlXSI010F010.prmASST_ITM054, clsDB.Enum_dbType.dbInt)
					pDb.setParam(sqlXSI010F010.prmASST_ITM055, clsDB.Enum_dbType.dbInt)
					pDb.setParam(sqlXSI010F010.prmASST_ITM056, clsDB.Enum_dbType.dbInt)
					pDb.setParam(sqlXSI010F010.prmASST_ITM057, clsDB.Enum_dbType.dbInt)
					pDb.setParam(sqlXSI010F010.prmASST_ITM058, clsDB.Enum_dbType.dbInt)
					pDb.setParam(sqlXSI010F010.prmASST_ITM059, clsDB.Enum_dbType.dbInt)
					pDb.setParam(sqlXSI010F010.prmASST_ITM060, clsDB.Enum_dbType.dbInt)
					pDb.setParam(sqlXSI010F010.prmASST_ITM061, clsDB.Enum_dbType.dbInt)
					pDb.setParam(sqlXSI010F010.prmASST_ITM062, clsDB.Enum_dbType.dbInt)
					pDb.setParam(sqlXSI010F010.prmASST_ITM063, clsDB.Enum_dbType.dbInt)
					pDb.setParam(sqlXSI010F010.prmASST_ITM064, clsDB.Enum_dbType.dbInt)
					pDb.setParam(sqlXSI010F010.prmASST_ITM065, clsDB.Enum_dbType.dbInt)
					pDb.setParam(sqlXSI010F010.prmASST_ITM066, clsDB.Enum_dbType.dbInt)
					pDb.setParam(sqlXSI010F010.prmASST_ITM067, clsDB.Enum_dbType.dbInt)
					pDb.setParam(sqlXSI010F010.prmASST_ITM068, clsDB.Enum_dbType.dbInt)
					pDb.setParam(sqlXSI010F010.prmASST_ITM069, clsDB.Enum_dbType.dbInt)
					pDb.setParam(sqlXSI010F010.prmASST_ITM070, clsDB.Enum_dbType.dbInt)
					pDb.setParam(sqlXSI010F010.prmASST_ITM071, clsDB.Enum_dbType.dbInt)
					pDb.setParam(sqlXSI010F010.prmASST_ITM072, clsDB.Enum_dbType.dbInt)
					pDb.setParam(sqlXSI010F010.prmASST_ITM073, clsDB.Enum_dbType.dbInt)
					pDb.setParam(sqlXSI010F010.prmASST_ITM074, clsDB.Enum_dbType.dbInt)
					pDb.setParam(sqlXSI010F010.prmASST_ITM075, clsDB.Enum_dbType.dbInt)
					pDb.setParam(sqlXSI010F010.prmASST_ITM076, clsDB.Enum_dbType.dbInt)
					pDb.setParam(sqlXSI010F010.prmASST_ITM077, clsDB.Enum_dbType.dbInt)
					pDb.setParam(sqlXSI010F010.prmASST_ITM078, clsDB.Enum_dbType.dbInt)
					pDb.setParam(sqlXSI010F010.prmASST_ITM079, clsDB.Enum_dbType.dbInt)
					pDb.setParam(sqlXSI010F010.prmASST_ITM080, clsDB.Enum_dbType.dbInt)
					pDb.setParam(sqlXSI010F010.prmASST_ITM081, clsDB.Enum_dbType.dbInt)
					pDb.setParam(sqlXSI010F010.prmASST_ITM082, clsDB.Enum_dbType.dbInt)
					pDb.setParam(sqlXSI010F010.prmASST_ITM083, clsDB.Enum_dbType.dbInt)
					pDb.setParam(sqlXSI010F010.prmASST_ITM084, clsDB.Enum_dbType.dbInt)
					pDb.setParam(sqlXSI010F010.prmASST_ITM085, clsDB.Enum_dbType.dbInt)
					pDb.setParam(sqlXSI010F010.prmASST_ITM086, clsDB.Enum_dbType.dbInt)
					pDb.setParam(sqlXSI010F010.prmASST_ITM087, clsDB.Enum_dbType.dbInt)
					pDb.setParam(sqlXSI010F010.prmASST_ITM088, clsDB.Enum_dbType.dbInt)
					pDb.setParam(sqlXSI010F010.prmASST_ITM089, clsDB.Enum_dbType.dbInt)
					pDb.setParam(sqlXSI010F010.prmASST_ITM090, clsDB.Enum_dbType.dbInt)
					pDb.setParam(sqlXSI010F010.prmASST_ITM091, clsDB.Enum_dbType.dbInt)
					pDb.setParam(sqlXSI010F010.prmASST_ITM092, clsDB.Enum_dbType.dbInt)
					pDb.setParam(sqlXSI010F010.prmASST_ITM093, clsDB.Enum_dbType.dbInt)
					pDb.setParam(sqlXSI010F010.prmASST_ITM094, clsDB.Enum_dbType.dbInt)
					pDb.setParam(sqlXSI010F010.prmASST_ITM095, clsDB.Enum_dbType.dbInt)
					pDb.setParam(sqlXSI010F010.prmASST_ITM096, clsDB.Enum_dbType.dbInt)
					pDb.setParam(sqlXSI010F010.prmASST_ITM097, clsDB.Enum_dbType.dbInt)
					pDb.setParam(sqlXSI010F010.prmASST_ITM098, clsDB.Enum_dbType.dbInt)
					pDb.setParam(sqlXSI010F010.prmASST_ITM099, clsDB.Enum_dbType.dbInt)
					pDb.setParam(sqlXSI010F010.prmASST_ITM100, clsDB.Enum_dbType.dbInt)
					pDb.setParam(sqlXSI010F010.prmASST_ITM101, clsDB.Enum_dbType.dbInt)
					pDb.setParam(sqlXSI010F010.prmASST_ITM102, clsDB.Enum_dbType.dbInt)
					pDb.setParam(sqlXSI010F010.prmASST_ITM103, clsDB.Enum_dbType.dbInt)
					pDb.setParam(sqlXSI010F010.prmASST_ITM104, clsDB.Enum_dbType.dbInt)
					pDb.setParam(sqlXSI010F010.prmASST_ITM105, clsDB.Enum_dbType.dbInt)
					pDb.setParam(sqlXSI010F010.prmASST_ITM106, clsDB.Enum_dbType.dbInt)
					pDb.setParam(sqlXSI010F010.prmASST_ITM107, clsDB.Enum_dbType.dbInt)
					pDb.setParam(sqlXSI010F010.prmASST_ITM108, clsDB.Enum_dbType.dbInt)
					pDb.setParam(sqlXSI010F010.prmASST_ITM109, clsDB.Enum_dbType.dbInt)
					pDb.setParam(sqlXSI010F010.prmASST_ITM110, clsDB.Enum_dbType.dbInt)
					pDb.setParam(sqlXSI010F010.prmASST_ITM111, clsDB.Enum_dbType.dbInt)
					pDb.setParam(sqlXSI010F010.prmASST_ITM112, clsDB.Enum_dbType.dbInt)
					pDb.setParam(sqlXSI010F010.prmASST_ITM113, clsDB.Enum_dbType.dbInt)
					pDb.setParam(sqlXSI010F010.prmASST_ITM114, clsDB.Enum_dbType.dbInt)
					pDb.setParam(sqlXSI010F010.prmASST_ITM115, clsDB.Enum_dbType.dbInt)
					pDb.setParam(sqlXSI010F010.prmASST_ITM116, clsDB.Enum_dbType.dbInt)
					pDb.setParam(sqlXSI010F010.prmASST_ITM117, clsDB.Enum_dbType.dbInt)
					pDb.setParam(sqlXSI010F010.prmASST_ITM118, clsDB.Enum_dbType.dbInt)
					pDb.setParam(sqlXSI010F010.prmASST_ITM119, clsDB.Enum_dbType.dbInt)
					pDb.setParam(sqlXSI010F010.prmASST_ITM120, clsDB.Enum_dbType.dbInt)
					pDb.setParam(sqlXSI010F010.prmASST_ITM121, clsDB.Enum_dbType.dbInt)
					pDb.setParam(sqlXSI010F010.prmASST_ITM122, clsDB.Enum_dbType.dbInt)
					pDb.setParam(sqlXSI010F010.prmASST_ITM123, clsDB.Enum_dbType.dbInt)
					pDb.setParam(sqlXSI010F010.prmASST_ITM124, clsDB.Enum_dbType.dbInt)
					pDb.setParam(sqlXSI010F010.prmASST_ITM125, clsDB.Enum_dbType.dbInt)
					pDb.setParam(sqlXSI010F010.prmASST_ITM126, clsDB.Enum_dbType.dbInt)
					pDb.setParam(sqlXSI010F010.prmASST_ITM127, clsDB.Enum_dbType.dbInt)
					pDb.setParam(sqlXSI010F010.prmASST_ITM128, clsDB.Enum_dbType.dbInt)
					pDb.setParam(sqlXSI010F010.prmASST_ITM129, clsDB.Enum_dbType.dbInt)
					pDb.setParam(sqlXSI010F010.prmASST_ITM130, clsDB.Enum_dbType.dbInt)
					pDb.setParam(sqlXSI010F010.prmASST_ITM131, clsDB.Enum_dbType.dbInt)
					pDb.setParam(sqlXSI010F010.prmASST_ITM132, clsDB.Enum_dbType.dbInt)
					pDb.setParam(sqlXSI010F010.prmLASTUPDUSER_CD, clsDB.Enum_dbType.dbNVarChar)		 '更新者コード
					pDb.setParam(sqlXSI010F010.prmLASTUPD_DT, clsDB.Enum_dbType.dbDateTime)		   '更新日

					'値設定
					pDb.setVal(sqlXSI010F010.prmPATIENT_NO, cliMTI_ASST1.PATIENT_NO)			   '患者番号
					pDb.setVal(sqlXSI010F010.prmHSP_HISTORY_NO, cliMTI_ASST1.HSP_HISTORY_NO)	   '入退院歴番号
					pDb.setVal(sqlXSI010F010.prmCH_NO, cliMTI_ASST1.CH_NO)						   '科歴番号

					'補足項目０１～１３２ (9をCheckOffに置換)
					pDb.setVal(sqlXSI010F010.prmASST_ITM001, Me.changeValASST1(cliMTI_ASST1.ASST_ITM001, sqlIdx))
					pDb.setVal(sqlXSI010F010.prmASST_ITM002, Me.changeValASST1(cliMTI_ASST1.ASST_ITM002, sqlIdx))
					pDb.setVal(sqlXSI010F010.prmASST_ITM003, Me.changeValASST1(cliMTI_ASST1.ASST_ITM003, sqlIdx))
					pDb.setVal(sqlXSI010F010.prmASST_ITM004, Me.changeValASST1(cliMTI_ASST1.ASST_ITM004, sqlIdx))
					pDb.setVal(sqlXSI010F010.prmASST_ITM005, Me.changeValASST1(cliMTI_ASST1.ASST_ITM005, sqlIdx))
					pDb.setVal(sqlXSI010F010.prmASST_ITM006, Me.changeValASST1(cliMTI_ASST1.ASST_ITM006, sqlIdx))
					pDb.setVal(sqlXSI010F010.prmASST_ITM007, Me.changeValASST1(cliMTI_ASST1.ASST_ITM007, sqlIdx))
					pDb.setVal(sqlXSI010F010.prmASST_ITM008, Me.changeValASST1(cliMTI_ASST1.ASST_ITM008, sqlIdx))
					pDb.setVal(sqlXSI010F010.prmASST_ITM009, Me.changeValASST1(cliMTI_ASST1.ASST_ITM009, sqlIdx))
					pDb.setVal(sqlXSI010F010.prmASST_ITM010, Me.changeValASST1(cliMTI_ASST1.ASST_ITM010, sqlIdx))
					pDb.setVal(sqlXSI010F010.prmASST_ITM011, Me.changeValASST1(cliMTI_ASST1.ASST_ITM011, sqlIdx))
					pDb.setVal(sqlXSI010F010.prmASST_ITM012, Me.changeValASST1(cliMTI_ASST1.ASST_ITM012, sqlIdx))
					pDb.setVal(sqlXSI010F010.prmASST_ITM013, Me.changeValASST1(cliMTI_ASST1.ASST_ITM013, sqlIdx))
					pDb.setVal(sqlXSI010F010.prmASST_ITM014, Me.changeValASST1(cliMTI_ASST1.ASST_ITM014, sqlIdx))
					pDb.setVal(sqlXSI010F010.prmASST_ITM015, Me.changeValASST1(cliMTI_ASST1.ASST_ITM015, sqlIdx))
					pDb.setVal(sqlXSI010F010.prmASST_ITM016, Me.changeValASST1(cliMTI_ASST1.ASST_ITM016, sqlIdx))
					pDb.setVal(sqlXSI010F010.prmASST_ITM017, Me.changeValASST1(cliMTI_ASST1.ASST_ITM017, sqlIdx))
					pDb.setVal(sqlXSI010F010.prmASST_ITM018, Me.changeValASST1(cliMTI_ASST1.ASST_ITM018, sqlIdx))
					pDb.setVal(sqlXSI010F010.prmASST_ITM019, Me.changeValASST1(cliMTI_ASST1.ASST_ITM019, sqlIdx))
					pDb.setVal(sqlXSI010F010.prmASST_ITM020, Me.changeValASST1(cliMTI_ASST1.ASST_ITM020, sqlIdx))
					pDb.setVal(sqlXSI010F010.prmASST_ITM021, Me.changeValASST1(cliMTI_ASST1.ASST_ITM021, sqlIdx))
					pDb.setVal(sqlXSI010F010.prmASST_ITM022, Me.changeValASST1(cliMTI_ASST1.ASST_ITM022, sqlIdx))
					pDb.setVal(sqlXSI010F010.prmASST_ITM023, Me.changeValASST1(cliMTI_ASST1.ASST_ITM023, sqlIdx))
					pDb.setVal(sqlXSI010F010.prmASST_ITM024, Me.changeValASST1(cliMTI_ASST1.ASST_ITM024, sqlIdx))
					pDb.setVal(sqlXSI010F010.prmASST_ITM025, Me.changeValASST1(cliMTI_ASST1.ASST_ITM025, sqlIdx))
					pDb.setVal(sqlXSI010F010.prmASST_ITM026, Me.changeValASST1(cliMTI_ASST1.ASST_ITM026, sqlIdx))
					pDb.setVal(sqlXSI010F010.prmASST_ITM027, Me.changeValASST1(cliMTI_ASST1.ASST_ITM027, sqlIdx))
					pDb.setVal(sqlXSI010F010.prmASST_ITM028, Me.changeValASST1(cliMTI_ASST1.ASST_ITM028, sqlIdx))
					pDb.setVal(sqlXSI010F010.prmASST_ITM029, Me.changeValASST1(cliMTI_ASST1.ASST_ITM029, sqlIdx))
					pDb.setVal(sqlXSI010F010.prmASST_ITM030, Me.changeValASST1(cliMTI_ASST1.ASST_ITM030, sqlIdx))
					pDb.setVal(sqlXSI010F010.prmASST_ITM031, Me.changeValASST1(cliMTI_ASST1.ASST_ITM031, sqlIdx))
					pDb.setVal(sqlXSI010F010.prmASST_ITM032, Me.changeValASST1(cliMTI_ASST1.ASST_ITM032, sqlIdx))
					pDb.setVal(sqlXSI010F010.prmASST_ITM033, Me.changeValASST1(cliMTI_ASST1.ASST_ITM033, sqlIdx))
					pDb.setVal(sqlXSI010F010.prmASST_ITM034, Me.changeValASST1(cliMTI_ASST1.ASST_ITM034, sqlIdx))
					pDb.setVal(sqlXSI010F010.prmASST_ITM035, Me.changeValASST1(cliMTI_ASST1.ASST_ITM035, sqlIdx))
					pDb.setVal(sqlXSI010F010.prmASST_ITM036, Me.changeValASST1(cliMTI_ASST1.ASST_ITM036, sqlIdx))
					pDb.setVal(sqlXSI010F010.prmASST_ITM037, Me.changeValASST1(cliMTI_ASST1.ASST_ITM037, sqlIdx))
					pDb.setVal(sqlXSI010F010.prmASST_ITM038, Me.changeValASST1(cliMTI_ASST1.ASST_ITM038, sqlIdx))
					pDb.setVal(sqlXSI010F010.prmASST_ITM039, Me.changeValASST1(cliMTI_ASST1.ASST_ITM039, sqlIdx))
					pDb.setVal(sqlXSI010F010.prmASST_ITM040, Me.changeValASST1(cliMTI_ASST1.ASST_ITM040, sqlIdx))
					pDb.setVal(sqlXSI010F010.prmASST_ITM041, Me.changeValASST1(cliMTI_ASST1.ASST_ITM041, sqlIdx))
					pDb.setVal(sqlXSI010F010.prmASST_ITM042, Me.changeValASST1(cliMTI_ASST1.ASST_ITM042, sqlIdx))
					pDb.setVal(sqlXSI010F010.prmASST_ITM043, Me.changeValASST1(cliMTI_ASST1.ASST_ITM043, sqlIdx))
					pDb.setVal(sqlXSI010F010.prmASST_ITM044, Me.changeValASST1(cliMTI_ASST1.ASST_ITM044, sqlIdx))
					pDb.setVal(sqlXSI010F010.prmASST_ITM045, Me.changeValASST1(cliMTI_ASST1.ASST_ITM045, sqlIdx))
					pDb.setVal(sqlXSI010F010.prmASST_ITM046, Me.changeValASST1(cliMTI_ASST1.ASST_ITM046, sqlIdx))
					pDb.setVal(sqlXSI010F010.prmASST_ITM047, Me.changeValASST1(cliMTI_ASST1.ASST_ITM047, sqlIdx))
					pDb.setVal(sqlXSI010F010.prmASST_ITM048, Me.changeValASST1(cliMTI_ASST1.ASST_ITM048, sqlIdx))
					pDb.setVal(sqlXSI010F010.prmASST_ITM049, Me.changeValASST1(cliMTI_ASST1.ASST_ITM049, sqlIdx))
					pDb.setVal(sqlXSI010F010.prmASST_ITM050, Me.changeValASST1(cliMTI_ASST1.ASST_ITM050, sqlIdx))
					pDb.setVal(sqlXSI010F010.prmASST_ITM051, Me.changeValASST1(cliMTI_ASST1.ASST_ITM051, sqlIdx))
					pDb.setVal(sqlXSI010F010.prmASST_ITM052, Me.changeValASST1(cliMTI_ASST1.ASST_ITM052, sqlIdx))
					pDb.setVal(sqlXSI010F010.prmASST_ITM053, Me.changeValASST1(cliMTI_ASST1.ASST_ITM053, sqlIdx))
					pDb.setVal(sqlXSI010F010.prmASST_ITM054, Me.changeValASST1(cliMTI_ASST1.ASST_ITM054, sqlIdx))
					pDb.setVal(sqlXSI010F010.prmASST_ITM055, Me.changeValASST1(cliMTI_ASST1.ASST_ITM055, sqlIdx))
					pDb.setVal(sqlXSI010F010.prmASST_ITM056, Me.changeValASST1(cliMTI_ASST1.ASST_ITM056, sqlIdx))
					pDb.setVal(sqlXSI010F010.prmASST_ITM057, Me.changeValASST1(cliMTI_ASST1.ASST_ITM057, sqlIdx))
					pDb.setVal(sqlXSI010F010.prmASST_ITM058, Me.changeValASST1(cliMTI_ASST1.ASST_ITM058, sqlIdx))
					pDb.setVal(sqlXSI010F010.prmASST_ITM059, Me.changeValASST1(cliMTI_ASST1.ASST_ITM059, sqlIdx))
					pDb.setVal(sqlXSI010F010.prmASST_ITM060, Me.changeValASST1(cliMTI_ASST1.ASST_ITM060, sqlIdx))
					pDb.setVal(sqlXSI010F010.prmASST_ITM061, Me.changeValASST1(cliMTI_ASST1.ASST_ITM061, sqlIdx))
					pDb.setVal(sqlXSI010F010.prmASST_ITM062, Me.changeValASST1(cliMTI_ASST1.ASST_ITM062, sqlIdx))
					pDb.setVal(sqlXSI010F010.prmASST_ITM063, Me.changeValASST1(cliMTI_ASST1.ASST_ITM063, sqlIdx))
					pDb.setVal(sqlXSI010F010.prmASST_ITM064, Me.changeValASST1(cliMTI_ASST1.ASST_ITM064, sqlIdx))
					pDb.setVal(sqlXSI010F010.prmASST_ITM065, Me.changeValASST1(cliMTI_ASST1.ASST_ITM065, sqlIdx))
					pDb.setVal(sqlXSI010F010.prmASST_ITM066, Me.changeValASST1(cliMTI_ASST1.ASST_ITM066, sqlIdx))
					pDb.setVal(sqlXSI010F010.prmASST_ITM067, Me.changeValASST1(cliMTI_ASST1.ASST_ITM067, sqlIdx))
					pDb.setVal(sqlXSI010F010.prmASST_ITM068, Me.changeValASST1(cliMTI_ASST1.ASST_ITM068, sqlIdx))
					pDb.setVal(sqlXSI010F010.prmASST_ITM069, Me.changeValASST1(cliMTI_ASST1.ASST_ITM069, sqlIdx))
					pDb.setVal(sqlXSI010F010.prmASST_ITM070, Me.changeValASST1(cliMTI_ASST1.ASST_ITM070, sqlIdx))
					pDb.setVal(sqlXSI010F010.prmASST_ITM071, Me.changeValASST1(cliMTI_ASST1.ASST_ITM071, sqlIdx))
					pDb.setVal(sqlXSI010F010.prmASST_ITM072, Me.changeValASST1(cliMTI_ASST1.ASST_ITM072, sqlIdx))
					pDb.setVal(sqlXSI010F010.prmASST_ITM073, Me.changeValASST1(cliMTI_ASST1.ASST_ITM073, sqlIdx))
					pDb.setVal(sqlXSI010F010.prmASST_ITM074, Me.changeValASST1(cliMTI_ASST1.ASST_ITM074, sqlIdx))
					pDb.setVal(sqlXSI010F010.prmASST_ITM075, Me.changeValASST1(cliMTI_ASST1.ASST_ITM075, sqlIdx))
					pDb.setVal(sqlXSI010F010.prmASST_ITM076, Me.changeValASST1(cliMTI_ASST1.ASST_ITM076, sqlIdx))
					pDb.setVal(sqlXSI010F010.prmASST_ITM077, Me.changeValASST1(cliMTI_ASST1.ASST_ITM077, sqlIdx))
					pDb.setVal(sqlXSI010F010.prmASST_ITM078, Me.changeValASST1(cliMTI_ASST1.ASST_ITM078, sqlIdx))
					pDb.setVal(sqlXSI010F010.prmASST_ITM079, Me.changeValASST1(cliMTI_ASST1.ASST_ITM079, sqlIdx))
					pDb.setVal(sqlXSI010F010.prmASST_ITM080, Me.changeValASST1(cliMTI_ASST1.ASST_ITM080, sqlIdx))
					pDb.setVal(sqlXSI010F010.prmASST_ITM081, Me.changeValASST1(cliMTI_ASST1.ASST_ITM081, sqlIdx))
					pDb.setVal(sqlXSI010F010.prmASST_ITM082, Me.changeValASST1(cliMTI_ASST1.ASST_ITM082, sqlIdx))
					pDb.setVal(sqlXSI010F010.prmASST_ITM083, Me.changeValASST1(cliMTI_ASST1.ASST_ITM083, sqlIdx))
					pDb.setVal(sqlXSI010F010.prmASST_ITM084, Me.changeValASST1(cliMTI_ASST1.ASST_ITM084, sqlIdx))
					pDb.setVal(sqlXSI010F010.prmASST_ITM085, Me.changeValASST1(cliMTI_ASST1.ASST_ITM085, sqlIdx))
					pDb.setVal(sqlXSI010F010.prmASST_ITM086, Me.changeValASST1(cliMTI_ASST1.ASST_ITM086, sqlIdx))
					pDb.setVal(sqlXSI010F010.prmASST_ITM087, Me.changeValASST1(cliMTI_ASST1.ASST_ITM087, sqlIdx))
					pDb.setVal(sqlXSI010F010.prmASST_ITM088, Me.changeValASST1(cliMTI_ASST1.ASST_ITM088, sqlIdx))
					pDb.setVal(sqlXSI010F010.prmASST_ITM089, Me.changeValASST1(cliMTI_ASST1.ASST_ITM089, sqlIdx))
					pDb.setVal(sqlXSI010F010.prmASST_ITM090, Me.changeValASST1(cliMTI_ASST1.ASST_ITM090, sqlIdx))
					pDb.setVal(sqlXSI010F010.prmASST_ITM091, Me.changeValASST1(cliMTI_ASST1.ASST_ITM091, sqlIdx))
					pDb.setVal(sqlXSI010F010.prmASST_ITM092, Me.changeValASST1(cliMTI_ASST1.ASST_ITM092, sqlIdx))
					pDb.setVal(sqlXSI010F010.prmASST_ITM093, Me.changeValASST1(cliMTI_ASST1.ASST_ITM093, sqlIdx))
					pDb.setVal(sqlXSI010F010.prmASST_ITM094, Me.changeValASST1(cliMTI_ASST1.ASST_ITM094, sqlIdx))
					pDb.setVal(sqlXSI010F010.prmASST_ITM095, Me.changeValASST1(cliMTI_ASST1.ASST_ITM095, sqlIdx))
					pDb.setVal(sqlXSI010F010.prmASST_ITM096, Me.changeValASST1(cliMTI_ASST1.ASST_ITM096, sqlIdx))
					pDb.setVal(sqlXSI010F010.prmASST_ITM097, Me.changeValASST1(cliMTI_ASST1.ASST_ITM097, sqlIdx))
					pDb.setVal(sqlXSI010F010.prmASST_ITM098, Me.changeValASST1(cliMTI_ASST1.ASST_ITM098, sqlIdx))
					pDb.setVal(sqlXSI010F010.prmASST_ITM099, Me.changeValASST1(cliMTI_ASST1.ASST_ITM099, sqlIdx))
					pDb.setVal(sqlXSI010F010.prmASST_ITM100, Me.changeValASST1(cliMTI_ASST1.ASST_ITM100, sqlIdx))
					pDb.setVal(sqlXSI010F010.prmASST_ITM101, Me.changeValASST1(cliMTI_ASST1.ASST_ITM101, sqlIdx))
					pDb.setVal(sqlXSI010F010.prmASST_ITM102, Me.changeValASST1(cliMTI_ASST1.ASST_ITM102, sqlIdx))
					pDb.setVal(sqlXSI010F010.prmASST_ITM103, Me.changeValASST1(cliMTI_ASST1.ASST_ITM103, sqlIdx))
					pDb.setVal(sqlXSI010F010.prmASST_ITM104, Me.changeValASST1(cliMTI_ASST1.ASST_ITM104, sqlIdx))
					pDb.setVal(sqlXSI010F010.prmASST_ITM105, Me.changeValASST1(cliMTI_ASST1.ASST_ITM105, sqlIdx))
					pDb.setVal(sqlXSI010F010.prmASST_ITM106, Me.changeValASST1(cliMTI_ASST1.ASST_ITM106, sqlIdx))
					pDb.setVal(sqlXSI010F010.prmASST_ITM107, Me.changeValASST1(cliMTI_ASST1.ASST_ITM107, sqlIdx))
					pDb.setVal(sqlXSI010F010.prmASST_ITM108, Me.changeValASST1(cliMTI_ASST1.ASST_ITM108, sqlIdx))
					pDb.setVal(sqlXSI010F010.prmASST_ITM109, Me.changeValASST1(cliMTI_ASST1.ASST_ITM109, sqlIdx))
					pDb.setVal(sqlXSI010F010.prmASST_ITM110, Me.changeValASST1(cliMTI_ASST1.ASST_ITM110, sqlIdx))
					pDb.setVal(sqlXSI010F010.prmASST_ITM111, Me.changeValASST1(cliMTI_ASST1.ASST_ITM111, sqlIdx))
					pDb.setVal(sqlXSI010F010.prmASST_ITM112, Me.changeValASST1(cliMTI_ASST1.ASST_ITM112, sqlIdx))
					pDb.setVal(sqlXSI010F010.prmASST_ITM113, Me.changeValASST1(cliMTI_ASST1.ASST_ITM113, sqlIdx))
					pDb.setVal(sqlXSI010F010.prmASST_ITM114, Me.changeValASST1(cliMTI_ASST1.ASST_ITM114, sqlIdx))
					pDb.setVal(sqlXSI010F010.prmASST_ITM115, Me.changeValASST1(cliMTI_ASST1.ASST_ITM115, sqlIdx))
					pDb.setVal(sqlXSI010F010.prmASST_ITM116, Me.changeValASST1(cliMTI_ASST1.ASST_ITM116, sqlIdx))
					pDb.setVal(sqlXSI010F010.prmASST_ITM117, Me.changeValASST1(cliMTI_ASST1.ASST_ITM117, sqlIdx))
					pDb.setVal(sqlXSI010F010.prmASST_ITM118, Me.changeValASST1(cliMTI_ASST1.ASST_ITM118, sqlIdx))
					pDb.setVal(sqlXSI010F010.prmASST_ITM119, Me.changeValASST1(cliMTI_ASST1.ASST_ITM119, sqlIdx))
					pDb.setVal(sqlXSI010F010.prmASST_ITM120, Me.changeValASST1(cliMTI_ASST1.ASST_ITM120, sqlIdx))
					pDb.setVal(sqlXSI010F010.prmASST_ITM121, Me.changeValASST1(cliMTI_ASST1.ASST_ITM121, sqlIdx))
					pDb.setVal(sqlXSI010F010.prmASST_ITM122, Me.changeValASST1(cliMTI_ASST1.ASST_ITM122, sqlIdx))
					pDb.setVal(sqlXSI010F010.prmASST_ITM123, Me.changeValASST1(cliMTI_ASST1.ASST_ITM123, sqlIdx))
					pDb.setVal(sqlXSI010F010.prmASST_ITM124, Me.changeValASST1(cliMTI_ASST1.ASST_ITM124, sqlIdx))
					pDb.setVal(sqlXSI010F010.prmASST_ITM125, Me.changeValASST1(cliMTI_ASST1.ASST_ITM125, sqlIdx))
					pDb.setVal(sqlXSI010F010.prmASST_ITM126, Me.changeValASST1(cliMTI_ASST1.ASST_ITM126, sqlIdx))
					pDb.setVal(sqlXSI010F010.prmASST_ITM127, Me.changeValASST1(cliMTI_ASST1.ASST_ITM127, sqlIdx))
					pDb.setVal(sqlXSI010F010.prmASST_ITM128, Me.changeValASST1(cliMTI_ASST1.ASST_ITM128, sqlIdx))
					pDb.setVal(sqlXSI010F010.prmASST_ITM129, Me.changeValASST1(cliMTI_ASST1.ASST_ITM129, sqlIdx))
					pDb.setVal(sqlXSI010F010.prmASST_ITM130, Me.changeValASST1(cliMTI_ASST1.ASST_ITM130, sqlIdx))
					pDb.setVal(sqlXSI010F010.prmASST_ITM131, Me.changeValASST1(cliMTI_ASST1.ASST_ITM131, sqlIdx))
					pDb.setVal(sqlXSI010F010.prmASST_ITM132, Me.changeValASST1(cliMTI_ASST1.ASST_ITM132, sqlIdx))

					pDb.setVal(sqlXSI010F010.prmLASTUPDUSER_CD, Me.cliXSI010F010._userID)		   '更新者コード
					pDb.setVal(sqlXSI010F010.prmLASTUPD_DT, DateTime.Now)						   '更新日



				Case Enum_SqlIdx.eDel '削除
					'SQL文設定
					pDb.setSQL(sqlXSI010F010.sqlDel_MTI_ASST1)
					'パラメータ設定
					pDb.setParam(sqlXSI010F010.prmPATIENT_NO, clsDB.Enum_dbType.dbNVarChar)			 '患者番号
					pDb.setParam(sqlXSI010F010.prmHSP_HISTORY_NO, clsDB.Enum_dbType.dbInt)		   '入退院歴番号
					pDb.setParam(sqlXSI010F010.prmCH_NO, clsDB.Enum_dbType.dbInt)				   '科歴番号
					'値設定
					pDb.setVal(sqlXSI010F010.prmPATIENT_NO, cliMTI_ASST1.PATIENT_NO)			   '患者番号
					pDb.setVal(sqlXSI010F010.prmHSP_HISTORY_NO, cliMTI_ASST1.HSP_HISTORY_NO)	   '入退院歴番号
					pDb.setVal(sqlXSI010F010.prmCH_NO, cliMTI_ASST1.CH_NO)						   '科歴番号

			End Select

			'SQL実行
			pDb.execNonQuery(tran)
		Catch ex As Exception
			Throw
		End Try
	End Sub

	''' ---------------------------------------------
	''' <summary>
	''' 【補足項目】SQLパラメータ設定[補足項目２]
	''' </summary>
	''' <param name="pDb">DBクラス</param>
	''' <param name="tran">トランザクション制御</param>
	''' <param name="sqlIdx">SQL区分</param>
	''' <param name="cliMTI_ASST2">補足項目２データクラス</param>
	''' <remarks>
	''' 2010/10/29 新規作成 ACS)牟禮<BR/>
	''' </remarks>
	''' ---------------------------------------------
	Private Sub setSqlParam_MTI_ASST2(ByVal pDb As clsDB, ByVal tran As Boolean, ByVal sqlIdx As Enum_SqlIdx, ByVal cliMTI_ASST2 As clsXSI_MTI_ASST2)
		clsSysMst.logEx(clsSysMst.logLevel.DBG, "XSI", Me.GetType().Name, MethodBase.GetCurrentMethod().Name, "システム連携", "補足項目連携", "【補足項目】SQLパラメータ設定[補足項目２] Start")
		Try
			Select Case sqlIdx
				Case Enum_SqlIdx.eIns, Enum_SqlIdx.eUpd	'登録・更新
					'SQL文設定
					If sqlIdx = Enum_SqlIdx.eIns Then
						pDb.setSQL(sqlXSI010F010.sqlIns_MTI_ASST2) '登録
					Else
						pDb.setSQL(sqlXSI010F010.sqlUpd_MTI_ASST2) '更新
					End If

					'パラメータ設定
					pDb.setParam(sqlXSI010F010.prmPATIENT_NO, clsDB.Enum_dbType.dbNVarChar)	 '患者番号
					pDb.setParam(sqlXSI010F010.prmHSP_HISTORY_NO, clsDB.Enum_dbType.dbInt)	'入退院歴番号
					pDb.setParam(sqlXSI010F010.prmCH_NO, clsDB.Enum_dbType.dbInt)		   '科歴番号

					pDb.setParam(sqlXSI010F010.prmTEXT1, clsDB.Enum_dbType.dbNVarChar)			 'テキスト１
					pDb.setParam(sqlXSI010F010.prmTEXT2, clsDB.Enum_dbType.dbNVarChar)			 'テキスト２
					pDb.setParam(sqlXSI010F010.prmTEXT3, clsDB.Enum_dbType.dbNVarChar)			 'テキスト３
					pDb.setParam(sqlXSI010F010.prmTEXT4, clsDB.Enum_dbType.dbNVarChar)			 'テキスト４
					pDb.setParam(sqlXSI010F010.prmTEXT5, clsDB.Enum_dbType.dbNVarChar)			 'テキスト５
					pDb.setParam(sqlXSI010F010.prmTEXT6, clsDB.Enum_dbType.dbNVarChar)			 'テキスト６
					pDb.setParam(sqlXSI010F010.prmTEXT7, clsDB.Enum_dbType.dbNVarChar)			 'テキスト７
					pDb.setParam(sqlXSI010F010.prmTEXT8, clsDB.Enum_dbType.dbNVarChar)			 'テキスト８
					pDb.setParam(sqlXSI010F010.prmTEXT9, clsDB.Enum_dbType.dbNVarChar)			 'テキスト９
					pDb.setParam(sqlXSI010F010.prmTEXT10, clsDB.Enum_dbType.dbNVarChar)			 'テキスト１０
					pDb.setParam(sqlXSI010F010.prmTEXT11, clsDB.Enum_dbType.dbNVarChar)			 'テキスト１１
					pDb.setParam(sqlXSI010F010.prmTEXT12, clsDB.Enum_dbType.dbNVarChar)			 'テキスト１２
					pDb.setParam(sqlXSI010F010.prmNUMBER1, clsDB.Enum_dbType.dbNVarChar)		 '数字１
					pDb.setParam(sqlXSI010F010.prmNUMBER2, clsDB.Enum_dbType.dbNVarChar)		 '数字２
					pDb.setParam(sqlXSI010F010.prmNUMBER3, clsDB.Enum_dbType.dbNVarChar)		 '数字３
					pDb.setParam(sqlXSI010F010.prmNUMBER4, clsDB.Enum_dbType.dbNVarChar)		 '数字４
					pDb.setParam(sqlXSI010F010.prmNUMBER5, clsDB.Enum_dbType.dbNVarChar)		 '数字５
					pDb.setParam(sqlXSI010F010.prmNUMBER6, clsDB.Enum_dbType.dbNVarChar)		 '数字６
					pDb.setParam(sqlXSI010F010.prmNUMBER7, clsDB.Enum_dbType.dbNVarChar)		 '数字７ '@@ 型FLOAT
					pDb.setParam(sqlXSI010F010.prmNUMBER8, clsDB.Enum_dbType.dbNVarChar)		 '数字８ '@@ 型FLOAT
					pDb.setParam(sqlXSI010F010.prmNUMBER9, clsDB.Enum_dbType.dbNVarChar)		 '数字９ '@@ 型FLOAT
					pDb.setParam(sqlXSI010F010.prmNUMBER10, clsDB.Enum_dbType.dbNVarChar)		 '数字１０'@@ 型FLOAT
					pDb.setParam(sqlXSI010F010.prmNUMBER11, clsDB.Enum_dbType.dbNVarChar)		 '数字１１'@@ 型FLOAT
					pDb.setParam(sqlXSI010F010.prmNUMBER12, clsDB.Enum_dbType.dbNVarChar)		 '数字１２'@@ 型FLOAT
					pDb.setParam(sqlXSI010F010.prmDATE1, clsDB.Enum_dbType.dbNVarChar)			 '日付１
					pDb.setParam(sqlXSI010F010.prmDATE2, clsDB.Enum_dbType.dbNVarChar)			 '日付２
					pDb.setParam(sqlXSI010F010.prmDATE3, clsDB.Enum_dbType.dbNVarChar)			 '日付３
					pDb.setParam(sqlXSI010F010.prmDATE4, clsDB.Enum_dbType.dbNVarChar)			 '日付４
					pDb.setParam(sqlXSI010F010.prmDATE5, clsDB.Enum_dbType.dbNVarChar)			 '日付５
					pDb.setParam(sqlXSI010F010.prmDATE6, clsDB.Enum_dbType.dbNVarChar)			 '日付６
					pDb.setParam(sqlXSI010F010.prmDATE7, clsDB.Enum_dbType.dbNVarChar)			 '日付７
					pDb.setParam(sqlXSI010F010.prmDATE8, clsDB.Enum_dbType.dbNVarChar)			 '日付８
					pDb.setParam(sqlXSI010F010.prmDATE9, clsDB.Enum_dbType.dbNVarChar)			 '日付９
					pDb.setParam(sqlXSI010F010.prmDATE10, clsDB.Enum_dbType.dbNVarChar)			 '日付１０
					pDb.setParam(sqlXSI010F010.prmDATE11, clsDB.Enum_dbType.dbNVarChar)			 '日付１１
					pDb.setParam(sqlXSI010F010.prmDATE12, clsDB.Enum_dbType.dbNVarChar)			 '日付１２
					pDb.setParam(sqlXSI010F010.prmCOMBO1, clsDB.Enum_dbType.dbNVarChar)			 'コンボ１
					pDb.setParam(sqlXSI010F010.prmCOMBO2, clsDB.Enum_dbType.dbNVarChar)			 'コンボ２
					pDb.setParam(sqlXSI010F010.prmCOMBO3, clsDB.Enum_dbType.dbNVarChar)			 'コンボ３
					pDb.setParam(sqlXSI010F010.prmCOMBO4, clsDB.Enum_dbType.dbNVarChar)			 'コンボ４
					pDb.setParam(sqlXSI010F010.prmCOMBO5, clsDB.Enum_dbType.dbNVarChar)			 'コンボ５
					pDb.setParam(sqlXSI010F010.prmCOMBO6, clsDB.Enum_dbType.dbNVarChar)			 'コンボ６
					pDb.setParam(sqlXSI010F010.prmCOMBO7, clsDB.Enum_dbType.dbNVarChar)			 'コンボ７
					pDb.setParam(sqlXSI010F010.prmCOMBO8, clsDB.Enum_dbType.dbNVarChar)			 'コンボ８
					pDb.setParam(sqlXSI010F010.prmCOMBO9, clsDB.Enum_dbType.dbNVarChar)			 'コンボ９
					pDb.setParam(sqlXSI010F010.prmCOMBO10, clsDB.Enum_dbType.dbNVarChar)		 'コンボ１０
					pDb.setParam(sqlXSI010F010.prmCOMBO11, clsDB.Enum_dbType.dbNVarChar)		 'コンボ１１
					pDb.setParam(sqlXSI010F010.prmCOMBO12, clsDB.Enum_dbType.dbNVarChar)		 'コンボ１２
					pDb.setParam(sqlXSI010F010.prmTEXT13, clsDB.Enum_dbType.dbNVarChar)			 'テキスト１３
					pDb.setParam(sqlXSI010F010.prmTEXT14, clsDB.Enum_dbType.dbNVarChar)			 'テキスト１４
					pDb.setParam(sqlXSI010F010.prmTEXT15, clsDB.Enum_dbType.dbNVarChar)			 'テキスト１５
					pDb.setParam(sqlXSI010F010.prmTEXT16, clsDB.Enum_dbType.dbNVarChar)			 'テキスト１６
					pDb.setParam(sqlXSI010F010.prmTEXT17, clsDB.Enum_dbType.dbNVarChar)			 'テキスト１７
					pDb.setParam(sqlXSI010F010.prmTEXT18, clsDB.Enum_dbType.dbNVarChar)			 'テキスト１８
					pDb.setParam(sqlXSI010F010.prmTEXT19, clsDB.Enum_dbType.dbNVarChar)			 'テキスト１９
					pDb.setParam(sqlXSI010F010.prmTEXT20, clsDB.Enum_dbType.dbNVarChar)			 'テキスト２０
					pDb.setParam(sqlXSI010F010.prmTEXT21, clsDB.Enum_dbType.dbNVarChar)			 'テキスト２１
					pDb.setParam(sqlXSI010F010.prmTEXT22, clsDB.Enum_dbType.dbNVarChar)			 'テキスト２２
					pDb.setParam(sqlXSI010F010.prmTEXT23, clsDB.Enum_dbType.dbNVarChar)			 'テキスト２３
					pDb.setParam(sqlXSI010F010.prmTEXT24, clsDB.Enum_dbType.dbNVarChar)			 'テキスト２４
					pDb.setParam(sqlXSI010F010.prmTEXT25, clsDB.Enum_dbType.dbNVarChar)			 'テキスト２５
					pDb.setParam(sqlXSI010F010.prmTEXT26, clsDB.Enum_dbType.dbNVarChar)			 'テキスト２６
					pDb.setParam(sqlXSI010F010.prmTEXT27, clsDB.Enum_dbType.dbNVarChar)			 'テキスト２７
					pDb.setParam(sqlXSI010F010.prmTEXT28, clsDB.Enum_dbType.dbNVarChar)			 'テキスト２８
					pDb.setParam(sqlXSI010F010.prmTEXT29, clsDB.Enum_dbType.dbNVarChar)			 'テキスト２９
					pDb.setParam(sqlXSI010F010.prmTEXT30, clsDB.Enum_dbType.dbNVarChar)			 'テキスト３０
					pDb.setParam(sqlXSI010F010.prmNUMBER13, clsDB.Enum_dbType.dbNVarChar)		 '数字１３
					pDb.setParam(sqlXSI010F010.prmNUMBER14, clsDB.Enum_dbType.dbNVarChar)		 '数字１４
					pDb.setParam(sqlXSI010F010.prmNUMBER15, clsDB.Enum_dbType.dbNVarChar)		 '数字１５
					pDb.setParam(sqlXSI010F010.prmNUMBER16, clsDB.Enum_dbType.dbNVarChar)		 '数字１６
					pDb.setParam(sqlXSI010F010.prmNUMBER17, clsDB.Enum_dbType.dbNVarChar)		 '数字１７
					pDb.setParam(sqlXSI010F010.prmNUMBER18, clsDB.Enum_dbType.dbNVarChar)		 '数字１８
					pDb.setParam(sqlXSI010F010.prmNUMBER19, clsDB.Enum_dbType.dbNVarChar)		 '数字１９
					pDb.setParam(sqlXSI010F010.prmNUMBER20, clsDB.Enum_dbType.dbNVarChar)		 '数字２０
					pDb.setParam(sqlXSI010F010.prmNUMBER21, clsDB.Enum_dbType.dbNVarChar)		 '数字２１
					pDb.setParam(sqlXSI010F010.prmNUMBER22, clsDB.Enum_dbType.dbNVarChar)		 '数字２２ '@@ 型FLOAT
					pDb.setParam(sqlXSI010F010.prmNUMBER23, clsDB.Enum_dbType.dbNVarChar)		 '数字２３ '@@ 型FLOAT
					pDb.setParam(sqlXSI010F010.prmNUMBER24, clsDB.Enum_dbType.dbNVarChar)		 '数字２４ '@@ 型FLOAT
					pDb.setParam(sqlXSI010F010.prmNUMBER25, clsDB.Enum_dbType.dbNVarChar)		 '数字２５ '@@ 型FLOAT
					pDb.setParam(sqlXSI010F010.prmNUMBER26, clsDB.Enum_dbType.dbNVarChar)		 '数字２６ '@@ 型FLOAT
					pDb.setParam(sqlXSI010F010.prmNUMBER27, clsDB.Enum_dbType.dbNVarChar)		 '数字２７ '@@ 型FLOAT
					pDb.setParam(sqlXSI010F010.prmNUMBER28, clsDB.Enum_dbType.dbNVarChar)		 '数字２８ '@@ 型FLOAT
					pDb.setParam(sqlXSI010F010.prmNUMBER29, clsDB.Enum_dbType.dbNVarChar)		 '数字２９ '@@ 型FLOAT
					pDb.setParam(sqlXSI010F010.prmNUMBER30, clsDB.Enum_dbType.dbNVarChar)		 '数字３０ '@@ 型FLOAT
					pDb.setParam(sqlXSI010F010.prmCOMBO13, clsDB.Enum_dbType.dbNVarChar)		 'コンボ１３
					pDb.setParam(sqlXSI010F010.prmCOMBO14, clsDB.Enum_dbType.dbNVarChar)		 'コンボ１４
					pDb.setParam(sqlXSI010F010.prmCOMBO15, clsDB.Enum_dbType.dbNVarChar)		 'コンボ１５
					pDb.setParam(sqlXSI010F010.prmCOMBO16, clsDB.Enum_dbType.dbNVarChar)		 'コンボ１６
					pDb.setParam(sqlXSI010F010.prmCOMBO17, clsDB.Enum_dbType.dbNVarChar)		 'コンボ１７
					pDb.setParam(sqlXSI010F010.prmCOMBO18, clsDB.Enum_dbType.dbNVarChar)		 'コンボ１８
					pDb.setParam(sqlXSI010F010.prmCOMBO19, clsDB.Enum_dbType.dbNVarChar)		 'コンボ１９
					pDb.setParam(sqlXSI010F010.prmCOMBO20, clsDB.Enum_dbType.dbNVarChar)		 'コンボ２０
					pDb.setParam(sqlXSI010F010.prmCOMBO21, clsDB.Enum_dbType.dbNVarChar)		 'コンボ２１
					pDb.setParam(sqlXSI010F010.prmCOMBO22, clsDB.Enum_dbType.dbNVarChar)		 'コンボ２２
					pDb.setParam(sqlXSI010F010.prmCOMBO23, clsDB.Enum_dbType.dbNVarChar)		 'コンボ２３
					pDb.setParam(sqlXSI010F010.prmCOMBO24, clsDB.Enum_dbType.dbNVarChar)		 'コンボ２４
					pDb.setParam(sqlXSI010F010.prmCOMBO25, clsDB.Enum_dbType.dbNVarChar)		 'コンボ２５
					pDb.setParam(sqlXSI010F010.prmCOMBO26, clsDB.Enum_dbType.dbNVarChar)		 'コンボ２６
					pDb.setParam(sqlXSI010F010.prmCOMBO27, clsDB.Enum_dbType.dbNVarChar)		 'コンボ２７
					pDb.setParam(sqlXSI010F010.prmCOMBO28, clsDB.Enum_dbType.dbNVarChar)		 'コンボ２８
					pDb.setParam(sqlXSI010F010.prmCOMBO29, clsDB.Enum_dbType.dbNVarChar)		 'コンボ２９
					pDb.setParam(sqlXSI010F010.prmCOMBO30, clsDB.Enum_dbType.dbNVarChar)		 'コンボ３０
					pDb.setParam(sqlXSI010F010.prmCOMBO31, clsDB.Enum_dbType.dbNVarChar)		 'コンボ３１
					pDb.setParam(sqlXSI010F010.prmCOMBO32, clsDB.Enum_dbType.dbNVarChar)		 'コンボ３２
					pDb.setParam(sqlXSI010F010.prmCOMBO33, clsDB.Enum_dbType.dbNVarChar)		 'コンボ３３
					pDb.setParam(sqlXSI010F010.prmCOMBO34, clsDB.Enum_dbType.dbNVarChar)		 'コンボ３４
					pDb.setParam(sqlXSI010F010.prmCOMBO35, clsDB.Enum_dbType.dbNVarChar)		 'コンボ３５
					pDb.setParam(sqlXSI010F010.prmCOMBO36, clsDB.Enum_dbType.dbNVarChar)		 'コンボ３６
					pDb.setParam(sqlXSI010F010.prmLASTUPDUSER_CD, clsDB.Enum_dbType.dbNVarChar)	 '更新者コード
					pDb.setParam(sqlXSI010F010.prmLASTUPD_DT, clsDB.Enum_dbType.dbDateTime)	   '更新日
					pDb.setParam(sqlXSI010F010.prmASST2NotUpdVal, clsDB.Enum_dbType.dbNVarChar)	 '補足２更新除外判定文字

					'値設定
					pDb.setVal(sqlXSI010F010.prmPATIENT_NO, cliMTI_ASST2.PATIENT_NO)		   '患者番号
					pDb.setVal(sqlXSI010F010.prmHSP_HISTORY_NO, cliMTI_ASST2.HSP_HISTORY_NO)   '入退院歴番号
					pDb.setVal(sqlXSI010F010.prmCH_NO, cliMTI_ASST2.CH_NO)					   '科歴番号

					'新規時「--」の項目は初期値、更新時「--」の項目は更新しない
					pDb.setVal(sqlXSI010F010.prmTEXT1, cliMTI_ASST2.TEXT1)		   'テキスト１
					pDb.setVal(sqlXSI010F010.prmTEXT2, cliMTI_ASST2.TEXT2)		   'テキスト２
					pDb.setVal(sqlXSI010F010.prmTEXT3, cliMTI_ASST2.TEXT3)		   'テキスト３
					pDb.setVal(sqlXSI010F010.prmTEXT4, cliMTI_ASST2.TEXT4)		   'テキスト４
					pDb.setVal(sqlXSI010F010.prmTEXT5, cliMTI_ASST2.TEXT5)		   'テキスト５
					pDb.setVal(sqlXSI010F010.prmTEXT6, cliMTI_ASST2.TEXT6)		   'テキスト６
					pDb.setVal(sqlXSI010F010.prmTEXT7, cliMTI_ASST2.TEXT7)		   'テキスト７
					pDb.setVal(sqlXSI010F010.prmTEXT8, cliMTI_ASST2.TEXT8)		   'テキスト８
					pDb.setVal(sqlXSI010F010.prmTEXT9, cliMTI_ASST2.TEXT9)		   'テキスト９
					pDb.setVal(sqlXSI010F010.prmTEXT10, cliMTI_ASST2.TEXT10)	   'テキスト１０
					pDb.setVal(sqlXSI010F010.prmTEXT11, cliMTI_ASST2.TEXT11)	   'テキスト１１
					pDb.setVal(sqlXSI010F010.prmTEXT12, cliMTI_ASST2.TEXT12)	   'テキスト１２
					pDb.setVal(sqlXSI010F010.prmNUMBER1, cliMTI_ASST2.NUMBER1)	   '数字１
					pDb.setVal(sqlXSI010F010.prmNUMBER2, cliMTI_ASST2.NUMBER2)	   '数字２
					pDb.setVal(sqlXSI010F010.prmNUMBER3, cliMTI_ASST2.NUMBER3)	   '数字３
					pDb.setVal(sqlXSI010F010.prmNUMBER4, cliMTI_ASST2.NUMBER4)	   '数字４
					pDb.setVal(sqlXSI010F010.prmNUMBER5, cliMTI_ASST2.NUMBER5)	   '数字５
					pDb.setVal(sqlXSI010F010.prmNUMBER6, cliMTI_ASST2.NUMBER6)	   '数字６
					pDb.setVal(sqlXSI010F010.prmNUMBER7, cliMTI_ASST2.NUMBER7)	   '数字７
					pDb.setVal(sqlXSI010F010.prmNUMBER8, cliMTI_ASST2.NUMBER8)	   '数字８
					pDb.setVal(sqlXSI010F010.prmNUMBER9, cliMTI_ASST2.NUMBER9)	   '数字９
					pDb.setVal(sqlXSI010F010.prmNUMBER10, cliMTI_ASST2.NUMBER10)   '数字１０
					pDb.setVal(sqlXSI010F010.prmNUMBER11, cliMTI_ASST2.NUMBER11)   '数字１１
					pDb.setVal(sqlXSI010F010.prmNUMBER12, cliMTI_ASST2.NUMBER12)   '数字１２
					pDb.setVal(sqlXSI010F010.prmDATE1, cliMTI_ASST2.DATE1)		   '日付１
					pDb.setVal(sqlXSI010F010.prmDATE2, cliMTI_ASST2.DATE2)		   '日付２
					pDb.setVal(sqlXSI010F010.prmDATE3, cliMTI_ASST2.DATE3)		   '日付３
					pDb.setVal(sqlXSI010F010.prmDATE4, cliMTI_ASST2.DATE4)		   '日付４
					pDb.setVal(sqlXSI010F010.prmDATE5, cliMTI_ASST2.DATE5)		   '日付５
					pDb.setVal(sqlXSI010F010.prmDATE6, cliMTI_ASST2.DATE6)		   '日付６
					pDb.setVal(sqlXSI010F010.prmDATE7, cliMTI_ASST2.DATE7)		   '日付７
					pDb.setVal(sqlXSI010F010.prmDATE8, cliMTI_ASST2.DATE8)		   '日付８
					pDb.setVal(sqlXSI010F010.prmDATE9, cliMTI_ASST2.DATE9)		   '日付９
					pDb.setVal(sqlXSI010F010.prmDATE10, cliMTI_ASST2.DATE10)	   '日付１０
					pDb.setVal(sqlXSI010F010.prmDATE11, cliMTI_ASST2.DATE11)	   '日付１１
					pDb.setVal(sqlXSI010F010.prmDATE12, cliMTI_ASST2.DATE12)	   '日付１２
					pDb.setVal(sqlXSI010F010.prmCOMBO1, cliMTI_ASST2.COMBO1)	   'コンボ１
					pDb.setVal(sqlXSI010F010.prmCOMBO2, cliMTI_ASST2.COMBO2)	   'コンボ２
					pDb.setVal(sqlXSI010F010.prmCOMBO3, cliMTI_ASST2.COMBO3)	   'コンボ３
					pDb.setVal(sqlXSI010F010.prmCOMBO4, cliMTI_ASST2.COMBO4)	   'コンボ４
					pDb.setVal(sqlXSI010F010.prmCOMBO5, cliMTI_ASST2.COMBO5)	   'コンボ５
					pDb.setVal(sqlXSI010F010.prmCOMBO6, cliMTI_ASST2.COMBO6)	   'コンボ６
					pDb.setVal(sqlXSI010F010.prmCOMBO7, cliMTI_ASST2.COMBO7)	   'コンボ７
					pDb.setVal(sqlXSI010F010.prmCOMBO8, cliMTI_ASST2.COMBO8)	   'コンボ８
					pDb.setVal(sqlXSI010F010.prmCOMBO9, cliMTI_ASST2.COMBO9)	   'コンボ９
					pDb.setVal(sqlXSI010F010.prmCOMBO10, cliMTI_ASST2.COMBO10)	   'コンボ１０
					pDb.setVal(sqlXSI010F010.prmCOMBO11, cliMTI_ASST2.COMBO11)	   'コンボ１１
					pDb.setVal(sqlXSI010F010.prmCOMBO12, cliMTI_ASST2.COMBO12)	   'コンボ１２
					pDb.setVal(sqlXSI010F010.prmTEXT13, cliMTI_ASST2.TEXT13)	   'テキスト１３
					pDb.setVal(sqlXSI010F010.prmTEXT14, cliMTI_ASST2.TEXT14)	   'テキスト１４
					pDb.setVal(sqlXSI010F010.prmTEXT15, cliMTI_ASST2.TEXT15)	   'テキスト１５
					pDb.setVal(sqlXSI010F010.prmTEXT16, cliMTI_ASST2.TEXT16)	   'テキスト１６
					pDb.setVal(sqlXSI010F010.prmTEXT17, cliMTI_ASST2.TEXT17)	   'テキスト１７
					pDb.setVal(sqlXSI010F010.prmTEXT18, cliMTI_ASST2.TEXT18)	   'テキスト１８
					pDb.setVal(sqlXSI010F010.prmTEXT19, cliMTI_ASST2.TEXT19)	   'テキスト１９
					pDb.setVal(sqlXSI010F010.prmTEXT20, cliMTI_ASST2.TEXT20)	   'テキスト２０
					pDb.setVal(sqlXSI010F010.prmTEXT21, cliMTI_ASST2.TEXT21)	   'テキスト２１
					pDb.setVal(sqlXSI010F010.prmTEXT22, cliMTI_ASST2.TEXT22)	   'テキスト２２
					pDb.setVal(sqlXSI010F010.prmTEXT23, cliMTI_ASST2.TEXT23)	   'テキスト２３
					pDb.setVal(sqlXSI010F010.prmTEXT24, cliMTI_ASST2.TEXT24)	   'テキスト２４
					pDb.setVal(sqlXSI010F010.prmTEXT25, cliMTI_ASST2.TEXT25)	   'テキスト２５
					pDb.setVal(sqlXSI010F010.prmTEXT26, cliMTI_ASST2.TEXT26)	   'テキスト２６
					pDb.setVal(sqlXSI010F010.prmTEXT27, cliMTI_ASST2.TEXT27)	   'テキスト２７
					pDb.setVal(sqlXSI010F010.prmTEXT28, cliMTI_ASST2.TEXT28)	   'テキスト２８
					pDb.setVal(sqlXSI010F010.prmTEXT29, cliMTI_ASST2.TEXT29)	   'テキスト２９
					pDb.setVal(sqlXSI010F010.prmTEXT30, cliMTI_ASST2.TEXT30)	   'テキスト３０
					pDb.setVal(sqlXSI010F010.prmNUMBER13, cliMTI_ASST2.NUMBER13)   '数字１３
					pDb.setVal(sqlXSI010F010.prmNUMBER14, cliMTI_ASST2.NUMBER14)   '数字１４
					pDb.setVal(sqlXSI010F010.prmNUMBER15, cliMTI_ASST2.NUMBER15)   '数字１５
					pDb.setVal(sqlXSI010F010.prmNUMBER16, cliMTI_ASST2.NUMBER16)   '数字１６
					pDb.setVal(sqlXSI010F010.prmNUMBER17, cliMTI_ASST2.NUMBER17)   '数字１７
					pDb.setVal(sqlXSI010F010.prmNUMBER18, cliMTI_ASST2.NUMBER18)   '数字１８
					pDb.setVal(sqlXSI010F010.prmNUMBER19, cliMTI_ASST2.NUMBER19)   '数字１９
					pDb.setVal(sqlXSI010F010.prmNUMBER20, cliMTI_ASST2.NUMBER20)   '数字２０
					pDb.setVal(sqlXSI010F010.prmNUMBER21, cliMTI_ASST2.NUMBER21)   '数字２１
					pDb.setVal(sqlXSI010F010.prmNUMBER22, cliMTI_ASST2.NUMBER22)   '数字２２
					pDb.setVal(sqlXSI010F010.prmNUMBER23, cliMTI_ASST2.NUMBER23)   '数字２３
					pDb.setVal(sqlXSI010F010.prmNUMBER24, cliMTI_ASST2.NUMBER24)   '数字２４
					pDb.setVal(sqlXSI010F010.prmNUMBER25, cliMTI_ASST2.NUMBER25)   '数字２５
					pDb.setVal(sqlXSI010F010.prmNUMBER26, cliMTI_ASST2.NUMBER26)   '数字２６
					pDb.setVal(sqlXSI010F010.prmNUMBER27, cliMTI_ASST2.NUMBER27)   '数字２７
					pDb.setVal(sqlXSI010F010.prmNUMBER28, cliMTI_ASST2.NUMBER28)   '数字２８
					pDb.setVal(sqlXSI010F010.prmNUMBER29, cliMTI_ASST2.NUMBER29)   '数字２９
					pDb.setVal(sqlXSI010F010.prmNUMBER30, cliMTI_ASST2.NUMBER30)   '数字３０
					pDb.setVal(sqlXSI010F010.prmCOMBO13, cliMTI_ASST2.COMBO13)	   'コンボ１３
					pDb.setVal(sqlXSI010F010.prmCOMBO14, cliMTI_ASST2.COMBO14)	   'コンボ１４
					pDb.setVal(sqlXSI010F010.prmCOMBO15, cliMTI_ASST2.COMBO15)	   'コンボ１５
					pDb.setVal(sqlXSI010F010.prmCOMBO16, cliMTI_ASST2.COMBO16)	   'コンボ１６
					pDb.setVal(sqlXSI010F010.prmCOMBO17, cliMTI_ASST2.COMBO17)	   'コンボ１７
					pDb.setVal(sqlXSI010F010.prmCOMBO18, cliMTI_ASST2.COMBO18)	   'コンボ１８
					pDb.setVal(sqlXSI010F010.prmCOMBO19, cliMTI_ASST2.COMBO19)	   'コンボ１９
					pDb.setVal(sqlXSI010F010.prmCOMBO20, cliMTI_ASST2.COMBO20)	   'コンボ２０
					pDb.setVal(sqlXSI010F010.prmCOMBO21, cliMTI_ASST2.COMBO21)	   'コンボ２１
					pDb.setVal(sqlXSI010F010.prmCOMBO22, cliMTI_ASST2.COMBO22)	   'コンボ２２
					pDb.setVal(sqlXSI010F010.prmCOMBO23, cliMTI_ASST2.COMBO23)	   'コンボ２３
					pDb.setVal(sqlXSI010F010.prmCOMBO24, cliMTI_ASST2.COMBO24)	   'コンボ２４
					pDb.setVal(sqlXSI010F010.prmCOMBO25, cliMTI_ASST2.COMBO25)	   'コンボ２５
					pDb.setVal(sqlXSI010F010.prmCOMBO26, cliMTI_ASST2.COMBO26)	   'コンボ２６
					pDb.setVal(sqlXSI010F010.prmCOMBO27, cliMTI_ASST2.COMBO27)	   'コンボ２７
					pDb.setVal(sqlXSI010F010.prmCOMBO28, cliMTI_ASST2.COMBO28)	   'コンボ２８
					pDb.setVal(sqlXSI010F010.prmCOMBO29, cliMTI_ASST2.COMBO29)	   'コンボ２９
					pDb.setVal(sqlXSI010F010.prmCOMBO30, cliMTI_ASST2.COMBO30)	   'コンボ３０
					pDb.setVal(sqlXSI010F010.prmCOMBO31, cliMTI_ASST2.COMBO31)	   'コンボ３１
					pDb.setVal(sqlXSI010F010.prmCOMBO32, cliMTI_ASST2.COMBO32)	   'コンボ３２
					pDb.setVal(sqlXSI010F010.prmCOMBO33, cliMTI_ASST2.COMBO33)	   'コンボ３３
					pDb.setVal(sqlXSI010F010.prmCOMBO34, cliMTI_ASST2.COMBO34)	   'コンボ３４
					pDb.setVal(sqlXSI010F010.prmCOMBO35, cliMTI_ASST2.COMBO35)	   'コンボ３５
					pDb.setVal(sqlXSI010F010.prmCOMBO36, cliMTI_ASST2.COMBO36)	   'コンボ３６

					pDb.setVal(sqlXSI010F010.prmLASTUPDUSER_CD, Me.cliXSI010F010._userID)	   '更新者コード
					pDb.setVal(sqlXSI010F010.prmLASTUPD_DT, DateTime.Now)					   '更新日
					pDb.setVal(sqlXSI010F010.prmASST2NotUpdVal, ASST2_NONINPUT)				   '補足２更新除外判定文字

				Case Enum_SqlIdx.eDel

			End Select

			pDb.execNonQuery(tran)
		Catch ex As Exception
			Throw
		End Try
	End Sub

	''' ---------------------------------------------
	''' <summary>
	''' 【補足項目】補足項目１重複取得
	''' </summary>
	''' <param name="patientNo">患者番号</param>
	''' <param name="hspHistoryNo">入退院歴番号</param>
	''' <param name="chNo">科歴番号</param>
	''' <param name="pDb">DBクラス</param>
	''' <returns></returns>
	''' <remarks>
	''' 2010/10/29 新規作成 ACS)牟禮<BR/>
	''' </remarks>
	''' ---------------------------------------------
	Private Function getMTI_ASST1(ByVal patientNo As String, ByVal hspHistoryNo As String, ByVal chNo As String, Optional ByVal pDb As clsDB = Nothing) As ArrayList
		clsSysMst.logEx(clsSysMst.logLevel.DBG, "XSI", Me.GetType().Name, MethodBase.GetCurrentMethod().Name, "システム連携", "補足項目連携", "【補足項目】補足項目１重複取得 Start")
		Dim db As clsDB = Nothing
		Dim arr As ArrayList = Nothing
		Try
			If pDb IsNot Nothing Then
				db = pDb
			Else
				db = New clsDB(clsSysMst.ctlConfigData)
			End If
			db.setSQL(sqlXSI010F010.sqlSel_MTI_ASST1)
			db.setParam(sqlXSI010F010.prmPATIENT_NO, clsDB.Enum_dbType.dbNVarChar)
			db.setParam(sqlXSI010F010.prmHSP_HISTORY_NO, clsDB.Enum_dbType.dbInt)
			db.setParam(sqlXSI010F010.prmCH_NO, clsDB.Enum_dbType.dbInt)
			db.setVal(sqlXSI010F010.prmPATIENT_NO, patientNo)
			db.setVal(sqlXSI010F010.prmHSP_HISTORY_NO, hspHistoryNo)
			db.setVal(sqlXSI010F010.prmCH_NO, chNo)

			arr = New ArrayList()
			db.execQuery(GetType(datPatient), arr)

			Return arr
		Catch ex As Exception
			Throw
		Finally
			'解放
			If pDb Is Nothing AndAlso db IsNot Nothing Then db.Dispose()
			db = Nothing
		End Try
	End Function

	''' ---------------------------------------------
	''' <summary>
	''' 【補足項目】補足項目２重複取得
	''' </summary>
	''' <param name="patientNo">患者番号</param>
	''' <param name="hspHistoryNo">入退院歴番号</param>
	''' <param name="chNo">科歴番号</param>
	''' <param name="pDb">DBクラス</param>
	''' <returns></returns>
	''' <remarks>
	''' 2010/10/29 新規作成 ACS)牟禮<BR/>
	''' </remarks>
	''' ---------------------------------------------
	Private Function getMTI_ASST2(ByVal patientNo As String, ByVal hspHistoryNo As String, ByVal chNo As String, Optional ByVal pDb As clsDB = Nothing) As ArrayList
		clsSysMst.logEx(clsSysMst.logLevel.DBG, "XSI", Me.GetType().Name, MethodBase.GetCurrentMethod().Name, "システム連携", "補足項目連携", "【補足項目】補足項目２重複取得 Start")
		Dim db As clsDB = Nothing
		Dim arr As ArrayList = Nothing
		Try
			If pDb IsNot Nothing Then
				db = pDb
			Else
				db = New clsDB(clsSysMst.ctlConfigData)
			End If
			db.setSQL(sqlXSI010F010.sqlSel_MTI_ASST2)
			db.setParam(sqlXSI010F010.prmPATIENT_NO, clsDB.Enum_dbType.dbNVarChar)
			db.setParam(sqlXSI010F010.prmHSP_HISTORY_NO, clsDB.Enum_dbType.dbInt)
			db.setParam(sqlXSI010F010.prmCH_NO, clsDB.Enum_dbType.dbInt)
			db.setVal(sqlXSI010F010.prmPATIENT_NO, patientNo)
			db.setVal(sqlXSI010F010.prmHSP_HISTORY_NO, hspHistoryNo)
			db.setVal(sqlXSI010F010.prmCH_NO, chNo)

			arr = New ArrayList()
			db.execQuery(GetType(datPatient), arr)

			Return arr
		Catch ex As Exception
			Throw
		Finally
			'解放
			If pDb Is Nothing AndAlso db IsNot Nothing Then db.Dispose()
			db = Nothing
		End Try
	End Function

	''' ---------------------------------------------
	''' <summary>
	''' 【補足項目】補足項目１情報すべてOFFを取得
	''' </summary>
	''' <param name="patientNo">患者番号</param>
	''' <param name="hspHistoryNo">入退院歴番号</param>
	''' <param name="chNo">科歴番号</param>
	''' <param name="pDb">DBクラス</param>
	''' <returns></returns>
	''' <remarks>
	''' 2010/10/29 新規作成 ACS)牟禮<BR/>
	''' </remarks>
	''' ---------------------------------------------
	Private Function getMTI_ASST1ASSTOFF(ByVal patientNo As String, ByVal hspHistoryNo As String, ByVal chNo As String, Optional ByVal pDb As clsDB = Nothing) As ArrayList
		clsSysMst.logEx(clsSysMst.logLevel.DBG, "XSI", Me.GetType().Name, MethodBase.GetCurrentMethod().Name, "システム連携", "補足項目連携", "【補足項目】補足項目１情報すべてOFFを取得 Start")
		Dim db As clsDB = Nothing
		Dim arr As ArrayList = Nothing
		Try
			If pDb IsNot Nothing Then
				db = pDb
			Else
				db = New clsDB(clsSysMst.ctlConfigData)
			End If
			'SQL文設定
			db.setSQL(sqlXSI010F010.sqlSel_MT_ASST1_ASSTOFF)
			'パラメータ設定
			db.setParam(sqlXSI010F010.prmPATIENT_NO, clsDB.Enum_dbType.dbNVarChar)
			db.setParam(sqlXSI010F010.prmHSP_HISTORY_NO, clsDB.Enum_dbType.dbInt)
			db.setParam(sqlXSI010F010.prmCH_NO, clsDB.Enum_dbType.dbInt)
			db.setParam(sqlXSI010F010.prmON, clsDB.Enum_dbType.dbInt)
			db.setParam(sqlXSI010F010.prmOFF, clsDB.Enum_dbType.dbInt)
			'値設定
			db.setVal(sqlXSI010F010.prmPATIENT_NO, patientNo)
			db.setVal(sqlXSI010F010.prmHSP_HISTORY_NO, hspHistoryNo)
			db.setVal(sqlXSI010F010.prmCH_NO, chNo)
			db.setVal(sqlXSI010F010.prmON, clsConst.Enum_CheckBox_Flg.CheckOn)
			db.setVal(sqlXSI010F010.prmOFF, clsConst.Enum_CheckBox_Flg.CheckOff)

			arr = New ArrayList()
			'SQL実行
			db.execQuery(GetType(datPatient), arr)

			Return arr
		Catch ex As Exception
			Throw
		Finally
			'解放
			If pDb Is Nothing AndAlso db IsNot Nothing Then db.Dispose()
			db = Nothing
		End Try
	End Function

	''' ---------------------------------------------
	''' <summary>
	''' 【管理物】ログSQL登録
	''' </summary>
	''' <param name="pDb">DBクラス</param>
	''' <param name="cliOneCsvData">連携ファイル1行データ</param>
	''' <remarks>
	''' 2010/10/12 新規作成 ACS)牟禮<BR/>
	''' </remarks>
	''' ---------------------------------------------
	Private Sub setSqlParam_MTT_IMP_LOG(ByVal pDb As clsDB, ByVal cliOneCsvData As clsXSI_MTT_IMP_LOG_ASST)
		clsSysMst.logEx(clsSysMst.logLevel.DBG, "XSI", Me.GetType().Name, MethodBase.GetCurrentMethod().Name, "システム連携", "管理物連携", "【管理物】ログ登録 Start")
		Try
			'SQL文設定
			pDb.setSQL(sqlXSI010F010.sqlIns_MTT_IMP_LOG_ASST)

			'パラメータ設定
			pDb.setParam(sqlXSI010F010.prmREG_DT, clsDB.Enum_dbType.dbDateTime)			'登録日
			pDb.setParam(sqlXSI010F010.prmSERIAL_NO, clsDB.Enum_dbType.dbInt)			'連番
			pDb.setParam(sqlXSI010F010.prmERR_FLG, clsDB.Enum_dbType.dbInt)				'エラーフラグ
			pDb.setParam(sqlXSI010F010.prmDATA_TYPE, clsDB.Enum_dbType.dbNVarChar)		  'データ種別
			pDb.setParam(sqlXSI010F010.prmPATIENT_NO, clsDB.Enum_dbType.dbNVarChar)		  '患者番号
			pDb.setParam(sqlXSI010F010.prmDEPT_CD, clsDB.Enum_dbType.dbNVarChar)		  '診療科コード
			pDb.setParam(sqlXSI010F010.prmHSP_DT, clsDB.Enum_dbType.dbNVarChar)			  '入院日
			pDb.setParam(sqlXSI010F010.prmTEXT1, clsDB.Enum_dbType.dbNVarChar)			  'テキスト１
			pDb.setParam(sqlXSI010F010.prmTEXT2, clsDB.Enum_dbType.dbNVarChar)			  'テキスト２
			pDb.setParam(sqlXSI010F010.prmTEXT3, clsDB.Enum_dbType.dbNVarChar)			  'テキスト３
			pDb.setParam(sqlXSI010F010.prmTEXT4, clsDB.Enum_dbType.dbNVarChar)			  'テキスト４
			pDb.setParam(sqlXSI010F010.prmTEXT5, clsDB.Enum_dbType.dbNVarChar)			  'テキスト５
			pDb.setParam(sqlXSI010F010.prmTEXT6, clsDB.Enum_dbType.dbNVarChar)			  'テキスト６
			pDb.setParam(sqlXSI010F010.prmTEXT7, clsDB.Enum_dbType.dbNVarChar)			  'テキスト７
			pDb.setParam(sqlXSI010F010.prmTEXT8, clsDB.Enum_dbType.dbNVarChar)			  'テキスト８
			pDb.setParam(sqlXSI010F010.prmTEXT9, clsDB.Enum_dbType.dbNVarChar)			  'テキスト９
			pDb.setParam(sqlXSI010F010.prmTEXT10, clsDB.Enum_dbType.dbNVarChar)			  'テキスト１０
			pDb.setParam(sqlXSI010F010.prmTEXT11, clsDB.Enum_dbType.dbNVarChar)			  'テキスト１１
			pDb.setParam(sqlXSI010F010.prmTEXT12, clsDB.Enum_dbType.dbNVarChar)			  'テキスト１２
			pDb.setParam(sqlXSI010F010.prmTEXT13, clsDB.Enum_dbType.dbNVarChar)			  'テキスト１３
			pDb.setParam(sqlXSI010F010.prmTEXT14, clsDB.Enum_dbType.dbNVarChar)			  'テキスト１４
			pDb.setParam(sqlXSI010F010.prmTEXT15, clsDB.Enum_dbType.dbNVarChar)			  'テキスト１５
			pDb.setParam(sqlXSI010F010.prmTEXT16, clsDB.Enum_dbType.dbNVarChar)			  'テキスト１６
			pDb.setParam(sqlXSI010F010.prmTEXT17, clsDB.Enum_dbType.dbNVarChar)			  'テキスト１７
			pDb.setParam(sqlXSI010F010.prmTEXT18, clsDB.Enum_dbType.dbNVarChar)			  'テキスト１８
			pDb.setParam(sqlXSI010F010.prmTEXT19, clsDB.Enum_dbType.dbNVarChar)			  'テキスト１９
			pDb.setParam(sqlXSI010F010.prmTEXT20, clsDB.Enum_dbType.dbNVarChar)			  'テキスト２０
			pDb.setParam(sqlXSI010F010.prmTEXT21, clsDB.Enum_dbType.dbNVarChar)			  'テキスト２１
			pDb.setParam(sqlXSI010F010.prmTEXT22, clsDB.Enum_dbType.dbNVarChar)			  'テキスト２２
			pDb.setParam(sqlXSI010F010.prmTEXT23, clsDB.Enum_dbType.dbNVarChar)			  'テキスト２３
			pDb.setParam(sqlXSI010F010.prmTEXT24, clsDB.Enum_dbType.dbNVarChar)			  'テキスト２４
			pDb.setParam(sqlXSI010F010.prmTEXT25, clsDB.Enum_dbType.dbNVarChar)			  'テキスト２５
			pDb.setParam(sqlXSI010F010.prmTEXT26, clsDB.Enum_dbType.dbNVarChar)			  'テキスト２６
			pDb.setParam(sqlXSI010F010.prmTEXT27, clsDB.Enum_dbType.dbNVarChar)			  'テキスト２７
			pDb.setParam(sqlXSI010F010.prmTEXT28, clsDB.Enum_dbType.dbNVarChar)			  'テキスト２８
			pDb.setParam(sqlXSI010F010.prmTEXT29, clsDB.Enum_dbType.dbNVarChar)			  'テキスト２９
			pDb.setParam(sqlXSI010F010.prmTEXT30, clsDB.Enum_dbType.dbNVarChar)			  'テキスト３０
			pDb.setParam(sqlXSI010F010.prmNUMBER1, clsDB.Enum_dbType.dbNVarChar)		  '数字１
			pDb.setParam(sqlXSI010F010.prmNUMBER2, clsDB.Enum_dbType.dbNVarChar)		  '数字２
			pDb.setParam(sqlXSI010F010.prmNUMBER3, clsDB.Enum_dbType.dbNVarChar)		  '数字３
			pDb.setParam(sqlXSI010F010.prmNUMBER4, clsDB.Enum_dbType.dbNVarChar)		  '数字４
			pDb.setParam(sqlXSI010F010.prmNUMBER5, clsDB.Enum_dbType.dbNVarChar)		  '数字５
			pDb.setParam(sqlXSI010F010.prmNUMBER6, clsDB.Enum_dbType.dbNVarChar)		  '数字６
			pDb.setParam(sqlXSI010F010.prmNUMBER7, clsDB.Enum_dbType.dbNVarChar)		  '数字７
			pDb.setParam(sqlXSI010F010.prmNUMBER8, clsDB.Enum_dbType.dbNVarChar)		  '数字８
			pDb.setParam(sqlXSI010F010.prmNUMBER9, clsDB.Enum_dbType.dbNVarChar)		  '数字９
			pDb.setParam(sqlXSI010F010.prmNUMBER10, clsDB.Enum_dbType.dbNVarChar)		  '数字１０
			pDb.setParam(sqlXSI010F010.prmNUMBER11, clsDB.Enum_dbType.dbNVarChar)		  '数字１１
			pDb.setParam(sqlXSI010F010.prmNUMBER12, clsDB.Enum_dbType.dbNVarChar)		  '数字１２
			pDb.setParam(sqlXSI010F010.prmNUMBER13, clsDB.Enum_dbType.dbNVarChar)		  '数字１３
			pDb.setParam(sqlXSI010F010.prmNUMBER14, clsDB.Enum_dbType.dbNVarChar)		  '数字１４
			pDb.setParam(sqlXSI010F010.prmNUMBER15, clsDB.Enum_dbType.dbNVarChar)		  '数字１５
			pDb.setParam(sqlXSI010F010.prmNUMBER16, clsDB.Enum_dbType.dbNVarChar)		  '数字１６
			pDb.setParam(sqlXSI010F010.prmNUMBER17, clsDB.Enum_dbType.dbNVarChar)		  '数字１７
			pDb.setParam(sqlXSI010F010.prmNUMBER18, clsDB.Enum_dbType.dbNVarChar)		  '数字１８
			pDb.setParam(sqlXSI010F010.prmNUMBER19, clsDB.Enum_dbType.dbNVarChar)		  '数字１９
			pDb.setParam(sqlXSI010F010.prmNUMBER20, clsDB.Enum_dbType.dbNVarChar)		  '数字２０
			pDb.setParam(sqlXSI010F010.prmNUMBER21, clsDB.Enum_dbType.dbNVarChar)		  '数字２１
			pDb.setParam(sqlXSI010F010.prmNUMBER22, clsDB.Enum_dbType.dbNVarChar)		  '数字２２
			pDb.setParam(sqlXSI010F010.prmNUMBER23, clsDB.Enum_dbType.dbNVarChar)		  '数字２３
			pDb.setParam(sqlXSI010F010.prmNUMBER24, clsDB.Enum_dbType.dbNVarChar)		  '数字２４
			pDb.setParam(sqlXSI010F010.prmNUMBER25, clsDB.Enum_dbType.dbNVarChar)		  '数字２５
			pDb.setParam(sqlXSI010F010.prmNUMBER26, clsDB.Enum_dbType.dbNVarChar)		  '数字２６
			pDb.setParam(sqlXSI010F010.prmNUMBER27, clsDB.Enum_dbType.dbNVarChar)		  '数字２７
			pDb.setParam(sqlXSI010F010.prmNUMBER28, clsDB.Enum_dbType.dbNVarChar)		  '数字２８
			pDb.setParam(sqlXSI010F010.prmNUMBER29, clsDB.Enum_dbType.dbNVarChar)		  '数字２９
			pDb.setParam(sqlXSI010F010.prmNUMBER30, clsDB.Enum_dbType.dbNVarChar)		  '数字３０
			pDb.setParam(sqlXSI010F010.prmDATE1, clsDB.Enum_dbType.dbNVarChar)			  '日付１
			pDb.setParam(sqlXSI010F010.prmDATE2, clsDB.Enum_dbType.dbNVarChar)			  '日付２
			pDb.setParam(sqlXSI010F010.prmDATE3, clsDB.Enum_dbType.dbNVarChar)			  '日付３
			pDb.setParam(sqlXSI010F010.prmDATE4, clsDB.Enum_dbType.dbNVarChar)			  '日付４
			pDb.setParam(sqlXSI010F010.prmDATE5, clsDB.Enum_dbType.dbNVarChar)			  '日付５
			pDb.setParam(sqlXSI010F010.prmDATE6, clsDB.Enum_dbType.dbNVarChar)			  '日付６
			pDb.setParam(sqlXSI010F010.prmDATE7, clsDB.Enum_dbType.dbNVarChar)			  '日付７
			pDb.setParam(sqlXSI010F010.prmDATE8, clsDB.Enum_dbType.dbNVarChar)			  '日付８
			pDb.setParam(sqlXSI010F010.prmDATE9, clsDB.Enum_dbType.dbNVarChar)			  '日付９
			pDb.setParam(sqlXSI010F010.prmDATE10, clsDB.Enum_dbType.dbNVarChar)			  '日付１０
			pDb.setParam(sqlXSI010F010.prmDATE11, clsDB.Enum_dbType.dbNVarChar)			  '日付１１
			pDb.setParam(sqlXSI010F010.prmDATE12, clsDB.Enum_dbType.dbNVarChar)			  '日付１２
			pDb.setParam(sqlXSI010F010.prmCOMBO1, clsDB.Enum_dbType.dbNVarChar)			  'コンボ１
			pDb.setParam(sqlXSI010F010.prmCOMBO2, clsDB.Enum_dbType.dbNVarChar)			  'コンボ２
			pDb.setParam(sqlXSI010F010.prmCOMBO3, clsDB.Enum_dbType.dbNVarChar)			  'コンボ３
			pDb.setParam(sqlXSI010F010.prmCOMBO4, clsDB.Enum_dbType.dbNVarChar)			  'コンボ４
			pDb.setParam(sqlXSI010F010.prmCOMBO5, clsDB.Enum_dbType.dbNVarChar)			  'コンボ５
			pDb.setParam(sqlXSI010F010.prmCOMBO6, clsDB.Enum_dbType.dbNVarChar)			  'コンボ６
			pDb.setParam(sqlXSI010F010.prmCOMBO7, clsDB.Enum_dbType.dbNVarChar)			  'コンボ７
			pDb.setParam(sqlXSI010F010.prmCOMBO8, clsDB.Enum_dbType.dbNVarChar)			  'コンボ８
			pDb.setParam(sqlXSI010F010.prmCOMBO9, clsDB.Enum_dbType.dbNVarChar)			  'コンボ９
			pDb.setParam(sqlXSI010F010.prmCOMBO10, clsDB.Enum_dbType.dbNVarChar)		  'コンボ１０
			pDb.setParam(sqlXSI010F010.prmCOMBO11, clsDB.Enum_dbType.dbNVarChar)		  'コンボ１１
			pDb.setParam(sqlXSI010F010.prmCOMBO12, clsDB.Enum_dbType.dbNVarChar)		  'コンボ１２
			pDb.setParam(sqlXSI010F010.prmCOMBO13, clsDB.Enum_dbType.dbNVarChar)		  'コンボ１３
			pDb.setParam(sqlXSI010F010.prmCOMBO14, clsDB.Enum_dbType.dbNVarChar)		  'コンボ１４
			pDb.setParam(sqlXSI010F010.prmCOMBO15, clsDB.Enum_dbType.dbNVarChar)		  'コンボ１５
			pDb.setParam(sqlXSI010F010.prmCOMBO16, clsDB.Enum_dbType.dbNVarChar)		  'コンボ１６
			pDb.setParam(sqlXSI010F010.prmCOMBO17, clsDB.Enum_dbType.dbNVarChar)		  'コンボ１７
			pDb.setParam(sqlXSI010F010.prmCOMBO18, clsDB.Enum_dbType.dbNVarChar)		  'コンボ１８
			pDb.setParam(sqlXSI010F010.prmCOMBO19, clsDB.Enum_dbType.dbNVarChar)		  'コンボ１９
			pDb.setParam(sqlXSI010F010.prmCOMBO20, clsDB.Enum_dbType.dbNVarChar)		  'コンボ２０
			pDb.setParam(sqlXSI010F010.prmCOMBO21, clsDB.Enum_dbType.dbNVarChar)		  'コンボ２１
			pDb.setParam(sqlXSI010F010.prmCOMBO22, clsDB.Enum_dbType.dbNVarChar)		  'コンボ２２
			pDb.setParam(sqlXSI010F010.prmCOMBO23, clsDB.Enum_dbType.dbNVarChar)		  'コンボ２３
			pDb.setParam(sqlXSI010F010.prmCOMBO24, clsDB.Enum_dbType.dbNVarChar)		  'コンボ２４
			pDb.setParam(sqlXSI010F010.prmCOMBO25, clsDB.Enum_dbType.dbNVarChar)		  'コンボ２５
			pDb.setParam(sqlXSI010F010.prmCOMBO26, clsDB.Enum_dbType.dbNVarChar)		  'コンボ２６
			pDb.setParam(sqlXSI010F010.prmCOMBO27, clsDB.Enum_dbType.dbNVarChar)		  'コンボ２７
			pDb.setParam(sqlXSI010F010.prmCOMBO28, clsDB.Enum_dbType.dbNVarChar)		  'コンボ２８
			pDb.setParam(sqlXSI010F010.prmCOMBO29, clsDB.Enum_dbType.dbNVarChar)		  'コンボ２９
			pDb.setParam(sqlXSI010F010.prmCOMBO30, clsDB.Enum_dbType.dbNVarChar)		  'コンボ３０
			pDb.setParam(sqlXSI010F010.prmCOMBO31, clsDB.Enum_dbType.dbNVarChar)		  'コンボ３１
			pDb.setParam(sqlXSI010F010.prmCOMBO32, clsDB.Enum_dbType.dbNVarChar)		  'コンボ３２
			pDb.setParam(sqlXSI010F010.prmCOMBO33, clsDB.Enum_dbType.dbNVarChar)		  'コンボ３３
			pDb.setParam(sqlXSI010F010.prmCOMBO34, clsDB.Enum_dbType.dbNVarChar)		  'コンボ３４
			pDb.setParam(sqlXSI010F010.prmCOMBO35, clsDB.Enum_dbType.dbNVarChar)		  'コンボ３５
			pDb.setParam(sqlXSI010F010.prmCOMBO36, clsDB.Enum_dbType.dbNVarChar)		  'コンボ３６
			pDb.setParam(sqlXSI010F010.prmASST1_INFO, clsDB.Enum_dbType.dbNVarChar)		  '補足項目１情報
			pDb.setParam(sqlXSI010F010.prmASST1_INFO2, clsDB.Enum_dbType.dbNVarChar)	  '補足項目１情報２
			pDb.setParam(sqlXSI010F010.prmSPARE01, clsDB.Enum_dbType.dbNVarChar)		  '予備１
			pDb.setParam(sqlXSI010F010.prmSPARE02, clsDB.Enum_dbType.dbNVarChar)		  '予備２
			pDb.setParam(sqlXSI010F010.prmMODULE_CD, clsDB.Enum_dbType.dbNVarChar)		  'モジュールコード
			pDb.setParam(sqlXSI010F010.prmERR_CD, clsDB.Enum_dbType.dbNVarChar)			  'エラーコード
			pDb.setParam(sqlXSI010F010.prmMESSAGE, clsDB.Enum_dbType.dbNVarChar)		  'メッセージ
			pDb.setParam(sqlXSI010F010.prmLASTUPDUSER_CD, clsDB.Enum_dbType.dbNVarChar)	  '更新者コード
			pDb.setParam(sqlXSI010F010.prmLASTUPD_DT, clsDB.Enum_dbType.dbDateTime)		 '更新日

			'値設定
			pDb.setVal(sqlXSI010F010.prmREG_DT, DateTime.Now)							'登録日
			pDb.setVal(sqlXSI010F010.prmSERIAL_NO, cliOneCsvData.SERIAL_NO)				'連番
			pDb.setVal(sqlXSI010F010.prmERR_FLG, cliOneCsvData.ERR_FLG)					'エラーフラグ
			pDb.setVal(sqlXSI010F010.prmDATA_TYPE, cliOneCsvData.DATA_TYPE)				'データ種別
			pDb.setVal(sqlXSI010F010.prmPATIENT_NO, cliOneCsvData.PATIENT_NO)			'患者番号
			pDb.setVal(sqlXSI010F010.prmDEPT_CD, cliOneCsvData.DEPT_CD)					'診療科コード
			pDb.setVal(sqlXSI010F010.prmHSP_DT, cliOneCsvData.HSP_DT)					'入院日
			pDb.setVal(sqlXSI010F010.prmTEXT1, cliOneCsvData.TEXT1)						'テキスト１
			pDb.setVal(sqlXSI010F010.prmTEXT2, cliOneCsvData.TEXT2)						'テキスト２
			pDb.setVal(sqlXSI010F010.prmTEXT3, cliOneCsvData.TEXT3)						'テキスト３
			pDb.setVal(sqlXSI010F010.prmTEXT4, cliOneCsvData.TEXT4)						'テキスト４
			pDb.setVal(sqlXSI010F010.prmTEXT5, cliOneCsvData.TEXT5)						'テキスト５
			pDb.setVal(sqlXSI010F010.prmTEXT6, cliOneCsvData.TEXT6)						'テキスト６
			pDb.setVal(sqlXSI010F010.prmTEXT7, cliOneCsvData.TEXT7)						'テキスト７
			pDb.setVal(sqlXSI010F010.prmTEXT8, cliOneCsvData.TEXT8)						'テキスト８
			pDb.setVal(sqlXSI010F010.prmTEXT9, cliOneCsvData.TEXT9)						'テキスト９
			pDb.setVal(sqlXSI010F010.prmTEXT10, cliOneCsvData.TEXT10)					'テキスト１０
			pDb.setVal(sqlXSI010F010.prmTEXT11, cliOneCsvData.TEXT11)					'テキスト１１
			pDb.setVal(sqlXSI010F010.prmTEXT12, cliOneCsvData.TEXT12)					'テキスト１２
			pDb.setVal(sqlXSI010F010.prmTEXT13, cliOneCsvData.TEXT13)					'テキスト１３
			pDb.setVal(sqlXSI010F010.prmTEXT14, cliOneCsvData.TEXT14)					'テキスト１４
			pDb.setVal(sqlXSI010F010.prmTEXT15, cliOneCsvData.TEXT15)					'テキスト１５
			pDb.setVal(sqlXSI010F010.prmTEXT16, cliOneCsvData.TEXT16)					'テキスト１６
			pDb.setVal(sqlXSI010F010.prmTEXT17, cliOneCsvData.TEXT17)					'テキスト１７
			pDb.setVal(sqlXSI010F010.prmTEXT18, cliOneCsvData.TEXT18)					'テキスト１８
			pDb.setVal(sqlXSI010F010.prmTEXT19, cliOneCsvData.TEXT19)					'テキスト１９
			pDb.setVal(sqlXSI010F010.prmTEXT20, cliOneCsvData.TEXT20)					'テキスト２０
			pDb.setVal(sqlXSI010F010.prmTEXT21, cliOneCsvData.TEXT21)					'テキスト２１
			pDb.setVal(sqlXSI010F010.prmTEXT22, cliOneCsvData.TEXT22)					'テキスト２２
			pDb.setVal(sqlXSI010F010.prmTEXT23, cliOneCsvData.TEXT23)					'テキスト２３
			pDb.setVal(sqlXSI010F010.prmTEXT24, cliOneCsvData.TEXT24)					'テキスト２４
			pDb.setVal(sqlXSI010F010.prmTEXT25, cliOneCsvData.TEXT25)					'テキスト２５
			pDb.setVal(sqlXSI010F010.prmTEXT26, cliOneCsvData.TEXT26)					'テキスト２６
			pDb.setVal(sqlXSI010F010.prmTEXT27, cliOneCsvData.TEXT27)					'テキスト２７
			pDb.setVal(sqlXSI010F010.prmTEXT28, cliOneCsvData.TEXT28)					'テキスト２８
			pDb.setVal(sqlXSI010F010.prmTEXT29, cliOneCsvData.TEXT29)					'テキスト２９
			pDb.setVal(sqlXSI010F010.prmTEXT30, cliOneCsvData.TEXT30)					'テキスト３０
			pDb.setVal(sqlXSI010F010.prmNUMBER1, cliOneCsvData.NUMBER1)					'数字１
			pDb.setVal(sqlXSI010F010.prmNUMBER2, cliOneCsvData.NUMBER2)					'数字２
			pDb.setVal(sqlXSI010F010.prmNUMBER3, cliOneCsvData.NUMBER3)					'数字３
			pDb.setVal(sqlXSI010F010.prmNUMBER4, cliOneCsvData.NUMBER4)					'数字４
			pDb.setVal(sqlXSI010F010.prmNUMBER5, cliOneCsvData.NUMBER5)					'数字５
			pDb.setVal(sqlXSI010F010.prmNUMBER6, cliOneCsvData.NUMBER6)					'数字６
			pDb.setVal(sqlXSI010F010.prmNUMBER7, cliOneCsvData.NUMBER7)					'数字７
			pDb.setVal(sqlXSI010F010.prmNUMBER8, cliOneCsvData.NUMBER8)					'数字８
			pDb.setVal(sqlXSI010F010.prmNUMBER9, cliOneCsvData.NUMBER9)					'数字９
			pDb.setVal(sqlXSI010F010.prmNUMBER10, cliOneCsvData.NUMBER10)				'数字１０
			pDb.setVal(sqlXSI010F010.prmNUMBER11, cliOneCsvData.NUMBER11)				'数字１１
			pDb.setVal(sqlXSI010F010.prmNUMBER12, cliOneCsvData.NUMBER12)				'数字１２
			pDb.setVal(sqlXSI010F010.prmNUMBER13, cliOneCsvData.NUMBER13)				'数字１３
			pDb.setVal(sqlXSI010F010.prmNUMBER14, cliOneCsvData.NUMBER14)				'数字１４
			pDb.setVal(sqlXSI010F010.prmNUMBER15, cliOneCsvData.NUMBER15)				'数字１５
			pDb.setVal(sqlXSI010F010.prmNUMBER16, cliOneCsvData.NUMBER16)				'数字１６
			pDb.setVal(sqlXSI010F010.prmNUMBER17, cliOneCsvData.NUMBER17)				'数字１７
			pDb.setVal(sqlXSI010F010.prmNUMBER18, cliOneCsvData.NUMBER18)				'数字１８
			pDb.setVal(sqlXSI010F010.prmNUMBER19, cliOneCsvData.NUMBER19)				'数字１９
			pDb.setVal(sqlXSI010F010.prmNUMBER20, cliOneCsvData.NUMBER20)				'数字２０
			pDb.setVal(sqlXSI010F010.prmNUMBER21, cliOneCsvData.NUMBER21)				'数字２１
			pDb.setVal(sqlXSI010F010.prmNUMBER22, cliOneCsvData.NUMBER22)				'数字２２
			pDb.setVal(sqlXSI010F010.prmNUMBER23, cliOneCsvData.NUMBER23)				'数字２３
			pDb.setVal(sqlXSI010F010.prmNUMBER24, cliOneCsvData.NUMBER24)				'数字２４
			pDb.setVal(sqlXSI010F010.prmNUMBER25, cliOneCsvData.NUMBER25)				'数字２５
			pDb.setVal(sqlXSI010F010.prmNUMBER26, cliOneCsvData.NUMBER26)				'数字２６
			pDb.setVal(sqlXSI010F010.prmNUMBER27, cliOneCsvData.NUMBER27)				'数字２７
			pDb.setVal(sqlXSI010F010.prmNUMBER28, cliOneCsvData.NUMBER28)				'数字２８
			pDb.setVal(sqlXSI010F010.prmNUMBER29, cliOneCsvData.NUMBER29)				'数字２９
			pDb.setVal(sqlXSI010F010.prmNUMBER30, cliOneCsvData.NUMBER30)				'数字３０
			pDb.setVal(sqlXSI010F010.prmDATE1, cliOneCsvData.DATE1)						'日付１
			pDb.setVal(sqlXSI010F010.prmDATE2, cliOneCsvData.DATE2)						'日付２
			pDb.setVal(sqlXSI010F010.prmDATE3, cliOneCsvData.DATE3)						'日付３
			pDb.setVal(sqlXSI010F010.prmDATE4, cliOneCsvData.DATE4)						'日付４
			pDb.setVal(sqlXSI010F010.prmDATE5, cliOneCsvData.DATE5)						'日付５
			pDb.setVal(sqlXSI010F010.prmDATE6, cliOneCsvData.DATE6)						'日付６
			pDb.setVal(sqlXSI010F010.prmDATE7, cliOneCsvData.DATE7)						'日付７
			pDb.setVal(sqlXSI010F010.prmDATE8, cliOneCsvData.DATE8)						'日付８
			pDb.setVal(sqlXSI010F010.prmDATE9, cliOneCsvData.DATE9)						'日付９
			pDb.setVal(sqlXSI010F010.prmDATE10, cliOneCsvData.DATE10)					'日付１０
			pDb.setVal(sqlXSI010F010.prmDATE11, cliOneCsvData.DATE11)					'日付１１
			pDb.setVal(sqlXSI010F010.prmDATE12, cliOneCsvData.DATE12)					'日付１２
			pDb.setVal(sqlXSI010F010.prmCOMBO1, cliOneCsvData.COMBO1)					'コンボ１
			pDb.setVal(sqlXSI010F010.prmCOMBO2, cliOneCsvData.COMBO2)					'コンボ２
			pDb.setVal(sqlXSI010F010.prmCOMBO3, cliOneCsvData.COMBO3)					'コンボ３
			pDb.setVal(sqlXSI010F010.prmCOMBO4, cliOneCsvData.COMBO4)					'コンボ４
			pDb.setVal(sqlXSI010F010.prmCOMBO5, cliOneCsvData.COMBO5)					'コンボ５
			pDb.setVal(sqlXSI010F010.prmCOMBO6, cliOneCsvData.COMBO6)					'コンボ６
			pDb.setVal(sqlXSI010F010.prmCOMBO7, cliOneCsvData.COMBO7)					'コンボ７
			pDb.setVal(sqlXSI010F010.prmCOMBO8, cliOneCsvData.COMBO8)					'コンボ８
			pDb.setVal(sqlXSI010F010.prmCOMBO9, cliOneCsvData.COMBO9)					'コンボ９
			pDb.setVal(sqlXSI010F010.prmCOMBO10, cliOneCsvData.COMBO10)					'コンボ１０
			pDb.setVal(sqlXSI010F010.prmCOMBO11, cliOneCsvData.COMBO11)					'コンボ１１
			pDb.setVal(sqlXSI010F010.prmCOMBO12, cliOneCsvData.COMBO12)					'コンボ１２
			pDb.setVal(sqlXSI010F010.prmCOMBO13, cliOneCsvData.COMBO13)					'コンボ１３
			pDb.setVal(sqlXSI010F010.prmCOMBO14, cliOneCsvData.COMBO14)					'コンボ１４
			pDb.setVal(sqlXSI010F010.prmCOMBO15, cliOneCsvData.COMBO15)					'コンボ１５
			pDb.setVal(sqlXSI010F010.prmCOMBO16, cliOneCsvData.COMBO16)					'コンボ１６
			pDb.setVal(sqlXSI010F010.prmCOMBO17, cliOneCsvData.COMBO17)					'コンボ１７
			pDb.setVal(sqlXSI010F010.prmCOMBO18, cliOneCsvData.COMBO18)					'コンボ１８
			pDb.setVal(sqlXSI010F010.prmCOMBO19, cliOneCsvData.COMBO19)					'コンボ１９
			pDb.setVal(sqlXSI010F010.prmCOMBO20, cliOneCsvData.COMBO20)					'コンボ２０
			pDb.setVal(sqlXSI010F010.prmCOMBO21, cliOneCsvData.COMBO21)					'コンボ２１
			pDb.setVal(sqlXSI010F010.prmCOMBO22, cliOneCsvData.COMBO22)					'コンボ２２
			pDb.setVal(sqlXSI010F010.prmCOMBO23, cliOneCsvData.COMBO23)					'コンボ２３
			pDb.setVal(sqlXSI010F010.prmCOMBO24, cliOneCsvData.COMBO24)					'コンボ２４
			pDb.setVal(sqlXSI010F010.prmCOMBO25, cliOneCsvData.COMBO25)					'コンボ２５
			pDb.setVal(sqlXSI010F010.prmCOMBO26, cliOneCsvData.COMBO26)					'コンボ２６
			pDb.setVal(sqlXSI010F010.prmCOMBO27, cliOneCsvData.COMBO27)					'コンボ２７
			pDb.setVal(sqlXSI010F010.prmCOMBO28, cliOneCsvData.COMBO28)					'コンボ２８
			pDb.setVal(sqlXSI010F010.prmCOMBO29, cliOneCsvData.COMBO29)					'コンボ２９
			pDb.setVal(sqlXSI010F010.prmCOMBO30, cliOneCsvData.COMBO30)					'コンボ３０
			pDb.setVal(sqlXSI010F010.prmCOMBO31, cliOneCsvData.COMBO31)					'コンボ３１
			pDb.setVal(sqlXSI010F010.prmCOMBO32, cliOneCsvData.COMBO32)					'コンボ３２
			pDb.setVal(sqlXSI010F010.prmCOMBO33, cliOneCsvData.COMBO33)					'コンボ３３
			pDb.setVal(sqlXSI010F010.prmCOMBO34, cliOneCsvData.COMBO34)					'コンボ３４
			pDb.setVal(sqlXSI010F010.prmCOMBO35, cliOneCsvData.COMBO35)					'コンボ３５
			pDb.setVal(sqlXSI010F010.prmCOMBO36, cliOneCsvData.COMBO36)					'コンボ３６
			pDb.setVal(sqlXSI010F010.prmASST1_INFO, cliOneCsvData.ASST1_INFO)			'補足項目１情報
			pDb.setVal(sqlXSI010F010.prmASST1_INFO2, cliOneCsvData.ASST1_INFO2)			'補足項目１情報２
			pDb.setVal(sqlXSI010F010.prmSPARE01, cliOneCsvData.SPARE01)					'予備１
			pDb.setVal(sqlXSI010F010.prmSPARE02, cliOneCsvData.SPARE02)					'予備２
			pDb.setVal(sqlXSI010F010.prmMODULE_CD, cliOneCsvData.MODULE_CD)				'モジュールコード
			pDb.setVal(sqlXSI010F010.prmERR_CD, cliOneCsvData.ERR_CD)					'エラーコード
			pDb.setVal(sqlXSI010F010.prmMESSAGE, cliOneCsvData.MESSAGE)					'メッセージ
			pDb.setVal(sqlXSI010F010.prmLASTUPDUSER_CD, Me.cliXSI010F010._userID)		'更新者コード
			pDb.setVal(sqlXSI010F010.prmLASTUPD_DT, DateTime.Now)						'更新日

			'SQL実行
			pDb.execNonQuery()
		Catch ex As Exception
			Throw
		End Try
	End Sub

	''' ---------------------------------------------
	''' <summary>
	''' 【補足項目】補足１の値変換<BR/>
	''' </summary>
	''' <param name="value">値</param>
	''' <param name="sqlIdx">SQL区分</param>
	''' <remarks>
	''' 2010/10/29 新規作成 ACS)牟禮<BR/>
	''' </remarks>
	''' ---------------------------------------------
	Private Function changeValASST1(ByVal value As String, ByVal sqlIdx As Enum_SqlIdx) As String
		clsSysMst.logEx(clsSysMst.logLevel.DBG, "XSI", Me.GetType().Name, MethodBase.GetCurrentMethod().Name, "システム連携", "補足項目連携", "【補足項目】補足１の値変換 Start")
		Dim asst1Value As String = String.Empty
		Try
			Select Case value
				Case ASST1_NONINPUT
					If sqlIdx = Enum_SqlIdx.eIns Then
						'登録時はOFFで
						asst1Value = CStr(clsConst.Enum_CheckBox_Flg.CheckOff)
					Else
						'更新時は元の値から変更しない
						asst1Value = String.Empty
					End If
				Case Else
					asst1Value = Me.changeFlg(value)

			End Select

			Return asst1Value
		Catch ex As Exception
			Throw
		End Try
	End Function

	''' ---------------------------------------------
	''' <summary>
	''' 【補足項目】補足２の値変換<BR/>
	''' </summary>
	''' <param name="value">値</param>
	''' <remarks>
	''' 2010/10/29 新規作成 ACS)牟禮<BR/>
	''' </remarks>
	''' ---------------------------------------------
	Private Function changeValASST2(ByVal value As String) As String
		clsSysMst.logEx(clsSysMst.logLevel.DBG, "XSI", Me.GetType().Name, MethodBase.GetCurrentMethod().Name, "システム連携", "補足項目連携", "【補足項目】補足２の値変換 Start")
		Dim asst2Value As String = String.Empty
		Try
			Select Case value
				Case ASST2_NONINPUT
					'元の値から変更しない
					asst2Value = String.Empty

				Case Else
					asst2Value = value
			End Select

			Return asst2Value
		Catch ex As Exception
			Throw
		End Try
	End Function

#End Region

End Class
