﻿Imports XCM
Imports System.Reflection

''' ---------------------------------------------
''' <summary>
''' 診療情報管理 システム連携 システム連携_手術
''' </summary>
''' <remarks>
''' Copyright 2010 FUJITSU SHIKOKU SYSTEMS LIMITED All rights reserved.<BR/>
''' FUJITSU SHIKOKU SYSTEMS LIMITED CONFIDENTIAL<BR/>
''' </remarks>
''' ---------------------------------------------
Public Class clsXSI_BT4SJKT
	Inherits clsXSI_BT4

#Region "コンスタント"

	''' ---------------------------------------------
	''' <summary>
	''' 連携CSVレイアウト項目数
	''' </summary>
	''' ---------------------------------------------
	Private Enum ENUM_CSV_CNT As Integer
		V323 = 35
		V3 = 55
		V4 = 60
	End Enum
	''' ---------------------------------------------
	''' <summary>
	''' 手術医師情報削除区分
	''' </summary>
	''' ---------------------------------------------
	Enum Enum_OPE_DOCTOR_Del_Kbn
		''' ---------------------------------------------
		''' <summary>
		''' 科歴内すべての手術医師情報削除
		''' </summary>
		''' ---------------------------------------------
		CH_DEL = 1
		''' ---------------------------------------------
		''' <summary>
		''' 手術連番内すべての手術医師情報削除
		''' </summary>
		''' ---------------------------------------------
		SERIAL_DEL = 2

	End Enum

#End Region

#Region "コンストラクタ"

	''' ---------------------------------------------
	''' <summary>
	''' コンストラクタ
	''' </summary>
	''' <param name="cliXSI010F010">親フォーム</param>
	''' <param name="csvFileName">連携CSVファイル</param>
	''' <remarks>
	''' 2010/10/29 新規作成 ACS)牟禮<BR/>
	''' </remarks>
	''' ---------------------------------------------
	Public Sub New(ByVal cliXSI010F010 As XSI010F010, ByVal csvFileName As String)
		MyBase.New(cliXSI010F010, csvFileName)
	End Sub

#End Region

#Region "メソッド"

'(M) STR V4-14019-000 021 20130418 ID)平井(取込処理をサブスレッド化する。)
	' ''' ---------------------------------------------
	' ''' <summary>
	' ''' 【手術】連携処理
	' ''' </summary>
	' ''' <remarks>
	' ''' 2010/10/12 新規作成 ACS)牟禮<BR/>
	' ''' </remarks>
	' ''' ---------------------------------------------
	'Public Sub runProc()
	''' ---------------------------------------------
	''' <summary>
	''' 【手術】連携処理
	''' </summary>
	''' <returns></returns>
	''' <remarks>
	''' 2010/10/12 新規作成 ACS)牟禮<BR/>
	''' </remarks>
	''' ---------------------------------------------
	Public Function runProc() As clsThread
'(M) END V4-14019-000 021 20130418
		clsSysMst.logEx(clsSysMst.logLevel.DBG, "XSI", Me.GetType().Name, MethodBase.GetCurrentMethod().Name, "システム連携", "手術連携", "【手術】連携処理 Start")
		Dim allCnt As Long							'全件数
		Dim okCnt As Long							'正常件数
		Dim errCnt As Long							'エラー件数
		Dim cliSJKTData As Object = Nothing			'データクラス格納(手術、検査、治療処置)
		Dim row As Integer
		Dim rowData() As String
'(A) STR V4-14019-000 004 20130418 ID)平井(取込処理をサブスレッド化する。)
		Dim CntSet As XSI010F010.CntSet_Delegate
		Dim cliTh As clsThread
'(A) END V4-14019-000 004 20130418

		'件数初期化
		allCnt = 0
		okCnt = 0
		errCnt = 0
		row = 0

		Try
			'総件数設定
			allCnt = CInt(Me.cliXSI010F010.lbl055XSI010F010.Text)
'(A) STR V4-14019-000 005 20130418 ID)平井(取込処理をサブスレッド化する。)
			CST_MOD_CNT = getModCount(allCnt)
			CntSet = New XSI010F010.CntSet_Delegate(AddressOf Me.cliXSI010F010.CntSet)
			cliTh = New clsThread
'(A) END V4-14019-000 005 20130418

			Using db As New clsDB(clsSysMst.ctlConfigData)
				Using cliOneCsvData As New clsXSI_MTT_IMP_LOG_OPE()	'取込CSV内の１レコード(ログ登録)
					Using cliCSV As New XSP.clsCSV(Me.csvFileName), tfpReader As FileIO.TextFieldParser = cliCSV.getCSV()
						'連携ファイル内を1件ずつ処理
						While Not (tfpReader.EndOfData)
							row += 1
							cliOneCsvData.clear() '連携CSV１行データ格納クラスクリア

							Try
								rowData = tfpReader.ReadFields()
								'１行データを格納(V3,V4の違いを吸収)
								Select Case rowData.Length
									Case ENUM_CSV_CNT.V3, ENUM_CSV_CNT.V323
										Me.setV3Cls(rowData, cliOneCsvData)
									Case ENUM_CSV_CNT.V4
										Me.setV4Cls(rowData, cliOneCsvData)
									Case Else
										'エラー情報セット
										cliOneCsvData.ERR_FLG = "1"
										cliOneCsvData.ERR_CD = "E0026"
										'ＣＳＶの個数が違います。
										cliOneCsvData.MESSAGE = Me.cliClsMsg.getMessage(cliOneCsvData.ERR_CD)
								End Select
							Catch ex As FileIO.MalformedLineException
								'エラー情報セット
								cliOneCsvData.ERR_FLG = "1"
								cliOneCsvData.ERR_CD = "E0035"
								'データの形式が不正です。
								cliOneCsvData.MESSAGE = Me.cliClsMsg.getMessage(cliOneCsvData.ERR_CD, New String() {"データの形式"})
							End Try

							cliOneCsvData.SERIAL_NO = row.ToString() '連番設定

							If cliOneCsvData.ERR_FLG = "1" Then
								'連携ファイルエラー
							ElseIf Me.chkCSV(cliOneCsvData) = True Then	'連携ファイル内チェック
								Try
									'データクラスを作成
									Select Case cliOneCsvData.INFO_DIV
										Case "S" : cliSJKTData = New clsXSI_MTI_OPE()	'手術
										Case "K" : cliSJKTData = New clsXSI_MTI_TEST()	'検査
										Case "T" : cliSJKTData = New clsXSI_MTI_CARE()	'治療処置
									End Select

									If Me.setData(db, cliOneCsvData, cliSJKTData) = False Then
										'整合性チェック+更新用領域に格納エラー
									ElseIf Me.exeSQL(db, cliOneCsvData, cliSJKTData) <> Enum_ExeReturnFlg.eExecute Then
										'登録/更新エラー
										cliOneCsvData.ERR_FLG = "1"
									End If
								Finally
									If cliSJKTData IsNot Nothing Then
										Select Case True
											Case TypeOf cliSJKTData Is clsXSI_MTI_OPE
												DirectCast(cliSJKTData, clsXSI_MTI_OPE).Dispose()
											Case TypeOf cliSJKTData Is clsXSI_MTI_TEST
												DirectCast(cliSJKTData, clsXSI_MTI_TEST).Dispose()
											Case TypeOf cliSJKTData Is clsXSI_MTI_CARE
												DirectCast(cliSJKTData, clsXSI_MTI_CARE).Dispose()
										End Select
									End If
									cliSJKTData = Nothing
								End Try
							End If

							'件数カウント
							If cliOneCsvData.ERR_FLG = "0" Then
								okCnt += 1
							Else
								errCnt += 1
								cliOneCsvData.MODULE_CD = GetType(XSI010F010).Name
							End If

							'ログ出力
							Me.setSqlParam_MTT_IMP_LOG(db, cliOneCsvData)

							'件数更新
							'CST_MOD_CNT毎または最終データの場合更新
							If row Mod CST_MOD_CNT = 0 OrElse row = allCnt Then
'(M) STR V4-13008-000 004 2013/02/08 ID)荒川 病歴大将V4PKG 管理No.204 正常に処理されているのに件数のカウンターが途中でとまる
								'Me.cliXSI010F010.CntSet(XSI010F010.Enum_RENKEI_SYORI.eOPE, True, allCnt, okCnt, errCnt)
'(M) STR V4-14019-000 004 20130418 ID)平井(取込処理をサブスレッド化する。)
'								Me.cliXSI010F010.CntSet(XSI010F010.Enum_RENKEI_SYORI.eOPE, True, allCnt, okCnt, errCnt, 0)
								Me.cliXSI010F010.BeginInvoke(CntSet, New Object() {XSI010F010.Enum_RENKEI_SYORI.eOPE, False, allCnt, okCnt, errCnt, row})
'(M) END V4-14019-000 004 20130418
'(M) END V4-13008-000 004 2013/02/08
							End If
						End While
'(A) STR V4-14005-000 003 20130410 ID)平井(システムログに件数出力)
						clsSysMst.logEx(clsSysMst.logLevel.NRM, "XSI", Me.GetType().Name, MethodBase.GetCurrentMethod().Name, "ｼｽﾃﾑ管理", "ｼｽﾃﾑ連携", String.Format("手術，読込件数({0}) 正常件数({1}) ｴﾗｰ件数({2})", allCnt, okCnt, errCnt))
'(A) END V4-14005-000 003 20130410
'(A) STR V4-14019-000 006 20130418 ID)平井(取込処理をサブスレッド化する。)
							' 処理件数設定
							cliTh.NormalCount = okCnt
							cliTh.ErrorCount = errCnt
							cliTh.ProcessCount = row
'(A) END V4-14019-000 006 20130418
					End Using
				End Using
			End Using
'(A) STR V4-14019-000 003 20130418 ID)平井(取込処理をサブスレッド化する。)
			Return cliTh
'(A) END V4-14019-000 003 20130418
		Catch ex As Exception
			Throw
		Finally
			rowData = Nothing
'(A) STR V4-14019-000 003 20130418 ID)平井(取込処理をサブスレッド化する。)
			CntSet = Nothing
'(A) END V4-14019-000 003 20130418
		End Try
	End Function

	''' ---------------------------------------------
	''' <summary>
	''' 【手術】DB内データと整合性チェック + 更新用領域にセット
	''' </summary>
	''' <param name="pDb">DBクラス</param>
	''' <param name="cliOneCsvData">連携ファイル1行データ</param>
	''' <param name="cliSJKTData">データクラス</param>
	''' <returns>True:エラー無/False:エラー有</returns>
	''' <remarks>
	''' 2010/10/28 新規作成 ACS)牟禮<BR/>
	''' </remarks>
	''' ---------------------------------------------
	Private Function setData(ByVal pDb As clsDB, ByVal cliOneCsvData As clsXSI_MTT_IMP_LOG_OPE, ByVal cliSJKTData As Object) As Boolean
		clsSysMst.logEx(clsSysMst.logLevel.DBG, "XSI", Me.GetType().Name, MethodBase.GetCurrentMethod().Name, "システム連携", "手術連携", "【手術】DB内データと整合性チェック + 更新用領域にセット Start")
		Try
			Select Case cliOneCsvData.INFO_DIV
				Case "S" '手術
					Return Me.setDataOpe(pDb, cliOneCsvData, DirectCast(cliSJKTData, clsXSI_MTI_OPE))
				Case "K" '検査
					Return Me.setDataTest(pDb, cliOneCsvData, DirectCast(cliSJKTData, clsXSI_MTI_TEST))
				Case "T" '治療処置
					Return Me.setDataCare(pDb, cliOneCsvData, DirectCast(cliSJKTData, clsXSI_MTI_CARE))
			End Select

			Return True
		Catch ex As Exception
			Throw
		End Try
	End Function

	''' ---------------------------------------------
	''' <summary>
	''' 【手術】DB内データと整合性チェック + 更新用領域にセット(手術)
	''' </summary>
	''' <param name="pDb">DBクラス</param>
	''' <param name="cliOneCsvData">連携ファイル1行データ</param>
	''' <param name="cliMTI_OPE">手術データクラス</param>
	''' <returns>True:エラー無/False:エラー有</returns>
	''' <remarks>
	''' 2010/10/28 新規作成 ACS)牟禮<BR/>
	''' </remarks>
	''' ---------------------------------------------
	Private Function setDataOpe(ByVal pDb As clsDB, ByVal cliOneCsvData As clsXSI_MTT_IMP_LOG_OPE, ByVal cliMTI_OPE As clsXSI_MTI_OPE) As Boolean
		clsSysMst.logEx(clsSysMst.logLevel.DBG, "XSI", Me.GetType().Name, MethodBase.GetCurrentMethod().Name, "システム連携", "手術連携", "【手術】DB内データと整合性チェック + 更新用領域にセット(手術) Start")
		Dim patientBirthday As String = String.Empty '基本情報誕生日保持
		Try
			'入室日、退室日と生年月日整合性チェック
			pDb.setSQLDa(sqlXSI010F010.sqlSel_XTI_BASICINFO)
			pDb.setParamDa(sqlXSI010F010.prmPATIENT_NO, clsDB.Enum_dbType.dbNVarChar)
			pDb.setValDa(sqlXSI010F010.prmPATIENT_NO, cliOneCsvData.PATIENT_NO)
			Using dt As New DataTable()
				pDb.execQueryDa(dt)
				If dt.Rows.Count > 0 Then
					patientBirthday = dt.Rows(0).Item(sqlXSI010F010.itmBIRTH_DT).ToString()
				End If
			End Using

			'生年月日と実施日、終了日チェック
			If String.IsNullOrEmpty(patientBirthday) = True OrElse IsDate(patientBirthday) = False Then
			ElseIf String.IsNullOrEmpty(cliOneCsvData.OPE_DT) = False AndAlso Me.dateCompare(patientBirthday, cliOneCsvData.OPE_DT) > 0 Then
				cliOneCsvData.ERR_FLG = "1"
				cliOneCsvData.ERR_CD = "E0031"
				'実施日が生年月日より過去の日付になっています。
				cliOneCsvData.MESSAGE = Me.cliClsMsg.getMessage(cliOneCsvData.ERR_CD, New String() {"実施日", "生年月日より過去の日付", Nothing})
				Return False
			ElseIf String.IsNullOrEmpty(cliOneCsvData.END_DT) = False AndAlso Me.dateCompare(patientBirthday, cliOneCsvData.END_DT) > 0 Then
				cliOneCsvData.ERR_FLG = "1"
				cliOneCsvData.ERR_CD = "E0031"
				'終了日が生年月日より過去の日付になっています。
				cliOneCsvData.MESSAGE = Me.cliClsMsg.getMessage(cliOneCsvData.ERR_CD, New String() {"終了日", "生年月日より過去の日付", Nothing})
				Return False
			End If

			'連携１行データの情報から科歴情報を取得する
			Using dtNew As DataTable = Me.getSqlParam_MTI_CH(pDb, cliOneCsvData.PATIENT_NO, cliOneCsvData.DEPT_CD, cliOneCsvData.HSP_DT, )

				If dtNew.Rows.Count = 0 Then
					'該当データが存在しない
					cliOneCsvData.ERR_FLG = "1"
					cliOneCsvData.ERR_CD = "E0015"
					'対象の科歴情報が存在しません。
					cliOneCsvData.MESSAGE = Me.cliClsMsg.getMessage(cliOneCsvData.ERR_CD, New String() {"対象の科歴情報", Nothing})
					Return False
				End If

				'登録状況チェック
				If Me.cliXSI010F010.fixCodeContainsCode(XSI010F010.Enum_CODE.regStatusImpNonUpd_ALL, dtNew.Rows(0).Item(sqlXSI010F010.itmREG_STATUS_CD).ToString()) = True Then
					cliOneCsvData.ERR_FLG = "1"
					cliOneCsvData.ERR_CD = "E0003"
					'登録状況が「完成」のため、更新できません。
					cliOneCsvData.MESSAGE = Me.cliClsMsg.getMessage(cliOneCsvData.ERR_CD, New String() {"登録状況が「完成」の", "更新", Nothing})
					Return False
				End If

				cliMTI_OPE.HSP_HISTORY_NO = dtNew.Rows(0).Item(sqlXSI010F010.itmHSP_HISTORY_NO).ToString() '入退院歴番号
				cliMTI_OPE.CH_NO = dtNew.Rows(0).Item(sqlXSI010F010.itmCH_NO).ToString()				   '科歴番号
			End Using

			'実施日が登録可能な範囲の日付かチェック
			If Me.chkStartDate_OPE(cliOneCsvData.PATIENT_NO, cliMTI_OPE.HSP_HISTORY_NO, cliMTI_OPE.CH_NO, cliOneCsvData.OPE_DT) = False Then
				cliOneCsvData.ERR_FLG = "1"
				cliOneCsvData.ERR_CD = "E0022"
				'実施日が登録可能範囲外です。
				cliOneCsvData.MESSAGE = Me.cliClsMsg.getMessage(cliOneCsvData.ERR_CD, New String() {"実施日が登録可能", Nothing})
				Return False
			End If

			'手術連番の取得
			Select Case cliOneCsvData.DATA_TYPE
				Case "A"
					'患者、入退院、科歴からMAX+1を取得
					pDb.setSQLDa(sqlXSI010F010.sqlSel_MTI_OPE_MAXNO)
					pDb.setParamDa(sqlXSI010F010.prmPATIENT_NO, clsDB.Enum_dbType.dbNVarChar)
					pDb.setParamDa(sqlXSI010F010.prmHSP_HISTORY_NO, clsDB.Enum_dbType.dbInt)
					pDb.setParamDa(sqlXSI010F010.prmCH_NO, clsDB.Enum_dbType.dbInt)
					pDb.setValDa(sqlXSI010F010.prmPATIENT_NO, cliOneCsvData.PATIENT_NO)
					pDb.setValDa(sqlXSI010F010.prmHSP_HISTORY_NO, cliMTI_OPE.HSP_HISTORY_NO)
					pDb.setValDa(sqlXSI010F010.prmCH_NO, cliMTI_OPE.CH_NO)
					Using dt As New DataTable()
						pDb.execQueryDa(dt)
						cliMTI_OPE.OPE_SERIAL_NO = dt.Rows(0).Item(0).ToString()
					End Using

					Dim arr As ArrayList = Nothing
					Try
						arr = Me.getMTI_OPE(cliOneCsvData.PATIENT_NO, cliMTI_OPE.HSP_HISTORY_NO, cliMTI_OPE.CH_NO, _
																cliOneCsvData.ICD9CM_CD, cliOneCsvData.OPE_DT, cliOneCsvData.MAIN_DIV_CD, pDb)
						If arr.Count > 0 Then
							'動作環境の同一科歴内で同じICD9コードの手術連携
							Select Case clsSysMst.ctlEnvData.getEnv(datEnv.Enum_ENV.ENV_00035)
								Case CStr(clsConst.Enum_EqualDeptIcd9OpeImp.AppOpe)	'追加
								Case CStr(clsConst.Enum_EqualDeptIcd9OpeImp.RepOpe)	'置き換える
									cliMTI_OPE.OPE_SERIAL_NO = DirectCast(arr(0), datOPE).OPE_SERIAL_NO.ToString()

								Case CStr(clsConst.Enum_EqualDeptIcd9OpeImp.NoRegOpe) 'エラー
									cliOneCsvData.ERR_FLG = "1"
									cliOneCsvData.ERR_CD = "E0037"
									'手術情報のＩＣＤ9ＣＭコードが重複しています。
									cliOneCsvData.MESSAGE = Me.cliClsMsg.getMessage(cliOneCsvData.ERR_CD, New String() {"手術情報のＩＣＤ9ＣＭコード", Nothing})
									Return False
							End Select
						End If
					Finally
						If arr IsNot Nothing Then arr.Clear()
						arr = Nothing
					End Try


				Case "B"
					'削除後追加のため連番1を設定
					cliMTI_OPE.OPE_SERIAL_NO = "1"

			End Select

			'管理番号またはICD9CMコードから情報取得
			If String.IsNullOrEmpty(cliOneCsvData.MNG_NO) = False Then
				'管理番号から情報取得
				pDb.setSQLDa(sqlXSI010F010.sqlSel_MTM_OPE_NM)
				pDb.setParamDa(sqlXSI010F010.prmMNG_NO, clsDB.Enum_dbType.dbInt)
				pDb.setValDa(sqlXSI010F010.prmMNG_NO, cliOneCsvData.MNG_NO)

				Using dt As New DataTable()
					pDb.execQueryDa(dt)
					If dt.Rows.Count > 0 Then
						cliMTI_OPE.ICD9CM_CD = dt.Rows(0).Item(sqlXSI010F010.itmICD9CM1_CD).ToString()	   'ICD9CMコード
						cliMTI_OPE.L_GRP_CD = dt.Rows(0).Item(sqlXSI010F010.itmL_GRP_CD).ToString()		   '大分類コード
						cliMTI_OPE.M_GRP_CD = dt.Rows(0).Item(sqlXSI010F010.itmM_GRP_CD).ToString()		   '中分類コード
						cliMTI_OPE.DIGS3_GRP_CD = dt.Rows(0).Item(sqlXSI010F010.itmDIGS3_GRP_CD).ToString()	'３桁分類コード
						cliMTI_OPE.SCORE_CD = dt.Rows(0).Item(sqlXSI010F010.itmK_CD).ToString()			   '点数表コード
						cliMTI_OPE.MNG_NO = dt.Rows(0).Item(sqlXSI010F010.itmMNG_NO).ToString()			   '管理番号
						cliMTI_OPE.MNG_DIV = dt.Rows(0).Item(sqlXSI010F010.itmMNG_DIV).ToString()		   '管理記号
					Else
						cliOneCsvData.ERR_FLG = "1"
						cliOneCsvData.ERR_CD = "E0036"
						'対応する手術が手術マスタに存在しません。
						cliOneCsvData.MESSAGE = Me.cliClsMsg.getMessage(cliOneCsvData.ERR_CD, New String() {"対応する手術が手術マスタ", Nothing})
						Return False
					End If
				End Using
				'管理番号空白時、初期値セット
				If String.IsNullOrEmpty(cliMTI_OPE.MNG_NO) = True Then
					cliMTI_OPE.MNG_NO = "0"
				End If
			ElseIf String.IsNullOrEmpty(cliOneCsvData.ICD9CM_CD) = False Then
				'ICD9CMコードから取得

				cliMTI_OPE.ICD9CM_CD = cliOneCsvData.ICD9CM_CD	'ICD9CMコード
				'cliMTI_OPE.L_GRP_CD = ""                        '大分類コード
				'cliMTI_OPE.M_GRP_CD = ""                        '中分類コード
				If cliOneCsvData.ICD9CM_CD.Length > 2 Then
					'ICD9CMコードの先頭3桁をセット
					cliMTI_OPE.DIGS3_GRP_CD = cliOneCsvData.ICD9CM_CD.Substring(0, 3) '３桁分類コード
				End If
				cliMTI_OPE.MNG_NO = "0"				'管理番号
				cliMTI_OPE.MNG_DIV = String.Empty	'管理記号
				cliMTI_OPE.SCORE_CD = cliOneCsvData.K_CD '点数表コード

				pDb.setSQLDa(sqlXSI010F010.sqlSel_MTM_OPE_3DIG_GRP_NM)
				pDb.setParamDa(sqlXSI010F010.prmM_GRP_CD, clsDB.Enum_dbType.dbNVarChar)
				pDb.setValDa(sqlXSI010F010.prmM_GRP_CD, cliOneCsvData.ICD9CM_CD.PadRight(2).Substring(0, 2).Trim())
				Using dt As New DataTable()
					pDb.execQueryDa(dt)
					If dt.Rows.Count > 0 Then
						cliMTI_OPE.L_GRP_CD = dt.Rows(0).Item(sqlXSI010F010.itmL_GRP_CD).ToString()		   '大分類コード
						cliMTI_OPE.M_GRP_CD = dt.Rows(0).Item(sqlXSI010F010.itmM_GRP_CD).ToString()		   '中分類コード
					End If
				End Using
			End If

			'手術区分
			If String.IsNullOrEmpty(cliOneCsvData.MAIN_DIV_CD) = False Then
				'CSVの内容を設定
				cliMTI_OPE.OPE_DIV = cliOneCsvData.MAIN_DIV_CD
			Else
				'空なら主手術設定
				cliMTI_OPE.OPE_DIV = Me.cliXSI010F010.fixCode(XSI010F010.Enum_CODE.opeDivMainOpe)
			End If

			'手術時年月日齢計算
			With Nothing
				Dim age As Integer = 0
				Dim monthAge As Integer = 0
				Dim dayAge As Integer = 0
				'年齢、月齢、日齢取得
				Me.getDiffYearMonth(patientBirthday, cliOneCsvData.OPE_DT, age, monthAge, dayAge)

				cliMTI_OPE.OPE_AGE = age.ToString()			   '手術時年齢
				cliMTI_OPE.OPE_MONTH_AGE = monthAge.ToString() '手術時月齢
				cliMTI_OPE.OPE_DAY_AGE = dayAge.ToString()	   '手術時日齢
			End With

			'手術所要時間
			cliMTI_OPE.OPE_REQUIRED_TIME = Me.getDiffTime(cliOneCsvData.OPE_DT, cliOneCsvData.OPE_TIME, cliOneCsvData.END_DT, cliOneCsvData.END_TIME)

			'術前、術後日数計算
			cliMTI_OPE.PRE_OPE_DAYS = "0"
			cliMTI_OPE.AFTER_OPE_DAYS = "0"
			'計算対象となる手術区分の場合取得
			If Me.cliXSI010F010.fixCodeContainsCode(XSI010F010.Enum_CODE.opeCalcRefrection_ALL, cliMTI_OPE.OPE_DIV) = True Then
				'入院日、退院日を取得
				pDb.setSQLDa(sqlXSI010F010.sqlSel_MTI_HSP)
				pDb.setParamDa(sqlXSI010F010.prmPATIENT_NO, clsDB.Enum_dbType.dbNVarChar)
				pDb.setParamDa(sqlXSI010F010.prmHSP_HISTORY_NO, clsDB.Enum_dbType.dbInt)
				pDb.setValDa(sqlXSI010F010.prmPATIENT_NO, cliOneCsvData.PATIENT_NO)
				pDb.setValDa(sqlXSI010F010.prmHSP_HISTORY_NO, cliMTI_OPE.HSP_HISTORY_NO)
				Using dt As New DataTable()
					pDb.execQueryDa(dt)
					If dt.Rows.Count > 0 Then
						'術前日数
						'動作環境の術前日数の計算式の選択
						Select Case clsSysMst.ctlEnvData.getEnv(datEnv.Enum_ENV.ENV_00078)
							Case CStr(clsConst.Enum_PreOpeCalcSel.StartHsp)	'実施日-入院日
								cliMTI_OPE.PRE_OPE_DAYS = Me.getDiffDay(dt.Rows(0).Item(sqlXSI010F010.itmHSP_DT).ToString(), cliOneCsvData.OPE_DT).ToString()
							Case CStr(clsConst.Enum_PreOpeCalcSel.StartHspPlus)	'実施日-入院日+1
								cliMTI_OPE.PRE_OPE_DAYS = Me.getDiffDay(dt.Rows(0).Item(sqlXSI010F010.itmHSP_DT).ToString(), cliOneCsvData.OPE_DT, 1).ToString()

						End Select
						'術後日数
						Dim diffDt As String = cliOneCsvData.END_DT	'術後日数計算対象日付
						If String.IsNullOrEmpty(cliOneCsvData.END_DT) = True Then diffDt = cliOneCsvData.OPE_DT '終了日未入力であれば実施日で計算
						'動作環境の術後日数の計算式の選択
						Select Case clsSysMst.ctlEnvData.getEnv(datEnv.Enum_ENV.ENV_00079)
							Case CStr(clsConst.Enum_AfterOpeCalcSel.OutStart) '実施日-入院日
								cliMTI_OPE.AFTER_OPE_DAYS = Me.getDiffDay(diffDt, dt.Rows(0).Item(sqlXSI010F010.itmOUT_HSP_DT).ToString()).ToString()
							Case CStr(clsConst.Enum_AfterOpeCalcSel.OutStartPlus) '実施日-入院日+1
								cliMTI_OPE.AFTER_OPE_DAYS = Me.getDiffDay(diffDt, dt.Rows(0).Item(sqlXSI010F010.itmOUT_HSP_DT).ToString(), 1).ToString()

						End Select
					Else
						'対象なし
					End If
				End Using
			End If

			cliMTI_OPE.PATIENT_NO = cliOneCsvData.PATIENT_NO								'患者番号
			cliMTI_OPE.OPE_NM = cliOneCsvData.OPE_NM										'手術名
			cliMTI_OPE.OPE_DT = cliOneCsvData.OPE_DT										'実施日
			cliMTI_OPE.OPE_TIME = cliOneCsvData.OPE_TIME									'実施時刻
			cliMTI_OPE.ANESTHESIA_DIV1 = cliOneCsvData.ANESTHESIA_DIV1						'麻酔区分コード１
			cliMTI_OPE.ANESTHESIA_TIME = cliOneCsvData.ANESTHESIA_TIME						'全身麻酔時間
			cliMTI_OPE.ANESTHESIA_DIV2 = cliOneCsvData.ANESTHESIA_DIV2						'麻酔区分コード２
			cliMTI_OPE.ASST_DIV1 = cliOneCsvData.ASST_DIV1									'補助区分コード１
			cliMTI_OPE.ASST_DIV2 = cliOneCsvData.ASST_DIV2									'補助区分コード２
			cliMTI_OPE.REMARKS1 = cliOneCsvData.REMARKS1									'備考１
			cliMTI_OPE.REMARKS2 = cliOneCsvData.REMARKS2									'備考２
			cliMTI_OPE.OPE_COUNT_CD = cliOneCsvData.OPE_COUNT_CD							'手術回数コード
			cliMTI_OPE.OPE_PART_CD = cliOneCsvData.OPE_PART_CD								'手術側数コード
			cliMTI_OPE.END_DT = cliOneCsvData.END_DT										'終了日
			cliMTI_OPE.END_TIME = cliOneCsvData.END_TIME									'終了時刻
			cliMTI_OPE.SPT_DISEASE_NM = cliOneCsvData.SPT_DISEASE_NM						'病名
			cliMTI_OPE.SPT_DISEASE_ICD10_CD = cliOneCsvData.SPT_DISEASE_ICD10_CD			'ＩＣＤ１０コード
			cliMTI_OPE.AFTER_OPE_CMPC_CHK = Me.changeOnOff(cliOneCsvData.AFTER_OPE_CMPC_CHK) '術後合併症有無コード
			cliMTI_OPE.HSP_OPE_CD = cliOneCsvData.HSP_OPE_CD								'院内手術コード
			cliMTI_OPE.PLAN_EMERGENCY_CD = cliOneCsvData.PLAN_EMERGENCY_CD					'緊急区分コード
			cliMTI_OPE.ASA_PS_GRP_CD = cliOneCsvData.ASA_PS_GRP_CD							'ＡＳＡ＿ＰＳコード
			cliMTI_OPE.TIME_OUT_FLG = Me.changeFlg(cliOneCsvData.TIME_OUT_FLG)				'時間外フラグ
			cliMTI_OPE.BLEEDING_VOLUME = cliOneCsvData.BLEEDING_VOLUME						'出血量
			cliMTI_OPE.BLOOD_TRAN_VOLUME = cliOneCsvData.BLOOD_TRAN_VOLUME					'輸血量

			Return True
		Catch ex As Exception
			Throw
		Finally
			'解放
			patientBirthday = Nothing
		End Try
	End Function

	''' ---------------------------------------------
	''' <summary>
	''' 【手術】DB内データと整合性チェック + 更新用領域にセット(検査)
	''' </summary>
	''' <param name="pDb">DBクラス</param>
	''' <param name="cliOneCsvData">連携ファイル1行データ</param>
	''' <param name="cliMTI_TEST">検査データクラス</param>
	''' <returns>True:エラー無/False:エラー有</returns>
	''' <remarks>
	''' 2010/10/28 新規作成 ACS)牟禮<BR/>
	''' </remarks>
	''' ---------------------------------------------
	Private Function setDataTest(ByVal pDb As clsDB, ByVal cliOneCsvData As clsXSI_MTT_IMP_LOG_OPE, ByVal cliMTI_TEST As clsXSI_MTI_TEST) As Boolean
		clsSysMst.logEx(clsSysMst.logLevel.DBG, "XSI", Me.GetType().Name, MethodBase.GetCurrentMethod().Name, "システム連携", "手術連携", "【手術】DB内データと整合性チェック + 更新用領域にセット(検査) Start")
		Dim patientBirthday As String = String.Empty '基本情報誕生日保持
		Try
			'生年月日取得
			pDb.setSQLDa(sqlXSI010F010.sqlSel_XTI_BASICINFO)
			pDb.setParamDa(sqlXSI010F010.prmPATIENT_NO, clsDB.Enum_dbType.dbNVarChar)
			pDb.setValDa(sqlXSI010F010.prmPATIENT_NO, cliOneCsvData.PATIENT_NO)
			Using dt As New DataTable()
				pDb.execQueryDa(dt)
				If dt.Rows.Count > 0 Then
					patientBirthday = dt.Rows(0).Item(sqlXSI010F010.itmBIRTH_DT).ToString()
				End If
			End Using

			'生年月日と検査実施日チェック
			If String.IsNullOrEmpty(patientBirthday) = True OrElse IsDate(patientBirthday) = False Then
			ElseIf String.IsNullOrEmpty(cliOneCsvData.OPE_DT) = False AndAlso DateTime.Parse(patientBirthday) > DateTime.Parse(cliOneCsvData.OPE_DT) Then
				cliOneCsvData.ERR_FLG = "1"
				cliOneCsvData.ERR_CD = "E0031"
				'検査実施日が生年月日より過去の日付になっています。
				cliOneCsvData.MESSAGE = Me.cliClsMsg.getMessage(cliOneCsvData.ERR_CD, New String() {"検査実施日", "生年月日より過去の日付", Nothing})
				Return False
			End If

			'連携１行データの情報から科歴情報を取得する
			Using dtNew As DataTable = Me.getSqlParam_MTI_CH(pDb, cliOneCsvData.PATIENT_NO, cliOneCsvData.DEPT_CD, cliOneCsvData.HSP_DT, )

				If dtNew.Rows.Count = 0 Then
					'該当データが存在しない
					cliOneCsvData.ERR_FLG = "1"
					cliOneCsvData.ERR_CD = "E0015"
					'対象の科歴情報が存在しません。
					cliOneCsvData.MESSAGE = Me.cliClsMsg.getMessage(cliOneCsvData.ERR_CD, New String() {"対象の科歴情報", Nothing})
					Return False
				End If

				'登録状況チェック
				If Me.cliXSI010F010.fixCodeContainsCode(XSI010F010.Enum_CODE.regStatusImpNonUpd_ALL, dtNew.Rows(0).Item(sqlXSI010F010.itmREG_STATUS_CD).ToString()) = True Then
					cliOneCsvData.ERR_FLG = "1"
					cliOneCsvData.ERR_CD = "E0003"
					'登録状況が「完成」のため、更新できません。
					cliOneCsvData.MESSAGE = Me.cliClsMsg.getMessage(cliOneCsvData.ERR_CD, New String() {"登録状況が「完成」の", "更新", Nothing})
					Return False
				End If

				cliMTI_TEST.HSP_HISTORY_NO = dtNew.Rows(0).Item(sqlXSI010F010.itmHSP_HISTORY_NO).ToString()	'入退院歴番号
				cliMTI_TEST.CH_NO = dtNew.Rows(0).Item(sqlXSI010F010.itmCH_NO).ToString()					'科歴番号
			End Using

			'検査実施日が登録可能な範囲の日付かチェック
			If Me.chkStartDate_TEST(cliOneCsvData.PATIENT_NO, cliMTI_TEST.HSP_HISTORY_NO, cliMTI_TEST.CH_NO, cliOneCsvData.OPE_DT) = False Then
				cliOneCsvData.ERR_FLG = "1"
				cliOneCsvData.ERR_CD = "E0022"
				'検査実施日が登録可能範囲外です。
				cliOneCsvData.MESSAGE = Me.cliClsMsg.getMessage(cliOneCsvData.ERR_CD, New String() {"検査実施日が登録可能", Nothing})
				Return False
			End If

			'検査連番の取得
			Select Case cliOneCsvData.DATA_TYPE
				Case "A"
					'患者、入退院、科歴からMAX+1を取得
					pDb.setSQLDa(sqlXSI010F010.sqlSel_MTI_TEST_MAXNO)
					pDb.setParamDa(sqlXSI010F010.prmPATIENT_NO, clsDB.Enum_dbType.dbNVarChar)
					pDb.setParamDa(sqlXSI010F010.prmHSP_HISTORY_NO, clsDB.Enum_dbType.dbInt)
					pDb.setParamDa(sqlXSI010F010.prmCH_NO, clsDB.Enum_dbType.dbInt)
					pDb.setValDa(sqlXSI010F010.prmPATIENT_NO, cliOneCsvData.PATIENT_NO)
					pDb.setValDa(sqlXSI010F010.prmHSP_HISTORY_NO, cliMTI_TEST.HSP_HISTORY_NO)
					pDb.setValDa(sqlXSI010F010.prmCH_NO, cliMTI_TEST.CH_NO)
					Using dt As New DataTable()
						pDb.execQueryDa(dt)
						cliMTI_TEST.TEST_SERIAL_NO = dt.Rows(0).Item(0).ToString()
					End Using

					Dim arr As ArrayList = Nothing
					Try
						arr = Me.getMTI_TEST(cliOneCsvData.PATIENT_NO, cliMTI_TEST.HSP_HISTORY_NO, cliMTI_TEST.CH_NO, _
																		cliOneCsvData.ICD9CM_CD, cliOneCsvData.OPE_DT, cliOneCsvData.MAIN_DIV_CD, pDb)
						If arr.Count > 0 Then
							'動作環境の同一科歴内で同じICD9コードの検査連携
							Select Case clsSysMst.ctlEnvData.getEnv(datEnv.Enum_ENV.ENV_00037)
								Case CStr(clsConst.Enum_EqualDeptIcd9TestImp.AddTest) '追加
								Case CStr(clsConst.Enum_EqualDeptIcd9TestImp.RepTest) '置き換える
									cliMTI_TEST.TEST_SERIAL_NO = DirectCast(arr(0), datTEST).TEST_SERIAL_NO.ToString()

								Case CStr(clsConst.Enum_EqualDeptIcd9TestImp.NoRegTest)	'エラー
									cliOneCsvData.ERR_FLG = "1"
									cliOneCsvData.ERR_CD = "E0037"
									'検査情報のＩＣＤ9ＣＭコードが重複しています。
									cliOneCsvData.MESSAGE = Me.cliClsMsg.getMessage(cliOneCsvData.ERR_CD, New String() {"検査情報のＩＣＤ9ＣＭコード", Nothing})
									Return False

							End Select
						End If

					Finally
						If arr IsNot Nothing Then arr.Clear()
						arr = Nothing
					End Try


				Case "B"
					'削除後追加のため連番1を設定
					cliMTI_TEST.TEST_SERIAL_NO = "1"

			End Select

			'管理番号またはICD9CMコードから情報取得
			If String.IsNullOrEmpty(cliOneCsvData.MNG_NO) = False Then
				'管理番号から情報取得
				pDb.setSQLDa(sqlXSI010F010.sqlSel_MTM_OPE_NM)
				pDb.setParamDa(sqlXSI010F010.prmMNG_NO, clsDB.Enum_dbType.dbInt)
				pDb.setValDa(sqlXSI010F010.prmMNG_NO, cliOneCsvData.MNG_NO)

				Using dt As New DataTable()
					pDb.execQueryDa(dt)
					If dt.Rows.Count > 0 Then
						cliMTI_TEST.ICD9CM_CD = dt.Rows(0).Item(sqlXSI010F010.itmICD9CM1_CD).ToString()		'ICD9CMコード
						cliMTI_TEST.L_GRP_CD = dt.Rows(0).Item(sqlXSI010F010.itmL_GRP_CD).ToString()		'大分類コード
						cliMTI_TEST.M_GRP_CD = dt.Rows(0).Item(sqlXSI010F010.itmM_GRP_CD).ToString()		'中分類コード
						cliMTI_TEST.DIGS3_GRP_CD = dt.Rows(0).Item(sqlXSI010F010.itmDIGS3_GRP_CD).ToString() '３桁分類コード
						cliMTI_TEST.SCORE_CD = dt.Rows(0).Item(sqlXSI010F010.itmK_CD).ToString()			'点数表コード
						cliMTI_TEST.MNG_NO = dt.Rows(0).Item(sqlXSI010F010.itmMNG_NO).ToString()			'管理番号
						cliMTI_TEST.MNG_DIV = dt.Rows(0).Item(sqlXSI010F010.itmMNG_DIV).ToString()			'管理記号
					Else
						cliOneCsvData.ERR_FLG = "1"
						cliOneCsvData.ERR_CD = "E0036"
						'対応する手術が手術マスタに存在しません。
						cliOneCsvData.MESSAGE = Me.cliClsMsg.getMessage(cliOneCsvData.ERR_CD, New String() {"対応する手術が手術マスタ", Nothing})
						Return False
					End If
				End Using
				'管理番号空白時、初期値セット
				If String.IsNullOrEmpty(cliMTI_TEST.MNG_NO) = True Then
					cliMTI_TEST.MNG_NO = "0"
				End If
			ElseIf String.IsNullOrEmpty(cliOneCsvData.ICD9CM_CD) = False Then
				'ICD9CMコードから取得

				cliMTI_TEST.ICD9CM_CD = cliOneCsvData.ICD9CM_CD	 'ICD9CMコード
				'cliMTI_OPE.L_GRP_CD = ""                        '大分類コード
				'cliMTI_OPE.M_GRP_CD = ""                        '中分類コード
				If cliOneCsvData.ICD9CM_CD.Length > 2 Then
					'ICD9CMコードの先頭3桁をセット
					cliMTI_TEST.DIGS3_GRP_CD = cliOneCsvData.ICD9CM_CD.Substring(0, 3) '３桁分類コード
				End If
				cliMTI_TEST.MNG_NO = "0"			 '管理番号
				cliMTI_TEST.MNG_DIV = String.Empty			   '管理記号
				cliMTI_TEST.SCORE_CD = cliOneCsvData.K_CD '点数表コード
				pDb.setSQLDa(sqlXSI010F010.sqlSel_MTM_OPE_3DIG_GRP_NM)
				pDb.setParamDa(sqlXSI010F010.prmM_GRP_CD, clsDB.Enum_dbType.dbNVarChar)
				pDb.setValDa(sqlXSI010F010.prmM_GRP_CD, cliOneCsvData.ICD9CM_CD.PadRight(2).Substring(0, 2).Trim())
				Using dt As New DataTable()
					pDb.execQueryDa(dt)
					If dt.Rows.Count > 0 Then
						cliMTI_TEST.L_GRP_CD = dt.Rows(0).Item(sqlXSI010F010.itmL_GRP_CD).ToString()		'大分類コード
						cliMTI_TEST.M_GRP_CD = dt.Rows(0).Item(sqlXSI010F010.itmM_GRP_CD).ToString()		'中分類コード
					End If
				End Using
			End If

			'検査区分
			If String.IsNullOrEmpty(cliOneCsvData.MAIN_DIV_CD) = False Then
				'CSVの内容を設定
				cliMTI_TEST.TEST_DIV = cliOneCsvData.MAIN_DIV_CD
			Else
				'空ならデフォルト区分設定
				cliMTI_TEST.TEST_DIV = Me.cliXSI010F010.fixCode(XSI010F010.Enum_CODE.testDivInitDisplay)
			End If

			cliMTI_TEST.PATIENT_NO = cliOneCsvData.PATIENT_NO		'患者番号
			cliMTI_TEST.TEST_NM = cliOneCsvData.OPE_NM				'検査名
			cliMTI_TEST.TEST_DT = cliOneCsvData.OPE_DT				'実施日
			cliMTI_TEST.ASST_DIV = cliOneCsvData.ASST_DIV1			'補助区分コード
			cliMTI_TEST.REMARKS1 = cliOneCsvData.REMARKS1			'備考１
			cliMTI_TEST.REMARKS2 = cliOneCsvData.REMARKS2			'備考２
			cliMTI_TEST.HSP_OPE_CD = cliOneCsvData.HSP_OPE_CD		'院内手術コード

			Return True
		Catch ex As Exception
			Throw
		End Try
	End Function

	''' ---------------------------------------------
	''' <summary>
	''' 【手術】DB内データと整合性チェック + 更新用領域にセット(治療処置)
	''' </summary>
	''' <param name="pDb">DBクラス</param>
	''' <param name="cliOneCsvData">連携ファイル1行データ</param>
	''' <param name="cliMTI_CARE">治療処置データクラス</param>
	''' <returns>True:エラー無/False:エラー有</returns>
	''' <remarks>
	''' 2010/10/28 新規作成 ACS)牟禮<BR/>
	''' </remarks>
	''' ---------------------------------------------
	Private Function setDataCare(ByVal pDb As clsDB, ByVal cliOneCsvData As clsXSI_MTT_IMP_LOG_OPE, ByVal cliMTI_CARE As clsXSI_MTI_CARE) As Boolean
		clsSysMst.logEx(clsSysMst.logLevel.DBG, "XSI", Me.GetType().Name, MethodBase.GetCurrentMethod().Name, "システム連携", "手術連携", "【手術】DB内データと整合性チェック + 更新用領域にセット(治療処置) Start")
		Dim patientBirthday As String = String.Empty '基本情報誕生日保持
		Try
			'生年月日取得
			pDb.setSQLDa(sqlXSI010F010.sqlSel_XTI_BASICINFO)
			pDb.setParamDa(sqlXSI010F010.prmPATIENT_NO, clsDB.Enum_dbType.dbNVarChar)
			pDb.setValDa(sqlXSI010F010.prmPATIENT_NO, cliOneCsvData.PATIENT_NO)
			Using dt As New DataTable()
				pDb.execQueryDa(dt)
				If dt.Rows.Count > 0 Then
					patientBirthday = dt.Rows(0).Item(sqlXSI010F010.itmBIRTH_DT).ToString()
				End If
			End Using

			'生年月日と治療処置実施日チェック
			If String.IsNullOrEmpty(patientBirthday) = True OrElse IsDate(patientBirthday) = False Then
			ElseIf String.IsNullOrEmpty(cliOneCsvData.OPE_DT) = False AndAlso DateTime.Parse(patientBirthday) > DateTime.Parse(cliOneCsvData.OPE_DT) Then
				cliOneCsvData.ERR_FLG = "1"
				cliOneCsvData.ERR_CD = "E0031"
				'治療処置実施日が生年月日より過去の日付になっています。
				cliOneCsvData.MESSAGE = Me.cliClsMsg.getMessage(cliOneCsvData.ERR_CD, New String() {"治療処置実施日", "生年月日より過去の日付", Nothing})
				Return False
			End If

			'連携１行データの情報から科歴情報を取得する
			Using dtNew As DataTable = Me.getSqlParam_MTI_CH(pDb, cliOneCsvData.PATIENT_NO, cliOneCsvData.DEPT_CD, cliOneCsvData.HSP_DT, )
				If dtNew.Rows.Count = 0 Then
					'該当データが存在しない
					cliOneCsvData.ERR_FLG = "1"
					cliOneCsvData.ERR_CD = "E0015"
					'対象の科歴情報が存在しません。
					cliOneCsvData.MESSAGE = Me.cliClsMsg.getMessage(cliOneCsvData.ERR_CD, New String() {"対象の科歴情報", Nothing})
					Return False
				End If

				'登録状況チェック
				If Me.cliXSI010F010.fixCodeContainsCode(XSI010F010.Enum_CODE.regStatusImpNonUpd_ALL, dtNew.Rows(0).Item(sqlXSI010F010.itmREG_STATUS_CD).ToString()) = True Then
					cliOneCsvData.ERR_FLG = "1"
					cliOneCsvData.ERR_CD = "E0003"
					'登録状況が「完成」のため、更新できません。
					cliOneCsvData.MESSAGE = Me.cliClsMsg.getMessage(cliOneCsvData.ERR_CD, New String() {"登録状況が「完成」の", "更新", Nothing})
					Return False
				End If

				cliMTI_CARE.HSP_HISTORY_NO = dtNew.Rows(0).Item(sqlXSI010F010.itmHSP_HISTORY_NO).ToString()	'入退院歴番号
				cliMTI_CARE.CH_NO = dtNew.Rows(0).Item(sqlXSI010F010.itmCH_NO).ToString()					'科歴番号
			End Using

			'治療処置実施日が登録可能な範囲の日付かチェック
			If Me.chkStartDate_CARE(cliOneCsvData.PATIENT_NO, cliMTI_CARE.HSP_HISTORY_NO, cliMTI_CARE.CH_NO, cliOneCsvData.OPE_DT) = False Then
				cliOneCsvData.ERR_FLG = "1"
				cliOneCsvData.ERR_CD = "E0022"
				'治療処置実施日が登録可能範囲外です。
				cliOneCsvData.MESSAGE = Me.cliClsMsg.getMessage(cliOneCsvData.ERR_CD, New String() {"治療処置実施日が登録可能", Nothing})
				Return False
			End If

			'治療処置連番の取得
			Select Case cliOneCsvData.DATA_TYPE
				Case "A"
					'患者、入退院、科歴からMAX+1を取得
					pDb.setSQLDa(sqlXSI010F010.sqlSel_MTI_CARE_MAXNO)
					pDb.setParamDa(sqlXSI010F010.prmPATIENT_NO, clsDB.Enum_dbType.dbNVarChar)
					pDb.setParamDa(sqlXSI010F010.prmHSP_HISTORY_NO, clsDB.Enum_dbType.dbInt)
					pDb.setParamDa(sqlXSI010F010.prmCH_NO, clsDB.Enum_dbType.dbInt)
					pDb.setValDa(sqlXSI010F010.prmPATIENT_NO, cliOneCsvData.PATIENT_NO)
					pDb.setValDa(sqlXSI010F010.prmHSP_HISTORY_NO, cliMTI_CARE.HSP_HISTORY_NO)
					pDb.setValDa(sqlXSI010F010.prmCH_NO, cliMTI_CARE.CH_NO)
					Using dt As New DataTable()
						pDb.execQueryDa(dt)
						cliMTI_CARE.CARE_SERIAL_NO = dt.Rows(0).Item(0).ToString()
					End Using

					Dim arr As ArrayList = Nothing
					Try
						arr = Me.getMTI_CARE(cliOneCsvData.PATIENT_NO, cliMTI_CARE.HSP_HISTORY_NO, cliMTI_CARE.CH_NO, _
																		cliOneCsvData.ICD9CM_CD, cliOneCsvData.OPE_DT, cliOneCsvData.MAIN_DIV_CD, pDb)

						If arr.Count > 0 Then
							'動作環境の同一科歴内で同じICD9コードの治療処置連携
							Select Case clsSysMst.ctlEnvData.getEnv(datEnv.Enum_ENV.ENV_00036)
								Case CStr(clsConst.Enum_EqualDeptIcd9CareImp.AddCare) '追加
								Case CStr(clsConst.Enum_EqualDeptIcd9CareImp.RepCare) '置き換える
									cliMTI_CARE.CARE_SERIAL_NO = DirectCast(arr(0), datCARE).CARE_SERIAL_NO.ToString()

								Case CStr(clsConst.Enum_EqualDeptIcd9CareImp.NoRegCare)	'エラー
									cliOneCsvData.ERR_FLG = "1"
									cliOneCsvData.ERR_CD = "E0037"
									'治療処置情報のＩＣＤ9ＣＭコードが重複しています。
									cliOneCsvData.MESSAGE = Me.cliClsMsg.getMessage(cliOneCsvData.ERR_CD, New String() {"治療処置のＩＣＤ9ＣＭコード", Nothing})
									Return False

							End Select
						End If

					Finally
						If arr IsNot Nothing Then arr.Clear()
						arr = Nothing
					End Try


				Case "B"
					'削除後追加のため連番1を設定
					cliMTI_CARE.CARE_SERIAL_NO = "1"

			End Select

			'管理番号またはICD9CMコードから情報取得
			If String.IsNullOrEmpty(cliOneCsvData.MNG_NO) = False Then
				'管理番号から情報取得
				pDb.setSQLDa(sqlXSI010F010.sqlSel_MTM_OPE_NM)
				pDb.setParamDa(sqlXSI010F010.prmMNG_NO, clsDB.Enum_dbType.dbInt)
				pDb.setValDa(sqlXSI010F010.prmMNG_NO, cliOneCsvData.MNG_NO)

				Using dt As New DataTable()
					pDb.execQueryDa(dt)
					If dt.Rows.Count > 0 Then
						cliMTI_CARE.ICD9CM_CD = dt.Rows(0).Item(sqlXSI010F010.itmICD9CM1_CD).ToString()		'ICD9CMコード
						cliMTI_CARE.L_GRP_CD = dt.Rows(0).Item(sqlXSI010F010.itmL_GRP_CD).ToString()		'大分類コード
						cliMTI_CARE.M_GRP_CD = dt.Rows(0).Item(sqlXSI010F010.itmM_GRP_CD).ToString()		'中分類コード
						cliMTI_CARE.DIGS3_GRP_CD = dt.Rows(0).Item(sqlXSI010F010.itmDIGS3_GRP_CD).ToString() '３桁分類コード
						cliMTI_CARE.SCORE_CD = dt.Rows(0).Item(sqlXSI010F010.itmK_CD).ToString()			'点数表コード
						cliMTI_CARE.MNG_NO = dt.Rows(0).Item(sqlXSI010F010.itmMNG_NO).ToString()			'管理番号
						cliMTI_CARE.MNG_DIV = dt.Rows(0).Item(sqlXSI010F010.itmMNG_DIV).ToString()			'管理記号
					Else
						cliOneCsvData.ERR_FLG = "1"
						cliOneCsvData.ERR_CD = "E0036"
						'対応する手術が手術マスタに存在しません。
						cliOneCsvData.MESSAGE = Me.cliClsMsg.getMessage(cliOneCsvData.ERR_CD, New String() {"対応する手術が手術マスタ", Nothing})
						Return False
					End If
				End Using
				'管理番号空白時、初期値セット
				If String.IsNullOrEmpty(cliMTI_CARE.MNG_NO) = True Then
					cliMTI_CARE.MNG_NO = "0"
				End If
			ElseIf String.IsNullOrEmpty(cliOneCsvData.ICD9CM_CD) = False Then
				'ICD9CMコードから取得

				cliMTI_CARE.ICD9CM_CD = cliOneCsvData.ICD9CM_CD	 'ICD9CMコード
				'cliMTI_OPE.L_GRP_CD = ""                        '大分類コード
				'cliMTI_OPE.M_GRP_CD = ""                        '中分類コード
				If cliOneCsvData.ICD9CM_CD.Length > 2 Then
					'ICD9CMコードの先頭3桁をセット
					cliMTI_CARE.DIGS3_GRP_CD = cliOneCsvData.ICD9CM_CD.Substring(0, 3) '３桁分類コード
				End If
				cliMTI_CARE.MNG_NO = "0"			'管理番号
				cliMTI_CARE.MNG_DIV = String.Empty	'管理記号
				cliMTI_CARE.SCORE_CD = cliOneCsvData.K_CD '点数表コード

				pDb.setSQLDa(sqlXSI010F010.sqlSel_MTM_OPE_3DIG_GRP_NM)
				pDb.setParamDa(sqlXSI010F010.prmM_GRP_CD, clsDB.Enum_dbType.dbNVarChar)
				pDb.setValDa(sqlXSI010F010.prmM_GRP_CD, cliOneCsvData.ICD9CM_CD.PadRight(2).Substring(0, 2).Trim())
				Using dt As New DataTable()
					pDb.execQueryDa(dt)
					If dt.Rows.Count > 0 Then
						cliMTI_CARE.L_GRP_CD = dt.Rows(0).Item(sqlXSI010F010.itmL_GRP_CD).ToString()		'大分類コード
						cliMTI_CARE.M_GRP_CD = dt.Rows(0).Item(sqlXSI010F010.itmM_GRP_CD).ToString()		'中分類コード
					End If
				End Using
			End If

			'治療処置区分
			If String.IsNullOrEmpty(cliOneCsvData.MAIN_DIV_CD) = False Then
				'CSVの内容を設定
				cliMTI_CARE.CARE_DIV = cliOneCsvData.MAIN_DIV_CD
			Else
				'空ならデフォルト区分設定
				cliMTI_CARE.CARE_DIV = Me.cliXSI010F010.fixCode(XSI010F010.Enum_CODE.careDivInitDisplay)
			End If

			cliMTI_CARE.PATIENT_NO = cliOneCsvData.PATIENT_NO				'患者番号
			cliMTI_CARE.CARE_NM = cliOneCsvData.OPE_NM						'治療処置名
			cliMTI_CARE.CARE_DT = cliOneCsvData.OPE_DT						'実施日
			cliMTI_CARE.ASST_DIV = cliOneCsvData.ASST_DIV1					'補助区分コード
			cliMTI_CARE.REMARKS1 = cliOneCsvData.REMARKS1					'備考１
			cliMTI_CARE.REMARKS2 = cliOneCsvData.REMARKS2					'備考２
			cliMTI_CARE.HSP_OPE_CD = cliOneCsvData.HSP_OPE_CD				'院内手術コード

			Return True
		Catch ex As Exception
			Throw
		Finally
			'解放
			patientBirthday = Nothing
		End Try
	End Function

	''' ---------------------------------------------
	''' <summary>
	''' 【手術】CSVチェック処理
	''' </summary>
	''' <param name="cliOneCsvData">連携ファイル1行データ</param>
	''' <returns>True:エラー無/False:エラー有</returns>
	''' <remarks>
	''' 2010/10/28 新規作成　ACS)牟禮<BR/>
	''' </remarks>
	''' ---------------------------------------------
	Private Function chkCSV(ByVal cliOneCsvData As clsXSI_MTT_IMP_LOG_OPE) As Boolean
		clsSysMst.logEx(clsSysMst.logLevel.DBG, "XSI", Me.GetType().Name, MethodBase.GetCurrentMethod().Name, "システム連携", "手術連携", "【手術】CSVチェック処理 Start")
		Dim disit As List(Of Integer) = Nothing
		Dim oneCsv As List(Of String) = Nothing
		Dim dataTypePattern() As Char				'データ種別パターン
		Dim infoDivPattern() As Char				'情報区分パターン
		Try
			oneCsv = New List(Of String)
			'データ種別パターン
			dataTypePattern = New Char() {"A"c, "B"c}
			'情報区分パターン
			infoDivPattern = New Char() {"S"c, "K"c, "T"c}

			'取り込んだデータをワーカーに設定
			oneCsv.Add(cliOneCsvData.DATA_TYPE)				   'データ種別
			oneCsv.Add(cliOneCsvData.PATIENT_NO)			   '患者番号
			oneCsv.Add(cliOneCsvData.DEPT_CD)				   '診療科コード
			oneCsv.Add(cliOneCsvData.HSP_DT)				   '入院日（開始日）
			oneCsv.Add(cliOneCsvData.INFO_DIV)				   '情報区分
			oneCsv.Add(cliOneCsvData.ICD9CM_CD)				   'ＩＣＤ９ＣＭコード
			oneCsv.Add(cliOneCsvData.K_CD)					   '点数表コード
			oneCsv.Add(cliOneCsvData.MAIN_DIV_CD)			   '手術/検査/治療処置 区分コード
			oneCsv.Add(cliOneCsvData.OPE_NM)				   '手術/検査/治療処置 名
			oneCsv.Add(cliOneCsvData.OPE_DT)				   '開始(実施)日
			oneCsv.Add(cliOneCsvData.OPE_TIME)				   '開始時刻
			oneCsv.Add(cliOneCsvData.END_DT)				   '終了日
			oneCsv.Add(cliOneCsvData.END_TIME)				   '終了時刻
			oneCsv.Add(cliOneCsvData.PLAN_EMERGENCY_CD)		   '手術予定緊急区分コード
			oneCsv.Add(cliOneCsvData.TIME_OUT_FLG)			   '時間外フラグ
			oneCsv.Add(cliOneCsvData.ASA_PS_GRP_CD)			   'ＡＳＡ＿ＰＳコード
			oneCsv.Add(cliOneCsvData.ANESTHESIA_DIV1)		   '麻酔区分コード１
			oneCsv.Add(cliOneCsvData.ANESTHESIA_TIME)		   '麻酔時間
			oneCsv.Add(cliOneCsvData.ANESTHESIA_DIV2)		   '麻酔区分コード２
			oneCsv.Add(cliOneCsvData.BLEEDING_VOLUME)		   '出血量
			oneCsv.Add(cliOneCsvData.BLOOD_TRAN_VOLUME)		   '輸血量
			oneCsv.Add(cliOneCsvData.AFTER_OPE_CMPC_CHK)	   '術後合併症有無コード
			oneCsv.Add(cliOneCsvData.OPE_COUNT_CD)			   '手術回数コード
			oneCsv.Add(cliOneCsvData.OPE_PART_CD)			   '手術側数コード
			oneCsv.Add(cliOneCsvData.ASST_DIV1)				   '補助区分コード１
			oneCsv.Add(cliOneCsvData.ASST_DIV2)				   '補助区分コード２
			oneCsv.Add(cliOneCsvData.SPT_DISEASE_ICD10_CD)	   '対応病名ICD10コード
			oneCsv.Add(cliOneCsvData.SPT_DISEASE_NM)		   '対応病名
			oneCsv.Add(cliOneCsvData.OPE_DOCTOR_DIV1)		   '手術医師区分コード１
			oneCsv.Add(cliOneCsvData.DOCTOR_CD1)			   '医師コード１
			oneCsv.Add(cliOneCsvData.OPE_DOCTOR_DIV2)		   '手術医師区分コード２
			oneCsv.Add(cliOneCsvData.DOCTOR_CD2)			   '医師コード２
			oneCsv.Add(cliOneCsvData.OPE_DOCTOR_DIV3)		   '手術医師区分コード３
			oneCsv.Add(cliOneCsvData.DOCTOR_CD3)			   '医師コード３
			oneCsv.Add(cliOneCsvData.OPE_DOCTOR_DIV4)		   '手術医師区分コード４
			oneCsv.Add(cliOneCsvData.DOCTOR_CD4)			   '医師コード４
			oneCsv.Add(cliOneCsvData.OPE_DOCTOR_DIV5)		   '手術医師区分コード５
			oneCsv.Add(cliOneCsvData.DOCTOR_CD5)			   '医師コード５
			oneCsv.Add(cliOneCsvData.OPE_DOCTOR_DIV6)		   '手術医師区分コード６
			oneCsv.Add(cliOneCsvData.DOCTOR_CD6)			   '医師コード６
			oneCsv.Add(cliOneCsvData.OPE_DOCTOR_DIV7)		   '手術医師区分コード７
			oneCsv.Add(cliOneCsvData.DOCTOR_CD7)			   '医師コード７
			oneCsv.Add(cliOneCsvData.OPE_DOCTOR_DIV8)		   '手術医師区分コード８
			oneCsv.Add(cliOneCsvData.DOCTOR_CD8)			   '医師コード８
			oneCsv.Add(cliOneCsvData.OPE_DOCTOR_DIV9)		   '手術医師区分コード９
			oneCsv.Add(cliOneCsvData.DOCTOR_CD9)			   '医師コード９
			oneCsv.Add(cliOneCsvData.OPE_DOCTOR_DIV10)		   '手術医師区分コード１０
			oneCsv.Add(cliOneCsvData.DOCTOR_CD10)			   '医師コード１０
			oneCsv.Add(cliOneCsvData.REMARKS1)				   '備考１
			oneCsv.Add(cliOneCsvData.REMARKS2)				   '備考２
			oneCsv.Add(cliOneCsvData.HSP_OPE_CD)			   '院内手術コード
			oneCsv.Add(cliOneCsvData.MNG_NO)				   '管理番号

			'桁数チェック
			disit = Me.setInputDisit()
			If Me.chkCsvDisit(oneCsv, disit, cliOneCsvData.ERR_FLG, cliOneCsvData.ERR_CD, cliOneCsvData.MESSAGE) = False Then
				Return False
			End If

			'CSV内チェック
			Dim bRequired As Boolean = False
			For idx As Integer = 0 To oneCsv.Count - 1
				bRequired = False
				'必須チェックが必要な項目か判断
				Select Case idx
					Case 0, 1, 4, 7, 8 : bRequired = True
					Case 5
						'管理番号未入力時必須
						If String.IsNullOrEmpty(cliOneCsvData.MNG_NO) = True Then bRequired = True
					Case 9
						'手術時必須
						If cliOneCsvData.INFO_DIV = "S" Then bRequired = True
						'動作環境の検査実施日登録可能範囲
						If cliOneCsvData.INFO_DIV = "K" AndAlso clsSysMst.ctlEnvData.getEnv(datEnv.Enum_ENV.ENV_00070) <> CStr(clsConst.Enum_TestDtRange.NoCheck) Then bRequired = True
						'動作環境の治療処置実施日登録可能範囲
						If cliOneCsvData.INFO_DIV = "T" AndAlso clsSysMst.ctlEnvData.getEnv(datEnv.Enum_ENV.ENV_00069) <> CStr(clsConst.Enum_CareDtRange.NoCheck) Then bRequired = True
					Case 51
						'ICD9CM_CD未入力時必須
						If String.IsNullOrEmpty(cliOneCsvData.ICD9CM_CD) = True Then bRequired = True

					Case Else : bRequired = False
				End Select
				'必須チェック
				If bRequired = True AndAlso Me.chkCsvRequiredItem(oneCsv(idx), cliOneCsvData.ERR_FLG, cliOneCsvData.ERR_CD, cliOneCsvData.MESSAGE) = False Then
					Return False
				Else
					Select Case idx
						Case 0 'データ種別
							If Me.chkCsvDATA_TYPE(oneCsv(idx), dataTypePattern, cliOneCsvData.ERR_FLG, cliOneCsvData.ERR_CD, cliOneCsvData.MESSAGE) = False Then
								Return False
							End If


						Case 1 '患者番号
							If Me.chkCsvPATIENT_NO(oneCsv(idx), cliOneCsvData.ERR_FLG, cliOneCsvData.ERR_CD, cliOneCsvData.MESSAGE) = False Then
								Return False
							End If

						Case 4 '情報区分
							If oneCsv(idx).IndexOfAny(infoDivPattern) <> 0 Then
								cliOneCsvData.ERR_FLG = "1"
								cliOneCsvData.ERR_CD = "E0035"
								'情報区分が不正です。
								cliOneCsvData.MESSAGE = Me.cliClsMsg.getMessage(cliOneCsvData.ERR_CD, New String() {"情報区分", Nothing})
								Return False
							End If

						Case 3, 9, 11 '日付チェック
							If Me.chkCsvDate(oneCsv(idx), cliOneCsvData.ERR_FLG, cliOneCsvData.ERR_CD, cliOneCsvData.MESSAGE) = False Then
								Return False
							End If

						Case 10, 12	'時刻チェック
							If Me.chkCsvTime(oneCsv(idx), cliOneCsvData.ERR_FLG, cliOneCsvData.ERR_CD, cliOneCsvData.MESSAGE) = False Then
								Return False
							End If

						Case 19, 20	'数値チェック
							'手術の連携時のみチェック
							If cliOneCsvData.INFO_DIV = "S" AndAlso Me.chkCsvNum(oneCsv(idx), cliOneCsvData.ERR_FLG, cliOneCsvData.ERR_CD, cliOneCsvData.MESSAGE) = False Then
								Return False
							End If

						Case 49, 51	'数値チェック
							If Me.chkCsvNum(oneCsv(idx), cliOneCsvData.ERR_FLG, cliOneCsvData.ERR_CD, cliOneCsvData.MESSAGE) = False Then
								Return False
							End If

					End Select
				End If
			Next

			Return True
		Catch ex As Exception
			Throw
		Finally
			'解放
			If disit IsNot Nothing Then disit.Clear()
			disit = Nothing
			If oneCsv IsNot Nothing Then oneCsv.Clear()
			oneCsv = Nothing
			dataTypePattern = Nothing
			infoDivPattern = Nothing
		End Try
	End Function

	''' ---------------------------------------------
	''' <summary>
	''' 【手術】桁数定義
	''' </summary>
	''' <returns>桁数リスト</returns>
	''' <remarks>
	''' 2010/10/27 新規作成 ACS)牟禮<BR/>
	''' </remarks>
	''' ---------------------------------------------
	Private Function setInputDisit() As List(Of Integer)
		clsSysMst.logEx(clsSysMst.logLevel.DBG, "XSI", Me.GetType().Name, MethodBase.GetCurrentMethod().Name, "システム連携", "手術連携", "【手術】桁数定義 Start")
		Dim disit As List(Of Integer) = Nothing
		Try
			disit = New List(Of Integer)

			disit.Add(1)	   'データ種別
			disit.Add(10)	   '患者番号
			disit.Add(2)	   '診療科コード
			disit.Add(10)	   '入院日（開始日）
			disit.Add(1)	   '情報区分
			disit.Add(5)	   'ＩＣＤ９ＣＭコード
			disit.Add(10)	   '点数表コード
			disit.Add(2)	   '手術/検査/治療処置 区分コード
			disit.Add(80)	   '手術/検査/治療処置 名
			disit.Add(10)	   '開始(実施)日
			disit.Add(5)	   '開始時刻
			disit.Add(10)	   '終了日
			disit.Add(5)	   '終了時刻
			disit.Add(2)	   '手術予定緊急区分コード
			disit.Add(1)	   '時間外フラグ
			disit.Add(2)	   'ＡＳＡ＿ＰＳコード
			disit.Add(2)	   '麻酔区分コード１
			disit.Add(5)	   '麻酔時間
			disit.Add(2)	   '麻酔区分コード２
			disit.Add(10)	   '出血量(@@整数)
			disit.Add(10)	   '輸血量(@@整数)
			disit.Add(1)	   '術後合併症有無コード
			disit.Add(2)	   '手術回数コード
			disit.Add(2)	   '手術側数コード
			disit.Add(2)	   '補助区分コード１
			disit.Add(2)	   '補助区分コード２
			disit.Add(6)	   '対応病名ICD10コード
			disit.Add(50)	   '対応病名
			disit.Add(2)	   '手術医師区分コード１
			disit.Add(8)	   '医師コード１
			disit.Add(2)	   '手術医師区分コード２
			disit.Add(8)	   '医師コード２
			disit.Add(2)	   '手術医師区分コード３
			disit.Add(8)	   '医師コード３
			disit.Add(2)	   '手術医師区分コード４
			disit.Add(8)	   '医師コード４
			disit.Add(2)	   '手術医師区分コード５
			disit.Add(8)	   '医師コード５
			disit.Add(2)	   '手術医師区分コード６
			disit.Add(8)	   '医師コード６
			disit.Add(2)	   '手術医師区分コード７
			disit.Add(8)	   '医師コード７
			disit.Add(2)	   '手術医師区分コード８
			disit.Add(8)	   '医師コード８
			disit.Add(2)	   '手術医師区分コード９
			disit.Add(8)	   '医師コード９
			disit.Add(2)	   '手術医師区分コード１０
			disit.Add(8)	   '医師コード１０
			disit.Add(10)	   '備考１
			disit.Add(10)	   '備考２(@@ float)
			disit.Add(10)	   '院内手術コード
			disit.Add(10)	   '管理番号(@@整数)
			disit.Add(1)	   '　―――
			disit.Add(1)	   '　―――
			disit.Add(1)	   '　―――
			disit.Add(1)	   '　―――
			disit.Add(1)	   '　―――
			disit.Add(1)	   '　―――
			disit.Add(1)	   '　―――
			disit.Add(1)	   '　―――

			Return disit
		Catch ex As Exception
			Throw
		End Try
	End Function

	''' ---------------------------------------------
	''' <summary>
	''' 【手術】V3レイアウト変換
	''' </summary>
	''' <param name="oneCsv">連携ファイル1行データ</param>
	''' <param name="cliOneCsvData">ログ書込データ</param>
	''' <remarks>
	''' 2010/10/27 新規作成 ACS)牟禮<BR/>
	''' </remarks>
	''' ---------------------------------------------
	Private Sub setV3Cls(ByVal oneCsv() As String, ByVal cliOneCsvData As clsXSI_MTT_IMP_LOG_OPE)
		clsSysMst.logEx(clsSysMst.logLevel.DBG, "XSI", Me.GetType().Name, MethodBase.GetCurrentMethod().Name, "システム連携", "手術連携", "【手術】V3レイアウト変換 Start")
		Try
			'初期化
			cliOneCsvData.clear()

			cliOneCsvData.DATA_TYPE = oneCsv(0)				   'データ種別
			cliOneCsvData.PATIENT_NO = oneCsv(1)			   '患者番号
			cliOneCsvData.DEPT_CD = oneCsv(2)				   '診療科コード
			cliOneCsvData.HSP_DT = oneCsv(3)				   '入院日（開始日）
			cliOneCsvData.INFO_DIV = oneCsv(4)				   '情報区分
			cliOneCsvData.ICD9CM_CD = oneCsv(5)				   'ＩＣＤ９ＣＭコード
			cliOneCsvData.MAIN_DIV_CD = oneCsv(6)			   '手術/検査/治療処置 区分コード
			cliOneCsvData.OPE_NM = oneCsv(7)				   '手術/検査/治療処置 名
			cliOneCsvData.OPE_DT = oneCsv(8)				   '開始(実施)日
			If cliOneCsvData.INFO_DIV = "S" Then
				'手術のみ設定
				cliOneCsvData.OPE_TIME = oneCsv(9)				   '開始時刻
				cliOneCsvData.END_DT = oneCsv(10)				   '終了日
				cliOneCsvData.END_TIME = oneCsv(11)				   '終了時刻
				cliOneCsvData.OPE_COUNT_CD = oneCsv(12)			   '手術回数コード
				cliOneCsvData.OPE_PART_CD = oneCsv(13)			   '手術側数コード
			End If
			cliOneCsvData.ASST_DIV1 = oneCsv(14)			   '補助区分コード１
			If cliOneCsvData.INFO_DIV = "S" Then
				'手術のみ設定
				cliOneCsvData.ASST_DIV2 = oneCsv(15)			   '補助区分コード２
			End If
			cliOneCsvData.REMARKS1 = oneCsv(16)				   '備考１
			cliOneCsvData.REMARKS2 = oneCsv(17)				   '備考２
			cliOneCsvData.K_CD = oneCsv(18)					   '点数表コード
			cliOneCsvData.MNG_NO = oneCsv(19)				   '管理番号

			If cliOneCsvData.INFO_DIV = "S" Then
				'手術のみ設定
				cliOneCsvData.ANESTHESIA_DIV1 = oneCsv(20)		   '麻酔区分コード１
				cliOneCsvData.ANESTHESIA_TIME = oneCsv(21)		   '全身麻酔時間
				cliOneCsvData.ANESTHESIA_DIV2 = oneCsv(22)		   '麻酔区分コード２
				cliOneCsvData.OPE_DOCTOR_DIV1 = oneCsv(23)		   '手術医師区分コード１
				cliOneCsvData.DOCTOR_CD1 = oneCsv(24)			   '医師コード１
				cliOneCsvData.OPE_DOCTOR_DIV2 = oneCsv(25)		   '手術医師区分コード２
				cliOneCsvData.DOCTOR_CD2 = oneCsv(26)			   '医師コード２
				cliOneCsvData.OPE_DOCTOR_DIV3 = oneCsv(27)		   '手術医師区分コード３
				cliOneCsvData.DOCTOR_CD3 = oneCsv(28)			   '医師コード３
				cliOneCsvData.OPE_DOCTOR_DIV4 = oneCsv(29)		   '手術医師区分コード４
				cliOneCsvData.DOCTOR_CD4 = oneCsv(30)			   '医師コード４
				cliOneCsvData.OPE_DOCTOR_DIV5 = oneCsv(31)		   '手術医師区分コード５
				cliOneCsvData.DOCTOR_CD5 = oneCsv(32)			   '医師コード５
				Select Case oneCsv.Length
					Case ENUM_CSV_CNT.V3
						cliOneCsvData.AFTER_OPE_CMPC_CHK = oneCsv(33)	'術後合併症有無コード
				End Select

			End If
			Select Case oneCsv.Length
				Case ENUM_CSV_CNT.V3
					cliOneCsvData.HSP_OPE_CD = oneCsv(34)			   '院内手術コード
					If cliOneCsvData.INFO_DIV = "S" Then
						'手術のみ設定
						cliOneCsvData.OPE_DOCTOR_DIV6 = oneCsv(35)		   '手術医師区分コード６
						cliOneCsvData.DOCTOR_CD6 = oneCsv(36)			   '医師コード６
						cliOneCsvData.OPE_DOCTOR_DIV7 = oneCsv(37)		   '手術医師区分コード７
						cliOneCsvData.DOCTOR_CD7 = oneCsv(38)			   '医師コード７
						cliOneCsvData.OPE_DOCTOR_DIV8 = oneCsv(39)		   '手術医師区分コード８
						cliOneCsvData.DOCTOR_CD8 = oneCsv(40)			   '医師コード８
						cliOneCsvData.OPE_DOCTOR_DIV9 = oneCsv(41)		   '手術医師区分コード９
						cliOneCsvData.DOCTOR_CD9 = oneCsv(42)			   '医師コード９
						cliOneCsvData.OPE_DOCTOR_DIV10 = oneCsv(43)		   '手術医師区分コード１０
						cliOneCsvData.DOCTOR_CD10 = oneCsv(44)			   '医師コード１０
						cliOneCsvData.SPT_DISEASE_ICD10_CD = oneCsv(45)	   '対応病名ICD10コード
						cliOneCsvData.SPT_DISEASE_NM = oneCsv(46)		   '対応病名
					End If
			End Select
			'cliOneCsvData.SPARE01 = oneCsv(47)                 '　―――
			'cliOneCsvData.SPARE02 = oneCsv(48)                 '　―――
			'cliOneCsvData.SPARE03 = oneCsv(49)                 '　―――
			'cliOneCsvData.SPARE04 = oneCsv(50)                 '　―――
			'cliOneCsvData.SPARE05 = oneCsv(51)                 '　―――
			'cliOneCsvData.SPARE06 = oneCsv(52)                 '　―――
			'cliOneCsvData.SPARE07 = oneCsv(53)                 '　―――
			'cliOneCsvData.SPARE08 = oneCsv(54)                 '　―――

			cliOneCsvData.PLAN_EMERGENCY_CD = String.Empty		'手術予定緊急区分コード(V3無し)
			cliOneCsvData.TIME_OUT_FLG = String.Empty			'時間外フラグ(V3無し)
			cliOneCsvData.ASA_PS_GRP_CD = String.Empty			'ＡＳＡ＿ＰＳコード(V3無し)
			cliOneCsvData.BLEEDING_VOLUME = "0"					'出血量(V3無し)
			cliOneCsvData.BLOOD_TRAN_VOLUME = "0"				'輸血量(V3無し)

		Catch ex As Exception
			Throw
		End Try
	End Sub

	''' ---------------------------------------------
	''' <summary>
	''' 【手術】V4レイアウト変換
	''' </summary>
	''' <param name="oneCsv">連携ファイル1行データ</param>
	''' <param name="cliOneCsvData">ログ書込データ</param>
	''' <remarks>
	''' 2010/10/27 新規作成 ACS)牟禮<BR/>
	''' </remarks>
	''' ---------------------------------------------
	Private Sub setV4Cls(ByVal oneCsv() As String, ByVal cliOneCsvData As clsXSI_MTT_IMP_LOG_OPE)
		clsSysMst.logEx(clsSysMst.logLevel.DBG, "XSI", Me.GetType().Name, MethodBase.GetCurrentMethod().Name, "システム連携", "手術連携", "【手術】V4レイアウト変換 Start")
		Try
			'初期化
			cliOneCsvData.clear()

			cliOneCsvData.DATA_TYPE = oneCsv(0)				   'データ種別
			cliOneCsvData.PATIENT_NO = oneCsv(1)			   '患者番号
			cliOneCsvData.DEPT_CD = oneCsv(2)				   '診療科コード
			cliOneCsvData.HSP_DT = oneCsv(3)				   '入院日（開始日）
			cliOneCsvData.INFO_DIV = oneCsv(4)				   '情報区分
			cliOneCsvData.ICD9CM_CD = oneCsv(5)				   'ＩＣＤ９ＣＭコード
			cliOneCsvData.K_CD = oneCsv(6)					   '点数表コード
			cliOneCsvData.MAIN_DIV_CD = oneCsv(7)			   '手術/検査/治療処置 区分コード
			cliOneCsvData.OPE_NM = oneCsv(8)				   '手術/検査/治療処置 名
			cliOneCsvData.OPE_DT = oneCsv(9)				   '開始(実施)日
			If cliOneCsvData.INFO_DIV = "S" Then
				'手術のみ設定
				cliOneCsvData.OPE_TIME = oneCsv(10)				   '開始時刻
				cliOneCsvData.END_DT = oneCsv(11)				   '終了日
				cliOneCsvData.END_TIME = oneCsv(12)				   '終了時刻
				cliOneCsvData.PLAN_EMERGENCY_CD = oneCsv(13)	   '手術予定緊急区分コード
				cliOneCsvData.TIME_OUT_FLG = oneCsv(14)			   '時間外フラグ
				cliOneCsvData.ASA_PS_GRP_CD = oneCsv(15)		   'ＡＳＡ＿ＰＳコード
				cliOneCsvData.ANESTHESIA_DIV1 = oneCsv(16)		   '麻酔区分コード１
				cliOneCsvData.ANESTHESIA_TIME = oneCsv(17)		   '麻酔時間
				cliOneCsvData.ANESTHESIA_DIV2 = oneCsv(18)		   '麻酔区分コード２
				cliOneCsvData.BLEEDING_VOLUME = oneCsv(19)		   '出血量
				cliOneCsvData.BLOOD_TRAN_VOLUME = oneCsv(20)	   '輸血量
				cliOneCsvData.AFTER_OPE_CMPC_CHK = oneCsv(21)	   '術後合併症有無コード
				cliOneCsvData.OPE_COUNT_CD = oneCsv(22)			   '手術回数コード
				cliOneCsvData.OPE_PART_CD = oneCsv(23)			   '手術側数コード
			End If
			cliOneCsvData.ASST_DIV1 = oneCsv(24)			   '補助区分コード１
			If cliOneCsvData.INFO_DIV = "S" Then
				'手術のみ設定
				cliOneCsvData.ASST_DIV2 = oneCsv(25)			   '補助区分コード２
				cliOneCsvData.SPT_DISEASE_ICD10_CD = oneCsv(26)	   '対応病名ICD10コード
				cliOneCsvData.SPT_DISEASE_NM = oneCsv(27)		   '対応病名
				cliOneCsvData.OPE_DOCTOR_DIV1 = oneCsv(28)		   '手術医師区分コード１
				cliOneCsvData.DOCTOR_CD1 = oneCsv(29)			   '医師コード１
				cliOneCsvData.OPE_DOCTOR_DIV2 = oneCsv(30)		   '手術医師区分コード２
				cliOneCsvData.DOCTOR_CD2 = oneCsv(31)			   '医師コード２
				cliOneCsvData.OPE_DOCTOR_DIV3 = oneCsv(32)		   '手術医師区分コード３
				cliOneCsvData.DOCTOR_CD3 = oneCsv(33)			   '医師コード３
				cliOneCsvData.OPE_DOCTOR_DIV4 = oneCsv(34)		   '手術医師区分コード４
				cliOneCsvData.DOCTOR_CD4 = oneCsv(35)			   '医師コード４
				cliOneCsvData.OPE_DOCTOR_DIV5 = oneCsv(36)		   '手術医師区分コード５
				cliOneCsvData.DOCTOR_CD5 = oneCsv(37)			   '医師コード５
				cliOneCsvData.OPE_DOCTOR_DIV6 = oneCsv(38)		   '手術医師区分コード６
				cliOneCsvData.DOCTOR_CD6 = oneCsv(39)			   '医師コード６
				cliOneCsvData.OPE_DOCTOR_DIV7 = oneCsv(40)		   '手術医師区分コード７
				cliOneCsvData.DOCTOR_CD7 = oneCsv(41)			   '医師コード７
				cliOneCsvData.OPE_DOCTOR_DIV8 = oneCsv(42)		   '手術医師区分コード８
				cliOneCsvData.DOCTOR_CD8 = oneCsv(43)			   '医師コード８
				cliOneCsvData.OPE_DOCTOR_DIV9 = oneCsv(44)		   '手術医師区分コード９
				cliOneCsvData.DOCTOR_CD9 = oneCsv(45)			   '医師コード９
				cliOneCsvData.OPE_DOCTOR_DIV10 = oneCsv(46)		   '手術医師区分コード１０
				cliOneCsvData.DOCTOR_CD10 = oneCsv(47)			   '医師コード１０
			End If
			cliOneCsvData.REMARKS1 = oneCsv(48)				   '備考１
			cliOneCsvData.REMARKS2 = oneCsv(49)				   '備考２
			cliOneCsvData.HSP_OPE_CD = oneCsv(50)			   '院内手術コード
			cliOneCsvData.MNG_NO = oneCsv(51)				   '管理番号
			'cliOneCsvData.SPARE01 = oneCsv(52)                 '　―――
			'cliOneCsvData.SPARE02 = oneCsv(53)                 '　―――
			'cliOneCsvData.SPARE03 = oneCsv(54)                 '　―――
			'cliOneCsvData.SPARE04 = oneCsv(55)                 '　―――
			'cliOneCsvData.SPARE05 = oneCsv(56)                 '　―――
			'cliOneCsvData.SPARE06 = oneCsv(57)                 '　―――
			'cliOneCsvData.SPARE07 = oneCsv(58)                 '　―――
			'cliOneCsvData.SPARE08 = oneCsv(59)                 '　―――


		Catch ex As Exception
			Throw
		End Try
	End Sub

	''' ---------------------------------------------
	''' <summary>
	''' 【手術】実施日が登録可能範囲かチェック[手術]
	''' </summary>
	''' <param name="patientNo">患者番号</param>
	''' <param name="hspHistoryNo">入退院歴番号</param>
	''' <param name="chNo">科歴番号</param>
	''' <param name="startDt">チェック対象日</param>
	''' <returns>True:範囲内/False:範囲外</returns>
	''' <remarks>
	''' 2010/10/27 新規作成 ACS)牟禮<BR/>
	''' </remarks>
	''' ---------------------------------------------
	Private Function chkStartDate_OPE(ByVal patientNo As String, ByVal hspHistoryNo As String, ByVal chNo As String, ByVal startDt As String) As Boolean
		clsSysMst.logEx(clsSysMst.logLevel.DBG, "XSI", Me.GetType().Name, MethodBase.GetCurrentMethod().Name, "システム連携", "手術連携", "【手術】実施日が登録可能範囲かチェック[手術] Start")
		Dim startDate As String = String.Empty	 '範囲開始
		Dim endDate As String = String.Empty	 '範囲終了
		Try
			'比較する日付が日付ではない場合、範囲内として終了
			If IsDate(startDt) = False Then Return True

			'動作環境の手術実施日登録可能範囲
			Select Case clsSysMst.ctlEnvData.getEnv(datEnv.Enum_ENV.ENV_00067)
				Case CStr(clsConst.Enum_DiseaseDtRange.StartEnd)
					'科歴の開始日～終了日
					Using db As New clsDB(clsSysMst.ctlConfigData)
						'対象科歴の開始日、終了日を取得
						db.setSQLDa(sqlXSI010F010.sqlSel_MTI_CH)
						db.setParamDa(sqlXSI010F010.prmPATIENT_NO, clsDB.Enum_dbType.dbNVarChar)
						db.setParamDa(sqlXSI010F010.prmHSP_HISTORY_NO, clsDB.Enum_dbType.dbInt)
						db.setParamDa(sqlXSI010F010.prmCH_NO, clsDB.Enum_dbType.dbInt)
						db.setValDa(sqlXSI010F010.prmPATIENT_NO, patientNo)
						db.setValDa(sqlXSI010F010.prmHSP_HISTORY_NO, hspHistoryNo)
						db.setValDa(sqlXSI010F010.prmCH_NO, chNo)
						Using dt As New DataTable()
							db.execQueryDa(dt)
							If dt.Rows.Count > 0 Then
								startDate = dt.Rows(0).Item(sqlXSI010F010.itmSTART_DT).ToString()
								endDate = dt.Rows(0).Item(sqlXSI010F010.itmEND_DT).ToString()
							End If
						End Using
					End Using
				Case CStr(clsConst.Enum_DiseaseDtRange.HspOut)
					'入退院情報の入院日～退院日
					'対象入退院情報の入院日、退院日を取得
					Using db As New clsDB(clsSysMst.ctlConfigData)
						db.setSQLDa(sqlXSI010F010.sqlSel_MTI_HSP)
						db.setParamDa(sqlXSI010F010.prmPATIENT_NO, clsDB.Enum_dbType.dbNVarChar)
						db.setParamDa(sqlXSI010F010.prmHSP_HISTORY_NO, clsDB.Enum_dbType.dbInt)
						db.setValDa(sqlXSI010F010.prmPATIENT_NO, patientNo)
						db.setValDa(sqlXSI010F010.prmHSP_HISTORY_NO, hspHistoryNo)
						Using dt As New DataTable()
							db.execQueryDa(dt)
							If dt.Rows.Count > 0 Then
								startDate = dt.Rows(0).Item(sqlXSI010F010.itmHSP_DT).ToString()
								endDate = dt.Rows(0).Item(sqlXSI010F010.itmOUT_HSP_DT).ToString()
							End If
						End Using
					End Using

			End Select

			'範囲内か比較
			'開始日、入院日
			If String.IsNullOrEmpty(startDate) = True Then
			ElseIf Me.dateCompare(startDate, startDt) > 0 Then
				Return False
			End If
			'終了日、退院日
			If String.IsNullOrEmpty(endDate) = True Then
			ElseIf Me.dateCompare(endDate, startDt) < 0 Then
				Return False
			End If
			Return True
		Catch ex As Exception
			Throw
		Finally
			'解放
			startDate = Nothing
			endDate = Nothing
		End Try
	End Function

	''' ---------------------------------------------
	''' <summary>
	''' 【手術】実施日が登録可能範囲かチェック[検査]
	''' </summary>
	''' <param name="patientNo">患者番号</param>
	''' <param name="hspHistoryNo">入退院歴番号</param>
	''' <param name="chNo">科歴番号</param>
	''' <param name="startDt">チェック対象日</param>
	''' <returns>True:範囲内/False:範囲外</returns>
	''' <remarks>
	''' 2010/10/27 新規作成 ACS)牟禮<BR/>
	''' </remarks>
	''' ---------------------------------------------
	Private Function chkStartDate_TEST(ByVal patientNo As String, ByVal hspHistoryNo As String, ByVal chNo As String, ByVal startDt As String) As Boolean
		clsSysMst.logEx(clsSysMst.logLevel.DBG, "XSI", Me.GetType().Name, MethodBase.GetCurrentMethod().Name, "システム連携", "手術連携", "【手術】実施日が登録可能範囲かチェック[検査] Start")
		Dim startDate As String = String.Empty	 '範囲開始
		Dim endDate As String = String.Empty	 '範囲終了
		Try
			'比較する日付が日付ではない場合、範囲内として終了
			If IsDate(startDt) = False Then Return True

			'動作環境の検査実施日登録可能範囲
			Select Case clsSysMst.ctlEnvData.getEnv(datEnv.Enum_ENV.ENV_00070)
				Case CStr(clsConst.Enum_TestDtRange.StartEnd)
					'科歴の開始日～終了日
					Using db As New clsDB(clsSysMst.ctlConfigData)
						'対象科歴の開始日、終了日を取得
						db.setSQLDa(sqlXSI010F010.sqlSel_MTI_CH)
						db.setParamDa(sqlXSI010F010.prmPATIENT_NO, clsDB.Enum_dbType.dbNVarChar)
						db.setParamDa(sqlXSI010F010.prmHSP_HISTORY_NO, clsDB.Enum_dbType.dbInt)
						db.setParamDa(sqlXSI010F010.prmCH_NO, clsDB.Enum_dbType.dbInt)
						db.setValDa(sqlXSI010F010.prmPATIENT_NO, patientNo)
						db.setValDa(sqlXSI010F010.prmHSP_HISTORY_NO, hspHistoryNo)
						db.setValDa(sqlXSI010F010.prmCH_NO, chNo)
						Using dt As New DataTable()
							db.execQueryDa(dt)
							If dt.Rows.Count > 0 Then
								startDate = dt.Rows(0).Item(sqlXSI010F010.itmSTART_DT).ToString()
								endDate = dt.Rows(0).Item(sqlXSI010F010.itmEND_DT).ToString()
							End If
						End Using
					End Using
				Case CStr(clsConst.Enum_TestDtRange.HspOut)
					'入退院情報の入院日～退院日
					'対象入退院情報の入院日、退院日を取得
					Using db As New clsDB(clsSysMst.ctlConfigData)
						db.setSQLDa(sqlXSI010F010.sqlSel_MTI_HSP)
						db.setParamDa(sqlXSI010F010.prmPATIENT_NO, clsDB.Enum_dbType.dbNVarChar)
						db.setParamDa(sqlXSI010F010.prmHSP_HISTORY_NO, clsDB.Enum_dbType.dbInt)
						db.setValDa(sqlXSI010F010.prmPATIENT_NO, patientNo)
						db.setValDa(sqlXSI010F010.prmHSP_HISTORY_NO, hspHistoryNo)
						Using dt As New DataTable()
							db.execQueryDa(dt)
							If dt.Rows.Count > 0 Then
								startDate = dt.Rows(0).Item(sqlXSI010F010.itmHSP_DT).ToString()
								endDate = dt.Rows(0).Item(sqlXSI010F010.itmOUT_HSP_DT).ToString()
							End If
						End Using
					End Using
				Case CStr(clsConst.Enum_TestDtRange.NoCheck)
					'チェック無し
					Return True
			End Select

			'範囲内か比較
			'開始日、入院日
			If String.IsNullOrEmpty(startDate) = True Then
			ElseIf Me.dateCompare(startDate, startDt) > 0 Then
				Return False
			End If
			'終了日、退院日
			If String.IsNullOrEmpty(endDate) = True Then
			ElseIf Me.dateCompare(endDate, startDt) < 0 Then
				Return False
			End If
			Return True
		Catch ex As Exception
			Throw
		Finally
			'解放
			startDate = Nothing
			endDate = Nothing
		End Try
	End Function

	''' ---------------------------------------------
	''' <summary>
	''' 【手術】実施日が登録可能範囲かチェック[治療処置]
	''' </summary>
	''' <param name="patientNo">患者番号</param>
	''' <param name="hspHistoryNo">入退院歴番号</param>
	''' <param name="chNo">科歴番号</param>
	''' <param name="startDt">チェック対象日</param>
	''' <returns>True:範囲内/False:範囲外</returns>
	''' <remarks>
	''' 2010/10/27 新規作成 ACS)牟禮<BR/>
	''' </remarks>
	''' ---------------------------------------------
	Private Function chkStartDate_CARE(ByVal patientNo As String, ByVal hspHistoryNo As String, ByVal chNo As String, ByVal startDt As String) As Boolean
		clsSysMst.logEx(clsSysMst.logLevel.DBG, "XSI", Me.GetType().Name, MethodBase.GetCurrentMethod().Name, "システム連携", "手術連携", "【手術】実施日が登録可能範囲かチェック[治療処置] Start")
		Dim startDate As String = String.Empty	 '範囲開始
		Dim endDate As String = String.Empty	 '範囲終了
		Try
			'比較する日付が日付ではない場合、範囲内として終了
			If IsDate(startDt) = False Then Return True

			'動作環境の治療処置実施日登録可能範囲
			Select Case clsSysMst.ctlEnvData.getEnv(datEnv.Enum_ENV.ENV_00069)
				Case CStr(clsConst.Enum_CareDtRange.StartEnd)
					'科歴の開始日～終了日
					Using db As New clsDB(clsSysMst.ctlConfigData)
						'対象科歴の開始日、終了日を取得
						db.setSQLDa(sqlXSI010F010.sqlSel_MTI_CH)
						db.setParamDa(sqlXSI010F010.prmPATIENT_NO, clsDB.Enum_dbType.dbNVarChar)
						db.setParamDa(sqlXSI010F010.prmHSP_HISTORY_NO, clsDB.Enum_dbType.dbInt)
						db.setParamDa(sqlXSI010F010.prmCH_NO, clsDB.Enum_dbType.dbInt)
						db.setValDa(sqlXSI010F010.prmPATIENT_NO, patientNo)
						db.setValDa(sqlXSI010F010.prmHSP_HISTORY_NO, hspHistoryNo)
						db.setValDa(sqlXSI010F010.prmCH_NO, chNo)
						Using dt As New DataTable()
							db.execQueryDa(dt)
							If dt.Rows.Count > 0 Then
								startDate = dt.Rows(0).Item(sqlXSI010F010.itmSTART_DT).ToString()
								endDate = dt.Rows(0).Item(sqlXSI010F010.itmEND_DT).ToString()
							End If
						End Using
					End Using
				Case CStr(clsConst.Enum_CareDtRange.HspOut)
					'入退院情報の入院日～退院日
					'対象入退院情報の入院日、退院日を取得
					Using db As New clsDB(clsSysMst.ctlConfigData)
						db.setSQLDa(sqlXSI010F010.sqlSel_MTI_HSP)
						db.setParamDa(sqlXSI010F010.prmPATIENT_NO, clsDB.Enum_dbType.dbNVarChar)
						db.setParamDa(sqlXSI010F010.prmHSP_HISTORY_NO, clsDB.Enum_dbType.dbInt)
						db.setValDa(sqlXSI010F010.prmPATIENT_NO, patientNo)
						db.setValDa(sqlXSI010F010.prmHSP_HISTORY_NO, hspHistoryNo)
						Using dt As New DataTable()
							db.execQueryDa(dt)
							If dt.Rows.Count > 0 Then
								startDate = dt.Rows(0).Item(sqlXSI010F010.itmHSP_DT).ToString()
								endDate = dt.Rows(0).Item(sqlXSI010F010.itmOUT_HSP_DT).ToString()
							End If
						End Using
					End Using
				Case CStr(clsConst.Enum_CareDtRange.NoCheck)
					'チェック無し
					Return True
			End Select

			'範囲内か比較
			'開始日、入院日
			If String.IsNullOrEmpty(startDate) = True Then
			ElseIf Me.dateCompare(startDate, startDt) > 0 Then
				Return False
			End If
			'終了日、退院日
			If String.IsNullOrEmpty(endDate) = True Then
			ElseIf Me.dateCompare(endDate, startDt) < 0 Then
				Return False
			End If
			Return True
		Catch ex As Exception
			Throw
		Finally
			'解放
			startDate = Nothing
			endDate = Nothing
		End Try
	End Function

	''' ---------------------------------------------
	''' <summary>
	''' 【手術】重複手術情報取得
	''' </summary>
	''' <param name="patientNo">患者番号</param>
	''' <param name="hspHistoryNo">入退院歴番号</param>
	''' <param name="chNo">科歴番号</param>
	''' <param name="icd9Cmcd">ICD9CMコード</param>
	''' <param name="opeDt">実施日</param>
	''' <param name="opeDiv">手術区分</param>
	''' <param name="pDb">DBクラス</param>
	''' <returns></returns>
	''' <remarks>
	''' 2010/10/28 新規作成 ACS)牟禮<BR/>
	''' </remarks>
	''' ---------------------------------------------
	Private Function getMTI_OPE(ByVal patientNo As String, ByVal hspHistoryNo As String, ByVal chNo As String, _
										ByVal icd9Cmcd As String, ByVal opeDt As String, ByVal opeDiv As String, Optional ByVal pDb As clsDB = Nothing) As ArrayList
		clsSysMst.logEx(clsSysMst.logLevel.DBG, "XSI", Me.GetType().Name, MethodBase.GetCurrentMethod().Name, "システム連携", "手術連携", "【手術】重複手術取得 Start")
		Dim db As clsDB = Nothing
		Dim arr As ArrayList = Nothing
		Try
			If pDb IsNot Nothing Then
				db = pDb
			Else
				db = New clsDB(clsSysMst.ctlConfigData)
			End If
			'SQL文設定
			db.setSQL(sqlXSI010F010.sqlSel_MTI_OPE_ICD9CMCD)
			'パラメータ設定
			db.setParam(sqlXSI010F010.prmPATIENT_NO, clsDB.Enum_dbType.dbNVarChar)
			db.setParam(sqlXSI010F010.prmHSP_HISTORY_NO, clsDB.Enum_dbType.dbInt)
			db.setParam(sqlXSI010F010.prmCH_NO, clsDB.Enum_dbType.dbInt)
			db.setParam(sqlXSI010F010.prmICD9CM_CD, clsDB.Enum_dbType.dbNVarChar)
			db.setParam(sqlXSI010F010.prmOPE_DT, clsDB.Enum_dbType.dbDateTime)
			db.setParam(sqlXSI010F010.prmOPE_DIV, clsDB.Enum_dbType.dbNVarChar)
			'値設定
			db.setVal(sqlXSI010F010.prmPATIENT_NO, patientNo)
			db.setVal(sqlXSI010F010.prmHSP_HISTORY_NO, hspHistoryNo)
			db.setVal(sqlXSI010F010.prmCH_NO, chNo)
			db.setVal(sqlXSI010F010.prmICD9CM_CD, icd9Cmcd)
			db.setVal(sqlXSI010F010.prmOPE_DT, opeDt)
			db.setVal(sqlXSI010F010.prmOPE_DIV, opeDiv)

			arr = New ArrayList()
			'SQL実行
			db.execQuery(GetType(datOPE), arr)

			Return arr
		Catch ex As Exception
			Throw
		Finally
			'解放
			If pDb Is Nothing AndAlso db IsNot Nothing Then db.Dispose()
			db = Nothing
		End Try
	End Function

	''' ---------------------------------------------
	''' <summary>
	''' 【手術】重複検査情報取得
	''' </summary>
	''' <param name="patientNo">患者番号</param>
	''' <param name="hspHistoryNo">入退院歴番号</param>
	''' <param name="chNo">科歴番号</param>
	''' <param name="icd9Cmcd">ICD9CMコード</param>
	''' <param name="testDt">検査実施日</param>
	''' <param name="testDiv">検査区分</param>
	''' <param name="pDb">DBクラス</param>
	''' <returns></returns>
	''' <remarks>
	''' 2010/10/28 新規作成 ACS)牟禮<BR/>
	''' </remarks>
	''' ---------------------------------------------
	Private Function getMTI_TEST(ByVal patientNo As String, ByVal hspHistoryNo As String, ByVal chNo As String, _
										ByVal icd9Cmcd As String, ByVal testDt As String, ByVal testDiv As String, Optional ByVal pDb As clsDB = Nothing) As ArrayList
		clsSysMst.logEx(clsSysMst.logLevel.DBG, "XSI", Me.GetType().Name, MethodBase.GetCurrentMethod().Name, "システム連携", "手術連携", "【手術】重複検査取得 Start")
		Dim db As clsDB = Nothing
		Dim arr As ArrayList = Nothing
		Try
			If pDb IsNot Nothing Then
				db = pDb
			Else
				db = New clsDB(clsSysMst.ctlConfigData)
			End If
			'SQL文設定
			db.setSQL(sqlXSI010F010.sqlSel_MTI_TEST_ICD9CMCD)
			'パラメータ設定
			db.setParam(sqlXSI010F010.prmPATIENT_NO, clsDB.Enum_dbType.dbNVarChar)
			db.setParam(sqlXSI010F010.prmHSP_HISTORY_NO, clsDB.Enum_dbType.dbInt)
			db.setParam(sqlXSI010F010.prmCH_NO, clsDB.Enum_dbType.dbInt)
			db.setParam(sqlXSI010F010.prmICD9CM_CD, clsDB.Enum_dbType.dbNVarChar)
			db.setParam(sqlXSI010F010.prmTEST_DT, clsDB.Enum_dbType.dbDateTime)
			db.setParam(sqlXSI010F010.prmTEST_DIV, clsDB.Enum_dbType.dbNVarChar)
			'値設定
			db.setVal(sqlXSI010F010.prmPATIENT_NO, patientNo)
			db.setVal(sqlXSI010F010.prmHSP_HISTORY_NO, hspHistoryNo)
			db.setVal(sqlXSI010F010.prmCH_NO, chNo)
			db.setVal(sqlXSI010F010.prmICD9CM_CD, icd9Cmcd)
			db.setVal(sqlXSI010F010.prmTEST_DT, testDt)
			db.setVal(sqlXSI010F010.prmTEST_DIV, testDiv)

			arr = New ArrayList()
			'SQL実行
			db.execQuery(GetType(datTEST), arr)

			Return arr
		Catch ex As Exception
			Throw
		Finally
			'解放
			If pDb Is Nothing AndAlso db IsNot Nothing Then db.Dispose()
			db = Nothing
		End Try
	End Function

	''' ---------------------------------------------
	''' <summary>
	''' 【手術】重複治療処置情報取得
	''' </summary>
	''' <param name="patientNo">患者番号</param>
	''' <param name="hspHistoryNo">入退院歴番号</param>
	''' <param name="chNo">科歴番号</param>
	''' <param name="icd9Cmcd">ICD9CMコード</param>
	''' <param name="careDt">治療処置実施日</param>
	''' <param name="careDiv">治療処置区分</param>
	''' <param name="pDb">DBクラス</param>
	''' <returns></returns>
	''' <remarks>
	''' 2010/10/28 新規作成 ACS)牟禮<BR/>
	''' </remarks>
	''' ---------------------------------------------
	Private Function getMTI_CARE(ByVal patientNo As String, ByVal hspHistoryNo As String, ByVal chNo As String, _
										ByVal icd9Cmcd As String, ByVal careDt As String, ByVal careDiv As String, Optional ByVal pDb As clsDB = Nothing) As ArrayList
		clsSysMst.logEx(clsSysMst.logLevel.DBG, "XSI", Me.GetType().Name, MethodBase.GetCurrentMethod().Name, "システム連携", "手術連携", "【手術】重複治療処置取得 Start")
		Dim db As clsDB = Nothing
		Dim arr As ArrayList = Nothing
		Try
			If pDb IsNot Nothing Then
				db = pDb
			Else
				db = New clsDB(clsSysMst.ctlConfigData)
			End If
			'SQL文設定
			db.setSQL(sqlXSI010F010.sqlSel_MTI_CARE_ICD9CMCD)
			'パラメータ設定
			db.setParam(sqlXSI010F010.prmPATIENT_NO, clsDB.Enum_dbType.dbNVarChar)
			db.setParam(sqlXSI010F010.prmHSP_HISTORY_NO, clsDB.Enum_dbType.dbInt)
			db.setParam(sqlXSI010F010.prmCH_NO, clsDB.Enum_dbType.dbInt)
			db.setParam(sqlXSI010F010.prmICD9CM_CD, clsDB.Enum_dbType.dbNVarChar)
			db.setParam(sqlXSI010F010.prmCARE_DT, clsDB.Enum_dbType.dbDateTime)
			db.setParam(sqlXSI010F010.prmCARE_DIV, clsDB.Enum_dbType.dbNVarChar)
			'値設定
			db.setVal(sqlXSI010F010.prmPATIENT_NO, patientNo)
			db.setVal(sqlXSI010F010.prmHSP_HISTORY_NO, hspHistoryNo)
			db.setVal(sqlXSI010F010.prmCH_NO, chNo)
			db.setVal(sqlXSI010F010.prmICD9CM_CD, icd9Cmcd)
			db.setVal(sqlXSI010F010.prmCARE_DT, careDt)
			db.setVal(sqlXSI010F010.prmCARE_DIV, careDiv)

			arr = New ArrayList()
			'SQL実行
			db.execQuery(GetType(datCARE), arr)

			Return arr
		Catch ex As Exception
			Throw
		Finally
			'解放
			If pDb Is Nothing AndAlso db IsNot Nothing Then db.Dispose()
			db = Nothing
		End Try
	End Function

	''' ---------------------------------------------
	''' <summary>
	''' 【手術】登録/更新
	''' </summary>
	''' <param name="pDb">DBクラス</param>
	''' <param name="cliOneCsvData">連携ファイル1行データ</param>
	''' <param name="cliSJKTData">データクラス</param>
	''' <returns>DB登録/更新結果</returns>
	''' <remarks>
	''' 2010/10/18 新規作成 ACS)牟禮<BR/>
	''' </remarks>
	''' ---------------------------------------------
	Private Function exeSQL(ByVal pDb As clsDB, ByVal cliOneCsvData As clsXSI_MTT_IMP_LOG_OPE, ByVal cliSJKTData As Object) As Enum_ExeReturnFlg
		clsSysMst.logEx(clsSysMst.logLevel.DBG, "XSI", Me.GetType().Name, MethodBase.GetCurrentMethod().Name, "システム連携", "手術連携", "【手術】登録/更新 Start")
		Try
			Select Case cliOneCsvData.INFO_DIV
				Case "S" '手術
					Return Me.exeOpeSQL(pDb, cliOneCsvData, DirectCast(cliSJKTData, clsXSI_MTI_OPE))
				Case "K" '検査
					Return Me.exeTestSQL(pDb, cliOneCsvData, DirectCast(cliSJKTData, clsXSI_MTI_TEST))
				Case "T" '治療処置
					Return Me.exeCareSQL(pDb, cliOneCsvData, DirectCast(cliSJKTData, clsXSI_MTI_CARE))
			End Select
		Catch ex As Exception
			Throw
		End Try
	End Function

	''' ---------------------------------------------
	''' <summary>
	''' 【手術】手術登録/更新
	''' </summary>
	''' <param name="pDb">DBクラス</param>
	''' <param name="cliOneCsvData">連携ファイル1行データ</param>
	''' <param name="cliMTI_OPE">検査データクラス</param>
	''' <returns>DB登録/更新結果</returns>
	''' <remarks>
	''' 2010/10/18 新規作成 ACS)牟禮<BR/>
	''' </remarks>
	''' ---------------------------------------------
	Private Function exeOpeSQL(ByVal pDb As clsDB, ByVal cliOneCsvData As clsXSI_MTT_IMP_LOG_OPE, ByVal cliMTI_OPE As clsXSI_MTI_OPE) As Enum_ExeReturnFlg
		clsSysMst.logEx(clsSysMst.logLevel.DBG, "XSI", Me.GetType().Name, MethodBase.GetCurrentMethod().Name, "システム連携", "手術連携", "【手術】手術登録/更新 Start")
		Try
			'検査更新
			'トランザクション開始
			pDb.ctlTran(clsDB.Enum_TranMode.Begin)

			If cliOneCsvData.DATA_TYPE = "B" Then
				'データ種別B　削除後追加
				'手術情報
				Me.setSqlParam_MTI_OPE(pDb, False, Enum_SqlIdx.eDel, cliMTI_OPE)

				'手術医師情報
				Using cliMTI_OPE_DOCTOR As New clsXSI_MTI_OPE_DOCTOR()
					cliMTI_OPE_DOCTOR.PATIENT_NO = cliMTI_OPE.PATIENT_NO
					cliMTI_OPE_DOCTOR.HSP_HISTORY_NO = cliMTI_OPE.HSP_HISTORY_NO
					cliMTI_OPE_DOCTOR.CH_NO = cliMTI_OPE.CH_NO
					Me.setSqlDelParam_MTI_OPE_DOCTOR(pDb, False, cliMTI_OPE_DOCTOR, Enum_OPE_DOCTOR_Del_Kbn.CH_DEL)
				End Using
			End If

			'SQL文、パラメータセット
			'動作環境の同一科歴内で同じICD9コードの手術連携
			If clsSysMst.ctlEnvData.getEnv(datEnv.Enum_ENV.ENV_00035) = CStr(clsConst.Enum_EqualDeptIcd9TestImp.RepTest) Then
				Dim arr As ArrayList = Nothing
				Try
					arr = Me.getMTI_OPE(cliOneCsvData.PATIENT_NO, cliMTI_OPE.HSP_HISTORY_NO, cliMTI_OPE.CH_NO, cliOneCsvData.ICD9CM_CD, cliOneCsvData.OPE_DT, cliOneCsvData.MAIN_DIV_CD, pDb)
					If arr.Count = 0 Then
						Me.setSqlParam_MTI_OPE(pDb, False, Enum_SqlIdx.eIns, cliMTI_OPE) '登録
					Else
						Me.setSqlParam_MTI_OPE(pDb, False, Enum_SqlIdx.eUpd, cliMTI_OPE) '更新
					End If
				Finally
					If arr IsNot Nothing Then arr.Clear()
					arr = Nothing
				End Try

				'医師情報追加
				If String.IsNullOrEmpty(cliOneCsvData.DOCTOR_CD1) = True Then
					'連携ファイルに手術医師情報がないため何もしない
				Else
					'連携ファイルの手術医師情報追加
					Me.setOpeDoctor(cliOneCsvData, cliMTI_OPE, pDb)
				End If

			Else
				Me.setSqlParam_MTI_OPE(pDb, False, Enum_SqlIdx.eIns, cliMTI_OPE) '登録
				'手術医師情報追加
				Me.setOpeDoctor(cliOneCsvData, cliMTI_OPE, pDb)
			End If

			'手術並び替え
			'動作環境の手術一覧並び替え設定
			If clsSysMst.ctlEnvData.getEnv(datEnv.Enum_ENV.ENV_00046) = CStr(clsConst.Enum_SortOpe.Sort) OrElse _
			   clsSysMst.ctlEnvData.getEnv(datEnv.Enum_ENV.ENV_00046) = CStr(clsConst.Enum_SortOpe.SortDivDt) Then
				Me.sortOpe(pDb, False, cliMTI_OPE.PATIENT_NO, cliMTI_OPE.HSP_HISTORY_NO, cliMTI_OPE.CH_NO)
			End If

			'科歴情報更新
			Using cliCH As New clsXSI_MTI_CH()
				cliCH.PATIENT_NO = cliMTI_OPE.PATIENT_NO
				cliCH.HSP_HISTORY_NO = cliMTI_OPE.HSP_HISTORY_NO
				cliCH.CH_NO = cliMTI_OPE.CH_NO

				'手術数
				Dim arrCount As ArrayList = Nothing
				Try
					arrCount = Me.getOpeCount(cliMTI_OPE.PATIENT_NO, cliMTI_OPE.HSP_HISTORY_NO, cliMTI_OPE.CH_NO, pDb)
					If arrCount.Count > 0 Then
						cliCH.OPE_COUNT = DirectCast(arrCount(0), datOpeCnt).OPECOUNT.ToString()
					Else
						cliCH.OPE_COUNT = "0"
					End If
				Finally
					If arrCount IsNot Nothing Then arrCount.Clear()
					arrCount = Nothing
				End Try
				cliCH.OPE_CHK = CStr(clsConst.Enum_Chk.ChkOn)

				'SQL実行
				Me.setUpdSql_MTI_CH(pDb, False, Enum_Upd.eChange, cliCH, False)
			End Using

			'コミット
			pDb.ctlTran(clsDB.Enum_TranMode.Commit)

			Return Enum_ExeReturnFlg.eExecute
		Catch ex As SqlClient.SqlException
			If pDb.statTran() Then pDb.ctlTran(clsDB.Enum_TranMode.RollBack)
			Call Me.cliXSI010F010.ErrorProc(ex)
			If ex.Number = clsSysMst.sqlErrCode.KeyDuplicate Then
				Return Enum_ExeReturnFlg.eSqlError
			Else
				Return Enum_ExeReturnFlg.eError
			End If
		Catch ex As Exception
			If pDb.statTran() Then pDb.ctlTran(clsDB.Enum_TranMode.RollBack)
			Throw
		End Try
	End Function

	''' ---------------------------------------------
	''' <summary>
	''' 【手術】検査登録/更新
	''' </summary>
	''' <param name="pDb">DBクラス</param>
	''' <param name="cliOneCsvData">連携ファイル1行データ</param>
	''' <param name="cliMTI_TEST">検査データクラス</param>
	''' <returns>DB登録/更新結果</returns>
	''' <remarks>
	''' 2010/10/28 新規作成 ACS)牟禮<BR/>
	''' </remarks>
	''' ---------------------------------------------
	Private Function exeTestSQL(ByVal pDb As clsDB, ByVal cliOneCsvData As clsXSI_MTT_IMP_LOG_OPE, ByVal cliMTI_TEST As clsXSI_MTI_TEST) As Enum_ExeReturnFlg
		clsSysMst.logEx(clsSysMst.logLevel.DBG, "XSI", Me.GetType().Name, MethodBase.GetCurrentMethod().Name, "システム連携", "手術連携", "【手術】検査登録/更新 Start")
		Try
			'検査更新
			'トランザクション開始
			pDb.ctlTran(clsDB.Enum_TranMode.Begin)

			If cliOneCsvData.DATA_TYPE = "B" Then
				'データ種別B　削除後追加
				Me.setSqlParam_MTI_TEST(pDb, False, Enum_SqlIdx.eDel, cliMTI_TEST)
			End If

			'SQL文、パラメータセット
			'動作環境の同一科歴内で同じICD9コードの検査連携
			If clsSysMst.ctlEnvData.getEnv(datEnv.Enum_ENV.ENV_00037) = CStr(clsConst.Enum_EqualDeptIcd9TestImp.RepTest) Then
				Dim arr As ArrayList = Nothing
				Try
					arr = Me.getMTI_TEST(cliOneCsvData.PATIENT_NO, cliMTI_TEST.HSP_HISTORY_NO, cliMTI_TEST.CH_NO, cliOneCsvData.ICD9CM_CD, cliOneCsvData.OPE_DT, cliOneCsvData.MAIN_DIV_CD, pDb)
					If arr.Count = 0 Then
						Me.setSqlParam_MTI_TEST(pDb, False, Enum_SqlIdx.eIns, cliMTI_TEST) '登録
					Else
						Me.setSqlParam_MTI_TEST(pDb, False, Enum_SqlIdx.eUpd, cliMTI_TEST) '更新
					End If
				Finally
					If arr IsNot Nothing Then arr.Clear()
					arr = Nothing
				End Try
			Else
				Me.setSqlParam_MTI_TEST(pDb, False, Enum_SqlIdx.eIns, cliMTI_TEST) '登録
			End If

			'検査並び替え
			'動作環境の検査一覧並び替え設定
			If clsSysMst.ctlEnvData.getEnv(datEnv.Enum_ENV.ENV_00048) = CStr(clsConst.Enum_SortTest.Sort) OrElse
			   clsSysMst.ctlEnvData.getEnv(datEnv.Enum_ENV.ENV_00048) = CStr(clsConst.Enum_SortTest.SortDivDt) Then
				Me.sortTest(pDb, False, cliMTI_TEST.PATIENT_NO, cliMTI_TEST.HSP_HISTORY_NO, cliMTI_TEST.CH_NO)
			End If

			'科歴情報更新
			Using cliCH As New clsXSI_MTI_CH()
				cliCH.PATIENT_NO = cliMTI_TEST.PATIENT_NO
				cliCH.HSP_HISTORY_NO = cliMTI_TEST.HSP_HISTORY_NO
				cliCH.CH_NO = cliMTI_TEST.CH_NO

				'検査数
				Dim arrCount As ArrayList = Nothing
				Try
					arrCount = Me.getTestCount(cliMTI_TEST.PATIENT_NO, cliMTI_TEST.HSP_HISTORY_NO, cliMTI_TEST.CH_NO, pDb)
					If arrCount.Count > 0 Then
						cliCH.TEST_COUNT = DirectCast(arrCount(0), datTestCnt).TESTCOUNT.ToString()
					Else
						cliCH.TEST_COUNT = "0"
					End If

				Finally
					If arrCount IsNot Nothing Then arrCount.Clear()
					arrCount = Nothing
				End Try
				'SQL実行
				Me.setUpdSql_MTI_CH(pDb, False, Enum_Upd.eChange, cliCH, False)
			End Using

			'コミット
			pDb.ctlTran(clsDB.Enum_TranMode.Commit)

			Return Enum_ExeReturnFlg.eExecute
		Catch ex As SqlClient.SqlException
			If pDb.statTran() Then pDb.ctlTran(clsDB.Enum_TranMode.RollBack)
			Call Me.cliXSI010F010.ErrorProc(ex)
			If ex.Number = clsSysMst.sqlErrCode.KeyDuplicate Then
				Return Enum_ExeReturnFlg.eSqlError
			Else
				Return Enum_ExeReturnFlg.eError
			End If
		Catch ex As Exception
			If pDb.statTran() Then pDb.ctlTran(clsDB.Enum_TranMode.RollBack)
			Throw
		End Try
	End Function

	''' ---------------------------------------------
	''' <summary>
	''' 【手術】治療処置登録/更新
	''' </summary>
	''' <param name="pDb">DBクラス</param>
	''' <param name="cliOneCsvData">連携ファイル1行データ</param>
	''' <param name="cliMTI_CARE">治療処置データクラス</param>
	''' <returns>DB登録/更新結果</returns>
	''' <remarks>
	''' 2010/10/28 新規作成 ACS)牟禮<BR/>
	''' </remarks>
	''' ---------------------------------------------
	Private Function exeCareSQL(ByVal pDb As clsDB, ByVal cliOneCsvData As clsXSI_MTT_IMP_LOG_OPE, ByVal cliMTI_CARE As clsXSI_MTI_CARE) As Enum_ExeReturnFlg
		clsSysMst.logEx(clsSysMst.logLevel.DBG, "XSI", Me.GetType().Name, MethodBase.GetCurrentMethod().Name, "システム連携", "手術連携", "【手術】治療処置登録/更新 Start")
		Try
			'治療処置更新
			'トランザクション開始
			pDb.ctlTran(clsDB.Enum_TranMode.Begin)

			If cliOneCsvData.DATA_TYPE = "B" Then
				'データ種別B　削除後追加
				Me.setSqlParam_MTI_CARE(pDb, False, Enum_SqlIdx.eDel, cliMTI_CARE)
			End If

			'SQL文、パラメータセット
			'動作環境の同一科歴内で同じICD9コードの治療処置連携
			If clsSysMst.ctlEnvData.getEnv(datEnv.Enum_ENV.ENV_00036) = CStr(clsConst.Enum_EqualDeptIcd9CareImp.RepCare) Then
				Dim arr As ArrayList = Nothing
				Try
					arr = Me.getMTI_CARE(cliOneCsvData.PATIENT_NO, cliMTI_CARE.HSP_HISTORY_NO, cliMTI_CARE.CH_NO, cliOneCsvData.ICD9CM_CD, cliOneCsvData.OPE_DT, cliOneCsvData.MAIN_DIV_CD, pDb)
					If arr.Count = 0 Then
						Me.setSqlParam_MTI_CARE(pDb, False, Enum_SqlIdx.eIns, cliMTI_CARE) '登録
					Else
						Me.setSqlParam_MTI_CARE(pDb, False, Enum_SqlIdx.eUpd, cliMTI_CARE) '更新
					End If
				Finally
					If arr IsNot Nothing Then arr.Clear()
					arr = Nothing
				End Try

			Else
				Me.setSqlParam_MTI_CARE(pDb, False, Enum_SqlIdx.eIns, cliMTI_CARE) '登録
			End If

			'治療処置並び替え
			'動作環境の治療処置一覧並び替え設定
			If clsSysMst.ctlEnvData.getEnv(datEnv.Enum_ENV.ENV_00047) = CStr(clsConst.Enum_SortCare.Sort) OrElse
			   clsSysMst.ctlEnvData.getEnv(datEnv.Enum_ENV.ENV_00047) = CStr(clsConst.Enum_SortCare.SortDivDt) Then
				Me.sortCare(pDb, False, cliMTI_CARE.PATIENT_NO, cliMTI_CARE.HSP_HISTORY_NO, cliMTI_CARE.CH_NO)
			End If

			'科歴情報更新
			Using cliCH As New clsXSI_MTI_CH()
				cliCH.PATIENT_NO = cliMTI_CARE.PATIENT_NO
				cliCH.HSP_HISTORY_NO = cliMTI_CARE.HSP_HISTORY_NO
				cliCH.CH_NO = cliMTI_CARE.CH_NO

				'治療処置数
				Dim arrCount As ArrayList = Nothing
				Try
					arrCount = Me.getCareCount(cliMTI_CARE.PATIENT_NO, cliMTI_CARE.HSP_HISTORY_NO, cliMTI_CARE.CH_NO, pDb)
					If arrCount.Count > 0 Then
						cliCH.CARE_COUNT = DirectCast(arrCount(0), datCareCnt).CARECOUNT.ToString()
					Else
						cliCH.CARE_COUNT = "0"
					End If

				Finally
					If arrCount IsNot Nothing Then arrCount.Clear()
					arrCount = Nothing
				End Try
				'SQL実行
				Me.setUpdSql_MTI_CH(pDb, False, Enum_Upd.eChange, cliCH, False)
			End Using

			'コミット
			pDb.ctlTran(clsDB.Enum_TranMode.Commit)

			Return Enum_ExeReturnFlg.eExecute
		Catch ex As SqlClient.SqlException
			If pDb.statTran() Then pDb.ctlTran(clsDB.Enum_TranMode.RollBack)
			Call Me.cliXSI010F010.ErrorProc(ex)
			If ex.Number = clsSysMst.sqlErrCode.KeyDuplicate Then
				Return Enum_ExeReturnFlg.eSqlError
			Else
				Return Enum_ExeReturnFlg.eError
			End If
		Catch ex As Exception
			If pDb.statTran() Then pDb.ctlTran(clsDB.Enum_TranMode.RollBack)
			Throw
		End Try
	End Function

	''' ---------------------------------------------
	''' <summary>
	''' 【手術】手術医師追加
	''' </summary>
	''' <param name="cliOneCsvData">連携ファイル1行データ</param>
	''' <param name="cliMTI_OPE">手術データクラス</param>
	''' <param name="pDb">DBクラス</param>
	''' <remarks>
	''' 2010/10/28 新規作成 ACS)牟禮<BR/>
	''' </remarks>
	''' ---------------------------------------------
	Private Sub setOpeDoctor(ByVal cliOneCsvData As clsXSI_MTT_IMP_LOG_OPE, ByVal cliMTI_OPE As clsXSI_MTI_OPE, ByVal pDb As clsDB)
		clsSysMst.logEx(clsSysMst.logLevel.DBG, "XSI", Me.GetType().Name, MethodBase.GetCurrentMethod().Name, "システム連携", "手術連携", "【手術】手術医師追加 Start")
		Try
			'手術医師情報削除
			Using cliMTI_OPE_DOCTOR As New clsXSI_MTI_OPE_DOCTOR()
				cliMTI_OPE_DOCTOR.PATIENT_NO = cliMTI_OPE.PATIENT_NO
				cliMTI_OPE_DOCTOR.HSP_HISTORY_NO = cliMTI_OPE.HSP_HISTORY_NO
				cliMTI_OPE_DOCTOR.CH_NO = cliMTI_OPE.CH_NO
				cliMTI_OPE_DOCTOR.OPE_SERIAL_NO = cliMTI_OPE.OPE_SERIAL_NO
				Me.setSqlDelParam_MTI_OPE_DOCTOR(pDb, False, cliMTI_OPE_DOCTOR, Enum_OPE_DOCTOR_Del_Kbn.SERIAL_DEL)
			End Using

			Dim doctorList As List(Of String()) = Nothing
			Try
				'連携ファイルの手術医師１～１０をリスト化
				doctorList = New List(Of String())
				doctorList.Add(New String() {cliOneCsvData.OPE_DOCTOR_DIV1, cliOneCsvData.DOCTOR_CD1})
				doctorList.Add(New String() {cliOneCsvData.OPE_DOCTOR_DIV2, cliOneCsvData.DOCTOR_CD2})
				doctorList.Add(New String() {cliOneCsvData.OPE_DOCTOR_DIV3, cliOneCsvData.DOCTOR_CD3})
				doctorList.Add(New String() {cliOneCsvData.OPE_DOCTOR_DIV4, cliOneCsvData.DOCTOR_CD4})
				doctorList.Add(New String() {cliOneCsvData.OPE_DOCTOR_DIV5, cliOneCsvData.DOCTOR_CD5})
				doctorList.Add(New String() {cliOneCsvData.OPE_DOCTOR_DIV6, cliOneCsvData.DOCTOR_CD6})
				doctorList.Add(New String() {cliOneCsvData.OPE_DOCTOR_DIV7, cliOneCsvData.DOCTOR_CD7})
				doctorList.Add(New String() {cliOneCsvData.OPE_DOCTOR_DIV8, cliOneCsvData.DOCTOR_CD8})
				doctorList.Add(New String() {cliOneCsvData.OPE_DOCTOR_DIV9, cliOneCsvData.DOCTOR_CD9})
				doctorList.Add(New String() {cliOneCsvData.OPE_DOCTOR_DIV10, cliOneCsvData.DOCTOR_CD10})

				'手術医師登録
				Using cliMTI_OPE_DOCTOR As New clsXSI_MTI_OPE_DOCTOR()
					For i As Integer = 0 To doctorList.Count - 1
						'医師コード未入力であればその時点で終了
						If String.IsNullOrEmpty(doctorList(i)(0)) = True Then Exit Sub
						'クリア
						cliMTI_OPE_DOCTOR.clear()

						cliMTI_OPE_DOCTOR.PATIENT_NO = cliMTI_OPE.PATIENT_NO			'患者番号
						cliMTI_OPE_DOCTOR.HSP_HISTORY_NO = cliMTI_OPE.HSP_HISTORY_NO	'入退院歴番号
						cliMTI_OPE_DOCTOR.CH_NO = cliMTI_OPE.CH_NO						'科歴番号
						cliMTI_OPE_DOCTOR.OPE_SERIAL_NO = cliMTI_OPE.OPE_SERIAL_NO		'手術連番
						cliMTI_OPE_DOCTOR.OPE_DOCTOR_SERIAL_NO = (i + 1).ToString()		'手術医師連番
						cliMTI_OPE_DOCTOR.OPE_DOCTOR_DIV = doctorList(i)(0)				'手術医師区分
						cliMTI_OPE_DOCTOR.DOCTOR_CD = doctorList(i)(1)					'医師コード

						'SQL実行
						Me.setSqlParam_MTI_OPE_DOCTOR(pDb, False, Enum_SqlIdx.eIns, cliMTI_OPE_DOCTOR)
					Next
				End Using

			Finally
				If doctorList IsNot Nothing Then doctorList.Clear()
				doctorList = Nothing

			End Try
		Catch ex As Exception
			Throw
		End Try
	End Sub

	''' ---------------------------------------------
	''' <summary>
	''' 【手術】SQLパラメータ設定[手術]
	''' </summary>
	''' <param name="pDb">DBクラス</param>
	''' <param name="tran">トランザクション制御</param>
	''' <param name="sqlIdx">SQL区分</param>
	''' <param name="cliMTI_OPE">手術医師データ</param>
	''' <remarks>
	''' 2010/10/26 新規作成 ACS)牟禮<BR/>
	''' </remarks>
	''' ---------------------------------------------
	Private Sub setSqlParam_MTI_OPE(ByVal pDb As clsDB, ByVal tran As Boolean, ByVal sqlIdx As Enum_SqlIdx, ByVal cliMTI_OPE As clsXSI_MTI_OPE)
		clsSysMst.logEx(clsSysMst.logLevel.DBG, "XSI", Me.GetType().Name, MethodBase.GetCurrentMethod().Name, "システム連携", "手術連携", "【手術】SQLパラメータ設定[手術] Start")
		Try
			Select Case sqlIdx
				Case Enum_SqlIdx.eIns, Enum_SqlIdx.eUpd	'登録・更新
					'SQL文設定
					If sqlIdx = Enum_SqlIdx.eIns Then
						pDb.setSQL(sqlXSI010F010.sqlIns_MTI_OPE)
					Else
						pDb.setSQL(sqlXSI010F010.sqlUpd_MTI_OPE)
					End If

					'パラメータ設定
					pDb.setParam(sqlXSI010F010.prmPATIENT_NO, clsDB.Enum_dbType.dbNVarChar)					 '患者番号
					pDb.setParam(sqlXSI010F010.prmHSP_HISTORY_NO, clsDB.Enum_dbType.dbInt)					 '入退院歴番号
					pDb.setParam(sqlXSI010F010.prmCH_NO, clsDB.Enum_dbType.dbInt)							 '科歴番号
					pDb.setParam(sqlXSI010F010.prmOPE_SERIAL_NO, clsDB.Enum_dbType.dbInt)					 '手術連番
					pDb.setParam(sqlXSI010F010.prmOPE_DIV, clsDB.Enum_dbType.dbNVarChar)						 '手術区分コード
					pDb.setParam(sqlXSI010F010.prmOPE_NM, clsDB.Enum_dbType.dbNVarChar)						 '手術名
					pDb.setParam(sqlXSI010F010.prmOPE_DT, clsDB.Enum_dbType.dbDateTime)						 '実施日
					pDb.setParam(sqlXSI010F010.prmOPE_TIME, clsDB.Enum_dbType.dbNVarChar)						 '実施時刻
					pDb.setParam(sqlXSI010F010.prmOPE_REQUIRED_TIME, clsDB.Enum_dbType.dbNVarChar)			 '手術所要時間
					pDb.setParam(sqlXSI010F010.prmOPE_AGE, clsDB.Enum_dbType.dbInt)							 '手術時年齢
					pDb.setParam(sqlXSI010F010.prmOPE_MONTH_AGE, clsDB.Enum_dbType.dbInt)					 '手術時月齢
					pDb.setParam(sqlXSI010F010.prmOPE_DAY_AGE, clsDB.Enum_dbType.dbInt)						 '手術時日齢
					pDb.setParam(sqlXSI010F010.prmANESTHESIA_DIV1, clsDB.Enum_dbType.dbNVarChar)				 '麻酔区分コード１
					pDb.setParam(sqlXSI010F010.prmANESTHESIA_TIME, clsDB.Enum_dbType.dbNVarChar)				 '全身麻酔時間
					pDb.setParam(sqlXSI010F010.prmANESTHESIA_DIV2, clsDB.Enum_dbType.dbNVarChar)				 '麻酔区分コード２
					pDb.setParam(sqlXSI010F010.prmASST_DIV1, clsDB.Enum_dbType.dbNVarChar)					 '補助区分コード１
					pDb.setParam(sqlXSI010F010.prmASST_DIV2, clsDB.Enum_dbType.dbNVarChar)					 '補助区分コード２
					pDb.setParam(sqlXSI010F010.prmREMARKS1, clsDB.Enum_dbType.dbNVarChar)						 '備考１
					pDb.setParam(sqlXSI010F010.prmREMARKS2, clsDB.Enum_dbType.dbNumeric)						 '備考２
					pDb.setParam(sqlXSI010F010.prmSPT_DISEASE_SERIAL_NO, clsDB.Enum_dbType.dbInt)			 '対応病名連番
					pDb.setParam(sqlXSI010F010.prmICD9CM_CD, clsDB.Enum_dbType.dbNVarChar)					 'ＩＣＤ９ＣＭコード
					pDb.setParam(sqlXSI010F010.prmL_GRP_CD, clsDB.Enum_dbType.dbNVarChar)						 '大分類コード
					pDb.setParam(sqlXSI010F010.prmM_GRP_CD, clsDB.Enum_dbType.dbNVarChar)						 '中分類コード
					pDb.setParam(sqlXSI010F010.prmDIGS3_GRP_CD, clsDB.Enum_dbType.dbNVarChar)					 '３桁分類コード
					pDb.setParam(sqlXSI010F010.prmMNG_DIV, clsDB.Enum_dbType.dbNVarChar)						 '管理記号
					pDb.setParam(sqlXSI010F010.prmMNG_NO, clsDB.Enum_dbType.dbInt)							 '管理番号
					pDb.setParam(sqlXSI010F010.prmOPE_COUNT_CD, clsDB.Enum_dbType.dbNVarChar)					 '手術回数コード
					pDb.setParam(sqlXSI010F010.prmOPE_PART_CD, clsDB.Enum_dbType.dbNVarChar)					 '手術側数コード
					pDb.setParam(sqlXSI010F010.prmEND_DT, clsDB.Enum_dbType.dbDateTime)						 '終了日
					pDb.setParam(sqlXSI010F010.prmEND_TIME, clsDB.Enum_dbType.dbNVarChar)						 '終了時刻
					pDb.setParam(sqlXSI010F010.prmSPT_DISEASE_NM, clsDB.Enum_dbType.dbNVarChar)				 '病名
					pDb.setParam(sqlXSI010F010.prmSPT_DISEASE_ICD10_CD, clsDB.Enum_dbType.dbNVarChar)			 'ＩＣＤ１０コード
					pDb.setParam(sqlXSI010F010.prmSPT_DISEASE_OUTCOME_CD, clsDB.Enum_dbType.dbNVarChar)		 '病名転帰コード
					pDb.setParam(sqlXSI010F010.prmSPT_DISEASE_MNG_DIV1, clsDB.Enum_dbType.dbNVarChar)			 '病名管理記号
					pDb.setParam(sqlXSI010F010.prmSPT_DISEASE_MNG_NO, clsDB.Enum_dbType.dbInt)				 '病名管理番号
					pDb.setParam(sqlXSI010F010.prmSCORE_CD, clsDB.Enum_dbType.dbNVarChar)						 '点数表コード
					pDb.setParam(sqlXSI010F010.prmAFTER_OPE_DAYS, clsDB.Enum_dbType.dbInt)					 '術後日数
					pDb.setParam(sqlXSI010F010.prmAFTER_OPE_CMPC_CHK, clsDB.Enum_dbType.dbNVarChar)			 '術後合併症有無コード
					pDb.setParam(sqlXSI010F010.prmHSP_OPE_CD, clsDB.Enum_dbType.dbNVarChar)					 '院内手術コード
					pDb.setParam(sqlXSI010F010.prmPRE_OPE_DAYS, clsDB.Enum_dbType.dbInt)						 '術前日数
					pDb.setParam(sqlXSI010F010.prmPLAN_EMERGENCY_CD, clsDB.Enum_dbType.dbNVarChar)			 '緊急区分コード
					pDb.setParam(sqlXSI010F010.prmASA_PS_GRP_CD, clsDB.Enum_dbType.dbNVarChar)				 'ＡＳＡ＿ＰＳコード
					pDb.setParam(sqlXSI010F010.prmTIME_OUT_FLG, clsDB.Enum_dbType.dbInt)						 '時間外フラグ
					pDb.setParam(sqlXSI010F010.prmBLEEDING_VOLUME, clsDB.Enum_dbType.dbInt)					 '出血量
					pDb.setParam(sqlXSI010F010.prmBLOOD_TRAN_VOLUME, clsDB.Enum_dbType.dbInt)				 '輸血量
					pDb.setParam(sqlXSI010F010.prmDATA_CAPTURE_DT, clsDB.Enum_dbType.dbDateTime)				 '取込日
					pDb.setParam(sqlXSI010F010.prmNEW_REG_DT, clsDB.Enum_dbType.dbDateTime)					 '新規登録日
					pDb.setParam(sqlXSI010F010.prmLASTUPDUSER_CD, clsDB.Enum_dbType.dbNVarChar)				 '更新者コード
					pDb.setParam(sqlXSI010F010.prmLASTUPD_DT, clsDB.Enum_dbType.dbDateTime)					 '更新日

					'値設定
					pDb.setVal(sqlXSI010F010.prmPATIENT_NO, cliMTI_OPE.PATIENT_NO)							 '患者番号
					pDb.setVal(sqlXSI010F010.prmHSP_HISTORY_NO, cliMTI_OPE.HSP_HISTORY_NO)					 '入退院歴番号
					pDb.setVal(sqlXSI010F010.prmCH_NO, cliMTI_OPE.CH_NO)									 '科歴番号
					pDb.setVal(sqlXSI010F010.prmOPE_SERIAL_NO, cliMTI_OPE.OPE_SERIAL_NO)					 '手術連番
					pDb.setVal(sqlXSI010F010.prmOPE_DIV, cliMTI_OPE.OPE_DIV)								 '手術区分コード
					pDb.setVal(sqlXSI010F010.prmOPE_NM, cliMTI_OPE.OPE_NM)									 '手術名
					pDb.setVal(sqlXSI010F010.prmOPE_DT, cliMTI_OPE.OPE_DT)									 '実施日
					pDb.setVal(sqlXSI010F010.prmOPE_TIME, cliMTI_OPE.OPE_TIME)								 '実施時刻
					pDb.setVal(sqlXSI010F010.prmOPE_REQUIRED_TIME, cliMTI_OPE.OPE_REQUIRED_TIME)			 '手術所要時間
					pDb.setVal(sqlXSI010F010.prmOPE_AGE, cliMTI_OPE.OPE_AGE)								 '手術時年齢
					pDb.setVal(sqlXSI010F010.prmOPE_MONTH_AGE, cliMTI_OPE.OPE_MONTH_AGE)					 '手術時月齢
					pDb.setVal(sqlXSI010F010.prmOPE_DAY_AGE, cliMTI_OPE.OPE_DAY_AGE)						 '手術時日齢
					pDb.setVal(sqlXSI010F010.prmANESTHESIA_DIV1, cliMTI_OPE.ANESTHESIA_DIV1)				 '麻酔区分コード１
					pDb.setVal(sqlXSI010F010.prmANESTHESIA_TIME, cliMTI_OPE.ANESTHESIA_TIME)				 '全身麻酔時間
					pDb.setVal(sqlXSI010F010.prmANESTHESIA_DIV2, cliMTI_OPE.ANESTHESIA_DIV2)				 '麻酔区分コード２
					pDb.setVal(sqlXSI010F010.prmASST_DIV1, cliMTI_OPE.ASST_DIV1)							 '補助区分コード１
					pDb.setVal(sqlXSI010F010.prmASST_DIV2, cliMTI_OPE.ASST_DIV2)							 '補助区分コード２
					pDb.setVal(sqlXSI010F010.prmREMARKS1, cliMTI_OPE.REMARKS1)								 '備考１
					pDb.setVal(sqlXSI010F010.prmREMARKS2, cliMTI_OPE.REMARKS2)								 '備考２
					pDb.setVal(sqlXSI010F010.prmSPT_DISEASE_SERIAL_NO, cliMTI_OPE.SPT_DISEASE_SERIAL_NO)	 '対応病名連番
					pDb.setVal(sqlXSI010F010.prmICD9CM_CD, cliMTI_OPE.ICD9CM_CD)							 'ＩＣＤ９ＣＭコード
					pDb.setVal(sqlXSI010F010.prmL_GRP_CD, cliMTI_OPE.L_GRP_CD)								 '大分類コード
					pDb.setVal(sqlXSI010F010.prmM_GRP_CD, cliMTI_OPE.M_GRP_CD)								 '中分類コード
					pDb.setVal(sqlXSI010F010.prmDIGS3_GRP_CD, cliMTI_OPE.DIGS3_GRP_CD)						 '３桁分類コード
					pDb.setVal(sqlXSI010F010.prmMNG_DIV, cliMTI_OPE.MNG_DIV)								 '管理記号
					pDb.setVal(sqlXSI010F010.prmMNG_NO, cliMTI_OPE.MNG_NO)									 '管理番号
					pDb.setVal(sqlXSI010F010.prmOPE_COUNT_CD, cliMTI_OPE.OPE_COUNT_CD)						 '手術回数コード
					pDb.setVal(sqlXSI010F010.prmOPE_PART_CD, cliMTI_OPE.OPE_PART_CD)						 '手術側数コード
					pDb.setVal(sqlXSI010F010.prmEND_DT, cliMTI_OPE.END_DT)									 '終了日
					pDb.setVal(sqlXSI010F010.prmEND_TIME, cliMTI_OPE.END_TIME)								 '終了時刻
					pDb.setVal(sqlXSI010F010.prmSPT_DISEASE_NM, cliMTI_OPE.SPT_DISEASE_NM)					 '病名
					pDb.setVal(sqlXSI010F010.prmSPT_DISEASE_ICD10_CD, cliMTI_OPE.SPT_DISEASE_ICD10_CD)		 'ＩＣＤ１０コード
					pDb.setVal(sqlXSI010F010.prmSPT_DISEASE_OUTCOME_CD, cliMTI_OPE.SPT_DISEASE_OUTCOME_CD)	 '病名転帰コード
					pDb.setVal(sqlXSI010F010.prmSPT_DISEASE_MNG_DIV1, cliMTI_OPE.SPT_DISEASE_MNG_DIV1)		 '病名管理記号
					pDb.setVal(sqlXSI010F010.prmSPT_DISEASE_MNG_NO, cliMTI_OPE.SPT_DISEASE_MNG_NO)			 '病名管理番号
					pDb.setVal(sqlXSI010F010.prmSCORE_CD, cliMTI_OPE.SCORE_CD)								 '点数表コード
					pDb.setVal(sqlXSI010F010.prmAFTER_OPE_DAYS, cliMTI_OPE.AFTER_OPE_DAYS)					 '術後日数
					pDb.setVal(sqlXSI010F010.prmAFTER_OPE_CMPC_CHK, cliMTI_OPE.AFTER_OPE_CMPC_CHK)			 '術後合併症有無コード
					pDb.setVal(sqlXSI010F010.prmHSP_OPE_CD, cliMTI_OPE.HSP_OPE_CD)							 '院内手術コード
					pDb.setVal(sqlXSI010F010.prmPRE_OPE_DAYS, cliMTI_OPE.PRE_OPE_DAYS)						 '術前日数
					pDb.setVal(sqlXSI010F010.prmPLAN_EMERGENCY_CD, cliMTI_OPE.PLAN_EMERGENCY_CD)			 '緊急区分コード
					pDb.setVal(sqlXSI010F010.prmASA_PS_GRP_CD, cliMTI_OPE.ASA_PS_GRP_CD)					 'ＡＳＡ＿ＰＳコード
					pDb.setVal(sqlXSI010F010.prmTIME_OUT_FLG, cliMTI_OPE.TIME_OUT_FLG)						 '時間外フラグ
					pDb.setVal(sqlXSI010F010.prmBLEEDING_VOLUME, cliMTI_OPE.BLEEDING_VOLUME)				 '出血量
					pDb.setVal(sqlXSI010F010.prmBLOOD_TRAN_VOLUME, cliMTI_OPE.BLOOD_TRAN_VOLUME)			 '輸血量
					pDb.setVal(sqlXSI010F010.prmDATA_CAPTURE_DT, DateTime.Now)								 '取込日
					pDb.setVal(sqlXSI010F010.prmNEW_REG_DT, DateTime.Now)									 '新規登録日
					pDb.setVal(sqlXSI010F010.prmLASTUPDUSER_CD, Me.cliXSI010F010._userID)					 '更新者コード
					pDb.setVal(sqlXSI010F010.prmLASTUPD_DT, DateTime.Now)									 '更新日

				Case Enum_SqlIdx.eDel '削除
					'SQL文設定
					pDb.setSQL(sqlXSI010F010.sqlDel_MTI_OPE)

					'パラメータ設定
					pDb.setParam(sqlXSI010F010.prmPATIENT_NO, clsDB.Enum_dbType.dbNVarChar)		 '患者番号
					pDb.setParam(sqlXSI010F010.prmHSP_HISTORY_NO, clsDB.Enum_dbType.dbInt)		 '入退院歴番号
					pDb.setParam(sqlXSI010F010.prmCH_NO, clsDB.Enum_dbType.dbInt)				 '科歴番号

					'値設定
					pDb.setVal(sqlXSI010F010.prmPATIENT_NO, cliMTI_OPE.PATIENT_NO)				 '患者番号
					pDb.setVal(sqlXSI010F010.prmHSP_HISTORY_NO, cliMTI_OPE.HSP_HISTORY_NO)		 '入退院歴番号
					pDb.setVal(sqlXSI010F010.prmCH_NO, cliMTI_OPE.CH_NO)						 '科歴番号

			End Select

			'SQL実行
			pDb.execNonQuery(tran)
		Catch ex As Exception
			Throw
		End Try
	End Sub

	''' ---------------------------------------------
	''' <summary>
	''' 【手術】登録SQLパラメータ設定[手術医師]
	''' </summary>
	''' <param name="pDb">DBクラス</param>
	''' <param name="tran">トランザクション制御</param>
	''' <param name="sqlIdx">SQL区分</param>
	''' <param name="cliMTI_OPE_DOCTOR">手術医師データクラス</param>
	''' <remarks>
	''' 2010/10/26 新規作成 ACS)牟禮<BR/>
	''' </remarks>
	''' ---------------------------------------------
	Private Sub setSqlParam_MTI_OPE_DOCTOR(ByVal pDb As clsDB, ByVal tran As Boolean, ByVal sqlIdx As Enum_SqlIdx, ByVal cliMTI_OPE_DOCTOR As clsXSI_MTI_OPE_DOCTOR)
		clsSysMst.logEx(clsSysMst.logLevel.DBG, "XSI", Me.GetType().Name, MethodBase.GetCurrentMethod().Name, "システム連携", "手術連携", "【手術】登録SQLパラメータ設定[手術医師] Start")
		Try
			Select Case sqlIdx
				Case Enum_SqlIdx.eIns '登録
					'SQL文設定
					pDb.setSQL(sqlXSI010F010.sqlIns_MTI_OPE_DOCTOR)

					'パラメータ設定
					pDb.setParam(sqlXSI010F010.prmPATIENT_NO, clsDB.Enum_dbType.dbNVarChar)		  '患者番号
					pDb.setParam(sqlXSI010F010.prmHSP_HISTORY_NO, clsDB.Enum_dbType.dbInt)		  '入退院歴番号
					pDb.setParam(sqlXSI010F010.prmCH_NO, clsDB.Enum_dbType.dbInt)				  '科歴番号
					pDb.setParam(sqlXSI010F010.prmOPE_SERIAL_NO, clsDB.Enum_dbType.dbInt)		  '手術連番
					pDb.setParam(sqlXSI010F010.prmOPE_DOCTOR_SERIAL_NO, clsDB.Enum_dbType.dbInt)	  '手術医師連番
					pDb.setParam(sqlXSI010F010.prmOPE_DOCTOR_DIV, clsDB.Enum_dbType.dbNVarChar)	  '手術医師区分コード
					pDb.setParam(sqlXSI010F010.prmDOCTOR_CD, clsDB.Enum_dbType.dbNVarChar)		  '医師コード
					pDb.setParam(sqlXSI010F010.prmLASTUPDUSER_CD, clsDB.Enum_dbType.dbNVarChar)	  '更新者コード
					pDb.setParam(sqlXSI010F010.prmLASTUPD_DT, clsDB.Enum_dbType.dbDateTime)		  '更新日

					'値設定
					pDb.setVal(sqlXSI010F010.prmPATIENT_NO, cliMTI_OPE_DOCTOR.PATIENT_NO)					  '患者番号
					pDb.setVal(sqlXSI010F010.prmHSP_HISTORY_NO, cliMTI_OPE_DOCTOR.HSP_HISTORY_NO)			  '入退院歴番号
					pDb.setVal(sqlXSI010F010.prmCH_NO, cliMTI_OPE_DOCTOR.CH_NO)								  '科歴番号
					pDb.setVal(sqlXSI010F010.prmOPE_SERIAL_NO, cliMTI_OPE_DOCTOR.OPE_SERIAL_NO)				  '手術連番
					pDb.setVal(sqlXSI010F010.prmOPE_DOCTOR_SERIAL_NO, cliMTI_OPE_DOCTOR.OPE_DOCTOR_SERIAL_NO) '手術医師連番
					pDb.setVal(sqlXSI010F010.prmOPE_DOCTOR_DIV, cliMTI_OPE_DOCTOR.OPE_DOCTOR_DIV)			  '手術医師区分コード
					pDb.setVal(sqlXSI010F010.prmDOCTOR_CD, cliMTI_OPE_DOCTOR.DOCTOR_CD)						  '医師コード
					pDb.setVal(sqlXSI010F010.prmLASTUPDUSER_CD, Me.cliXSI010F010._userID)					  '更新者コード
					pDb.setVal(sqlXSI010F010.prmLASTUPD_DT, DateTime.Now)									  '更新日

			End Select

			'SQL実行
			pDb.execNonQuery(tran)
		Catch ex As Exception
			Throw
		End Try
	End Sub

	''' ---------------------------------------------
	''' <summary>
	''' 【手術】削除SQLパラメータ設定[手術医師]
	''' </summary>
	''' <param name="pDb">DBクラス</param>
	''' <param name="tran">トランザクション制御</param>
	''' <param name="cliMTI_OPE_DOCTOR">手術医師データクラス</param>
	''' <param name="delKbn">削除区分</param>
	''' <remarks>
	''' 2010/10/26 新規作成 ACS)牟禮<BR/>
	''' </remarks>
	''' ---------------------------------------------
	Private Sub setSqlDelParam_MTI_OPE_DOCTOR(ByVal pDb As clsDB, ByVal tran As Boolean, ByVal cliMTI_OPE_DOCTOR As clsXSI_MTI_OPE_DOCTOR, ByVal delKbn As Enum_OPE_DOCTOR_Del_Kbn)
		clsSysMst.logEx(clsSysMst.logLevel.DBG, "XSI", Me.GetType().Name, MethodBase.GetCurrentMethod().Name, "システム連携", "手術連携", "【手術】削除SQLパラメータ設定[手術医師] Start")
		Try
			'SQL文設定
			Select Case delKbn
				Case Enum_OPE_DOCTOR_Del_Kbn.CH_DEL	'科歴内
					pDb.setSQL(sqlXSI010F010.sqlDel_MTI_OPE_DOCTOR)
				Case Enum_OPE_DOCTOR_Del_Kbn.SERIAL_DEL	'手術連番内
					pDb.setSQL(sqlXSI010F010.sqlDel_MTI_OPE_DOCTOR_SERIAL)
			End Select

			'パラメータ設定
			pDb.setParam(sqlXSI010F010.prmPATIENT_NO, clsDB.Enum_dbType.dbNVarChar)			  '患者番号
			pDb.setParam(sqlXSI010F010.prmHSP_HISTORY_NO, clsDB.Enum_dbType.dbInt)			  '入退院歴番号
			pDb.setParam(sqlXSI010F010.prmCH_NO, clsDB.Enum_dbType.dbInt)					  '科歴番号

			'値設定
			pDb.setVal(sqlXSI010F010.prmPATIENT_NO, cliMTI_OPE_DOCTOR.PATIENT_NO)			  '患者番号
			pDb.setVal(sqlXSI010F010.prmHSP_HISTORY_NO, cliMTI_OPE_DOCTOR.HSP_HISTORY_NO)	  '入退院歴番号
			pDb.setVal(sqlXSI010F010.prmCH_NO, cliMTI_OPE_DOCTOR.CH_NO)						  '科歴番号

			'手術連番削除時、パラメータ追加
			If delKbn = Enum_OPE_DOCTOR_Del_Kbn.SERIAL_DEL Then
				pDb.setParam(sqlXSI010F010.prmOPE_SERIAL_NO, clsDB.Enum_dbType.dbInt)			  '手術連番
				pDb.setVal(sqlXSI010F010.prmOPE_SERIAL_NO, cliMTI_OPE_DOCTOR.OPE_SERIAL_NO)		  '手術連番
			End If

			'SQL実行
			pDb.execNonQuery(tran)
		Catch ex As Exception
			Throw
		End Try
	End Sub

	''' ---------------------------------------------
	''' <summary>
	''' 【手術】SQLパラメータ設定[検査]
	''' </summary>
	''' <param name="pDb">DBクラス</param>
	''' <param name="tran">トランザクション制御</param>
	''' <param name="sqlIdx">SQL区分</param>
	''' <param name="cliMTI_TEST">検査情報データクラス</param>
	''' <remarks>
	''' 2010/10/26 新規作成 ACS)牟禮<BR/>
	''' </remarks>
	''' ---------------------------------------------
	Private Sub setSqlParam_MTI_TEST(ByVal pDb As clsDB, ByVal tran As Boolean, ByVal sqlIdx As Enum_SqlIdx, ByVal cliMTI_TEST As clsXSI_MTI_TEST)
		clsSysMst.logEx(clsSysMst.logLevel.DBG, "XSI", Me.GetType().Name, MethodBase.GetCurrentMethod().Name, "システム連携", "手術連携", "【手術】SQLパラメータ設定[検査] Start")
		Try
			Select Case sqlIdx
				Case Enum_SqlIdx.eIns, Enum_SqlIdx.eUpd	'登録・更新
					'SQL文設定
					If sqlIdx = Enum_SqlIdx.eIns Then
						pDb.setSQL(sqlXSI010F010.sqlIns_MTI_TEST)
					Else
						pDb.setSQL(sqlXSI010F010.sqlUpd_MTI_TEST)
					End If

					'パラメータ設定
					pDb.setParam(sqlXSI010F010.prmPATIENT_NO, clsDB.Enum_dbType.dbNVarChar)		'患者番号
					pDb.setParam(sqlXSI010F010.prmHSP_HISTORY_NO, clsDB.Enum_dbType.dbInt)		'入退院歴番号
					pDb.setParam(sqlXSI010F010.prmCH_NO, clsDB.Enum_dbType.dbInt)				'科歴番号
					pDb.setParam(sqlXSI010F010.prmTEST_SERIAL_NO, clsDB.Enum_dbType.dbInt)		'検査連番
					pDb.setParam(sqlXSI010F010.prmTEST_DIV, clsDB.Enum_dbType.dbNVarChar)			'検査区分コード
					pDb.setParam(sqlXSI010F010.prmTEST_NM, clsDB.Enum_dbType.dbNVarChar)			'検査名
					pDb.setParam(sqlXSI010F010.prmTEST_DT, clsDB.Enum_dbType.dbDateTime)			'実施日
					pDb.setParam(sqlXSI010F010.prmASST_DIV, clsDB.Enum_dbType.dbNVarChar)			'補助区分コード
					pDb.setParam(sqlXSI010F010.prmREMARKS1, clsDB.Enum_dbType.dbNVarChar)			'備考１
					pDb.setParam(sqlXSI010F010.prmREMARKS2, clsDB.Enum_dbType.dbNumeric)			'備考２(@@ float)
					pDb.setParam(sqlXSI010F010.prmICD9CM_CD, clsDB.Enum_dbType.dbNVarChar)		'ＩＣＤ９ＣＭコード
					pDb.setParam(sqlXSI010F010.prmL_GRP_CD, clsDB.Enum_dbType.dbNVarChar)			'大分類コード
					pDb.setParam(sqlXSI010F010.prmM_GRP_CD, clsDB.Enum_dbType.dbNVarChar)			'中分類コード
					pDb.setParam(sqlXSI010F010.prmDIGS3_GRP_CD, clsDB.Enum_dbType.dbNVarChar)		'３桁分類コード
					pDb.setParam(sqlXSI010F010.prmMNG_DIV, clsDB.Enum_dbType.dbNVarChar)			'管理記号
					pDb.setParam(sqlXSI010F010.prmMNG_NO, clsDB.Enum_dbType.dbInt)				'管理番号
					pDb.setParam(sqlXSI010F010.prmSCORE_CD, clsDB.Enum_dbType.dbNVarChar)			'点数表コード
					pDb.setParam(sqlXSI010F010.prmHSP_OPE_CD, clsDB.Enum_dbType.dbNVarChar)		'院内手術コード
					pDb.setParam(sqlXSI010F010.prmDATA_CAPTURE_DT, clsDB.Enum_dbType.dbDateTime)	'取込日
					pDb.setParam(sqlXSI010F010.prmNEW_REG_DT, clsDB.Enum_dbType.dbDateTime)		'新規登録日
					pDb.setParam(sqlXSI010F010.prmLASTUPDUSER_CD, clsDB.Enum_dbType.dbNVarChar)	'更新者コード
					pDb.setParam(sqlXSI010F010.prmLASTUPD_DT, clsDB.Enum_dbType.dbDateTime)		'更新日

					'値設定
					pDb.setVal(sqlXSI010F010.prmPATIENT_NO, cliMTI_TEST.PATIENT_NO)				'患者番号
					pDb.setVal(sqlXSI010F010.prmHSP_HISTORY_NO, cliMTI_TEST.HSP_HISTORY_NO)		'入退院歴番号
					pDb.setVal(sqlXSI010F010.prmCH_NO, cliMTI_TEST.CH_NO)						'科歴番号
					pDb.setVal(sqlXSI010F010.prmTEST_SERIAL_NO, cliMTI_TEST.TEST_SERIAL_NO)		'検査連番
					pDb.setVal(sqlXSI010F010.prmTEST_DIV, cliMTI_TEST.TEST_DIV)					'検査区分コード
					pDb.setVal(sqlXSI010F010.prmTEST_NM, cliMTI_TEST.TEST_NM)					'検査名
					pDb.setVal(sqlXSI010F010.prmTEST_DT, cliMTI_TEST.TEST_DT)					'実施日
					pDb.setVal(sqlXSI010F010.prmASST_DIV, cliMTI_TEST.ASST_DIV)					'補助区分コード
					pDb.setVal(sqlXSI010F010.prmREMARKS1, cliMTI_TEST.REMARKS1)					'備考１
					pDb.setVal(sqlXSI010F010.prmREMARKS2, cliMTI_TEST.REMARKS2)					'備考２
					pDb.setVal(sqlXSI010F010.prmICD9CM_CD, cliMTI_TEST.ICD9CM_CD)				'ＩＣＤ９ＣＭコード
					pDb.setVal(sqlXSI010F010.prmL_GRP_CD, cliMTI_TEST.L_GRP_CD)					'大分類コード
					pDb.setVal(sqlXSI010F010.prmM_GRP_CD, cliMTI_TEST.M_GRP_CD)					'中分類コード
					pDb.setVal(sqlXSI010F010.prmDIGS3_GRP_CD, cliMTI_TEST.DIGS3_GRP_CD)			'３桁分類コード
					pDb.setVal(sqlXSI010F010.prmMNG_DIV, cliMTI_TEST.MNG_DIV)					'管理記号
					pDb.setVal(sqlXSI010F010.prmMNG_NO, cliMTI_TEST.MNG_NO)						'管理番号
					pDb.setVal(sqlXSI010F010.prmSCORE_CD, cliMTI_TEST.SCORE_CD)					'点数表コード
					pDb.setVal(sqlXSI010F010.prmHSP_OPE_CD, cliMTI_TEST.HSP_OPE_CD)				'院内手術コード
					pDb.setVal(sqlXSI010F010.prmDATA_CAPTURE_DT, DateTime.Now)					'取込日
					pDb.setVal(sqlXSI010F010.prmNEW_REG_DT, DateTime.Now)						'新規登録日
					pDb.setVal(sqlXSI010F010.prmLASTUPDUSER_CD, Me.cliXSI010F010._userID)		'更新者コード
					pDb.setVal(sqlXSI010F010.prmLASTUPD_DT, DateTime.Now)						'更新日

				Case Enum_SqlIdx.eDel '削除
					'SQL文設定
					pDb.setSQL(sqlXSI010F010.sqlDel_MTI_TEST)

					'パラメータ設定
					pDb.setParam(sqlXSI010F010.prmPATIENT_NO, clsDB.Enum_dbType.dbNVarChar)				'患者番号
					pDb.setParam(sqlXSI010F010.prmHSP_HISTORY_NO, clsDB.Enum_dbType.dbInt)				'入退院歴番号
					pDb.setParam(sqlXSI010F010.prmCH_NO, clsDB.Enum_dbType.dbInt)						'科歴番号

					'値設定
					pDb.setVal(sqlXSI010F010.prmPATIENT_NO, cliMTI_TEST.PATIENT_NO)						'患者番号
					pDb.setVal(sqlXSI010F010.prmHSP_HISTORY_NO, cliMTI_TEST.HSP_HISTORY_NO)				'入退院歴番号
					pDb.setVal(sqlXSI010F010.prmCH_NO, cliMTI_TEST.CH_NO)								'科歴番号

			End Select

			'SQL実行
			pDb.execNonQuery(tran)
		Catch ex As Exception
			Throw
		End Try
	End Sub

	''' ---------------------------------------------
	''' <summary>
	''' 【手術】SQLパラメータ設定[治療処置]
	''' </summary>
	''' <param name="pDb">DBクラス</param>
	''' <param name="tran">トランザクション制御</param>
	''' <param name="sqlIdx">SQL区分</param>
	''' <param name="cliMTI_CARE">治療処置データ</param>
	''' <remarks>
	''' 2010/10/26 新規作成 ACS)牟禮<BR/>
	''' </remarks>
	''' ---------------------------------------------
	Private Sub setSqlParam_MTI_CARE(ByVal pDb As clsDB, ByVal tran As Boolean, ByVal sqlIdx As Enum_SqlIdx, ByVal cliMTI_CARE As clsXSI_MTI_CARE)
		clsSysMst.logEx(clsSysMst.logLevel.DBG, "XSI", Me.GetType().Name, MethodBase.GetCurrentMethod().Name, "システム連携", "手術連携", "【手術】SQLパラメータ設定[治療処置] Start")
		Try
			Select Case sqlIdx
				Case Enum_SqlIdx.eIns, Enum_SqlIdx.eUpd	'登録・更新
					'SQL文設定
					If sqlIdx = Enum_SqlIdx.eIns Then
						pDb.setSQL(sqlXSI010F010.sqlIns_MTI_CARE)
					Else
						pDb.setSQL(sqlXSI010F010.sqlUpd_MTI_CARE)
					End If

					'パラメータ設定
					pDb.setParam(sqlXSI010F010.prmPATIENT_NO, clsDB.Enum_dbType.dbNVarChar)		'患者番号
					pDb.setParam(sqlXSI010F010.prmHSP_HISTORY_NO, clsDB.Enum_dbType.dbInt)		'入退院歴番号
					pDb.setParam(sqlXSI010F010.prmCH_NO, clsDB.Enum_dbType.dbInt)				'科歴番号
					pDb.setParam(sqlXSI010F010.prmCARE_SERIAL_NO, clsDB.Enum_dbType.dbInt)		'治療処置連番
					pDb.setParam(sqlXSI010F010.prmCARE_DIV, clsDB.Enum_dbType.dbNVarChar)			'治療処置区分コード
					pDb.setParam(sqlXSI010F010.prmCARE_NM, clsDB.Enum_dbType.dbNVarChar)			'治療処置名
					pDb.setParam(sqlXSI010F010.prmCARE_DT, clsDB.Enum_dbType.dbDateTime)			'実施日
					pDb.setParam(sqlXSI010F010.prmASST_DIV, clsDB.Enum_dbType.dbNVarChar)			'補助区分コード
					pDb.setParam(sqlXSI010F010.prmREMARKS1, clsDB.Enum_dbType.dbNVarChar)			'備考１
					pDb.setParam(sqlXSI010F010.prmREMARKS2, clsDB.Enum_dbType.dbNumeric)			'備考２(@@ float)
					pDb.setParam(sqlXSI010F010.prmICD9CM_CD, clsDB.Enum_dbType.dbNVarChar)		'ＩＣＤ９ＣＭコード
					pDb.setParam(sqlXSI010F010.prmL_GRP_CD, clsDB.Enum_dbType.dbNVarChar)			'大分類コード
					pDb.setParam(sqlXSI010F010.prmM_GRP_CD, clsDB.Enum_dbType.dbNVarChar)			'中分類コード
					pDb.setParam(sqlXSI010F010.prmDIGS3_GRP_CD, clsDB.Enum_dbType.dbNVarChar)		'３桁分類コード
					pDb.setParam(sqlXSI010F010.prmMNG_DIV, clsDB.Enum_dbType.dbNVarChar)			'管理記号
					pDb.setParam(sqlXSI010F010.prmMNG_NO, clsDB.Enum_dbType.dbInt)				'管理番号
					pDb.setParam(sqlXSI010F010.prmSCORE_CD, clsDB.Enum_dbType.dbNVarChar)			'点数表コード
					pDb.setParam(sqlXSI010F010.prmHSP_OPE_CD, clsDB.Enum_dbType.dbNVarChar)		'院内手術コード
					pDb.setParam(sqlXSI010F010.prmDATA_CAPTURE_DT, clsDB.Enum_dbType.dbDateTime)	'取込日
					pDb.setParam(sqlXSI010F010.prmNEW_REG_DT, clsDB.Enum_dbType.dbDateTime)		'新規登録日
					pDb.setParam(sqlXSI010F010.prmLASTUPDUSER_CD, clsDB.Enum_dbType.dbNVarChar)	'更新者コード
					pDb.setParam(sqlXSI010F010.prmLASTUPD_DT, clsDB.Enum_dbType.dbDateTime)		'更新日

					'値設定
					pDb.setVal(sqlXSI010F010.prmPATIENT_NO, cliMTI_CARE.PATIENT_NO)				'患者番号
					pDb.setVal(sqlXSI010F010.prmHSP_HISTORY_NO, cliMTI_CARE.HSP_HISTORY_NO)		'入退院歴番号
					pDb.setVal(sqlXSI010F010.prmCH_NO, cliMTI_CARE.CH_NO)						'科歴番号
					pDb.setVal(sqlXSI010F010.prmCARE_SERIAL_NO, cliMTI_CARE.CARE_SERIAL_NO)		'治療処置連番
					pDb.setVal(sqlXSI010F010.prmCARE_DIV, cliMTI_CARE.CARE_DIV)					'治療処置区分コード
					pDb.setVal(sqlXSI010F010.prmCARE_NM, cliMTI_CARE.CARE_NM)					'治療処置名
					pDb.setVal(sqlXSI010F010.prmCARE_DT, cliMTI_CARE.CARE_DT)					'実施日
					pDb.setVal(sqlXSI010F010.prmASST_DIV, cliMTI_CARE.ASST_DIV)					'補助区分コード
					pDb.setVal(sqlXSI010F010.prmREMARKS1, cliMTI_CARE.REMARKS1)					'備考１
					pDb.setVal(sqlXSI010F010.prmREMARKS2, cliMTI_CARE.REMARKS2)					'備考２
					pDb.setVal(sqlXSI010F010.prmICD9CM_CD, cliMTI_CARE.ICD9CM_CD)				'ＩＣＤ９ＣＭコード
					pDb.setVal(sqlXSI010F010.prmL_GRP_CD, cliMTI_CARE.L_GRP_CD)					'大分類コード
					pDb.setVal(sqlXSI010F010.prmM_GRP_CD, cliMTI_CARE.M_GRP_CD)					'中分類コード
					pDb.setVal(sqlXSI010F010.prmDIGS3_GRP_CD, cliMTI_CARE.DIGS3_GRP_CD)			'３桁分類コード
					pDb.setVal(sqlXSI010F010.prmMNG_DIV, cliMTI_CARE.MNG_DIV)					'管理記号
					pDb.setVal(sqlXSI010F010.prmMNG_NO, cliMTI_CARE.MNG_NO)						'管理番号
					pDb.setVal(sqlXSI010F010.prmSCORE_CD, cliMTI_CARE.SCORE_CD)					'点数表コード
					pDb.setVal(sqlXSI010F010.prmHSP_OPE_CD, cliMTI_CARE.HSP_OPE_CD)				'院内手術コード
					pDb.setVal(sqlXSI010F010.prmDATA_CAPTURE_DT, DateTime.Now)					'取込日
					pDb.setVal(sqlXSI010F010.prmNEW_REG_DT, DateTime.Now)						'新規登録日
					pDb.setVal(sqlXSI010F010.prmLASTUPDUSER_CD, Me.cliXSI010F010._userID)		'更新者コード
					pDb.setVal(sqlXSI010F010.prmLASTUPD_DT, DateTime.Now)						'更新日


				Case Enum_SqlIdx.eDel '削除
					'SQL文設定
					pDb.setSQL(sqlXSI010F010.sqlDel_MTI_CARE)

					'パラメータ設定
					pDb.setParam(sqlXSI010F010.prmPATIENT_NO, clsDB.Enum_dbType.dbNVarChar)				'患者番号
					pDb.setParam(sqlXSI010F010.prmHSP_HISTORY_NO, clsDB.Enum_dbType.dbInt)				'入退院歴番号
					pDb.setParam(sqlXSI010F010.prmCH_NO, clsDB.Enum_dbType.dbInt)						'科歴番号

					'値設定
					pDb.setVal(sqlXSI010F010.prmPATIENT_NO, cliMTI_CARE.PATIENT_NO)						'患者番号
					pDb.setVal(sqlXSI010F010.prmHSP_HISTORY_NO, cliMTI_CARE.HSP_HISTORY_NO)				'入退院歴番号
					pDb.setVal(sqlXSI010F010.prmCH_NO, cliMTI_CARE.CH_NO)								'科歴番号

			End Select

			'SQL実行
			pDb.execNonQuery(tran)
		Catch ex As Exception
			Throw
		End Try
	End Sub

	''' ---------------------------------------------
	''' <summary>
	''' 【手術】手術数取得
	''' </summary>
	''' <param name="patientNo">取得対象患者番号</param>
	''' <param name="hspHistoryNo">取得対象入退院歴番号</param>
	''' <param name="chNo">取得対象科歴番号</param>
	''' <param name="pDb">DBクラス</param>
	''' <returns>手術数</returns>
	''' <remarks>
	''' 2010/10/28 新規作成 ACS)牟禮<BR/>
	''' </remarks>
	''' ---------------------------------------------
	Private Function getOpeCount(ByVal patientNo As String, ByVal hspHistoryNo As String, ByVal chNo As String, Optional ByVal pDb As clsDB = Nothing) As ArrayList
		clsSysMst.logEx(clsSysMst.logLevel.DBG, "XSI", Me.GetType().Name, MethodBase.GetCurrentMethod().Name, "システム連携", "手術連携", "【手術】手術数取得 Start")
		Dim db As clsDB = Nothing
		Dim arr As ArrayList = Nothing
		Try
			If pDb IsNot Nothing Then
				db = pDb
			Else
				db = New clsDB(clsSysMst.ctlConfigData)
			End If

			db.setSQL(sqlXSI010F010.sqlSel_MTI_OPE_COUNT)
			db.setParam(sqlXSI010F010.prmPATIENT_NO, clsDB.Enum_dbType.dbNVarChar)
			db.setParam(sqlXSI010F010.prmHSP_HISTORY_NO, clsDB.Enum_dbType.dbInt)
			db.setParam(sqlXSI010F010.prmCH_NO, clsDB.Enum_dbType.dbInt)
			db.setVal(sqlXSI010F010.prmPATIENT_NO, patientNo)
			db.setVal(sqlXSI010F010.prmHSP_HISTORY_NO, hspHistoryNo)
			db.setVal(sqlXSI010F010.prmCH_NO, chNo)

			arr = New ArrayList()
			db.execQuery(GetType(datOpeCnt), arr)

			Return arr
		Catch ex As Exception
			Throw
		Finally
			'解放
			If pDb Is Nothing AndAlso db IsNot Nothing Then db.Dispose()
			db = Nothing
		End Try
	End Function

	''' ---------------------------------------------
	''' <summary>
	''' 【手術】検査数取得
	''' </summary>
	''' <param name="patientNo">取得対象患者番号</param>
	''' <param name="hspHistoryNo">取得対象入退院歴番号</param>
	''' <param name="chNo">取得対象科歴番号</param>
	''' <param name="pDb">DBクラス</param>
	''' <returns>検査数</returns>
	''' <remarks>
	''' 2010/10/28 新規作成 ACS)牟禮<BR/>
	''' </remarks>
	''' ---------------------------------------------
	Private Function getTestCount(ByVal patientNo As String, ByVal hspHistoryNo As String, ByVal chNo As String, Optional ByVal pDb As clsDB = Nothing) As ArrayList
		clsSysMst.logEx(clsSysMst.logLevel.DBG, "XSI", Me.GetType().Name, MethodBase.GetCurrentMethod().Name, "システム連携", "手術連携", "【手術】検査数取得 Start")
		Dim db As clsDB = Nothing
		Dim arr As ArrayList = Nothing
		Try
			If pDb IsNot Nothing Then
				db = pDb
			Else
				db = New clsDB(clsSysMst.ctlConfigData)
			End If

			db.setSQL(sqlXSI010F010.sqlSel_MTI_TEST_COUNT)
			db.setParam(sqlXSI010F010.prmPATIENT_NO, clsDB.Enum_dbType.dbNVarChar)
			db.setParam(sqlXSI010F010.prmHSP_HISTORY_NO, clsDB.Enum_dbType.dbInt)
			db.setParam(sqlXSI010F010.prmCH_NO, clsDB.Enum_dbType.dbInt)
			db.setVal(sqlXSI010F010.prmPATIENT_NO, patientNo)
			db.setVal(sqlXSI010F010.prmHSP_HISTORY_NO, hspHistoryNo)
			db.setVal(sqlXSI010F010.prmCH_NO, chNo)

			arr = New ArrayList()
			db.execQuery(GetType(datTestCnt), arr)

			Return arr
		Catch ex As Exception
			Throw
		Finally
			'解放
			If pDb Is Nothing AndAlso db IsNot Nothing Then db.Dispose()
			db = Nothing
		End Try
	End Function

	''' ---------------------------------------------
	''' <summary>
	''' 【手術】治療処置数取得
	''' </summary>
	''' <param name="patientNo">取得対象患者番号</param>
	''' <param name="hspHistoryNo">取得対象入退院歴番号</param>
	''' <param name="chNo">取得対象科歴番号</param>
	''' <param name="pDb">DBクラス</param>
	''' <returns>治療処置数</returns>
	''' <remarks>
	''' 2010/10/28 新規作成 ACS)牟禮<BR/>
	''' </remarks>
	''' ---------------------------------------------
	Private Function getCareCount(ByVal patientNo As String, ByVal hspHistoryNo As String, ByVal chNo As String, Optional ByVal pDb As clsDB = Nothing) As ArrayList
		clsSysMst.logEx(clsSysMst.logLevel.DBG, "XSI", Me.GetType().Name, MethodBase.GetCurrentMethod().Name, "システム連携", "手術連携", "【手術】治療処置数取得 Start")
		Dim db As clsDB = Nothing
		Dim arr As ArrayList = Nothing
		Try
			If pDb IsNot Nothing Then
				db = pDb
			Else
				db = New clsDB(clsSysMst.ctlConfigData)
			End If

			db.setSQL(sqlXSI010F010.sqlSel_MTI_CARE_COUNT)
			db.setParam(sqlXSI010F010.prmPATIENT_NO, clsDB.Enum_dbType.dbNVarChar)
			db.setParam(sqlXSI010F010.prmHSP_HISTORY_NO, clsDB.Enum_dbType.dbInt)
			db.setParam(sqlXSI010F010.prmCH_NO, clsDB.Enum_dbType.dbInt)
			db.setVal(sqlXSI010F010.prmPATIENT_NO, patientNo)
			db.setVal(sqlXSI010F010.prmHSP_HISTORY_NO, hspHistoryNo)
			db.setVal(sqlXSI010F010.prmCH_NO, chNo)

			arr = New ArrayList()
			db.execQuery(GetType(datCareCnt), arr)

			Return arr
		Catch ex As Exception
			Throw
		Finally
			'解放
			If pDb Is Nothing AndAlso db IsNot Nothing Then db.Dispose()
			db = Nothing
		End Try
	End Function

	''' ---------------------------------------------
	''' <summary>
	''' 【手術】手術情報並び替え
	''' </summary>
	''' <param name="pDb">DBクラス</param>
	''' <param name="tran">トランザクション制御</param>
	''' <param name="patientNo">並び替えする科歴の患者番号</param>
	''' <param name="hspHistoryNo">並び替えする科歴の入退院歴番号</param>
	''' <param name="chNo">並び替えする科歴の科歴番号</param>
	''' <remarks>
	''' 2011/03/31 新規作成 ACS)牟禮<BR/>
	''' </remarks>
	''' ---------------------------------------------
	Private Sub sortOpe(ByVal pDb As clsDB, ByVal tran As Boolean, ByVal patientNo As String, ByVal hspHistoryNo As String, ByVal chNo As String)
		clsSysMst.logEx(clsSysMst.logLevel.DBG, "XSI", Me.GetType().Name, MethodBase.GetCurrentMethod().Name, "システム連携", "手術連携", "【手術】手術情報並び替え Start")
		Try
			'並び替えのため連番+1000
			'手術
			pDb.setSQL(sqlXSI010F010.sqlUpd_MTI_OPE_SORT1)
			pDb.setParam(sqlXSI010F010.prmPATIENT_NO, clsDB.Enum_dbType.dbNVarChar)
			pDb.setParam(sqlXSI010F010.prmHSP_HISTORY_NO, clsDB.Enum_dbType.dbInt)
			pDb.setParam(sqlXSI010F010.prmCH_NO, clsDB.Enum_dbType.dbInt)
			pDb.setVal(sqlXSI010F010.prmPATIENT_NO, patientNo)
			pDb.setVal(sqlXSI010F010.prmHSP_HISTORY_NO, hspHistoryNo)
			pDb.setVal(sqlXSI010F010.prmCH_NO, chNo)
			pDb.execNonQuery(tran)
			'手術医師
			pDb.setSQL(sqlXSI010F010.sqlUpd_MTI_OPE_DOCTOR_SORT1)
			pDb.setParam(sqlXSI010F010.prmPATIENT_NO, clsDB.Enum_dbType.dbNVarChar)
			pDb.setParam(sqlXSI010F010.prmHSP_HISTORY_NO, clsDB.Enum_dbType.dbInt)
			pDb.setParam(sqlXSI010F010.prmCH_NO, clsDB.Enum_dbType.dbInt)
			pDb.setVal(sqlXSI010F010.prmPATIENT_NO, patientNo)
			pDb.setVal(sqlXSI010F010.prmHSP_HISTORY_NO, hspHistoryNo)
			pDb.setVal(sqlXSI010F010.prmCH_NO, chNo)
			pDb.execNonQuery(tran)

			'並び替えして取得
			If clsSysMst.ctlEnvData.getEnv(datEnv.Enum_ENV.ENV_00046) = CStr(clsConst.Enum_SortOpe.Sort) Then
				'実施日・区分順
				pDb.setSQL(sqlXSI010F010.sqlSel_MTI_OPE_SORT)
			ElseIf clsSysMst.ctlEnvData.getEnv(datEnv.Enum_ENV.ENV_00046) = CStr(clsConst.Enum_SortOpe.SortDivDt) Then
				'区分・実施日順
				pDb.setSQL(sqlXSI010F010.sqlSel_MTI_OPE_SORTDIVDT)
			End If

			pDb.setParam(sqlXSI010F010.prmPATIENT_NO, clsDB.Enum_dbType.dbNVarChar)
			pDb.setParam(sqlXSI010F010.prmHSP_HISTORY_NO, clsDB.Enum_dbType.dbInt)
			pDb.setParam(sqlXSI010F010.prmCH_NO, clsDB.Enum_dbType.dbInt)
			pDb.setVal(sqlXSI010F010.prmPATIENT_NO, patientNo)
			pDb.setVal(sqlXSI010F010.prmHSP_HISTORY_NO, hspHistoryNo)
			pDb.setVal(sqlXSI010F010.prmCH_NO, chNo)

			Dim arr As ArrayList = Nothing
			Try
				arr = New ArrayList()
				pDb.execQuery(GetType(datOPE), arr)

				'連番振り直し
				For i As Integer = 0 To arr.Count - 1
					'手術
					pDb.setSQL(sqlXSI010F010.sqlUpd_MTI_OPE_SORT2)
					pDb.setParam(sqlXSI010F010.prmPATIENT_NO, clsDB.Enum_dbType.dbNVarChar)
					pDb.setParam(sqlXSI010F010.prmHSP_HISTORY_NO, clsDB.Enum_dbType.dbInt)
					pDb.setParam(sqlXSI010F010.prmCH_NO, clsDB.Enum_dbType.dbInt)
					pDb.setParam(sqlXSI010F010.prmOPE_SERIAL_NO_WHERE, clsDB.Enum_dbType.dbInt)
					pDb.setParam(sqlXSI010F010.prmOPE_SERIAL_NO, clsDB.Enum_dbType.dbInt)
					pDb.setVal(sqlXSI010F010.prmPATIENT_NO, patientNo)
					pDb.setVal(sqlXSI010F010.prmHSP_HISTORY_NO, hspHistoryNo)
					pDb.setVal(sqlXSI010F010.prmCH_NO, chNo)
					pDb.setVal(sqlXSI010F010.prmOPE_SERIAL_NO_WHERE, DirectCast(arr(i), datOPE).OPE_SERIAL_NO)
					pDb.setVal(sqlXSI010F010.prmOPE_SERIAL_NO, i + 1)
					pDb.execNonQuery(tran)

					'手術医師
					pDb.setSQL(sqlXSI010F010.sqlUpd_MTI_OPE_DOCTOR_SORT2)
					pDb.setParam(sqlXSI010F010.prmPATIENT_NO, clsDB.Enum_dbType.dbNVarChar)
					pDb.setParam(sqlXSI010F010.prmHSP_HISTORY_NO, clsDB.Enum_dbType.dbInt)
					pDb.setParam(sqlXSI010F010.prmCH_NO, clsDB.Enum_dbType.dbInt)
					pDb.setParam(sqlXSI010F010.prmOPE_SERIAL_NO_WHERE, clsDB.Enum_dbType.dbInt)
					pDb.setParam(sqlXSI010F010.prmOPE_SERIAL_NO, clsDB.Enum_dbType.dbInt)
					pDb.setVal(sqlXSI010F010.prmPATIENT_NO, patientNo)
					pDb.setVal(sqlXSI010F010.prmHSP_HISTORY_NO, hspHistoryNo)
					pDb.setVal(sqlXSI010F010.prmCH_NO, chNo)
					pDb.setVal(sqlXSI010F010.prmOPE_SERIAL_NO_WHERE, DirectCast(arr(i), datOPE).OPE_SERIAL_NO)
					pDb.setVal(sqlXSI010F010.prmOPE_SERIAL_NO, i + 1)
					pDb.execNonQuery(tran)
				Next
			Finally
				If arr IsNot Nothing Then arr.Clear()
				arr = Nothing
			End Try
		Catch ex As Exception
			Throw
		End Try
	End Sub

	''' ---------------------------------------------
	''' <summary>
	''' 【手術】検査情報並び替え
	''' </summary>
	''' <param name="pDb">DBクラス</param>
	''' <param name="tran">トランザクション制御</param>
	''' <param name="patientNo">並び替えする科歴の患者番号</param>
	''' <param name="hspHistoryNo">並び替えする科歴の入退院歴番号</param>
	''' <param name="chNo">並び替えする科歴の科歴番号</param>
	''' <remarks>
	''' 2011/03/31 新規作成 ACS)牟禮<BR/>
	''' </remarks>
	''' ---------------------------------------------
	Private Sub sortTest(ByVal pDB As clsDB, ByVal tran As Boolean, ByVal patientNo As String, ByVal hspHistoryNo As String, ByVal chNo As String)
		clsSysMst.logEx(clsSysMst.logLevel.DBG, "XSI", Me.GetType().Name, MethodBase.GetCurrentMethod().Name, "システム連携", "手術連携", "【手術】検査情報並び替え Start")
		Try
			'並び替えのため連番+1000
			pDB.setSQL(sqlXSI010F010.sqlUpd_MTI_TEST_SORT1)
			pDB.setParam(sqlXSI010F010.prmPATIENT_NO, clsDB.Enum_dbType.dbNVarChar)
			pDB.setParam(sqlXSI010F010.prmHSP_HISTORY_NO, clsDB.Enum_dbType.dbInt)
			pDB.setParam(sqlXSI010F010.prmCH_NO, clsDB.Enum_dbType.dbInt)
			pDB.setVal(sqlXSI010F010.prmPATIENT_NO, patientNo)
			pDB.setVal(sqlXSI010F010.prmHSP_HISTORY_NO, hspHistoryNo)
			pDB.setVal(sqlXSI010F010.prmCH_NO, chNo)
			pDB.execNonQuery(tran)

			'並び替えして取得
			If clsSysMst.ctlEnvData.getEnv(datEnv.Enum_ENV.ENV_00048) = CStr(clsConst.Enum_SortTest.Sort) Then
				pDB.setSQL(sqlXSI010F010.sqlSel_MTI_TEST_SORT)
			ElseIf clsSysMst.ctlEnvData.getEnv(datEnv.Enum_ENV.ENV_00048) = CStr(clsConst.Enum_SortTest.SortDivDt) Then
				pDB.setSQL(sqlXSI010F010.sqlSel_MTI_TEST_SORTDIVDT)
			End If

			pDB.setParam(sqlXSI010F010.prmPATIENT_NO, clsDB.Enum_dbType.dbNVarChar)
			pDB.setParam(sqlXSI010F010.prmHSP_HISTORY_NO, clsDB.Enum_dbType.dbInt)
			pDB.setParam(sqlXSI010F010.prmCH_NO, clsDB.Enum_dbType.dbInt)
			pDB.setVal(sqlXSI010F010.prmPATIENT_NO, patientNo)
			pDB.setVal(sqlXSI010F010.prmHSP_HISTORY_NO, hspHistoryNo)
			pDB.setVal(sqlXSI010F010.prmCH_NO, chNo)

			Dim arr As ArrayList = Nothing
			Try
				arr = New ArrayList()
				pDB.execQuery(GetType(datTEST), arr)

				'連番振り直し
				For i As Integer = 0 To arr.Count - 1
					pDB.setSQL(sqlXSI010F010.sqlUpd_MTI_TEST_SORT2)
					pDB.setParam(sqlXSI010F010.prmPATIENT_NO, clsDB.Enum_dbType.dbNVarChar)
					pDB.setParam(sqlXSI010F010.prmHSP_HISTORY_NO, clsDB.Enum_dbType.dbInt)
					pDB.setParam(sqlXSI010F010.prmCH_NO, clsDB.Enum_dbType.dbInt)
					pDB.setParam(sqlXSI010F010.prmTEST_SERIAL_NO_WHERE, clsDB.Enum_dbType.dbInt)
					pDB.setParam(sqlXSI010F010.prmTEST_SERIAL_NO, clsDB.Enum_dbType.dbInt)
					pDB.setVal(sqlXSI010F010.prmPATIENT_NO, patientNo)
					pDB.setVal(sqlXSI010F010.prmHSP_HISTORY_NO, hspHistoryNo)
					pDB.setVal(sqlXSI010F010.prmCH_NO, chNo)
					pDB.setVal(sqlXSI010F010.prmTEST_SERIAL_NO_WHERE, DirectCast(arr(i), datTEST).TEST_SERIAL_NO)
					pDB.setVal(sqlXSI010F010.prmTEST_SERIAL_NO, i + 1)
					pDB.execNonQuery(tran)
				Next
			Finally
				If arr IsNot Nothing Then arr.Clear()
				arr = Nothing
			End Try
		Catch ex As Exception
			Throw
		End Try
	End Sub

	''' ---------------------------------------------
	''' <summary>
	''' 【手術】治療処置情報並び替え
	''' </summary>
	''' <param name="pDb">DBクラス</param>
	''' <param name="tran">トランザクション制御</param>
	''' <param name="patientNo">並び替えする科歴の患者番号</param>
	''' <param name="hspHistoryNo">並び替えする科歴の入退院歴番号</param>
	''' <param name="chNo">並び替えする科歴の科歴番号</param>
	''' <remarks>
	''' 2011/03/31 新規作成 ACS)牟禮<BR/>
	''' </remarks>
	''' ---------------------------------------------
	Private Sub sortCare(ByVal pDB As clsDB, ByVal tran As Boolean, ByVal patientNo As String, ByVal hspHistoryNo As String, ByVal chNo As String)
		clsSysMst.logEx(clsSysMst.logLevel.DBG, "XSI", Me.GetType().Name, MethodBase.GetCurrentMethod().Name, "システム連携", "手術連携", "【手術】治療処置情報並び替え Start")
		Try
			'並び替えのため連番+1000
			pDB.setSQL(sqlXSI010F010.sqlUpd_MTI_CARE_SORT1)
			pDB.setParam(sqlXSI010F010.prmPATIENT_NO, clsDB.Enum_dbType.dbNVarChar)
			pDB.setParam(sqlXSI010F010.prmHSP_HISTORY_NO, clsDB.Enum_dbType.dbInt)
			pDB.setParam(sqlXSI010F010.prmCH_NO, clsDB.Enum_dbType.dbInt)
			pDB.setVal(sqlXSI010F010.prmPATIENT_NO, patientNo)
			pDB.setVal(sqlXSI010F010.prmHSP_HISTORY_NO, hspHistoryNo)
			pDB.setVal(sqlXSI010F010.prmCH_NO, chNo)
			pDB.execNonQuery(tran)

			'並び替えして取得
			If clsSysMst.ctlEnvData.getEnv(datEnv.Enum_ENV.ENV_00047) = CStr(clsConst.Enum_SortCare.Sort) Then
				pDB.setSQL(sqlXSI010F010.sqlSel_MTI_CARE_SORT)
			ElseIf clsSysMst.ctlEnvData.getEnv(datEnv.Enum_ENV.ENV_00047) = CStr(clsConst.Enum_SortCare.SortDivDt) Then
				pDB.setSQL(sqlXSI010F010.sqlSel_MTI_CARE_SORTDIVDT)
			End If
			pDB.setParam(sqlXSI010F010.prmPATIENT_NO, clsDB.Enum_dbType.dbNVarChar)
			pDB.setParam(sqlXSI010F010.prmHSP_HISTORY_NO, clsDB.Enum_dbType.dbInt)
			pDB.setParam(sqlXSI010F010.prmCH_NO, clsDB.Enum_dbType.dbInt)
			pDB.setVal(sqlXSI010F010.prmPATIENT_NO, patientNo)
			pDB.setVal(sqlXSI010F010.prmHSP_HISTORY_NO, hspHistoryNo)
			pDB.setVal(sqlXSI010F010.prmCH_NO, chNo)

			Dim arr As ArrayList = Nothing
			Try
				arr = New ArrayList()
				pDB.execQuery(GetType(datCARE), arr)

				'連番振り直し
				For i As Integer = 0 To arr.Count - 1
					pDB.setSQL(sqlXSI010F010.sqlUpd_MTI_CARE_SORT2)
					pDB.setParam(sqlXSI010F010.prmPATIENT_NO, clsDB.Enum_dbType.dbNVarChar)
					pDB.setParam(sqlXSI010F010.prmHSP_HISTORY_NO, clsDB.Enum_dbType.dbInt)
					pDB.setParam(sqlXSI010F010.prmCH_NO, clsDB.Enum_dbType.dbInt)
					pDB.setParam(sqlXSI010F010.prmCARE_SERIAL_NO_WHERE, clsDB.Enum_dbType.dbInt)
					pDB.setParam(sqlXSI010F010.prmCARE_SERIAL_NO, clsDB.Enum_dbType.dbInt)
					pDB.setVal(sqlXSI010F010.prmPATIENT_NO, patientNo)
					pDB.setVal(sqlXSI010F010.prmHSP_HISTORY_NO, hspHistoryNo)
					pDB.setVal(sqlXSI010F010.prmCH_NO, chNo)
					pDB.setVal(sqlXSI010F010.prmCARE_SERIAL_NO_WHERE, DirectCast(arr(i), datCARE).CARE_SERIAL_NO)
					pDB.setVal(sqlXSI010F010.prmCARE_SERIAL_NO, i + 1)
					pDB.execNonQuery(tran)
				Next
			Finally
				If arr IsNot Nothing Then arr.Clear()
				arr = Nothing
			End Try
		Catch ex As Exception
			Throw
		End Try
	End Sub

	''' ---------------------------------------------
	''' <summary>
	''' 【手術】ログSQL登録
	''' </summary>
	''' <param name="pDb">DBクラス</param>
	''' <param name="cliOneCsvData">連携ファイル1行データ</param>
	''' <remarks>
	''' 2010/10/21 新規作成 ACS)牟禮<BR/>
	''' </remarks>
	''' ---------------------------------------------
	Private Sub setSqlParam_MTT_IMP_LOG(ByVal pDb As clsDB, ByVal cliOneCsvData As clsXSI_MTT_IMP_LOG_OPE)
		clsSysMst.logEx(clsSysMst.logLevel.DBG, "XSI", Me.GetType().Name, MethodBase.GetCurrentMethod().Name, "システム連携", "手術連携", "【手術】ログ登録 Start")
		Try
			'SQL文設定
			pDb.setSQL(sqlXSI010F010.sqlIns_MTT_IMP_LOG_OPE)

			'パラメータ設定
			pDb.setParam(sqlXSI010F010.prmREG_DT, clsDB.Enum_dbType.dbDateTime)				 '登録日
			pDb.setParam(sqlXSI010F010.prmSERIAL_NO, clsDB.Enum_dbType.dbInt)				 '連番
			pDb.setParam(sqlXSI010F010.prmERR_FLG, clsDB.Enum_dbType.dbInt)					 'エラーフラグ
			pDb.setParam(sqlXSI010F010.prmDATA_TYPE, clsDB.Enum_dbType.dbNVarChar)			 'データ種別
			pDb.setParam(sqlXSI010F010.prmPATIENT_NO, clsDB.Enum_dbType.dbNVarChar)			 '患者番号
			pDb.setParam(sqlXSI010F010.prmDEPT_CD, clsDB.Enum_dbType.dbNVarChar)				 '診療科コード
			pDb.setParam(sqlXSI010F010.prmHSP_DT, clsDB.Enum_dbType.dbNVarChar)				 '入院日
			pDb.setParam(sqlXSI010F010.prmINFO_DIV, clsDB.Enum_dbType.dbNVarChar)				 '情報区分
			pDb.setParam(sqlXSI010F010.prmICD9CM_CD, clsDB.Enum_dbType.dbNVarChar)			 'ＩＣＤ９ＣＭコード
			pDb.setParam(sqlXSI010F010.prmMAIN_DIV_CD, clsDB.Enum_dbType.dbNVarChar)			 '主区分コード
			pDb.setParam(sqlXSI010F010.prmOPE_NM, clsDB.Enum_dbType.dbNVarChar)				 '手術名
			pDb.setParam(sqlXSI010F010.prmOPE_DT, clsDB.Enum_dbType.dbNVarChar)				 '実施日
			pDb.setParam(sqlXSI010F010.prmOPE_TIME, clsDB.Enum_dbType.dbNVarChar)				 '実施時刻
			pDb.setParam(sqlXSI010F010.prmEND_DT, clsDB.Enum_dbType.dbNVarChar)				 '終了日
			pDb.setParam(sqlXSI010F010.prmEND_TIME, clsDB.Enum_dbType.dbNVarChar)				 '終了時刻
			pDb.setParam(sqlXSI010F010.prmOPE_COUNT_CD, clsDB.Enum_dbType.dbNVarChar)			 '手術回数コード
			pDb.setParam(sqlXSI010F010.prmOPE_PART_CD, clsDB.Enum_dbType.dbNVarChar)			 '手術側数コード
			pDb.setParam(sqlXSI010F010.prmASST_DIV1, clsDB.Enum_dbType.dbNVarChar)			 '補助区分コード１
			pDb.setParam(sqlXSI010F010.prmASST_DIV2, clsDB.Enum_dbType.dbNVarChar)			 '補助区分コード２
			pDb.setParam(sqlXSI010F010.prmREMARKS1, clsDB.Enum_dbType.dbNVarChar)				 '備考１
			pDb.setParam(sqlXSI010F010.prmREMARKS2, clsDB.Enum_dbType.dbNVarChar)				 '備考２
			pDb.setParam(sqlXSI010F010.prmK_CD, clsDB.Enum_dbType.dbNVarChar)					 'Ｋコード
			pDb.setParam(sqlXSI010F010.prmMNG_NO, clsDB.Enum_dbType.dbNVarChar)				 '管理番号
			pDb.setParam(sqlXSI010F010.prmANESTHESIA_DIV1, clsDB.Enum_dbType.dbNVarChar)		 '麻酔区分コード１
			pDb.setParam(sqlXSI010F010.prmANESTHESIA_TIME, clsDB.Enum_dbType.dbNVarChar)		 '全身麻酔時間
			pDb.setParam(sqlXSI010F010.prmANESTHESIA_DIV2, clsDB.Enum_dbType.dbNVarChar)		 '麻酔区分コード２
			pDb.setParam(sqlXSI010F010.prmOPE_DOCTOR_DIV1, clsDB.Enum_dbType.dbNVarChar)		 '手術医師区分コード１
			pDb.setParam(sqlXSI010F010.prmDOCTOR_CD1, clsDB.Enum_dbType.dbNVarChar)			 '医師コード１
			pDb.setParam(sqlXSI010F010.prmOPE_DOCTOR_DIV2, clsDB.Enum_dbType.dbNVarChar)		 '手術医師区分コード２
			pDb.setParam(sqlXSI010F010.prmDOCTOR_CD2, clsDB.Enum_dbType.dbNVarChar)			 '医師コード２
			pDb.setParam(sqlXSI010F010.prmOPE_DOCTOR_DIV3, clsDB.Enum_dbType.dbNVarChar)		 '手術医師区分コード３
			pDb.setParam(sqlXSI010F010.prmDOCTOR_CD3, clsDB.Enum_dbType.dbNVarChar)			 '医師コード３
			pDb.setParam(sqlXSI010F010.prmOPE_DOCTOR_DIV4, clsDB.Enum_dbType.dbNVarChar)		 '手術医師区分コード４
			pDb.setParam(sqlXSI010F010.prmDOCTOR_CD4, clsDB.Enum_dbType.dbNVarChar)			 '医師コード４
			pDb.setParam(sqlXSI010F010.prmOPE_DOCTOR_DIV5, clsDB.Enum_dbType.dbNVarChar)		 '手術医師区分コード５
			pDb.setParam(sqlXSI010F010.prmDOCTOR_CD5, clsDB.Enum_dbType.dbNVarChar)			 '医師コード５
			pDb.setParam(sqlXSI010F010.prmOPE_DOCTOR_DIV6, clsDB.Enum_dbType.dbNVarChar)		 '手術医師区分コード６
			pDb.setParam(sqlXSI010F010.prmDOCTOR_CD6, clsDB.Enum_dbType.dbNVarChar)			 '医師コード６
			pDb.setParam(sqlXSI010F010.prmOPE_DOCTOR_DIV7, clsDB.Enum_dbType.dbNVarChar)		 '手術医師区分コード７
			pDb.setParam(sqlXSI010F010.prmDOCTOR_CD7, clsDB.Enum_dbType.dbNVarChar)			 '医師コード７
			pDb.setParam(sqlXSI010F010.prmOPE_DOCTOR_DIV8, clsDB.Enum_dbType.dbNVarChar)		 '手術医師区分コード８
			pDb.setParam(sqlXSI010F010.prmDOCTOR_CD8, clsDB.Enum_dbType.dbNVarChar)			 '医師コード８
			pDb.setParam(sqlXSI010F010.prmOPE_DOCTOR_DIV9, clsDB.Enum_dbType.dbNVarChar)		 '手術医師区分コード９
			pDb.setParam(sqlXSI010F010.prmDOCTOR_CD9, clsDB.Enum_dbType.dbNVarChar)			 '医師コード９
			pDb.setParam(sqlXSI010F010.prmOPE_DOCTOR_DIV10, clsDB.Enum_dbType.dbNVarChar)		 '手術医師区分コード１０
			pDb.setParam(sqlXSI010F010.prmDOCTOR_CD10, clsDB.Enum_dbType.dbNVarChar)			 '医師コード１０
			pDb.setParam(sqlXSI010F010.prmAFTER_OPE_CMPC_CHK, clsDB.Enum_dbType.dbNVarChar)	 '術後合併症有無コード
			pDb.setParam(sqlXSI010F010.prmHSP_OPE_CD, clsDB.Enum_dbType.dbNVarChar)			 '院内手術コード
			pDb.setParam(sqlXSI010F010.prmMODULE_CD, clsDB.Enum_dbType.dbNVarChar)			 'モジュールコード
			pDb.setParam(sqlXSI010F010.prmERR_CD, clsDB.Enum_dbType.dbNVarChar)				 'エラーコード
			pDb.setParam(sqlXSI010F010.prmMESSAGE, clsDB.Enum_dbType.dbNVarChar)				 'メッセージ
			pDb.setParam(sqlXSI010F010.prmSPT_DISEASE_ICD10_CD, clsDB.Enum_dbType.dbNVarChar)	 'ＩＣＤ１０コード
			pDb.setParam(sqlXSI010F010.prmSPT_DISEASE_NM, clsDB.Enum_dbType.dbNVarChar)		 '病名
			pDb.setParam(sqlXSI010F010.prmSPARE01, clsDB.Enum_dbType.dbNVarChar)				 '予備１
			pDb.setParam(sqlXSI010F010.prmSPARE02, clsDB.Enum_dbType.dbNVarChar)				 '予備２
			pDb.setParam(sqlXSI010F010.prmSPARE03, clsDB.Enum_dbType.dbNVarChar)				 '予備３
			pDb.setParam(sqlXSI010F010.prmSPARE04, clsDB.Enum_dbType.dbNVarChar)				 '予備４
			pDb.setParam(sqlXSI010F010.prmSPARE05, clsDB.Enum_dbType.dbNVarChar)				 '予備５
			pDb.setParam(sqlXSI010F010.prmSPARE06, clsDB.Enum_dbType.dbNVarChar)				 '予備６
			pDb.setParam(sqlXSI010F010.prmSPARE07, clsDB.Enum_dbType.dbNVarChar)				 '予備７
			pDb.setParam(sqlXSI010F010.prmSPARE08, clsDB.Enum_dbType.dbNVarChar)				 '予備８
			pDb.setParam(sqlXSI010F010.prmLASTUPDUSER_CD, clsDB.Enum_dbType.dbNVarChar)		 '更新者コード
			pDb.setParam(sqlXSI010F010.prmLASTUPD_DT, clsDB.Enum_dbType.dbDateTime)			 '更新日
			pDb.setParam(sqlXSI010F010.prmPLAN_EMERGENCY_CD, clsDB.Enum_dbType.dbNVarChar)	 '手術予定緊急区分コード
			pDb.setParam(sqlXSI010F010.prmTIME_OUT_FLG, clsDB.Enum_dbType.dbNVarChar)			 '時間外フラグ
			pDb.setParam(sqlXSI010F010.prmASA_PS_GRP_CD, clsDB.Enum_dbType.dbNVarChar)		 'ＡＳＡ＿ＰＳコード
			pDb.setParam(sqlXSI010F010.prmBLEEDING_VOLUME, clsDB.Enum_dbType.dbNVarChar)		 '出血量
			pDb.setParam(sqlXSI010F010.prmBLOOD_TRAN_VOLUME, clsDB.Enum_dbType.dbNVarChar)	 '輸血量

			'値設定
			pDb.setVal(sqlXSI010F010.prmREG_DT, DateTime.Now)										 '登録日
			pDb.setVal(sqlXSI010F010.prmSERIAL_NO, cliOneCsvData.SERIAL_NO)							 '連番
			pDb.setVal(sqlXSI010F010.prmERR_FLG, cliOneCsvData.ERR_FLG)								 'エラーフラグ
			pDb.setVal(sqlXSI010F010.prmDATA_TYPE, cliOneCsvData.DATA_TYPE)							 'データ種別
			pDb.setVal(sqlXSI010F010.prmPATIENT_NO, cliOneCsvData.PATIENT_NO)						 '患者番号
			pDb.setVal(sqlXSI010F010.prmDEPT_CD, cliOneCsvData.DEPT_CD)								 '診療科コード
			pDb.setVal(sqlXSI010F010.prmHSP_DT, cliOneCsvData.HSP_DT)								 '入院日
			pDb.setVal(sqlXSI010F010.prmINFO_DIV, cliOneCsvData.INFO_DIV)							 '情報区分
			pDb.setVal(sqlXSI010F010.prmICD9CM_CD, cliOneCsvData.ICD9CM_CD)							 'ＩＣＤ９ＣＭコード
			pDb.setVal(sqlXSI010F010.prmMAIN_DIV_CD, cliOneCsvData.MAIN_DIV_CD)						 '主区分コード
			pDb.setVal(sqlXSI010F010.prmOPE_NM, cliOneCsvData.OPE_NM)								 '手術名
			pDb.setVal(sqlXSI010F010.prmOPE_DT, cliOneCsvData.OPE_DT)								 '実施日
			pDb.setVal(sqlXSI010F010.prmOPE_TIME, cliOneCsvData.OPE_TIME)							 '実施時刻
			pDb.setVal(sqlXSI010F010.prmEND_DT, cliOneCsvData.END_DT)								 '終了日
			pDb.setVal(sqlXSI010F010.prmEND_TIME, cliOneCsvData.END_TIME)							 '終了時刻
			pDb.setVal(sqlXSI010F010.prmOPE_COUNT_CD, cliOneCsvData.OPE_COUNT_CD)					 '手術回数コード
			pDb.setVal(sqlXSI010F010.prmOPE_PART_CD, cliOneCsvData.OPE_PART_CD)						 '手術側数コード
			pDb.setVal(sqlXSI010F010.prmASST_DIV1, cliOneCsvData.ASST_DIV1)							 '補助区分コード１
			pDb.setVal(sqlXSI010F010.prmASST_DIV2, cliOneCsvData.ASST_DIV2)							 '補助区分コード２
			pDb.setVal(sqlXSI010F010.prmREMARKS1, cliOneCsvData.REMARKS1)							 '備考１
			pDb.setVal(sqlXSI010F010.prmREMARKS2, cliOneCsvData.REMARKS2)							 '備考２
			pDb.setVal(sqlXSI010F010.prmK_CD, cliOneCsvData.K_CD)									 'Ｋコード
			pDb.setVal(sqlXSI010F010.prmMNG_NO, cliOneCsvData.MNG_NO)								 '管理番号
			pDb.setVal(sqlXSI010F010.prmANESTHESIA_DIV1, cliOneCsvData.ANESTHESIA_DIV1)				 '麻酔区分コード１
			pDb.setVal(sqlXSI010F010.prmANESTHESIA_TIME, cliOneCsvData.ANESTHESIA_TIME)				 '全身麻酔時間
			pDb.setVal(sqlXSI010F010.prmANESTHESIA_DIV2, cliOneCsvData.ANESTHESIA_DIV2)				 '麻酔区分コード２
			pDb.setVal(sqlXSI010F010.prmOPE_DOCTOR_DIV1, cliOneCsvData.OPE_DOCTOR_DIV1)				 '手術医師区分コード１
			pDb.setVal(sqlXSI010F010.prmDOCTOR_CD1, cliOneCsvData.DOCTOR_CD1)						 '医師コード１
			pDb.setVal(sqlXSI010F010.prmOPE_DOCTOR_DIV2, cliOneCsvData.OPE_DOCTOR_DIV2)				 '手術医師区分コード２
			pDb.setVal(sqlXSI010F010.prmDOCTOR_CD2, cliOneCsvData.DOCTOR_CD2)						 '医師コード２
			pDb.setVal(sqlXSI010F010.prmOPE_DOCTOR_DIV3, cliOneCsvData.OPE_DOCTOR_DIV3)				 '手術医師区分コード３
			pDb.setVal(sqlXSI010F010.prmDOCTOR_CD3, cliOneCsvData.DOCTOR_CD3)						 '医師コード３
			pDb.setVal(sqlXSI010F010.prmOPE_DOCTOR_DIV4, cliOneCsvData.OPE_DOCTOR_DIV4)				 '手術医師区分コード４
			pDb.setVal(sqlXSI010F010.prmDOCTOR_CD4, cliOneCsvData.DOCTOR_CD4)						 '医師コード４
			pDb.setVal(sqlXSI010F010.prmOPE_DOCTOR_DIV5, cliOneCsvData.OPE_DOCTOR_DIV5)				 '手術医師区分コード５
			pDb.setVal(sqlXSI010F010.prmDOCTOR_CD5, cliOneCsvData.DOCTOR_CD5)						 '医師コード５
			pDb.setVal(sqlXSI010F010.prmOPE_DOCTOR_DIV6, cliOneCsvData.OPE_DOCTOR_DIV6)				 '手術医師区分コード６
			pDb.setVal(sqlXSI010F010.prmDOCTOR_CD6, cliOneCsvData.DOCTOR_CD6)						 '医師コード６
			pDb.setVal(sqlXSI010F010.prmOPE_DOCTOR_DIV7, cliOneCsvData.OPE_DOCTOR_DIV7)				 '手術医師区分コード７
			pDb.setVal(sqlXSI010F010.prmDOCTOR_CD7, cliOneCsvData.DOCTOR_CD7)						 '医師コード７
			pDb.setVal(sqlXSI010F010.prmOPE_DOCTOR_DIV8, cliOneCsvData.OPE_DOCTOR_DIV8)				 '手術医師区分コード８
			pDb.setVal(sqlXSI010F010.prmDOCTOR_CD8, cliOneCsvData.DOCTOR_CD8)						 '医師コード８
			pDb.setVal(sqlXSI010F010.prmOPE_DOCTOR_DIV9, cliOneCsvData.OPE_DOCTOR_DIV9)				 '手術医師区分コード９
			pDb.setVal(sqlXSI010F010.prmDOCTOR_CD9, cliOneCsvData.DOCTOR_CD9)						 '医師コード９
			pDb.setVal(sqlXSI010F010.prmOPE_DOCTOR_DIV10, cliOneCsvData.OPE_DOCTOR_DIV10)			 '手術医師区分コード１０
			pDb.setVal(sqlXSI010F010.prmDOCTOR_CD10, cliOneCsvData.DOCTOR_CD10)						 '医師コード１０
			pDb.setVal(sqlXSI010F010.prmAFTER_OPE_CMPC_CHK, cliOneCsvData.AFTER_OPE_CMPC_CHK)		 '術後合併症有無コード
			pDb.setVal(sqlXSI010F010.prmHSP_OPE_CD, cliOneCsvData.HSP_OPE_CD)						 '院内手術コード
			pDb.setVal(sqlXSI010F010.prmMODULE_CD, cliOneCsvData.MODULE_CD)							 'モジュールコード
			pDb.setVal(sqlXSI010F010.prmERR_CD, cliOneCsvData.ERR_CD)								 'エラーコード
			pDb.setVal(sqlXSI010F010.prmMESSAGE, cliOneCsvData.MESSAGE)								 'メッセージ
			pDb.setVal(sqlXSI010F010.prmSPT_DISEASE_ICD10_CD, cliOneCsvData.SPT_DISEASE_ICD10_CD)	 'ＩＣＤ１０コード
			pDb.setVal(sqlXSI010F010.prmSPT_DISEASE_NM, cliOneCsvData.SPT_DISEASE_NM)				 '病名
			pDb.setVal(sqlXSI010F010.prmSPARE01, cliOneCsvData.SPARE01)								 '予備１
			pDb.setVal(sqlXSI010F010.prmSPARE02, cliOneCsvData.SPARE02)								 '予備２
			pDb.setVal(sqlXSI010F010.prmSPARE03, cliOneCsvData.SPARE03)								 '予備３
			pDb.setVal(sqlXSI010F010.prmSPARE04, cliOneCsvData.SPARE04)								 '予備４
			pDb.setVal(sqlXSI010F010.prmSPARE05, cliOneCsvData.SPARE05)								 '予備５
			pDb.setVal(sqlXSI010F010.prmSPARE06, cliOneCsvData.SPARE06)								 '予備６
			pDb.setVal(sqlXSI010F010.prmSPARE07, cliOneCsvData.SPARE07)								 '予備７
			pDb.setVal(sqlXSI010F010.prmSPARE08, cliOneCsvData.SPARE08)								 '予備８
			pDb.setVal(sqlXSI010F010.prmLASTUPDUSER_CD, Me.cliXSI010F010._userID)					 '更新者コード
			pDb.setVal(sqlXSI010F010.prmLASTUPD_DT, DateTime.Now)									 '更新日
			pDb.setVal(sqlXSI010F010.prmPLAN_EMERGENCY_CD, cliOneCsvData.PLAN_EMERGENCY_CD)			 '手術予定緊急区分コード
			pDb.setVal(sqlXSI010F010.prmTIME_OUT_FLG, cliOneCsvData.TIME_OUT_FLG)					 '時間外フラグ
			pDb.setVal(sqlXSI010F010.prmASA_PS_GRP_CD, cliOneCsvData.ASA_PS_GRP_CD)					 'ＡＳＡ＿ＰＳコード
			pDb.setVal(sqlXSI010F010.prmBLEEDING_VOLUME, cliOneCsvData.BLEEDING_VOLUME)				 '出血量
			pDb.setVal(sqlXSI010F010.prmBLOOD_TRAN_VOLUME, cliOneCsvData.BLOOD_TRAN_VOLUME)			 '輸血量

			'SQL実行
			pDb.execNonQuery()
		Catch ex As Exception
			Throw
		End Try
	End Sub

	''' ---------------------------------------------
	''' <summary>
	''' 手術所要時間計算
	''' </summary>
	''' <param name="sDate">期間開始日</param>
	''' <param name="sTime">期間開始時間</param>
	''' <param name="eDate">期間終了日</param>
	''' <param name="eTime">期間終了時間</param>
	''' <returns>指定期間の時間(HH:mm)</returns>
	''' <remarks>
	''' 2010/10/27 新規作成 ACS)牟禮<BR/>
	''' </remarks>
	''' ---------------------------------------------
	Private Function getDiffTime(ByVal sDate As String, ByVal sTime As String, ByVal eDate As String, ByVal eTime As String) As String
		clsSysMst.logEx(clsSysMst.logLevel.DBG, "XSI", Me.GetType().Name, MethodBase.GetCurrentMethod().Name, "システム連携", "手術連携", "手術所要時間計算 Start")
		Dim ret As String = String.Empty
		Dim startDate As DateTime
		Dim endDate As DateTime
		Dim minute As Long
		Try
			'開始入力チェック
			If String.IsNullOrEmpty(sDate) = True OrElse String.IsNullOrEmpty(sTime) = True OrElse _
					DateTime.TryParse(sDate & " " & sTime, startDate) = False Then
				Return String.Empty
			End If
			'終了入力チェック
			If String.IsNullOrEmpty(eDate) = True OrElse String.IsNullOrEmpty(eTime) = True OrElse _
					DateTime.TryParse(eDate & " " & eTime, endDate) = False Then
				Return String.Empty
			End If

			'前後関係
			If DateTime.Compare(startDate, endDate) > 0 Then
				Return String.Empty
			End If

			minute = DateAndTime.DateDiff(DateInterval.Minute, startDate, endDate)

			If Math.Floor(minute / 60) < 100 Then
				ret = Math.Floor(minute / 60).ToString("00") & ":" & (minute Mod 60).ToString("00")
			Else
				ret = "99:99"
			End If

			Return ret
		Catch ex As Exception
			Throw
		Finally
			'解放
			ret = Nothing
			startDate = Nothing
			endDate = Nothing
		End Try
	End Function

#End Region

End Class
